/*===========================================================================*/
/*   (SawBbv/bbv-types.scm)                                                  */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawBbv/bbv-types.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BgL_SAW_BBVzd2TYPESzd2_TYPE_DEFINITIONS
#define BGL_BgL_SAW_BBVzd2TYPESzd2_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_debugnamez00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                    *BgL_rtl_returnz00_bglt;

	typedef struct BgL_rtl_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
	}                    *BgL_rtl_selectz00_bglt;

	typedef struct BgL_rtl_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
		obj_t BgL_labelsz00;
	}                    *BgL_rtl_switchz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_loadfunz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                     *BgL_rtl_loadfunz00_bglt;

	typedef struct BgL_rtl_globalrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                       *BgL_rtl_globalrefz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_rtl_vallocz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                     *BgL_rtl_vlengthz00_bglt;

	typedef struct BgL_rtl_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                        *BgL_rtl_instanceofz00_bglt;

	typedef struct BgL_rtl_storegz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                    *BgL_rtl_storegz00_bglt;

	typedef struct BgL_rtl_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_setfieldz00_bglt;

	typedef struct BgL_rtl_vsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vsetz00_bglt;

	typedef struct BgL_rtl_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_constrz00;
	}                 *BgL_rtl_newz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_lightfuncallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_funsz00;
		obj_t BgL_rettypez00;
	}                          *BgL_rtl_lightfuncallz00_bglt;

	typedef struct BgL_rtl_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_formatz00;
		obj_t BgL_srfi0z00;
	}                    *BgL_rtl_pragmaz00_bglt;

	typedef struct BgL_rtl_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_totypez00;
		struct BgL_typez00_bgl *BgL_fromtypez00;
	}                  *BgL_rtl_castz00_bglt;

	typedef struct BgL_rtl_cast_nullz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                       *BgL_rtl_cast_nullz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_rtl_regzf2razf2_bgl
	{
		int BgL_numz00;
		obj_t BgL_colorz00;
		obj_t BgL_coalescez00;
		int BgL_occurrencesz00;
		obj_t BgL_interferez00;
		obj_t BgL_interfere2z00;
	}                      *BgL_rtl_regzf2razf2_bglt;

	typedef struct BgL_regsetz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_lengthz00;
		int BgL_msiza7eza7;
		obj_t BgL_regvz00;
		obj_t BgL_reglz00;
		obj_t BgL_stringz00;
	}                *BgL_regsetz00_bglt;

	typedef struct BgL_bbvzd2rangezd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_loz00;
		obj_t BgL_upz00;
	}                     *BgL_bbvzd2rangezd2_bglt;

	typedef struct BgL_rtl_inszf2bbvzf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_outz00;
		obj_t BgL_inz00;
		struct BgL_bbvzd2ctxzd2_bgl *BgL_ctxz00;
		obj_t BgL_z52hashz52;
	}                       *BgL_rtl_inszf2bbvzf2_bglt;

	typedef struct BgL_blockvz00_bgl
	{
		obj_t BgL_versionsz00;
		obj_t BgL_genericz00;
		long BgL_z52markz52;
		obj_t BgL_mergez00;
	}                *BgL_blockvz00_bglt;

	typedef struct BgL_blocksz00_bgl
	{
		long BgL_z52markz52;
		obj_t BgL_z52hashz52;
		obj_t BgL_z52blacklistz52;
		struct BgL_bbvzd2ctxzd2_bgl *BgL_ctxz00;
		struct BgL_blockz00_bgl *BgL_parentz00;
		long BgL_gccntz00;
		long BgL_gcmarkz00;
		obj_t BgL_mblockz00;
		obj_t BgL_creatorz00;
		obj_t BgL_mergesz00;
		bool_t BgL_asleepz00;
	}                *BgL_blocksz00_bglt;

	typedef struct BgL_bbvzd2queuezd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_blocksz00;
		obj_t BgL_lastz00;
	}                     *BgL_bbvzd2queuezd2_bglt;

	typedef struct BgL_bbvzd2ctxzd2_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_idz00;
		obj_t BgL_entriesz00;
	}                   *BgL_bbvzd2ctxzd2_bglt;

	typedef struct BgL_bbvzd2ctxentryzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_rtl_regz00_bgl *BgL_regz00;
		obj_t BgL_typesz00;
		bool_t BgL_polarityz00;
		long BgL_countz00;
		obj_t BgL_valuez00;
		obj_t BgL_aliasesz00;
		obj_t BgL_initvalz00;
	}                        *BgL_bbvzd2ctxentryzd2_bglt;


#endif													// BGL_BgL_SAW_BBVzd2TYPESzd2_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62lambda2737z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	static obj_t BGl_z62lambda2496z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2497z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2579z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2pragmazf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62rtl_inszd2pragmazf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2 = BUNSPEC;
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_vset1921z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2660z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32575ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62lambda2580z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2661z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32559ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62lambda2744z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2745z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_funz00zzsaw_defsz00;
	static obj_t BGl_z62lambda2585z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	extern obj_t BGl_rtl_newz00zzsaw_defsz00;
	static obj_t BGl_z62lambda2586z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static BgL_bbvzd2ctxentryzd2_bglt
		BGl_z62lambda2669z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_vref1911z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_store1917z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_rtl_regz00_bglt);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_loadi1899z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	extern obj_t BGl_rtl_pragmaz00zzsaw_defsz00;
	static obj_t BGl_z62blockVzd2livezd2versionsz62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62shapezd2blockS1820zb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_bbvzd2typeszd2 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32851ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32746ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32738ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static BgL_bbvzd2ctxentryzd2_bglt
		BGl_z62lambda2671z62zzsaw_bbvzd2typeszd2(obj_t);
	extern obj_t BGl_za2stringzd2lengthza2zd2zzsaw_bbvzd2cachezd2;
	static obj_t BGl_z62lambda2594z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2595z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	extern obj_t BGl_za2errorza2z00zzsaw_bbvzd2cachezd2;
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_selec1895z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62bbvzd2hashzd2rtl_new1871z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32674ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda2680z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	extern obj_t BGl_za2z42zd2fxzf2ovza2z62zzsaw_bbvzd2cachezd2;
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	static obj_t BGl_z62lambda2681z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_listzd2eqzf3z21zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_return1844z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2livezd2versionsz00zzsaw_bbvzd2typeszd2(BgL_blockz00_bglt);
	static obj_t BGl_z62bbvzd2hashzd2rtl_loadg1849z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_makezd2regsetzd2zzsaw_bbvzd2typeszd2(int, int, obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2errorzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt, obj_t);
	static long BGl_search1784ze70ze7zzsaw_bbvzd2typeszd2(long, obj_t, obj_t,
		long);
	static obj_t BGl_z62dumpzd2blockV1826zb0zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2typeszd2(BgL_typez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t, int, obj_t, obj_t, int, obj_t, obj_t);
	static obj_t BGl_z62lambda2698z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2699z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2callzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_rtl_vrefz00zzsaw_defsz00;
	static obj_t BGl_z62shapezd2bbvzd2ctx1822z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static bool_t
		BGl_rtl_inszd2booleanzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_everyz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_bbvzd2typeszd2(void);
	static BgL_blockz00_bglt
		BGl_z62bbvzd2queuezd2popz12z70zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	extern obj_t BGl_rtl_ifeqz00zzsaw_defsz00;
	static obj_t BGl_z62zc3z04anonymousza32587ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62rtl_inszd2boolzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32498ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_vset1869z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	extern obj_t BGl_rtl_vlengthz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62blockzd2predszd2updatez12z70zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_dumpzd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2loadgzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32863ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32847ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_vref1859z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32596ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2switchzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2vlenzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_genericzd2initzd2zzsaw_bbvzd2typeszd2(void);
	static obj_t BGl_z62rtl_inszd2switchzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl__extendzd2ctxzd2zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2typeszd2(obj_t);
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62bbvzd2equalzf3zd2rtl_reg1891z91zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_vsetz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_globa1905z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_inszf2b1889z63zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_bbvzd2typeszd2(void);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2brzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_cast_1933z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2truezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t
		BGl_bbvzd2ctxentryzd2equalzf3zf3zzsaw_bbvzd2typeszd2
		(BgL_bbvzd2ctxentryzd2_bglt, BgL_bbvzd2ctxentryzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62bbvzd2hashzd2type1832z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62rtl_inszd2loadizf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32849ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_inszd2nopzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2ctxzd2initz62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt,
		obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_getfi1907z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_bbvzd2ctxzd2_bglt
		BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_rtl_regz00_bglt, obj_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_regsetz00zzsaw_regsetz00;
	extern obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	extern obj_t BGl_rtl_vallocz00zzsaw_defsz00;
	extern obj_t BGl_rtl_cast_nullz00zzsaw_defsz00;
	extern obj_t BGl_rtl_loadfunz00zzsaw_defsz00;
	extern obj_t BGl_dumpza2za2zzsaw_defsz00(obj_t, obj_t, int);
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	static BgL_bbvzd2ctxentryzd2_bglt
		BGl_newzd2ctxentryze70z35zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		BgL_rtl_regz00_bglt, obj_t, bool_t, obj_t);
	static BgL_bbvzd2ctxentryzd2_bglt
		BGl_newzd2ctxentryze71z35zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t,
		BgL_rtl_regz00_bglt, obj_t, bool_t, obj_t);
	static obj_t BGl_z62bbvzd2ctxzd2getz62zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62regsetzf3z91zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_instanc1863z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_setfiel1867z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_setfi1919z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2errorzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62bbvzd2equalzf3zd2rtl_new1923z91zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dumpzd2rtl_inszf2bbv1824z42zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2;
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2failzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_bbvzd2queuezd2popz12z12zzsaw_bbvzd2typeszd2(BgL_bbvzd2queuezd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_callzd2predicatezd2zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_vallo1909z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	extern obj_t BGl_rtl_nopz00zzsaw_defsz00;
	static obj_t BGl_z62rtl_inszd2movzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2equalzf3zd2rtl_fun1893z91zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62bbvzd2ctxzd2assocz62zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_bbvzd2typeszd2(void);
	static obj_t BGl_z62bbvzd2hashzd2rtl_loadi1847z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2loadgzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62extendzd2ctxzf2entryza2ze0zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_typeof(obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	static BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62blockzd2predszd2updatez121934z70zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	extern obj_t BGl_rtl_inszd2argsza2z70zzsaw_defsz00(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2typeszd2(void);
	static BgL_typez00_bglt
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_blockzd2livezf3z21zzsaw_bbvzd2typeszd2(BgL_blockz00_bglt);
	extern obj_t BGl_dumpz00zzsaw_defsz00(obj_t, obj_t, int);
	static obj_t BGl_z62rtl_inszd2falsezf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_bbvzd2queuezd2lengthz00zzsaw_bbvzd2typeszd2(BgL_bbvzd2queuezd2_bglt);
	static long BGl_search1797ze70ze7zzsaw_bbvzd2typeszd2(long, obj_t, obj_t,
		long);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2strlenzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_rtl_switchz00zzsaw_defsz00;
	static obj_t BGl_z62rtl_inszd2strlenzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	extern obj_t BGl_rtl_goz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_blockzd2predszd2updatez12z12zzsaw_bbvzd2typeszd2(BgL_blockz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2typecheckzd2zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2loadizf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_rtl_ifnez00zzsaw_defsz00;
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_loadf1903z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	extern obj_t BGl_rtl_instanceofz00zzsaw_defsz00;
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_rtl_setfieldz00zzsaw_defsz00;
	static obj_t BGl_z62bbvzd2equalzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2queuezd2emptyzf3zf3zzsaw_bbvzd2typeszd2(BgL_bbvzd2queuezd2_bglt);
	static obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31989ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2msiza7ez75zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_inszd2brzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl__extendzd2ctxz12zc0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_callzd2withzd2outputzd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32510ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl__extendzd2ctxza2z70zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	extern obj_t BGl_rtl_callz00zzsaw_defsz00;
	static obj_t BGl_z62zc3z04anonymousza32405ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	extern obj_t BGl_rtl_selectz00zzsaw_defsz00;
	BGL_EXPORTED_DEF obj_t BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2 = BUNSPEC;
	static obj_t BGl_extendzd2entriesze70z35zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t, BgL_bbvzd2ctxzd2_bglt, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT long bgl_symbol_hash_number(obj_t);
	static obj_t
		BGl_extendzd2entriesze71z35zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_bbvzd2ctxentryzd2_bglt);
	static obj_t BGl_z62bbvzd2hashzd2rtl_getfiel1855z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_pragm1929z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_za2bbvzd2verboseza2zd2zzsaw_bbvzd2configzd2;
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2boolzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_za2z42za2fxzf2ovza2z12zzsaw_bbvzd2cachezd2;
	static obj_t BGl_z62objectzd2printzd2blockS1778z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2lengthzd2zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt);
	extern obj_t BGl_za2bbvzd2optimzd2aliasza2z00zzsaw_bbvzd2configzd2;
	BGL_EXPORTED_DEF obj_t BGl_blockSz00zzsaw_bbvzd2typeszd2 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_blockVz00zzsaw_bbvzd2typeszd2 = BUNSPEC;
	extern obj_t BGl_rtl_storegz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(obj_t);
	static BgL_bbvzd2ctxzd2_bglt BGl_z62aliaszd2ctxzb0zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32261ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_call1925z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_loadg1901z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_lastz00zzsaw_defsz00;
	BGL_EXPORTED_DECL BgL_bbvzd2ctxzd2_bglt
		BGl_extendzd2ctxz12zc0zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_rtl_regz00_bglt, obj_t, bool_t, obj_t, obj_t);
	extern obj_t BGl_dumpzd2inszd2rhsz00zzsaw_defsz00(BgL_rtl_insz00_bglt, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2bbzd2markz00zzsaw_bbvzd2typeszd2(void);
	static obj_t BGl_z62zc3z04anonymousza32440ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_extendzd2ctxza2z70zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt, obj_t,
		obj_t, bool_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32416ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	extern obj_t BGl_rtl_returnz00zzsaw_defsz00;
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2falsezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2gczd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2configzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2rangezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2ctxzd2equalzf3z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_inszd2lastzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2queuezd2lengthz62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32700ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t
		BGl_z62blockzd2predszd2updatez12zd21937za2zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32425ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_storeg1865z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2equalzf31882z43zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2queuezd2haszf3z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_extendzd2ctxzf2entryz20zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_bbvzd2ctxentryzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62blockzd2livezf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2queuezd2emptyzf3z91zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_regzf2razf3z01zzsaw_bbvzd2typeszd2(obj_t);
	extern obj_t BGl_rtl_loadgz00zzsaw_defsz00;
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	static obj_t BGl_z62shapezd2bbvzd2ctxentry1780z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_pragma1877z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_bbvzd2ctxzd2_bglt
		BGl_aliaszd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_rtl_regz00_bglt, BgL_rtl_regz00_bglt);
	extern obj_t BGl_rtl_failz00zzsaw_defsz00;
	extern obj_t BGl_regsetzd2ze3listz31zzsaw_regsetz00(BgL_regsetz00_bglt);
	static obj_t BGl_z62bbvzd2hashzd2rtl_vlength1861z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_z62bbvzd2equalzf3zd2atom1885z91zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_bbvzd2typeszd2(void);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_cast1931z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2typeszd2(void);
	BGL_EXPORTED_DECL BgL_bbvzd2ctxzd2_bglt
		BGl_paramszd2ze3ctxz31zzsaw_bbvzd2typeszd2(obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_globalr1853z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_inszd2gozf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static long BGl_za2bbvzd2ctxzd2idza2z00zzsaw_bbvzd2typeszd2 = 0L;
	BGL_EXPORTED_DECL BgL_bbvzd2ctxzd2_bglt
		BGl_unaliaszd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_rtl_regz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_callzd2valueszd2zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static bool_t BGl_regzf3ze70z14zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2typeszd2(void);
	BGL_EXPORTED_DEF obj_t BGl_bbvzd2queuezd2zzsaw_bbvzd2typeszd2 = BUNSPEC;
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_light1927z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_cast_nu1881z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32541ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_bbvzd2typeszd2(void);
	static obj_t BGl_z62lambda2403z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32533ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32614ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62rtl_callzd2valueszb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	extern obj_t BGl_za2bbvzd2blockszd2gcza2z00zzsaw_bbvzd2configzd2;
	static obj_t BGl_z62lambda2404z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32525ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62rtl_inszd2ifeqzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	extern obj_t BGl_za2z42zb2fxzf2ovza2z02zzsaw_bbvzd2cachezd2;
	BGL_IMPORT obj_t bgl_remq(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_reg1840z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	extern obj_t BGl_rtl_castz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxzd2assocz00zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt, obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_call1873z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2414z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32607ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2415z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt, int);
	static obj_t
		BGl_z62bbvzd2hashzd2rtl_inszf2bbv1838z90zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_z62dumpzd2blockS1828zb0zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_globalrefz00zzsaw_defsz00;
	static obj_t BGl_z62rtl_inszd2callzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_vleng1913z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_insta1915z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static BgL_bbvzd2ctxzd2_bglt BGl_z62lambda2423z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2424z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2505z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2508z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_bbvzd2ctxzd2equalzf3zf3zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_bbvzd2ctxzd2_bglt);
	extern obj_t BGl_za2numberzf3za2zf3zzsaw_bbvzd2cachezd2;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
	BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	static obj_t BGl_z62bbvzd2equalzf3zd2blockS1887z91zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2returnzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_regsetzf3zf3zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62rtl_inszd2returnzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2typecheckzb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2511z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32382ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32625ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2nopzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_bbvzd2queuezd2haszf3zf3zzsaw_bbvzd2typeszd2(BgL_bbvzd2queuezd2_bglt,
		BgL_blockz00_bglt);
	extern obj_t BGl_rtl_getfieldz00zzsaw_defsz00;
	static obj_t BGl_z62bbvzd2hashzd2rtl_lightfu1875z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62shapezd2rtl_inszf2bbv1816z42zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2438z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2439z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_inszd2vlenzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_switc1897z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62extendzd2ctxzf2entryz42zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62getzd2bbzd2markz62zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32731ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32480ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32472ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static BgL_bbvzd2queuezd2_bglt BGl_z62lambda2603z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_cast1879z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2523z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2524z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static BgL_bbvzd2queuezd2_bglt
		BGl_z62lambda2605z62zzsaw_bbvzd2typeszd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2queuezd2pushz12z12zzsaw_bbvzd2typeszd2(BgL_bbvzd2queuezd2_bglt,
		BgL_blockz00_bglt);
	static obj_t BGl_z62bbvzd2queuezd2pushz12z70zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hash1829zb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_fun1842z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2fxovopzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62rtl_inszd2truezf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_z62rtl_inszd2fxovopzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_bitzd2xorza2z70zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62lambda2531z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2612z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32724ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62lambda2532z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2613z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2452z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2456z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static BgL_rtl_insz00_bglt BGl_z62lambda2376z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2539z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_regsetzd2nilzd2zzsaw_bbvzd2typeszd2(void);
	static BgL_blockz00_bglt BGl_z62lambda2459z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_loadfun1851z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_loopze70ze7zzsaw_bbvzd2typeszd2(int, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_lblze70ze7zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_loopze71ze7zzsaw_bbvzd2typeszd2(int, obj_t,
		BgL_bbvzd2ctxentryzd2_bglt, obj_t);
	static obj_t BGl_lblze71ze7zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzd2blockS1836z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_inszd2ifnezf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_callzd2predicatezb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	extern obj_t BGl_rtl_regzf2razf2zzsaw_regsetz00;
	static obj_t BGl_z62zc3z04anonymousza32490ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62lambda2540z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32652ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static BgL_rtl_insz00_bglt BGl_z62lambda2380z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2623z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2624z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32458ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static BgL_rtl_insz00_bglt BGl_z62lambda2383z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static BgL_bbvzd2ctxzd2_bglt BGl_z62lambda2546z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2547z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62objectzd2printzd2blockV1776z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2reglzd2zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2regvzd2zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	BGL_IMPORT obj_t
		BGl_deletezd2duplicateszd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static long BGl_za2bbzd2markza2zd2zzsaw_bbvzd2typeszd2 = 0L;
	static obj_t BGl_z62lambda2712z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2470z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2551z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static BgL_bbvzd2ctxzd2_bglt BGl_z62lambda2632z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2713z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2471z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2552z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32637ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static BgL_bbvzd2ctxzd2_bglt BGl_z62lambda2635z62zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62lambda2394z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2395z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2557z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2558z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2478z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2479z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62shapezd2block1818zb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	static BgL_bbvzd2ctxzd2_bglt
		BGl_z62paramszd2ze3ctxz53zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2 = BUNSPEC;
	static obj_t BGl_z62bbvzd2hashzd2rtl_valloc1857z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32000ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_inszd2failzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	extern obj_t BGl_blockz00zzsaw_defsz00;
	extern obj_t
		BGl_bbvzd2gczd2blockzd2reachablezf3z21zzsaw_bbvzd2gczd2(BgL_blockz00_bglt);
	static BgL_bbvzd2ctxzd2_bglt
		BGl_z62unaliaszd2ctxzb0zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	extern BgL_bbvzd2rangezd2_bglt
		BGl_fixnumzd2rangezd2zzsaw_bbvzd2rangezd2(void);
	static obj_t BGl_z62zc3z04anonymousza32662ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt,
		int);
	static obj_t BGl_z62lambda2722z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2723z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2564z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2565z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	BGL_IMPORT long BGl_getzd2hashnumberzd2zz__hashz00(obj_t);
	static obj_t BGl_z62lambda2729z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2lastzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62lambda2488z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2489z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzd2atom1834z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	extern obj_t BGl_dumpzd2marginzd2zzsaw_defsz00(obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_extendzd2ctxzf2entryza2z82zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2730z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2650z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2651z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32566ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32396ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62lambda2573z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2574z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2736z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t __cnst[48];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2gozf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2goza73914za7,
		BGl_z62rtl_inszd2gozf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2namezd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73915za7,
		BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2queuezd2pushz12zd2envzc0zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2queueza7d3916za7,
		BGl_z62bbvzd2queuezd2pushz12z70zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2truezf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2tru3917z00,
		BGl_z62rtl_inszd2truezf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2loadgzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2loa3918z00,
		BGl_z62rtl_inszd2loadgzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2nilzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7d2nilza73919za7,
		BGl_z62regsetzd2nilzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_GENERIC(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3920za7,
		BGl_z62bbvzd2equalzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	extern obj_t BGl_dumpzd2envzd2zzsaw_defsz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2setz12zd2envz32zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73921za7,
		BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73922za7,
		BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_extendzd2ctxz12zd2envz12zzsaw_bbvzd2typeszd2,
		BgL_bgl__extendza7d2ctxza7123923z00, opt_generic_entry,
		BGl__extendzd2ctxz12zc0zzsaw_bbvzd2typeszd2, BFALSE, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxzd2assoczd2envzd2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2ctxza7d2a3924za7,
		BGl_z62bbvzd2ctxzd2assocz62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2setz12zd2envzc1zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73925za7,
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2typeszd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2setz12zd2envz32zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73926za7,
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2typeszd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73927za7,
		BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_extendzd2ctxzf2entryzd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762extendza7d2ctxza73928za7,
		BGl_z62extendzd2ctxzf2entryz42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockzd2livezf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762blockza7d2liveza73929za7,
		BGl_z62blockzd2livezf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2setz12zd2envz32zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73930za7,
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2typeszd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2strlenzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2str3931z00,
		BGl_z62rtl_inszd2strlenzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_blockzd2predszd2updatez12zd2envzc0zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762blockza7d2preds3932z00,
		BGl_z62blockzd2predszd2updatez12z70zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2regvzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7d2regv3933z00,
		BGl_z62regsetzd2regvzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2nopzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2nop3934z00,
		BGl_z62rtl_inszd2nopzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2queuezd2haszf3zd2envz21zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2queueza7d3935za7,
		BGl_z62bbvzd2queuezd2haszf3z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2switchzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2swi3936z00,
		BGl_z62rtl_inszd2switchzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2queuezd2emptyzf3zd2envz21zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2queueza7d3937za7,
		BGl_z62bbvzd2queuezd2emptyzf3z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_extendzd2ctxza2zd2envza2zzsaw_bbvzd2typeszd2,
		BgL_bgl__extendza7d2ctxza7a23938z00, opt_generic_entry,
		BGl__extendzd2ctxza2z70zzsaw_bbvzd2typeszd2, BFALSE, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2setz12zd2envzc0zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7d2leng3939z00,
		BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2lastzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2las3940z00,
		BGl_z62rtl_inszd2lastzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2msiza7ezd2envza7zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7d2msiza73941za7,
		BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	extern obj_t BGl_shapezd2envzd2zztools_shapez00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73942za7,
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2setz12zd2envz32zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73943za7,
		BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2ifnezf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2ifn3944z00,
		BGl_z62rtl_inszd2ifnezf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73945za7,
		BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxzd2getzd2envzd2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2ctxza7d2g3946za7,
		BGl_z62bbvzd2ctxzd2getz62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_aliaszd2ctxzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762aliasza7d2ctxza7b3947za7,
		BGl_z62aliaszd2ctxzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2typecheckzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2typ3948z00,
		BGl_z62rtl_inszd2typecheckzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2loadizf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2loa3949z00,
		BGl_z62rtl_inszd2loadizf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2errorzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2err3950z00,
		BGl_z62rtl_inszd2errorzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_paramszd2ze3ctxzd2envze3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762paramsza7d2za7e3c3951za7,
		BGl_z62paramszd2ze3ctxz53zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2queuezd2popz12zd2envzc0zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2queueza7d3952za7,
		BGl_z62bbvzd2queuezd2popz12z70zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3700z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3700za700za7za7s3953za7, "bbv-queue-pop!", 14);
	      DEFINE_STRING(BGl_string3701z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3701za700za7za7s3954za7, "Illegal empty queue", 19);
	BGL_IMPORT obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3702z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3955za7,
		BGl_z62zc3z04anonymousza32000ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3703z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3956za7,
		BGl_z62zc3z04anonymousza31989ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3704z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3957za7,
		BGl_z62zc3z04anonymousza32396ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3705z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2395za7623958z00,
		BGl_z62lambda2395z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3706z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2394za7623959z00,
		BGl_z62lambda2394z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3707z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3960za7,
		BGl_z62zc3z04anonymousza32405ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3708z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2404za7623961z00,
		BGl_z62lambda2404z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3709z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2403za7623962z00,
		BGl_z62lambda2403z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2nilzd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73963za7,
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2callzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2cal3964z00,
		BGl_z62rtl_inszd2callzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73965za7,
		BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3710z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3966za7,
		BGl_z62zc3z04anonymousza32416ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3711z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2415za7623967z00,
		BGl_z62lambda2415z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3712z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2414za7623968z00,
		BGl_z62lambda2414z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3713z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3969za7,
		BGl_z62zc3z04anonymousza32425ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3714z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2424za7623970z00,
		BGl_z62lambda2424z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3715z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2423za7623971z00,
		BGl_z62lambda2423z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2numzd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73972za7,
		BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3716z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3973za7,
		BGl_z62zc3z04anonymousza32440ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3717z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2439za7623974z00,
		BGl_z62lambda2439z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3718z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2438za7623975z00,
		BGl_z62lambda2438z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3719z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2383za7623976z00,
		BGl_z62lambda2383z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2setz12zd2envzc0zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7d2stri3977z00,
		BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3800z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2722za7623978z00,
		BGl_z62lambda2722z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3801z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3979za7,
		BGl_z62zc3z04anonymousza32731ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3720z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3980za7,
		BGl_z62zc3z04anonymousza32382ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3802z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2730za7623981z00,
		BGl_z62lambda2730z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3721z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2380za7623982z00,
		BGl_z62lambda2380z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3803z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2729za7623983z00,
		BGl_z62lambda2729z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3722z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2376za7623984z00,
		BGl_z62lambda2376z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3804z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3985za7,
		BGl_z62zc3z04anonymousza32738ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3723z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3986za7,
		BGl_z62zc3z04anonymousza32472ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3805z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2737za7623987z00,
		BGl_z62lambda2737z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3724z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2471za7623988z00,
		BGl_z62lambda2471z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3806z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2736za7623989z00,
		BGl_z62lambda2736z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3725z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2470za7623990z00,
		BGl_z62lambda2470z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3807z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3991za7,
		BGl_z62zc3z04anonymousza32746ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3726z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3992za7,
		BGl_z62zc3z04anonymousza32480ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3814z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3814za700za7za7s3993za7, "bbv-hash1829", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3808z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2745za7623994z00,
		BGl_z62lambda2745z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3727z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2479za7623995z00,
		BGl_z62lambda2479z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3809z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2744za7623996z00,
		BGl_z62lambda2744z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3728z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2478za7623997z00,
		BGl_z62lambda2478z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3816z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3816za700za7za7s3998za7, "bbv-equal?1882", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3729z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3999za7,
		BGl_z62zc3z04anonymousza32490ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3818z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3818za700za7za7s4000za7, "block-preds-update!1934", 23);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2setz12zd2envz32zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza74001za7,
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2envz01zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza74002za7,
		BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3810z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo4003za7,
		BGl_z62zc3z04anonymousza32674ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3811z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2671za7624004z00,
		BGl_z62lambda2671z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3730z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2489za7624005z00,
		BGl_z62lambda2489z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3812z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2669za7624006z00,
		BGl_z62lambda2669z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3731z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2488za7624007z00,
		BGl_z62lambda2488z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2ifeqzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2ife4008z00,
		BGl_z62rtl_inszd2ifeqzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3900z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3900za700za7za7s4009za7, " ", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3813z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hash1824010z00,
		BGl_z62bbvzd2hash1829zb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3732z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo4011za7,
		BGl_z62zc3z04anonymousza32498ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3901z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3901za700za7za7s4012za7, "]", 1);
	      DEFINE_STRING(BGl_string3820z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3820za700za7za7s4013za7, "object-print", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3733z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2497za7624014z00,
		BGl_z62lambda2497z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7d2stri4015z00,
		BGl_z62regsetzd2stringzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3902z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3902za700za7za7s4016za7, " ;;", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3815z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f4017za7,
		BGl_z62bbvzd2equalzf31882z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3734z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2496za7624018z00,
		BGl_z62lambda2496z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3903z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3903za700za7za7s4019za7, " def=", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3735z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2459za7624020z00,
		BGl_z62lambda2459z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3904z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3904za700za7za7s4021za7, " in=", 4);
	      DEFINE_STRING(BGl_string3823z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3823za700za7za7s4022za7, "shape", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3817z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762blockza7d2preds4023z00,
		BGl_z62blockzd2predszd2updatez121934z70zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3736z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo4024za7,
		BGl_z62zc3z04anonymousza32458ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3905z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3905za700za7za7s4025za7, " out=", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3737z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2456za7624026z00,
		BGl_z62lambda2456z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3906z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3906za700za7za7s4027za7, "~a:~a", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3819z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762objectza7d2prin4028z00,
		BGl_z62objectzd2printzd2blockV1776z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3738z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2452za7624029z00,
		BGl_z62lambda2452z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 8);
	      DEFINE_STRING(BGl_string3907z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3907za700za7za7s4030za7, "!~a", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3739z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo4031za7,
		BGl_z62zc3z04anonymousza32525ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3908z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3908za700za7za7s4032za7, "[~( )]", 6);
	      DEFINE_STRING(BGl_string3909z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3909za700za7za7s4033za7, "~s", 2);
	      DEFINE_STRING(BGl_string3829z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3829za700za7za7s4034za7, "dump", 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2brzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2brza74035za7,
		BGl_z62rtl_inszd2brzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2livezd2versionszd2envzd2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762blockvza7d2live4036z00,
		BGl_z62blockVzd2livezd2versionsz62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3821z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762objectza7d2prin4037z00,
		BGl_z62objectzd2printzd2blockS1778z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3740z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2524za7624038z00,
		BGl_z62lambda2524z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3822z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762shapeza7d2bbvza7d4039za7,
		BGl_z62shapezd2bbvzd2ctxentry1780z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3741z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2523za7624040z00,
		BGl_z62lambda2523z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3910z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3910za700za7za7s4041za7, "saw_bbv-types", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3742z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo4042za7,
		BGl_z62zc3z04anonymousza32533ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2setz12zd2envz32zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza74043za7,
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2typeszd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3911z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3911za700za7za7s4044za7,
		"root bbv-ctxentry initval aliases value count polarity pair types reg bbv-ctx entries id bbv-queue last blocks blockS bool asleep merges creator mblock gcmark gccnt parent %blacklist blockV merge long %mark generic pair-nil versions saw_bbv-types rtl_ins/bbv %hash ctx in out obj def number :value :count :aliases _ cnt ssr ",
		324);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3824z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762shapeza7d2rtl_i4045z00,
		BGl_z62shapezd2rtl_inszf2bbv1816z42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3743z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2532za7624046z00,
		BGl_z62lambda2532z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3825z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762shapeza7d2block4047z00,
		BGl_z62shapezd2block1818zb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3744z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2531za7624048z00,
		BGl_z62lambda2531z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3826z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762shapeza7d2block4049z00,
		BGl_z62shapezd2blockS1820zb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3745z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo4050za7,
		BGl_z62zc3z04anonymousza32541ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3833z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3833za700za7za7s4051za7, "bbv-hash", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3827z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762shapeza7d2bbvza7d4052za7,
		BGl_z62shapezd2bbvzd2ctx1822z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3746z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2540za7624053z00,
		BGl_z62lambda2540z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3828z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762dumpza7d2rtl_in4054z00,
		BGl_z62dumpzd2rtl_inszf2bbv1824z42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3747z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2539za7624055z00,
		BGl_z62lambda2539z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3748z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2547za7624056z00,
		BGl_z62lambda2547z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3749z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2546za7624057z00,
		BGl_z62lambda2546z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2rtl_regzf2razd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762makeza7d2rtl_re4058z00,
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3830z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762dumpza7d2blockv4059z00,
		BGl_z62dumpzd2blockV1826zb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3831z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762dumpza7d2blocks4060z00,
		BGl_z62dumpzd2blockS1828zb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3750z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2552za7624061z00,
		BGl_z62lambda2552z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3832z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d24062za7,
		BGl_z62bbvzd2hashzd2type1832z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3751z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2551za7624063z00,
		BGl_z62lambda2551z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3752z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo4064za7,
		BGl_z62zc3z04anonymousza32559ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3834z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d24065za7,
		BGl_z62bbvzd2hashzd2atom1834z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3753z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2558za7624066z00,
		BGl_z62lambda2558z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razf3zd2envzd3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza74067za7,
		BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3835z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d24068za7,
		BGl_z62bbvzd2hashzd2blockS1836z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3754z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2557za7624069z00,
		BGl_z62lambda2557z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3836z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d24070za7,
		BGl_z62bbvzd2hashzd2rtl_inszf2bbv1838z90zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3755z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo4071za7,
		BGl_z62zc3z04anonymousza32566ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3837z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d24072za7,
		BGl_z62bbvzd2hashzd2rtl_reg1840z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3756z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2565za7624073z00,
		BGl_z62lambda2565z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3838z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d24074za7,
		BGl_z62bbvzd2hashzd2rtl_fun1842z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3757z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2564za7624075z00,
		BGl_z62lambda2564z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3839z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d24076za7,
		BGl_z62bbvzd2hashzd2rtl_return1844z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3758z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo4077za7,
		BGl_z62zc3z04anonymousza32575ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3759z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2574za7624078z00,
		BGl_z62lambda2574z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7d2leng4079z00,
		BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2returnzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2ret4080z00,
		BGl_z62rtl_inszd2returnzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3840z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d24081za7,
		BGl_z62bbvzd2hashzd2rtl_loadi1847z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3841z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d24082za7,
		BGl_z62bbvzd2hashzd2rtl_loadg1849z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3760z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2573za7624083z00,
		BGl_z62lambda2573z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3842z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d24084za7,
		BGl_z62bbvzd2hashzd2rtl_loadfun1851z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3761z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2580za7624085z00,
		BGl_z62lambda2580z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3843z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d24086za7,
		BGl_z62bbvzd2hashzd2rtl_globalr1853z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3762z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2579za7624087z00,
		BGl_z62lambda2579z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3844z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d24088za7,
		BGl_z62bbvzd2hashzd2rtl_getfiel1855z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3763z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo4089za7,
		BGl_z62zc3z04anonymousza32587ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3845z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d24090za7,
		BGl_z62bbvzd2hashzd2rtl_valloc1857z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3764z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2586za7624091z00,
		BGl_z62lambda2586z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3846z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d24092za7,
		BGl_z62bbvzd2hashzd2rtl_vref1859z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3765z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2585za7624093z00,
		BGl_z62lambda2585z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3847z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d24094za7,
		BGl_z62bbvzd2hashzd2rtl_vlength1861z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3766z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo4095za7,
		BGl_z62zc3z04anonymousza32596ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3848z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d24096za7,
		BGl_z62bbvzd2hashzd2rtl_instanc1863z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3767z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2595za7624097z00,
		BGl_z62lambda2595z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3849z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d24098za7,
		BGl_z62bbvzd2hashzd2rtl_storeg1865z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3768z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2594za7624099z00,
		BGl_z62lambda2594z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3769z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2511za7624100z00,
		BGl_z62lambda2511z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_bbvzd2ctxzd2initzd2envzd2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2ctxza7d2i4101za7,
		BGl_z62bbvzd2ctxzd2initz62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3859z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3859za700za7za7s4102za7, "bbv-equal?", 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2vlenzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2vle4103z00,
		BGl_z62rtl_inszd2vlenzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza74104za7,
		BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2failzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2fai4105z00,
		BGl_z62rtl_inszd2failzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2bbzd2markzd2envzd2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762getza7d2bbza7d2ma4106za7,
		BGl_z62getzd2bbzd2markz62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_callzd2predicatezd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_callza7d2pr4107z00,
		BGl_z62rtl_callzd2predicatezb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3850z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d24108za7,
		BGl_z62bbvzd2hashzd2rtl_setfiel1867z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3851z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d24109za7,
		BGl_z62bbvzd2hashzd2rtl_vset1869z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3770z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo4110za7,
		BGl_z62zc3z04anonymousza32510ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3852z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d24111za7,
		BGl_z62bbvzd2hashzd2rtl_new1871z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3771z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2508za7624112z00,
		BGl_z62lambda2508z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3853z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d24113za7,
		BGl_z62bbvzd2hashzd2rtl_call1873z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3772z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2505za7624114z00,
		BGl_z62lambda2505z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3854z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d24115za7,
		BGl_z62bbvzd2hashzd2rtl_lightfu1875z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3773z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo4116za7,
		BGl_z62zc3z04anonymousza32614ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3855z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d24117za7,
		BGl_z62bbvzd2hashzd2rtl_pragma1877z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3774z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2613za7624118z00,
		BGl_z62lambda2613z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3856z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d24119za7,
		BGl_z62bbvzd2hashzd2rtl_cast1879z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3775z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2612za7624120z00,
		BGl_z62lambda2612z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza74121za7,
		BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3857z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d24122za7,
		BGl_z62bbvzd2hashzd2rtl_cast_nu1881z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3776z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo4123za7,
		BGl_z62zc3z04anonymousza32625ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3858z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f4124za7,
		BGl_z62bbvzd2equalzf3zd2atom1885z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3777z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2624za7624125z00,
		BGl_z62lambda2624z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3778z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2623za7624126z00,
		BGl_z62lambda2623z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3779z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo4127za7,
		BGl_z62zc3z04anonymousza32607ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2hardwarezd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza74128za7,
		BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3860z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f4129za7,
		BGl_z62bbvzd2equalzf3zd2blockS1887z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3861z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f4130za7,
		BGl_z62bbvzd2equalzf3zd2rtl_inszf2b1889z63zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3780z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2605za7624131z00,
		BGl_z62lambda2605z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3862z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f4132za7,
		BGl_z62bbvzd2equalzf3zd2rtl_reg1891z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3781z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2603za7624133z00,
		BGl_z62lambda2603z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3863z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f4134za7,
		BGl_z62bbvzd2equalzf3zd2rtl_fun1893z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3782z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo4135za7,
		BGl_z62zc3z04anonymousza32652ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3864z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f4136za7,
		BGl_z62bbvzd2equalzf3zd2rtl_selec1895z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3783z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2651za7624137z00,
		BGl_z62lambda2651z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3865z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f4138za7,
		BGl_z62bbvzd2equalzf3zd2rtl_switc1897z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3784z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2650za7624139z00,
		BGl_z62lambda2650z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3866z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f4140za7,
		BGl_z62bbvzd2equalzf3zd2rtl_loadi1899z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3785z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo4141za7,
		BGl_z62zc3z04anonymousza32662ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2regsetzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762makeza7d2regset4142z00,
		BGl_z62makezd2regsetzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3867z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f4143za7,
		BGl_z62bbvzd2equalzf3zd2rtl_loadg1901z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3786z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2661za7624144z00,
		BGl_z62lambda2661z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3868z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f4145za7,
		BGl_z62bbvzd2equalzf3zd2rtl_loadf1903z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3787z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2660za7624146z00,
		BGl_z62lambda2660z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3869z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f4147za7,
		BGl_z62bbvzd2equalzf3zd2rtl_globa1905z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3788z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo4148za7,
		BGl_z62zc3z04anonymousza32637ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3789z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2635za7624149z00,
		BGl_z62lambda2635z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_extendzd2ctxzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl__extendza7d2ctxza7d24150z00, opt_generic_entry,
		BGl__extendzd2ctxzd2zzsaw_bbvzd2typeszd2, BFALSE, -1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3870z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f4151za7,
		BGl_z62bbvzd2equalzf3zd2rtl_getfi1907z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3871z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f4152za7,
		BGl_z62bbvzd2equalzf3zd2rtl_vallo1909z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3790z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2632za7624153z00,
		BGl_z62lambda2632z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3872z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f4154za7,
		BGl_z62bbvzd2equalzf3zd2rtl_vref1911z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3791z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2681za7624155z00,
		BGl_z62lambda2681z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3873z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f4156za7,
		BGl_z62bbvzd2equalzf3zd2rtl_vleng1913z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3792z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2680za7624157z00,
		BGl_z62lambda2680z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3874z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f4158za7,
		BGl_z62bbvzd2equalzf3zd2rtl_insta1915z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3793z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo4159za7,
		BGl_z62zc3z04anonymousza32700ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3875z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f4160za7,
		BGl_z62bbvzd2equalzf3zd2rtl_store1917z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3794z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2699za7624161z00,
		BGl_z62lambda2699z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3876z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f4162za7,
		BGl_z62bbvzd2equalzf3zd2rtl_setfi1919z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3795z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2698za7624163z00,
		BGl_z62lambda2698z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3877z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f4164za7,
		BGl_z62bbvzd2equalzf3zd2rtl_vset1921z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3796z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2713za7624165z00,
		BGl_z62lambda2713z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3878z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f4166za7,
		BGl_z62bbvzd2equalzf3zd2rtl_new1923z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3797z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2712za7624167z00,
		BGl_z62lambda2712z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3885z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3885za700za7za7s4168za7, "block-preds-update!", 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3879z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f4169za7,
		BGl_z62bbvzd2equalzf3zd2rtl_call1925z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3798z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo4170za7,
		BGl_z62zc3z04anonymousza32724ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3886z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3886za700za7za7s4171za7, "(blockS ", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3799z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2723za7624172z00,
		BGl_z62lambda2723z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3887z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3887za700za7za7s4173za7, ":parent ", 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2queuezd2lengthzd2envzd2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2queueza7d4174za7,
		BGl_z62bbvzd2queuezd2lengthz62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3888z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3888za700za7za7s4175za7, ":merge ", 7);
	      DEFINE_STRING(BGl_string3889z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3889za700za7za7s4176za7, ":preds ", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3880z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f4177za7,
		BGl_z62bbvzd2equalzf3zd2rtl_light1927z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3881z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f4178za7,
		BGl_z62bbvzd2equalzf3zd2rtl_pragm1929z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3882z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f4179za7,
		BGl_z62bbvzd2equalzf3zd2rtl_cast1931z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3883z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f4180za7,
		BGl_z62bbvzd2equalzf3zd2rtl_cast_1933z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string3890z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3890za700za7za7s4181za7, ":succs ", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3884z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762blockza7d2preds4182z00,
		BGl_z62blockzd2predszd2updatez12zd21937za2zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string3891z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3891za700za7za7s4183za7, ":ctx ", 5);
	      DEFINE_STRING(BGl_string3892z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3892za700za7za7s4184za7, ":cnt ", 5);
	      DEFINE_STRING(BGl_string3893z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3893za700za7za7s4185za7, ":asleep ", 8);
	      DEFINE_STRING(BGl_string3894z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3894za700za7za7s4186za7, "\n )\n", 4);
	      DEFINE_STRING(BGl_string3895z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3895za700za7za7s4187za7, "(blockV ", 8);
	      DEFINE_STRING(BGl_string3896z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3896za700za7za7s4188za7, "[", 1);
	      DEFINE_STRING(BGl_string3897z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3897za700za7za7s4189za7, "(", 1);
	      DEFINE_STRING(BGl_string3898z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3898za700za7za7s4190za7, " <- ", 4);
	      DEFINE_STRING(BGl_string3899z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3899za700za7za7s4191za7, ")", 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unaliaszd2ctxzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762unaliasza7d2ctx4192z00,
		BGl_z62unaliaszd2ctxzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2falsezf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2fal4193z00,
		BGl_z62rtl_inszd2falsezf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_extendzd2ctxzf2entryza2zd2envz50zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762extendza7d2ctxza74194za7, va_generic_entry,
		BGl_z62extendzd2ctxzf2entryza2ze0zzsaw_bbvzd2typeszd2, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2pragmazf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2pra4195z00,
		BGl_z62rtl_inszd2pragmazf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2boolzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2boo4196z00,
		BGl_z62rtl_inszd2boolzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzf3zd2envz21zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7f3za791za74197z00,
		BGl_z62regsetzf3z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7b04198za7,
		BGl_z62bbvzd2hashzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2keyzd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza74199za7,
		BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_callzd2valueszd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_callza7d2va4200z00,
		BGl_z62rtl_callzd2valueszb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2fxovopzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2fxo4201z00,
		BGl_z62rtl_inszd2fxovopzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2setz12zd2envz32zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza74202za7,
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2movzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2mov4203z00,
		BGl_z62rtl_inszd2movzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxzd2equalzf3zd2envz21zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2ctxza7d2e4204za7,
		BGl_z62bbvzd2ctxzd2equalzf3z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2reglzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7d2regl4205z00,
		BGl_z62regsetzd2reglzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_bbvzd2typeszd2));
		     ADD_ROOT((void *) (&BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2));
		     ADD_ROOT((void *) (&BGl_blockSz00zzsaw_bbvzd2typeszd2));
		     ADD_ROOT((void *) (&BGl_blockVz00zzsaw_bbvzd2typeszd2));
		     ADD_ROOT((void *) (&BGl_bbvzd2queuezd2zzsaw_bbvzd2typeszd2));
		     ADD_ROOT((void *) (&BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(long
		BgL_checksumz00_10104, char *BgL_fromz00_10105)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_bbvzd2typeszd2))
				{
					BGl_requirezd2initializa7ationz75zzsaw_bbvzd2typeszd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_bbvzd2typeszd2();
					BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2typeszd2();
					BGl_cnstzd2initzd2zzsaw_bbvzd2typeszd2();
					BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2typeszd2();
					BGl_objectzd2initzd2zzsaw_bbvzd2typeszd2();
					BGl_genericzd2initzd2zzsaw_bbvzd2typeszd2();
					BGl_methodzd2initzd2zzsaw_bbvzd2typeszd2();
					return BGl_toplevelzd2initzd2zzsaw_bbvzd2typeszd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2typeszd2(void)
	{
		{	/* SawBbv/bbv-types.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L,
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__hashz00(0L, "saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(0L,
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L,
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "saw_bbv-types");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_bbvzd2typeszd2(void)
	{
		{	/* SawBbv/bbv-types.scm 15 */
			{	/* SawBbv/bbv-types.scm 15 */
				obj_t BgL_cportz00_8916;

				{	/* SawBbv/bbv-types.scm 15 */
					obj_t BgL_stringz00_8923;

					BgL_stringz00_8923 = BGl_string3911z00zzsaw_bbvzd2typeszd2;
					{	/* SawBbv/bbv-types.scm 15 */
						obj_t BgL_startz00_8924;

						BgL_startz00_8924 = BINT(0L);
						{	/* SawBbv/bbv-types.scm 15 */
							obj_t BgL_endz00_8925;

							BgL_endz00_8925 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_8923)));
							{	/* SawBbv/bbv-types.scm 15 */

								BgL_cportz00_8916 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_8923, BgL_startz00_8924, BgL_endz00_8925);
				}}}}
				{
					long BgL_iz00_8917;

					BgL_iz00_8917 = 47L;
				BgL_loopz00_8918:
					if ((BgL_iz00_8917 == (-1L)))
						{	/* SawBbv/bbv-types.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* SawBbv/bbv-types.scm 15 */
							{	/* SawBbv/bbv-types.scm 15 */
								obj_t BgL_arg3912z00_8919;

								{	/* SawBbv/bbv-types.scm 15 */

									{	/* SawBbv/bbv-types.scm 15 */
										obj_t BgL_locationz00_8921;

										BgL_locationz00_8921 = BBOOL(((bool_t) 0));
										{	/* SawBbv/bbv-types.scm 15 */

											BgL_arg3912z00_8919 =
												BGl_readz00zz__readerz00(BgL_cportz00_8916,
												BgL_locationz00_8921);
										}
									}
								}
								{	/* SawBbv/bbv-types.scm 15 */
									int BgL_tmpz00_10142;

									BgL_tmpz00_10142 = (int) (BgL_iz00_8917);
									CNST_TABLE_SET(BgL_tmpz00_10142, BgL_arg3912z00_8919);
							}}
							{	/* SawBbv/bbv-types.scm 15 */
								int BgL_auxz00_8922;

								BgL_auxz00_8922 = (int) ((BgL_iz00_8917 - 1L));
								{
									long BgL_iz00_10147;

									BgL_iz00_10147 = (long) (BgL_auxz00_8922);
									BgL_iz00_8917 = BgL_iz00_10147;
									goto BgL_loopz00_8918;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_bbvzd2typeszd2(void)
	{
		{	/* SawBbv/bbv-types.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_bbvzd2typeszd2(void)
	{
		{	/* SawBbv/bbv-types.scm 15 */
			BGl_za2bbvzd2ctxzd2idza2z00zzsaw_bbvzd2typeszd2 = 0L;
			BGl_za2bbzd2markza2zd2zzsaw_bbvzd2typeszd2 = (-1L);
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzsaw_bbvzd2typeszd2(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_2164;

					BgL_headz00_2164 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_2165;
						obj_t BgL_tailz00_2166;

						BgL_prevz00_2165 = BgL_headz00_2164;
						BgL_tailz00_2166 = BgL_l1z00_1;
					BgL_loopz00_2167:
						if (PAIRP(BgL_tailz00_2166))
							{
								obj_t BgL_newzd2prevzd2_2169;

								BgL_newzd2prevzd2_2169 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_2166), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_2165, BgL_newzd2prevzd2_2169);
								{
									obj_t BgL_tailz00_10159;
									obj_t BgL_prevz00_10158;

									BgL_prevz00_10158 = BgL_newzd2prevzd2_2169;
									BgL_tailz00_10159 = CDR(BgL_tailz00_2166);
									BgL_tailz00_2166 = BgL_tailz00_10159;
									BgL_prevz00_2165 = BgL_prevz00_10158;
									goto BgL_loopz00_2167;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_2164);
					}
				}
		}

	}



/* make-rtl_reg/ra */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2typeszd2(BgL_typez00_bglt
		BgL_type1179z00_3, obj_t BgL_var1180z00_4, obj_t BgL_onexprzf31181zf3_5,
		obj_t BgL_name1182z00_6, obj_t BgL_key1183z00_7,
		obj_t BgL_hardware1184z00_8, int BgL_num1185z00_9,
		obj_t BgL_color1186z00_10, obj_t BgL_coalesce1187z00_11,
		int BgL_occurrences1188z00_12, obj_t BgL_interfere1189z00_13,
		obj_t BgL_interfere21190z00_14)
	{
		{	/* SawMill/regset.sch 55 */
			{	/* SawMill/regset.sch 55 */
				BgL_rtl_regz00_bglt BgL_new1232z00_8927;

				{	/* SawMill/regset.sch 55 */
					BgL_rtl_regz00_bglt BgL_tmp1230z00_8928;
					BgL_rtl_regzf2razf2_bglt BgL_wide1231z00_8929;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_10162;

						{	/* SawMill/regset.sch 55 */
							BgL_rtl_regz00_bglt BgL_new1229z00_8930;

							BgL_new1229z00_8930 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/regset.sch 55 */
								long BgL_arg1944z00_8931;

								BgL_arg1944z00_8931 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1229z00_8930),
									BgL_arg1944z00_8931);
							}
							{	/* SawMill/regset.sch 55 */
								BgL_objectz00_bglt BgL_tmpz00_10167;

								BgL_tmpz00_10167 = ((BgL_objectz00_bglt) BgL_new1229z00_8930);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10167, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1229z00_8930);
							BgL_auxz00_10162 = BgL_new1229z00_8930;
						}
						BgL_tmp1230z00_8928 = ((BgL_rtl_regz00_bglt) BgL_auxz00_10162);
					}
					BgL_wide1231z00_8929 =
						((BgL_rtl_regzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regzf2razf2_bgl))));
					{	/* SawMill/regset.sch 55 */
						obj_t BgL_auxz00_10175;
						BgL_objectz00_bglt BgL_tmpz00_10173;

						BgL_auxz00_10175 = ((obj_t) BgL_wide1231z00_8929);
						BgL_tmpz00_10173 = ((BgL_objectz00_bglt) BgL_tmp1230z00_8928);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10173, BgL_auxz00_10175);
					}
					((BgL_objectz00_bglt) BgL_tmp1230z00_8928);
					{	/* SawMill/regset.sch 55 */
						long BgL_arg1943z00_8932;

						BgL_arg1943z00_8932 =
							BGL_CLASS_NUM(BGl_rtl_regzf2razf2zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1230z00_8928), BgL_arg1943z00_8932);
					}
					BgL_new1232z00_8927 = ((BgL_rtl_regz00_bglt) BgL_tmp1230z00_8928);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1232z00_8927)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1179z00_3), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1232z00_8927)))->BgL_varz00) =
					((obj_t) BgL_var1180z00_4), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1232z00_8927)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31181zf3_5), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1232z00_8927)))->BgL_namez00) =
					((obj_t) BgL_name1182z00_6), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1232z00_8927)))->BgL_keyz00) =
					((obj_t) BgL_key1183z00_7), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1232z00_8927)))->BgL_debugnamez00) =
					((obj_t) BFALSE), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1232z00_8927)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1184z00_8), BUNSPEC);
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_10197;

					{
						obj_t BgL_auxz00_10198;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_10199;

							BgL_tmpz00_10199 = ((BgL_objectz00_bglt) BgL_new1232z00_8927);
							BgL_auxz00_10198 = BGL_OBJECT_WIDENING(BgL_tmpz00_10199);
						}
						BgL_auxz00_10197 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_10198);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_10197))->
							BgL_numz00) = ((int) BgL_num1185z00_9), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_10204;

					{
						obj_t BgL_auxz00_10205;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_10206;

							BgL_tmpz00_10206 = ((BgL_objectz00_bglt) BgL_new1232z00_8927);
							BgL_auxz00_10205 = BGL_OBJECT_WIDENING(BgL_tmpz00_10206);
						}
						BgL_auxz00_10204 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_10205);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_10204))->
							BgL_colorz00) = ((obj_t) BgL_color1186z00_10), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_10211;

					{
						obj_t BgL_auxz00_10212;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_10213;

							BgL_tmpz00_10213 = ((BgL_objectz00_bglt) BgL_new1232z00_8927);
							BgL_auxz00_10212 = BGL_OBJECT_WIDENING(BgL_tmpz00_10213);
						}
						BgL_auxz00_10211 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_10212);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_10211))->
							BgL_coalescez00) = ((obj_t) BgL_coalesce1187z00_11), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_10218;

					{
						obj_t BgL_auxz00_10219;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_10220;

							BgL_tmpz00_10220 = ((BgL_objectz00_bglt) BgL_new1232z00_8927);
							BgL_auxz00_10219 = BGL_OBJECT_WIDENING(BgL_tmpz00_10220);
						}
						BgL_auxz00_10218 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_10219);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_10218))->
							BgL_occurrencesz00) = ((int) BgL_occurrences1188z00_12), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_10225;

					{
						obj_t BgL_auxz00_10226;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_10227;

							BgL_tmpz00_10227 = ((BgL_objectz00_bglt) BgL_new1232z00_8927);
							BgL_auxz00_10226 = BGL_OBJECT_WIDENING(BgL_tmpz00_10227);
						}
						BgL_auxz00_10225 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_10226);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_10225))->
							BgL_interferez00) = ((obj_t) BgL_interfere1189z00_13), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_10232;

					{
						obj_t BgL_auxz00_10233;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_10234;

							BgL_tmpz00_10234 = ((BgL_objectz00_bglt) BgL_new1232z00_8927);
							BgL_auxz00_10233 = BGL_OBJECT_WIDENING(BgL_tmpz00_10234);
						}
						BgL_auxz00_10232 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_10233);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_10232))->
							BgL_interfere2z00) = ((obj_t) BgL_interfere21190z00_14), BUNSPEC);
				}
				return BgL_new1232z00_8927;
			}
		}

	}



/* &make-rtl_reg/ra */
	BgL_rtl_regz00_bglt BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8065, obj_t BgL_type1179z00_8066, obj_t BgL_var1180z00_8067,
		obj_t BgL_onexprzf31181zf3_8068, obj_t BgL_name1182z00_8069,
		obj_t BgL_key1183z00_8070, obj_t BgL_hardware1184z00_8071,
		obj_t BgL_num1185z00_8072, obj_t BgL_color1186z00_8073,
		obj_t BgL_coalesce1187z00_8074, obj_t BgL_occurrences1188z00_8075,
		obj_t BgL_interfere1189z00_8076, obj_t BgL_interfere21190z00_8077)
	{
		{	/* SawMill/regset.sch 55 */
			return
				BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2typeszd2(
				((BgL_typez00_bglt) BgL_type1179z00_8066), BgL_var1180z00_8067,
				BgL_onexprzf31181zf3_8068, BgL_name1182z00_8069, BgL_key1183z00_8070,
				BgL_hardware1184z00_8071, CINT(BgL_num1185z00_8072),
				BgL_color1186z00_8073, BgL_coalesce1187z00_8074,
				CINT(BgL_occurrences1188z00_8075), BgL_interfere1189z00_8076,
				BgL_interfere21190z00_8077);
		}

	}



/* rtl_reg/ra? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_regzf2razf3z01zzsaw_bbvzd2typeszd2(obj_t
		BgL_objz00_15)
	{
		{	/* SawMill/regset.sch 56 */
			{	/* SawMill/regset.sch 56 */
				obj_t BgL_classz00_8933;

				BgL_classz00_8933 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_15))
					{	/* SawMill/regset.sch 56 */
						BgL_objectz00_bglt BgL_arg1858z00_8934;

						BgL_arg1858z00_8934 = (BgL_objectz00_bglt) (BgL_objz00_15);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/regset.sch 56 */
								long BgL_idxz00_8935;

								BgL_idxz00_8935 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_8934);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8935 + 2L)) == BgL_classz00_8933);
							}
						else
							{	/* SawMill/regset.sch 56 */
								bool_t BgL_res3607z00_8938;

								{	/* SawMill/regset.sch 56 */
									obj_t BgL_oclassz00_8939;

									{	/* SawMill/regset.sch 56 */
										obj_t BgL_arg1866z00_8940;
										long BgL_arg1867z00_8941;

										BgL_arg1866z00_8940 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/regset.sch 56 */
											long BgL_arg1869z00_8942;

											BgL_arg1869z00_8942 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_8934);
											BgL_arg1867z00_8941 = (BgL_arg1869z00_8942 - OBJECT_TYPE);
										}
										BgL_oclassz00_8939 =
											VECTOR_REF(BgL_arg1866z00_8940, BgL_arg1867z00_8941);
									}
									{	/* SawMill/regset.sch 56 */
										bool_t BgL__ortest_1115z00_8943;

										BgL__ortest_1115z00_8943 =
											(BgL_classz00_8933 == BgL_oclassz00_8939);
										if (BgL__ortest_1115z00_8943)
											{	/* SawMill/regset.sch 56 */
												BgL_res3607z00_8938 = BgL__ortest_1115z00_8943;
											}
										else
											{	/* SawMill/regset.sch 56 */
												long BgL_odepthz00_8944;

												{	/* SawMill/regset.sch 56 */
													obj_t BgL_arg1855z00_8945;

													BgL_arg1855z00_8945 = (BgL_oclassz00_8939);
													BgL_odepthz00_8944 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_8945);
												}
												if ((2L < BgL_odepthz00_8944))
													{	/* SawMill/regset.sch 56 */
														obj_t BgL_arg1853z00_8946;

														{	/* SawMill/regset.sch 56 */
															obj_t BgL_arg1854z00_8947;

															BgL_arg1854z00_8947 = (BgL_oclassz00_8939);
															BgL_arg1853z00_8946 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_8947,
																2L);
														}
														BgL_res3607z00_8938 =
															(BgL_arg1853z00_8946 == BgL_classz00_8933);
													}
												else
													{	/* SawMill/regset.sch 56 */
														BgL_res3607z00_8938 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3607z00_8938;
							}
					}
				else
					{	/* SawMill/regset.sch 56 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_reg/ra? */
	obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8078,
		obj_t BgL_objz00_8079)
	{
		{	/* SawMill/regset.sch 56 */
			return BBOOL(BGl_rtl_regzf2razf3z01zzsaw_bbvzd2typeszd2(BgL_objz00_8079));
		}

	}



/* rtl_reg/ra-nil */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2typeszd2(void)
	{
		{	/* SawMill/regset.sch 57 */
			{	/* SawMill/regset.sch 57 */
				obj_t BgL_classz00_4833;

				BgL_classz00_4833 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				{	/* SawMill/regset.sch 57 */
					obj_t BgL__ortest_1117z00_4834;

					BgL__ortest_1117z00_4834 = BGL_CLASS_NIL(BgL_classz00_4833);
					if (CBOOL(BgL__ortest_1117z00_4834))
						{	/* SawMill/regset.sch 57 */
							return ((BgL_rtl_regz00_bglt) BgL__ortest_1117z00_4834);
						}
					else
						{	/* SawMill/regset.sch 57 */
							return
								((BgL_rtl_regz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4833));
						}
				}
			}
		}

	}



/* &rtl_reg/ra-nil */
	BgL_rtl_regz00_bglt BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8080)
	{
		{	/* SawMill/regset.sch 57 */
			return BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2typeszd2();
		}

	}



/* rtl_reg/ra-interfere2 */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_16)
	{
		{	/* SawMill/regset.sch 58 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_10274;

				{
					obj_t BgL_auxz00_10275;

					{	/* SawMill/regset.sch 58 */
						BgL_objectz00_bglt BgL_tmpz00_10276;

						BgL_tmpz00_10276 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_10275 = BGL_OBJECT_WIDENING(BgL_tmpz00_10276);
					}
					BgL_auxz00_10274 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_10275);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_10274))->
					BgL_interfere2z00);
			}
		}

	}



/* &rtl_reg/ra-interfere2 */
	obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8081, obj_t BgL_oz00_8082)
	{
		{	/* SawMill/regset.sch 58 */
			return
				BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_8082));
		}

	}



/* rtl_reg/ra-interfere2-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt BgL_oz00_17, obj_t BgL_vz00_18)
	{
		{	/* SawMill/regset.sch 59 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_10283;

				{
					obj_t BgL_auxz00_10284;

					{	/* SawMill/regset.sch 59 */
						BgL_objectz00_bglt BgL_tmpz00_10285;

						BgL_tmpz00_10285 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_10284 = BGL_OBJECT_WIDENING(BgL_tmpz00_10285);
					}
					BgL_auxz00_10283 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_10284);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_10283))->
						BgL_interfere2z00) = ((obj_t) BgL_vz00_18), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere2-set! */
	obj_t BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8083, obj_t BgL_oz00_8084, obj_t BgL_vz00_8085)
	{
		{	/* SawMill/regset.sch 59 */
			return
				BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_8084), BgL_vz00_8085);
		}

	}



/* rtl_reg/ra-interfere */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_19)
	{
		{	/* SawMill/regset.sch 60 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_10292;

				{
					obj_t BgL_auxz00_10293;

					{	/* SawMill/regset.sch 60 */
						BgL_objectz00_bglt BgL_tmpz00_10294;

						BgL_tmpz00_10294 = ((BgL_objectz00_bglt) BgL_oz00_19);
						BgL_auxz00_10293 = BGL_OBJECT_WIDENING(BgL_tmpz00_10294);
					}
					BgL_auxz00_10292 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_10293);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_10292))->
					BgL_interferez00);
			}
		}

	}



/* &rtl_reg/ra-interfere */
	obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8086, obj_t BgL_oz00_8087)
	{
		{	/* SawMill/regset.sch 60 */
			return
				BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_8087));
		}

	}



/* rtl_reg/ra-interfere-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt BgL_oz00_20, obj_t BgL_vz00_21)
	{
		{	/* SawMill/regset.sch 61 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_10301;

				{
					obj_t BgL_auxz00_10302;

					{	/* SawMill/regset.sch 61 */
						BgL_objectz00_bglt BgL_tmpz00_10303;

						BgL_tmpz00_10303 = ((BgL_objectz00_bglt) BgL_oz00_20);
						BgL_auxz00_10302 = BGL_OBJECT_WIDENING(BgL_tmpz00_10303);
					}
					BgL_auxz00_10301 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_10302);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_10301))->
						BgL_interferez00) = ((obj_t) BgL_vz00_21), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere-set! */
	obj_t BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8088, obj_t BgL_oz00_8089, obj_t BgL_vz00_8090)
	{
		{	/* SawMill/regset.sch 61 */
			return
				BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_8089), BgL_vz00_8090);
		}

	}



/* rtl_reg/ra-occurrences */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_22)
	{
		{	/* SawMill/regset.sch 62 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_10310;

				{
					obj_t BgL_auxz00_10311;

					{	/* SawMill/regset.sch 62 */
						BgL_objectz00_bglt BgL_tmpz00_10312;

						BgL_tmpz00_10312 = ((BgL_objectz00_bglt) BgL_oz00_22);
						BgL_auxz00_10311 = BGL_OBJECT_WIDENING(BgL_tmpz00_10312);
					}
					BgL_auxz00_10310 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_10311);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_10310))->
					BgL_occurrencesz00);
			}
		}

	}



/* &rtl_reg/ra-occurrences */
	obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8091, obj_t BgL_oz00_8092)
	{
		{	/* SawMill/regset.sch 62 */
			return
				BINT(BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2typeszd2(
					((BgL_rtl_regz00_bglt) BgL_oz00_8092)));
		}

	}



/* rtl_reg/ra-occurrences-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt BgL_oz00_23, int BgL_vz00_24)
	{
		{	/* SawMill/regset.sch 63 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_10320;

				{
					obj_t BgL_auxz00_10321;

					{	/* SawMill/regset.sch 63 */
						BgL_objectz00_bglt BgL_tmpz00_10322;

						BgL_tmpz00_10322 = ((BgL_objectz00_bglt) BgL_oz00_23);
						BgL_auxz00_10321 = BGL_OBJECT_WIDENING(BgL_tmpz00_10322);
					}
					BgL_auxz00_10320 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_10321);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_10320))->
						BgL_occurrencesz00) = ((int) BgL_vz00_24), BUNSPEC);
		}}

	}



/* &rtl_reg/ra-occurrences-set! */
	obj_t BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8093, obj_t BgL_oz00_8094, obj_t BgL_vz00_8095)
	{
		{	/* SawMill/regset.sch 63 */
			return
				BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_8094), CINT(BgL_vz00_8095));
		}

	}



/* rtl_reg/ra-coalesce */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_25)
	{
		{	/* SawMill/regset.sch 64 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_10330;

				{
					obj_t BgL_auxz00_10331;

					{	/* SawMill/regset.sch 64 */
						BgL_objectz00_bglt BgL_tmpz00_10332;

						BgL_tmpz00_10332 = ((BgL_objectz00_bglt) BgL_oz00_25);
						BgL_auxz00_10331 = BGL_OBJECT_WIDENING(BgL_tmpz00_10332);
					}
					BgL_auxz00_10330 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_10331);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_10330))->
					BgL_coalescez00);
			}
		}

	}



/* &rtl_reg/ra-coalesce */
	obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8096, obj_t BgL_oz00_8097)
	{
		{	/* SawMill/regset.sch 64 */
			return
				BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_8097));
		}

	}



/* rtl_reg/ra-coalesce-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt BgL_oz00_26, obj_t BgL_vz00_27)
	{
		{	/* SawMill/regset.sch 65 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_10339;

				{
					obj_t BgL_auxz00_10340;

					{	/* SawMill/regset.sch 65 */
						BgL_objectz00_bglt BgL_tmpz00_10341;

						BgL_tmpz00_10341 = ((BgL_objectz00_bglt) BgL_oz00_26);
						BgL_auxz00_10340 = BGL_OBJECT_WIDENING(BgL_tmpz00_10341);
					}
					BgL_auxz00_10339 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_10340);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_10339))->
						BgL_coalescez00) = ((obj_t) BgL_vz00_27), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-coalesce-set! */
	obj_t BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8098, obj_t BgL_oz00_8099, obj_t BgL_vz00_8100)
	{
		{	/* SawMill/regset.sch 65 */
			return
				BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_8099), BgL_vz00_8100);
		}

	}



/* rtl_reg/ra-color */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_28)
	{
		{	/* SawMill/regset.sch 66 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_10348;

				{
					obj_t BgL_auxz00_10349;

					{	/* SawMill/regset.sch 66 */
						BgL_objectz00_bglt BgL_tmpz00_10350;

						BgL_tmpz00_10350 = ((BgL_objectz00_bglt) BgL_oz00_28);
						BgL_auxz00_10349 = BGL_OBJECT_WIDENING(BgL_tmpz00_10350);
					}
					BgL_auxz00_10348 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_10349);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_10348))->
					BgL_colorz00);
			}
		}

	}



/* &rtl_reg/ra-color */
	obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8101, obj_t BgL_oz00_8102)
	{
		{	/* SawMill/regset.sch 66 */
			return
				BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_8102));
		}

	}



/* rtl_reg/ra-color-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* SawMill/regset.sch 67 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_10357;

				{
					obj_t BgL_auxz00_10358;

					{	/* SawMill/regset.sch 67 */
						BgL_objectz00_bglt BgL_tmpz00_10359;

						BgL_tmpz00_10359 = ((BgL_objectz00_bglt) BgL_oz00_29);
						BgL_auxz00_10358 = BGL_OBJECT_WIDENING(BgL_tmpz00_10359);
					}
					BgL_auxz00_10357 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_10358);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_10357))->
						BgL_colorz00) = ((obj_t) BgL_vz00_30), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-color-set! */
	obj_t BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8103, obj_t BgL_oz00_8104, obj_t BgL_vz00_8105)
	{
		{	/* SawMill/regset.sch 67 */
			return
				BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_8104), BgL_vz00_8105);
		}

	}



/* rtl_reg/ra-num */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_31)
	{
		{	/* SawMill/regset.sch 68 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_10366;

				{
					obj_t BgL_auxz00_10367;

					{	/* SawMill/regset.sch 68 */
						BgL_objectz00_bglt BgL_tmpz00_10368;

						BgL_tmpz00_10368 = ((BgL_objectz00_bglt) BgL_oz00_31);
						BgL_auxz00_10367 = BGL_OBJECT_WIDENING(BgL_tmpz00_10368);
					}
					BgL_auxz00_10366 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_10367);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_10366))->BgL_numz00);
			}
		}

	}



/* &rtl_reg/ra-num */
	obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8106,
		obj_t BgL_oz00_8107)
	{
		{	/* SawMill/regset.sch 68 */
			return
				BINT(BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2typeszd2(
					((BgL_rtl_regz00_bglt) BgL_oz00_8107)));
		}

	}



/* rtl_reg/ra-hardware */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_34)
	{
		{	/* SawMill/regset.sch 70 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_34)))->BgL_hardwarez00);
		}

	}



/* &rtl_reg/ra-hardware */
	obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8108, obj_t BgL_oz00_8109)
	{
		{	/* SawMill/regset.sch 70 */
			return
				BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_8109));
		}

	}



/* rtl_reg/ra-key */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_37)
	{
		{	/* SawMill/regset.sch 72 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_37)))->BgL_keyz00);
		}

	}



/* &rtl_reg/ra-key */
	obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8110,
		obj_t BgL_oz00_8111)
	{
		{	/* SawMill/regset.sch 72 */
			return
				BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_8111));
		}

	}



/* rtl_reg/ra-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_40)
	{
		{	/* SawMill/regset.sch 74 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_40)))->BgL_namez00);
		}

	}



/* &rtl_reg/ra-name */
	obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8112,
		obj_t BgL_oz00_8113)
	{
		{	/* SawMill/regset.sch 74 */
			return
				BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_8113));
		}

	}



/* rtl_reg/ra-onexpr? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_43)
	{
		{	/* SawMill/regset.sch 76 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_43)))->BgL_onexprzf3zf3);
		}

	}



/* &rtl_reg/ra-onexpr? */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8114, obj_t BgL_oz00_8115)
	{
		{	/* SawMill/regset.sch 76 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_8115));
		}

	}



/* rtl_reg/ra-onexpr?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* SawMill/regset.sch 77 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_44)))->BgL_onexprzf3zf3) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &rtl_reg/ra-onexpr?-set! */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8116, obj_t BgL_oz00_8117, obj_t BgL_vz00_8118)
	{
		{	/* SawMill/regset.sch 77 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_8117), BgL_vz00_8118);
		}

	}



/* rtl_reg/ra-var */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_46)
	{
		{	/* SawMill/regset.sch 78 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_46)))->BgL_varz00);
		}

	}



/* &rtl_reg/ra-var */
	obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8119,
		obj_t BgL_oz00_8120)
	{
		{	/* SawMill/regset.sch 78 */
			return
				BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_8120));
		}

	}



/* rtl_reg/ra-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		{	/* SawMill/regset.sch 79 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_47)))->BgL_varz00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &rtl_reg/ra-var-set! */
	obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8121, obj_t BgL_oz00_8122, obj_t BgL_vz00_8123)
	{
		{	/* SawMill/regset.sch 79 */
			return
				BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_8122), BgL_vz00_8123);
		}

	}



/* rtl_reg/ra-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_49)
	{
		{	/* SawMill/regset.sch 80 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_49)))->BgL_typez00);
		}

	}



/* &rtl_reg/ra-type */
	BgL_typez00_bglt BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8124, obj_t BgL_oz00_8125)
	{
		{	/* SawMill/regset.sch 80 */
			return
				BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_8125));
		}

	}



/* rtl_reg/ra-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_50, BgL_typez00_bglt BgL_vz00_51)
	{
		{	/* SawMill/regset.sch 81 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_50)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_51), BUNSPEC);
		}

	}



/* &rtl_reg/ra-type-set! */
	obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8126, obj_t BgL_oz00_8127, obj_t BgL_vz00_8128)
	{
		{	/* SawMill/regset.sch 81 */
			return
				BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_8127),
				((BgL_typez00_bglt) BgL_vz00_8128));
		}

	}



/* make-regset */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_makezd2regsetzd2zzsaw_bbvzd2typeszd2(int BgL_length1172z00_52,
		int BgL_msiza7e1173za7_53, obj_t BgL_regv1174z00_54,
		obj_t BgL_regl1175z00_55, obj_t BgL_string1176z00_56)
	{
		{	/* SawMill/regset.sch 84 */
			{	/* SawMill/regset.sch 84 */
				BgL_regsetz00_bglt BgL_new1234z00_8948;

				{	/* SawMill/regset.sch 84 */
					BgL_regsetz00_bglt BgL_new1233z00_8949;

					BgL_new1233z00_8949 =
						((BgL_regsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_regsetz00_bgl))));
					{	/* SawMill/regset.sch 84 */
						long BgL_arg1945z00_8950;

						BgL_arg1945z00_8950 = BGL_CLASS_NUM(BGl_regsetz00zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1233z00_8949), BgL_arg1945z00_8950);
					}
					BgL_new1234z00_8948 = BgL_new1233z00_8949;
				}
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1234z00_8948))->BgL_lengthz00) =
					((int) BgL_length1172z00_52), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1234z00_8948))->BgL_msiza7eza7) =
					((int) BgL_msiza7e1173za7_53), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1234z00_8948))->BgL_regvz00) =
					((obj_t) BgL_regv1174z00_54), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1234z00_8948))->BgL_reglz00) =
					((obj_t) BgL_regl1175z00_55), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1234z00_8948))->BgL_stringz00) =
					((obj_t) BgL_string1176z00_56), BUNSPEC);
				return BgL_new1234z00_8948;
			}
		}

	}



/* &make-regset */
	BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8129, obj_t BgL_length1172z00_8130,
		obj_t BgL_msiza7e1173za7_8131, obj_t BgL_regv1174z00_8132,
		obj_t BgL_regl1175z00_8133, obj_t BgL_string1176z00_8134)
	{
		{	/* SawMill/regset.sch 84 */
			return
				BGl_makezd2regsetzd2zzsaw_bbvzd2typeszd2(CINT(BgL_length1172z00_8130),
				CINT(BgL_msiza7e1173za7_8131), BgL_regv1174z00_8132,
				BgL_regl1175z00_8133, BgL_string1176z00_8134);
		}

	}



/* regset? */
	BGL_EXPORTED_DEF bool_t BGl_regsetzf3zf3zzsaw_bbvzd2typeszd2(obj_t
		BgL_objz00_57)
	{
		{	/* SawMill/regset.sch 85 */
			{	/* SawMill/regset.sch 85 */
				obj_t BgL_classz00_8951;

				BgL_classz00_8951 = BGl_regsetz00zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_57))
					{	/* SawMill/regset.sch 85 */
						BgL_objectz00_bglt BgL_arg1858z00_8952;

						BgL_arg1858z00_8952 = (BgL_objectz00_bglt) (BgL_objz00_57);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/regset.sch 85 */
								long BgL_idxz00_8953;

								BgL_idxz00_8953 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_8952);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8953 + 1L)) == BgL_classz00_8951);
							}
						else
							{	/* SawMill/regset.sch 85 */
								bool_t BgL_res3608z00_8956;

								{	/* SawMill/regset.sch 85 */
									obj_t BgL_oclassz00_8957;

									{	/* SawMill/regset.sch 85 */
										obj_t BgL_arg1866z00_8958;
										long BgL_arg1867z00_8959;

										BgL_arg1866z00_8958 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/regset.sch 85 */
											long BgL_arg1869z00_8960;

											BgL_arg1869z00_8960 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_8952);
											BgL_arg1867z00_8959 = (BgL_arg1869z00_8960 - OBJECT_TYPE);
										}
										BgL_oclassz00_8957 =
											VECTOR_REF(BgL_arg1866z00_8958, BgL_arg1867z00_8959);
									}
									{	/* SawMill/regset.sch 85 */
										bool_t BgL__ortest_1115z00_8961;

										BgL__ortest_1115z00_8961 =
											(BgL_classz00_8951 == BgL_oclassz00_8957);
										if (BgL__ortest_1115z00_8961)
											{	/* SawMill/regset.sch 85 */
												BgL_res3608z00_8956 = BgL__ortest_1115z00_8961;
											}
										else
											{	/* SawMill/regset.sch 85 */
												long BgL_odepthz00_8962;

												{	/* SawMill/regset.sch 85 */
													obj_t BgL_arg1855z00_8963;

													BgL_arg1855z00_8963 = (BgL_oclassz00_8957);
													BgL_odepthz00_8962 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_8963);
												}
												if ((1L < BgL_odepthz00_8962))
													{	/* SawMill/regset.sch 85 */
														obj_t BgL_arg1853z00_8964;

														{	/* SawMill/regset.sch 85 */
															obj_t BgL_arg1854z00_8965;

															BgL_arg1854z00_8965 = (BgL_oclassz00_8957);
															BgL_arg1853z00_8964 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_8965,
																1L);
														}
														BgL_res3608z00_8956 =
															(BgL_arg1853z00_8964 == BgL_classz00_8951);
													}
												else
													{	/* SawMill/regset.sch 85 */
														BgL_res3608z00_8956 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3608z00_8956;
							}
					}
				else
					{	/* SawMill/regset.sch 85 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &regset? */
	obj_t BGl_z62regsetzf3z91zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8135,
		obj_t BgL_objz00_8136)
	{
		{	/* SawMill/regset.sch 85 */
			return BBOOL(BGl_regsetzf3zf3zzsaw_bbvzd2typeszd2(BgL_objz00_8136));
		}

	}



/* regset-nil */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_regsetzd2nilzd2zzsaw_bbvzd2typeszd2(void)
	{
		{	/* SawMill/regset.sch 86 */
			{	/* SawMill/regset.sch 86 */
				obj_t BgL_classz00_4886;

				BgL_classz00_4886 = BGl_regsetz00zzsaw_regsetz00;
				{	/* SawMill/regset.sch 86 */
					obj_t BgL__ortest_1117z00_4887;

					BgL__ortest_1117z00_4887 = BGL_CLASS_NIL(BgL_classz00_4886);
					if (CBOOL(BgL__ortest_1117z00_4887))
						{	/* SawMill/regset.sch 86 */
							return ((BgL_regsetz00_bglt) BgL__ortest_1117z00_4887);
						}
					else
						{	/* SawMill/regset.sch 86 */
							return
								((BgL_regsetz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4886));
						}
				}
			}
		}

	}



/* &regset-nil */
	BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8137)
	{
		{	/* SawMill/regset.sch 86 */
			return BGl_regsetzd2nilzd2zzsaw_bbvzd2typeszd2();
		}

	}



/* regset-string */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt BgL_oz00_58)
	{
		{	/* SawMill/regset.sch 87 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_58))->BgL_stringz00);
		}

	}



/* &regset-string */
	obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8138,
		obj_t BgL_oz00_8139)
	{
		{	/* SawMill/regset.sch 87 */
			return
				BGl_regsetzd2stringzd2zzsaw_bbvzd2typeszd2(
				((BgL_regsetz00_bglt) BgL_oz00_8139));
		}

	}



/* regset-string-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt
		BgL_oz00_59, obj_t BgL_vz00_60)
	{
		{	/* SawMill/regset.sch 88 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_59))->BgL_stringz00) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &regset-string-set! */
	obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8140, obj_t BgL_oz00_8141, obj_t BgL_vz00_8142)
	{
		{	/* SawMill/regset.sch 88 */
			return
				BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2typeszd2(
				((BgL_regsetz00_bglt) BgL_oz00_8141), BgL_vz00_8142);
		}

	}



/* regset-regl */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2reglzd2zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt BgL_oz00_61)
	{
		{	/* SawMill/regset.sch 89 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_61))->BgL_reglz00);
		}

	}



/* &regset-regl */
	obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8143,
		obj_t BgL_oz00_8144)
	{
		{	/* SawMill/regset.sch 89 */
			return
				BGl_regsetzd2reglzd2zzsaw_bbvzd2typeszd2(
				((BgL_regsetz00_bglt) BgL_oz00_8144));
		}

	}



/* regset-regv */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2regvzd2zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt BgL_oz00_64)
	{
		{	/* SawMill/regset.sch 91 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_64))->BgL_regvz00);
		}

	}



/* &regset-regv */
	obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8145,
		obj_t BgL_oz00_8146)
	{
		{	/* SawMill/regset.sch 91 */
			return
				BGl_regsetzd2regvzd2zzsaw_bbvzd2typeszd2(
				((BgL_regsetz00_bglt) BgL_oz00_8146));
		}

	}



/* regset-msize */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2msiza7ez75zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt BgL_oz00_67)
	{
		{	/* SawMill/regset.sch 93 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_67))->BgL_msiza7eza7);
		}

	}



/* &regset-msize */
	obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8147,
		obj_t BgL_oz00_8148)
	{
		{	/* SawMill/regset.sch 93 */
			return
				BINT(BGl_regsetzd2msiza7ez75zzsaw_bbvzd2typeszd2(
					((BgL_regsetz00_bglt) BgL_oz00_8148)));
		}

	}



/* regset-length */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2lengthzd2zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt BgL_oz00_70)
	{
		{	/* SawMill/regset.sch 95 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_70))->BgL_lengthz00);
		}

	}



/* &regset-length */
	obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8149,
		obj_t BgL_oz00_8150)
	{
		{	/* SawMill/regset.sch 95 */
			return
				BINT(BGl_regsetzd2lengthzd2zzsaw_bbvzd2typeszd2(
					((BgL_regsetz00_bglt) BgL_oz00_8150)));
		}

	}



/* regset-length-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt
		BgL_oz00_71, int BgL_vz00_72)
	{
		{	/* SawMill/regset.sch 96 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_71))->BgL_lengthz00) =
				((int) BgL_vz00_72), BUNSPEC);
		}

	}



/* &regset-length-set! */
	obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8151, obj_t BgL_oz00_8152, obj_t BgL_vz00_8153)
	{
		{	/* SawMill/regset.sch 96 */
			return
				BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2typeszd2(
				((BgL_regsetz00_bglt) BgL_oz00_8152), CINT(BgL_vz00_8153));
		}

	}



/* &bbv-ctx-init */
	obj_t BGl_z62bbvzd2ctxzd2initz62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8154,
		obj_t BgL_thisz00_8155)
	{
		{	/* SawBbv/bbv-types.scm 166 */
			BGl_za2bbvzd2ctxzd2idza2z00zzsaw_bbvzd2typeszd2 =
				(1L + BGl_za2bbvzd2ctxzd2idza2z00zzsaw_bbvzd2typeszd2);
			return
				((((BgL_bbvzd2ctxzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxzd2_bglt) BgL_thisz00_8155)))->BgL_idz00) =
				((long) BGl_za2bbvzd2ctxzd2idza2z00zzsaw_bbvzd2typeszd2), BUNSPEC);
		}

	}



/* get-bb-mark */
	BGL_EXPORTED_DEF obj_t BGl_getzd2bbzd2markz00zzsaw_bbvzd2typeszd2(void)
	{
		{	/* SawBbv/bbv-types.scm 204 */
			BGl_za2bbzd2markza2zd2zzsaw_bbvzd2typeszd2 =
				(1L + BGl_za2bbzd2markza2zd2zzsaw_bbvzd2typeszd2);
			return BINT(BGl_za2bbzd2markza2zd2zzsaw_bbvzd2typeszd2);
		}

	}



/* &get-bb-mark */
	obj_t BGl_z62getzd2bbzd2markz62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8156)
	{
		{	/* SawBbv/bbv-types.scm 204 */
			return BGl_getzd2bbzd2markz00zzsaw_bbvzd2typeszd2();
		}

	}



/* bbv-queue-length */
	BGL_EXPORTED_DEF long
		BGl_bbvzd2queuezd2lengthz00zzsaw_bbvzd2typeszd2(BgL_bbvzd2queuezd2_bglt
		BgL_queuez00_92)
	{
		{	/* SawBbv/bbv-types.scm 211 */
			return
				bgl_list_length(
				(((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_queuez00_92))->BgL_blocksz00));
		}

	}



/* &bbv-queue-length */
	obj_t BGl_z62bbvzd2queuezd2lengthz62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8157, obj_t BgL_queuez00_8158)
	{
		{	/* SawBbv/bbv-types.scm 211 */
			return
				BINT(BGl_bbvzd2queuezd2lengthz00zzsaw_bbvzd2typeszd2(
					((BgL_bbvzd2queuezd2_bglt) BgL_queuez00_8158)));
		}

	}



/* bbv-queue-empty? */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2queuezd2emptyzf3zf3zzsaw_bbvzd2typeszd2(BgL_bbvzd2queuezd2_bglt
		BgL_queuez00_93)
	{
		{	/* SawBbv/bbv-types.scm 218 */
			return
				BBOOL(NULLP(
					(((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_queuez00_93))->
						BgL_blocksz00)));
		}

	}



/* &bbv-queue-empty? */
	obj_t BGl_z62bbvzd2queuezd2emptyzf3z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8159, obj_t BgL_queuez00_8160)
	{
		{	/* SawBbv/bbv-types.scm 218 */
			return
				BGl_bbvzd2queuezd2emptyzf3zf3zzsaw_bbvzd2typeszd2(
				((BgL_bbvzd2queuezd2_bglt) BgL_queuez00_8160));
		}

	}



/* bbv-queue-push! */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2queuezd2pushz12z12zzsaw_bbvzd2typeszd2(BgL_bbvzd2queuezd2_bglt
		BgL_queuez00_94, BgL_blockz00_bglt BgL_versionz00_95)
	{
		{	/* SawBbv/bbv-types.scm 227 */
			{	/* SawBbv/bbv-types.scm 229 */
				obj_t BgL_nlastz00_2199;

				BgL_nlastz00_2199 = MAKE_YOUNG_PAIR(((obj_t) BgL_versionz00_95), BNIL);
				if (NULLP(
						(((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_queuez00_94))->
							BgL_lastz00)))
					{	/* SawBbv/bbv-types.scm 230 */
						((((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_queuez00_94))->
								BgL_blocksz00) = ((obj_t) BgL_nlastz00_2199), BUNSPEC);
					}
				else
					{	/* SawBbv/bbv-types.scm 231 */
						obj_t BgL_arg1963z00_2202;

						BgL_arg1963z00_2202 =
							(((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_queuez00_94))->
							BgL_lastz00);
						{	/* SawBbv/bbv-types.scm 231 */
							obj_t BgL_tmpz00_10503;

							BgL_tmpz00_10503 = ((obj_t) BgL_arg1963z00_2202);
							SET_CDR(BgL_tmpz00_10503, BgL_nlastz00_2199);
						}
					}
				return
					((((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_queuez00_94))->BgL_lastz00) =
					((obj_t) BgL_nlastz00_2199), BUNSPEC);
			}
		}

	}



/* &bbv-queue-push! */
	obj_t BGl_z62bbvzd2queuezd2pushz12z70zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8161, obj_t BgL_queuez00_8162, obj_t BgL_versionz00_8163)
	{
		{	/* SawBbv/bbv-types.scm 227 */
			return
				BGl_bbvzd2queuezd2pushz12z12zzsaw_bbvzd2typeszd2(
				((BgL_bbvzd2queuezd2_bglt) BgL_queuez00_8162),
				((BgL_blockz00_bglt) BgL_versionz00_8163));
		}

	}



/* bbv-queue-pop! */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_bbvzd2queuezd2popz12z12zzsaw_bbvzd2typeszd2(BgL_bbvzd2queuezd2_bglt
		BgL_queuez00_96)
	{
		{	/* SawBbv/bbv-types.scm 240 */
			if (NULLP(
					(((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_queuez00_96))->
						BgL_blocksz00)))
				{	/* SawBbv/bbv-types.scm 242 */
					return
						((BgL_blockz00_bglt)
						BGl_errorz00zz__errorz00(BGl_string3700z00zzsaw_bbvzd2typeszd2,
							BGl_string3701z00zzsaw_bbvzd2typeszd2,
							((obj_t) BgL_queuez00_96)));
				}
			else
				{	/* SawBbv/bbv-types.scm 243 */
					obj_t BgL_bz00_2207;

					BgL_bz00_2207 =
						CAR(
						(((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_queuez00_96))->
							BgL_blocksz00));
					{
						obj_t BgL_auxz00_10518;

						{	/* SawBbv/bbv-types.scm 244 */
							obj_t BgL_pairz00_4897;

							BgL_pairz00_4897 =
								(((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_queuez00_96))->
								BgL_blocksz00);
							BgL_auxz00_10518 = CDR(BgL_pairz00_4897);
						}
						((((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_queuez00_96))->
								BgL_blocksz00) = ((obj_t) BgL_auxz00_10518), BUNSPEC);
					}
					if (NULLP(
							(((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_queuez00_96))->
								BgL_blocksz00)))
						{	/* SawBbv/bbv-types.scm 245 */
							((((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_queuez00_96))->
									BgL_lastz00) = ((obj_t) BNIL), BUNSPEC);
						}
					else
						{	/* SawBbv/bbv-types.scm 245 */
							BFALSE;
						}
					return ((BgL_blockz00_bglt) BgL_bz00_2207);
				}
		}

	}



/* &bbv-queue-pop! */
	BgL_blockz00_bglt BGl_z62bbvzd2queuezd2popz12z70zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8164, obj_t BgL_queuez00_8165)
	{
		{	/* SawBbv/bbv-types.scm 240 */
			return
				BGl_bbvzd2queuezd2popz12z12zzsaw_bbvzd2typeszd2(
				((BgL_bbvzd2queuezd2_bglt) BgL_queuez00_8165));
		}

	}



/* bbv-queue-has? */
	BGL_EXPORTED_DEF bool_t
		BGl_bbvzd2queuezd2haszf3zf3zzsaw_bbvzd2typeszd2(BgL_bbvzd2queuezd2_bglt
		BgL_queuez00_97, BgL_blockz00_bglt BgL_bz00_98)
	{
		{	/* SawBbv/bbv-types.scm 253 */
			return
				CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
					((obj_t) BgL_bz00_98),
					(((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_queuez00_97))->
						BgL_blocksz00)));
		}

	}



/* &bbv-queue-has? */
	obj_t BGl_z62bbvzd2queuezd2haszf3z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8166, obj_t BgL_queuez00_8167, obj_t BgL_bz00_8168)
	{
		{	/* SawBbv/bbv-types.scm 253 */
			return
				BBOOL(BGl_bbvzd2queuezd2haszf3zf3zzsaw_bbvzd2typeszd2(
					((BgL_bbvzd2queuezd2_bglt) BgL_queuez00_8167),
					((BgL_blockz00_bglt) BgL_bz00_8168)));
		}

	}



/* blockV-live-versions */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2livezd2versionsz00zzsaw_bbvzd2typeszd2(BgL_blockz00_bglt
		BgL_bvz00_99)
	{
		{	/* SawBbv/bbv-types.scm 260 */
			{	/* SawBbv/bbv-types.scm 262 */
				obj_t BgL_hook1660z00_2217;

				BgL_hook1660z00_2217 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
				{	/* SawBbv/bbv-types.scm 262 */
					obj_t BgL_g1661z00_2218;

					{
						BgL_blockvz00_bglt BgL_auxz00_10538;

						{
							obj_t BgL_auxz00_10539;

							{	/* SawBbv/bbv-types.scm 262 */
								BgL_objectz00_bglt BgL_tmpz00_10540;

								BgL_tmpz00_10540 = ((BgL_objectz00_bglt) BgL_bvz00_99);
								BgL_auxz00_10539 = BGL_OBJECT_WIDENING(BgL_tmpz00_10540);
							}
							BgL_auxz00_10538 = ((BgL_blockvz00_bglt) BgL_auxz00_10539);
						}
						BgL_g1661z00_2218 =
							(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_10538))->
							BgL_versionsz00);
					}
					{
						obj_t BgL_l1657z00_2220;
						obj_t BgL_h1658z00_2221;

						BgL_l1657z00_2220 = BgL_g1661z00_2218;
						BgL_h1658z00_2221 = BgL_hook1660z00_2217;
					BgL_zc3z04anonymousza31975ze3z87_2222:
						if (NULLP(BgL_l1657z00_2220))
							{	/* SawBbv/bbv-types.scm 262 */
								return CDR(BgL_hook1660z00_2217);
							}
						else
							{	/* SawBbv/bbv-types.scm 262 */
								bool_t BgL_test4224z00_10548;

								{	/* SawBbv/bbv-types.scm 262 */
									obj_t BgL_arg1983z00_2230;

									BgL_arg1983z00_2230 = CAR(((obj_t) BgL_l1657z00_2220));
									BgL_test4224z00_10548 =
										BGl_blockzd2livezf3z21zzsaw_bbvzd2typeszd2(
										((BgL_blockz00_bglt) BgL_arg1983z00_2230));
								}
								if (BgL_test4224z00_10548)
									{	/* SawBbv/bbv-types.scm 262 */
										obj_t BgL_nh1659z00_2226;

										{	/* SawBbv/bbv-types.scm 262 */
											obj_t BgL_arg1981z00_2228;

											BgL_arg1981z00_2228 = CAR(((obj_t) BgL_l1657z00_2220));
											BgL_nh1659z00_2226 =
												MAKE_YOUNG_PAIR(BgL_arg1981z00_2228, BNIL);
										}
										SET_CDR(BgL_h1658z00_2221, BgL_nh1659z00_2226);
										{	/* SawBbv/bbv-types.scm 262 */
											obj_t BgL_arg1980z00_2227;

											BgL_arg1980z00_2227 = CDR(((obj_t) BgL_l1657z00_2220));
											{
												obj_t BgL_h1658z00_10560;
												obj_t BgL_l1657z00_10559;

												BgL_l1657z00_10559 = BgL_arg1980z00_2227;
												BgL_h1658z00_10560 = BgL_nh1659z00_2226;
												BgL_h1658z00_2221 = BgL_h1658z00_10560;
												BgL_l1657z00_2220 = BgL_l1657z00_10559;
												goto BgL_zc3z04anonymousza31975ze3z87_2222;
											}
										}
									}
								else
									{	/* SawBbv/bbv-types.scm 262 */
										obj_t BgL_arg1982z00_2229;

										BgL_arg1982z00_2229 = CDR(((obj_t) BgL_l1657z00_2220));
										{
											obj_t BgL_l1657z00_10563;

											BgL_l1657z00_10563 = BgL_arg1982z00_2229;
											BgL_l1657z00_2220 = BgL_l1657z00_10563;
											goto BgL_zc3z04anonymousza31975ze3z87_2222;
										}
									}
							}
					}
				}
			}
		}

	}



/* &blockV-live-versions */
	obj_t BGl_z62blockVzd2livezd2versionsz62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8169, obj_t BgL_bvz00_8170)
	{
		{	/* SawBbv/bbv-types.scm 260 */
			return
				BGl_blockVzd2livezd2versionsz00zzsaw_bbvzd2typeszd2(
				((BgL_blockz00_bglt) BgL_bvz00_8170));
		}

	}



/* block-live? */
	BGL_EXPORTED_DEF bool_t
		BGl_blockzd2livezf3z21zzsaw_bbvzd2typeszd2(BgL_blockz00_bglt BgL_bsz00_100)
	{
		{	/* SawBbv/bbv-types.scm 267 */
			{	/* SawBbv/bbv-types.scm 269 */
				obj_t BgL__andtest_1245z00_2233;

				{
					BgL_blocksz00_bglt BgL_auxz00_10566;

					{
						obj_t BgL_auxz00_10567;

						{	/* SawBbv/bbv-types.scm 269 */
							BgL_objectz00_bglt BgL_tmpz00_10568;

							BgL_tmpz00_10568 = ((BgL_objectz00_bglt) BgL_bsz00_100);
							BgL_auxz00_10567 = BGL_OBJECT_WIDENING(BgL_tmpz00_10568);
						}
						BgL_auxz00_10566 = ((BgL_blocksz00_bglt) BgL_auxz00_10567);
					}
					BgL__andtest_1245z00_2233 =
						(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_10566))->BgL_mblockz00);
				}
				if (CBOOL(BgL__andtest_1245z00_2233))
					{	/* SawBbv/bbv-types.scm 269 */
						return ((bool_t) 0);
					}
				else
					{	/* SawBbv/bbv-types.scm 270 */
						obj_t BgL_casezd2valuezd2_2234;

						BgL_casezd2valuezd2_2234 =
							BGl_za2bbvzd2blockszd2gcza2z00zzsaw_bbvzd2configzd2;
						if ((BgL_casezd2valuezd2_2234 == ((obj_t) CNST_TABLE_REF(0))))
							{	/* SawBbv/bbv-types.scm 270 */
								return
									CBOOL(BGl_bbvzd2gczd2blockzd2reachablezf3z21zzsaw_bbvzd2gczd2
									(BgL_bsz00_100));
							}
						else
							{	/* SawBbv/bbv-types.scm 270 */
								if ((BgL_casezd2valuezd2_2234 == ((obj_t) CNST_TABLE_REF(1))))
									{	/* SawBbv/bbv-types.scm 272 */
										long BgL_arg1986z00_2237;

										{
											BgL_blocksz00_bglt BgL_auxz00_10585;

											{
												obj_t BgL_auxz00_10586;

												{	/* SawBbv/bbv-types.scm 272 */
													BgL_objectz00_bglt BgL_tmpz00_10587;

													BgL_tmpz00_10587 =
														((BgL_objectz00_bglt) BgL_bsz00_100);
													BgL_auxz00_10586 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_10587);
												}
												BgL_auxz00_10585 =
													((BgL_blocksz00_bglt) BgL_auxz00_10586);
											}
											BgL_arg1986z00_2237 =
												(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_10585))->
												BgL_gccntz00);
										}
										return (BgL_arg1986z00_2237 > 0L);
									}
								else
									{	/* SawBbv/bbv-types.scm 270 */
										return ((bool_t) 1);
									}
							}
					}
			}
		}

	}



/* &block-live? */
	obj_t BGl_z62blockzd2livezf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8171,
		obj_t BgL_bsz00_8172)
	{
		{	/* SawBbv/bbv-types.scm 267 */
			return
				BBOOL(BGl_blockzd2livezf3z21zzsaw_bbvzd2typeszd2(
					((BgL_blockz00_bglt) BgL_bsz00_8172)));
		}

	}



/* params->ctx */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxzd2_bglt
		BGl_paramszd2ze3ctxz31zzsaw_bbvzd2typeszd2(obj_t BgL_paramsz00_101)
	{
		{	/* SawBbv/bbv-types.scm 278 */
			{	/* SawBbv/bbv-types.scm 279 */
				BgL_bbvzd2ctxzd2_bglt BgL_new1248z00_2238;

				{	/* SawBbv/bbv-types.scm 279 */
					BgL_bbvzd2ctxzd2_bglt BgL_new1247z00_2270;

					BgL_new1247z00_2270 =
						((BgL_bbvzd2ctxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_bbvzd2ctxzd2_bgl))));
					{	/* SawBbv/bbv-types.scm 279 */
						long BgL_arg2013z00_2271;

						BgL_arg2013z00_2271 =
							BGL_CLASS_NUM(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1247z00_2270), BgL_arg2013z00_2271);
					}
					BgL_new1248z00_2238 = BgL_new1247z00_2270;
				}
				((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1248z00_2238))->BgL_idz00) =
					((long) (-1L)), BUNSPEC);
				{
					obj_t BgL_auxz00_10601;

					{	/* SawBbv/bbv-types.scm 280 */
						obj_t BgL_arg1988z00_2240;

						{	/* SawBbv/bbv-types.scm 283 */
							obj_t BgL_list1999z00_2249;

							BgL_list1999z00_2249 = MAKE_YOUNG_PAIR(BgL_paramsz00_101, BNIL);
							BgL_arg1988z00_2240 =
								BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
								(BGl_proc3702z00zzsaw_bbvzd2typeszd2, BgL_list1999z00_2249);
						}
						BgL_auxz00_10601 =
							BGl_sortz00zz__r4_vectors_6_8z00
							(BGl_proc3703z00zzsaw_bbvzd2typeszd2, BgL_arg1988z00_2240);
					}
					((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1248z00_2238))->
							BgL_entriesz00) = ((obj_t) BgL_auxz00_10601), BUNSPEC);
				}
				{	/* SawBbv/bbv-types.scm 279 */
					obj_t BgL_fun2012z00_2269;

					BgL_fun2012z00_2269 =
						BGl_classzd2constructorzd2zz__objectz00
						(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
					BGL_PROCEDURE_CALL1(BgL_fun2012z00_2269,
						((obj_t) BgL_new1248z00_2238));
				}
				return BgL_new1248z00_2238;
			}
		}

	}



/* &params->ctx */
	BgL_bbvzd2ctxzd2_bglt BGl_z62paramszd2ze3ctxz53zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8175, obj_t BgL_paramsz00_8176)
	{
		{	/* SawBbv/bbv-types.scm 278 */
			return BGl_paramszd2ze3ctxz31zzsaw_bbvzd2typeszd2(BgL_paramsz00_8176);
		}

	}



/* &<@anonymous:1989> */
	obj_t BGl_z62zc3z04anonymousza31989ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8177, obj_t BgL_xz00_8178, obj_t BgL_yz00_8179)
	{
		{	/* SawBbv/bbv-types.scm 280 */
			{	/* SawBbv/bbv-types.scm 281 */
				bool_t BgL_tmpz00_10613;

				{	/* SawBbv/bbv-types.scm 281 */
					int BgL_arg1990z00_8967;
					int BgL_arg1991z00_8968;

					{	/* SawBbv/bbv-types.scm 281 */
						BgL_rtl_regz00_bglt BgL_oz00_8969;

						BgL_oz00_8969 =
							((BgL_rtl_regz00_bglt)
							(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
										((BgL_bbvzd2ctxentryzd2_bglt) BgL_xz00_8178)))->
								BgL_regz00));
						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_10617;

							{
								obj_t BgL_auxz00_10618;

								{	/* SawBbv/bbv-types.scm 281 */
									BgL_objectz00_bglt BgL_tmpz00_10619;

									BgL_tmpz00_10619 = ((BgL_objectz00_bglt) BgL_oz00_8969);
									BgL_auxz00_10618 = BGL_OBJECT_WIDENING(BgL_tmpz00_10619);
								}
								BgL_auxz00_10617 =
									((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_10618);
							}
							BgL_arg1990z00_8967 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_10617))->
								BgL_numz00);
					}}
					{	/* SawBbv/bbv-types.scm 282 */
						BgL_rtl_regz00_bglt BgL_oz00_8970;

						BgL_oz00_8970 =
							((BgL_rtl_regz00_bglt)
							(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
										((BgL_bbvzd2ctxentryzd2_bglt) BgL_yz00_8179)))->
								BgL_regz00));
						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_10627;

							{
								obj_t BgL_auxz00_10628;

								{	/* SawBbv/bbv-types.scm 282 */
									BgL_objectz00_bglt BgL_tmpz00_10629;

									BgL_tmpz00_10629 = ((BgL_objectz00_bglt) BgL_oz00_8970);
									BgL_auxz00_10628 = BGL_OBJECT_WIDENING(BgL_tmpz00_10629);
								}
								BgL_auxz00_10627 =
									((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_10628);
							}
							BgL_arg1991z00_8968 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_10627))->
								BgL_numz00);
					}}
					BgL_tmpz00_10613 =
						((long) (BgL_arg1990z00_8967) <= (long) (BgL_arg1991z00_8968));
				}
				return BBOOL(BgL_tmpz00_10613);
			}
		}

	}



/* &<@anonymous:2000> */
	obj_t BGl_z62zc3z04anonymousza32000ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8180, obj_t BgL_pz00_8181)
	{
		{	/* SawBbv/bbv-types.scm 283 */
			{	/* SawBbv/bbv-types.scm 284 */
				bool_t BgL_test4228z00_10638;

				{	/* SawBbv/bbv-types.scm 284 */
					obj_t BgL_classz00_8971;

					BgL_classz00_8971 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
					if (BGL_OBJECTP(BgL_pz00_8181))
						{	/* SawBbv/bbv-types.scm 284 */
							BgL_objectz00_bglt BgL_arg1858z00_8972;

							BgL_arg1858z00_8972 = (BgL_objectz00_bglt) (BgL_pz00_8181);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv-types.scm 284 */
									long BgL_idxz00_8973;

									BgL_idxz00_8973 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_8972);
									BgL_test4228z00_10638 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_8973 + 2L)) == BgL_classz00_8971);
								}
							else
								{	/* SawBbv/bbv-types.scm 284 */
									bool_t BgL_res3609z00_8976;

									{	/* SawBbv/bbv-types.scm 284 */
										obj_t BgL_oclassz00_8977;

										{	/* SawBbv/bbv-types.scm 284 */
											obj_t BgL_arg1866z00_8978;
											long BgL_arg1867z00_8979;

											BgL_arg1866z00_8978 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawBbv/bbv-types.scm 284 */
												long BgL_arg1869z00_8980;

												BgL_arg1869z00_8980 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_8972);
												BgL_arg1867z00_8979 =
													(BgL_arg1869z00_8980 - OBJECT_TYPE);
											}
											BgL_oclassz00_8977 =
												VECTOR_REF(BgL_arg1866z00_8978, BgL_arg1867z00_8979);
										}
										{	/* SawBbv/bbv-types.scm 284 */
											bool_t BgL__ortest_1115z00_8981;

											BgL__ortest_1115z00_8981 =
												(BgL_classz00_8971 == BgL_oclassz00_8977);
											if (BgL__ortest_1115z00_8981)
												{	/* SawBbv/bbv-types.scm 284 */
													BgL_res3609z00_8976 = BgL__ortest_1115z00_8981;
												}
											else
												{	/* SawBbv/bbv-types.scm 284 */
													long BgL_odepthz00_8982;

													{	/* SawBbv/bbv-types.scm 284 */
														obj_t BgL_arg1855z00_8983;

														BgL_arg1855z00_8983 = (BgL_oclassz00_8977);
														BgL_odepthz00_8982 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_8983);
													}
													if ((2L < BgL_odepthz00_8982))
														{	/* SawBbv/bbv-types.scm 284 */
															obj_t BgL_arg1853z00_8984;

															{	/* SawBbv/bbv-types.scm 284 */
																obj_t BgL_arg1854z00_8985;

																BgL_arg1854z00_8985 = (BgL_oclassz00_8977);
																BgL_arg1853z00_8984 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_8985,
																	2L);
															}
															BgL_res3609z00_8976 =
																(BgL_arg1853z00_8984 == BgL_classz00_8971);
														}
													else
														{	/* SawBbv/bbv-types.scm 284 */
															BgL_res3609z00_8976 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test4228z00_10638 = BgL_res3609z00_8976;
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 284 */
							BgL_test4228z00_10638 = ((bool_t) 0);
						}
				}
				if (BgL_test4228z00_10638)
					{	/* SawBbv/bbv-types.scm 286 */
						BgL_bbvzd2ctxentryzd2_bglt BgL_new1251z00_8986;

						{	/* SawBbv/bbv-types.scm 287 */
							BgL_bbvzd2ctxentryzd2_bglt BgL_new1250z00_8987;

							BgL_new1250z00_8987 =
								((BgL_bbvzd2ctxentryzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_bbvzd2ctxentryzd2_bgl))));
							{	/* SawBbv/bbv-types.scm 287 */
								long BgL_arg2011z00_8988;

								BgL_arg2011z00_8988 =
									BGL_CLASS_NUM(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1250z00_8987),
									BgL_arg2011z00_8988);
							}
							BgL_new1251z00_8986 = BgL_new1250z00_8987;
						}
						((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1251z00_8986))->
								BgL_regz00) =
							((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_pz00_8181)),
							BUNSPEC);
						{
							obj_t BgL_auxz00_10667;

							{	/* SawBbv/bbv-types.scm 288 */
								BgL_typez00_bglt BgL_arg2002z00_8989;

								BgL_arg2002z00_8989 =
									(((BgL_rtl_regz00_bglt) COBJECT(
											((BgL_rtl_regz00_bglt) BgL_pz00_8181)))->BgL_typez00);
								{	/* SawBbv/bbv-types.scm 288 */
									obj_t BgL_list2003z00_8990;

									BgL_list2003z00_8990 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg2002z00_8989), BNIL);
									BgL_auxz00_10667 = BgL_list2003z00_8990;
							}}
							((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1251z00_8986))->
									BgL_typesz00) = ((obj_t) BgL_auxz00_10667), BUNSPEC);
						}
						((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1251z00_8986))->
								BgL_polarityz00) = ((bool_t) ((bool_t) 1)), BUNSPEC);
						((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1251z00_8986))->
								BgL_countz00) = ((long) 10L), BUNSPEC);
						{
							obj_t BgL_auxz00_10675;

							{	/* SawBbv/bbv-types.scm 290 */
								bool_t BgL_test4233z00_10676;

								{	/* SawBbv/bbv-types.scm 290 */
									bool_t BgL_test4234z00_10677;

									{	/* SawBbv/bbv-types.scm 290 */
										obj_t BgL_arg2010z00_8991;

										BgL_arg2010z00_8991 =
											((obj_t)
											(((BgL_rtl_regz00_bglt) COBJECT(
														((BgL_rtl_regz00_bglt) BgL_pz00_8181)))->
												BgL_typez00));
										BgL_test4234z00_10677 =
											(BgL_arg2010z00_8991 == BGl_za2bintza2z00zztype_cachez00);
									}
									if (BgL_test4234z00_10677)
										{	/* SawBbv/bbv-types.scm 290 */
											BgL_test4233z00_10676 = ((bool_t) 1);
										}
									else
										{	/* SawBbv/bbv-types.scm 291 */
											obj_t BgL_arg2009z00_8992;

											BgL_arg2009z00_8992 =
												((obj_t)
												(((BgL_rtl_regz00_bglt) COBJECT(
															((BgL_rtl_regz00_bglt) BgL_pz00_8181)))->
													BgL_typez00));
											BgL_test4233z00_10676 =
												(BgL_arg2009z00_8992 ==
												BGl_za2longza2z00zztype_cachez00);
										}
								}
								if (BgL_test4233z00_10676)
									{	/* SawBbv/bbv-types.scm 290 */
										BgL_auxz00_10675 =
											((obj_t) BGl_fixnumzd2rangezd2zzsaw_bbvzd2rangezd2());
									}
								else
									{	/* SawBbv/bbv-types.scm 290 */
										BgL_auxz00_10675 = ((obj_t) CNST_TABLE_REF(2));
									}
							}
							((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1251z00_8986))->
									BgL_valuez00) = ((obj_t) BgL_auxz00_10675), BUNSPEC);
						}
						((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1251z00_8986))->
								BgL_aliasesz00) = ((obj_t) BNIL), BUNSPEC);
						((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1251z00_8986))->
								BgL_initvalz00) = ((obj_t) BUNSPEC), BUNSPEC);
						return ((obj_t) BgL_new1251z00_8986);
					}
				else
					{	/* SawBbv/bbv-types.scm 284 */
						return BFALSE;
					}
			}
		}

	}



/* list-eq? */
	obj_t BGl_listzd2eqzf3z21zzsaw_bbvzd2typeszd2(obj_t BgL_l1z00_102,
		obj_t BgL_l2z00_103)
	{
		{	/* SawBbv/bbv-types.scm 300 */
			if ((bgl_list_length(BgL_l1z00_102) == bgl_list_length(BgL_l2z00_103)))
				{	/* SawBbv/bbv-types.scm 302 */
					obj_t BgL_list2017z00_2275;

					{	/* SawBbv/bbv-types.scm 302 */
						obj_t BgL_arg2018z00_2276;

						BgL_arg2018z00_2276 = MAKE_YOUNG_PAIR(BgL_l2z00_103, BNIL);
						BgL_list2017z00_2275 =
							MAKE_YOUNG_PAIR(BgL_l1z00_102, BgL_arg2018z00_2276);
					}
					return
						BGl_everyz00zz__r4_pairs_and_lists_6_3z00
						(BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00, BgL_list2017z00_2275);
				}
			else
				{	/* SawBbv/bbv-types.scm 301 */
					return BFALSE;
				}
		}

	}



/* bbv-ctxentry-equal? */
	obj_t
		BGl_bbvzd2ctxentryzd2equalzf3zf3zzsaw_bbvzd2typeszd2
		(BgL_bbvzd2ctxentryzd2_bglt BgL_xz00_104,
		BgL_bbvzd2ctxentryzd2_bglt BgL_yz00_105)
	{
		{	/* SawBbv/bbv-types.scm 307 */
			if (
				(((obj_t)
						(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_xz00_104))->
							BgL_regz00)) ==
					((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_yz00_105))->
							BgL_regz00))))
				{	/* SawBbv/bbv-types.scm 318 */
					if (
						(BBOOL(
								(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_xz00_104))->
									BgL_polarityz00)) ==
							BBOOL((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_yz00_105))->
									BgL_polarityz00))))
						{	/* SawBbv/bbv-types.scm 319 */
							if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
									(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_xz00_104))->
										BgL_valuez00),
									(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_yz00_105))->
										BgL_valuez00)))
								{	/* SawBbv/bbv-types.scm 321 */
									obj_t BgL__andtest_1257z00_2284;

									BgL__andtest_1257z00_2284 =
										BGl_listzd2eqzf3z21zzsaw_bbvzd2typeszd2(
										(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_xz00_104))->
											BgL_typesz00),
										(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_yz00_105))->
											BgL_typesz00));
									if (CBOOL(BgL__andtest_1257z00_2284))
										{	/* SawBbv/bbv-types.scm 321 */
											return
												BGl_listzd2eqzf3z21zzsaw_bbvzd2typeszd2(
												(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_xz00_104))->
													BgL_aliasesz00),
												(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_yz00_105))->
													BgL_aliasesz00));
										}
									else
										{	/* SawBbv/bbv-types.scm 321 */
											return BFALSE;
										}
								}
							else
								{	/* SawBbv/bbv-types.scm 320 */
									return BFALSE;
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 319 */
							return BFALSE;
						}
				}
			else
				{	/* SawBbv/bbv-types.scm 318 */
					return BFALSE;
				}
		}

	}



/* bbv-ctx-equal? */
	BGL_EXPORTED_DEF bool_t
		BGl_bbvzd2ctxzd2equalzf3zf3zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt
		BgL_xz00_106, BgL_bbvzd2ctxzd2_bglt BgL_yz00_107)
	{
		{	/* SawBbv/bbv-types.scm 327 */
			if (
				(bgl_list_length(
						(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_xz00_106))->
							BgL_entriesz00)) ==
					bgl_list_length((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_yz00_107))->
							BgL_entriesz00))))
				{	/* SawBbv/bbv-types.scm 331 */
					obj_t BgL_g1664z00_2302;

					BgL_g1664z00_2302 =
						(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_xz00_106))->BgL_entriesz00);
					{
						obj_t BgL_l1662z00_2304;

						BgL_l1662z00_2304 = BgL_g1664z00_2302;
					BgL_zc3z04anonymousza32038ze3z87_2305:
						if (NULLP(BgL_l1662z00_2304))
							{	/* SawBbv/bbv-types.scm 331 */
								return ((bool_t) 1);
							}
						else
							{	/* SawBbv/bbv-types.scm 332 */
								obj_t BgL_nvz00_2307;

								{	/* SawBbv/bbv-types.scm 332 */
									obj_t BgL_xez00_2310;

									BgL_xez00_2310 = CAR(((obj_t) BgL_l1662z00_2304));
									{	/* SawBbv/bbv-types.scm 333 */
										obj_t BgL_yez00_2312;

										BgL_yez00_2312 =
											BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(BgL_yz00_107,
											(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
														((BgL_bbvzd2ctxentryzd2_bglt) BgL_xez00_2310)))->
												BgL_regz00));
										BgL_nvz00_2307 =
											BGl_bbvzd2ctxentryzd2equalzf3zf3zzsaw_bbvzd2typeszd2((
												(BgL_bbvzd2ctxentryzd2_bglt) BgL_xez00_2310),
											((BgL_bbvzd2ctxentryzd2_bglt) BgL_yez00_2312));
									}
								}
								if (CBOOL(BgL_nvz00_2307))
									{	/* SawBbv/bbv-types.scm 331 */
										obj_t BgL_arg2040z00_2309;

										BgL_arg2040z00_2309 = CDR(((obj_t) BgL_l1662z00_2304));
										{
											obj_t BgL_l1662z00_10746;

											BgL_l1662z00_10746 = BgL_arg2040z00_2309;
											BgL_l1662z00_2304 = BgL_l1662z00_10746;
											goto BgL_zc3z04anonymousza32038ze3z87_2305;
										}
									}
								else
									{	/* SawBbv/bbv-types.scm 331 */
										return ((bool_t) 0);
									}
							}
					}
				}
			else
				{	/* SawBbv/bbv-types.scm 330 */
					return ((bool_t) 0);
				}
		}

	}



/* &bbv-ctx-equal? */
	obj_t BGl_z62bbvzd2ctxzd2equalzf3z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8185, obj_t BgL_xz00_8186, obj_t BgL_yz00_8187)
	{
		{	/* SawBbv/bbv-types.scm 327 */
			return
				BBOOL(BGl_bbvzd2ctxzd2equalzf3zf3zzsaw_bbvzd2typeszd2(
					((BgL_bbvzd2ctxzd2_bglt) BgL_xz00_8186),
					((BgL_bbvzd2ctxzd2_bglt) BgL_yz00_8187)));
		}

	}



/* bbv-ctx-assoc */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxzd2assocz00zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt
		BgL_cz00_108, obj_t BgL_versionsz00_109)
	{
		{	/* SawBbv/bbv-types.scm 340 */
			{
				obj_t BgL_versionsz00_2320;

				BgL_versionsz00_2320 = BgL_versionsz00_109;
			BgL_zc3z04anonymousza32046ze3z87_2321:
				if (PAIRP(BgL_versionsz00_2320))
					{	/* SawBbv/bbv-types.scm 343 */
						BgL_blockz00_bglt BgL_i1261z00_2323;

						BgL_i1261z00_2323 = ((BgL_blockz00_bglt) CAR(BgL_versionsz00_2320));
						{	/* SawBbv/bbv-types.scm 344 */
							bool_t BgL_test4244z00_10755;

							{	/* SawBbv/bbv-types.scm 344 */
								BgL_bbvzd2ctxzd2_bglt BgL_arg2052z00_2327;

								{
									BgL_blocksz00_bglt BgL_auxz00_10756;

									{
										obj_t BgL_auxz00_10757;

										{	/* SawBbv/bbv-types.scm 344 */
											BgL_objectz00_bglt BgL_tmpz00_10758;

											BgL_tmpz00_10758 =
												((BgL_objectz00_bglt) BgL_i1261z00_2323);
											BgL_auxz00_10757 = BGL_OBJECT_WIDENING(BgL_tmpz00_10758);
										}
										BgL_auxz00_10756 = ((BgL_blocksz00_bglt) BgL_auxz00_10757);
									}
									BgL_arg2052z00_2327 =
										(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_10756))->
										BgL_ctxz00);
								}
								BgL_test4244z00_10755 =
									BGl_bbvzd2ctxzd2equalzf3zf3zzsaw_bbvzd2typeszd2(BgL_cz00_108,
									BgL_arg2052z00_2327);
							}
							if (BgL_test4244z00_10755)
								{	/* SawBbv/bbv-types.scm 344 */
									return CAR(BgL_versionsz00_2320);
								}
							else
								{
									obj_t BgL_versionsz00_10765;

									BgL_versionsz00_10765 = CDR(BgL_versionsz00_2320);
									BgL_versionsz00_2320 = BgL_versionsz00_10765;
									goto BgL_zc3z04anonymousza32046ze3z87_2321;
								}
						}
					}
				else
					{	/* SawBbv/bbv-types.scm 342 */
						return BFALSE;
					}
			}
		}

	}



/* &bbv-ctx-assoc */
	obj_t BGl_z62bbvzd2ctxzd2assocz62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8188,
		obj_t BgL_cz00_8189, obj_t BgL_versionsz00_8190)
	{
		{	/* SawBbv/bbv-types.scm 340 */
			return
				BGl_bbvzd2ctxzd2assocz00zzsaw_bbvzd2typeszd2(
				((BgL_bbvzd2ctxzd2_bglt) BgL_cz00_8189), BgL_versionsz00_8190);
		}

	}



/* bbv-ctx-get */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt
		BgL_ctxz00_110, BgL_rtl_regz00_bglt BgL_regz00_111)
	{
		{	/* SawBbv/bbv-types.scm 351 */
			{
				obj_t BgL_esz00_2332;

				BgL_esz00_2332 =
					(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_110))->BgL_entriesz00);
			BgL_zc3z04anonymousza32054ze3z87_2333:
				if (PAIRP(BgL_esz00_2332))
					{	/* SawBbv/bbv-types.scm 354 */
						if (
							(((obj_t)
									(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
												((BgL_bbvzd2ctxentryzd2_bglt)
													CAR(BgL_esz00_2332))))->BgL_regz00)) ==
								((obj_t) BgL_regz00_111)))
							{	/* SawBbv/bbv-types.scm 355 */
								return CAR(BgL_esz00_2332);
							}
						else
							{
								obj_t BgL_esz00_10779;

								BgL_esz00_10779 = CDR(BgL_esz00_2332);
								BgL_esz00_2332 = BgL_esz00_10779;
								goto BgL_zc3z04anonymousza32054ze3z87_2333;
							}
					}
				else
					{	/* SawBbv/bbv-types.scm 354 */
						return BFALSE;
					}
			}
		}

	}



/* &bbv-ctx-get */
	obj_t BGl_z62bbvzd2ctxzd2getz62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8191,
		obj_t BgL_ctxz00_8192, obj_t BgL_regz00_8193)
	{
		{	/* SawBbv/bbv-types.scm 351 */
			return
				BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(
				((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_8192),
				((BgL_rtl_regz00_bglt) BgL_regz00_8193));
		}

	}



/* extend-ctx/entry */
	BGL_EXPORTED_DEF obj_t
		BGl_extendzd2ctxzf2entryz20zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt
		BgL_ctxz00_112, BgL_bbvzd2ctxentryzd2_bglt BgL_entryz00_113)
	{
		{	/* SawBbv/bbv-types.scm 365 */
			{	/* SawBbv/bbv-types.scm 382 */
				BgL_bbvzd2ctxzd2_bglt BgL_new1264z00_2344;

				{	/* SawBbv/bbv-types.scm 382 */
					BgL_bbvzd2ctxzd2_bglt BgL_new1268z00_2346;

					BgL_new1268z00_2346 =
						((BgL_bbvzd2ctxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_bbvzd2ctxzd2_bgl))));
					{	/* SawBbv/bbv-types.scm 382 */
						long BgL_arg2065z00_2347;

						BgL_arg2065z00_2347 =
							BGL_CLASS_NUM(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1268z00_2346), BgL_arg2065z00_2347);
					}
					BgL_new1264z00_2344 = BgL_new1268z00_2346;
				}
				((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1264z00_2344))->BgL_idz00) =
					((long) (((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_112))->
							BgL_idz00)), BUNSPEC);
				((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1264z00_2344))->
						BgL_entriesz00) =
					((obj_t)
						BGl_extendzd2entriesze71z35zzsaw_bbvzd2typeszd2(BgL_ctxz00_112,
							BgL_entryz00_113)), BUNSPEC);
				{	/* SawBbv/bbv-types.scm 383 */
					obj_t BgL_fun2064z00_2345;

					BgL_fun2064z00_2345 =
						BGl_classzd2constructorzd2zz__objectz00
						(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
					BGL_PROCEDURE_CALL1(BgL_fun2064z00_2345,
						((obj_t) BgL_new1264z00_2344));
				}
				return ((obj_t) BgL_new1264z00_2344);
			}
		}

	}



/* loop~1 */
	obj_t BGl_loopze71ze7zzsaw_bbvzd2typeszd2(int BgL_rnumz00_8914,
		obj_t BgL_regz00_8913, BgL_bbvzd2ctxentryzd2_bglt BgL_entryz00_8912,
		obj_t BgL_esz00_2356)
	{
		{	/* SawBbv/bbv-types.scm 371 */
			if (NULLP(BgL_esz00_2356))
				{	/* SawBbv/bbv-types.scm 374 */
					obj_t BgL_list2070z00_2359;

					BgL_list2070z00_2359 =
						MAKE_YOUNG_PAIR(((obj_t) BgL_entryz00_8912), BNIL);
					return BgL_list2070z00_2359;
				}
			else
				{	/* SawBbv/bbv-types.scm 375 */
					bool_t BgL_test4248z00_10804;

					{	/* SawBbv/bbv-types.scm 375 */
						int BgL_arg2084z00_2373;

						{	/* SawBbv/bbv-types.scm 375 */
							BgL_rtl_regz00_bglt BgL_oz00_4985;

							BgL_oz00_4985 =
								((BgL_rtl_regz00_bglt)
								(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
											((BgL_bbvzd2ctxentryzd2_bglt)
												CAR(((obj_t) BgL_esz00_2356)))))->BgL_regz00));
							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_10810;

								{
									obj_t BgL_auxz00_10811;

									{	/* SawBbv/bbv-types.scm 375 */
										BgL_objectz00_bglt BgL_tmpz00_10812;

										BgL_tmpz00_10812 = ((BgL_objectz00_bglt) BgL_oz00_4985);
										BgL_auxz00_10811 = BGL_OBJECT_WIDENING(BgL_tmpz00_10812);
									}
									BgL_auxz00_10810 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_10811);
								}
								BgL_arg2084z00_2373 =
									(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_10810))->
									BgL_numz00);
						}}
						BgL_test4248z00_10804 =
							((long) (BgL_arg2084z00_2373) > (long) (BgL_rnumz00_8914));
					}
					if (BgL_test4248z00_10804)
						{	/* SawBbv/bbv-types.scm 375 */
							return
								MAKE_YOUNG_PAIR(((obj_t) BgL_entryz00_8912), BgL_esz00_2356);
						}
					else
						{	/* SawBbv/bbv-types.scm 375 */
							if (
								(((obj_t)
										(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
													((BgL_bbvzd2ctxentryzd2_bglt)
														CAR(
															((obj_t) BgL_esz00_2356)))))->BgL_regz00)) ==
									BgL_regz00_8913))
								{	/* SawBbv/bbv-types.scm 378 */
									obj_t BgL_arg2078z00_2367;

									BgL_arg2078z00_2367 = CDR(((obj_t) BgL_esz00_2356));
									return
										MAKE_YOUNG_PAIR(
										((obj_t) BgL_entryz00_8912), BgL_arg2078z00_2367);
								}
							else
								{	/* SawBbv/bbv-types.scm 380 */
									obj_t BgL_arg2079z00_2368;
									obj_t BgL_arg2080z00_2369;

									BgL_arg2079z00_2368 = CAR(((obj_t) BgL_esz00_2356));
									{	/* SawBbv/bbv-types.scm 380 */
										obj_t BgL_arg2081z00_2370;

										BgL_arg2081z00_2370 = CDR(((obj_t) BgL_esz00_2356));
										BgL_arg2080z00_2369 =
											BGl_loopze71ze7zzsaw_bbvzd2typeszd2(BgL_rnumz00_8914,
											BgL_regz00_8913, BgL_entryz00_8912, BgL_arg2081z00_2370);
									}
									return
										MAKE_YOUNG_PAIR(BgL_arg2079z00_2368, BgL_arg2080z00_2369);
								}
						}
				}
		}

	}



/* extend-entries~1 */
	obj_t BGl_extendzd2entriesze71z35zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt
		BgL_ctxz00_2348, BgL_bbvzd2ctxentryzd2_bglt BgL_entryz00_2349)
	{
		{	/* SawBbv/bbv-types.scm 380 */
			{	/* SawBbv/bbv-types.scm 368 */
				obj_t BgL_regz00_2351;

				BgL_regz00_2351 =
					((obj_t)
					(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_entryz00_2349))->
						BgL_regz00));
				{	/* SawBbv/bbv-types.scm 368 */
					int BgL_rnumz00_2352;

					{
						BgL_rtl_regzf2razf2_bglt BgL_auxz00_10841;

						{
							obj_t BgL_auxz00_10842;

							{	/* SawBbv/bbv-types.scm 369 */
								BgL_objectz00_bglt BgL_tmpz00_10843;

								BgL_tmpz00_10843 =
									((BgL_objectz00_bglt)
									((BgL_rtl_regz00_bglt) BgL_regz00_2351));
								BgL_auxz00_10842 = BGL_OBJECT_WIDENING(BgL_tmpz00_10843);
							}
							BgL_auxz00_10841 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_10842);
						}
						BgL_rnumz00_2352 =
							(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_10841))->
							BgL_numz00);
					}
					{	/* SawBbv/bbv-types.scm 369 */

						return
							BGl_loopze71ze7zzsaw_bbvzd2typeszd2(BgL_rnumz00_2352,
							BgL_regz00_2351, BgL_entryz00_2349,
							(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_2348))->
								BgL_entriesz00));
					}
				}
			}
		}

	}



/* &extend-ctx/entry */
	obj_t BGl_z62extendzd2ctxzf2entryz42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8194, obj_t BgL_ctxz00_8195, obj_t BgL_entryz00_8196)
	{
		{	/* SawBbv/bbv-types.scm 365 */
			return
				BGl_extendzd2ctxzf2entryz20zzsaw_bbvzd2typeszd2(
				((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_8195),
				((BgL_bbvzd2ctxentryzd2_bglt) BgL_entryz00_8196));
		}

	}



/* extend-ctx/entry* */
	BGL_EXPORTED_DEF obj_t
		BGl_extendzd2ctxzf2entryza2z82zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt
		BgL_ctxz00_114, obj_t BgL_entriesz00_115)
	{
		{	/* SawBbv/bbv-types.scm 391 */
			{
				obj_t BgL_entriesz00_2379;
				obj_t BgL_ctxz00_2380;

				BgL_entriesz00_2379 = BgL_entriesz00_115;
				BgL_ctxz00_2380 = ((obj_t) BgL_ctxz00_114);
			BgL_zc3z04anonymousza32087ze3z87_2381:
				if (NULLP(BgL_entriesz00_2379))
					{	/* SawBbv/bbv-types.scm 394 */
						return BgL_ctxz00_2380;
					}
				else
					{	/* SawBbv/bbv-types.scm 396 */
						obj_t BgL_arg2089z00_2383;
						obj_t BgL_arg2090z00_2384;

						BgL_arg2089z00_2383 = CDR(((obj_t) BgL_entriesz00_2379));
						{	/* SawBbv/bbv-types.scm 396 */
							obj_t BgL_arg2091z00_2385;

							BgL_arg2091z00_2385 = CAR(((obj_t) BgL_entriesz00_2379));
							BgL_arg2090z00_2384 =
								BGl_extendzd2ctxzf2entryz20zzsaw_bbvzd2typeszd2(
								((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_2380),
								((BgL_bbvzd2ctxentryzd2_bglt) BgL_arg2091z00_2385));
						}
						{
							obj_t BgL_ctxz00_10864;
							obj_t BgL_entriesz00_10863;

							BgL_entriesz00_10863 = BgL_arg2089z00_2383;
							BgL_ctxz00_10864 = BgL_arg2090z00_2384;
							BgL_ctxz00_2380 = BgL_ctxz00_10864;
							BgL_entriesz00_2379 = BgL_entriesz00_10863;
							goto BgL_zc3z04anonymousza32087ze3z87_2381;
						}
					}
			}
		}

	}



/* &extend-ctx/entry* */
	obj_t BGl_z62extendzd2ctxzf2entryza2ze0zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8197, obj_t BgL_ctxz00_8198, obj_t BgL_entriesz00_8199)
	{
		{	/* SawBbv/bbv-types.scm 391 */
			return
				BGl_extendzd2ctxzf2entryza2z82zzsaw_bbvzd2typeszd2(
				((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_8198), BgL_entriesz00_8199);
		}

	}



/* _extend-ctx */
	obj_t BGl__extendzd2ctxzd2zzsaw_bbvzd2typeszd2(obj_t BgL_env1782z00_124,
		obj_t BgL_opt1781z00_123)
	{
		{	/* SawBbv/bbv-types.scm 403 */
			{	/* SawBbv/bbv-types.scm 403 */
				obj_t BgL_g1790z00_2391;
				obj_t BgL_g1791z00_2392;
				obj_t BgL_g1792z00_2393;
				obj_t BgL_g1793z00_2394;

				BgL_g1790z00_2391 = VECTOR_REF(BgL_opt1781z00_123, 0L);
				BgL_g1791z00_2392 = VECTOR_REF(BgL_opt1781z00_123, 1L);
				BgL_g1792z00_2393 = VECTOR_REF(BgL_opt1781z00_123, 2L);
				BgL_g1793z00_2394 = VECTOR_REF(BgL_opt1781z00_123, 3L);
				{	/* SawBbv/bbv-types.scm 403 */
					obj_t BgL_aliasesz00_2395;

					BgL_aliasesz00_2395 = BFALSE;
					{	/* SawBbv/bbv-types.scm 403 */
						obj_t BgL_countz00_2396;

						BgL_countz00_2396 = BINT(1L);
						{	/* SawBbv/bbv-types.scm 404 */
							obj_t BgL_valuez00_2397;

							BgL_valuez00_2397 = ((obj_t) CNST_TABLE_REF(2));
							{	/* SawBbv/bbv-types.scm 403 */

								{	/* SawBbv/bbv-types.scm 403 */
									long BgL_index1787z00_2398;

									BgL_index1787z00_2398 =
										BGl_search1784ze70ze7zzsaw_bbvzd2typeszd2(VECTOR_LENGTH(
											((obj_t) BgL_opt1781z00_123)), BgL_opt1781z00_123,
										((obj_t) CNST_TABLE_REF(3)), 4L);
									if ((BgL_index1787z00_2398 >= 0L))
										{	/* SawBbv/bbv-types.scm 403 */
											BgL_aliasesz00_2395 =
												VECTOR_REF(BgL_opt1781z00_123, BgL_index1787z00_2398);
										}
									else
										{	/* SawBbv/bbv-types.scm 403 */
											BFALSE;
										}
								}
								{	/* SawBbv/bbv-types.scm 403 */
									long BgL_index1788z00_2400;

									BgL_index1788z00_2400 =
										BGl_search1784ze70ze7zzsaw_bbvzd2typeszd2(VECTOR_LENGTH(
											((obj_t) BgL_opt1781z00_123)), BgL_opt1781z00_123,
										((obj_t) CNST_TABLE_REF(4)), 4L);
									if ((BgL_index1788z00_2400 >= 0L))
										{	/* SawBbv/bbv-types.scm 403 */
											BgL_countz00_2396 =
												VECTOR_REF(BgL_opt1781z00_123, BgL_index1788z00_2400);
										}
									else
										{	/* SawBbv/bbv-types.scm 403 */
											BFALSE;
										}
								}
								{	/* SawBbv/bbv-types.scm 403 */
									long BgL_index1789z00_2402;

									BgL_index1789z00_2402 =
										BGl_search1784ze70ze7zzsaw_bbvzd2typeszd2(VECTOR_LENGTH(
											((obj_t) BgL_opt1781z00_123)), BgL_opt1781z00_123,
										((obj_t) CNST_TABLE_REF(5)), 4L);
									if ((BgL_index1789z00_2402 >= 0L))
										{	/* SawBbv/bbv-types.scm 403 */
											BgL_valuez00_2397 =
												VECTOR_REF(BgL_opt1781z00_123, BgL_index1789z00_2402);
										}
									else
										{	/* SawBbv/bbv-types.scm 403 */
											BFALSE;
										}
								}
								{	/* SawBbv/bbv-types.scm 403 */
									obj_t BgL_arg2095z00_2404;
									obj_t BgL_arg2096z00_2405;
									obj_t BgL_arg2097z00_2406;
									obj_t BgL_arg2098z00_2407;

									BgL_arg2095z00_2404 = VECTOR_REF(BgL_opt1781z00_123, 0L);
									BgL_arg2096z00_2405 = VECTOR_REF(BgL_opt1781z00_123, 1L);
									BgL_arg2097z00_2406 = VECTOR_REF(BgL_opt1781z00_123, 2L);
									BgL_arg2098z00_2407 = VECTOR_REF(BgL_opt1781z00_123, 3L);
									{	/* SawBbv/bbv-types.scm 403 */
										obj_t BgL_aliasesz00_2408;

										BgL_aliasesz00_2408 = BgL_aliasesz00_2395;
										{	/* SawBbv/bbv-types.scm 403 */
											obj_t BgL_countz00_2409;

											BgL_countz00_2409 = BgL_countz00_2396;
											{	/* SawBbv/bbv-types.scm 403 */
												obj_t BgL_valuez00_2410;

												BgL_valuez00_2410 = BgL_valuez00_2397;
												return
													((obj_t)
													BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(
														((BgL_bbvzd2ctxzd2_bglt) BgL_arg2095z00_2404),
														((BgL_rtl_regz00_bglt) BgL_arg2096z00_2405),
														BgL_arg2097z00_2406, CBOOL(BgL_arg2098z00_2407),
														BgL_aliasesz00_2408, BgL_countz00_2409,
														BgL_valuez00_2410));
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* search1784~0 */
	long BGl_search1784ze70ze7zzsaw_bbvzd2typeszd2(long BgL_l1783z00_8911,
		obj_t BgL_opt1781z00_8910, obj_t BgL_k1z00_2388, long BgL_iz00_2389)
	{
		{	/* SawBbv/bbv-types.scm 403 */
		BGl_search1784ze70ze7zzsaw_bbvzd2typeszd2:
			if ((BgL_iz00_2389 == BgL_l1783z00_8911))
				{	/* SawBbv/bbv-types.scm 403 */
					return (-1L);
				}
			else
				{	/* SawBbv/bbv-types.scm 403 */
					obj_t BgL_vz00_2412;

					BgL_vz00_2412 = VECTOR_REF(BgL_opt1781z00_8910, BgL_iz00_2389);
					if ((BgL_vz00_2412 == BgL_k1z00_2388))
						{	/* SawBbv/bbv-types.scm 403 */
							return (BgL_iz00_2389 + 1L);
						}
					else
						{
							long BgL_iz00_10914;

							BgL_iz00_10914 = (BgL_iz00_2389 + 2L);
							BgL_iz00_2389 = BgL_iz00_10914;
							goto BGl_search1784ze70ze7zzsaw_bbvzd2typeszd2;
						}
				}
		}

	}



/* extend-ctx */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxzd2_bglt
		BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt
		BgL_ctxz00_116, BgL_rtl_regz00_bglt BgL_regz00_117, obj_t BgL_typesz00_118,
		bool_t BgL_polarityz00_119, obj_t BgL_aliasesz00_120,
		obj_t BgL_countz00_121, obj_t BgL_valuez00_122)
	{
		{	/* SawBbv/bbv-types.scm 403 */
			{	/* SawBbv/bbv-types.scm 447 */
				bool_t BgL_test4256z00_10916;

				{	/* SawBbv/bbv-types.scm 447 */
					obj_t BgL_classz00_5035;

					BgL_classz00_5035 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
					{	/* SawBbv/bbv-types.scm 447 */
						BgL_objectz00_bglt BgL_arg1858z00_5037;

						{	/* SawBbv/bbv-types.scm 447 */
							obj_t BgL_tmpz00_10917;

							BgL_tmpz00_10917 = ((obj_t) BgL_regz00_117);
							BgL_arg1858z00_5037 = (BgL_objectz00_bglt) (BgL_tmpz00_10917);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 447 */
								long BgL_idxz00_5043;

								BgL_idxz00_5043 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5037);
								BgL_test4256z00_10916 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_5043 + 2L)) == BgL_classz00_5035);
							}
						else
							{	/* SawBbv/bbv-types.scm 447 */
								bool_t BgL_res3613z00_5068;

								{	/* SawBbv/bbv-types.scm 447 */
									obj_t BgL_oclassz00_5051;

									{	/* SawBbv/bbv-types.scm 447 */
										obj_t BgL_arg1866z00_5059;
										long BgL_arg1867z00_5060;

										BgL_arg1866z00_5059 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.scm 447 */
											long BgL_arg1869z00_5061;

											BgL_arg1869z00_5061 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5037);
											BgL_arg1867z00_5060 = (BgL_arg1869z00_5061 - OBJECT_TYPE);
										}
										BgL_oclassz00_5051 =
											VECTOR_REF(BgL_arg1866z00_5059, BgL_arg1867z00_5060);
									}
									{	/* SawBbv/bbv-types.scm 447 */
										bool_t BgL__ortest_1115z00_5052;

										BgL__ortest_1115z00_5052 =
											(BgL_classz00_5035 == BgL_oclassz00_5051);
										if (BgL__ortest_1115z00_5052)
											{	/* SawBbv/bbv-types.scm 447 */
												BgL_res3613z00_5068 = BgL__ortest_1115z00_5052;
											}
										else
											{	/* SawBbv/bbv-types.scm 447 */
												long BgL_odepthz00_5053;

												{	/* SawBbv/bbv-types.scm 447 */
													obj_t BgL_arg1855z00_5054;

													BgL_arg1855z00_5054 = (BgL_oclassz00_5051);
													BgL_odepthz00_5053 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_5054);
												}
												if ((2L < BgL_odepthz00_5053))
													{	/* SawBbv/bbv-types.scm 447 */
														obj_t BgL_arg1853z00_5056;

														{	/* SawBbv/bbv-types.scm 447 */
															obj_t BgL_arg1854z00_5057;

															BgL_arg1854z00_5057 = (BgL_oclassz00_5051);
															BgL_arg1853z00_5056 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5057,
																2L);
														}
														BgL_res3613z00_5068 =
															(BgL_arg1853z00_5056 == BgL_classz00_5035);
													}
												else
													{	/* SawBbv/bbv-types.scm 447 */
														BgL_res3613z00_5068 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test4256z00_10916 = BgL_res3613z00_5068;
							}
					}
				}
				if (BgL_test4256z00_10916)
					{	/* SawBbv/bbv-types.scm 449 */
						obj_t BgL_vz00_2417;

						{	/* SawBbv/bbv-types.scm 449 */
							bool_t BgL_test4260z00_10939;

							if ((BgL_valuez00_122 == ((obj_t) CNST_TABLE_REF(2))))
								{	/* SawBbv/bbv-types.scm 449 */
									if (BgL_polarityz00_119)
										{	/* SawBbv/bbv-types.scm 452 */
											bool_t BgL_test4263z00_10945;

											{	/* SawBbv/bbv-types.scm 452 */
												bool_t BgL_test4264z00_10946;

												{	/* SawBbv/bbv-types.scm 452 */
													obj_t BgL_arg2116z00_2439;

													BgL_arg2116z00_2439 = CAR(BgL_typesz00_118);
													BgL_test4264z00_10946 =
														(BgL_arg2116z00_2439 ==
														BGl_za2bintza2z00zztype_cachez00);
												}
												if (BgL_test4264z00_10946)
													{	/* SawBbv/bbv-types.scm 452 */
														BgL_test4263z00_10945 = ((bool_t) 1);
													}
												else
													{	/* SawBbv/bbv-types.scm 452 */
														obj_t BgL_arg2115z00_2438;

														BgL_arg2115z00_2438 = CAR(BgL_typesz00_118);
														BgL_test4263z00_10945 =
															(BgL_arg2115z00_2438 ==
															BGl_za2longza2z00zztype_cachez00);
													}
											}
											if (BgL_test4263z00_10945)
												{	/* SawBbv/bbv-types.scm 452 */
													BgL_test4260z00_10939 = NULLP(CDR(BgL_typesz00_118));
												}
											else
												{	/* SawBbv/bbv-types.scm 452 */
													BgL_test4260z00_10939 = ((bool_t) 0);
												}
										}
									else
										{	/* SawBbv/bbv-types.scm 449 */
											BgL_test4260z00_10939 = ((bool_t) 0);
										}
								}
							else
								{	/* SawBbv/bbv-types.scm 449 */
									BgL_test4260z00_10939 = ((bool_t) 0);
								}
							if (BgL_test4260z00_10939)
								{	/* SawBbv/bbv-types.scm 449 */
									BgL_vz00_2417 =
										((obj_t) BGl_fixnumzd2rangezd2zzsaw_bbvzd2rangezd2());
								}
							else
								{	/* SawBbv/bbv-types.scm 449 */
									BgL_vz00_2417 = BgL_valuez00_122;
								}
						}
						{	/* SawBbv/bbv-types.scm 456 */
							BgL_bbvzd2ctxzd2_bglt BgL_new1285z00_2419;

							{	/* SawBbv/bbv-types.scm 456 */
								BgL_bbvzd2ctxzd2_bglt BgL_new1288z00_2421;

								BgL_new1288z00_2421 =
									((BgL_bbvzd2ctxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_bbvzd2ctxzd2_bgl))));
								{	/* SawBbv/bbv-types.scm 456 */
									long BgL_arg2103z00_2422;

									BgL_arg2103z00_2422 =
										BGL_CLASS_NUM(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1288z00_2421),
										BgL_arg2103z00_2422);
								}
								BgL_new1285z00_2419 = BgL_new1288z00_2421;
							}
							((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1285z00_2419))->
									BgL_idz00) =
								((long) (((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_116))->
										BgL_idz00)), BUNSPEC);
							((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1285z00_2419))->
									BgL_entriesz00) =
								((obj_t)
									BGl_extendzd2entriesze70z35zzsaw_bbvzd2typeszd2
									(BgL_aliasesz00_120, BgL_countz00_121, BgL_typesz00_118,
										BgL_ctxz00_116, ((obj_t) BgL_regz00_117), BgL_typesz00_118,
										BBOOL(BgL_polarityz00_119), BgL_vz00_2417)), BUNSPEC);
							{	/* SawBbv/bbv-types.scm 457 */
								obj_t BgL_fun2102z00_2420;

								BgL_fun2102z00_2420 =
									BGl_classzd2constructorzd2zz__objectz00
									(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
								BGL_PROCEDURE_CALL1(BgL_fun2102z00_2420,
									((obj_t) BgL_new1285z00_2419));
							}
							return BgL_new1285z00_2419;
						}
					}
				else
					{	/* SawBbv/bbv-types.scm 447 */
						return BgL_ctxz00_116;
					}
			}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzsaw_bbvzd2typeszd2(int BgL_rnumz00_8903,
		obj_t BgL_regz00_8902, obj_t BgL_aliasesz00_8901, obj_t BgL_valuez00_8900,
		obj_t BgL_polarityz00_8899, obj_t BgL_typesz00_8898,
		obj_t BgL_countz00_8897, obj_t BgL_typesz00_8896, obj_t BgL_entriesz00_2460)
	{
		{	/* SawBbv/bbv-types.scm 418 */
			if (NULLP(BgL_entriesz00_2460))
				{	/* SawBbv/bbv-types.scm 421 */
					BgL_bbvzd2ctxentryzd2_bglt BgL_nz00_2463;

					BgL_nz00_2463 =
						BGl_newzd2ctxentryze71z35zzsaw_bbvzd2typeszd2(BgL_aliasesz00_8901,
						BgL_countz00_8897, BgL_typesz00_8896,
						((BgL_rtl_regz00_bglt) BgL_regz00_8902), BgL_typesz00_8898,
						CBOOL(BgL_polarityz00_8899), BgL_valuez00_8900);
					{	/* SawBbv/bbv-types.scm 422 */
						obj_t BgL_list2124z00_2464;

						BgL_list2124z00_2464 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_nz00_2463), BNIL);
						return BgL_list2124z00_2464;
					}
				}
			else
				{	/* SawBbv/bbv-types.scm 423 */
					bool_t BgL_test4266z00_10978;

					{	/* SawBbv/bbv-types.scm 423 */
						int BgL_arg2149z00_2502;

						{	/* SawBbv/bbv-types.scm 423 */
							BgL_rtl_regz00_bglt BgL_oz00_5015;

							BgL_oz00_5015 =
								((BgL_rtl_regz00_bglt)
								(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
											((BgL_bbvzd2ctxentryzd2_bglt)
												CAR(((obj_t) BgL_entriesz00_2460)))))->BgL_regz00));
							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_10984;

								{
									obj_t BgL_auxz00_10985;

									{	/* SawBbv/bbv-types.scm 423 */
										BgL_objectz00_bglt BgL_tmpz00_10986;

										BgL_tmpz00_10986 = ((BgL_objectz00_bglt) BgL_oz00_5015);
										BgL_auxz00_10985 = BGL_OBJECT_WIDENING(BgL_tmpz00_10986);
									}
									BgL_auxz00_10984 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_10985);
								}
								BgL_arg2149z00_2502 =
									(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_10984))->
									BgL_numz00);
						}}
						BgL_test4266z00_10978 =
							((long) (BgL_arg2149z00_2502) > (long) (BgL_rnumz00_8903));
					}
					if (BgL_test4266z00_10978)
						{	/* SawBbv/bbv-types.scm 424 */
							BgL_bbvzd2ctxentryzd2_bglt BgL_nz00_2469;

							BgL_nz00_2469 =
								BGl_newzd2ctxentryze71z35zzsaw_bbvzd2typeszd2
								(BgL_aliasesz00_8901, BgL_countz00_8897, BgL_typesz00_8896,
								((BgL_rtl_regz00_bglt) BgL_regz00_8902), BgL_typesz00_8898,
								CBOOL(BgL_polarityz00_8899), BgL_valuez00_8900);
							return MAKE_YOUNG_PAIR(((obj_t) BgL_nz00_2469),
								BgL_entriesz00_2460);
						}
					else
						{	/* SawBbv/bbv-types.scm 423 */
							if (
								(((obj_t)
										(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
													((BgL_bbvzd2ctxentryzd2_bglt)
														CAR(
															((obj_t) BgL_entriesz00_2460)))))->BgL_regz00)) ==
									BgL_regz00_8902))
								{	/* SawBbv/bbv-types.scm 427 */
									BgL_bbvzd2ctxentryzd2_bglt BgL_i1274z00_2473;

									BgL_i1274z00_2473 =
										((BgL_bbvzd2ctxentryzd2_bglt)
										CAR(((obj_t) BgL_entriesz00_2460)));
									{	/* SawBbv/bbv-types.scm 428 */
										bool_t BgL_test4268z00_11009;

										if (
											(BgL_polarityz00_8899 ==
												BBOOL(
													(((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(BgL_i1274z00_2473))->BgL_polarityz00))))
											{	/* SawBbv/bbv-types.scm 428 */
												if (CBOOL(BgL_polarityz00_8899))
													{	/* SawBbv/bbv-types.scm 428 */
														BgL_test4268z00_11009 = ((bool_t) 0);
													}
												else
													{	/* SawBbv/bbv-types.scm 428 */
														BgL_test4268z00_11009 = ((bool_t) 1);
													}
											}
										else
											{	/* SawBbv/bbv-types.scm 428 */
												BgL_test4268z00_11009 = ((bool_t) 0);
											}
										if (BgL_test4268z00_11009)
											{	/* SawBbv/bbv-types.scm 430 */
												BgL_bbvzd2ctxentryzd2_bglt BgL_nz00_2478;

												{	/* SawBbv/bbv-types.scm 430 */
													BgL_bbvzd2ctxentryzd2_bglt BgL_duplicated1277z00_2480;
													BgL_bbvzd2ctxentryzd2_bglt BgL_new1275z00_2481;

													BgL_duplicated1277z00_2480 =
														((BgL_bbvzd2ctxentryzd2_bglt)
														CAR(((obj_t) BgL_entriesz00_2460)));
													{	/* SawBbv/bbv-types.scm 430 */
														BgL_bbvzd2ctxentryzd2_bglt BgL_new1278z00_2485;

														BgL_new1278z00_2485 =
															((BgL_bbvzd2ctxentryzd2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_bbvzd2ctxentryzd2_bgl))));
														{	/* SawBbv/bbv-types.scm 430 */
															long BgL_arg2139z00_2486;

															BgL_arg2139z00_2486 =
																BGL_CLASS_NUM
																(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																	BgL_new1278z00_2485), BgL_arg2139z00_2486);
														}
														BgL_new1275z00_2481 = BgL_new1278z00_2485;
													}
													((((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_new1275z00_2481))->BgL_regz00) =
														((BgL_rtl_regz00_bglt) ((
																	(BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_duplicated1277z00_2480))->
																BgL_regz00)), BUNSPEC);
													{
														obj_t BgL_auxz00_11025;

														{	/* SawBbv/bbv-types.scm 431 */
															obj_t BgL_arg2137z00_2482;

															{	/* SawBbv/bbv-types.scm 431 */
																obj_t BgL_arg2138z00_2483;

																BgL_arg2138z00_2483 =
																	(((BgL_bbvzd2ctxentryzd2_bglt)
																		COBJECT(BgL_i1274z00_2473))->BgL_typesz00);
																BgL_arg2137z00_2482 =
																	BGl_appendzd221011zd2zzsaw_bbvzd2typeszd2
																	(BgL_arg2138z00_2483, BgL_typesz00_8898);
															}
															BgL_auxz00_11025 =
																BGl_deletezd2duplicateszd2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg2137z00_2482,
																BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00);
														}
														((((BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_new1275z00_2481))->BgL_typesz00) =
															((obj_t) BgL_auxz00_11025), BUNSPEC);
													}
													((((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_new1275z00_2481))->
															BgL_polarityz00) =
														((bool_t) CBOOL(BgL_polarityz00_8899)), BUNSPEC);
													((((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_new1275z00_2481))->BgL_countz00) =
														((long) 0L), BUNSPEC);
													((((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_new1275z00_2481))->BgL_valuez00) =
														((obj_t) BgL_valuez00_8900), BUNSPEC);
													{
														obj_t BgL_auxz00_11034;

														if (CBOOL(BgL_aliasesz00_8901))
															{	/* SawBbv/bbv-types.scm 435 */
																BgL_auxz00_11034 = BgL_aliasesz00_8901;
															}
														else
															{	/* SawBbv/bbv-types.scm 435 */
																BgL_auxz00_11034 =
																	(((BgL_bbvzd2ctxentryzd2_bglt)
																		COBJECT(BgL_i1274z00_2473))->
																	BgL_aliasesz00);
															}
														((((BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_new1275z00_2481))->
																BgL_aliasesz00) =
															((obj_t) BgL_auxz00_11034), BUNSPEC);
													}
													((((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_new1275z00_2481))->BgL_initvalz00) =
														((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_duplicated1277z00_2480))->
																BgL_initvalz00)), BUNSPEC);
													BgL_nz00_2478 = BgL_new1275z00_2481;
												}
												{	/* SawBbv/bbv-types.scm 436 */
													obj_t BgL_arg2136z00_2479;

													BgL_arg2136z00_2479 =
														CDR(((obj_t) BgL_entriesz00_2460));
													return
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_nz00_2478), BgL_arg2136z00_2479);
												}
											}
										else
											{	/* SawBbv/bbv-types.scm 437 */
												BgL_bbvzd2ctxentryzd2_bglt BgL_nz00_2487;

												{	/* SawBbv/bbv-types.scm 437 */
													BgL_bbvzd2ctxentryzd2_bglt BgL_duplicated1282z00_2489;
													BgL_bbvzd2ctxentryzd2_bglt BgL_new1280z00_2490;

													BgL_duplicated1282z00_2489 =
														((BgL_bbvzd2ctxentryzd2_bglt)
														CAR(((obj_t) BgL_entriesz00_2460)));
													{	/* SawBbv/bbv-types.scm 437 */
														BgL_bbvzd2ctxentryzd2_bglt BgL_new1283z00_2493;

														BgL_new1283z00_2493 =
															((BgL_bbvzd2ctxentryzd2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_bbvzd2ctxentryzd2_bgl))));
														{	/* SawBbv/bbv-types.scm 437 */
															long BgL_arg2142z00_2494;

															BgL_arg2142z00_2494 =
																BGL_CLASS_NUM
																(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																	BgL_new1283z00_2493), BgL_arg2142z00_2494);
														}
														BgL_new1280z00_2490 = BgL_new1283z00_2493;
													}
													((((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_new1280z00_2490))->BgL_regz00) =
														((BgL_rtl_regz00_bglt) ((
																	(BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_duplicated1282z00_2489))->
																BgL_regz00)), BUNSPEC);
													((((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_new1280z00_2490))->BgL_typesz00) =
														((obj_t) BgL_typesz00_8898), BUNSPEC);
													((((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_new1280z00_2490))->
															BgL_polarityz00) =
														((bool_t) CBOOL(BgL_polarityz00_8899)), BUNSPEC);
													((((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_new1280z00_2490))->BgL_countz00) =
														((long) ((((BgL_bbvzd2ctxentryzd2_bglt)
																		COBJECT(BgL_i1274z00_2473))->BgL_countz00) +
																1L)), BUNSPEC);
													((((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_new1280z00_2490))->BgL_valuez00) =
														((obj_t) BgL_valuez00_8900), BUNSPEC);
													{
														obj_t BgL_auxz00_11061;

														if (CBOOL(BgL_aliasesz00_8901))
															{	/* SawBbv/bbv-types.scm 442 */
																BgL_auxz00_11061 = BgL_aliasesz00_8901;
															}
														else
															{	/* SawBbv/bbv-types.scm 442 */
																BgL_auxz00_11061 =
																	(((BgL_bbvzd2ctxentryzd2_bglt)
																		COBJECT(BgL_i1274z00_2473))->
																	BgL_aliasesz00);
															}
														((((BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_new1280z00_2490))->
																BgL_aliasesz00) =
															((obj_t) BgL_auxz00_11061), BUNSPEC);
													}
													((((BgL_bbvzd2ctxentryzd2_bglt)
																COBJECT(BgL_new1280z00_2490))->BgL_initvalz00) =
														((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_duplicated1282z00_2489))->
																BgL_initvalz00)), BUNSPEC);
													BgL_nz00_2487 = BgL_new1280z00_2490;
												}
												{	/* SawBbv/bbv-types.scm 443 */
													obj_t BgL_arg2140z00_2488;

													BgL_arg2140z00_2488 =
														CDR(((obj_t) BgL_entriesz00_2460));
													return
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_nz00_2487), BgL_arg2140z00_2488);
												}
											}
									}
								}
							else
								{	/* SawBbv/bbv-types.scm 445 */
									obj_t BgL_arg2144z00_2497;
									obj_t BgL_arg2145z00_2498;

									BgL_arg2144z00_2497 = CAR(((obj_t) BgL_entriesz00_2460));
									{	/* SawBbv/bbv-types.scm 445 */
										obj_t BgL_arg2146z00_2499;

										BgL_arg2146z00_2499 = CDR(((obj_t) BgL_entriesz00_2460));
										BgL_arg2145z00_2498 =
											BGl_loopze70ze7zzsaw_bbvzd2typeszd2(BgL_rnumz00_8903,
											BgL_regz00_8902, BgL_aliasesz00_8901, BgL_valuez00_8900,
											BgL_polarityz00_8899, BgL_typesz00_8898,
											BgL_countz00_8897, BgL_typesz00_8896,
											BgL_arg2146z00_2499);
									}
									return
										MAKE_YOUNG_PAIR(BgL_arg2144z00_2497, BgL_arg2145z00_2498);
								}
						}
				}
		}

	}



/* new-ctxentry~1 */
	BgL_bbvzd2ctxentryzd2_bglt BGl_newzd2ctxentryze71z35zzsaw_bbvzd2typeszd2(obj_t
		BgL_aliasesz00_8906, obj_t BgL_countz00_8905, obj_t BgL_typesz00_8904,
		BgL_rtl_regz00_bglt BgL_regz00_2440, obj_t BgL_typez00_2441,
		bool_t BgL_polarityz00_2442, obj_t BgL_valuez00_2443)
	{
		{	/* SawBbv/bbv-types.scm 413 */
			{	/* SawBbv/bbv-types.scm 407 */
				BgL_bbvzd2ctxentryzd2_bglt BgL_new1271z00_2445;

				{	/* SawBbv/bbv-types.scm 408 */
					BgL_bbvzd2ctxentryzd2_bglt BgL_new1270z00_2448;

					BgL_new1270z00_2448 =
						((BgL_bbvzd2ctxentryzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_bbvzd2ctxentryzd2_bgl))));
					{	/* SawBbv/bbv-types.scm 408 */
						long BgL_arg2119z00_2449;

						BgL_arg2119z00_2449 =
							BGL_CLASS_NUM(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1270z00_2448), BgL_arg2119z00_2449);
					}
					BgL_new1271z00_2445 = BgL_new1270z00_2448;
				}
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1271z00_2445))->
						BgL_regz00) = ((BgL_rtl_regz00_bglt) BgL_regz00_2440), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1271z00_2445))->
						BgL_typesz00) = ((obj_t) BgL_typesz00_8904), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1271z00_2445))->
						BgL_polarityz00) = ((bool_t) BgL_polarityz00_2442), BUNSPEC);
				{
					long BgL_auxz00_11085;

					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
							(BGl_za2objza2z00zztype_cachez00, BgL_typesz00_8904)))
						{	/* SawBbv/bbv-types.scm 410 */
							BgL_auxz00_11085 = 0L;
						}
					else
						{	/* SawBbv/bbv-types.scm 410 */
							BgL_auxz00_11085 = (long) CINT(BgL_countz00_8905);
						}
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1271z00_2445))->
							BgL_countz00) = ((long) BgL_auxz00_11085), BUNSPEC);
				}
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1271z00_2445))->
						BgL_valuez00) = ((obj_t) BgL_valuez00_2443), BUNSPEC);
				{
					obj_t BgL_auxz00_11092;

					if (CBOOL(BgL_aliasesz00_8906))
						{	/* SawBbv/bbv-types.scm 413 */
							BgL_auxz00_11092 = BgL_aliasesz00_8906;
						}
					else
						{	/* SawBbv/bbv-types.scm 413 */
							BgL_auxz00_11092 = BNIL;
						}
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1271z00_2445))->
							BgL_aliasesz00) = ((obj_t) BgL_auxz00_11092), BUNSPEC);
				}
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1271z00_2445))->
						BgL_initvalz00) = ((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1271z00_2445;
			}
		}

	}



/* extend-entries~0 */
	obj_t BGl_extendzd2entriesze70z35zzsaw_bbvzd2typeszd2(obj_t
		BgL_aliasesz00_8909, obj_t BgL_countz00_8908, obj_t BgL_typesz00_8907,
		BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_2450, obj_t BgL_regz00_2451,
		obj_t BgL_typesz00_2452, obj_t BgL_polarityz00_2453,
		obj_t BgL_valuez00_2454)
	{
		{	/* SawBbv/bbv-types.scm 445 */
			{	/* SawBbv/bbv-types.scm 416 */
				int BgL_rnumz00_2456;

				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_11097;

					{
						obj_t BgL_auxz00_11098;

						{	/* SawBbv/bbv-types.scm 416 */
							BgL_objectz00_bglt BgL_tmpz00_11099;

							BgL_tmpz00_11099 =
								((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_regz00_2451));
							BgL_auxz00_11098 = BGL_OBJECT_WIDENING(BgL_tmpz00_11099);
						}
						BgL_auxz00_11097 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_11098);
					}
					BgL_rnumz00_2456 =
						(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_11097))->
						BgL_numz00);
				}
				return
					BGl_loopze70ze7zzsaw_bbvzd2typeszd2(BgL_rnumz00_2456, BgL_regz00_2451,
					BgL_aliasesz00_8909, BgL_valuez00_2454, BgL_polarityz00_2453,
					BgL_typesz00_2452, BgL_countz00_8908, BgL_typesz00_8907,
					(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_2450))->BgL_entriesz00));
			}
		}

	}



/* _extend-ctx! */
	obj_t BGl__extendzd2ctxz12zc0zzsaw_bbvzd2typeszd2(obj_t BgL_env1795z00_132,
		obj_t BgL_opt1794z00_131)
	{
		{	/* SawBbv/bbv-types.scm 468 */
			{	/* SawBbv/bbv-types.scm 468 */
				obj_t BgL_g1802z00_2512;
				obj_t BgL_g1803z00_2513;
				obj_t BgL_g1804z00_2514;
				obj_t BgL_g1805z00_2515;

				BgL_g1802z00_2512 = VECTOR_REF(BgL_opt1794z00_131, 0L);
				BgL_g1803z00_2513 = VECTOR_REF(BgL_opt1794z00_131, 1L);
				BgL_g1804z00_2514 = VECTOR_REF(BgL_opt1794z00_131, 2L);
				BgL_g1805z00_2515 = VECTOR_REF(BgL_opt1794z00_131, 3L);
				{	/* SawBbv/bbv-types.scm 468 */
					obj_t BgL_aliasesz00_2516;

					BgL_aliasesz00_2516 = BFALSE;
					{	/* SawBbv/bbv-types.scm 469 */
						obj_t BgL_valuez00_2517;

						BgL_valuez00_2517 = ((obj_t) CNST_TABLE_REF(2));
						{	/* SawBbv/bbv-types.scm 468 */

							{	/* SawBbv/bbv-types.scm 468 */
								long BgL_index1800z00_2518;

								BgL_index1800z00_2518 =
									BGl_search1797ze70ze7zzsaw_bbvzd2typeszd2(VECTOR_LENGTH(
										((obj_t) BgL_opt1794z00_131)), BgL_opt1794z00_131,
									((obj_t) CNST_TABLE_REF(3)), 4L);
								if ((BgL_index1800z00_2518 >= 0L))
									{	/* SawBbv/bbv-types.scm 468 */
										BgL_aliasesz00_2516 =
											VECTOR_REF(BgL_opt1794z00_131, BgL_index1800z00_2518);
									}
								else
									{	/* SawBbv/bbv-types.scm 468 */
										BFALSE;
									}
							}
							{	/* SawBbv/bbv-types.scm 468 */
								long BgL_index1801z00_2520;

								BgL_index1801z00_2520 =
									BGl_search1797ze70ze7zzsaw_bbvzd2typeszd2(VECTOR_LENGTH(
										((obj_t) BgL_opt1794z00_131)), BgL_opt1794z00_131,
									((obj_t) CNST_TABLE_REF(5)), 4L);
								if ((BgL_index1801z00_2520 >= 0L))
									{	/* SawBbv/bbv-types.scm 468 */
										BgL_valuez00_2517 =
											VECTOR_REF(BgL_opt1794z00_131, BgL_index1801z00_2520);
									}
								else
									{	/* SawBbv/bbv-types.scm 468 */
										BFALSE;
									}
							}
							{	/* SawBbv/bbv-types.scm 468 */
								obj_t BgL_arg2154z00_2522;
								obj_t BgL_arg2155z00_2523;
								obj_t BgL_arg2156z00_2524;
								obj_t BgL_arg2157z00_2525;

								BgL_arg2154z00_2522 = VECTOR_REF(BgL_opt1794z00_131, 0L);
								BgL_arg2155z00_2523 = VECTOR_REF(BgL_opt1794z00_131, 1L);
								BgL_arg2156z00_2524 = VECTOR_REF(BgL_opt1794z00_131, 2L);
								BgL_arg2157z00_2525 = VECTOR_REF(BgL_opt1794z00_131, 3L);
								{	/* SawBbv/bbv-types.scm 468 */
									obj_t BgL_aliasesz00_2526;

									BgL_aliasesz00_2526 = BgL_aliasesz00_2516;
									{	/* SawBbv/bbv-types.scm 468 */
										obj_t BgL_valuez00_2527;

										BgL_valuez00_2527 = BgL_valuez00_2517;
										return
											((obj_t)
											BGl_extendzd2ctxz12zc0zzsaw_bbvzd2typeszd2(
												((BgL_bbvzd2ctxzd2_bglt) BgL_arg2154z00_2522),
												((BgL_rtl_regz00_bglt) BgL_arg2155z00_2523),
												BgL_arg2156z00_2524, CBOOL(BgL_arg2157z00_2525),
												BgL_aliasesz00_2526, BgL_valuez00_2527));
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* search1797~0 */
	long BGl_search1797ze70ze7zzsaw_bbvzd2typeszd2(long BgL_l1796z00_8895,
		obj_t BgL_opt1794z00_8894, obj_t BgL_k1z00_2509, long BgL_iz00_2510)
	{
		{	/* SawBbv/bbv-types.scm 468 */
		BGl_search1797ze70ze7zzsaw_bbvzd2typeszd2:
			if ((BgL_iz00_2510 == BgL_l1796z00_8895))
				{	/* SawBbv/bbv-types.scm 468 */
					return (-1L);
				}
			else
				{	/* SawBbv/bbv-types.scm 468 */
					obj_t BgL_vz00_2529;

					BgL_vz00_2529 = VECTOR_REF(BgL_opt1794z00_8894, BgL_iz00_2510);
					if ((BgL_vz00_2529 == BgL_k1z00_2509))
						{	/* SawBbv/bbv-types.scm 468 */
							return (BgL_iz00_2510 + 1L);
						}
					else
						{
							long BgL_iz00_11144;

							BgL_iz00_11144 = (BgL_iz00_2510 + 2L);
							BgL_iz00_2510 = BgL_iz00_11144;
							goto BGl_search1797ze70ze7zzsaw_bbvzd2typeszd2;
						}
				}
		}

	}



/* extend-ctx! */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxzd2_bglt
		BGl_extendzd2ctxz12zc0zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt
		BgL_ctxz00_125, BgL_rtl_regz00_bglt BgL_regz00_126, obj_t BgL_typesz00_127,
		bool_t BgL_polarityz00_128, obj_t BgL_aliasesz00_129,
		obj_t BgL_valuez00_130)
	{
		{	/* SawBbv/bbv-types.scm 468 */
			{
				BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_2561;
				BgL_rtl_regz00_bglt BgL_regz00_2562;
				obj_t BgL_typesz00_2563;
				bool_t BgL_polarityz00_2564;
				obj_t BgL_valuez00_2565;

				{	/* SawBbv/bbv-types.scm 504 */
					obj_t BgL_vz00_2533;

					{	/* SawBbv/bbv-types.scm 504 */
						bool_t BgL_test4279z00_11146;

						if ((BgL_valuez00_130 == ((obj_t) CNST_TABLE_REF(2))))
							{	/* SawBbv/bbv-types.scm 504 */
								if (BgL_polarityz00_128)
									{	/* SawBbv/bbv-types.scm 507 */
										bool_t BgL_test4282z00_11152;

										{	/* SawBbv/bbv-types.scm 507 */
											bool_t BgL_test4283z00_11153;

											{	/* SawBbv/bbv-types.scm 507 */
												obj_t BgL_arg2172z00_2551;

												BgL_arg2172z00_2551 = CAR(BgL_typesz00_127);
												BgL_test4283z00_11153 =
													(BgL_arg2172z00_2551 ==
													BGl_za2bintza2z00zztype_cachez00);
											}
											if (BgL_test4283z00_11153)
												{	/* SawBbv/bbv-types.scm 507 */
													BgL_test4282z00_11152 = ((bool_t) 1);
												}
											else
												{	/* SawBbv/bbv-types.scm 507 */
													obj_t BgL_arg2171z00_2550;

													BgL_arg2171z00_2550 = CAR(BgL_typesz00_127);
													BgL_test4282z00_11152 =
														(BgL_arg2171z00_2550 ==
														BGl_za2longza2z00zztype_cachez00);
												}
										}
										if (BgL_test4282z00_11152)
											{	/* SawBbv/bbv-types.scm 507 */
												BgL_test4279z00_11146 = NULLP(CDR(BgL_typesz00_127));
											}
										else
											{	/* SawBbv/bbv-types.scm 507 */
												BgL_test4279z00_11146 = ((bool_t) 0);
											}
									}
								else
									{	/* SawBbv/bbv-types.scm 504 */
										BgL_test4279z00_11146 = ((bool_t) 0);
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 504 */
								BgL_test4279z00_11146 = ((bool_t) 0);
							}
						if (BgL_test4279z00_11146)
							{	/* SawBbv/bbv-types.scm 504 */
								BgL_vz00_2533 =
									((obj_t) BGl_fixnumzd2rangezd2zzsaw_bbvzd2rangezd2());
							}
						else
							{	/* SawBbv/bbv-types.scm 504 */
								BgL_vz00_2533 = BgL_valuez00_130;
							}
					}
					{
						obj_t BgL_auxz00_11162;

						BgL_ctxz00_2561 = BgL_ctxz00_125;
						BgL_regz00_2562 = BgL_regz00_126;
						BgL_typesz00_2563 = BgL_typesz00_127;
						BgL_polarityz00_2564 = BgL_polarityz00_128;
						BgL_valuez00_2565 = BgL_vz00_2533;
						{	/* SawBbv/bbv-types.scm 480 */
							int BgL_rnumz00_2567;

							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_11163;

								{
									obj_t BgL_auxz00_11164;

									{	/* SawBbv/bbv-types.scm 480 */
										BgL_objectz00_bglt BgL_tmpz00_11165;

										BgL_tmpz00_11165 =
											((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_regz00_2562));
										BgL_auxz00_11164 = BGL_OBJECT_WIDENING(BgL_tmpz00_11165);
									}
									BgL_auxz00_11163 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_11164);
								}
								BgL_rnumz00_2567 =
									(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_11163))->
									BgL_numz00);
							}
							if (NULLP(
									(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_2561))->
										BgL_entriesz00)))
								{	/* SawBbv/bbv-types.scm 484 */
									BgL_bbvzd2ctxentryzd2_bglt BgL_nz00_2571;

									BgL_nz00_2571 =
										BGl_newzd2ctxentryze70z35zzsaw_bbvzd2typeszd2
										(BgL_aliasesz00_129, BgL_typesz00_127, BgL_regz00_2562,
										BGl_typez00zztype_typez00, BgL_polarityz00_2564,
										BgL_valuez00_2565);
									{	/* SawBbv/bbv-types.scm 485 */
										obj_t BgL_list2178z00_2572;

										BgL_list2178z00_2572 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_nz00_2571), BNIL);
										BgL_auxz00_11162 = BgL_list2178z00_2572;
									}
								}
							else
								{	/* SawBbv/bbv-types.scm 486 */
									bool_t BgL_test4285z00_11177;

									{	/* SawBbv/bbv-types.scm 486 */
										int BgL_arg2201z00_2602;

										{	/* SawBbv/bbv-types.scm 486 */
											BgL_rtl_regz00_bglt BgL_oz00_5090;

											{
												BgL_rtl_regz00_bglt BgL_auxz00_11178;

												{
													BgL_bbvzd2ctxentryzd2_bglt BgL_auxz00_11179;

													{	/* SawBbv/bbv-types.scm 486 */
														obj_t BgL_pairz00_5088;

														BgL_pairz00_5088 =
															(((BgL_bbvzd2ctxzd2_bglt)
																COBJECT(BgL_ctxz00_2561))->BgL_entriesz00);
														BgL_auxz00_11179 =
															((BgL_bbvzd2ctxentryzd2_bglt)
															CAR(BgL_pairz00_5088));
													}
													BgL_auxz00_11178 =
														(((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(BgL_auxz00_11179))->BgL_regz00);
												}
												BgL_oz00_5090 =
													((BgL_rtl_regz00_bglt) BgL_auxz00_11178);
											}
											{
												BgL_rtl_regzf2razf2_bglt BgL_auxz00_11185;

												{
													obj_t BgL_auxz00_11186;

													{	/* SawBbv/bbv-types.scm 486 */
														BgL_objectz00_bglt BgL_tmpz00_11187;

														BgL_tmpz00_11187 =
															((BgL_objectz00_bglt) BgL_oz00_5090);
														BgL_auxz00_11186 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_11187);
													}
													BgL_auxz00_11185 =
														((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_11186);
												}
												BgL_arg2201z00_2602 =
													(((BgL_rtl_regzf2razf2_bglt)
														COBJECT(BgL_auxz00_11185))->BgL_numz00);
										}}
										BgL_test4285z00_11177 =
											(
											(long) (BgL_arg2201z00_2602) > (long) (BgL_rnumz00_2567));
									}
									if (BgL_test4285z00_11177)
										{	/* SawBbv/bbv-types.scm 487 */
											BgL_bbvzd2ctxentryzd2_bglt BgL_nz00_2578;

											BgL_nz00_2578 =
												BGl_newzd2ctxentryze70z35zzsaw_bbvzd2typeszd2
												(BgL_aliasesz00_129, BgL_typesz00_127, BgL_regz00_2562,
												BGl_typez00zztype_typez00, BgL_polarityz00_2564,
												BgL_valuez00_2565);
											{	/* SawBbv/bbv-types.scm 488 */
												obj_t BgL_arg2184z00_2579;

												BgL_arg2184z00_2579 =
													(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_2561))->
													BgL_entriesz00);
												BgL_auxz00_11162 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_nz00_2578),
													BgL_arg2184z00_2579);
											}
										}
									else
										{	/* SawBbv/bbv-types.scm 490 */
											obj_t BgL_g1294z00_2580;

											BgL_g1294z00_2580 =
												CDR(
												(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_2561))->
													BgL_entriesz00));
											{
												obj_t BgL_curz00_2583;
												obj_t BgL_prevz00_2584;

												BgL_curz00_2583 = BgL_g1294z00_2580;
												BgL_prevz00_2584 =
													(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_2561))->
													BgL_entriesz00);
											BgL_zc3z04anonymousza32186ze3z87_2585:
												if (NULLP(BgL_curz00_2583))
													{	/* SawBbv/bbv-types.scm 494 */
														BgL_bbvzd2ctxentryzd2_bglt BgL_nz00_2587;

														BgL_nz00_2587 =
															BGl_newzd2ctxentryze70z35zzsaw_bbvzd2typeszd2
															(BgL_aliasesz00_129, BgL_typesz00_127,
															BgL_regz00_2562, BGl_typez00zztype_typez00,
															BgL_polarityz00_2564, BgL_valuez00_2565);
														{	/* SawBbv/bbv-types.scm 495 */
															obj_t BgL_arg2188z00_2588;

															{	/* SawBbv/bbv-types.scm 495 */
																obj_t BgL_list2189z00_2589;

																BgL_list2189z00_2589 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_nz00_2587), BNIL);
																BgL_arg2188z00_2588 = BgL_list2189z00_2589;
															}
															{	/* SawBbv/bbv-types.scm 495 */
																obj_t BgL_tmpz00_11206;

																BgL_tmpz00_11206 = ((obj_t) BgL_prevz00_2584);
																SET_CDR(BgL_tmpz00_11206, BgL_arg2188z00_2588);
															}
														}
														BgL_auxz00_11162 =
															(((BgL_bbvzd2ctxzd2_bglt)
																COBJECT(BgL_ctxz00_2561))->BgL_entriesz00);
													}
												else
													{	/* SawBbv/bbv-types.scm 497 */
														bool_t BgL_test4287z00_11210;

														{	/* SawBbv/bbv-types.scm 497 */
															int BgL_arg2196z00_2597;

															{	/* SawBbv/bbv-types.scm 497 */
																BgL_rtl_regz00_bglt BgL_oz00_5099;

																BgL_oz00_5099 =
																	((BgL_rtl_regz00_bglt)
																	(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																				((BgL_bbvzd2ctxentryzd2_bglt)
																					CAR(
																						((obj_t) BgL_curz00_2583)))))->
																		BgL_regz00));
																{
																	BgL_rtl_regzf2razf2_bglt BgL_auxz00_11216;

																	{
																		obj_t BgL_auxz00_11217;

																		{	/* SawBbv/bbv-types.scm 497 */
																			BgL_objectz00_bglt BgL_tmpz00_11218;

																			BgL_tmpz00_11218 =
																				((BgL_objectz00_bglt) BgL_oz00_5099);
																			BgL_auxz00_11217 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_11218);
																		}
																		BgL_auxz00_11216 =
																			((BgL_rtl_regzf2razf2_bglt)
																			BgL_auxz00_11217);
																	}
																	BgL_arg2196z00_2597 =
																		(((BgL_rtl_regzf2razf2_bglt)
																			COBJECT(BgL_auxz00_11216))->BgL_numz00);
															}}
															BgL_test4287z00_11210 =
																(
																(long) (BgL_arg2196z00_2597) >
																(long) (BgL_rnumz00_2567));
														}
														if (BgL_test4287z00_11210)
															{	/* SawBbv/bbv-types.scm 498 */
																BgL_bbvzd2ctxentryzd2_bglt BgL_nz00_2594;

																BgL_nz00_2594 =
																	BGl_newzd2ctxentryze70z35zzsaw_bbvzd2typeszd2
																	(BgL_aliasesz00_129, BgL_typesz00_127,
																	BgL_regz00_2562, BGl_typez00zztype_typez00,
																	BgL_polarityz00_2564, BgL_valuez00_2565);
																{	/* SawBbv/bbv-types.scm 499 */
																	obj_t BgL_arg2194z00_2595;

																	BgL_arg2194z00_2595 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_nz00_2594), BgL_curz00_2583);
																	{	/* SawBbv/bbv-types.scm 499 */
																		obj_t BgL_tmpz00_11229;

																		BgL_tmpz00_11229 =
																			((obj_t) BgL_prevz00_2584);
																		SET_CDR(BgL_tmpz00_11229,
																			BgL_arg2194z00_2595);
																	}
																}
																BgL_auxz00_11162 =
																	(((BgL_bbvzd2ctxzd2_bglt)
																		COBJECT(BgL_ctxz00_2561))->BgL_entriesz00);
															}
														else
															{	/* SawBbv/bbv-types.scm 502 */
																obj_t BgL_arg2195z00_2596;

																BgL_arg2195z00_2596 =
																	CDR(((obj_t) BgL_curz00_2583));
																{
																	obj_t BgL_prevz00_11236;
																	obj_t BgL_curz00_11235;

																	BgL_curz00_11235 = BgL_arg2195z00_2596;
																	BgL_prevz00_11236 = BgL_curz00_2583;
																	BgL_prevz00_2584 = BgL_prevz00_11236;
																	BgL_curz00_2583 = BgL_curz00_11235;
																	goto BgL_zc3z04anonymousza32186ze3z87_2585;
																}
															}
													}
											}
										}
								}
						}
						((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_125))->
								BgL_entriesz00) = ((obj_t) BgL_auxz00_11162), BUNSPEC);
					}
					return BgL_ctxz00_125;
				}
			}
		}

	}



/* new-ctxentry~0 */
	BgL_bbvzd2ctxentryzd2_bglt BGl_newzd2ctxentryze70z35zzsaw_bbvzd2typeszd2(obj_t
		BgL_aliasesz00_8893, obj_t BgL_typesz00_8892,
		BgL_rtl_regz00_bglt BgL_regz00_2552, obj_t BgL_typez00_2553,
		bool_t BgL_polarityz00_2554, obj_t BgL_valuez00_2555)
	{
		{	/* SawBbv/bbv-types.scm 477 */
			{	/* SawBbv/bbv-types.scm 472 */
				BgL_bbvzd2ctxentryzd2_bglt BgL_new1291z00_2557;

				{	/* SawBbv/bbv-types.scm 473 */
					BgL_bbvzd2ctxentryzd2_bglt BgL_new1290z00_2559;

					BgL_new1290z00_2559 =
						((BgL_bbvzd2ctxentryzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_bbvzd2ctxentryzd2_bgl))));
					{	/* SawBbv/bbv-types.scm 473 */
						long BgL_arg2174z00_2560;

						BgL_arg2174z00_2560 =
							BGL_CLASS_NUM(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1290z00_2559), BgL_arg2174z00_2560);
					}
					BgL_new1291z00_2557 = BgL_new1290z00_2559;
				}
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1291z00_2557))->
						BgL_regz00) = ((BgL_rtl_regz00_bglt) BgL_regz00_2552), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1291z00_2557))->
						BgL_typesz00) = ((obj_t) BgL_typesz00_8892), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1291z00_2557))->
						BgL_polarityz00) = ((bool_t) BgL_polarityz00_2554), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1291z00_2557))->
						BgL_countz00) = ((long) 0L), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1291z00_2557))->
						BgL_valuez00) = ((obj_t) BgL_valuez00_2555), BUNSPEC);
				{
					obj_t BgL_auxz00_11248;

					if (CBOOL(BgL_aliasesz00_8893))
						{	/* SawBbv/bbv-types.scm 477 */
							BgL_auxz00_11248 = BgL_aliasesz00_8893;
						}
					else
						{	/* SawBbv/bbv-types.scm 477 */
							BgL_auxz00_11248 = BNIL;
						}
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1291z00_2557))->
							BgL_aliasesz00) = ((obj_t) BgL_auxz00_11248), BUNSPEC);
				}
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1291z00_2557))->
						BgL_initvalz00) = ((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1291z00_2557;
			}
		}

	}



/* _extend-ctx* */
	obj_t BGl__extendzd2ctxza2z70zzsaw_bbvzd2typeszd2(obj_t BgL_env1807z00_139,
		obj_t BgL_opt1806z00_138)
	{
		{	/* SawBbv/bbv-types.scm 520 */
			{
				obj_t BgL_k1z00_2610;
				long BgL_iz00_2611;

				{	/* SawBbv/bbv-types.scm 520 */
					obj_t BgL_ctxz00_2613;
					obj_t BgL_regsz00_2614;
					obj_t BgL_g1813z00_2615;
					obj_t BgL_g1814z00_2616;

					BgL_ctxz00_2613 = VECTOR_REF(BgL_opt1806z00_138, 0L);
					BgL_regsz00_2614 = VECTOR_REF(BgL_opt1806z00_138, 1L);
					BgL_g1813z00_2615 = VECTOR_REF(BgL_opt1806z00_138, 2L);
					BgL_g1814z00_2616 = VECTOR_REF(BgL_opt1806z00_138, 3L);
					{	/* SawBbv/bbv-types.scm 521 */
						obj_t BgL_valuez00_2617;

						BgL_valuez00_2617 = ((obj_t) CNST_TABLE_REF(2));
						{	/* SawBbv/bbv-types.scm 520 */

							{	/* SawBbv/bbv-types.scm 520 */
								long BgL_index1812z00_2618;

								BgL_k1z00_2610 = ((obj_t) CNST_TABLE_REF(5));
								BgL_iz00_2611 = 4L;
							BgL_search1809z00_2612:
								if (
									(BgL_iz00_2611 ==
										VECTOR_LENGTH(((obj_t) BgL_opt1806z00_138))))
									{	/* SawBbv/bbv-types.scm 520 */
										BgL_index1812z00_2618 = (-1L);
									}
								else
									{	/* SawBbv/bbv-types.scm 520 */
										obj_t BgL_vz00_2626;

										BgL_vz00_2626 =
											VECTOR_REF(BgL_opt1806z00_138, BgL_iz00_2611);
										if ((BgL_vz00_2626 == BgL_k1z00_2610))
											{	/* SawBbv/bbv-types.scm 520 */
												BgL_index1812z00_2618 = (BgL_iz00_2611 + 1L);
											}
										else
											{
												long BgL_iz00_11267;

												BgL_iz00_11267 = (BgL_iz00_2611 + 2L);
												BgL_iz00_2611 = BgL_iz00_11267;
												goto BgL_search1809z00_2612;
											}
									}
								if ((BgL_index1812z00_2618 >= 0L))
									{	/* SawBbv/bbv-types.scm 520 */
										BgL_valuez00_2617 =
											VECTOR_REF(BgL_opt1806z00_138, BgL_index1812z00_2618);
									}
								else
									{	/* SawBbv/bbv-types.scm 520 */
										BFALSE;
									}
							}
							{	/* SawBbv/bbv-types.scm 520 */
								obj_t BgL_arg2207z00_2620;
								obj_t BgL_arg2208z00_2621;
								obj_t BgL_arg2209z00_2622;
								obj_t BgL_arg2210z00_2623;

								BgL_arg2207z00_2620 = VECTOR_REF(BgL_opt1806z00_138, 0L);
								BgL_arg2208z00_2621 = VECTOR_REF(BgL_opt1806z00_138, 1L);
								BgL_arg2209z00_2622 = VECTOR_REF(BgL_opt1806z00_138, 2L);
								BgL_arg2210z00_2623 = VECTOR_REF(BgL_opt1806z00_138, 3L);
								{	/* SawBbv/bbv-types.scm 520 */
									obj_t BgL_valuez00_2624;

									BgL_valuez00_2624 = BgL_valuez00_2617;
									return
										BGl_extendzd2ctxza2z70zzsaw_bbvzd2typeszd2(
										((BgL_bbvzd2ctxzd2_bglt) BgL_arg2207z00_2620),
										BgL_arg2208z00_2621, BgL_arg2209z00_2622,
										CBOOL(BgL_arg2210z00_2623), BgL_valuez00_2624);
								}
							}
						}
					}
				}
			}
		}

	}



/* extend-ctx* */
	BGL_EXPORTED_DEF obj_t
		BGl_extendzd2ctxza2z70zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt
		BgL_ctxz00_133, obj_t BgL_regsz00_134, obj_t BgL_typesz00_135,
		bool_t BgL_polarityz00_136, obj_t BgL_valuez00_137)
	{
		{	/* SawBbv/bbv-types.scm 520 */
			{
				BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_2629;
				obj_t BgL_regsz00_2630;

				{
					BgL_bbvzd2ctxzd2_bglt BgL_auxz00_11281;

					BgL_ctxz00_2629 = BgL_ctxz00_133;
					BgL_regsz00_2630 = BgL_regsz00_134;
				BgL_zc3z04anonymousza32213ze3z87_2631:
					if (NULLP(BgL_regsz00_2630))
						{	/* SawBbv/bbv-types.scm 524 */
							BgL_auxz00_11281 = BgL_ctxz00_2629;
						}
					else
						{	/* SawBbv/bbv-types.scm 526 */
							BgL_bbvzd2ctxzd2_bglt BgL_arg2215z00_2633;
							obj_t BgL_arg2216z00_2634;

							{	/* SawBbv/bbv-types.scm 526 */
								obj_t BgL_arg2217z00_2635;

								BgL_arg2217z00_2635 = CAR(((obj_t) BgL_regsz00_2630));
								BgL_arg2215z00_2633 =
									BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_ctxz00_2629,
									((BgL_rtl_regz00_bglt) BgL_arg2217z00_2635), BgL_typesz00_135,
									BgL_polarityz00_136, BFALSE, BINT(1L), BgL_valuez00_137);
							}
							BgL_arg2216z00_2634 = CDR(((obj_t) BgL_regsz00_2630));
							{
								obj_t BgL_regsz00_11292;
								BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_11291;

								BgL_ctxz00_11291 = BgL_arg2215z00_2633;
								BgL_regsz00_11292 = BgL_arg2216z00_2634;
								BgL_regsz00_2630 = BgL_regsz00_11292;
								BgL_ctxz00_2629 = BgL_ctxz00_11291;
								goto BgL_zc3z04anonymousza32213ze3z87_2631;
							}
						}
					return ((obj_t) BgL_auxz00_11281);
				}
			}
		}

	}



/* alias-ctx */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxzd2_bglt
		BGl_aliaszd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_140,
		BgL_rtl_regz00_bglt BgL_regz00_141, BgL_rtl_regz00_bglt BgL_aliasz00_142)
	{
		{	/* SawBbv/bbv-types.scm 534 */
			if (CBOOL(BGl_za2bbvzd2optimzd2aliasza2z00zzsaw_bbvzd2configzd2))
				{	/* SawBbv/bbv-types.scm 535 */
					if ((((obj_t) BgL_regz00_141) == ((obj_t) BgL_aliasz00_142)))
						{	/* SawBbv/bbv-types.scm 536 */
							return BgL_ctxz00_140;
						}
					else
						{	/* SawBbv/bbv-types.scm 538 */
							obj_t BgL_rez00_2640;
							obj_t BgL_aez00_2641;

							BgL_rez00_2640 =
								BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(BgL_ctxz00_140,
								BgL_regz00_141);
							BgL_aez00_2641 =
								BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(BgL_ctxz00_140,
								BgL_aliasz00_142);
							{	/* SawBbv/bbv-types.scm 542 */
								obj_t BgL_allz00_2644;

								{	/* SawBbv/bbv-types.scm 543 */
									obj_t BgL_arg2239z00_2680;

									{	/* SawBbv/bbv-types.scm 543 */
										obj_t BgL_arg2240z00_2681;

										{	/* SawBbv/bbv-types.scm 543 */
											obj_t BgL_arg2241z00_2682;
											obj_t BgL_arg2242z00_2683;

											BgL_arg2241z00_2682 =
												(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
														((BgL_bbvzd2ctxentryzd2_bglt) BgL_rez00_2640)))->
												BgL_aliasesz00);
											BgL_arg2242z00_2683 =
												(((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
															BgL_aez00_2641)))->BgL_aliasesz00);
											BgL_arg2240z00_2681 =
												BGl_appendzd221011zd2zzsaw_bbvzd2typeszd2
												(BgL_arg2241z00_2682, BgL_arg2242z00_2683);
										}
										BgL_arg2239z00_2680 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_aliasz00_142), BgL_arg2240z00_2681);
									}
									BgL_allz00_2644 =
										BGl_deletezd2duplicateszd2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg2239z00_2680,
										BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00);
								}
								{	/* SawBbv/bbv-types.scm 545 */
									BgL_bbvzd2ctxentryzd2_bglt BgL_nrez00_2645;

									{	/* SawBbv/bbv-types.scm 545 */
										BgL_bbvzd2ctxentryzd2_bglt BgL_new1299z00_2677;

										{	/* SawBbv/bbv-types.scm 545 */
											BgL_bbvzd2ctxentryzd2_bglt BgL_new1302z00_2678;

											BgL_new1302z00_2678 =
												((BgL_bbvzd2ctxentryzd2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_bbvzd2ctxentryzd2_bgl))));
											{	/* SawBbv/bbv-types.scm 545 */
												long BgL_arg2238z00_2679;

												BgL_arg2238z00_2679 =
													BGL_CLASS_NUM
													(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
														BgL_new1302z00_2678), BgL_arg2238z00_2679);
											}
											BgL_new1299z00_2677 = BgL_new1302z00_2678;
										}
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1299z00_2677))->BgL_regz00) =
											((BgL_rtl_regz00_bglt) (((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																BgL_rez00_2640)))->BgL_regz00)), BUNSPEC);
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1299z00_2677))->BgL_typesz00) =
											((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																BgL_rez00_2640)))->BgL_typesz00)), BUNSPEC);
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1299z00_2677))->BgL_polarityz00) =
											((bool_t) (((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																BgL_rez00_2640)))->BgL_polarityz00)), BUNSPEC);
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1299z00_2677))->BgL_countz00) =
											((long) (((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																BgL_rez00_2640)))->BgL_countz00)), BUNSPEC);
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1299z00_2677))->BgL_valuez00) =
											((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																BgL_rez00_2640)))->BgL_valuez00)), BUNSPEC);
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1299z00_2677))->BgL_aliasesz00) =
											((obj_t) bgl_remq(((obj_t) BgL_regz00_141),
													BgL_allz00_2644)), BUNSPEC);
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1299z00_2677))->BgL_initvalz00) =
											((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																BgL_rez00_2640)))->BgL_initvalz00)), BUNSPEC);
										BgL_nrez00_2645 = BgL_new1299z00_2677;
									}
									{	/* SawBbv/bbv-types.scm 547 */
										obj_t BgL_g1303z00_2646;

										BgL_g1303z00_2646 =
											BGl_extendzd2ctxzf2entryz20zzsaw_bbvzd2typeszd2
											(BgL_ctxz00_140, BgL_nrez00_2645);
										{
											obj_t BgL_allz00_2648;
											obj_t BgL_ctxz00_2649;

											{
												obj_t BgL_auxz00_11336;

												BgL_allz00_2648 = BgL_allz00_2644;
												BgL_ctxz00_2649 = BgL_g1303z00_2646;
											BgL_zc3z04anonymousza32218ze3z87_2650:
												if (NULLP(BgL_allz00_2648))
													{	/* SawBbv/bbv-types.scm 549 */
														BgL_auxz00_11336 = BgL_ctxz00_2649;
													}
												else
													{	/* SawBbv/bbv-types.scm 551 */
														obj_t BgL_aez00_2652;

														BgL_aez00_2652 =
															BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(
															((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_2649),
															((BgL_rtl_regz00_bglt)
																CAR(((obj_t) BgL_allz00_2648))));
														if (CBOOL(BgL_aez00_2652))
															{	/* SawBbv/bbv-types.scm 554 */
																bool_t BgL_test4297z00_11346;

																if (
																	(((obj_t) BgL_regz00_141) ==
																		((obj_t)
																			(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																						((BgL_bbvzd2ctxentryzd2_bglt)
																							BgL_aez00_2652)))->BgL_regz00))))
																	{	/* SawBbv/bbv-types.scm 554 */
																		BgL_test4297z00_11346 = ((bool_t) 1);
																	}
																else
																	{	/* SawBbv/bbv-types.scm 554 */
																		BgL_test4297z00_11346 =
																			CBOOL
																			(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
																				((obj_t) BgL_regz00_141),
																				(((BgL_bbvzd2ctxentryzd2_bglt)
																						COBJECT((
																								(BgL_bbvzd2ctxentryzd2_bglt)
																								BgL_aez00_2652)))->
																					BgL_aliasesz00)));
																	}
																if (BgL_test4297z00_11346)
																	{	/* SawBbv/bbv-types.scm 555 */
																		obj_t BgL_arg2225z00_2659;

																		BgL_arg2225z00_2659 =
																			CDR(((obj_t) BgL_allz00_2648));
																		{
																			obj_t BgL_allz00_11360;

																			BgL_allz00_11360 = BgL_arg2225z00_2659;
																			BgL_allz00_2648 = BgL_allz00_11360;
																			goto
																				BgL_zc3z04anonymousza32218ze3z87_2650;
																		}
																	}
																else
																	{	/* SawBbv/bbv-types.scm 556 */
																		BgL_bbvzd2ctxentryzd2_bglt BgL_naez00_2660;

																		{	/* SawBbv/bbv-types.scm 556 */
																			BgL_bbvzd2ctxentryzd2_bglt
																				BgL_new1306z00_2664;
																			{	/* SawBbv/bbv-types.scm 556 */
																				BgL_bbvzd2ctxentryzd2_bglt
																					BgL_new1309z00_2668;
																				BgL_new1309z00_2668 =
																					((BgL_bbvzd2ctxentryzd2_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_bbvzd2ctxentryzd2_bgl))));
																				{	/* SawBbv/bbv-types.scm 556 */
																					long BgL_arg2233z00_2669;

																					BgL_arg2233z00_2669 =
																						BGL_CLASS_NUM
																						(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
																					BGL_OBJECT_CLASS_NUM_SET((
																							(BgL_objectz00_bglt)
																							BgL_new1309z00_2668),
																						BgL_arg2233z00_2669);
																				}
																				BgL_new1306z00_2664 =
																					BgL_new1309z00_2668;
																			}
																			((((BgL_bbvzd2ctxentryzd2_bglt)
																						COBJECT(BgL_new1306z00_2664))->
																					BgL_regz00) =
																				((BgL_rtl_regz00_bglt) ((
																							(BgL_bbvzd2ctxentryzd2_bglt)
																							COBJECT((
																									(BgL_bbvzd2ctxentryzd2_bglt)
																									BgL_aez00_2652)))->
																						BgL_regz00)), BUNSPEC);
																			((((BgL_bbvzd2ctxentryzd2_bglt)
																						COBJECT(BgL_new1306z00_2664))->
																					BgL_typesz00) =
																				((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																							COBJECT((
																									(BgL_bbvzd2ctxentryzd2_bglt)
																									BgL_aez00_2652)))->
																						BgL_typesz00)), BUNSPEC);
																			((((BgL_bbvzd2ctxentryzd2_bglt)
																						COBJECT(BgL_new1306z00_2664))->
																					BgL_polarityz00) =
																				((bool_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																							COBJECT((
																									(BgL_bbvzd2ctxentryzd2_bglt)
																									BgL_aez00_2652)))->
																						BgL_polarityz00)), BUNSPEC);
																			((((BgL_bbvzd2ctxentryzd2_bglt)
																						COBJECT(BgL_new1306z00_2664))->
																					BgL_countz00) =
																				((long) (((BgL_bbvzd2ctxentryzd2_bglt)
																							COBJECT((
																									(BgL_bbvzd2ctxentryzd2_bglt)
																									BgL_aez00_2652)))->
																						BgL_countz00)), BUNSPEC);
																			((((BgL_bbvzd2ctxentryzd2_bglt)
																						COBJECT(BgL_new1306z00_2664))->
																					BgL_valuez00) =
																				((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																							COBJECT((
																									(BgL_bbvzd2ctxentryzd2_bglt)
																									BgL_aez00_2652)))->
																						BgL_valuez00)), BUNSPEC);
																			{
																				obj_t BgL_auxz00_11380;

																				{	/* SawBbv/bbv-types.scm 559 */
																					obj_t BgL_arg2228z00_2665;

																					{	/* SawBbv/bbv-types.scm 559 */
																						obj_t BgL_arg2230z00_2666;

																						{	/* SawBbv/bbv-types.scm 559 */
																							obj_t BgL_arg2231z00_2667;

																							BgL_arg2231z00_2667 =
																								(((BgL_bbvzd2ctxentryzd2_bglt)
																									COBJECT((
																											(BgL_bbvzd2ctxentryzd2_bglt)
																											BgL_aez00_2652)))->
																								BgL_aliasesz00);
																							BgL_arg2230z00_2666 =
																								MAKE_YOUNG_PAIR(((obj_t)
																									BgL_regz00_141),
																								BgL_arg2231z00_2667);
																						}
																						BgL_arg2228z00_2665 =
																							BGl_deletezd2duplicateszd2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg2230z00_2666,
																							BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00);
																					}
																					BgL_auxz00_11380 =
																						bgl_remq(
																						((obj_t) BgL_aliasz00_142),
																						BgL_arg2228z00_2665);
																				}
																				((((BgL_bbvzd2ctxentryzd2_bglt)
																							COBJECT(BgL_new1306z00_2664))->
																						BgL_aliasesz00) =
																					((obj_t) BgL_auxz00_11380), BUNSPEC);
																			}
																			((((BgL_bbvzd2ctxentryzd2_bglt)
																						COBJECT(BgL_new1306z00_2664))->
																					BgL_initvalz00) =
																				((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																							COBJECT((
																									(BgL_bbvzd2ctxentryzd2_bglt)
																									BgL_aez00_2652)))->
																						BgL_initvalz00)), BUNSPEC);
																			BgL_naez00_2660 = BgL_new1306z00_2664;
																		}
																		{	/* SawBbv/bbv-types.scm 561 */
																			obj_t BgL_arg2226z00_2661;
																			obj_t BgL_arg2227z00_2662;

																			BgL_arg2226z00_2661 =
																				CDR(((obj_t) BgL_allz00_2648));
																			BgL_arg2227z00_2662 =
																				BGl_extendzd2ctxzf2entryz20zzsaw_bbvzd2typeszd2
																				(((BgL_bbvzd2ctxzd2_bglt)
																					BgL_ctxz00_2649), BgL_naez00_2660);
																			{
																				obj_t BgL_ctxz00_11397;
																				obj_t BgL_allz00_11396;

																				BgL_allz00_11396 = BgL_arg2226z00_2661;
																				BgL_ctxz00_11397 = BgL_arg2227z00_2662;
																				BgL_ctxz00_2649 = BgL_ctxz00_11397;
																				BgL_allz00_2648 = BgL_allz00_11396;
																				goto
																					BgL_zc3z04anonymousza32218ze3z87_2650;
																			}
																		}
																	}
															}
														else
															{	/* SawBbv/bbv-types.scm 563 */
																obj_t BgL_arg2236z00_2673;

																BgL_arg2236z00_2673 =
																	CDR(((obj_t) BgL_allz00_2648));
																{
																	obj_t BgL_allz00_11400;

																	BgL_allz00_11400 = BgL_arg2236z00_2673;
																	BgL_allz00_2648 = BgL_allz00_11400;
																	goto BgL_zc3z04anonymousza32218ze3z87_2650;
																}
															}
													}
												return ((BgL_bbvzd2ctxzd2_bglt) BgL_auxz00_11336);
											}
										}
									}
								}
							}
						}
				}
			else
				{	/* SawBbv/bbv-types.scm 535 */
					return BgL_ctxz00_140;
				}
		}

	}



/* &alias-ctx */
	BgL_bbvzd2ctxzd2_bglt BGl_z62aliaszd2ctxzb0zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8200, obj_t BgL_ctxz00_8201, obj_t BgL_regz00_8202,
		obj_t BgL_aliasz00_8203)
	{
		{	/* SawBbv/bbv-types.scm 534 */
			return
				BGl_aliaszd2ctxzd2zzsaw_bbvzd2typeszd2(
				((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_8201),
				((BgL_rtl_regz00_bglt) BgL_regz00_8202),
				((BgL_rtl_regz00_bglt) BgL_aliasz00_8203));
		}

	}



/* unalias-ctx */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxzd2_bglt
		BGl_unaliaszd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt
		BgL_ctxz00_143, BgL_rtl_regz00_bglt BgL_regz00_144)
	{
		{	/* SawBbv/bbv-types.scm 571 */
			if (CBOOL(BGl_za2bbvzd2optimzd2aliasza2z00zzsaw_bbvzd2configzd2))
				{	/* SawBbv/bbv-types.scm 574 */
					BgL_bbvzd2ctxzd2_bglt BgL_new1313z00_2685;

					{	/* SawBbv/bbv-types.scm 574 */
						BgL_bbvzd2ctxzd2_bglt BgL_new1312z00_2713;

						BgL_new1312z00_2713 =
							((BgL_bbvzd2ctxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_bbvzd2ctxzd2_bgl))));
						{	/* SawBbv/bbv-types.scm 574 */
							long BgL_arg2256z00_2714;

							BgL_arg2256z00_2714 =
								BGL_CLASS_NUM(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1312z00_2713),
								BgL_arg2256z00_2714);
						}
						BgL_new1313z00_2685 = BgL_new1312z00_2713;
					}
					((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1313z00_2685))->BgL_idz00) =
						((long) (-1L)), BUNSPEC);
					{
						obj_t BgL_auxz00_11413;

						{	/* SawBbv/bbv-types.scm 575 */
							obj_t BgL_l1669z00_2686;

							BgL_l1669z00_2686 =
								(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_143))->
								BgL_entriesz00);
							if (NULLP(BgL_l1669z00_2686))
								{	/* SawBbv/bbv-types.scm 575 */
									BgL_auxz00_11413 = BNIL;
								}
							else
								{	/* SawBbv/bbv-types.scm 575 */
									obj_t BgL_head1671z00_2688;

									BgL_head1671z00_2688 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l1669z00_2690;
										obj_t BgL_tail1672z00_2691;

										BgL_l1669z00_2690 = BgL_l1669z00_2686;
										BgL_tail1672z00_2691 = BgL_head1671z00_2688;
									BgL_zc3z04anonymousza32244ze3z87_2692:
										if (NULLP(BgL_l1669z00_2690))
											{	/* SawBbv/bbv-types.scm 575 */
												BgL_auxz00_11413 = CDR(BgL_head1671z00_2688);
											}
										else
											{	/* SawBbv/bbv-types.scm 575 */
												obj_t BgL_newtail1673z00_2694;

												{	/* SawBbv/bbv-types.scm 575 */
													BgL_bbvzd2ctxentryzd2_bglt BgL_arg2247z00_2696;

													{	/* SawBbv/bbv-types.scm 575 */
														obj_t BgL_ez00_2697;

														BgL_ez00_2697 = CAR(((obj_t) BgL_l1669z00_2690));
														if (
															(((obj_t)
																	(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																				((BgL_bbvzd2ctxentryzd2_bglt)
																					BgL_ez00_2697)))->BgL_regz00)) ==
																((obj_t) BgL_regz00_144)))
															{	/* SawBbv/bbv-types.scm 578 */
																BgL_bbvzd2ctxentryzd2_bglt BgL_new1315z00_2702;

																{	/* SawBbv/bbv-types.scm 579 */
																	BgL_bbvzd2ctxentryzd2_bglt
																		BgL_new1318z00_2703;
																	BgL_new1318z00_2703 =
																		((BgL_bbvzd2ctxentryzd2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_bbvzd2ctxentryzd2_bgl))));
																	{	/* SawBbv/bbv-types.scm 579 */
																		long BgL_arg2250z00_2704;

																		{	/* SawBbv/bbv-types.scm 579 */
																			obj_t BgL_classz00_5131;

																			BgL_classz00_5131 =
																				BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2;
																			BgL_arg2250z00_2704 =
																				BGL_CLASS_NUM(BgL_classz00_5131);
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1318z00_2703),
																			BgL_arg2250z00_2704);
																	}
																	BgL_new1315z00_2702 = BgL_new1318z00_2703;
																}
																((((BgL_bbvzd2ctxentryzd2_bglt)
																			COBJECT(BgL_new1315z00_2702))->
																		BgL_regz00) =
																	((BgL_rtl_regz00_bglt) ((
																				(BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																						BgL_ez00_2697)))->BgL_regz00)),
																	BUNSPEC);
																((((BgL_bbvzd2ctxentryzd2_bglt)
																			COBJECT(BgL_new1315z00_2702))->
																		BgL_typesz00) =
																	((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																						BgL_ez00_2697)))->BgL_typesz00)),
																	BUNSPEC);
																((((BgL_bbvzd2ctxentryzd2_bglt)
																			COBJECT(BgL_new1315z00_2702))->
																		BgL_polarityz00) =
																	((bool_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																						BgL_ez00_2697)))->BgL_polarityz00)),
																	BUNSPEC);
																((((BgL_bbvzd2ctxentryzd2_bglt)
																			COBJECT(BgL_new1315z00_2702))->
																		BgL_countz00) =
																	((long) (((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																						BgL_ez00_2697)))->BgL_countz00)),
																	BUNSPEC);
																((((BgL_bbvzd2ctxentryzd2_bglt)
																			COBJECT(BgL_new1315z00_2702))->
																		BgL_valuez00) =
																	((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																						BgL_ez00_2697)))->BgL_valuez00)),
																	BUNSPEC);
																((((BgL_bbvzd2ctxentryzd2_bglt)
																			COBJECT(BgL_new1315z00_2702))->
																		BgL_aliasesz00) = ((obj_t) BNIL), BUNSPEC);
																((((BgL_bbvzd2ctxentryzd2_bglt)
																			COBJECT(BgL_new1315z00_2702))->
																		BgL_initvalz00) =
																	((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																						BgL_ez00_2697)))->BgL_initvalz00)),
																	BUNSPEC);
																BgL_arg2247z00_2696 = BgL_new1315z00_2702;
															}
														else
															{	/* SawBbv/bbv-types.scm 580 */
																BgL_bbvzd2ctxentryzd2_bglt BgL_new1319z00_2706;

																{	/* SawBbv/bbv-types.scm 581 */
																	BgL_bbvzd2ctxentryzd2_bglt
																		BgL_new1322z00_2708;
																	BgL_new1322z00_2708 =
																		((BgL_bbvzd2ctxentryzd2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_bbvzd2ctxentryzd2_bgl))));
																	{	/* SawBbv/bbv-types.scm 581 */
																		long BgL_arg2253z00_2709;

																		{	/* SawBbv/bbv-types.scm 581 */
																			obj_t BgL_classz00_5134;

																			BgL_classz00_5134 =
																				BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2;
																			BgL_arg2253z00_2709 =
																				BGL_CLASS_NUM(BgL_classz00_5134);
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1322z00_2708),
																			BgL_arg2253z00_2709);
																	}
																	BgL_new1319z00_2706 = BgL_new1322z00_2708;
																}
																((((BgL_bbvzd2ctxentryzd2_bglt)
																			COBJECT(BgL_new1319z00_2706))->
																		BgL_regz00) =
																	((BgL_rtl_regz00_bglt) ((
																				(BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																						BgL_ez00_2697)))->BgL_regz00)),
																	BUNSPEC);
																((((BgL_bbvzd2ctxentryzd2_bglt)
																			COBJECT(BgL_new1319z00_2706))->
																		BgL_typesz00) =
																	((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																						BgL_ez00_2697)))->BgL_typesz00)),
																	BUNSPEC);
																((((BgL_bbvzd2ctxentryzd2_bglt)
																			COBJECT(BgL_new1319z00_2706))->
																		BgL_polarityz00) =
																	((bool_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																						BgL_ez00_2697)))->BgL_polarityz00)),
																	BUNSPEC);
																((((BgL_bbvzd2ctxentryzd2_bglt)
																			COBJECT(BgL_new1319z00_2706))->
																		BgL_countz00) =
																	((long) (((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																						BgL_ez00_2697)))->BgL_countz00)),
																	BUNSPEC);
																((((BgL_bbvzd2ctxentryzd2_bglt)
																			COBJECT(BgL_new1319z00_2706))->
																		BgL_valuez00) =
																	((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																						BgL_ez00_2697)))->BgL_valuez00)),
																	BUNSPEC);
																((((BgL_bbvzd2ctxentryzd2_bglt)
																			COBJECT(BgL_new1319z00_2706))->
																		BgL_aliasesz00) =
																	((obj_t) bgl_remq(((obj_t) BgL_regz00_144),
																			(((BgL_bbvzd2ctxentryzd2_bglt)
																					COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																							BgL_ez00_2697)))->
																				BgL_aliasesz00))), BUNSPEC);
																((((BgL_bbvzd2ctxentryzd2_bglt)
																			COBJECT(BgL_new1319z00_2706))->
																		BgL_initvalz00) =
																	((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																						BgL_ez00_2697)))->BgL_initvalz00)),
																	BUNSPEC);
																BgL_arg2247z00_2696 = BgL_new1319z00_2706;
													}}
													BgL_newtail1673z00_2694 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg2247z00_2696), BNIL);
												}
												SET_CDR(BgL_tail1672z00_2691, BgL_newtail1673z00_2694);
												{	/* SawBbv/bbv-types.scm 575 */
													obj_t BgL_arg2246z00_2695;

													BgL_arg2246z00_2695 =
														CDR(((obj_t) BgL_l1669z00_2690));
													{
														obj_t BgL_tail1672z00_11485;
														obj_t BgL_l1669z00_11484;

														BgL_l1669z00_11484 = BgL_arg2246z00_2695;
														BgL_tail1672z00_11485 = BgL_newtail1673z00_2694;
														BgL_tail1672z00_2691 = BgL_tail1672z00_11485;
														BgL_l1669z00_2690 = BgL_l1669z00_11484;
														goto BgL_zc3z04anonymousza32244ze3z87_2692;
													}
												}
											}
									}
								}
						}
						((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1313z00_2685))->
								BgL_entriesz00) = ((obj_t) BgL_auxz00_11413), BUNSPEC);
					}
					{	/* SawBbv/bbv-types.scm 574 */
						obj_t BgL_fun2255z00_2712;

						BgL_fun2255z00_2712 =
							BGl_classzd2constructorzd2zz__objectz00
							(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
						BGL_PROCEDURE_CALL1(BgL_fun2255z00_2712,
							((obj_t) BgL_new1313z00_2685));
					}
					return BgL_new1313z00_2685;
				}
			else
				{	/* SawBbv/bbv-types.scm 572 */
					return BgL_ctxz00_143;
				}
		}

	}



/* &unalias-ctx */
	BgL_bbvzd2ctxzd2_bglt BGl_z62unaliaszd2ctxzb0zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8204, obj_t BgL_ctxz00_8205, obj_t BgL_regz00_8206)
	{
		{	/* SawBbv/bbv-types.scm 571 */
			return
				BGl_unaliaszd2ctxzd2zzsaw_bbvzd2typeszd2(
				((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_8205),
				((BgL_rtl_regz00_bglt) BgL_regz00_8206));
		}

	}



/* dump-ctx */
	obj_t BGl_dumpzd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt
		BgL_ctxz00_149, obj_t BgL_inz00_150, obj_t BgL_pz00_151)
	{
		{	/* SawBbv/bbv-types.scm 619 */
			{	/* SawBbv/bbv-types.scm 621 */
				obj_t BgL_arg2257z00_2716;

				{	/* SawBbv/bbv-types.scm 621 */
					obj_t BgL_arg2259z00_2718;

					BgL_arg2259z00_2718 =
						(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_149))->BgL_entriesz00);
					{	/* SawBbv/bbv-types.scm 622 */
						obj_t BgL_zc3z04anonymousza32261ze3z87_8207;

						BgL_zc3z04anonymousza32261ze3z87_8207 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza32261ze3ze5zzsaw_bbvzd2typeszd2,
							(int) (1L), (int) (1L));
						PROCEDURE_SET(BgL_zc3z04anonymousza32261ze3z87_8207, (int) (0L),
							BgL_inz00_150);
						{	/* SawBbv/bbv-types.scm 621 */
							obj_t BgL_list2260z00_2719;

							BgL_list2260z00_2719 = MAKE_YOUNG_PAIR(BgL_arg2259z00_2718, BNIL);
							BgL_arg2257z00_2716 =
								BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
								(BgL_zc3z04anonymousza32261ze3z87_8207, BgL_list2260z00_2719);
				}}}
				return bgl_display_obj(BgL_arg2257z00_2716, BgL_pz00_151);
			}
		}

	}



/* &<@anonymous:2261> */
	obj_t BGl_z62zc3z04anonymousza32261ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8208, obj_t BgL_ez00_8210)
	{
		{	/* SawBbv/bbv-types.scm 621 */
			{	/* SawBbv/bbv-types.scm 622 */
				obj_t BgL_inz00_8209;

				BgL_inz00_8209 = PROCEDURE_REF(BgL_envz00_8208, (int) (0L));
				{	/* SawBbv/bbv-types.scm 623 */
					bool_t BgL_test4303z00_11507;

					{	/* SawBbv/bbv-types.scm 623 */
						bool_t BgL_test4304z00_11508;

						{	/* SawBbv/bbv-types.scm 623 */
							BgL_rtl_regz00_bglt BgL_arg2268z00_8993;

							BgL_arg2268z00_8993 =
								(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
										((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_8210)))->BgL_regz00);
							{	/* SawBbv/bbv-types.scm 623 */
								obj_t BgL_classz00_8994;

								BgL_classz00_8994 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
								{	/* SawBbv/bbv-types.scm 623 */
									BgL_objectz00_bglt BgL_arg1858z00_8995;

									{	/* SawBbv/bbv-types.scm 623 */
										obj_t BgL_tmpz00_11511;

										BgL_tmpz00_11511 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg2268z00_8993));
										BgL_arg1858z00_8995 =
											(BgL_objectz00_bglt) (BgL_tmpz00_11511);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawBbv/bbv-types.scm 623 */
											long BgL_idxz00_8996;

											BgL_idxz00_8996 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_8995);
											BgL_test4304z00_11508 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_8996 + 2L)) == BgL_classz00_8994);
										}
									else
										{	/* SawBbv/bbv-types.scm 623 */
											bool_t BgL_res3616z00_8999;

											{	/* SawBbv/bbv-types.scm 623 */
												obj_t BgL_oclassz00_9000;

												{	/* SawBbv/bbv-types.scm 623 */
													obj_t BgL_arg1866z00_9001;
													long BgL_arg1867z00_9002;

													BgL_arg1866z00_9001 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* SawBbv/bbv-types.scm 623 */
														long BgL_arg1869z00_9003;

														BgL_arg1869z00_9003 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_8995);
														BgL_arg1867z00_9002 =
															(BgL_arg1869z00_9003 - OBJECT_TYPE);
													}
													BgL_oclassz00_9000 =
														VECTOR_REF(BgL_arg1866z00_9001,
														BgL_arg1867z00_9002);
												}
												{	/* SawBbv/bbv-types.scm 623 */
													bool_t BgL__ortest_1115z00_9004;

													BgL__ortest_1115z00_9004 =
														(BgL_classz00_8994 == BgL_oclassz00_9000);
													if (BgL__ortest_1115z00_9004)
														{	/* SawBbv/bbv-types.scm 623 */
															BgL_res3616z00_8999 = BgL__ortest_1115z00_9004;
														}
													else
														{	/* SawBbv/bbv-types.scm 623 */
															long BgL_odepthz00_9005;

															{	/* SawBbv/bbv-types.scm 623 */
																obj_t BgL_arg1855z00_9006;

																BgL_arg1855z00_9006 = (BgL_oclassz00_9000);
																BgL_odepthz00_9005 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_9006);
															}
															if ((2L < BgL_odepthz00_9005))
																{	/* SawBbv/bbv-types.scm 623 */
																	obj_t BgL_arg1853z00_9007;

																	{	/* SawBbv/bbv-types.scm 623 */
																		obj_t BgL_arg1854z00_9008;

																		BgL_arg1854z00_9008 = (BgL_oclassz00_9000);
																		BgL_arg1853z00_9007 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_9008, 2L);
																	}
																	BgL_res3616z00_8999 =
																		(BgL_arg1853z00_9007 == BgL_classz00_8994);
																}
															else
																{	/* SawBbv/bbv-types.scm 623 */
																	BgL_res3616z00_8999 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test4304z00_11508 = BgL_res3616z00_8999;
										}
								}
							}
						}
						if (BgL_test4304z00_11508)
							{	/* SawBbv/bbv-types.scm 624 */
								BgL_rtl_regz00_bglt BgL_regz00_9009;

								BgL_regz00_9009 =
									((BgL_rtl_regz00_bglt)
									(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
												((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_8210)))->
										BgL_regz00));
								{	/* SawBbv/bbv-types.scm 624 */
									long BgL_basez00_9010;
									long BgL_bitz00_9011;

									{	/* SawBbv/bbv-types.scm 624 */
										int BgL_arg3474z00_9012;

										{
											BgL_rtl_regzf2razf2_bglt BgL_auxz00_11537;

											{
												obj_t BgL_auxz00_11538;

												{	/* SawBbv/bbv-types.scm 624 */
													BgL_objectz00_bglt BgL_tmpz00_11539;

													BgL_tmpz00_11539 =
														((BgL_objectz00_bglt) BgL_regz00_9009);
													BgL_auxz00_11538 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_11539);
												}
												BgL_auxz00_11537 =
													((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_11538);
											}
											BgL_arg3474z00_9012 =
												(((BgL_rtl_regzf2razf2_bglt)
													COBJECT(BgL_auxz00_11537))->BgL_numz00);
										}
										BgL_basez00_9010 = ((long) (BgL_arg3474z00_9012) / 8L);
									}
									{	/* SawBbv/bbv-types.scm 624 */
										int BgL_arg3475z00_9013;

										{
											BgL_rtl_regzf2razf2_bglt BgL_auxz00_11546;

											{
												obj_t BgL_auxz00_11547;

												{	/* SawBbv/bbv-types.scm 624 */
													BgL_objectz00_bglt BgL_tmpz00_11548;

													BgL_tmpz00_11548 =
														((BgL_objectz00_bglt) BgL_regz00_9009);
													BgL_auxz00_11547 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_11548);
												}
												BgL_auxz00_11546 =
													((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_11547);
											}
											BgL_arg3475z00_9013 =
												(((BgL_rtl_regzf2razf2_bglt)
													COBJECT(BgL_auxz00_11546))->BgL_numz00);
										}
										{	/* SawBbv/bbv-types.scm 624 */
											long BgL_n1z00_9014;
											long BgL_n2z00_9015;

											BgL_n1z00_9014 = (long) (BgL_arg3475z00_9013);
											BgL_n2z00_9015 = 8L;
											{	/* SawBbv/bbv-types.scm 624 */
												bool_t BgL_test4308z00_11554;

												{	/* SawBbv/bbv-types.scm 624 */
													long BgL_arg1375z00_9016;

													BgL_arg1375z00_9016 =
														(((BgL_n1z00_9014) | (BgL_n2z00_9015)) &
														-2147483648);
													BgL_test4308z00_11554 = (BgL_arg1375z00_9016 == 0L);
												}
												if (BgL_test4308z00_11554)
													{	/* SawBbv/bbv-types.scm 624 */
														int32_t BgL_arg1372z00_9017;

														{	/* SawBbv/bbv-types.scm 624 */
															int32_t BgL_arg1373z00_9018;
															int32_t BgL_arg1374z00_9019;

															BgL_arg1373z00_9018 = (int32_t) (BgL_n1z00_9014);
															BgL_arg1374z00_9019 = (int32_t) (BgL_n2z00_9015);
															BgL_arg1372z00_9017 =
																(BgL_arg1373z00_9018 % BgL_arg1374z00_9019);
														}
														{	/* SawBbv/bbv-types.scm 624 */
															long BgL_arg1477z00_9020;

															BgL_arg1477z00_9020 =
																(long) (BgL_arg1372z00_9017);
															BgL_bitz00_9011 = (long) (BgL_arg1477z00_9020);
													}}
												else
													{	/* SawBbv/bbv-types.scm 624 */
														BgL_bitz00_9011 = (BgL_n1z00_9014 % BgL_n2z00_9015);
													}
											}
										}
									}
									if (
										(BgL_basez00_9010 <
											STRING_LENGTH(
												(((BgL_regsetz00_bglt) COBJECT(
															((BgL_regsetz00_bglt) BgL_inz00_8209)))->
													BgL_stringz00))))
										{	/* SawBbv/bbv-types.scm 624 */
											BgL_test4303z00_11507 =
												(
												((STRING_REF(
															(((BgL_regsetz00_bglt) COBJECT(
																		((BgL_regsetz00_bglt) BgL_inz00_8209)))->
																BgL_stringz00),
															BgL_basez00_9010)) & (1L <<
														(int) (BgL_bitz00_9011))) > 0L);
										}
									else
										{	/* SawBbv/bbv-types.scm 624 */
											BgL_test4303z00_11507 = ((bool_t) 0);
										}
								}
							}
						else
							{	/* SawBbv/bbv-types.scm 623 */
								BgL_test4303z00_11507 = ((bool_t) 1);
							}
					}
					if (BgL_test4303z00_11507)
						{	/* SawBbv/bbv-types.scm 623 */
							return BGl_shapez00zztools_shapez00(BgL_ez00_8210);
						}
					else
						{	/* SawBbv/bbv-types.scm 623 */
							return BFALSE;
						}
				}
			}
		}

	}



/* rtl_ins-last? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2lastzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_161)
	{
		{	/* SawBbv/bbv-types.scm 712 */
			{	/* SawBbv/bbv-types.scm 714 */
				BgL_rtl_funz00_bglt BgL_arg2269z00_5217;

				BgL_arg2269z00_5217 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_161))->BgL_funz00);
				{	/* SawBbv/bbv-types.scm 714 */
					obj_t BgL_classz00_5218;

					BgL_classz00_5218 = BGl_rtl_lastz00zzsaw_defsz00;
					{	/* SawBbv/bbv-types.scm 714 */
						BgL_objectz00_bglt BgL_arg1858z00_5220;

						{	/* SawBbv/bbv-types.scm 714 */
							obj_t BgL_tmpz00_11578;

							BgL_tmpz00_11578 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2269z00_5217));
							BgL_arg1858z00_5220 = (BgL_objectz00_bglt) (BgL_tmpz00_11578);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 714 */
								long BgL_idxz00_5226;

								BgL_idxz00_5226 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5220);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_5226 + 2L)) == BgL_classz00_5218);
							}
						else
							{	/* SawBbv/bbv-types.scm 714 */
								bool_t BgL_res3617z00_5251;

								{	/* SawBbv/bbv-types.scm 714 */
									obj_t BgL_oclassz00_5234;

									{	/* SawBbv/bbv-types.scm 714 */
										obj_t BgL_arg1866z00_5242;
										long BgL_arg1867z00_5243;

										BgL_arg1866z00_5242 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.scm 714 */
											long BgL_arg1869z00_5244;

											BgL_arg1869z00_5244 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5220);
											BgL_arg1867z00_5243 = (BgL_arg1869z00_5244 - OBJECT_TYPE);
										}
										BgL_oclassz00_5234 =
											VECTOR_REF(BgL_arg1866z00_5242, BgL_arg1867z00_5243);
									}
									{	/* SawBbv/bbv-types.scm 714 */
										bool_t BgL__ortest_1115z00_5235;

										BgL__ortest_1115z00_5235 =
											(BgL_classz00_5218 == BgL_oclassz00_5234);
										if (BgL__ortest_1115z00_5235)
											{	/* SawBbv/bbv-types.scm 714 */
												BgL_res3617z00_5251 = BgL__ortest_1115z00_5235;
											}
										else
											{	/* SawBbv/bbv-types.scm 714 */
												long BgL_odepthz00_5236;

												{	/* SawBbv/bbv-types.scm 714 */
													obj_t BgL_arg1855z00_5237;

													BgL_arg1855z00_5237 = (BgL_oclassz00_5234);
													BgL_odepthz00_5236 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_5237);
												}
												if ((2L < BgL_odepthz00_5236))
													{	/* SawBbv/bbv-types.scm 714 */
														obj_t BgL_arg1853z00_5239;

														{	/* SawBbv/bbv-types.scm 714 */
															obj_t BgL_arg1854z00_5240;

															BgL_arg1854z00_5240 = (BgL_oclassz00_5234);
															BgL_arg1853z00_5239 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5240,
																2L);
														}
														BgL_res3617z00_5251 =
															(BgL_arg1853z00_5239 == BgL_classz00_5218);
													}
												else
													{	/* SawBbv/bbv-types.scm 714 */
														BgL_res3617z00_5251 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3617z00_5251;
							}
					}
				}
			}
		}

	}



/* &rtl_ins-last? */
	obj_t BGl_z62rtl_inszd2lastzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8211,
		obj_t BgL_iz00_8212)
	{
		{	/* SawBbv/bbv-types.scm 712 */
			return
				BBOOL(BGl_rtl_inszd2lastzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_8212)));
		}

	}



/* rtl_ins-nop? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2nopzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_162)
	{
		{	/* SawBbv/bbv-types.scm 719 */
			{	/* SawBbv/bbv-types.scm 721 */
				BgL_rtl_funz00_bglt BgL_arg2270z00_5253;

				BgL_arg2270z00_5253 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_162))->BgL_funz00);
				{	/* SawBbv/bbv-types.scm 721 */
					obj_t BgL_classz00_5254;

					BgL_classz00_5254 = BGl_rtl_nopz00zzsaw_defsz00;
					{	/* SawBbv/bbv-types.scm 721 */
						BgL_objectz00_bglt BgL_arg1858z00_5256;

						{	/* SawBbv/bbv-types.scm 721 */
							obj_t BgL_tmpz00_11605;

							BgL_tmpz00_11605 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2270z00_5253));
							BgL_arg1858z00_5256 = (BgL_objectz00_bglt) (BgL_tmpz00_11605);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 721 */
								long BgL_idxz00_5262;

								BgL_idxz00_5262 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5256);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_5262 + 3L)) == BgL_classz00_5254);
							}
						else
							{	/* SawBbv/bbv-types.scm 721 */
								bool_t BgL_res3618z00_5287;

								{	/* SawBbv/bbv-types.scm 721 */
									obj_t BgL_oclassz00_5270;

									{	/* SawBbv/bbv-types.scm 721 */
										obj_t BgL_arg1866z00_5278;
										long BgL_arg1867z00_5279;

										BgL_arg1866z00_5278 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.scm 721 */
											long BgL_arg1869z00_5280;

											BgL_arg1869z00_5280 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5256);
											BgL_arg1867z00_5279 = (BgL_arg1869z00_5280 - OBJECT_TYPE);
										}
										BgL_oclassz00_5270 =
											VECTOR_REF(BgL_arg1866z00_5278, BgL_arg1867z00_5279);
									}
									{	/* SawBbv/bbv-types.scm 721 */
										bool_t BgL__ortest_1115z00_5271;

										BgL__ortest_1115z00_5271 =
											(BgL_classz00_5254 == BgL_oclassz00_5270);
										if (BgL__ortest_1115z00_5271)
											{	/* SawBbv/bbv-types.scm 721 */
												BgL_res3618z00_5287 = BgL__ortest_1115z00_5271;
											}
										else
											{	/* SawBbv/bbv-types.scm 721 */
												long BgL_odepthz00_5272;

												{	/* SawBbv/bbv-types.scm 721 */
													obj_t BgL_arg1855z00_5273;

													BgL_arg1855z00_5273 = (BgL_oclassz00_5270);
													BgL_odepthz00_5272 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_5273);
												}
												if ((3L < BgL_odepthz00_5272))
													{	/* SawBbv/bbv-types.scm 721 */
														obj_t BgL_arg1853z00_5275;

														{	/* SawBbv/bbv-types.scm 721 */
															obj_t BgL_arg1854z00_5276;

															BgL_arg1854z00_5276 = (BgL_oclassz00_5270);
															BgL_arg1853z00_5275 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5276,
																3L);
														}
														BgL_res3618z00_5287 =
															(BgL_arg1853z00_5275 == BgL_classz00_5254);
													}
												else
													{	/* SawBbv/bbv-types.scm 721 */
														BgL_res3618z00_5287 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3618z00_5287;
							}
					}
				}
			}
		}

	}



/* &rtl_ins-nop? */
	obj_t BGl_z62rtl_inszd2nopzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8213,
		obj_t BgL_iz00_8214)
	{
		{	/* SawBbv/bbv-types.scm 719 */
			return
				BBOOL(BGl_rtl_inszd2nopzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_8214)));
		}

	}



/* rtl_ins-mov? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_163)
	{
		{	/* SawBbv/bbv-types.scm 726 */
			{	/* SawBbv/bbv-types.scm 728 */
				BgL_rtl_funz00_bglt BgL_arg2271z00_5289;

				BgL_arg2271z00_5289 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_163))->BgL_funz00);
				{	/* SawBbv/bbv-types.scm 728 */
					obj_t BgL_classz00_5290;

					BgL_classz00_5290 = BGl_rtl_movz00zzsaw_defsz00;
					{	/* SawBbv/bbv-types.scm 728 */
						BgL_objectz00_bglt BgL_arg1858z00_5292;

						{	/* SawBbv/bbv-types.scm 728 */
							obj_t BgL_tmpz00_11632;

							BgL_tmpz00_11632 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2271z00_5289));
							BgL_arg1858z00_5292 = (BgL_objectz00_bglt) (BgL_tmpz00_11632);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 728 */
								long BgL_idxz00_5298;

								BgL_idxz00_5298 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5292);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_5298 + 3L)) == BgL_classz00_5290);
							}
						else
							{	/* SawBbv/bbv-types.scm 728 */
								bool_t BgL_res3619z00_5323;

								{	/* SawBbv/bbv-types.scm 728 */
									obj_t BgL_oclassz00_5306;

									{	/* SawBbv/bbv-types.scm 728 */
										obj_t BgL_arg1866z00_5314;
										long BgL_arg1867z00_5315;

										BgL_arg1866z00_5314 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.scm 728 */
											long BgL_arg1869z00_5316;

											BgL_arg1869z00_5316 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5292);
											BgL_arg1867z00_5315 = (BgL_arg1869z00_5316 - OBJECT_TYPE);
										}
										BgL_oclassz00_5306 =
											VECTOR_REF(BgL_arg1866z00_5314, BgL_arg1867z00_5315);
									}
									{	/* SawBbv/bbv-types.scm 728 */
										bool_t BgL__ortest_1115z00_5307;

										BgL__ortest_1115z00_5307 =
											(BgL_classz00_5290 == BgL_oclassz00_5306);
										if (BgL__ortest_1115z00_5307)
											{	/* SawBbv/bbv-types.scm 728 */
												BgL_res3619z00_5323 = BgL__ortest_1115z00_5307;
											}
										else
											{	/* SawBbv/bbv-types.scm 728 */
												long BgL_odepthz00_5308;

												{	/* SawBbv/bbv-types.scm 728 */
													obj_t BgL_arg1855z00_5309;

													BgL_arg1855z00_5309 = (BgL_oclassz00_5306);
													BgL_odepthz00_5308 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_5309);
												}
												if ((3L < BgL_odepthz00_5308))
													{	/* SawBbv/bbv-types.scm 728 */
														obj_t BgL_arg1853z00_5311;

														{	/* SawBbv/bbv-types.scm 728 */
															obj_t BgL_arg1854z00_5312;

															BgL_arg1854z00_5312 = (BgL_oclassz00_5306);
															BgL_arg1853z00_5311 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5312,
																3L);
														}
														BgL_res3619z00_5323 =
															(BgL_arg1853z00_5311 == BgL_classz00_5290);
													}
												else
													{	/* SawBbv/bbv-types.scm 728 */
														BgL_res3619z00_5323 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3619z00_5323;
							}
					}
				}
			}
		}

	}



/* &rtl_ins-mov? */
	obj_t BGl_z62rtl_inszd2movzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8215,
		obj_t BgL_iz00_8216)
	{
		{	/* SawBbv/bbv-types.scm 726 */
			return
				BBOOL(BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_8216)));
		}

	}



/* rtl_ins-go? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt BgL_iz00_164)
	{
		{	/* SawBbv/bbv-types.scm 733 */
			{	/* SawBbv/bbv-types.scm 735 */
				BgL_rtl_funz00_bglt BgL_arg2272z00_5325;

				BgL_arg2272z00_5325 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_164))->BgL_funz00);
				{	/* SawBbv/bbv-types.scm 735 */
					obj_t BgL_classz00_5326;

					BgL_classz00_5326 = BGl_rtl_goz00zzsaw_defsz00;
					{	/* SawBbv/bbv-types.scm 735 */
						BgL_objectz00_bglt BgL_arg1858z00_5328;

						{	/* SawBbv/bbv-types.scm 735 */
							obj_t BgL_tmpz00_11659;

							BgL_tmpz00_11659 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2272z00_5325));
							BgL_arg1858z00_5328 = (BgL_objectz00_bglt) (BgL_tmpz00_11659);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 735 */
								long BgL_idxz00_5334;

								BgL_idxz00_5334 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5328);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_5334 + 3L)) == BgL_classz00_5326);
							}
						else
							{	/* SawBbv/bbv-types.scm 735 */
								bool_t BgL_res3620z00_5359;

								{	/* SawBbv/bbv-types.scm 735 */
									obj_t BgL_oclassz00_5342;

									{	/* SawBbv/bbv-types.scm 735 */
										obj_t BgL_arg1866z00_5350;
										long BgL_arg1867z00_5351;

										BgL_arg1866z00_5350 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.scm 735 */
											long BgL_arg1869z00_5352;

											BgL_arg1869z00_5352 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5328);
											BgL_arg1867z00_5351 = (BgL_arg1869z00_5352 - OBJECT_TYPE);
										}
										BgL_oclassz00_5342 =
											VECTOR_REF(BgL_arg1866z00_5350, BgL_arg1867z00_5351);
									}
									{	/* SawBbv/bbv-types.scm 735 */
										bool_t BgL__ortest_1115z00_5343;

										BgL__ortest_1115z00_5343 =
											(BgL_classz00_5326 == BgL_oclassz00_5342);
										if (BgL__ortest_1115z00_5343)
											{	/* SawBbv/bbv-types.scm 735 */
												BgL_res3620z00_5359 = BgL__ortest_1115z00_5343;
											}
										else
											{	/* SawBbv/bbv-types.scm 735 */
												long BgL_odepthz00_5344;

												{	/* SawBbv/bbv-types.scm 735 */
													obj_t BgL_arg1855z00_5345;

													BgL_arg1855z00_5345 = (BgL_oclassz00_5342);
													BgL_odepthz00_5344 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_5345);
												}
												if ((3L < BgL_odepthz00_5344))
													{	/* SawBbv/bbv-types.scm 735 */
														obj_t BgL_arg1853z00_5347;

														{	/* SawBbv/bbv-types.scm 735 */
															obj_t BgL_arg1854z00_5348;

															BgL_arg1854z00_5348 = (BgL_oclassz00_5342);
															BgL_arg1853z00_5347 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5348,
																3L);
														}
														BgL_res3620z00_5359 =
															(BgL_arg1853z00_5347 == BgL_classz00_5326);
													}
												else
													{	/* SawBbv/bbv-types.scm 735 */
														BgL_res3620z00_5359 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3620z00_5359;
							}
					}
				}
			}
		}

	}



/* &rtl_ins-go? */
	obj_t BGl_z62rtl_inszd2gozf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8217,
		obj_t BgL_iz00_8218)
	{
		{	/* SawBbv/bbv-types.scm 733 */
			return
				BBOOL(BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_8218)));
		}

	}



/* rtl_ins-pragma? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2pragmazf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_165)
	{
		{	/* SawBbv/bbv-types.scm 740 */
			{	/* SawBbv/bbv-types.scm 742 */
				BgL_rtl_funz00_bglt BgL_arg2273z00_5361;

				BgL_arg2273z00_5361 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_165))->BgL_funz00);
				{	/* SawBbv/bbv-types.scm 742 */
					obj_t BgL_classz00_5362;

					BgL_classz00_5362 = BGl_rtl_pragmaz00zzsaw_defsz00;
					{	/* SawBbv/bbv-types.scm 742 */
						BgL_objectz00_bglt BgL_arg1858z00_5364;

						{	/* SawBbv/bbv-types.scm 742 */
							obj_t BgL_tmpz00_11686;

							BgL_tmpz00_11686 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2273z00_5361));
							BgL_arg1858z00_5364 = (BgL_objectz00_bglt) (BgL_tmpz00_11686);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 742 */
								long BgL_idxz00_5370;

								BgL_idxz00_5370 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5364);
								{	/* SawBbv/bbv-types.scm 742 */
									obj_t BgL_arg1849z00_5371;

									BgL_arg1849z00_5371 =
										VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_5370 + 2L));
									return BBOOL((BgL_arg1849z00_5371 == BgL_classz00_5362));
								}
							}
						else
							{	/* SawBbv/bbv-types.scm 742 */
								bool_t BgL_res3621z00_5395;

								{	/* SawBbv/bbv-types.scm 742 */
									obj_t BgL_oclassz00_5378;

									{	/* SawBbv/bbv-types.scm 742 */
										obj_t BgL_arg1866z00_5386;
										long BgL_arg1867z00_5387;

										BgL_arg1866z00_5386 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.scm 742 */
											long BgL_arg1869z00_5388;

											BgL_arg1869z00_5388 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5364);
											BgL_arg1867z00_5387 = (BgL_arg1869z00_5388 - OBJECT_TYPE);
										}
										BgL_oclassz00_5378 =
											VECTOR_REF(BgL_arg1866z00_5386, BgL_arg1867z00_5387);
									}
									{	/* SawBbv/bbv-types.scm 742 */
										bool_t BgL__ortest_1115z00_5379;

										BgL__ortest_1115z00_5379 =
											(BgL_classz00_5362 == BgL_oclassz00_5378);
										if (BgL__ortest_1115z00_5379)
											{	/* SawBbv/bbv-types.scm 742 */
												BgL_res3621z00_5395 = BgL__ortest_1115z00_5379;
											}
										else
											{	/* SawBbv/bbv-types.scm 742 */
												long BgL_odepthz00_5380;

												{	/* SawBbv/bbv-types.scm 742 */
													obj_t BgL_arg1855z00_5381;

													BgL_arg1855z00_5381 = (BgL_oclassz00_5378);
													BgL_odepthz00_5380 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_5381);
												}
												if ((2L < BgL_odepthz00_5380))
													{	/* SawBbv/bbv-types.scm 742 */
														obj_t BgL_arg1853z00_5383;

														{	/* SawBbv/bbv-types.scm 742 */
															obj_t BgL_arg1854z00_5384;

															BgL_arg1854z00_5384 = (BgL_oclassz00_5378);
															BgL_arg1853z00_5383 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5384,
																2L);
														}
														BgL_res3621z00_5395 =
															(BgL_arg1853z00_5383 == BgL_classz00_5362);
													}
												else
													{	/* SawBbv/bbv-types.scm 742 */
														BgL_res3621z00_5395 = ((bool_t) 0);
													}
											}
									}
								}
								return BBOOL(BgL_res3621z00_5395);
							}
					}
				}
			}
		}

	}



/* &rtl_ins-pragma? */
	obj_t BGl_z62rtl_inszd2pragmazf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8219,
		obj_t BgL_iz00_8220)
	{
		{	/* SawBbv/bbv-types.scm 740 */
			return
				BGl_rtl_inszd2pragmazf3z21zzsaw_bbvzd2typeszd2(
				((BgL_rtl_insz00_bglt) BgL_iz00_8220));
		}

	}



/* rtl_ins-fail? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2failzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_166)
	{
		{	/* SawBbv/bbv-types.scm 747 */
			{	/* SawBbv/bbv-types.scm 749 */
				BgL_rtl_funz00_bglt BgL_arg2274z00_5397;

				BgL_arg2274z00_5397 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_166))->BgL_funz00);
				{	/* SawBbv/bbv-types.scm 749 */
					obj_t BgL_classz00_5398;

					BgL_classz00_5398 = BGl_rtl_failz00zzsaw_defsz00;
					{	/* SawBbv/bbv-types.scm 749 */
						BgL_objectz00_bglt BgL_arg1858z00_5400;

						{	/* SawBbv/bbv-types.scm 749 */
							obj_t BgL_tmpz00_11714;

							BgL_tmpz00_11714 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2274z00_5397));
							BgL_arg1858z00_5400 = (BgL_objectz00_bglt) (BgL_tmpz00_11714);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 749 */
								long BgL_idxz00_5406;

								BgL_idxz00_5406 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5400);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_5406 + 3L)) == BgL_classz00_5398);
							}
						else
							{	/* SawBbv/bbv-types.scm 749 */
								bool_t BgL_res3622z00_5431;

								{	/* SawBbv/bbv-types.scm 749 */
									obj_t BgL_oclassz00_5414;

									{	/* SawBbv/bbv-types.scm 749 */
										obj_t BgL_arg1866z00_5422;
										long BgL_arg1867z00_5423;

										BgL_arg1866z00_5422 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.scm 749 */
											long BgL_arg1869z00_5424;

											BgL_arg1869z00_5424 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5400);
											BgL_arg1867z00_5423 = (BgL_arg1869z00_5424 - OBJECT_TYPE);
										}
										BgL_oclassz00_5414 =
											VECTOR_REF(BgL_arg1866z00_5422, BgL_arg1867z00_5423);
									}
									{	/* SawBbv/bbv-types.scm 749 */
										bool_t BgL__ortest_1115z00_5415;

										BgL__ortest_1115z00_5415 =
											(BgL_classz00_5398 == BgL_oclassz00_5414);
										if (BgL__ortest_1115z00_5415)
											{	/* SawBbv/bbv-types.scm 749 */
												BgL_res3622z00_5431 = BgL__ortest_1115z00_5415;
											}
										else
											{	/* SawBbv/bbv-types.scm 749 */
												long BgL_odepthz00_5416;

												{	/* SawBbv/bbv-types.scm 749 */
													obj_t BgL_arg1855z00_5417;

													BgL_arg1855z00_5417 = (BgL_oclassz00_5414);
													BgL_odepthz00_5416 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_5417);
												}
												if ((3L < BgL_odepthz00_5416))
													{	/* SawBbv/bbv-types.scm 749 */
														obj_t BgL_arg1853z00_5419;

														{	/* SawBbv/bbv-types.scm 749 */
															obj_t BgL_arg1854z00_5420;

															BgL_arg1854z00_5420 = (BgL_oclassz00_5414);
															BgL_arg1853z00_5419 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5420,
																3L);
														}
														BgL_res3622z00_5431 =
															(BgL_arg1853z00_5419 == BgL_classz00_5398);
													}
												else
													{	/* SawBbv/bbv-types.scm 749 */
														BgL_res3622z00_5431 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3622z00_5431;
							}
					}
				}
			}
		}

	}



/* &rtl_ins-fail? */
	obj_t BGl_z62rtl_inszd2failzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8221,
		obj_t BgL_iz00_8222)
	{
		{	/* SawBbv/bbv-types.scm 747 */
			return
				BBOOL(BGl_rtl_inszd2failzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_8222)));
		}

	}



/* rtl_ins-switch? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2switchzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_167)
	{
		{	/* SawBbv/bbv-types.scm 754 */
			{	/* SawBbv/bbv-types.scm 756 */
				BgL_rtl_funz00_bglt BgL_arg2275z00_5433;

				BgL_arg2275z00_5433 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_167))->BgL_funz00);
				{	/* SawBbv/bbv-types.scm 756 */
					obj_t BgL_classz00_5434;

					BgL_classz00_5434 = BGl_rtl_switchz00zzsaw_defsz00;
					{	/* SawBbv/bbv-types.scm 756 */
						BgL_objectz00_bglt BgL_arg1858z00_5436;

						{	/* SawBbv/bbv-types.scm 756 */
							obj_t BgL_tmpz00_11741;

							BgL_tmpz00_11741 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2275z00_5433));
							BgL_arg1858z00_5436 = (BgL_objectz00_bglt) (BgL_tmpz00_11741);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 756 */
								long BgL_idxz00_5442;

								BgL_idxz00_5442 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5436);
								{	/* SawBbv/bbv-types.scm 756 */
									obj_t BgL_arg1849z00_5443;

									BgL_arg1849z00_5443 =
										VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_5442 + 4L));
									return BBOOL((BgL_arg1849z00_5443 == BgL_classz00_5434));
								}
							}
						else
							{	/* SawBbv/bbv-types.scm 756 */
								bool_t BgL_res3623z00_5467;

								{	/* SawBbv/bbv-types.scm 756 */
									obj_t BgL_oclassz00_5450;

									{	/* SawBbv/bbv-types.scm 756 */
										obj_t BgL_arg1866z00_5458;
										long BgL_arg1867z00_5459;

										BgL_arg1866z00_5458 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.scm 756 */
											long BgL_arg1869z00_5460;

											BgL_arg1869z00_5460 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5436);
											BgL_arg1867z00_5459 = (BgL_arg1869z00_5460 - OBJECT_TYPE);
										}
										BgL_oclassz00_5450 =
											VECTOR_REF(BgL_arg1866z00_5458, BgL_arg1867z00_5459);
									}
									{	/* SawBbv/bbv-types.scm 756 */
										bool_t BgL__ortest_1115z00_5451;

										BgL__ortest_1115z00_5451 =
											(BgL_classz00_5434 == BgL_oclassz00_5450);
										if (BgL__ortest_1115z00_5451)
											{	/* SawBbv/bbv-types.scm 756 */
												BgL_res3623z00_5467 = BgL__ortest_1115z00_5451;
											}
										else
											{	/* SawBbv/bbv-types.scm 756 */
												long BgL_odepthz00_5452;

												{	/* SawBbv/bbv-types.scm 756 */
													obj_t BgL_arg1855z00_5453;

													BgL_arg1855z00_5453 = (BgL_oclassz00_5450);
													BgL_odepthz00_5452 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_5453);
												}
												if ((4L < BgL_odepthz00_5452))
													{	/* SawBbv/bbv-types.scm 756 */
														obj_t BgL_arg1853z00_5455;

														{	/* SawBbv/bbv-types.scm 756 */
															obj_t BgL_arg1854z00_5456;

															BgL_arg1854z00_5456 = (BgL_oclassz00_5450);
															BgL_arg1853z00_5455 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5456,
																4L);
														}
														BgL_res3623z00_5467 =
															(BgL_arg1853z00_5455 == BgL_classz00_5434);
													}
												else
													{	/* SawBbv/bbv-types.scm 756 */
														BgL_res3623z00_5467 = ((bool_t) 0);
													}
											}
									}
								}
								return BBOOL(BgL_res3623z00_5467);
							}
					}
				}
			}
		}

	}



/* &rtl_ins-switch? */
	obj_t BGl_z62rtl_inszd2switchzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8223,
		obj_t BgL_iz00_8224)
	{
		{	/* SawBbv/bbv-types.scm 754 */
			return
				BGl_rtl_inszd2switchzf3z21zzsaw_bbvzd2typeszd2(
				((BgL_rtl_insz00_bglt) BgL_iz00_8224));
		}

	}



/* rtl_ins-br? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2brzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt BgL_iz00_168)
	{
		{	/* SawBbv/bbv-types.scm 761 */
			{	/* SawBbv/bbv-types.scm 762 */
				bool_t BgL__ortest_1337z00_5468;

				{	/* SawBbv/bbv-types.scm 769 */
					BgL_rtl_funz00_bglt BgL_arg2276z00_5471;

					BgL_arg2276z00_5471 =
						(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_168))->BgL_funz00);
					{	/* SawBbv/bbv-types.scm 769 */
						obj_t BgL_classz00_5472;

						BgL_classz00_5472 = BGl_rtl_ifeqz00zzsaw_defsz00;
						{	/* SawBbv/bbv-types.scm 769 */
							BgL_objectz00_bglt BgL_arg1858z00_5474;

							{	/* SawBbv/bbv-types.scm 769 */
								obj_t BgL_tmpz00_11769;

								BgL_tmpz00_11769 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg2276z00_5471));
								BgL_arg1858z00_5474 = (BgL_objectz00_bglt) (BgL_tmpz00_11769);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv-types.scm 769 */
									long BgL_idxz00_5480;

									BgL_idxz00_5480 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5474);
									BgL__ortest_1337z00_5468 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5480 + 3L)) == BgL_classz00_5472);
								}
							else
								{	/* SawBbv/bbv-types.scm 769 */
									bool_t BgL_res3624z00_5505;

									{	/* SawBbv/bbv-types.scm 769 */
										obj_t BgL_oclassz00_5488;

										{	/* SawBbv/bbv-types.scm 769 */
											obj_t BgL_arg1866z00_5496;
											long BgL_arg1867z00_5497;

											BgL_arg1866z00_5496 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawBbv/bbv-types.scm 769 */
												long BgL_arg1869z00_5498;

												BgL_arg1869z00_5498 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5474);
												BgL_arg1867z00_5497 =
													(BgL_arg1869z00_5498 - OBJECT_TYPE);
											}
											BgL_oclassz00_5488 =
												VECTOR_REF(BgL_arg1866z00_5496, BgL_arg1867z00_5497);
										}
										{	/* SawBbv/bbv-types.scm 769 */
											bool_t BgL__ortest_1115z00_5489;

											BgL__ortest_1115z00_5489 =
												(BgL_classz00_5472 == BgL_oclassz00_5488);
											if (BgL__ortest_1115z00_5489)
												{	/* SawBbv/bbv-types.scm 769 */
													BgL_res3624z00_5505 = BgL__ortest_1115z00_5489;
												}
											else
												{	/* SawBbv/bbv-types.scm 769 */
													long BgL_odepthz00_5490;

													{	/* SawBbv/bbv-types.scm 769 */
														obj_t BgL_arg1855z00_5491;

														BgL_arg1855z00_5491 = (BgL_oclassz00_5488);
														BgL_odepthz00_5490 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_5491);
													}
													if ((3L < BgL_odepthz00_5490))
														{	/* SawBbv/bbv-types.scm 769 */
															obj_t BgL_arg1853z00_5493;

															{	/* SawBbv/bbv-types.scm 769 */
																obj_t BgL_arg1854z00_5494;

																BgL_arg1854z00_5494 = (BgL_oclassz00_5488);
																BgL_arg1853z00_5493 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5494,
																	3L);
															}
															BgL_res3624z00_5505 =
																(BgL_arg1853z00_5493 == BgL_classz00_5472);
														}
													else
														{	/* SawBbv/bbv-types.scm 769 */
															BgL_res3624z00_5505 = ((bool_t) 0);
														}
												}
										}
									}
									BgL__ortest_1337z00_5468 = BgL_res3624z00_5505;
								}
						}
					}
				}
				if (BgL__ortest_1337z00_5468)
					{	/* SawBbv/bbv-types.scm 762 */
						return BgL__ortest_1337z00_5468;
					}
				else
					{	/* SawBbv/bbv-types.scm 776 */
						BgL_rtl_funz00_bglt BgL_arg2277z00_5508;

						BgL_arg2277z00_5508 =
							(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_168))->BgL_funz00);
						{	/* SawBbv/bbv-types.scm 776 */
							obj_t BgL_classz00_5509;

							BgL_classz00_5509 = BGl_rtl_ifnez00zzsaw_defsz00;
							{	/* SawBbv/bbv-types.scm 776 */
								BgL_objectz00_bglt BgL_arg1858z00_5511;

								{	/* SawBbv/bbv-types.scm 776 */
									obj_t BgL_tmpz00_11794;

									BgL_tmpz00_11794 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg2277z00_5508));
									BgL_arg1858z00_5511 = (BgL_objectz00_bglt) (BgL_tmpz00_11794);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 776 */
										long BgL_idxz00_5517;

										BgL_idxz00_5517 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5511);
										return
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5517 + 3L)) == BgL_classz00_5509);
									}
								else
									{	/* SawBbv/bbv-types.scm 776 */
										bool_t BgL_res3625z00_5542;

										{	/* SawBbv/bbv-types.scm 776 */
											obj_t BgL_oclassz00_5525;

											{	/* SawBbv/bbv-types.scm 776 */
												obj_t BgL_arg1866z00_5533;
												long BgL_arg1867z00_5534;

												BgL_arg1866z00_5533 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawBbv/bbv-types.scm 776 */
													long BgL_arg1869z00_5535;

													BgL_arg1869z00_5535 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5511);
													BgL_arg1867z00_5534 =
														(BgL_arg1869z00_5535 - OBJECT_TYPE);
												}
												BgL_oclassz00_5525 =
													VECTOR_REF(BgL_arg1866z00_5533, BgL_arg1867z00_5534);
											}
											{	/* SawBbv/bbv-types.scm 776 */
												bool_t BgL__ortest_1115z00_5526;

												BgL__ortest_1115z00_5526 =
													(BgL_classz00_5509 == BgL_oclassz00_5525);
												if (BgL__ortest_1115z00_5526)
													{	/* SawBbv/bbv-types.scm 776 */
														BgL_res3625z00_5542 = BgL__ortest_1115z00_5526;
													}
												else
													{	/* SawBbv/bbv-types.scm 776 */
														long BgL_odepthz00_5527;

														{	/* SawBbv/bbv-types.scm 776 */
															obj_t BgL_arg1855z00_5528;

															BgL_arg1855z00_5528 = (BgL_oclassz00_5525);
															BgL_odepthz00_5527 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_5528);
														}
														if ((3L < BgL_odepthz00_5527))
															{	/* SawBbv/bbv-types.scm 776 */
																obj_t BgL_arg1853z00_5530;

																{	/* SawBbv/bbv-types.scm 776 */
																	obj_t BgL_arg1854z00_5531;

																	BgL_arg1854z00_5531 = (BgL_oclassz00_5525);
																	BgL_arg1853z00_5530 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5531,
																		3L);
																}
																BgL_res3625z00_5542 =
																	(BgL_arg1853z00_5530 == BgL_classz00_5509);
															}
														else
															{	/* SawBbv/bbv-types.scm 776 */
																BgL_res3625z00_5542 = ((bool_t) 0);
															}
													}
											}
										}
										return BgL_res3625z00_5542;
									}
							}
						}
					}
			}
		}

	}



/* &rtl_ins-br? */
	obj_t BGl_z62rtl_inszd2brzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8225,
		obj_t BgL_iz00_8226)
	{
		{	/* SawBbv/bbv-types.scm 761 */
			return
				BBOOL(BGl_rtl_inszd2brzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_8226)));
		}

	}



/* rtl_ins-ifeq? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_169)
	{
		{	/* SawBbv/bbv-types.scm 767 */
			{	/* SawBbv/bbv-types.scm 769 */
				BgL_rtl_funz00_bglt BgL_arg2276z00_5544;

				BgL_arg2276z00_5544 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_169))->BgL_funz00);
				{	/* SawBbv/bbv-types.scm 769 */
					obj_t BgL_classz00_5545;

					BgL_classz00_5545 = BGl_rtl_ifeqz00zzsaw_defsz00;
					{	/* SawBbv/bbv-types.scm 769 */
						BgL_objectz00_bglt BgL_arg1858z00_5547;

						{	/* SawBbv/bbv-types.scm 769 */
							obj_t BgL_tmpz00_11821;

							BgL_tmpz00_11821 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2276z00_5544));
							BgL_arg1858z00_5547 = (BgL_objectz00_bglt) (BgL_tmpz00_11821);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 769 */
								long BgL_idxz00_5553;

								BgL_idxz00_5553 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5547);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_5553 + 3L)) == BgL_classz00_5545);
							}
						else
							{	/* SawBbv/bbv-types.scm 769 */
								bool_t BgL_res3626z00_5578;

								{	/* SawBbv/bbv-types.scm 769 */
									obj_t BgL_oclassz00_5561;

									{	/* SawBbv/bbv-types.scm 769 */
										obj_t BgL_arg1866z00_5569;
										long BgL_arg1867z00_5570;

										BgL_arg1866z00_5569 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.scm 769 */
											long BgL_arg1869z00_5571;

											BgL_arg1869z00_5571 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5547);
											BgL_arg1867z00_5570 = (BgL_arg1869z00_5571 - OBJECT_TYPE);
										}
										BgL_oclassz00_5561 =
											VECTOR_REF(BgL_arg1866z00_5569, BgL_arg1867z00_5570);
									}
									{	/* SawBbv/bbv-types.scm 769 */
										bool_t BgL__ortest_1115z00_5562;

										BgL__ortest_1115z00_5562 =
											(BgL_classz00_5545 == BgL_oclassz00_5561);
										if (BgL__ortest_1115z00_5562)
											{	/* SawBbv/bbv-types.scm 769 */
												BgL_res3626z00_5578 = BgL__ortest_1115z00_5562;
											}
										else
											{	/* SawBbv/bbv-types.scm 769 */
												long BgL_odepthz00_5563;

												{	/* SawBbv/bbv-types.scm 769 */
													obj_t BgL_arg1855z00_5564;

													BgL_arg1855z00_5564 = (BgL_oclassz00_5561);
													BgL_odepthz00_5563 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_5564);
												}
												if ((3L < BgL_odepthz00_5563))
													{	/* SawBbv/bbv-types.scm 769 */
														obj_t BgL_arg1853z00_5566;

														{	/* SawBbv/bbv-types.scm 769 */
															obj_t BgL_arg1854z00_5567;

															BgL_arg1854z00_5567 = (BgL_oclassz00_5561);
															BgL_arg1853z00_5566 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5567,
																3L);
														}
														BgL_res3626z00_5578 =
															(BgL_arg1853z00_5566 == BgL_classz00_5545);
													}
												else
													{	/* SawBbv/bbv-types.scm 769 */
														BgL_res3626z00_5578 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3626z00_5578;
							}
					}
				}
			}
		}

	}



/* &rtl_ins-ifeq? */
	obj_t BGl_z62rtl_inszd2ifeqzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8227,
		obj_t BgL_iz00_8228)
	{
		{	/* SawBbv/bbv-types.scm 767 */
			return
				BBOOL(BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_8228)));
		}

	}



/* rtl_ins-ifne? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_170)
	{
		{	/* SawBbv/bbv-types.scm 774 */
			{	/* SawBbv/bbv-types.scm 776 */
				BgL_rtl_funz00_bglt BgL_arg2277z00_5580;

				BgL_arg2277z00_5580 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_170))->BgL_funz00);
				{	/* SawBbv/bbv-types.scm 776 */
					obj_t BgL_classz00_5581;

					BgL_classz00_5581 = BGl_rtl_ifnez00zzsaw_defsz00;
					{	/* SawBbv/bbv-types.scm 776 */
						BgL_objectz00_bglt BgL_arg1858z00_5583;

						{	/* SawBbv/bbv-types.scm 776 */
							obj_t BgL_tmpz00_11848;

							BgL_tmpz00_11848 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2277z00_5580));
							BgL_arg1858z00_5583 = (BgL_objectz00_bglt) (BgL_tmpz00_11848);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 776 */
								long BgL_idxz00_5589;

								BgL_idxz00_5589 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5583);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_5589 + 3L)) == BgL_classz00_5581);
							}
						else
							{	/* SawBbv/bbv-types.scm 776 */
								bool_t BgL_res3627z00_5614;

								{	/* SawBbv/bbv-types.scm 776 */
									obj_t BgL_oclassz00_5597;

									{	/* SawBbv/bbv-types.scm 776 */
										obj_t BgL_arg1866z00_5605;
										long BgL_arg1867z00_5606;

										BgL_arg1866z00_5605 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.scm 776 */
											long BgL_arg1869z00_5607;

											BgL_arg1869z00_5607 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5583);
											BgL_arg1867z00_5606 = (BgL_arg1869z00_5607 - OBJECT_TYPE);
										}
										BgL_oclassz00_5597 =
											VECTOR_REF(BgL_arg1866z00_5605, BgL_arg1867z00_5606);
									}
									{	/* SawBbv/bbv-types.scm 776 */
										bool_t BgL__ortest_1115z00_5598;

										BgL__ortest_1115z00_5598 =
											(BgL_classz00_5581 == BgL_oclassz00_5597);
										if (BgL__ortest_1115z00_5598)
											{	/* SawBbv/bbv-types.scm 776 */
												BgL_res3627z00_5614 = BgL__ortest_1115z00_5598;
											}
										else
											{	/* SawBbv/bbv-types.scm 776 */
												long BgL_odepthz00_5599;

												{	/* SawBbv/bbv-types.scm 776 */
													obj_t BgL_arg1855z00_5600;

													BgL_arg1855z00_5600 = (BgL_oclassz00_5597);
													BgL_odepthz00_5599 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_5600);
												}
												if ((3L < BgL_odepthz00_5599))
													{	/* SawBbv/bbv-types.scm 776 */
														obj_t BgL_arg1853z00_5602;

														{	/* SawBbv/bbv-types.scm 776 */
															obj_t BgL_arg1854z00_5603;

															BgL_arg1854z00_5603 = (BgL_oclassz00_5597);
															BgL_arg1853z00_5602 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5603,
																3L);
														}
														BgL_res3627z00_5614 =
															(BgL_arg1853z00_5602 == BgL_classz00_5581);
													}
												else
													{	/* SawBbv/bbv-types.scm 776 */
														BgL_res3627z00_5614 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3627z00_5614;
							}
					}
				}
			}
		}

	}



/* &rtl_ins-ifne? */
	obj_t BGl_z62rtl_inszd2ifnezf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8229,
		obj_t BgL_iz00_8230)
	{
		{	/* SawBbv/bbv-types.scm 774 */
			return
				BBOOL(BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_8230)));
		}

	}



/* rtl_ins-call? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2callzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_171)
	{
		{	/* SawBbv/bbv-types.scm 781 */
			{	/* SawBbv/bbv-types.scm 783 */
				BgL_rtl_funz00_bglt BgL_arg2279z00_5616;

				BgL_arg2279z00_5616 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_171))->BgL_funz00);
				{	/* SawBbv/bbv-types.scm 783 */
					obj_t BgL_classz00_5617;

					BgL_classz00_5617 = BGl_rtl_callz00zzsaw_defsz00;
					{	/* SawBbv/bbv-types.scm 783 */
						BgL_objectz00_bglt BgL_arg1858z00_5619;

						{	/* SawBbv/bbv-types.scm 783 */
							obj_t BgL_tmpz00_11875;

							BgL_tmpz00_11875 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2279z00_5616));
							BgL_arg1858z00_5619 = (BgL_objectz00_bglt) (BgL_tmpz00_11875);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 783 */
								long BgL_idxz00_5625;

								BgL_idxz00_5625 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5619);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_5625 + 2L)) == BgL_classz00_5617);
							}
						else
							{	/* SawBbv/bbv-types.scm 783 */
								bool_t BgL_res3628z00_5650;

								{	/* SawBbv/bbv-types.scm 783 */
									obj_t BgL_oclassz00_5633;

									{	/* SawBbv/bbv-types.scm 783 */
										obj_t BgL_arg1866z00_5641;
										long BgL_arg1867z00_5642;

										BgL_arg1866z00_5641 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.scm 783 */
											long BgL_arg1869z00_5643;

											BgL_arg1869z00_5643 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5619);
											BgL_arg1867z00_5642 = (BgL_arg1869z00_5643 - OBJECT_TYPE);
										}
										BgL_oclassz00_5633 =
											VECTOR_REF(BgL_arg1866z00_5641, BgL_arg1867z00_5642);
									}
									{	/* SawBbv/bbv-types.scm 783 */
										bool_t BgL__ortest_1115z00_5634;

										BgL__ortest_1115z00_5634 =
											(BgL_classz00_5617 == BgL_oclassz00_5633);
										if (BgL__ortest_1115z00_5634)
											{	/* SawBbv/bbv-types.scm 783 */
												BgL_res3628z00_5650 = BgL__ortest_1115z00_5634;
											}
										else
											{	/* SawBbv/bbv-types.scm 783 */
												long BgL_odepthz00_5635;

												{	/* SawBbv/bbv-types.scm 783 */
													obj_t BgL_arg1855z00_5636;

													BgL_arg1855z00_5636 = (BgL_oclassz00_5633);
													BgL_odepthz00_5635 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_5636);
												}
												if ((2L < BgL_odepthz00_5635))
													{	/* SawBbv/bbv-types.scm 783 */
														obj_t BgL_arg1853z00_5638;

														{	/* SawBbv/bbv-types.scm 783 */
															obj_t BgL_arg1854z00_5639;

															BgL_arg1854z00_5639 = (BgL_oclassz00_5633);
															BgL_arg1853z00_5638 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5639,
																2L);
														}
														BgL_res3628z00_5650 =
															(BgL_arg1853z00_5638 == BgL_classz00_5617);
													}
												else
													{	/* SawBbv/bbv-types.scm 783 */
														BgL_res3628z00_5650 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3628z00_5650;
							}
					}
				}
			}
		}

	}



/* &rtl_ins-call? */
	obj_t BGl_z62rtl_inszd2callzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8231,
		obj_t BgL_iz00_8232)
	{
		{	/* SawBbv/bbv-types.scm 781 */
			return
				BBOOL(BGl_rtl_inszd2callzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_8232)));
		}

	}



/* rtl_ins-vlen? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2vlenzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_172)
	{
		{	/* SawBbv/bbv-types.scm 788 */
			{	/* SawBbv/bbv-types.scm 790 */
				BgL_rtl_funz00_bglt BgL_arg2280z00_5652;

				BgL_arg2280z00_5652 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_172))->BgL_funz00);
				{	/* SawBbv/bbv-types.scm 790 */
					obj_t BgL_classz00_5653;

					BgL_classz00_5653 = BGl_rtl_vlengthz00zzsaw_defsz00;
					{	/* SawBbv/bbv-types.scm 790 */
						BgL_objectz00_bglt BgL_arg1858z00_5655;

						{	/* SawBbv/bbv-types.scm 790 */
							obj_t BgL_tmpz00_11902;

							BgL_tmpz00_11902 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2280z00_5652));
							BgL_arg1858z00_5655 = (BgL_objectz00_bglt) (BgL_tmpz00_11902);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 790 */
								long BgL_idxz00_5661;

								BgL_idxz00_5661 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5655);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_5661 + 3L)) == BgL_classz00_5653);
							}
						else
							{	/* SawBbv/bbv-types.scm 790 */
								bool_t BgL_res3629z00_5686;

								{	/* SawBbv/bbv-types.scm 790 */
									obj_t BgL_oclassz00_5669;

									{	/* SawBbv/bbv-types.scm 790 */
										obj_t BgL_arg1866z00_5677;
										long BgL_arg1867z00_5678;

										BgL_arg1866z00_5677 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.scm 790 */
											long BgL_arg1869z00_5679;

											BgL_arg1869z00_5679 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5655);
											BgL_arg1867z00_5678 = (BgL_arg1869z00_5679 - OBJECT_TYPE);
										}
										BgL_oclassz00_5669 =
											VECTOR_REF(BgL_arg1866z00_5677, BgL_arg1867z00_5678);
									}
									{	/* SawBbv/bbv-types.scm 790 */
										bool_t BgL__ortest_1115z00_5670;

										BgL__ortest_1115z00_5670 =
											(BgL_classz00_5653 == BgL_oclassz00_5669);
										if (BgL__ortest_1115z00_5670)
											{	/* SawBbv/bbv-types.scm 790 */
												BgL_res3629z00_5686 = BgL__ortest_1115z00_5670;
											}
										else
											{	/* SawBbv/bbv-types.scm 790 */
												long BgL_odepthz00_5671;

												{	/* SawBbv/bbv-types.scm 790 */
													obj_t BgL_arg1855z00_5672;

													BgL_arg1855z00_5672 = (BgL_oclassz00_5669);
													BgL_odepthz00_5671 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_5672);
												}
												if ((3L < BgL_odepthz00_5671))
													{	/* SawBbv/bbv-types.scm 790 */
														obj_t BgL_arg1853z00_5674;

														{	/* SawBbv/bbv-types.scm 790 */
															obj_t BgL_arg1854z00_5675;

															BgL_arg1854z00_5675 = (BgL_oclassz00_5669);
															BgL_arg1853z00_5674 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5675,
																3L);
														}
														BgL_res3629z00_5686 =
															(BgL_arg1853z00_5674 == BgL_classz00_5653);
													}
												else
													{	/* SawBbv/bbv-types.scm 790 */
														BgL_res3629z00_5686 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3629z00_5686;
							}
					}
				}
			}
		}

	}



/* &rtl_ins-vlen? */
	obj_t BGl_z62rtl_inszd2vlenzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8233,
		obj_t BgL_iz00_8234)
	{
		{	/* SawBbv/bbv-types.scm 788 */
			return
				BBOOL(BGl_rtl_inszd2vlenzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_8234)));
		}

	}



/* rtl_ins-strlen? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2strlenzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_173)
	{
		{	/* SawBbv/bbv-types.scm 795 */
			{	/* SawBbv/bbv-types.scm 797 */
				bool_t BgL_test4350z00_11928;

				{	/* SawBbv/bbv-types.scm 797 */
					BgL_rtl_funz00_bglt BgL_arg2284z00_2760;

					BgL_arg2284z00_2760 =
						(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_173))->BgL_funz00);
					{	/* SawBbv/bbv-types.scm 797 */
						obj_t BgL_classz00_5687;

						BgL_classz00_5687 = BGl_rtl_callz00zzsaw_defsz00;
						{	/* SawBbv/bbv-types.scm 797 */
							BgL_objectz00_bglt BgL_arg1858z00_5689;

							{	/* SawBbv/bbv-types.scm 797 */
								obj_t BgL_tmpz00_11930;

								BgL_tmpz00_11930 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg2284z00_2760));
								BgL_arg1858z00_5689 = (BgL_objectz00_bglt) (BgL_tmpz00_11930);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv-types.scm 797 */
									long BgL_idxz00_5695;

									BgL_idxz00_5695 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5689);
									BgL_test4350z00_11928 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5695 + 2L)) == BgL_classz00_5687);
								}
							else
								{	/* SawBbv/bbv-types.scm 797 */
									bool_t BgL_res3630z00_5720;

									{	/* SawBbv/bbv-types.scm 797 */
										obj_t BgL_oclassz00_5703;

										{	/* SawBbv/bbv-types.scm 797 */
											obj_t BgL_arg1866z00_5711;
											long BgL_arg1867z00_5712;

											BgL_arg1866z00_5711 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawBbv/bbv-types.scm 797 */
												long BgL_arg1869z00_5713;

												BgL_arg1869z00_5713 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5689);
												BgL_arg1867z00_5712 =
													(BgL_arg1869z00_5713 - OBJECT_TYPE);
											}
											BgL_oclassz00_5703 =
												VECTOR_REF(BgL_arg1866z00_5711, BgL_arg1867z00_5712);
										}
										{	/* SawBbv/bbv-types.scm 797 */
											bool_t BgL__ortest_1115z00_5704;

											BgL__ortest_1115z00_5704 =
												(BgL_classz00_5687 == BgL_oclassz00_5703);
											if (BgL__ortest_1115z00_5704)
												{	/* SawBbv/bbv-types.scm 797 */
													BgL_res3630z00_5720 = BgL__ortest_1115z00_5704;
												}
											else
												{	/* SawBbv/bbv-types.scm 797 */
													long BgL_odepthz00_5705;

													{	/* SawBbv/bbv-types.scm 797 */
														obj_t BgL_arg1855z00_5706;

														BgL_arg1855z00_5706 = (BgL_oclassz00_5703);
														BgL_odepthz00_5705 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_5706);
													}
													if ((2L < BgL_odepthz00_5705))
														{	/* SawBbv/bbv-types.scm 797 */
															obj_t BgL_arg1853z00_5708;

															{	/* SawBbv/bbv-types.scm 797 */
																obj_t BgL_arg1854z00_5709;

																BgL_arg1854z00_5709 = (BgL_oclassz00_5703);
																BgL_arg1853z00_5708 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5709,
																	2L);
															}
															BgL_res3630z00_5720 =
																(BgL_arg1853z00_5708 == BgL_classz00_5687);
														}
													else
														{	/* SawBbv/bbv-types.scm 797 */
															BgL_res3630z00_5720 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test4350z00_11928 = BgL_res3630z00_5720;
								}
						}
					}
				}
				if (BgL_test4350z00_11928)
					{	/* SawBbv/bbv-types.scm 798 */
						BgL_rtl_callz00_bglt BgL_i1343z00_2758;

						BgL_i1343z00_2758 =
							((BgL_rtl_callz00_bglt)
							(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_173))->BgL_funz00));
						{	/* SawBbv/bbv-types.scm 799 */
							obj_t BgL_arg2283z00_2759;

							BgL_arg2283z00_2759 =
								((obj_t)
								(((BgL_rtl_callz00_bglt) COBJECT(BgL_i1343z00_2758))->
									BgL_varz00));
							return (BgL_arg2283z00_2759 ==
								BGl_za2stringzd2lengthza2zd2zzsaw_bbvzd2cachezd2);
						}
					}
				else
					{	/* SawBbv/bbv-types.scm 797 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_ins-strlen? */
	obj_t BGl_z62rtl_inszd2strlenzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8235,
		obj_t BgL_iz00_8236)
	{
		{	/* SawBbv/bbv-types.scm 795 */
			return
				BBOOL(BGl_rtl_inszd2strlenzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_8236)));
		}

	}



/* rtl_ins-loadi? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2loadizf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_174)
	{
		{	/* SawBbv/bbv-types.scm 804 */
			{	/* SawBbv/bbv-types.scm 806 */
				BgL_rtl_funz00_bglt BgL_arg2285z00_5722;

				BgL_arg2285z00_5722 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_174))->BgL_funz00);
				{	/* SawBbv/bbv-types.scm 806 */
					obj_t BgL_classz00_5723;

					BgL_classz00_5723 = BGl_rtl_loadiz00zzsaw_defsz00;
					{	/* SawBbv/bbv-types.scm 806 */
						BgL_objectz00_bglt BgL_arg1858z00_5725;

						{	/* SawBbv/bbv-types.scm 806 */
							obj_t BgL_tmpz00_11962;

							BgL_tmpz00_11962 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2285z00_5722));
							BgL_arg1858z00_5725 = (BgL_objectz00_bglt) (BgL_tmpz00_11962);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 806 */
								long BgL_idxz00_5731;

								BgL_idxz00_5731 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5725);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_5731 + 3L)) == BgL_classz00_5723);
							}
						else
							{	/* SawBbv/bbv-types.scm 806 */
								bool_t BgL_res3631z00_5756;

								{	/* SawBbv/bbv-types.scm 806 */
									obj_t BgL_oclassz00_5739;

									{	/* SawBbv/bbv-types.scm 806 */
										obj_t BgL_arg1866z00_5747;
										long BgL_arg1867z00_5748;

										BgL_arg1866z00_5747 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.scm 806 */
											long BgL_arg1869z00_5749;

											BgL_arg1869z00_5749 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5725);
											BgL_arg1867z00_5748 = (BgL_arg1869z00_5749 - OBJECT_TYPE);
										}
										BgL_oclassz00_5739 =
											VECTOR_REF(BgL_arg1866z00_5747, BgL_arg1867z00_5748);
									}
									{	/* SawBbv/bbv-types.scm 806 */
										bool_t BgL__ortest_1115z00_5740;

										BgL__ortest_1115z00_5740 =
											(BgL_classz00_5723 == BgL_oclassz00_5739);
										if (BgL__ortest_1115z00_5740)
											{	/* SawBbv/bbv-types.scm 806 */
												BgL_res3631z00_5756 = BgL__ortest_1115z00_5740;
											}
										else
											{	/* SawBbv/bbv-types.scm 806 */
												long BgL_odepthz00_5741;

												{	/* SawBbv/bbv-types.scm 806 */
													obj_t BgL_arg1855z00_5742;

													BgL_arg1855z00_5742 = (BgL_oclassz00_5739);
													BgL_odepthz00_5741 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_5742);
												}
												if ((3L < BgL_odepthz00_5741))
													{	/* SawBbv/bbv-types.scm 806 */
														obj_t BgL_arg1853z00_5744;

														{	/* SawBbv/bbv-types.scm 806 */
															obj_t BgL_arg1854z00_5745;

															BgL_arg1854z00_5745 = (BgL_oclassz00_5739);
															BgL_arg1853z00_5744 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5745,
																3L);
														}
														BgL_res3631z00_5756 =
															(BgL_arg1853z00_5744 == BgL_classz00_5723);
													}
												else
													{	/* SawBbv/bbv-types.scm 806 */
														BgL_res3631z00_5756 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3631z00_5756;
							}
					}
				}
			}
		}

	}



/* &rtl_ins-loadi? */
	obj_t BGl_z62rtl_inszd2loadizf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8237,
		obj_t BgL_iz00_8238)
	{
		{	/* SawBbv/bbv-types.scm 804 */
			return
				BBOOL(BGl_rtl_inszd2loadizf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_8238)));
		}

	}



/* rtl_ins-loadg? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2loadgzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_175)
	{
		{	/* SawBbv/bbv-types.scm 811 */
			{	/* SawBbv/bbv-types.scm 813 */
				BgL_rtl_funz00_bglt BgL_arg2286z00_5758;

				BgL_arg2286z00_5758 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_175))->BgL_funz00);
				{	/* SawBbv/bbv-types.scm 813 */
					obj_t BgL_classz00_5759;

					BgL_classz00_5759 = BGl_rtl_loadgz00zzsaw_defsz00;
					{	/* SawBbv/bbv-types.scm 813 */
						BgL_objectz00_bglt BgL_arg1858z00_5761;

						{	/* SawBbv/bbv-types.scm 813 */
							obj_t BgL_tmpz00_11989;

							BgL_tmpz00_11989 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2286z00_5758));
							BgL_arg1858z00_5761 = (BgL_objectz00_bglt) (BgL_tmpz00_11989);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 813 */
								long BgL_idxz00_5767;

								BgL_idxz00_5767 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5761);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_5767 + 3L)) == BgL_classz00_5759);
							}
						else
							{	/* SawBbv/bbv-types.scm 813 */
								bool_t BgL_res3632z00_5792;

								{	/* SawBbv/bbv-types.scm 813 */
									obj_t BgL_oclassz00_5775;

									{	/* SawBbv/bbv-types.scm 813 */
										obj_t BgL_arg1866z00_5783;
										long BgL_arg1867z00_5784;

										BgL_arg1866z00_5783 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.scm 813 */
											long BgL_arg1869z00_5785;

											BgL_arg1869z00_5785 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5761);
											BgL_arg1867z00_5784 = (BgL_arg1869z00_5785 - OBJECT_TYPE);
										}
										BgL_oclassz00_5775 =
											VECTOR_REF(BgL_arg1866z00_5783, BgL_arg1867z00_5784);
									}
									{	/* SawBbv/bbv-types.scm 813 */
										bool_t BgL__ortest_1115z00_5776;

										BgL__ortest_1115z00_5776 =
											(BgL_classz00_5759 == BgL_oclassz00_5775);
										if (BgL__ortest_1115z00_5776)
											{	/* SawBbv/bbv-types.scm 813 */
												BgL_res3632z00_5792 = BgL__ortest_1115z00_5776;
											}
										else
											{	/* SawBbv/bbv-types.scm 813 */
												long BgL_odepthz00_5777;

												{	/* SawBbv/bbv-types.scm 813 */
													obj_t BgL_arg1855z00_5778;

													BgL_arg1855z00_5778 = (BgL_oclassz00_5775);
													BgL_odepthz00_5777 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_5778);
												}
												if ((3L < BgL_odepthz00_5777))
													{	/* SawBbv/bbv-types.scm 813 */
														obj_t BgL_arg1853z00_5780;

														{	/* SawBbv/bbv-types.scm 813 */
															obj_t BgL_arg1854z00_5781;

															BgL_arg1854z00_5781 = (BgL_oclassz00_5775);
															BgL_arg1853z00_5780 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5781,
																3L);
														}
														BgL_res3632z00_5792 =
															(BgL_arg1853z00_5780 == BgL_classz00_5759);
													}
												else
													{	/* SawBbv/bbv-types.scm 813 */
														BgL_res3632z00_5792 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3632z00_5792;
							}
					}
				}
			}
		}

	}



/* &rtl_ins-loadg? */
	obj_t BGl_z62rtl_inszd2loadgzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8239,
		obj_t BgL_iz00_8240)
	{
		{	/* SawBbv/bbv-types.scm 811 */
			return
				BBOOL(BGl_rtl_inszd2loadgzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_8240)));
		}

	}



/* rtl_ins-boolean? */
	bool_t BGl_rtl_inszd2booleanzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_insz00_176, obj_t BgL_boolz00_177)
	{
		{	/* SawBbv/bbv-types.scm 818 */
			{	/* SawBbv/bbv-types.scm 820 */
				bool_t BgL_test4360z00_12015;

				{	/* SawBbv/bbv-types.scm 820 */
					BgL_rtl_funz00_bglt BgL_arg2291z00_2771;

					BgL_arg2291z00_2771 =
						(((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_176))->BgL_funz00);
					{	/* SawBbv/bbv-types.scm 820 */
						obj_t BgL_classz00_5793;

						BgL_classz00_5793 = BGl_rtl_loadiz00zzsaw_defsz00;
						{	/* SawBbv/bbv-types.scm 820 */
							BgL_objectz00_bglt BgL_arg1858z00_5795;

							{	/* SawBbv/bbv-types.scm 820 */
								obj_t BgL_tmpz00_12017;

								BgL_tmpz00_12017 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg2291z00_2771));
								BgL_arg1858z00_5795 = (BgL_objectz00_bglt) (BgL_tmpz00_12017);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv-types.scm 820 */
									long BgL_idxz00_5801;

									BgL_idxz00_5801 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5795);
									BgL_test4360z00_12015 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5801 + 3L)) == BgL_classz00_5793);
								}
							else
								{	/* SawBbv/bbv-types.scm 820 */
									bool_t BgL_res3633z00_5826;

									{	/* SawBbv/bbv-types.scm 820 */
										obj_t BgL_oclassz00_5809;

										{	/* SawBbv/bbv-types.scm 820 */
											obj_t BgL_arg1866z00_5817;
											long BgL_arg1867z00_5818;

											BgL_arg1866z00_5817 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawBbv/bbv-types.scm 820 */
												long BgL_arg1869z00_5819;

												BgL_arg1869z00_5819 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5795);
												BgL_arg1867z00_5818 =
													(BgL_arg1869z00_5819 - OBJECT_TYPE);
											}
											BgL_oclassz00_5809 =
												VECTOR_REF(BgL_arg1866z00_5817, BgL_arg1867z00_5818);
										}
										{	/* SawBbv/bbv-types.scm 820 */
											bool_t BgL__ortest_1115z00_5810;

											BgL__ortest_1115z00_5810 =
												(BgL_classz00_5793 == BgL_oclassz00_5809);
											if (BgL__ortest_1115z00_5810)
												{	/* SawBbv/bbv-types.scm 820 */
													BgL_res3633z00_5826 = BgL__ortest_1115z00_5810;
												}
											else
												{	/* SawBbv/bbv-types.scm 820 */
													long BgL_odepthz00_5811;

													{	/* SawBbv/bbv-types.scm 820 */
														obj_t BgL_arg1855z00_5812;

														BgL_arg1855z00_5812 = (BgL_oclassz00_5809);
														BgL_odepthz00_5811 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_5812);
													}
													if ((3L < BgL_odepthz00_5811))
														{	/* SawBbv/bbv-types.scm 820 */
															obj_t BgL_arg1853z00_5814;

															{	/* SawBbv/bbv-types.scm 820 */
																obj_t BgL_arg1854z00_5815;

																BgL_arg1854z00_5815 = (BgL_oclassz00_5809);
																BgL_arg1853z00_5814 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5815,
																	3L);
															}
															BgL_res3633z00_5826 =
																(BgL_arg1853z00_5814 == BgL_classz00_5793);
														}
													else
														{	/* SawBbv/bbv-types.scm 820 */
															BgL_res3633z00_5826 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test4360z00_12015 = BgL_res3633z00_5826;
								}
						}
					}
				}
				if (BgL_test4360z00_12015)
					{	/* SawBbv/bbv-types.scm 820 */
						return
							(
							(((BgL_atomz00_bglt) COBJECT(
										((BgL_atomz00_bglt)
											((BgL_literalz00_bglt)
												(((BgL_rtl_loadiz00_bglt) COBJECT(
															((BgL_rtl_loadiz00_bglt)
																(((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_insz00_176))->BgL_funz00))))->
													BgL_constantz00)))))->BgL_valuez00) ==
							BgL_boolz00_177);
					}
				else
					{	/* SawBbv/bbv-types.scm 820 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* rtl_ins-true? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2truezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_insz00_178)
	{
		{	/* SawBbv/bbv-types.scm 825 */
			return
				BGl_rtl_inszd2booleanzf3z21zzsaw_bbvzd2typeszd2(BgL_insz00_178, BTRUE);
		}

	}



/* &rtl_ins-true? */
	obj_t BGl_z62rtl_inszd2truezf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8241,
		obj_t BgL_insz00_8242)
	{
		{	/* SawBbv/bbv-types.scm 825 */
			return
				BBOOL(BGl_rtl_inszd2truezf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_insz00_8242)));
		}

	}



/* rtl_ins-false? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2falsezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_insz00_179)
	{
		{	/* SawBbv/bbv-types.scm 828 */
			return
				BGl_rtl_inszd2booleanzf3z21zzsaw_bbvzd2typeszd2(BgL_insz00_179, BFALSE);
		}

	}



/* &rtl_ins-false? */
	obj_t BGl_z62rtl_inszd2falsezf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8243,
		obj_t BgL_insz00_8244)
	{
		{	/* SawBbv/bbv-types.scm 828 */
			return
				BBOOL(BGl_rtl_inszd2falsezf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_insz00_8244)));
		}

	}



/* rtl_ins-return? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2returnzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_180)
	{
		{	/* SawBbv/bbv-types.scm 834 */
			{	/* SawBbv/bbv-types.scm 836 */
				BgL_rtl_funz00_bglt BgL_arg2292z00_5828;

				BgL_arg2292z00_5828 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_180))->BgL_funz00);
				{	/* SawBbv/bbv-types.scm 836 */
					obj_t BgL_classz00_5829;

					BgL_classz00_5829 = BGl_rtl_returnz00zzsaw_defsz00;
					{	/* SawBbv/bbv-types.scm 836 */
						BgL_objectz00_bglt BgL_arg1858z00_5831;

						{	/* SawBbv/bbv-types.scm 836 */
							obj_t BgL_tmpz00_12056;

							BgL_tmpz00_12056 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2292z00_5828));
							BgL_arg1858z00_5831 = (BgL_objectz00_bglt) (BgL_tmpz00_12056);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 836 */
								long BgL_idxz00_5837;

								BgL_idxz00_5837 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5831);
								{	/* SawBbv/bbv-types.scm 836 */
									obj_t BgL_arg1849z00_5838;

									BgL_arg1849z00_5838 =
										VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_5837 + 3L));
									return BBOOL((BgL_arg1849z00_5838 == BgL_classz00_5829));
								}
							}
						else
							{	/* SawBbv/bbv-types.scm 836 */
								bool_t BgL_res3634z00_5862;

								{	/* SawBbv/bbv-types.scm 836 */
									obj_t BgL_oclassz00_5845;

									{	/* SawBbv/bbv-types.scm 836 */
										obj_t BgL_arg1866z00_5853;
										long BgL_arg1867z00_5854;

										BgL_arg1866z00_5853 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawBbv/bbv-types.scm 836 */
											long BgL_arg1869z00_5855;

											BgL_arg1869z00_5855 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5831);
											BgL_arg1867z00_5854 = (BgL_arg1869z00_5855 - OBJECT_TYPE);
										}
										BgL_oclassz00_5845 =
											VECTOR_REF(BgL_arg1866z00_5853, BgL_arg1867z00_5854);
									}
									{	/* SawBbv/bbv-types.scm 836 */
										bool_t BgL__ortest_1115z00_5846;

										BgL__ortest_1115z00_5846 =
											(BgL_classz00_5829 == BgL_oclassz00_5845);
										if (BgL__ortest_1115z00_5846)
											{	/* SawBbv/bbv-types.scm 836 */
												BgL_res3634z00_5862 = BgL__ortest_1115z00_5846;
											}
										else
											{	/* SawBbv/bbv-types.scm 836 */
												long BgL_odepthz00_5847;

												{	/* SawBbv/bbv-types.scm 836 */
													obj_t BgL_arg1855z00_5848;

													BgL_arg1855z00_5848 = (BgL_oclassz00_5845);
													BgL_odepthz00_5847 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_5848);
												}
												if ((3L < BgL_odepthz00_5847))
													{	/* SawBbv/bbv-types.scm 836 */
														obj_t BgL_arg1853z00_5850;

														{	/* SawBbv/bbv-types.scm 836 */
															obj_t BgL_arg1854z00_5851;

															BgL_arg1854z00_5851 = (BgL_oclassz00_5845);
															BgL_arg1853z00_5850 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5851,
																3L);
														}
														BgL_res3634z00_5862 =
															(BgL_arg1853z00_5850 == BgL_classz00_5829);
													}
												else
													{	/* SawBbv/bbv-types.scm 836 */
														BgL_res3634z00_5862 = ((bool_t) 0);
													}
											}
									}
								}
								return BBOOL(BgL_res3634z00_5862);
							}
					}
				}
			}
		}

	}



/* &rtl_ins-return? */
	obj_t BGl_z62rtl_inszd2returnzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8245,
		obj_t BgL_iz00_8246)
	{
		{	/* SawBbv/bbv-types.scm 834 */
			return
				BGl_rtl_inszd2returnzf3z21zzsaw_bbvzd2typeszd2(
				((BgL_rtl_insz00_bglt) BgL_iz00_8246));
		}

	}



/* rtl_ins-fxovop? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2fxovopzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_181)
	{
		{	/* SawBbv/bbv-types.scm 841 */
			{
				obj_t BgL_iz00_2799;

				{	/* SawBbv/bbv-types.scm 862 */
					bool_t BgL_test4367z00_12083;

					{	/* SawBbv/bbv-types.scm 776 */
						BgL_rtl_funz00_bglt BgL_arg2277z00_6163;

						BgL_arg2277z00_6163 =
							(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_181))->BgL_funz00);
						{	/* SawBbv/bbv-types.scm 776 */
							obj_t BgL_classz00_6164;

							BgL_classz00_6164 = BGl_rtl_ifnez00zzsaw_defsz00;
							{	/* SawBbv/bbv-types.scm 776 */
								BgL_objectz00_bglt BgL_arg1858z00_6166;

								{	/* SawBbv/bbv-types.scm 776 */
									obj_t BgL_tmpz00_12085;

									BgL_tmpz00_12085 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg2277z00_6163));
									BgL_arg1858z00_6166 = (BgL_objectz00_bglt) (BgL_tmpz00_12085);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 776 */
										long BgL_idxz00_6172;

										BgL_idxz00_6172 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6166);
										BgL_test4367z00_12083 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_6172 + 3L)) == BgL_classz00_6164);
									}
								else
									{	/* SawBbv/bbv-types.scm 776 */
										bool_t BgL_res3643z00_6197;

										{	/* SawBbv/bbv-types.scm 776 */
											obj_t BgL_oclassz00_6180;

											{	/* SawBbv/bbv-types.scm 776 */
												obj_t BgL_arg1866z00_6188;
												long BgL_arg1867z00_6189;

												BgL_arg1866z00_6188 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawBbv/bbv-types.scm 776 */
													long BgL_arg1869z00_6190;

													BgL_arg1869z00_6190 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6166);
													BgL_arg1867z00_6189 =
														(BgL_arg1869z00_6190 - OBJECT_TYPE);
												}
												BgL_oclassz00_6180 =
													VECTOR_REF(BgL_arg1866z00_6188, BgL_arg1867z00_6189);
											}
											{	/* SawBbv/bbv-types.scm 776 */
												bool_t BgL__ortest_1115z00_6181;

												BgL__ortest_1115z00_6181 =
													(BgL_classz00_6164 == BgL_oclassz00_6180);
												if (BgL__ortest_1115z00_6181)
													{	/* SawBbv/bbv-types.scm 776 */
														BgL_res3643z00_6197 = BgL__ortest_1115z00_6181;
													}
												else
													{	/* SawBbv/bbv-types.scm 776 */
														long BgL_odepthz00_6182;

														{	/* SawBbv/bbv-types.scm 776 */
															obj_t BgL_arg1855z00_6183;

															BgL_arg1855z00_6183 = (BgL_oclassz00_6180);
															BgL_odepthz00_6182 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_6183);
														}
														if ((3L < BgL_odepthz00_6182))
															{	/* SawBbv/bbv-types.scm 776 */
																obj_t BgL_arg1853z00_6185;

																{	/* SawBbv/bbv-types.scm 776 */
																	obj_t BgL_arg1854z00_6186;

																	BgL_arg1854z00_6186 = (BgL_oclassz00_6180);
																	BgL_arg1853z00_6185 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_6186,
																		3L);
																}
																BgL_res3643z00_6197 =
																	(BgL_arg1853z00_6185 == BgL_classz00_6164);
															}
														else
															{	/* SawBbv/bbv-types.scm 776 */
																BgL_res3643z00_6197 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4367z00_12083 = BgL_res3643z00_6197;
									}
							}
						}
					}
					if (BgL_test4367z00_12083)
						{	/* SawBbv/bbv-types.scm 864 */
							bool_t BgL_test4371z00_12108;

							if (NULLP(
									(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_181))->BgL_argsz00)))
								{	/* SawBbv/bbv-types.scm 864 */
									BgL_test4371z00_12108 = ((bool_t) 0);
								}
							else
								{	/* SawBbv/bbv-types.scm 864 */
									BgL_test4371z00_12108 =
										NULLP(CDR(
											(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_181))->
												BgL_argsz00)));
								}
							if (BgL_test4371z00_12108)
								{	/* SawBbv/bbv-types.scm 864 */
									BgL_iz00_2799 =
										CAR(
										(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_181))->
											BgL_argsz00));
									{	/* SawBbv/bbv-types.scm 851 */
										bool_t BgL_test4373z00_12115;

										{	/* SawBbv/bbv-types.scm 851 */
											bool_t BgL_test4374z00_12116;

											{	/* SawBbv/bbv-types.scm 851 */
												obj_t BgL_classz00_5999;

												BgL_classz00_5999 = BGl_rtl_insz00zzsaw_defsz00;
												if (BGL_OBJECTP(BgL_iz00_2799))
													{	/* SawBbv/bbv-types.scm 851 */
														BgL_objectz00_bglt BgL_arg1858z00_6001;

														BgL_arg1858z00_6001 =
															(BgL_objectz00_bglt) (BgL_iz00_2799);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* SawBbv/bbv-types.scm 851 */
																long BgL_idxz00_6007;

																BgL_idxz00_6007 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_6001);
																BgL_test4374z00_12116 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_6007 + 1L)) ==
																	BgL_classz00_5999);
															}
														else
															{	/* SawBbv/bbv-types.scm 851 */
																bool_t BgL_res3639z00_6032;

																{	/* SawBbv/bbv-types.scm 851 */
																	obj_t BgL_oclassz00_6015;

																	{	/* SawBbv/bbv-types.scm 851 */
																		obj_t BgL_arg1866z00_6023;
																		long BgL_arg1867z00_6024;

																		BgL_arg1866z00_6023 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* SawBbv/bbv-types.scm 851 */
																			long BgL_arg1869z00_6025;

																			BgL_arg1869z00_6025 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_6001);
																			BgL_arg1867z00_6024 =
																				(BgL_arg1869z00_6025 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_6015 =
																			VECTOR_REF(BgL_arg1866z00_6023,
																			BgL_arg1867z00_6024);
																	}
																	{	/* SawBbv/bbv-types.scm 851 */
																		bool_t BgL__ortest_1115z00_6016;

																		BgL__ortest_1115z00_6016 =
																			(BgL_classz00_5999 == BgL_oclassz00_6015);
																		if (BgL__ortest_1115z00_6016)
																			{	/* SawBbv/bbv-types.scm 851 */
																				BgL_res3639z00_6032 =
																					BgL__ortest_1115z00_6016;
																			}
																		else
																			{	/* SawBbv/bbv-types.scm 851 */
																				long BgL_odepthz00_6017;

																				{	/* SawBbv/bbv-types.scm 851 */
																					obj_t BgL_arg1855z00_6018;

																					BgL_arg1855z00_6018 =
																						(BgL_oclassz00_6015);
																					BgL_odepthz00_6017 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_6018);
																				}
																				if ((1L < BgL_odepthz00_6017))
																					{	/* SawBbv/bbv-types.scm 851 */
																						obj_t BgL_arg1853z00_6020;

																						{	/* SawBbv/bbv-types.scm 851 */
																							obj_t BgL_arg1854z00_6021;

																							BgL_arg1854z00_6021 =
																								(BgL_oclassz00_6015);
																							BgL_arg1853z00_6020 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_6021, 1L);
																						}
																						BgL_res3639z00_6032 =
																							(BgL_arg1853z00_6020 ==
																							BgL_classz00_5999);
																					}
																				else
																					{	/* SawBbv/bbv-types.scm 851 */
																						BgL_res3639z00_6032 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test4374z00_12116 = BgL_res3639z00_6032;
															}
													}
												else
													{	/* SawBbv/bbv-types.scm 851 */
														BgL_test4374z00_12116 = ((bool_t) 0);
													}
											}
											if (BgL_test4374z00_12116)
												{	/* SawBbv/bbv-types.scm 783 */
													BgL_rtl_funz00_bglt BgL_arg2279z00_6035;

													BgL_arg2279z00_6035 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_iz00_2799)))->
														BgL_funz00);
													{	/* SawBbv/bbv-types.scm 783 */
														obj_t BgL_classz00_6036;

														BgL_classz00_6036 = BGl_rtl_callz00zzsaw_defsz00;
														{	/* SawBbv/bbv-types.scm 783 */
															BgL_objectz00_bglt BgL_arg1858z00_6038;

															{	/* SawBbv/bbv-types.scm 783 */
																obj_t BgL_tmpz00_12141;

																BgL_tmpz00_12141 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_arg2279z00_6035));
																BgL_arg1858z00_6038 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_12141);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* SawBbv/bbv-types.scm 783 */
																	long BgL_idxz00_6044;

																	BgL_idxz00_6044 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_6038);
																	BgL_test4373z00_12115 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_6044 + 2L)) ==
																		BgL_classz00_6036);
																}
															else
																{	/* SawBbv/bbv-types.scm 783 */
																	bool_t BgL_res3640z00_6069;

																	{	/* SawBbv/bbv-types.scm 783 */
																		obj_t BgL_oclassz00_6052;

																		{	/* SawBbv/bbv-types.scm 783 */
																			obj_t BgL_arg1866z00_6060;
																			long BgL_arg1867z00_6061;

																			BgL_arg1866z00_6060 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* SawBbv/bbv-types.scm 783 */
																				long BgL_arg1869z00_6062;

																				BgL_arg1869z00_6062 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_6038);
																				BgL_arg1867z00_6061 =
																					(BgL_arg1869z00_6062 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_6052 =
																				VECTOR_REF(BgL_arg1866z00_6060,
																				BgL_arg1867z00_6061);
																		}
																		{	/* SawBbv/bbv-types.scm 783 */
																			bool_t BgL__ortest_1115z00_6053;

																			BgL__ortest_1115z00_6053 =
																				(BgL_classz00_6036 ==
																				BgL_oclassz00_6052);
																			if (BgL__ortest_1115z00_6053)
																				{	/* SawBbv/bbv-types.scm 783 */
																					BgL_res3640z00_6069 =
																						BgL__ortest_1115z00_6053;
																				}
																			else
																				{	/* SawBbv/bbv-types.scm 783 */
																					long BgL_odepthz00_6054;

																					{	/* SawBbv/bbv-types.scm 783 */
																						obj_t BgL_arg1855z00_6055;

																						BgL_arg1855z00_6055 =
																							(BgL_oclassz00_6052);
																						BgL_odepthz00_6054 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_6055);
																					}
																					if ((2L < BgL_odepthz00_6054))
																						{	/* SawBbv/bbv-types.scm 783 */
																							obj_t BgL_arg1853z00_6057;

																							{	/* SawBbv/bbv-types.scm 783 */
																								obj_t BgL_arg1854z00_6058;

																								BgL_arg1854z00_6058 =
																									(BgL_oclassz00_6052);
																								BgL_arg1853z00_6057 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_6058, 2L);
																							}
																							BgL_res3640z00_6069 =
																								(BgL_arg1853z00_6057 ==
																								BgL_classz00_6036);
																						}
																					else
																						{	/* SawBbv/bbv-types.scm 783 */
																							BgL_res3640z00_6069 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test4373z00_12115 = BgL_res3640z00_6069;
																}
														}
													}
												}
											else
												{	/* SawBbv/bbv-types.scm 851 */
													BgL_test4373z00_12115 = ((bool_t) 0);
												}
										}
										if (BgL_test4373z00_12115)
											{	/* SawBbv/bbv-types.scm 853 */
												BgL_rtl_callz00_bglt BgL_i1354z00_2804;

												BgL_i1354z00_2804 =
													((BgL_rtl_callz00_bglt)
													(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_iz00_2799)))->
														BgL_funz00));
												if ((bgl_list_length((((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_iz00_2799)))->BgL_argsz00)) == 3L))
													{	/* SawBbv/bbv-types.scm 855 */
														bool_t BgL_test4383z00_12172;

														{	/* SawBbv/bbv-types.scm 855 */
															bool_t BgL__ortest_1359z00_2821;

															{	/* SawBbv/bbv-types.scm 855 */
																obj_t BgL_arg2334z00_2825;

																BgL_arg2334z00_2825 =
																	((obj_t)
																	(((BgL_rtl_callz00_bglt)
																			COBJECT(BgL_i1354z00_2804))->BgL_varz00));
																BgL__ortest_1359z00_2821 =
																	(BgL_arg2334z00_2825 ==
																	BGl_za2z42zd2fxzf2ovza2z62zzsaw_bbvzd2cachezd2);
															}
															if (BgL__ortest_1359z00_2821)
																{	/* SawBbv/bbv-types.scm 855 */
																	BgL_test4383z00_12172 =
																		BgL__ortest_1359z00_2821;
																}
															else
																{	/* SawBbv/bbv-types.scm 856 */
																	bool_t BgL__ortest_1360z00_2822;

																	{	/* SawBbv/bbv-types.scm 856 */
																		obj_t BgL_arg2331z00_2824;

																		BgL_arg2331z00_2824 =
																			((obj_t)
																			(((BgL_rtl_callz00_bglt)
																					COBJECT(BgL_i1354z00_2804))->
																				BgL_varz00));
																		BgL__ortest_1360z00_2822 =
																			(BgL_arg2331z00_2824 ==
																			BGl_za2z42zb2fxzf2ovza2z02zzsaw_bbvzd2cachezd2);
																	}
																	if (BgL__ortest_1360z00_2822)
																		{	/* SawBbv/bbv-types.scm 856 */
																			BgL_test4383z00_12172 =
																				BgL__ortest_1360z00_2822;
																		}
																	else
																		{	/* SawBbv/bbv-types.scm 857 */
																			obj_t BgL_arg2329z00_2823;

																			BgL_arg2329z00_2823 =
																				((obj_t)
																				(((BgL_rtl_callz00_bglt)
																						COBJECT(BgL_i1354z00_2804))->
																					BgL_varz00));
																			BgL_test4383z00_12172 =
																				(BgL_arg2329z00_2823 ==
																				BGl_za2z42za2fxzf2ovza2z12zzsaw_bbvzd2cachezd2);
																		}
																}
														}
														if (BgL_test4383z00_12172)
															{	/* SawBbv/bbv-types.scm 858 */
																bool_t BgL_test4386z00_12184;

																{	/* SawBbv/bbv-types.scm 858 */
																	bool_t BgL__ortest_1361z00_2816;

																	{	/* SawBbv/bbv-types.scm 858 */
																		obj_t BgL_arg2327z00_2819;

																		{	/* SawBbv/bbv-types.scm 858 */
																			obj_t BgL_pairz00_6071;

																			BgL_pairz00_6071 =
																				(((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							BgL_iz00_2799)))->BgL_argsz00);
																			BgL_arg2327z00_2819 =
																				CAR(BgL_pairz00_6071);
																		}
																		BgL__ortest_1361z00_2816 =
																			BGl_regzf3ze70z14zzsaw_bbvzd2typeszd2
																			(BgL_arg2327z00_2819);
																	}
																	if (BgL__ortest_1361z00_2816)
																		{	/* SawBbv/bbv-types.scm 858 */
																			BgL_test4386z00_12184 =
																				BgL__ortest_1361z00_2816;
																		}
																	else
																		{	/* SawBbv/bbv-types.scm 858 */
																			obj_t BgL_arg2325z00_2817;

																			{	/* SawBbv/bbv-types.scm 858 */
																				obj_t BgL_pairz00_6072;

																				BgL_pairz00_6072 =
																					(((BgL_rtl_insz00_bglt) COBJECT(
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_2799)))->BgL_argsz00);
																				BgL_arg2325z00_2817 =
																					CAR(BgL_pairz00_6072);
																			}
																			{	/* SawBbv/bbv-types.scm 806 */
																				BgL_rtl_funz00_bglt BgL_arg2285z00_6075;

																				BgL_arg2285z00_6075 =
																					(((BgL_rtl_insz00_bglt) COBJECT(
																							((BgL_rtl_insz00_bglt)
																								BgL_arg2325z00_2817)))->
																					BgL_funz00);
																				{	/* SawBbv/bbv-types.scm 806 */
																					obj_t BgL_classz00_6076;

																					BgL_classz00_6076 =
																						BGl_rtl_loadiz00zzsaw_defsz00;
																					{	/* SawBbv/bbv-types.scm 806 */
																						BgL_objectz00_bglt
																							BgL_arg1858z00_6078;
																						{	/* SawBbv/bbv-types.scm 806 */
																							obj_t BgL_tmpz00_12195;

																							BgL_tmpz00_12195 =
																								((obj_t)
																								((BgL_objectz00_bglt)
																									BgL_arg2285z00_6075));
																							BgL_arg1858z00_6078 =
																								(BgL_objectz00_bglt)
																								(BgL_tmpz00_12195);
																						}
																						if (BGL_CONDEXPAND_ISA_ARCH64())
																							{	/* SawBbv/bbv-types.scm 806 */
																								long BgL_idxz00_6084;

																								BgL_idxz00_6084 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1858z00_6078);
																								BgL_test4386z00_12184 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_6084 + 3L)) ==
																									BgL_classz00_6076);
																							}
																						else
																							{	/* SawBbv/bbv-types.scm 806 */
																								bool_t BgL_res3641z00_6109;

																								{	/* SawBbv/bbv-types.scm 806 */
																									obj_t BgL_oclassz00_6092;

																									{	/* SawBbv/bbv-types.scm 806 */
																										obj_t BgL_arg1866z00_6100;
																										long BgL_arg1867z00_6101;

																										BgL_arg1866z00_6100 =
																											(BGl_za2classesza2z00zz__objectz00);
																										{	/* SawBbv/bbv-types.scm 806 */
																											long BgL_arg1869z00_6102;

																											BgL_arg1869z00_6102 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1858z00_6078);
																											BgL_arg1867z00_6101 =
																												(BgL_arg1869z00_6102 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_6092 =
																											VECTOR_REF
																											(BgL_arg1866z00_6100,
																											BgL_arg1867z00_6101);
																									}
																									{	/* SawBbv/bbv-types.scm 806 */
																										bool_t
																											BgL__ortest_1115z00_6093;
																										BgL__ortest_1115z00_6093 =
																											(BgL_classz00_6076 ==
																											BgL_oclassz00_6092);
																										if (BgL__ortest_1115z00_6093)
																											{	/* SawBbv/bbv-types.scm 806 */
																												BgL_res3641z00_6109 =
																													BgL__ortest_1115z00_6093;
																											}
																										else
																											{	/* SawBbv/bbv-types.scm 806 */
																												long BgL_odepthz00_6094;

																												{	/* SawBbv/bbv-types.scm 806 */
																													obj_t
																														BgL_arg1855z00_6095;
																													BgL_arg1855z00_6095 =
																														(BgL_oclassz00_6092);
																													BgL_odepthz00_6094 =
																														BGL_CLASS_DEPTH
																														(BgL_arg1855z00_6095);
																												}
																												if (
																													(3L <
																														BgL_odepthz00_6094))
																													{	/* SawBbv/bbv-types.scm 806 */
																														obj_t
																															BgL_arg1853z00_6097;
																														{	/* SawBbv/bbv-types.scm 806 */
																															obj_t
																																BgL_arg1854z00_6098;
																															BgL_arg1854z00_6098
																																=
																																(BgL_oclassz00_6092);
																															BgL_arg1853z00_6097
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_arg1854z00_6098,
																																3L);
																														}
																														BgL_res3641z00_6109
																															=
																															(BgL_arg1853z00_6097
																															==
																															BgL_classz00_6076);
																													}
																												else
																													{	/* SawBbv/bbv-types.scm 806 */
																														BgL_res3641z00_6109
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_test4386z00_12184 =
																									BgL_res3641z00_6109;
																							}
																					}
																				}
																			}
																		}
																}
																if (BgL_test4386z00_12184)
																	{	/* SawBbv/bbv-types.scm 859 */
																		bool_t BgL_test4391z00_12218;

																		{	/* SawBbv/bbv-types.scm 859 */
																			bool_t BgL__ortest_1362z00_2811;

																			{	/* SawBbv/bbv-types.scm 859 */
																				obj_t BgL_arg2323z00_2814;

																				{	/* SawBbv/bbv-types.scm 859 */
																					obj_t BgL_pairz00_6110;

																					BgL_pairz00_6110 =
																						(((BgL_rtl_insz00_bglt) COBJECT(
																								((BgL_rtl_insz00_bglt)
																									BgL_iz00_2799)))->
																						BgL_argsz00);
																					BgL_arg2323z00_2814 =
																						CAR(CDR(BgL_pairz00_6110));
																				}
																				BgL__ortest_1362z00_2811 =
																					BGl_regzf3ze70z14zzsaw_bbvzd2typeszd2
																					(BgL_arg2323z00_2814);
																			}
																			if (BgL__ortest_1362z00_2811)
																				{	/* SawBbv/bbv-types.scm 859 */
																					BgL_test4391z00_12218 =
																						BgL__ortest_1362z00_2811;
																				}
																			else
																				{	/* SawBbv/bbv-types.scm 859 */
																					obj_t BgL_arg2320z00_2812;

																					{	/* SawBbv/bbv-types.scm 859 */
																						obj_t BgL_pairz00_6114;

																						BgL_pairz00_6114 =
																							(((BgL_rtl_insz00_bglt) COBJECT(
																									((BgL_rtl_insz00_bglt)
																										BgL_iz00_2799)))->
																							BgL_argsz00);
																						BgL_arg2320z00_2812 =
																							CAR(CDR(BgL_pairz00_6114));
																					}
																					{	/* SawBbv/bbv-types.scm 806 */
																						BgL_rtl_funz00_bglt
																							BgL_arg2285z00_6120;
																						BgL_arg2285z00_6120 =
																							(((BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt)
																										BgL_arg2320z00_2812)))->
																							BgL_funz00);
																						{	/* SawBbv/bbv-types.scm 806 */
																							obj_t BgL_classz00_6121;

																							BgL_classz00_6121 =
																								BGl_rtl_loadiz00zzsaw_defsz00;
																							{	/* SawBbv/bbv-types.scm 806 */
																								BgL_objectz00_bglt
																									BgL_arg1858z00_6123;
																								{	/* SawBbv/bbv-types.scm 806 */
																									obj_t BgL_tmpz00_12231;

																									BgL_tmpz00_12231 =
																										((obj_t)
																										((BgL_objectz00_bglt)
																											BgL_arg2285z00_6120));
																									BgL_arg1858z00_6123 =
																										(BgL_objectz00_bglt)
																										(BgL_tmpz00_12231);
																								}
																								if (BGL_CONDEXPAND_ISA_ARCH64())
																									{	/* SawBbv/bbv-types.scm 806 */
																										long BgL_idxz00_6129;

																										BgL_idxz00_6129 =
																											BGL_OBJECT_INHERITANCE_NUM
																											(BgL_arg1858z00_6123);
																										BgL_test4391z00_12218 =
																											(VECTOR_REF
																											(BGl_za2inheritancesza2z00zz__objectz00,
																												(BgL_idxz00_6129 +
																													3L)) ==
																											BgL_classz00_6121);
																									}
																								else
																									{	/* SawBbv/bbv-types.scm 806 */
																										bool_t BgL_res3642z00_6154;

																										{	/* SawBbv/bbv-types.scm 806 */
																											obj_t BgL_oclassz00_6137;

																											{	/* SawBbv/bbv-types.scm 806 */
																												obj_t
																													BgL_arg1866z00_6145;
																												long
																													BgL_arg1867z00_6146;
																												BgL_arg1866z00_6145 =
																													(BGl_za2classesza2z00zz__objectz00);
																												{	/* SawBbv/bbv-types.scm 806 */
																													long
																														BgL_arg1869z00_6147;
																													BgL_arg1869z00_6147 =
																														BGL_OBJECT_CLASS_NUM
																														(BgL_arg1858z00_6123);
																													BgL_arg1867z00_6146 =
																														(BgL_arg1869z00_6147
																														- OBJECT_TYPE);
																												}
																												BgL_oclassz00_6137 =
																													VECTOR_REF
																													(BgL_arg1866z00_6145,
																													BgL_arg1867z00_6146);
																											}
																											{	/* SawBbv/bbv-types.scm 806 */
																												bool_t
																													BgL__ortest_1115z00_6138;
																												BgL__ortest_1115z00_6138
																													=
																													(BgL_classz00_6121 ==
																													BgL_oclassz00_6137);
																												if (BgL__ortest_1115z00_6138)
																													{	/* SawBbv/bbv-types.scm 806 */
																														BgL_res3642z00_6154
																															=
																															BgL__ortest_1115z00_6138;
																													}
																												else
																													{	/* SawBbv/bbv-types.scm 806 */
																														long
																															BgL_odepthz00_6139;
																														{	/* SawBbv/bbv-types.scm 806 */
																															obj_t
																																BgL_arg1855z00_6140;
																															BgL_arg1855z00_6140
																																=
																																(BgL_oclassz00_6137);
																															BgL_odepthz00_6139
																																=
																																BGL_CLASS_DEPTH
																																(BgL_arg1855z00_6140);
																														}
																														if (
																															(3L <
																																BgL_odepthz00_6139))
																															{	/* SawBbv/bbv-types.scm 806 */
																																obj_t
																																	BgL_arg1853z00_6142;
																																{	/* SawBbv/bbv-types.scm 806 */
																																	obj_t
																																		BgL_arg1854z00_6143;
																																	BgL_arg1854z00_6143
																																		=
																																		(BgL_oclassz00_6137);
																																	BgL_arg1853z00_6142
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_arg1854z00_6143,
																																		3L);
																																}
																																BgL_res3642z00_6154
																																	=
																																	(BgL_arg1853z00_6142
																																	==
																																	BgL_classz00_6121);
																															}
																														else
																															{	/* SawBbv/bbv-types.scm 806 */
																																BgL_res3642z00_6154
																																	=
																																	((bool_t) 0);
																															}
																													}
																											}
																										}
																										BgL_test4391z00_12218 =
																											BgL_res3642z00_6154;
																									}
																							}
																						}
																					}
																				}
																		}
																		if (BgL_test4391z00_12218)
																			{	/* SawBbv/bbv-types.scm 860 */
																				obj_t BgL_arg2318z00_2809;

																				{	/* SawBbv/bbv-types.scm 860 */
																					obj_t BgL_pairz00_6155;

																					BgL_pairz00_6155 =
																						(((BgL_rtl_insz00_bglt) COBJECT(
																								((BgL_rtl_insz00_bglt)
																									BgL_iz00_2799)))->
																						BgL_argsz00);
																					BgL_arg2318z00_2809 =
																						CAR(CDR(CDR(BgL_pairz00_6155)));
																				}
																				return
																					BGl_regzf3ze70z14zzsaw_bbvzd2typeszd2
																					(BgL_arg2318z00_2809);
																			}
																		else
																			{	/* SawBbv/bbv-types.scm 859 */
																				return ((bool_t) 0);
																			}
																	}
																else
																	{	/* SawBbv/bbv-types.scm 858 */
																		return ((bool_t) 0);
																	}
															}
														else
															{	/* SawBbv/bbv-types.scm 855 */
																return ((bool_t) 0);
															}
													}
												else
													{	/* SawBbv/bbv-types.scm 854 */
														return ((bool_t) 0);
													}
											}
										else
											{	/* SawBbv/bbv-types.scm 851 */
												return ((bool_t) 0);
											}
									}
								}
							else
								{	/* SawBbv/bbv-types.scm 864 */
									return ((bool_t) 0);
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 862 */
							return ((bool_t) 0);
						}
				}
			}
		}

	}



/* reg?~0 */
	bool_t BGl_regzf3ze70z14zzsaw_bbvzd2typeszd2(obj_t BgL_az00_2790)
	{
		{	/* SawBbv/bbv-types.scm 848 */
			{	/* SawBbv/bbv-types.scm 844 */
				bool_t BgL__ortest_1350z00_2792;

				{	/* SawBbv/bbv-types.scm 844 */
					obj_t BgL_classz00_5863;

					BgL_classz00_5863 = BGl_rtl_regz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_az00_2790))
						{	/* SawBbv/bbv-types.scm 844 */
							BgL_objectz00_bglt BgL_arg1858z00_5865;

							BgL_arg1858z00_5865 = (BgL_objectz00_bglt) (BgL_az00_2790);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv-types.scm 844 */
									long BgL_idxz00_5871;

									BgL_idxz00_5871 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5865);
									BgL__ortest_1350z00_2792 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5871 + 1L)) == BgL_classz00_5863);
								}
							else
								{	/* SawBbv/bbv-types.scm 844 */
									bool_t BgL_res3635z00_5896;

									{	/* SawBbv/bbv-types.scm 844 */
										obj_t BgL_oclassz00_5879;

										{	/* SawBbv/bbv-types.scm 844 */
											obj_t BgL_arg1866z00_5887;
											long BgL_arg1867z00_5888;

											BgL_arg1866z00_5887 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawBbv/bbv-types.scm 844 */
												long BgL_arg1869z00_5889;

												BgL_arg1869z00_5889 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5865);
												BgL_arg1867z00_5888 =
													(BgL_arg1869z00_5889 - OBJECT_TYPE);
											}
											BgL_oclassz00_5879 =
												VECTOR_REF(BgL_arg1866z00_5887, BgL_arg1867z00_5888);
										}
										{	/* SawBbv/bbv-types.scm 844 */
											bool_t BgL__ortest_1115z00_5880;

											BgL__ortest_1115z00_5880 =
												(BgL_classz00_5863 == BgL_oclassz00_5879);
											if (BgL__ortest_1115z00_5880)
												{	/* SawBbv/bbv-types.scm 844 */
													BgL_res3635z00_5896 = BgL__ortest_1115z00_5880;
												}
											else
												{	/* SawBbv/bbv-types.scm 844 */
													long BgL_odepthz00_5881;

													{	/* SawBbv/bbv-types.scm 844 */
														obj_t BgL_arg1855z00_5882;

														BgL_arg1855z00_5882 = (BgL_oclassz00_5879);
														BgL_odepthz00_5881 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_5882);
													}
													if ((1L < BgL_odepthz00_5881))
														{	/* SawBbv/bbv-types.scm 844 */
															obj_t BgL_arg1853z00_5884;

															{	/* SawBbv/bbv-types.scm 844 */
																obj_t BgL_arg1854z00_5885;

																BgL_arg1854z00_5885 = (BgL_oclassz00_5879);
																BgL_arg1853z00_5884 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5885,
																	1L);
															}
															BgL_res3635z00_5896 =
																(BgL_arg1853z00_5884 == BgL_classz00_5863);
														}
													else
														{	/* SawBbv/bbv-types.scm 844 */
															BgL_res3635z00_5896 = ((bool_t) 0);
														}
												}
										}
									}
									BgL__ortest_1350z00_2792 = BgL_res3635z00_5896;
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 844 */
							BgL__ortest_1350z00_2792 = ((bool_t) 0);
						}
				}
				if (BgL__ortest_1350z00_2792)
					{	/* SawBbv/bbv-types.scm 844 */
						return BgL__ortest_1350z00_2792;
					}
				else
					{	/* SawBbv/bbv-types.scm 845 */
						bool_t BgL_test4401z00_12285;

						{	/* SawBbv/bbv-types.scm 845 */
							obj_t BgL_classz00_5897;

							BgL_classz00_5897 = BGl_rtl_insz00zzsaw_defsz00;
							if (BGL_OBJECTP(BgL_az00_2790))
								{	/* SawBbv/bbv-types.scm 845 */
									BgL_objectz00_bglt BgL_arg1858z00_5899;

									BgL_arg1858z00_5899 = (BgL_objectz00_bglt) (BgL_az00_2790);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawBbv/bbv-types.scm 845 */
											long BgL_idxz00_5905;

											BgL_idxz00_5905 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5899);
											BgL_test4401z00_12285 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_5905 + 1L)) == BgL_classz00_5897);
										}
									else
										{	/* SawBbv/bbv-types.scm 845 */
											bool_t BgL_res3636z00_5930;

											{	/* SawBbv/bbv-types.scm 845 */
												obj_t BgL_oclassz00_5913;

												{	/* SawBbv/bbv-types.scm 845 */
													obj_t BgL_arg1866z00_5921;
													long BgL_arg1867z00_5922;

													BgL_arg1866z00_5921 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* SawBbv/bbv-types.scm 845 */
														long BgL_arg1869z00_5923;

														BgL_arg1869z00_5923 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5899);
														BgL_arg1867z00_5922 =
															(BgL_arg1869z00_5923 - OBJECT_TYPE);
													}
													BgL_oclassz00_5913 =
														VECTOR_REF(BgL_arg1866z00_5921,
														BgL_arg1867z00_5922);
												}
												{	/* SawBbv/bbv-types.scm 845 */
													bool_t BgL__ortest_1115z00_5914;

													BgL__ortest_1115z00_5914 =
														(BgL_classz00_5897 == BgL_oclassz00_5913);
													if (BgL__ortest_1115z00_5914)
														{	/* SawBbv/bbv-types.scm 845 */
															BgL_res3636z00_5930 = BgL__ortest_1115z00_5914;
														}
													else
														{	/* SawBbv/bbv-types.scm 845 */
															long BgL_odepthz00_5915;

															{	/* SawBbv/bbv-types.scm 845 */
																obj_t BgL_arg1855z00_5916;

																BgL_arg1855z00_5916 = (BgL_oclassz00_5913);
																BgL_odepthz00_5915 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_5916);
															}
															if ((1L < BgL_odepthz00_5915))
																{	/* SawBbv/bbv-types.scm 845 */
																	obj_t BgL_arg1853z00_5918;

																	{	/* SawBbv/bbv-types.scm 845 */
																		obj_t BgL_arg1854z00_5919;

																		BgL_arg1854z00_5919 = (BgL_oclassz00_5913);
																		BgL_arg1853z00_5918 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_5919, 1L);
																	}
																	BgL_res3636z00_5930 =
																		(BgL_arg1853z00_5918 == BgL_classz00_5897);
																}
															else
																{	/* SawBbv/bbv-types.scm 845 */
																	BgL_res3636z00_5930 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test4401z00_12285 = BgL_res3636z00_5930;
										}
								}
							else
								{	/* SawBbv/bbv-types.scm 845 */
									BgL_test4401z00_12285 = ((bool_t) 0);
								}
						}
						if (BgL_test4401z00_12285)
							{	/* SawBbv/bbv-types.scm 847 */
								bool_t BgL_test4406z00_12308;

								{	/* SawBbv/bbv-types.scm 847 */
									BgL_rtl_funz00_bglt BgL_arg2314z00_2798;

									BgL_arg2314z00_2798 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_az00_2790)))->BgL_funz00);
									{	/* SawBbv/bbv-types.scm 847 */
										obj_t BgL_classz00_5931;

										BgL_classz00_5931 = BGl_rtl_callz00zzsaw_defsz00;
										{	/* SawBbv/bbv-types.scm 847 */
											BgL_objectz00_bglt BgL_arg1858z00_5933;

											{	/* SawBbv/bbv-types.scm 847 */
												obj_t BgL_tmpz00_12311;

												BgL_tmpz00_12311 =
													((obj_t) ((BgL_objectz00_bglt) BgL_arg2314z00_2798));
												BgL_arg1858z00_5933 =
													(BgL_objectz00_bglt) (BgL_tmpz00_12311);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* SawBbv/bbv-types.scm 847 */
													long BgL_idxz00_5939;

													BgL_idxz00_5939 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5933);
													BgL_test4406z00_12308 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_5939 + 2L)) == BgL_classz00_5931);
												}
											else
												{	/* SawBbv/bbv-types.scm 847 */
													bool_t BgL_res3637z00_5964;

													{	/* SawBbv/bbv-types.scm 847 */
														obj_t BgL_oclassz00_5947;

														{	/* SawBbv/bbv-types.scm 847 */
															obj_t BgL_arg1866z00_5955;
															long BgL_arg1867z00_5956;

															BgL_arg1866z00_5955 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* SawBbv/bbv-types.scm 847 */
																long BgL_arg1869z00_5957;

																BgL_arg1869z00_5957 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5933);
																BgL_arg1867z00_5956 =
																	(BgL_arg1869z00_5957 - OBJECT_TYPE);
															}
															BgL_oclassz00_5947 =
																VECTOR_REF(BgL_arg1866z00_5955,
																BgL_arg1867z00_5956);
														}
														{	/* SawBbv/bbv-types.scm 847 */
															bool_t BgL__ortest_1115z00_5948;

															BgL__ortest_1115z00_5948 =
																(BgL_classz00_5931 == BgL_oclassz00_5947);
															if (BgL__ortest_1115z00_5948)
																{	/* SawBbv/bbv-types.scm 847 */
																	BgL_res3637z00_5964 =
																		BgL__ortest_1115z00_5948;
																}
															else
																{	/* SawBbv/bbv-types.scm 847 */
																	long BgL_odepthz00_5949;

																	{	/* SawBbv/bbv-types.scm 847 */
																		obj_t BgL_arg1855z00_5950;

																		BgL_arg1855z00_5950 = (BgL_oclassz00_5947);
																		BgL_odepthz00_5949 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_5950);
																	}
																	if ((2L < BgL_odepthz00_5949))
																		{	/* SawBbv/bbv-types.scm 847 */
																			obj_t BgL_arg1853z00_5952;

																			{	/* SawBbv/bbv-types.scm 847 */
																				obj_t BgL_arg1854z00_5953;

																				BgL_arg1854z00_5953 =
																					(BgL_oclassz00_5947);
																				BgL_arg1853z00_5952 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_5953, 2L);
																			}
																			BgL_res3637z00_5964 =
																				(BgL_arg1853z00_5952 ==
																				BgL_classz00_5931);
																		}
																	else
																		{	/* SawBbv/bbv-types.scm 847 */
																			BgL_res3637z00_5964 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test4406z00_12308 = BgL_res3637z00_5964;
												}
										}
									}
								}
								if (BgL_test4406z00_12308)
									{	/* SawBbv/bbv-types.scm 848 */
										obj_t BgL_arg2313z00_2797;

										BgL_arg2313z00_2797 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_az00_2790)))->BgL_destz00);
										{	/* SawBbv/bbv-types.scm 848 */
											obj_t BgL_classz00_5965;

											BgL_classz00_5965 = BGl_rtl_regz00zzsaw_defsz00;
											if (BGL_OBJECTP(BgL_arg2313z00_2797))
												{	/* SawBbv/bbv-types.scm 848 */
													BgL_objectz00_bglt BgL_arg1858z00_5967;

													BgL_arg1858z00_5967 =
														(BgL_objectz00_bglt) (BgL_arg2313z00_2797);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* SawBbv/bbv-types.scm 848 */
															long BgL_idxz00_5973;

															BgL_idxz00_5973 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5967);
															return
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_5973 + 1L)) == BgL_classz00_5965);
														}
													else
														{	/* SawBbv/bbv-types.scm 848 */
															bool_t BgL_res3638z00_5998;

															{	/* SawBbv/bbv-types.scm 848 */
																obj_t BgL_oclassz00_5981;

																{	/* SawBbv/bbv-types.scm 848 */
																	obj_t BgL_arg1866z00_5989;
																	long BgL_arg1867z00_5990;

																	BgL_arg1866z00_5989 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* SawBbv/bbv-types.scm 848 */
																		long BgL_arg1869z00_5991;

																		BgL_arg1869z00_5991 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5967);
																		BgL_arg1867z00_5990 =
																			(BgL_arg1869z00_5991 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_5981 =
																		VECTOR_REF(BgL_arg1866z00_5989,
																		BgL_arg1867z00_5990);
																}
																{	/* SawBbv/bbv-types.scm 848 */
																	bool_t BgL__ortest_1115z00_5982;

																	BgL__ortest_1115z00_5982 =
																		(BgL_classz00_5965 == BgL_oclassz00_5981);
																	if (BgL__ortest_1115z00_5982)
																		{	/* SawBbv/bbv-types.scm 848 */
																			BgL_res3638z00_5998 =
																				BgL__ortest_1115z00_5982;
																		}
																	else
																		{	/* SawBbv/bbv-types.scm 848 */
																			long BgL_odepthz00_5983;

																			{	/* SawBbv/bbv-types.scm 848 */
																				obj_t BgL_arg1855z00_5984;

																				BgL_arg1855z00_5984 =
																					(BgL_oclassz00_5981);
																				BgL_odepthz00_5983 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_5984);
																			}
																			if ((1L < BgL_odepthz00_5983))
																				{	/* SawBbv/bbv-types.scm 848 */
																					obj_t BgL_arg1853z00_5986;

																					{	/* SawBbv/bbv-types.scm 848 */
																						obj_t BgL_arg1854z00_5987;

																						BgL_arg1854z00_5987 =
																							(BgL_oclassz00_5981);
																						BgL_arg1853z00_5986 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_5987, 1L);
																					}
																					BgL_res3638z00_5998 =
																						(BgL_arg1853z00_5986 ==
																						BgL_classz00_5965);
																				}
																			else
																				{	/* SawBbv/bbv-types.scm 848 */
																					BgL_res3638z00_5998 = ((bool_t) 0);
																				}
																		}
																}
															}
															return BgL_res3638z00_5998;
														}
												}
											else
												{	/* SawBbv/bbv-types.scm 848 */
													return ((bool_t) 0);
												}
										}
									}
								else
									{	/* SawBbv/bbv-types.scm 847 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 845 */
								return ((bool_t) 0);
							}
					}
			}
		}

	}



/* &rtl_ins-fxovop? */
	obj_t BGl_z62rtl_inszd2fxovopzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8247,
		obj_t BgL_iz00_8248)
	{
		{	/* SawBbv/bbv-types.scm 841 */
			return
				BBOOL(BGl_rtl_inszd2fxovopzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_8248)));
		}

	}



/* rtl_ins-error? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2errorzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_182)
	{
		{	/* SawBbv/bbv-types.scm 870 */
			{	/* SawBbv/bbv-types.scm 871 */
				bool_t BgL_test4414z00_12361;

				{	/* SawBbv/bbv-types.scm 783 */
					BgL_rtl_funz00_bglt BgL_arg2279z00_6202;

					BgL_arg2279z00_6202 =
						(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_182))->BgL_funz00);
					{	/* SawBbv/bbv-types.scm 783 */
						obj_t BgL_classz00_6203;

						BgL_classz00_6203 = BGl_rtl_callz00zzsaw_defsz00;
						{	/* SawBbv/bbv-types.scm 783 */
							BgL_objectz00_bglt BgL_arg1858z00_6205;

							{	/* SawBbv/bbv-types.scm 783 */
								obj_t BgL_tmpz00_12363;

								BgL_tmpz00_12363 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg2279z00_6202));
								BgL_arg1858z00_6205 = (BgL_objectz00_bglt) (BgL_tmpz00_12363);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv-types.scm 783 */
									long BgL_idxz00_6211;

									BgL_idxz00_6211 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6205);
									BgL_test4414z00_12361 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_6211 + 2L)) == BgL_classz00_6203);
								}
							else
								{	/* SawBbv/bbv-types.scm 783 */
									bool_t BgL_res3644z00_6236;

									{	/* SawBbv/bbv-types.scm 783 */
										obj_t BgL_oclassz00_6219;

										{	/* SawBbv/bbv-types.scm 783 */
											obj_t BgL_arg1866z00_6227;
											long BgL_arg1867z00_6228;

											BgL_arg1866z00_6227 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawBbv/bbv-types.scm 783 */
												long BgL_arg1869z00_6229;

												BgL_arg1869z00_6229 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6205);
												BgL_arg1867z00_6228 =
													(BgL_arg1869z00_6229 - OBJECT_TYPE);
											}
											BgL_oclassz00_6219 =
												VECTOR_REF(BgL_arg1866z00_6227, BgL_arg1867z00_6228);
										}
										{	/* SawBbv/bbv-types.scm 783 */
											bool_t BgL__ortest_1115z00_6220;

											BgL__ortest_1115z00_6220 =
												(BgL_classz00_6203 == BgL_oclassz00_6219);
											if (BgL__ortest_1115z00_6220)
												{	/* SawBbv/bbv-types.scm 783 */
													BgL_res3644z00_6236 = BgL__ortest_1115z00_6220;
												}
											else
												{	/* SawBbv/bbv-types.scm 783 */
													long BgL_odepthz00_6221;

													{	/* SawBbv/bbv-types.scm 783 */
														obj_t BgL_arg1855z00_6222;

														BgL_arg1855z00_6222 = (BgL_oclassz00_6219);
														BgL_odepthz00_6221 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_6222);
													}
													if ((2L < BgL_odepthz00_6221))
														{	/* SawBbv/bbv-types.scm 783 */
															obj_t BgL_arg1853z00_6224;

															{	/* SawBbv/bbv-types.scm 783 */
																obj_t BgL_arg1854z00_6225;

																BgL_arg1854z00_6225 = (BgL_oclassz00_6219);
																BgL_arg1853z00_6224 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_6225,
																	2L);
															}
															BgL_res3644z00_6236 =
																(BgL_arg1853z00_6224 == BgL_classz00_6203);
														}
													else
														{	/* SawBbv/bbv-types.scm 783 */
															BgL_res3644z00_6236 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test4414z00_12361 = BgL_res3644z00_6236;
								}
						}
					}
				}
				if (BgL_test4414z00_12361)
					{	/* SawBbv/bbv-types.scm 873 */
						BgL_rtl_callz00_bglt BgL_i1365z00_2833;

						BgL_i1365z00_2833 =
							((BgL_rtl_callz00_bglt)
							(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_182))->BgL_funz00));
						{	/* SawBbv/bbv-types.scm 874 */
							obj_t BgL_arg2338z00_2834;

							BgL_arg2338z00_2834 =
								((obj_t)
								(((BgL_rtl_callz00_bglt) COBJECT(BgL_i1365z00_2833))->
									BgL_varz00));
							return (BgL_arg2338z00_2834 ==
								BGl_za2errorza2z00zzsaw_bbvzd2cachezd2);
						}
					}
				else
					{	/* SawBbv/bbv-types.scm 871 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_ins-error? */
	obj_t BGl_z62rtl_inszd2errorzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8249,
		obj_t BgL_iz00_8250)
	{
		{	/* SawBbv/bbv-types.scm 870 */
			return
				BBOOL(BGl_rtl_inszd2errorzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_8250)));
		}

	}



/* rtl_ins-bool? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2boolzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_183)
	{
		{	/* SawBbv/bbv-types.scm 879 */
			{	/* SawBbv/bbv-types.scm 881 */
				bool_t BgL_test4418z00_12394;

				{	/* SawBbv/bbv-types.scm 881 */
					bool_t BgL_test4419z00_12395;

					{	/* SawBbv/bbv-types.scm 881 */
						obj_t BgL_arg2348z00_2846;

						BgL_arg2348z00_2846 =
							(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_183))->BgL_destz00);
						{	/* SawBbv/bbv-types.scm 881 */
							obj_t BgL_classz00_6237;

							BgL_classz00_6237 = BGl_rtl_regz00zzsaw_defsz00;
							if (BGL_OBJECTP(BgL_arg2348z00_2846))
								{	/* SawBbv/bbv-types.scm 881 */
									BgL_objectz00_bglt BgL_arg1858z00_6239;

									BgL_arg1858z00_6239 =
										(BgL_objectz00_bglt) (BgL_arg2348z00_2846);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawBbv/bbv-types.scm 881 */
											long BgL_idxz00_6245;

											BgL_idxz00_6245 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6239);
											BgL_test4419z00_12395 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_6245 + 1L)) == BgL_classz00_6237);
										}
									else
										{	/* SawBbv/bbv-types.scm 881 */
											bool_t BgL_res3645z00_6270;

											{	/* SawBbv/bbv-types.scm 881 */
												obj_t BgL_oclassz00_6253;

												{	/* SawBbv/bbv-types.scm 881 */
													obj_t BgL_arg1866z00_6261;
													long BgL_arg1867z00_6262;

													BgL_arg1866z00_6261 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* SawBbv/bbv-types.scm 881 */
														long BgL_arg1869z00_6263;

														BgL_arg1869z00_6263 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6239);
														BgL_arg1867z00_6262 =
															(BgL_arg1869z00_6263 - OBJECT_TYPE);
													}
													BgL_oclassz00_6253 =
														VECTOR_REF(BgL_arg1866z00_6261,
														BgL_arg1867z00_6262);
												}
												{	/* SawBbv/bbv-types.scm 881 */
													bool_t BgL__ortest_1115z00_6254;

													BgL__ortest_1115z00_6254 =
														(BgL_classz00_6237 == BgL_oclassz00_6253);
													if (BgL__ortest_1115z00_6254)
														{	/* SawBbv/bbv-types.scm 881 */
															BgL_res3645z00_6270 = BgL__ortest_1115z00_6254;
														}
													else
														{	/* SawBbv/bbv-types.scm 881 */
															long BgL_odepthz00_6255;

															{	/* SawBbv/bbv-types.scm 881 */
																obj_t BgL_arg1855z00_6256;

																BgL_arg1855z00_6256 = (BgL_oclassz00_6253);
																BgL_odepthz00_6255 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_6256);
															}
															if ((1L < BgL_odepthz00_6255))
																{	/* SawBbv/bbv-types.scm 881 */
																	obj_t BgL_arg1853z00_6258;

																	{	/* SawBbv/bbv-types.scm 881 */
																		obj_t BgL_arg1854z00_6259;

																		BgL_arg1854z00_6259 = (BgL_oclassz00_6253);
																		BgL_arg1853z00_6258 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_6259, 1L);
																	}
																	BgL_res3645z00_6270 =
																		(BgL_arg1853z00_6258 == BgL_classz00_6237);
																}
															else
																{	/* SawBbv/bbv-types.scm 881 */
																	BgL_res3645z00_6270 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test4419z00_12395 = BgL_res3645z00_6270;
										}
								}
							else
								{	/* SawBbv/bbv-types.scm 881 */
									BgL_test4419z00_12395 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test4419z00_12395)
						{	/* SawBbv/bbv-types.scm 881 */
							BgL_rtl_funz00_bglt BgL_arg2346z00_2845;

							BgL_arg2346z00_2845 =
								(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_183))->BgL_funz00);
							{	/* SawBbv/bbv-types.scm 881 */
								obj_t BgL_classz00_6271;

								BgL_classz00_6271 = BGl_rtl_callz00zzsaw_defsz00;
								{	/* SawBbv/bbv-types.scm 881 */
									BgL_objectz00_bglt BgL_arg1858z00_6273;

									{	/* SawBbv/bbv-types.scm 881 */
										obj_t BgL_tmpz00_12420;

										BgL_tmpz00_12420 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg2346z00_2845));
										BgL_arg1858z00_6273 =
											(BgL_objectz00_bglt) (BgL_tmpz00_12420);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawBbv/bbv-types.scm 881 */
											long BgL_idxz00_6279;

											BgL_idxz00_6279 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6273);
											BgL_test4418z00_12394 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_6279 + 2L)) == BgL_classz00_6271);
										}
									else
										{	/* SawBbv/bbv-types.scm 881 */
											bool_t BgL_res3646z00_6304;

											{	/* SawBbv/bbv-types.scm 881 */
												obj_t BgL_oclassz00_6287;

												{	/* SawBbv/bbv-types.scm 881 */
													obj_t BgL_arg1866z00_6295;
													long BgL_arg1867z00_6296;

													BgL_arg1866z00_6295 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* SawBbv/bbv-types.scm 881 */
														long BgL_arg1869z00_6297;

														BgL_arg1869z00_6297 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6273);
														BgL_arg1867z00_6296 =
															(BgL_arg1869z00_6297 - OBJECT_TYPE);
													}
													BgL_oclassz00_6287 =
														VECTOR_REF(BgL_arg1866z00_6295,
														BgL_arg1867z00_6296);
												}
												{	/* SawBbv/bbv-types.scm 881 */
													bool_t BgL__ortest_1115z00_6288;

													BgL__ortest_1115z00_6288 =
														(BgL_classz00_6271 == BgL_oclassz00_6287);
													if (BgL__ortest_1115z00_6288)
														{	/* SawBbv/bbv-types.scm 881 */
															BgL_res3646z00_6304 = BgL__ortest_1115z00_6288;
														}
													else
														{	/* SawBbv/bbv-types.scm 881 */
															long BgL_odepthz00_6289;

															{	/* SawBbv/bbv-types.scm 881 */
																obj_t BgL_arg1855z00_6290;

																BgL_arg1855z00_6290 = (BgL_oclassz00_6287);
																BgL_odepthz00_6289 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_6290);
															}
															if ((2L < BgL_odepthz00_6289))
																{	/* SawBbv/bbv-types.scm 881 */
																	obj_t BgL_arg1853z00_6292;

																	{	/* SawBbv/bbv-types.scm 881 */
																		obj_t BgL_arg1854z00_6293;

																		BgL_arg1854z00_6293 = (BgL_oclassz00_6287);
																		BgL_arg1853z00_6292 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_6293, 2L);
																	}
																	BgL_res3646z00_6304 =
																		(BgL_arg1853z00_6292 == BgL_classz00_6271);
																}
															else
																{	/* SawBbv/bbv-types.scm 881 */
																	BgL_res3646z00_6304 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test4418z00_12394 = BgL_res3646z00_6304;
										}
								}
							}
						}
					else
						{	/* SawBbv/bbv-types.scm 881 */
							BgL_test4418z00_12394 = ((bool_t) 0);
						}
				}
				if (BgL_test4418z00_12394)
					{	/* SawBbv/bbv-types.scm 882 */
						BgL_rtl_callz00_bglt BgL_i1367z00_2841;

						BgL_i1367z00_2841 =
							((BgL_rtl_callz00_bglt)
							(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_183))->BgL_funz00));
						{	/* SawBbv/bbv-types.scm 883 */
							BgL_globalz00_bglt BgL_i1368z00_2842;

							BgL_i1368z00_2842 =
								(((BgL_rtl_callz00_bglt) COBJECT(BgL_i1367z00_2841))->
								BgL_varz00);
							{	/* SawBbv/bbv-types.scm 884 */
								obj_t BgL_arg2345z00_2843;

								BgL_arg2345z00_2843 =
									((obj_t)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_i1368z00_2842)))->
										BgL_typez00));
								return (BgL_arg2345z00_2843 ==
									BGl_za2boolza2z00zztype_cachez00);
							}
						}
					}
				else
					{	/* SawBbv/bbv-types.scm 881 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_ins-bool? */
	obj_t BGl_z62rtl_inszd2boolzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8251,
		obj_t BgL_iz00_8252)
	{
		{	/* SawBbv/bbv-types.scm 879 */
			return
				BBOOL(BGl_rtl_inszd2boolzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_8252)));
		}

	}



/* rtl_ins-typecheck */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2typecheckzd2zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_184)
	{
		{	/* SawBbv/bbv-types.scm 889 */
			{	/* SawBbv/bbv-types.scm 891 */
				obj_t BgL_typz00_2848;
				obj_t BgL_valz00_2849;

				{	/* SawBbv/bbv-types.scm 891 */
					obj_t BgL_arg2349z00_2855;

					BgL_arg2349z00_2855 =
						CAR((((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_184))->BgL_argsz00));
					BgL_typz00_2848 =
						BGl_rtl_callzd2predicatezd2zzsaw_bbvzd2typeszd2(
						((BgL_rtl_insz00_bglt) BgL_arg2349z00_2855));
				}
				{	/* SawBbv/bbv-types.scm 892 */
					obj_t BgL_arg2351z00_2857;

					BgL_arg2351z00_2857 =
						CAR((((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_184))->BgL_argsz00));
					BgL_valz00_2849 =
						BGl_rtl_callzd2valueszd2zzsaw_bbvzd2typeszd2(
						((BgL_rtl_insz00_bglt) BgL_arg2351z00_2857));
				}
				{	/* SawBbv/bbv-types.scm 893 */
					obj_t BgL_argsz00_2850;

					BgL_argsz00_2850 =
						BGl_rtl_inszd2argsza2z70zzsaw_defsz00(BgL_iz00_184);
					{	/* SawBbv/bbv-types.scm 894 */
						obj_t BgL_val0_1735z00_2851;
						bool_t BgL_val2_1737z00_2853;

						BgL_val0_1735z00_2851 = CAR(((obj_t) BgL_argsz00_2850));
						{	/* SawBbv/bbv-types.scm 776 */
							BgL_rtl_funz00_bglt BgL_arg2277z00_6310;

							BgL_arg2277z00_6310 =
								(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_184))->BgL_funz00);
							{	/* SawBbv/bbv-types.scm 776 */
								obj_t BgL_classz00_6311;

								BgL_classz00_6311 = BGl_rtl_ifnez00zzsaw_defsz00;
								{	/* SawBbv/bbv-types.scm 776 */
									BgL_objectz00_bglt BgL_arg1858z00_6313;

									{	/* SawBbv/bbv-types.scm 776 */
										obj_t BgL_tmpz00_12465;

										BgL_tmpz00_12465 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg2277z00_6310));
										BgL_arg1858z00_6313 =
											(BgL_objectz00_bglt) (BgL_tmpz00_12465);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawBbv/bbv-types.scm 776 */
											long BgL_idxz00_6319;

											BgL_idxz00_6319 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6313);
											BgL_val2_1737z00_2853 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_6319 + 3L)) == BgL_classz00_6311);
										}
									else
										{	/* SawBbv/bbv-types.scm 776 */
											bool_t BgL_res3647z00_6344;

											{	/* SawBbv/bbv-types.scm 776 */
												obj_t BgL_oclassz00_6327;

												{	/* SawBbv/bbv-types.scm 776 */
													obj_t BgL_arg1866z00_6335;
													long BgL_arg1867z00_6336;

													BgL_arg1866z00_6335 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* SawBbv/bbv-types.scm 776 */
														long BgL_arg1869z00_6337;

														BgL_arg1869z00_6337 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6313);
														BgL_arg1867z00_6336 =
															(BgL_arg1869z00_6337 - OBJECT_TYPE);
													}
													BgL_oclassz00_6327 =
														VECTOR_REF(BgL_arg1866z00_6335,
														BgL_arg1867z00_6336);
												}
												{	/* SawBbv/bbv-types.scm 776 */
													bool_t BgL__ortest_1115z00_6328;

													BgL__ortest_1115z00_6328 =
														(BgL_classz00_6311 == BgL_oclassz00_6327);
													if (BgL__ortest_1115z00_6328)
														{	/* SawBbv/bbv-types.scm 776 */
															BgL_res3647z00_6344 = BgL__ortest_1115z00_6328;
														}
													else
														{	/* SawBbv/bbv-types.scm 776 */
															long BgL_odepthz00_6329;

															{	/* SawBbv/bbv-types.scm 776 */
																obj_t BgL_arg1855z00_6330;

																BgL_arg1855z00_6330 = (BgL_oclassz00_6327);
																BgL_odepthz00_6329 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_6330);
															}
															if ((3L < BgL_odepthz00_6329))
																{	/* SawBbv/bbv-types.scm 776 */
																	obj_t BgL_arg1853z00_6332;

																	{	/* SawBbv/bbv-types.scm 776 */
																		obj_t BgL_arg1854z00_6333;

																		BgL_arg1854z00_6333 = (BgL_oclassz00_6327);
																		BgL_arg1853z00_6332 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_6333, 3L);
																	}
																	BgL_res3647z00_6344 =
																		(BgL_arg1853z00_6332 == BgL_classz00_6311);
																}
															else
																{	/* SawBbv/bbv-types.scm 776 */
																	BgL_res3647z00_6344 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_val2_1737z00_2853 = BgL_res3647z00_6344;
										}
								}
							}
						}
						{	/* SawBbv/bbv-types.scm 894 */
							int BgL_tmpz00_12488;

							BgL_tmpz00_12488 = (int) (4L);
							BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12488);
						}
						{	/* SawBbv/bbv-types.scm 894 */
							int BgL_tmpz00_12491;

							BgL_tmpz00_12491 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_12491, BgL_typz00_2848);
						}
						{	/* SawBbv/bbv-types.scm 894 */
							obj_t BgL_auxz00_12496;
							int BgL_tmpz00_12494;

							BgL_auxz00_12496 = BBOOL(BgL_val2_1737z00_2853);
							BgL_tmpz00_12494 = (int) (2L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_12494, BgL_auxz00_12496);
						}
						{	/* SawBbv/bbv-types.scm 894 */
							int BgL_tmpz00_12499;

							BgL_tmpz00_12499 = (int) (3L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_12499, BgL_valz00_2849);
						}
						return BgL_val0_1735z00_2851;
					}
				}
			}
		}

	}



/* &rtl_ins-typecheck */
	obj_t BGl_z62rtl_inszd2typecheckzb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8253,
		obj_t BgL_iz00_8254)
	{
		{	/* SawBbv/bbv-types.scm 889 */
			return
				BGl_rtl_inszd2typecheckzd2zzsaw_bbvzd2typeszd2(
				((BgL_rtl_insz00_bglt) BgL_iz00_8254));
		}

	}



/* rtl_call-predicate */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_callzd2predicatezd2zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_185)
	{
		{	/* SawBbv/bbv-types.scm 899 */
			{	/* SawBbv/bbv-types.scm 901 */
				BgL_rtl_callz00_bglt BgL_i1371z00_2860;

				BgL_i1371z00_2860 =
					((BgL_rtl_callz00_bglt)
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_185))->BgL_funz00));
				{	/* SawBbv/bbv-types.scm 902 */
					BgL_valuez00_bglt BgL_valz00_2861;

					BgL_valz00_2861 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									(((BgL_rtl_callz00_bglt) COBJECT(BgL_i1371z00_2860))->
										BgL_varz00))))->BgL_valuez00);
					{	/* SawBbv/bbv-types.scm 904 */
						obj_t BgL_g1372z00_2862;

						BgL_g1372z00_2862 =
							(((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_valz00_2861)))->BgL_predicatezd2ofzd2);
						if (CBOOL(BgL_g1372z00_2862))
							{	/* SawBbv/bbv-types.scm 904 */
								return BgL_g1372z00_2862;
							}
						else
							{	/* SawBbv/bbv-types.scm 905 */
								bool_t BgL_test4431z00_12513;

								{	/* SawBbv/bbv-types.scm 905 */
									obj_t BgL_arg2356z00_2867;

									BgL_arg2356z00_2867 =
										((obj_t)
										(((BgL_rtl_callz00_bglt) COBJECT(BgL_i1371z00_2860))->
											BgL_varz00));
									BgL_test4431z00_12513 =
										(BgL_arg2356z00_2867 ==
										BGl_za2numberzf3za2zf3zzsaw_bbvzd2cachezd2);
								}
								if (BgL_test4431z00_12513)
									{	/* SawBbv/bbv-types.scm 905 */
										return ((obj_t) CNST_TABLE_REF(6));
									}
								else
									{	/* SawBbv/bbv-types.scm 905 */
										return BFALSE;
									}
							}
					}
				}
			}
		}

	}



/* &rtl_call-predicate */
	obj_t BGl_z62rtl_callzd2predicatezb0zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8255, obj_t BgL_iz00_8256)
	{
		{	/* SawBbv/bbv-types.scm 899 */
			return
				BGl_rtl_callzd2predicatezd2zzsaw_bbvzd2typeszd2(
				((BgL_rtl_insz00_bglt) BgL_iz00_8256));
		}

	}



/* rtl_call-values */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_callzd2valueszd2zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_186)
	{
		{	/* SawBbv/bbv-types.scm 911 */
			{	/* SawBbv/bbv-types.scm 913 */
				BgL_rtl_callz00_bglt BgL_i1375z00_2870;

				BgL_i1375z00_2870 =
					((BgL_rtl_callz00_bglt)
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_186))->BgL_funz00));
				{	/* SawBbv/bbv-types.scm 914 */
					BgL_valuez00_bglt BgL_valz00_2871;

					BgL_valz00_2871 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									(((BgL_rtl_callz00_bglt) COBJECT(BgL_i1375z00_2870))->
										BgL_varz00))))->BgL_valuez00);
					{	/* SawBbv/bbv-types.scm 914 */
						obj_t BgL_typz00_2872;

						BgL_typz00_2872 =
							(((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_valz00_2871)))->BgL_predicatezd2ofzd2);
						{	/* SawBbv/bbv-types.scm 915 */

							if ((BgL_typz00_2872 == BGl_za2bintza2z00zztype_cachez00))
								{	/* SawBbv/bbv-types.scm 917 */
									return ((obj_t) BGl_fixnumzd2rangezd2zzsaw_bbvzd2rangezd2());
								}
							else
								{	/* SawBbv/bbv-types.scm 917 */
									return ((obj_t) CNST_TABLE_REF(2));
								}
						}
					}
				}
			}
		}

	}



/* &rtl_call-values */
	obj_t BGl_z62rtl_callzd2valueszb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8257,
		obj_t BgL_iz00_8258)
	{
		{	/* SawBbv/bbv-types.scm 911 */
			return
				BGl_rtl_callzd2valueszd2zzsaw_bbvzd2typeszd2(
				((BgL_rtl_insz00_bglt) BgL_iz00_8258));
		}

	}



/* bit-xor* */
	obj_t BGl_bitzd2xorza2z70zzsaw_bbvzd2typeszd2(obj_t BgL_lstz00_187)
	{
		{	/* SawBbv/bbv-types.scm 923 */
			if (NULLP(BgL_lstz00_187))
				{	/* SawBbv/bbv-types.scm 924 */
					return BINT(0L);
				}
			else
				{
					obj_t BgL_lstz00_2878;
					obj_t BgL_hashz00_2879;

					BgL_lstz00_2878 = CDR(BgL_lstz00_187);
					BgL_hashz00_2879 = CAR(BgL_lstz00_187);
				BgL_zc3z04anonymousza32361ze3z87_2880:
					if (NULLP(BgL_lstz00_2878))
						{	/* SawBbv/bbv-types.scm 928 */
							return BgL_hashz00_2879;
						}
					else
						{
							obj_t BgL_hashz00_12544;
							obj_t BgL_lstz00_12541;

							BgL_lstz00_12541 = CDR(((obj_t) BgL_lstz00_2878));
							BgL_hashz00_12544 =
								BINT(
								((long) CINT(CAR(
											((obj_t) BgL_lstz00_2878))) ^
									(long) CINT(BgL_hashz00_2879)));
							BgL_hashz00_2879 = BgL_hashz00_12544;
							BgL_lstz00_2878 = BgL_lstz00_12541;
							goto BgL_zc3z04anonymousza32361ze3z87_2880;
						}
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_bbvzd2typeszd2(void)
	{
		{	/* SawBbv/bbv-types.scm 15 */
			{	/* SawBbv/bbv-types.scm 38 */
				obj_t BgL_arg2374z00_2890;
				obj_t BgL_arg2375z00_2891;

				{	/* SawBbv/bbv-types.scm 38 */
					obj_t BgL_v1763z00_2922;

					BgL_v1763z00_2922 = create_vector(5L);
					{	/* SawBbv/bbv-types.scm 38 */
						obj_t BgL_arg2389z00_2923;

						BgL_arg2389z00_2923 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc3706z00zzsaw_bbvzd2typeszd2,
							BGl_proc3705z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3704z00zzsaw_bbvzd2typeszd2,
							((obj_t) CNST_TABLE_REF(8)));
						VECTOR_SET(BgL_v1763z00_2922, 0L, BgL_arg2389z00_2923);
					}
					{	/* SawBbv/bbv-types.scm 38 */
						obj_t BgL_arg2398z00_2936;

						BgL_arg2398z00_2936 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(9)), BGl_proc3709z00zzsaw_bbvzd2typeszd2,
							BGl_proc3708z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3707z00zzsaw_bbvzd2typeszd2,
							((obj_t) CNST_TABLE_REF(8)));
						VECTOR_SET(BgL_v1763z00_2922, 1L, BgL_arg2398z00_2936);
					}
					{	/* SawBbv/bbv-types.scm 38 */
						obj_t BgL_arg2407z00_2949;

						BgL_arg2407z00_2949 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc3712z00zzsaw_bbvzd2typeszd2,
							BGl_proc3711z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3710z00zzsaw_bbvzd2typeszd2,
							((obj_t) CNST_TABLE_REF(8)));
						VECTOR_SET(BgL_v1763z00_2922, 2L, BgL_arg2407z00_2949);
					}
					{	/* SawBbv/bbv-types.scm 38 */
						obj_t BgL_arg2417z00_2962;

						BgL_arg2417z00_2962 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(11)), BGl_proc3715z00zzsaw_bbvzd2typeszd2,
							BGl_proc3714z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3713z00zzsaw_bbvzd2typeszd2,
							BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
						VECTOR_SET(BgL_v1763z00_2922, 3L, BgL_arg2417z00_2962);
					}
					{	/* SawBbv/bbv-types.scm 38 */
						obj_t BgL_arg2429z00_2979;

						BgL_arg2429z00_2979 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(12)), BGl_proc3718z00zzsaw_bbvzd2typeszd2,
							BGl_proc3717z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3716z00zzsaw_bbvzd2typeszd2,
							((obj_t) CNST_TABLE_REF(8)));
						VECTOR_SET(BgL_v1763z00_2922, 4L, BgL_arg2429z00_2979);
					}
					BgL_arg2374z00_2890 = BgL_v1763z00_2922;
				}
				{	/* SawBbv/bbv-types.scm 38 */
					obj_t BgL_v1764z00_2992;

					BgL_v1764z00_2992 = create_vector(0L);
					BgL_arg2375z00_2891 = BgL_v1764z00_2992;
				}
				BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(13)),
					((obj_t)
						CNST_TABLE_REF(14)), BGl_rtl_insz00zzsaw_defsz00, 65096L,
					BGl_proc3722z00zzsaw_bbvzd2typeszd2,
					BGl_proc3721z00zzsaw_bbvzd2typeszd2, BFALSE,
					BGl_proc3720z00zzsaw_bbvzd2typeszd2,
					BGl_proc3719z00zzsaw_bbvzd2typeszd2, BgL_arg2374z00_2890,
					BgL_arg2375z00_2891);
			}
			{	/* SawBbv/bbv-types.scm 46 */
				obj_t BgL_arg2450z00_3001;
				obj_t BgL_arg2451z00_3002;

				{	/* SawBbv/bbv-types.scm 46 */
					obj_t BgL_v1765z00_3031;

					BgL_v1765z00_3031 = create_vector(4L);
					{	/* SawBbv/bbv-types.scm 46 */
						obj_t BgL_arg2465z00_3032;

						BgL_arg2465z00_3032 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(15)), BGl_proc3725z00zzsaw_bbvzd2typeszd2,
							BGl_proc3724z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3723z00zzsaw_bbvzd2typeszd2,
							((obj_t) CNST_TABLE_REF(16)));
						VECTOR_SET(BgL_v1765z00_3031, 0L, BgL_arg2465z00_3032);
					}
					{	/* SawBbv/bbv-types.scm 46 */
						obj_t BgL_arg2473z00_3045;

						BgL_arg2473z00_3045 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(17)), BGl_proc3728z00zzsaw_bbvzd2typeszd2,
							BGl_proc3727z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3726z00zzsaw_bbvzd2typeszd2,
							((obj_t) CNST_TABLE_REF(8)));
						VECTOR_SET(BgL_v1765z00_3031, 1L, BgL_arg2473z00_3045);
					}
					{	/* SawBbv/bbv-types.scm 46 */
						obj_t BgL_arg2481z00_3058;

						BgL_arg2481z00_3058 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(18)), BGl_proc3731z00zzsaw_bbvzd2typeszd2,
							BGl_proc3730z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3729z00zzsaw_bbvzd2typeszd2,
							((obj_t) CNST_TABLE_REF(19)));
						VECTOR_SET(BgL_v1765z00_3031, 2L, BgL_arg2481z00_3058);
					}
					{	/* SawBbv/bbv-types.scm 46 */
						obj_t BgL_arg2491z00_3071;

						BgL_arg2491z00_3071 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(20)), BGl_proc3734z00zzsaw_bbvzd2typeszd2,
							BGl_proc3733z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3732z00zzsaw_bbvzd2typeszd2,
							((obj_t) CNST_TABLE_REF(8)));
						VECTOR_SET(BgL_v1765z00_3031, 3L, BgL_arg2491z00_3071);
					}
					BgL_arg2450z00_3001 = BgL_v1765z00_3031;
				}
				{	/* SawBbv/bbv-types.scm 46 */
					obj_t BgL_v1766z00_3084;

					BgL_v1766z00_3084 = create_vector(0L);
					BgL_arg2451z00_3002 = BgL_v1766z00_3084;
				}
				BGl_blockVz00zzsaw_bbvzd2typeszd2 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(21)),
					((obj_t)
						CNST_TABLE_REF(14)), BGl_blockz00zzsaw_defsz00, 27668L,
					BGl_proc3738z00zzsaw_bbvzd2typeszd2,
					BGl_proc3737z00zzsaw_bbvzd2typeszd2, BFALSE,
					BGl_proc3736z00zzsaw_bbvzd2typeszd2,
					BGl_proc3735z00zzsaw_bbvzd2typeszd2, BgL_arg2450z00_3001,
					BgL_arg2451z00_3002);
			}
			{	/* SawBbv/bbv-types.scm 53 */
				obj_t BgL_arg2503z00_3093;
				obj_t BgL_arg2504z00_3094;

				{	/* SawBbv/bbv-types.scm 53 */
					obj_t BgL_v1767z00_3130;

					BgL_v1767z00_3130 = create_vector(11L);
					{	/* SawBbv/bbv-types.scm 53 */
						obj_t BgL_arg2519z00_3131;

						BgL_arg2519z00_3131 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(18)), BGl_proc3741z00zzsaw_bbvzd2typeszd2,
							BGl_proc3740z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3739z00zzsaw_bbvzd2typeszd2,
							((obj_t) CNST_TABLE_REF(19)));
						VECTOR_SET(BgL_v1767z00_3130, 0L, BgL_arg2519z00_3131);
					}
					{	/* SawBbv/bbv-types.scm 53 */
						obj_t BgL_arg2527z00_3144;

						BgL_arg2527z00_3144 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(12)), BGl_proc3744z00zzsaw_bbvzd2typeszd2,
							BGl_proc3743z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3742z00zzsaw_bbvzd2typeszd2,
							((obj_t) CNST_TABLE_REF(8)));
						VECTOR_SET(BgL_v1767z00_3130, 1L, BgL_arg2527z00_3144);
					}
					{	/* SawBbv/bbv-types.scm 53 */
						obj_t BgL_arg2535z00_3157;

						BgL_arg2535z00_3157 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(22)), BGl_proc3747z00zzsaw_bbvzd2typeszd2,
							BGl_proc3746z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3745z00zzsaw_bbvzd2typeszd2,
							((obj_t) CNST_TABLE_REF(8)));
						VECTOR_SET(BgL_v1767z00_3130, 2L, BgL_arg2535z00_3157);
					}
					{	/* SawBbv/bbv-types.scm 53 */
						obj_t BgL_arg2542z00_3170;

						BgL_arg2542z00_3170 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(11)), BGl_proc3749z00zzsaw_bbvzd2typeszd2,
							BGl_proc3748z00zzsaw_bbvzd2typeszd2, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
						VECTOR_SET(BgL_v1767z00_3130, 3L, BgL_arg2542z00_3170);
					}
					{	/* SawBbv/bbv-types.scm 53 */
						obj_t BgL_arg2548z00_3180;

						BgL_arg2548z00_3180 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(23)), BGl_proc3751z00zzsaw_bbvzd2typeszd2,
							BGl_proc3750z00zzsaw_bbvzd2typeszd2, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_blockVz00zzsaw_bbvzd2typeszd2);
						VECTOR_SET(BgL_v1767z00_3130, 4L, BgL_arg2548z00_3180);
					}
					{	/* SawBbv/bbv-types.scm 53 */
						obj_t BgL_arg2553z00_3190;

						BgL_arg2553z00_3190 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(24)), BGl_proc3754z00zzsaw_bbvzd2typeszd2,
							BGl_proc3753z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3752z00zzsaw_bbvzd2typeszd2,
							((obj_t) CNST_TABLE_REF(19)));
						VECTOR_SET(BgL_v1767z00_3130, 5L, BgL_arg2553z00_3190);
					}
					{	/* SawBbv/bbv-types.scm 53 */
						obj_t BgL_arg2560z00_3203;

						BgL_arg2560z00_3203 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(25)), BGl_proc3757z00zzsaw_bbvzd2typeszd2,
							BGl_proc3756z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3755z00zzsaw_bbvzd2typeszd2,
							((obj_t) CNST_TABLE_REF(19)));
						VECTOR_SET(BgL_v1767z00_3130, 6L, BgL_arg2560z00_3203);
					}
					{	/* SawBbv/bbv-types.scm 53 */
						obj_t BgL_arg2568z00_3216;

						BgL_arg2568z00_3216 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(26)), BGl_proc3760z00zzsaw_bbvzd2typeszd2,
							BGl_proc3759z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3758z00zzsaw_bbvzd2typeszd2,
							((obj_t) CNST_TABLE_REF(8)));
						VECTOR_SET(BgL_v1767z00_3130, 7L, BgL_arg2568z00_3216);
					}
					{	/* SawBbv/bbv-types.scm 53 */
						obj_t BgL_arg2576z00_3229;

						BgL_arg2576z00_3229 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(27)), BGl_proc3762z00zzsaw_bbvzd2typeszd2,
							BGl_proc3761z00zzsaw_bbvzd2typeszd2, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(8)));
						VECTOR_SET(BgL_v1767z00_3130, 8L, BgL_arg2576z00_3229);
					}
					{	/* SawBbv/bbv-types.scm 53 */
						obj_t BgL_arg2581z00_3239;

						BgL_arg2581z00_3239 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(28)), BGl_proc3765z00zzsaw_bbvzd2typeszd2,
							BGl_proc3764z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3763z00zzsaw_bbvzd2typeszd2,
							((obj_t) CNST_TABLE_REF(16)));
						VECTOR_SET(BgL_v1767z00_3130, 9L, BgL_arg2581z00_3239);
					}
					{	/* SawBbv/bbv-types.scm 53 */
						obj_t BgL_arg2588z00_3252;

						BgL_arg2588z00_3252 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(29)), BGl_proc3768z00zzsaw_bbvzd2typeszd2,
							BGl_proc3767z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3766z00zzsaw_bbvzd2typeszd2,
							((obj_t) CNST_TABLE_REF(30)));
						VECTOR_SET(BgL_v1767z00_3130, 10L, BgL_arg2588z00_3252);
					}
					BgL_arg2503z00_3093 = BgL_v1767z00_3130;
				}
				{	/* SawBbv/bbv-types.scm 53 */
					obj_t BgL_v1768z00_3265;

					BgL_v1768z00_3265 = create_vector(0L);
					BgL_arg2504z00_3094 = BgL_v1768z00_3265;
				}
				BGl_blockSz00zzsaw_bbvzd2typeszd2 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(31)),
					((obj_t)
						CNST_TABLE_REF(14)), BGl_blockz00zzsaw_defsz00, 48320L,
					BGl_proc3772z00zzsaw_bbvzd2typeszd2,
					BGl_proc3771z00zzsaw_bbvzd2typeszd2, BFALSE,
					BGl_proc3770z00zzsaw_bbvzd2typeszd2,
					BGl_proc3769z00zzsaw_bbvzd2typeszd2, BgL_arg2503z00_3093,
					BgL_arg2504z00_3094);
			}
			{	/* SawBbv/bbv-types.scm 67 */
				obj_t BgL_arg2601z00_3273;
				obj_t BgL_arg2602z00_3274;

				{	/* SawBbv/bbv-types.scm 67 */
					obj_t BgL_v1769z00_3286;

					BgL_v1769z00_3286 = create_vector(2L);
					{	/* SawBbv/bbv-types.scm 67 */
						obj_t BgL_arg2608z00_3287;

						BgL_arg2608z00_3287 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(32)), BGl_proc3775z00zzsaw_bbvzd2typeszd2,
							BGl_proc3774z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3773z00zzsaw_bbvzd2typeszd2,
							((obj_t) CNST_TABLE_REF(16)));
						VECTOR_SET(BgL_v1769z00_3286, 0L, BgL_arg2608z00_3287);
					}
					{	/* SawBbv/bbv-types.scm 67 */
						obj_t BgL_arg2615z00_3300;

						BgL_arg2615z00_3300 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(33)), BGl_proc3778z00zzsaw_bbvzd2typeszd2,
							BGl_proc3777z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3776z00zzsaw_bbvzd2typeszd2,
							((obj_t) CNST_TABLE_REF(16)));
						VECTOR_SET(BgL_v1769z00_3286, 1L, BgL_arg2615z00_3300);
					}
					BgL_arg2601z00_3273 = BgL_v1769z00_3286;
				}
				{	/* SawBbv/bbv-types.scm 67 */
					obj_t BgL_v1770z00_3313;

					BgL_v1770z00_3313 = create_vector(0L);
					BgL_arg2602z00_3274 = BgL_v1770z00_3313;
				}
				BGl_bbvzd2queuezd2zzsaw_bbvzd2typeszd2 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(34)),
					((obj_t)
						CNST_TABLE_REF(14)), BGl_objectz00zz__objectz00, 60505L,
					BGl_proc3781z00zzsaw_bbvzd2typeszd2,
					BGl_proc3780z00zzsaw_bbvzd2typeszd2, BFALSE,
					BGl_proc3779z00zzsaw_bbvzd2typeszd2, BFALSE, BgL_arg2601z00_3273,
					BgL_arg2602z00_3274);
			}
			{	/* SawBbv/bbv-types.scm 72 */
				obj_t BgL_arg2630z00_3320;
				obj_t BgL_arg2631z00_3321;

				{	/* SawBbv/bbv-types.scm 72 */
					obj_t BgL_v1771z00_3334;

					BgL_v1771z00_3334 = create_vector(2L);
					{	/* SawBbv/bbv-types.scm 72 */
						obj_t BgL_arg2640z00_3335;

						BgL_arg2640z00_3335 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(35)), BGl_proc3784z00zzsaw_bbvzd2typeszd2,
							BGl_proc3783z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3782z00zzsaw_bbvzd2typeszd2,
							((obj_t) CNST_TABLE_REF(19)));
						VECTOR_SET(BgL_v1771z00_3334, 0L, BgL_arg2640z00_3335);
					}
					{	/* SawBbv/bbv-types.scm 72 */
						obj_t BgL_arg2655z00_3348;

						BgL_arg2655z00_3348 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(36)), BGl_proc3787z00zzsaw_bbvzd2typeszd2,
							BGl_proc3786z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3785z00zzsaw_bbvzd2typeszd2,
							((obj_t) CNST_TABLE_REF(16)));
						VECTOR_SET(BgL_v1771z00_3334, 1L, BgL_arg2655z00_3348);
					}
					BgL_arg2630z00_3320 = BgL_v1771z00_3334;
				}
				{	/* SawBbv/bbv-types.scm 72 */
					obj_t BgL_v1772z00_3361;

					BgL_v1772z00_3361 = create_vector(0L);
					BgL_arg2631z00_3321 = BgL_v1772z00_3361;
				}
				BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(37)),
					((obj_t)
						CNST_TABLE_REF(14)), BGl_objectz00zz__objectz00, 7768L,
					BGl_proc3790z00zzsaw_bbvzd2typeszd2,
					BGl_proc3789z00zzsaw_bbvzd2typeszd2,
					BGl_bbvzd2ctxzd2initzd2envzd2zzsaw_bbvzd2typeszd2,
					BGl_proc3788z00zzsaw_bbvzd2typeszd2, BFALSE, BgL_arg2630z00_3320,
					BgL_arg2631z00_3321);
			}
			{	/* SawBbv/bbv-types.scm 79 */
				obj_t BgL_arg2667z00_3368;
				obj_t BgL_arg2668z00_3369;

				{	/* SawBbv/bbv-types.scm 79 */
					obj_t BgL_v1773z00_3386;

					BgL_v1773z00_3386 = create_vector(7L);
					{	/* SawBbv/bbv-types.scm 79 */
						obj_t BgL_arg2675z00_3387;

						BgL_arg2675z00_3387 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(38)), BGl_proc3792z00zzsaw_bbvzd2typeszd2,
							BGl_proc3791z00zzsaw_bbvzd2typeszd2, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_rtl_regz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1773z00_3386, 0L, BgL_arg2675z00_3387);
					}
					{	/* SawBbv/bbv-types.scm 79 */
						obj_t BgL_arg2684z00_3397;

						BgL_arg2684z00_3397 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(39)), BGl_proc3795z00zzsaw_bbvzd2typeszd2,
							BGl_proc3794z00zzsaw_bbvzd2typeszd2, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BGl_proc3793z00zzsaw_bbvzd2typeszd2,
							((obj_t) CNST_TABLE_REF(40)));
						VECTOR_SET(BgL_v1773z00_3386, 1L, BgL_arg2684z00_3397);
					}
					{	/* SawBbv/bbv-types.scm 79 */
						obj_t BgL_arg2705z00_3411;

						BgL_arg2705z00_3411 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(41)), BGl_proc3797z00zzsaw_bbvzd2typeszd2,
							BGl_proc3796z00zzsaw_bbvzd2typeszd2, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(30)));
						VECTOR_SET(BgL_v1773z00_3386, 2L, BgL_arg2705z00_3411);
					}
					{	/* SawBbv/bbv-types.scm 79 */
						obj_t BgL_arg2715z00_3421;

						BgL_arg2715z00_3421 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(42)), BGl_proc3800z00zzsaw_bbvzd2typeszd2,
							BGl_proc3799z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3798z00zzsaw_bbvzd2typeszd2,
							((obj_t) CNST_TABLE_REF(19)));
						VECTOR_SET(BgL_v1773z00_3386, 3L, BgL_arg2715z00_3421);
					}
					{	/* SawBbv/bbv-types.scm 79 */
						obj_t BgL_arg2725z00_3434;

						BgL_arg2725z00_3434 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(43)), BGl_proc3803z00zzsaw_bbvzd2typeszd2,
							BGl_proc3802z00zzsaw_bbvzd2typeszd2, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BGl_proc3801z00zzsaw_bbvzd2typeszd2,
							((obj_t) CNST_TABLE_REF(8)));
						VECTOR_SET(BgL_v1773z00_3386, 4L, BgL_arg2725z00_3434);
					}
					{	/* SawBbv/bbv-types.scm 79 */
						obj_t BgL_arg2732z00_3447;

						BgL_arg2732z00_3447 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(44)), BGl_proc3806z00zzsaw_bbvzd2typeszd2,
							BGl_proc3805z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3804z00zzsaw_bbvzd2typeszd2,
							((obj_t) CNST_TABLE_REF(16)));
						VECTOR_SET(BgL_v1773z00_3386, 5L, BgL_arg2732z00_3447);
					}
					{	/* SawBbv/bbv-types.scm 79 */
						obj_t BgL_arg2739z00_3460;

						BgL_arg2739z00_3460 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(45)), BGl_proc3809z00zzsaw_bbvzd2typeszd2,
							BGl_proc3808z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3807z00zzsaw_bbvzd2typeszd2,
							((obj_t) CNST_TABLE_REF(8)));
						VECTOR_SET(BgL_v1773z00_3386, 6L, BgL_arg2739z00_3460);
					}
					BgL_arg2667z00_3368 = BgL_v1773z00_3386;
				}
				{	/* SawBbv/bbv-types.scm 79 */
					obj_t BgL_v1774z00_3473;

					BgL_v1774z00_3473 = create_vector(0L);
					BgL_arg2668z00_3369 = BgL_v1774z00_3473;
				}
				return (BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(46)),
						((obj_t)
							CNST_TABLE_REF(14)), BGl_objectz00zz__objectz00, 49073L,
						BGl_proc3812z00zzsaw_bbvzd2typeszd2,
						BGl_proc3811z00zzsaw_bbvzd2typeszd2, BFALSE,
						BGl_proc3810z00zzsaw_bbvzd2typeszd2, BFALSE, BgL_arg2667z00_3368,
						BgL_arg2668z00_3369), BUNSPEC);
			}
		}

	}



/* &<@anonymous:2674> */
	obj_t BGl_z62zc3z04anonymousza32674ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8368, obj_t BgL_new1223z00_8369)
	{
		{	/* SawBbv/bbv-types.scm 79 */
			{
				BgL_bbvzd2ctxentryzd2_bglt BgL_auxz00_12773;

				{
					BgL_rtl_regz00_bglt BgL_auxz00_12774;

					{	/* SawBbv/bbv-types.scm 79 */
						obj_t BgL_classz00_9022;

						BgL_classz00_9022 = BGl_rtl_regz00zzsaw_defsz00;
						{	/* SawBbv/bbv-types.scm 79 */
							obj_t BgL__ortest_1117z00_9023;

							BgL__ortest_1117z00_9023 = BGL_CLASS_NIL(BgL_classz00_9022);
							if (CBOOL(BgL__ortest_1117z00_9023))
								{	/* SawBbv/bbv-types.scm 79 */
									BgL_auxz00_12774 =
										((BgL_rtl_regz00_bglt) BgL__ortest_1117z00_9023);
								}
							else
								{	/* SawBbv/bbv-types.scm 79 */
									BgL_auxz00_12774 =
										((BgL_rtl_regz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9022));
								}
						}
					}
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
									((BgL_bbvzd2ctxentryzd2_bglt) BgL_new1223z00_8369)))->
							BgL_regz00) = ((BgL_rtl_regz00_bglt) BgL_auxz00_12774), BUNSPEC);
				}
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
								((BgL_bbvzd2ctxentryzd2_bglt) BgL_new1223z00_8369)))->
						BgL_typesz00) = ((obj_t) MAKE_YOUNG_PAIR(BFALSE, BFALSE)), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
									BgL_new1223z00_8369)))->BgL_polarityz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
									BgL_new1223z00_8369)))->BgL_countz00) = ((long) 0L), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
									BgL_new1223z00_8369)))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
									BgL_new1223z00_8369)))->BgL_aliasesz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
									BgL_new1223z00_8369)))->BgL_initvalz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_12773 = ((BgL_bbvzd2ctxentryzd2_bglt) BgL_new1223z00_8369);
				return ((obj_t) BgL_auxz00_12773);
			}
		}

	}



/* &lambda2671 */
	BgL_bbvzd2ctxentryzd2_bglt BGl_z62lambda2671z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8370)
	{
		{	/* SawBbv/bbv-types.scm 79 */
			{	/* SawBbv/bbv-types.scm 79 */
				BgL_bbvzd2ctxentryzd2_bglt BgL_new1222z00_9024;

				BgL_new1222z00_9024 =
					((BgL_bbvzd2ctxentryzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_bbvzd2ctxentryzd2_bgl))));
				{	/* SawBbv/bbv-types.scm 79 */
					long BgL_arg2673z00_9025;

					BgL_arg2673z00_9025 =
						BGL_CLASS_NUM(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1222z00_9024), BgL_arg2673z00_9025);
				}
				return BgL_new1222z00_9024;
			}
		}

	}



/* &lambda2669 */
	BgL_bbvzd2ctxentryzd2_bglt BGl_z62lambda2669z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8371, obj_t BgL_reg1215z00_8372, obj_t BgL_types1216z00_8373,
		obj_t BgL_polarity1217z00_8374, obj_t BgL_count1218z00_8375,
		obj_t BgL_value1219z00_8376, obj_t BgL_aliases1220z00_8377,
		obj_t BgL_initval1221z00_8378)
	{
		{	/* SawBbv/bbv-types.scm 79 */
			{	/* SawBbv/bbv-types.scm 79 */
				bool_t BgL_polarity1217z00_9028;
				long BgL_count1218z00_9029;

				BgL_polarity1217z00_9028 = CBOOL(BgL_polarity1217z00_8374);
				BgL_count1218z00_9029 = (long) CINT(BgL_count1218z00_8375);
				{	/* SawBbv/bbv-types.scm 79 */
					BgL_bbvzd2ctxentryzd2_bglt BgL_new1437z00_9031;

					{	/* SawBbv/bbv-types.scm 79 */
						BgL_bbvzd2ctxentryzd2_bglt BgL_new1436z00_9032;

						BgL_new1436z00_9032 =
							((BgL_bbvzd2ctxentryzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_bbvzd2ctxentryzd2_bgl))));
						{	/* SawBbv/bbv-types.scm 79 */
							long BgL_arg2670z00_9033;

							BgL_arg2670z00_9033 =
								BGL_CLASS_NUM(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1436z00_9032),
								BgL_arg2670z00_9033);
						}
						BgL_new1437z00_9031 = BgL_new1436z00_9032;
					}
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1437z00_9031))->
							BgL_regz00) =
						((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_reg1215z00_8372)),
						BUNSPEC);
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1437z00_9031))->
							BgL_typesz00) =
						((obj_t) ((obj_t) BgL_types1216z00_8373)), BUNSPEC);
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1437z00_9031))->
							BgL_polarityz00) = ((bool_t) BgL_polarity1217z00_9028), BUNSPEC);
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1437z00_9031))->
							BgL_countz00) = ((long) BgL_count1218z00_9029), BUNSPEC);
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1437z00_9031))->
							BgL_valuez00) = ((obj_t) BgL_value1219z00_8376), BUNSPEC);
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1437z00_9031))->
							BgL_aliasesz00) =
						((obj_t) ((obj_t) BgL_aliases1220z00_8377)), BUNSPEC);
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1437z00_9031))->
							BgL_initvalz00) = ((obj_t) BgL_initval1221z00_8378), BUNSPEC);
					return BgL_new1437z00_9031;
				}
			}
		}

	}



/* &<@anonymous:2746> */
	obj_t BGl_z62zc3z04anonymousza32746ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8379)
	{
		{	/* SawBbv/bbv-types.scm 79 */
			return BUNSPEC;
		}

	}



/* &lambda2745 */
	obj_t BGl_z62lambda2745z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8380,
		obj_t BgL_oz00_8381, obj_t BgL_vz00_8382)
	{
		{	/* SawBbv/bbv-types.scm 79 */
			return
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_8381)))->BgL_initvalz00) =
				((obj_t) BgL_vz00_8382), BUNSPEC);
		}

	}



/* &lambda2744 */
	obj_t BGl_z62lambda2744z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8383,
		obj_t BgL_oz00_8384)
	{
		{	/* SawBbv/bbv-types.scm 79 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
						((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_8384)))->BgL_initvalz00);
		}

	}



/* &<@anonymous:2738> */
	obj_t BGl_z62zc3z04anonymousza32738ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8385)
	{
		{	/* SawBbv/bbv-types.scm 79 */
			return BNIL;
		}

	}



/* &lambda2737 */
	obj_t BGl_z62lambda2737z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8386,
		obj_t BgL_oz00_8387, obj_t BgL_vz00_8388)
	{
		{	/* SawBbv/bbv-types.scm 79 */
			return
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_8387)))->BgL_aliasesz00) =
				((obj_t) ((obj_t) BgL_vz00_8388)), BUNSPEC);
		}

	}



/* &lambda2736 */
	obj_t BGl_z62lambda2736z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8389,
		obj_t BgL_oz00_8390)
	{
		{	/* SawBbv/bbv-types.scm 79 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
						((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_8390)))->BgL_aliasesz00);
		}

	}



/* &<@anonymous:2731> */
	obj_t BGl_z62zc3z04anonymousza32731ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8391)
	{
		{	/* SawBbv/bbv-types.scm 79 */
			return ((obj_t) CNST_TABLE_REF(2));
		}

	}



/* &lambda2730 */
	obj_t BGl_z62lambda2730z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8392,
		obj_t BgL_oz00_8393, obj_t BgL_vz00_8394)
	{
		{	/* SawBbv/bbv-types.scm 79 */
			return
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_8393)))->BgL_valuez00) =
				((obj_t) BgL_vz00_8394), BUNSPEC);
		}

	}



/* &lambda2729 */
	obj_t BGl_z62lambda2729z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8395,
		obj_t BgL_oz00_8396)
	{
		{	/* SawBbv/bbv-types.scm 79 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
						((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_8396)))->BgL_valuez00);
		}

	}



/* &<@anonymous:2724> */
	obj_t BGl_z62zc3z04anonymousza32724ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8397)
	{
		{	/* SawBbv/bbv-types.scm 79 */
			return BINT(0L);
		}

	}



/* &lambda2723 */
	obj_t BGl_z62lambda2723z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8398,
		obj_t BgL_oz00_8399, obj_t BgL_vz00_8400)
	{
		{	/* SawBbv/bbv-types.scm 79 */
			{	/* SawBbv/bbv-types.scm 79 */
				long BgL_vz00_9042;

				BgL_vz00_9042 = (long) CINT(BgL_vz00_8400);
				return
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
								((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_8399)))->BgL_countz00) =
					((long) BgL_vz00_9042), BUNSPEC);
		}}

	}



/* &lambda2722 */
	obj_t BGl_z62lambda2722z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8401,
		obj_t BgL_oz00_8402)
	{
		{	/* SawBbv/bbv-types.scm 79 */
			return
				BINT(
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_8402)))->BgL_countz00));
		}

	}



/* &lambda2713 */
	obj_t BGl_z62lambda2713z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8403,
		obj_t BgL_oz00_8404, obj_t BgL_vz00_8405)
	{
		{	/* SawBbv/bbv-types.scm 79 */
			{	/* SawBbv/bbv-types.scm 79 */
				bool_t BgL_vz00_9045;

				BgL_vz00_9045 = CBOOL(BgL_vz00_8405);
				return
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
								((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_8404)))->
						BgL_polarityz00) = ((bool_t) BgL_vz00_9045), BUNSPEC);
			}
		}

	}



/* &lambda2712 */
	obj_t BGl_z62lambda2712z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8406,
		obj_t BgL_oz00_8407)
	{
		{	/* SawBbv/bbv-types.scm 79 */
			return
				BBOOL(
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_8407)))->BgL_polarityz00));
		}

	}



/* &<@anonymous:2700> */
	obj_t BGl_z62zc3z04anonymousza32700ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8408)
	{
		{	/* SawBbv/bbv-types.scm 79 */
			{	/* SawBbv/bbv-types.scm 81 */
				obj_t BgL_res3913z00_9048;

				{	/* SawBbv/bbv-types.scm 81 */
					obj_t BgL_list2701z00_9047;

					BgL_list2701z00_9047 =
						MAKE_YOUNG_PAIR(BGl_za2objza2z00zztype_cachez00, BNIL);
					BgL_res3913z00_9048 = BgL_list2701z00_9047;
				}
				return BgL_res3913z00_9048;
			}
		}

	}



/* &lambda2699 */
	obj_t BGl_z62lambda2699z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8409,
		obj_t BgL_oz00_8410, obj_t BgL_vz00_8411)
	{
		{	/* SawBbv/bbv-types.scm 79 */
			return
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_8410)))->BgL_typesz00) =
				((obj_t) ((obj_t) BgL_vz00_8411)), BUNSPEC);
		}

	}



/* &lambda2698 */
	obj_t BGl_z62lambda2698z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8412,
		obj_t BgL_oz00_8413)
	{
		{	/* SawBbv/bbv-types.scm 79 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
						((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_8413)))->BgL_typesz00);
		}

	}



/* &lambda2681 */
	obj_t BGl_z62lambda2681z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8414,
		obj_t BgL_oz00_8415, obj_t BgL_vz00_8416)
	{
		{	/* SawBbv/bbv-types.scm 79 */
			return
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_8415)))->BgL_regz00) =
				((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_vz00_8416)), BUNSPEC);
		}

	}



/* &lambda2680 */
	BgL_rtl_regz00_bglt BGl_z62lambda2680z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8417, obj_t BgL_oz00_8418)
	{
		{	/* SawBbv/bbv-types.scm 79 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
						((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_8418)))->BgL_regz00);
		}

	}



/* &<@anonymous:2637> */
	obj_t BGl_z62zc3z04anonymousza32637ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8419, obj_t BgL_new1213z00_8420)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			{
				BgL_bbvzd2ctxzd2_bglt BgL_auxz00_12857;

				((((BgL_bbvzd2ctxzd2_bglt) COBJECT(
								((BgL_bbvzd2ctxzd2_bglt) BgL_new1213z00_8420)))->BgL_idz00) =
					((long) 0L), BUNSPEC);
				((((BgL_bbvzd2ctxzd2_bglt) COBJECT(((BgL_bbvzd2ctxzd2_bglt)
									BgL_new1213z00_8420)))->BgL_entriesz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_12857 = ((BgL_bbvzd2ctxzd2_bglt) BgL_new1213z00_8420);
				return ((obj_t) BgL_auxz00_12857);
			}
		}

	}



/* &lambda2635 */
	BgL_bbvzd2ctxzd2_bglt BGl_z62lambda2635z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8421)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			{	/* SawBbv/bbv-types.scm 72 */
				BgL_bbvzd2ctxzd2_bglt BgL_new1212z00_9056;

				BgL_new1212z00_9056 =
					((BgL_bbvzd2ctxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_bbvzd2ctxzd2_bgl))));
				{	/* SawBbv/bbv-types.scm 72 */
					long BgL_arg2636z00_9057;

					BgL_arg2636z00_9057 =
						BGL_CLASS_NUM(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1212z00_9056), BgL_arg2636z00_9057);
				}
				return BgL_new1212z00_9056;
			}
		}

	}



/* &lambda2632 */
	BgL_bbvzd2ctxzd2_bglt BGl_z62lambda2632z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8422, obj_t BgL_id1210z00_8423, obj_t BgL_entries1211z00_8424)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			{	/* SawBbv/bbv-types.scm 72 */
				long BgL_id1210z00_9058;

				BgL_id1210z00_9058 = (long) CINT(BgL_id1210z00_8423);
				{	/* SawBbv/bbv-types.scm 72 */
					BgL_bbvzd2ctxzd2_bglt BgL_new1435z00_9060;

					{	/* SawBbv/bbv-types.scm 72 */
						BgL_bbvzd2ctxzd2_bglt BgL_new1434z00_9061;

						BgL_new1434z00_9061 =
							((BgL_bbvzd2ctxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_bbvzd2ctxzd2_bgl))));
						{	/* SawBbv/bbv-types.scm 72 */
							long BgL_arg2634z00_9062;

							BgL_arg2634z00_9062 =
								BGL_CLASS_NUM(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1434z00_9061),
								BgL_arg2634z00_9062);
						}
						BgL_new1435z00_9060 = BgL_new1434z00_9061;
					}
					((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1435z00_9060))->BgL_idz00) =
						((long) BgL_id1210z00_9058), BUNSPEC);
					((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1435z00_9060))->
							BgL_entriesz00) =
						((obj_t) ((obj_t) BgL_entries1211z00_8424)), BUNSPEC);
					{	/* SawBbv/bbv-types.scm 72 */
						obj_t BgL_fun2633z00_9063;

						BgL_fun2633z00_9063 =
							BGl_classzd2constructorzd2zz__objectz00
							(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
						BGL_PROCEDURE_CALL1(BgL_fun2633z00_9063,
							((obj_t) BgL_new1435z00_9060));
					}
					return BgL_new1435z00_9060;
				}
			}
		}

	}



/* &<@anonymous:2662> */
	obj_t BGl_z62zc3z04anonymousza32662ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8425)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			return BNIL;
		}

	}



/* &lambda2661 */
	obj_t BGl_z62lambda2661z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8426,
		obj_t BgL_oz00_8427, obj_t BgL_vz00_8428)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			return
				((((BgL_bbvzd2ctxzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxzd2_bglt) BgL_oz00_8427)))->BgL_entriesz00) =
				((obj_t) ((obj_t) BgL_vz00_8428)), BUNSPEC);
		}

	}



/* &lambda2660 */
	obj_t BGl_z62lambda2660z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8429,
		obj_t BgL_oz00_8430)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			return
				(((BgL_bbvzd2ctxzd2_bglt) COBJECT(
						((BgL_bbvzd2ctxzd2_bglt) BgL_oz00_8430)))->BgL_entriesz00);
		}

	}



/* &<@anonymous:2652> */
	obj_t BGl_z62zc3z04anonymousza32652ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8431)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			return BINT((-1L));
		}

	}



/* &lambda2651 */
	obj_t BGl_z62lambda2651z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8432,
		obj_t BgL_oz00_8433, obj_t BgL_vz00_8434)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			{	/* SawBbv/bbv-types.scm 72 */
				long BgL_vz00_9068;

				BgL_vz00_9068 = (long) CINT(BgL_vz00_8434);
				return
					((((BgL_bbvzd2ctxzd2_bglt) COBJECT(
								((BgL_bbvzd2ctxzd2_bglt) BgL_oz00_8433)))->BgL_idz00) =
					((long) BgL_vz00_9068), BUNSPEC);
		}}

	}



/* &lambda2650 */
	obj_t BGl_z62lambda2650z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8435,
		obj_t BgL_oz00_8436)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			return
				BINT(
				(((BgL_bbvzd2ctxzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxzd2_bglt) BgL_oz00_8436)))->BgL_idz00));
		}

	}



/* &<@anonymous:2607> */
	obj_t BGl_z62zc3z04anonymousza32607ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8437, obj_t BgL_new1208z00_8438)
	{
		{	/* SawBbv/bbv-types.scm 67 */
			{
				BgL_bbvzd2queuezd2_bglt BgL_auxz00_12894;

				((((BgL_bbvzd2queuezd2_bglt) COBJECT(
								((BgL_bbvzd2queuezd2_bglt) BgL_new1208z00_8438)))->
						BgL_blocksz00) = ((obj_t) BNIL), BUNSPEC);
				((((BgL_bbvzd2queuezd2_bglt) COBJECT(((BgL_bbvzd2queuezd2_bglt)
									BgL_new1208z00_8438)))->BgL_lastz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_12894 = ((BgL_bbvzd2queuezd2_bglt) BgL_new1208z00_8438);
				return ((obj_t) BgL_auxz00_12894);
			}
		}

	}



/* &lambda2605 */
	BgL_bbvzd2queuezd2_bglt BGl_z62lambda2605z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8439)
	{
		{	/* SawBbv/bbv-types.scm 67 */
			{	/* SawBbv/bbv-types.scm 67 */
				BgL_bbvzd2queuezd2_bglt BgL_new1207z00_9071;

				BgL_new1207z00_9071 =
					((BgL_bbvzd2queuezd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_bbvzd2queuezd2_bgl))));
				{	/* SawBbv/bbv-types.scm 67 */
					long BgL_arg2606z00_9072;

					BgL_arg2606z00_9072 =
						BGL_CLASS_NUM(BGl_bbvzd2queuezd2zzsaw_bbvzd2typeszd2);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1207z00_9071), BgL_arg2606z00_9072);
				}
				return BgL_new1207z00_9071;
			}
		}

	}



/* &lambda2603 */
	BgL_bbvzd2queuezd2_bglt BGl_z62lambda2603z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8440, obj_t BgL_blocks1205z00_8441, obj_t BgL_last1206z00_8442)
	{
		{	/* SawBbv/bbv-types.scm 67 */
			{	/* SawBbv/bbv-types.scm 67 */
				BgL_bbvzd2queuezd2_bglt BgL_new1432z00_9075;

				{	/* SawBbv/bbv-types.scm 67 */
					BgL_bbvzd2queuezd2_bglt BgL_new1431z00_9076;

					BgL_new1431z00_9076 =
						((BgL_bbvzd2queuezd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_bbvzd2queuezd2_bgl))));
					{	/* SawBbv/bbv-types.scm 67 */
						long BgL_arg2604z00_9077;

						BgL_arg2604z00_9077 =
							BGL_CLASS_NUM(BGl_bbvzd2queuezd2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1431z00_9076), BgL_arg2604z00_9077);
					}
					BgL_new1432z00_9075 = BgL_new1431z00_9076;
				}
				((((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_new1432z00_9075))->
						BgL_blocksz00) =
					((obj_t) ((obj_t) BgL_blocks1205z00_8441)), BUNSPEC);
				((((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_new1432z00_9075))->
						BgL_lastz00) = ((obj_t) ((obj_t) BgL_last1206z00_8442)), BUNSPEC);
				return BgL_new1432z00_9075;
			}
		}

	}



/* &<@anonymous:2625> */
	obj_t BGl_z62zc3z04anonymousza32625ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8443)
	{
		{	/* SawBbv/bbv-types.scm 67 */
			return BNIL;
		}

	}



/* &lambda2624 */
	obj_t BGl_z62lambda2624z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8444,
		obj_t BgL_oz00_8445, obj_t BgL_vz00_8446)
	{
		{	/* SawBbv/bbv-types.scm 67 */
			return
				((((BgL_bbvzd2queuezd2_bglt) COBJECT(
							((BgL_bbvzd2queuezd2_bglt) BgL_oz00_8445)))->BgL_lastz00) =
				((obj_t) ((obj_t) BgL_vz00_8446)), BUNSPEC);
		}

	}



/* &lambda2623 */
	obj_t BGl_z62lambda2623z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8447,
		obj_t BgL_oz00_8448)
	{
		{	/* SawBbv/bbv-types.scm 67 */
			return
				(((BgL_bbvzd2queuezd2_bglt) COBJECT(
						((BgL_bbvzd2queuezd2_bglt) BgL_oz00_8448)))->BgL_lastz00);
		}

	}



/* &<@anonymous:2614> */
	obj_t BGl_z62zc3z04anonymousza32614ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8449)
	{
		{	/* SawBbv/bbv-types.scm 67 */
			return BNIL;
		}

	}



/* &lambda2613 */
	obj_t BGl_z62lambda2613z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8450,
		obj_t BgL_oz00_8451, obj_t BgL_vz00_8452)
	{
		{	/* SawBbv/bbv-types.scm 67 */
			return
				((((BgL_bbvzd2queuezd2_bglt) COBJECT(
							((BgL_bbvzd2queuezd2_bglt) BgL_oz00_8451)))->BgL_blocksz00) =
				((obj_t) ((obj_t) BgL_vz00_8452)), BUNSPEC);
		}

	}



/* &lambda2612 */
	obj_t BGl_z62lambda2612z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8453,
		obj_t BgL_oz00_8454)
	{
		{	/* SawBbv/bbv-types.scm 67 */
			return
				(((BgL_bbvzd2queuezd2_bglt) COBJECT(
						((BgL_bbvzd2queuezd2_bglt) BgL_oz00_8454)))->BgL_blocksz00);
		}

	}



/* &lambda2511 */
	BgL_blockz00_bglt BGl_z62lambda2511z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8455, obj_t BgL_o1203z00_8456)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			{	/* SawBbv/bbv-types.scm 53 */
				long BgL_arg2512z00_9085;

				{	/* SawBbv/bbv-types.scm 53 */
					obj_t BgL_arg2514z00_9086;

					{	/* SawBbv/bbv-types.scm 53 */
						obj_t BgL_arg2515z00_9087;

						{	/* SawBbv/bbv-types.scm 53 */
							obj_t BgL_arg1866z00_9088;
							long BgL_arg1867z00_9089;

							BgL_arg1866z00_9088 = (BGl_za2classesza2z00zz__objectz00);
							{	/* SawBbv/bbv-types.scm 53 */
								long BgL_arg1869z00_9090;

								BgL_arg1869z00_9090 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_blockz00_bglt) BgL_o1203z00_8456)));
								BgL_arg1867z00_9089 = (BgL_arg1869z00_9090 - OBJECT_TYPE);
							}
							BgL_arg2515z00_9087 =
								VECTOR_REF(BgL_arg1866z00_9088, BgL_arg1867z00_9089);
						}
						BgL_arg2514z00_9086 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2515z00_9087);
					}
					{	/* SawBbv/bbv-types.scm 53 */
						obj_t BgL_tmpz00_12930;

						BgL_tmpz00_12930 = ((obj_t) BgL_arg2514z00_9086);
						BgL_arg2512z00_9085 = BGL_CLASS_NUM(BgL_tmpz00_12930);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) BgL_o1203z00_8456)), BgL_arg2512z00_9085);
			}
			{	/* SawBbv/bbv-types.scm 53 */
				BgL_objectz00_bglt BgL_tmpz00_12936;

				BgL_tmpz00_12936 =
					((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1203z00_8456));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12936, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1203z00_8456));
			return ((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1203z00_8456));
		}

	}



/* &<@anonymous:2510> */
	obj_t BGl_z62zc3z04anonymousza32510ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8457, obj_t BgL_new1202z00_8458)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			{
				BgL_blockz00_bglt BgL_auxz00_12944;

				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_new1202z00_8458))))->BgL_labelz00) =
					((int) (int) (0L)), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1202z00_8458))))->BgL_predsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1202z00_8458))))->BgL_succsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1202z00_8458))))->BgL_firstz00) =
					((obj_t) BNIL), BUNSPEC);
				{
					BgL_blocksz00_bglt BgL_auxz00_12958;

					{
						obj_t BgL_auxz00_12959;

						{	/* SawBbv/bbv-types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_12960;

							BgL_tmpz00_12960 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1202z00_8458));
							BgL_auxz00_12959 = BGL_OBJECT_WIDENING(BgL_tmpz00_12960);
						}
						BgL_auxz00_12958 = ((BgL_blocksz00_bglt) BgL_auxz00_12959);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12958))->BgL_z52markz52) =
						((long) 0L), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_12966;

					{
						obj_t BgL_auxz00_12967;

						{	/* SawBbv/bbv-types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_12968;

							BgL_tmpz00_12968 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1202z00_8458));
							BgL_auxz00_12967 = BGL_OBJECT_WIDENING(BgL_tmpz00_12968);
						}
						BgL_auxz00_12966 = ((BgL_blocksz00_bglt) BgL_auxz00_12967);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12966))->BgL_z52hashz52) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_12974;

					{
						obj_t BgL_auxz00_12975;

						{	/* SawBbv/bbv-types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_12976;

							BgL_tmpz00_12976 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1202z00_8458));
							BgL_auxz00_12975 = BGL_OBJECT_WIDENING(BgL_tmpz00_12976);
						}
						BgL_auxz00_12974 = ((BgL_blocksz00_bglt) BgL_auxz00_12975);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12974))->
							BgL_z52blacklistz52) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_bbvzd2ctxzd2_bglt BgL_auxz00_12989;
					BgL_blocksz00_bglt BgL_auxz00_12982;

					{	/* SawBbv/bbv-types.scm 53 */
						obj_t BgL_classz00_9092;

						BgL_classz00_9092 = BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2;
						{	/* SawBbv/bbv-types.scm 53 */
							obj_t BgL__ortest_1117z00_9093;

							BgL__ortest_1117z00_9093 = BGL_CLASS_NIL(BgL_classz00_9092);
							if (CBOOL(BgL__ortest_1117z00_9093))
								{	/* SawBbv/bbv-types.scm 53 */
									BgL_auxz00_12989 =
										((BgL_bbvzd2ctxzd2_bglt) BgL__ortest_1117z00_9093);
								}
							else
								{	/* SawBbv/bbv-types.scm 53 */
									BgL_auxz00_12989 =
										((BgL_bbvzd2ctxzd2_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9092));
								}
						}
					}
					{
						obj_t BgL_auxz00_12983;

						{	/* SawBbv/bbv-types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_12984;

							BgL_tmpz00_12984 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1202z00_8458));
							BgL_auxz00_12983 = BGL_OBJECT_WIDENING(BgL_tmpz00_12984);
						}
						BgL_auxz00_12982 = ((BgL_blocksz00_bglt) BgL_auxz00_12983);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12982))->BgL_ctxz00) =
						((BgL_bbvzd2ctxzd2_bglt) BgL_auxz00_12989), BUNSPEC);
				}
				{
					BgL_blockz00_bglt BgL_auxz00_13004;
					BgL_blocksz00_bglt BgL_auxz00_12997;

					{	/* SawBbv/bbv-types.scm 53 */
						obj_t BgL_classz00_9094;

						BgL_classz00_9094 = BGl_blockVz00zzsaw_bbvzd2typeszd2;
						{	/* SawBbv/bbv-types.scm 53 */
							obj_t BgL__ortest_1117z00_9095;

							BgL__ortest_1117z00_9095 = BGL_CLASS_NIL(BgL_classz00_9094);
							if (CBOOL(BgL__ortest_1117z00_9095))
								{	/* SawBbv/bbv-types.scm 53 */
									BgL_auxz00_13004 =
										((BgL_blockz00_bglt) BgL__ortest_1117z00_9095);
								}
							else
								{	/* SawBbv/bbv-types.scm 53 */
									BgL_auxz00_13004 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9094));
								}
						}
					}
					{
						obj_t BgL_auxz00_12998;

						{	/* SawBbv/bbv-types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_12999;

							BgL_tmpz00_12999 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1202z00_8458));
							BgL_auxz00_12998 = BGL_OBJECT_WIDENING(BgL_tmpz00_12999);
						}
						BgL_auxz00_12997 = ((BgL_blocksz00_bglt) BgL_auxz00_12998);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_12997))->BgL_parentz00) =
						((BgL_blockz00_bglt) BgL_auxz00_13004), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_13012;

					{
						obj_t BgL_auxz00_13013;

						{	/* SawBbv/bbv-types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_13014;

							BgL_tmpz00_13014 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1202z00_8458));
							BgL_auxz00_13013 = BGL_OBJECT_WIDENING(BgL_tmpz00_13014);
						}
						BgL_auxz00_13012 = ((BgL_blocksz00_bglt) BgL_auxz00_13013);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13012))->BgL_gccntz00) =
						((long) 0L), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_13020;

					{
						obj_t BgL_auxz00_13021;

						{	/* SawBbv/bbv-types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_13022;

							BgL_tmpz00_13022 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1202z00_8458));
							BgL_auxz00_13021 = BGL_OBJECT_WIDENING(BgL_tmpz00_13022);
						}
						BgL_auxz00_13020 = ((BgL_blocksz00_bglt) BgL_auxz00_13021);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13020))->BgL_gcmarkz00) =
						((long) 0L), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_13028;

					{
						obj_t BgL_auxz00_13029;

						{	/* SawBbv/bbv-types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_13030;

							BgL_tmpz00_13030 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1202z00_8458));
							BgL_auxz00_13029 = BGL_OBJECT_WIDENING(BgL_tmpz00_13030);
						}
						BgL_auxz00_13028 = ((BgL_blocksz00_bglt) BgL_auxz00_13029);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13028))->BgL_mblockz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_13036;

					{
						obj_t BgL_auxz00_13037;

						{	/* SawBbv/bbv-types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_13038;

							BgL_tmpz00_13038 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1202z00_8458));
							BgL_auxz00_13037 = BGL_OBJECT_WIDENING(BgL_tmpz00_13038);
						}
						BgL_auxz00_13036 = ((BgL_blocksz00_bglt) BgL_auxz00_13037);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13036))->BgL_creatorz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_13044;

					{
						obj_t BgL_auxz00_13045;

						{	/* SawBbv/bbv-types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_13046;

							BgL_tmpz00_13046 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1202z00_8458));
							BgL_auxz00_13045 = BGL_OBJECT_WIDENING(BgL_tmpz00_13046);
						}
						BgL_auxz00_13044 = ((BgL_blocksz00_bglt) BgL_auxz00_13045);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13044))->BgL_mergesz00) =
						((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_13052;

					{
						obj_t BgL_auxz00_13053;

						{	/* SawBbv/bbv-types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_13054;

							BgL_tmpz00_13054 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1202z00_8458));
							BgL_auxz00_13053 = BGL_OBJECT_WIDENING(BgL_tmpz00_13054);
						}
						BgL_auxz00_13052 = ((BgL_blocksz00_bglt) BgL_auxz00_13053);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13052))->BgL_asleepz00) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				BgL_auxz00_12944 = ((BgL_blockz00_bglt) BgL_new1202z00_8458);
				return ((obj_t) BgL_auxz00_12944);
			}
		}

	}



/* &lambda2508 */
	BgL_blockz00_bglt BGl_z62lambda2508z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8459, obj_t BgL_o1199z00_8460)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			{	/* SawBbv/bbv-types.scm 53 */
				BgL_blocksz00_bglt BgL_wide1201z00_9097;

				BgL_wide1201z00_9097 =
					((BgL_blocksz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_blocksz00_bgl))));
				{	/* SawBbv/bbv-types.scm 53 */
					obj_t BgL_auxz00_13067;
					BgL_objectz00_bglt BgL_tmpz00_13063;

					BgL_auxz00_13067 = ((obj_t) BgL_wide1201z00_9097);
					BgL_tmpz00_13063 =
						((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1199z00_8460)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13063, BgL_auxz00_13067);
				}
				((BgL_objectz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1199z00_8460)));
				{	/* SawBbv/bbv-types.scm 53 */
					long BgL_arg2509z00_9098;

					BgL_arg2509z00_9098 =
						BGL_CLASS_NUM(BGl_blockSz00zzsaw_bbvzd2typeszd2);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_o1199z00_8460))), BgL_arg2509z00_9098);
				}
				return
					((BgL_blockz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1199z00_8460)));
			}
		}

	}



/* &lambda2505 */
	BgL_blockz00_bglt BGl_z62lambda2505z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8461, obj_t BgL_label1184z00_8462, obj_t BgL_preds1185z00_8463,
		obj_t BgL_succs1186z00_8464, obj_t BgL_first1187z00_8465,
		obj_t BgL_z52mark1188z52_8466, obj_t BgL_z52hash1189z52_8467,
		obj_t BgL_z52blacklist1190z52_8468, obj_t BgL_ctx1191z00_8469,
		obj_t BgL_parent1192z00_8470, obj_t BgL_gccnt1193z00_8471,
		obj_t BgL_gcmark1194z00_8472, obj_t BgL_mblock1195z00_8473,
		obj_t BgL_creator1196z00_8474, obj_t BgL_merges1197z00_8475,
		obj_t BgL_asleep1198z00_8476)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			{	/* SawBbv/bbv-types.scm 53 */
				int BgL_label1184z00_9099;
				long BgL_z52mark1188z52_9103;
				long BgL_gccnt1193z00_9106;
				long BgL_gcmark1194z00_9107;
				bool_t BgL_asleep1198z00_9109;

				BgL_label1184z00_9099 = CINT(BgL_label1184z00_8462);
				BgL_z52mark1188z52_9103 = (long) CINT(BgL_z52mark1188z52_8466);
				BgL_gccnt1193z00_9106 = (long) CINT(BgL_gccnt1193z00_8471);
				BgL_gcmark1194z00_9107 = (long) CINT(BgL_gcmark1194z00_8472);
				BgL_asleep1198z00_9109 = CBOOL(BgL_asleep1198z00_8476);
				{	/* SawBbv/bbv-types.scm 53 */
					BgL_blockz00_bglt BgL_new1429z00_9110;

					{	/* SawBbv/bbv-types.scm 53 */
						BgL_blockz00_bglt BgL_tmp1427z00_9111;
						BgL_blocksz00_bglt BgL_wide1428z00_9112;

						{
							BgL_blockz00_bglt BgL_auxz00_13086;

							{	/* SawBbv/bbv-types.scm 53 */
								BgL_blockz00_bglt BgL_new1426z00_9113;

								BgL_new1426z00_9113 =
									((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_blockz00_bgl))));
								{	/* SawBbv/bbv-types.scm 53 */
									long BgL_arg2507z00_9114;

									BgL_arg2507z00_9114 =
										BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1426z00_9113),
										BgL_arg2507z00_9114);
								}
								{	/* SawBbv/bbv-types.scm 53 */
									BgL_objectz00_bglt BgL_tmpz00_13091;

									BgL_tmpz00_13091 = ((BgL_objectz00_bglt) BgL_new1426z00_9113);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13091, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1426z00_9113);
								BgL_auxz00_13086 = BgL_new1426z00_9113;
							}
							BgL_tmp1427z00_9111 = ((BgL_blockz00_bglt) BgL_auxz00_13086);
						}
						BgL_wide1428z00_9112 =
							((BgL_blocksz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_blocksz00_bgl))));
						{	/* SawBbv/bbv-types.scm 53 */
							obj_t BgL_auxz00_13099;
							BgL_objectz00_bglt BgL_tmpz00_13097;

							BgL_auxz00_13099 = ((obj_t) BgL_wide1428z00_9112);
							BgL_tmpz00_13097 = ((BgL_objectz00_bglt) BgL_tmp1427z00_9111);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13097, BgL_auxz00_13099);
						}
						((BgL_objectz00_bglt) BgL_tmp1427z00_9111);
						{	/* SawBbv/bbv-types.scm 53 */
							long BgL_arg2506z00_9115;

							BgL_arg2506z00_9115 =
								BGL_CLASS_NUM(BGl_blockSz00zzsaw_bbvzd2typeszd2);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1427z00_9111),
								BgL_arg2506z00_9115);
						}
						BgL_new1429z00_9110 = ((BgL_blockz00_bglt) BgL_tmp1427z00_9111);
					}
					((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_new1429z00_9110)))->BgL_labelz00) =
						((int) BgL_label1184z00_9099), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1429z00_9110)))->BgL_predsz00) =
						((obj_t) ((obj_t) BgL_preds1185z00_8463)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1429z00_9110)))->BgL_succsz00) =
						((obj_t) ((obj_t) BgL_succs1186z00_8464)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1429z00_9110)))->BgL_firstz00) =
						((obj_t) ((obj_t) BgL_first1187z00_8465)), BUNSPEC);
					{
						BgL_blocksz00_bglt BgL_auxz00_13118;

						{
							obj_t BgL_auxz00_13119;

							{	/* SawBbv/bbv-types.scm 53 */
								BgL_objectz00_bglt BgL_tmpz00_13120;

								BgL_tmpz00_13120 = ((BgL_objectz00_bglt) BgL_new1429z00_9110);
								BgL_auxz00_13119 = BGL_OBJECT_WIDENING(BgL_tmpz00_13120);
							}
							BgL_auxz00_13118 = ((BgL_blocksz00_bglt) BgL_auxz00_13119);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13118))->
								BgL_z52markz52) = ((long) BgL_z52mark1188z52_9103), BUNSPEC);
					}
					{
						BgL_blocksz00_bglt BgL_auxz00_13125;

						{
							obj_t BgL_auxz00_13126;

							{	/* SawBbv/bbv-types.scm 53 */
								BgL_objectz00_bglt BgL_tmpz00_13127;

								BgL_tmpz00_13127 = ((BgL_objectz00_bglt) BgL_new1429z00_9110);
								BgL_auxz00_13126 = BGL_OBJECT_WIDENING(BgL_tmpz00_13127);
							}
							BgL_auxz00_13125 = ((BgL_blocksz00_bglt) BgL_auxz00_13126);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13125))->
								BgL_z52hashz52) = ((obj_t) BgL_z52hash1189z52_8467), BUNSPEC);
					}
					{
						BgL_blocksz00_bglt BgL_auxz00_13132;

						{
							obj_t BgL_auxz00_13133;

							{	/* SawBbv/bbv-types.scm 53 */
								BgL_objectz00_bglt BgL_tmpz00_13134;

								BgL_tmpz00_13134 = ((BgL_objectz00_bglt) BgL_new1429z00_9110);
								BgL_auxz00_13133 = BGL_OBJECT_WIDENING(BgL_tmpz00_13134);
							}
							BgL_auxz00_13132 = ((BgL_blocksz00_bglt) BgL_auxz00_13133);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13132))->
								BgL_z52blacklistz52) =
							((obj_t) BgL_z52blacklist1190z52_8468), BUNSPEC);
					}
					{
						BgL_blocksz00_bglt BgL_auxz00_13139;

						{
							obj_t BgL_auxz00_13140;

							{	/* SawBbv/bbv-types.scm 53 */
								BgL_objectz00_bglt BgL_tmpz00_13141;

								BgL_tmpz00_13141 = ((BgL_objectz00_bglt) BgL_new1429z00_9110);
								BgL_auxz00_13140 = BGL_OBJECT_WIDENING(BgL_tmpz00_13141);
							}
							BgL_auxz00_13139 = ((BgL_blocksz00_bglt) BgL_auxz00_13140);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13139))->BgL_ctxz00) =
							((BgL_bbvzd2ctxzd2_bglt) ((BgL_bbvzd2ctxzd2_bglt)
									BgL_ctx1191z00_8469)), BUNSPEC);
					}
					{
						BgL_blocksz00_bglt BgL_auxz00_13147;

						{
							obj_t BgL_auxz00_13148;

							{	/* SawBbv/bbv-types.scm 53 */
								BgL_objectz00_bglt BgL_tmpz00_13149;

								BgL_tmpz00_13149 = ((BgL_objectz00_bglt) BgL_new1429z00_9110);
								BgL_auxz00_13148 = BGL_OBJECT_WIDENING(BgL_tmpz00_13149);
							}
							BgL_auxz00_13147 = ((BgL_blocksz00_bglt) BgL_auxz00_13148);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13147))->BgL_parentz00) =
							((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
									BgL_parent1192z00_8470)), BUNSPEC);
					}
					{
						BgL_blocksz00_bglt BgL_auxz00_13155;

						{
							obj_t BgL_auxz00_13156;

							{	/* SawBbv/bbv-types.scm 53 */
								BgL_objectz00_bglt BgL_tmpz00_13157;

								BgL_tmpz00_13157 = ((BgL_objectz00_bglt) BgL_new1429z00_9110);
								BgL_auxz00_13156 = BGL_OBJECT_WIDENING(BgL_tmpz00_13157);
							}
							BgL_auxz00_13155 = ((BgL_blocksz00_bglt) BgL_auxz00_13156);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13155))->BgL_gccntz00) =
							((long) BgL_gccnt1193z00_9106), BUNSPEC);
					}
					{
						BgL_blocksz00_bglt BgL_auxz00_13162;

						{
							obj_t BgL_auxz00_13163;

							{	/* SawBbv/bbv-types.scm 53 */
								BgL_objectz00_bglt BgL_tmpz00_13164;

								BgL_tmpz00_13164 = ((BgL_objectz00_bglt) BgL_new1429z00_9110);
								BgL_auxz00_13163 = BGL_OBJECT_WIDENING(BgL_tmpz00_13164);
							}
							BgL_auxz00_13162 = ((BgL_blocksz00_bglt) BgL_auxz00_13163);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13162))->BgL_gcmarkz00) =
							((long) BgL_gcmark1194z00_9107), BUNSPEC);
					}
					{
						BgL_blocksz00_bglt BgL_auxz00_13169;

						{
							obj_t BgL_auxz00_13170;

							{	/* SawBbv/bbv-types.scm 53 */
								BgL_objectz00_bglt BgL_tmpz00_13171;

								BgL_tmpz00_13171 = ((BgL_objectz00_bglt) BgL_new1429z00_9110);
								BgL_auxz00_13170 = BGL_OBJECT_WIDENING(BgL_tmpz00_13171);
							}
							BgL_auxz00_13169 = ((BgL_blocksz00_bglt) BgL_auxz00_13170);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13169))->BgL_mblockz00) =
							((obj_t) BgL_mblock1195z00_8473), BUNSPEC);
					}
					{
						BgL_blocksz00_bglt BgL_auxz00_13176;

						{
							obj_t BgL_auxz00_13177;

							{	/* SawBbv/bbv-types.scm 53 */
								BgL_objectz00_bglt BgL_tmpz00_13178;

								BgL_tmpz00_13178 = ((BgL_objectz00_bglt) BgL_new1429z00_9110);
								BgL_auxz00_13177 = BGL_OBJECT_WIDENING(BgL_tmpz00_13178);
							}
							BgL_auxz00_13176 = ((BgL_blocksz00_bglt) BgL_auxz00_13177);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13176))->
								BgL_creatorz00) = ((obj_t) BgL_creator1196z00_8474), BUNSPEC);
					}
					{
						BgL_blocksz00_bglt BgL_auxz00_13183;

						{
							obj_t BgL_auxz00_13184;

							{	/* SawBbv/bbv-types.scm 53 */
								BgL_objectz00_bglt BgL_tmpz00_13185;

								BgL_tmpz00_13185 = ((BgL_objectz00_bglt) BgL_new1429z00_9110);
								BgL_auxz00_13184 = BGL_OBJECT_WIDENING(BgL_tmpz00_13185);
							}
							BgL_auxz00_13183 = ((BgL_blocksz00_bglt) BgL_auxz00_13184);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13183))->BgL_mergesz00) =
							((obj_t) ((obj_t) BgL_merges1197z00_8475)), BUNSPEC);
					}
					{
						BgL_blocksz00_bglt BgL_auxz00_13191;

						{
							obj_t BgL_auxz00_13192;

							{	/* SawBbv/bbv-types.scm 53 */
								BgL_objectz00_bglt BgL_tmpz00_13193;

								BgL_tmpz00_13193 = ((BgL_objectz00_bglt) BgL_new1429z00_9110);
								BgL_auxz00_13192 = BGL_OBJECT_WIDENING(BgL_tmpz00_13193);
							}
							BgL_auxz00_13191 = ((BgL_blocksz00_bglt) BgL_auxz00_13192);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13191))->BgL_asleepz00) =
							((bool_t) BgL_asleep1198z00_9109), BUNSPEC);
					}
					return BgL_new1429z00_9110;
				}
			}
		}

	}



/* &<@anonymous:2596> */
	obj_t BGl_z62zc3z04anonymousza32596ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8477)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2595 */
	obj_t BGl_z62lambda2595z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8478,
		obj_t BgL_oz00_8479, obj_t BgL_vz00_8480)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			{	/* SawBbv/bbv-types.scm 53 */
				bool_t BgL_vz00_9117;

				BgL_vz00_9117 = CBOOL(BgL_vz00_8480);
				{
					BgL_blocksz00_bglt BgL_auxz00_13200;

					{
						obj_t BgL_auxz00_13201;

						{	/* SawBbv/bbv-types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_13202;

							BgL_tmpz00_13202 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8479));
							BgL_auxz00_13201 = BGL_OBJECT_WIDENING(BgL_tmpz00_13202);
						}
						BgL_auxz00_13200 = ((BgL_blocksz00_bglt) BgL_auxz00_13201);
					}
					return
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13200))->BgL_asleepz00) =
						((bool_t) BgL_vz00_9117), BUNSPEC);
				}
			}
		}

	}



/* &lambda2594 */
	obj_t BGl_z62lambda2594z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8481,
		obj_t BgL_oz00_8482)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			{	/* SawBbv/bbv-types.scm 53 */
				bool_t BgL_tmpz00_13208;

				{
					BgL_blocksz00_bglt BgL_auxz00_13209;

					{
						obj_t BgL_auxz00_13210;

						{	/* SawBbv/bbv-types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_13211;

							BgL_tmpz00_13211 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8482));
							BgL_auxz00_13210 = BGL_OBJECT_WIDENING(BgL_tmpz00_13211);
						}
						BgL_auxz00_13209 = ((BgL_blocksz00_bglt) BgL_auxz00_13210);
					}
					BgL_tmpz00_13208 =
						(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13209))->BgL_asleepz00);
				}
				return BBOOL(BgL_tmpz00_13208);
			}
		}

	}



/* &<@anonymous:2587> */
	obj_t BGl_z62zc3z04anonymousza32587ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8483)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			return BNIL;
		}

	}



/* &lambda2586 */
	obj_t BGl_z62lambda2586z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8484,
		obj_t BgL_oz00_8485, obj_t BgL_vz00_8486)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			{
				BgL_blocksz00_bglt BgL_auxz00_13218;

				{
					obj_t BgL_auxz00_13219;

					{	/* SawBbv/bbv-types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_13220;

						BgL_tmpz00_13220 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8485));
						BgL_auxz00_13219 = BGL_OBJECT_WIDENING(BgL_tmpz00_13220);
					}
					BgL_auxz00_13218 = ((BgL_blocksz00_bglt) BgL_auxz00_13219);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13218))->BgL_mergesz00) =
					((obj_t) ((obj_t) BgL_vz00_8486)), BUNSPEC);
			}
		}

	}



/* &lambda2585 */
	obj_t BGl_z62lambda2585z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8487,
		obj_t BgL_oz00_8488)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			{
				BgL_blocksz00_bglt BgL_auxz00_13227;

				{
					obj_t BgL_auxz00_13228;

					{	/* SawBbv/bbv-types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_13229;

						BgL_tmpz00_13229 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8488));
						BgL_auxz00_13228 = BGL_OBJECT_WIDENING(BgL_tmpz00_13229);
					}
					BgL_auxz00_13227 = ((BgL_blocksz00_bglt) BgL_auxz00_13228);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13227))->BgL_mergesz00);
			}
		}

	}



/* &lambda2580 */
	obj_t BGl_z62lambda2580z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8489,
		obj_t BgL_oz00_8490, obj_t BgL_vz00_8491)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			{
				BgL_blocksz00_bglt BgL_auxz00_13235;

				{
					obj_t BgL_auxz00_13236;

					{	/* SawBbv/bbv-types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_13237;

						BgL_tmpz00_13237 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8490));
						BgL_auxz00_13236 = BGL_OBJECT_WIDENING(BgL_tmpz00_13237);
					}
					BgL_auxz00_13235 = ((BgL_blocksz00_bglt) BgL_auxz00_13236);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13235))->BgL_creatorz00) =
					((obj_t) BgL_vz00_8491), BUNSPEC);
			}
		}

	}



/* &lambda2579 */
	obj_t BGl_z62lambda2579z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8492,
		obj_t BgL_oz00_8493)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			{
				BgL_blocksz00_bglt BgL_auxz00_13243;

				{
					obj_t BgL_auxz00_13244;

					{	/* SawBbv/bbv-types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_13245;

						BgL_tmpz00_13245 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8493));
						BgL_auxz00_13244 = BGL_OBJECT_WIDENING(BgL_tmpz00_13245);
					}
					BgL_auxz00_13243 = ((BgL_blocksz00_bglt) BgL_auxz00_13244);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13243))->BgL_creatorz00);
			}
		}

	}



/* &<@anonymous:2575> */
	obj_t BGl_z62zc3z04anonymousza32575ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8494)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2574 */
	obj_t BGl_z62lambda2574z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8495,
		obj_t BgL_oz00_8496, obj_t BgL_vz00_8497)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			{
				BgL_blocksz00_bglt BgL_auxz00_13252;

				{
					obj_t BgL_auxz00_13253;

					{	/* SawBbv/bbv-types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_13254;

						BgL_tmpz00_13254 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8496));
						BgL_auxz00_13253 = BGL_OBJECT_WIDENING(BgL_tmpz00_13254);
					}
					BgL_auxz00_13252 = ((BgL_blocksz00_bglt) BgL_auxz00_13253);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13252))->BgL_mblockz00) =
					((obj_t) BgL_vz00_8497), BUNSPEC);
			}
		}

	}



/* &lambda2573 */
	obj_t BGl_z62lambda2573z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8498,
		obj_t BgL_oz00_8499)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			{
				BgL_blocksz00_bglt BgL_auxz00_13260;

				{
					obj_t BgL_auxz00_13261;

					{	/* SawBbv/bbv-types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_13262;

						BgL_tmpz00_13262 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8499));
						BgL_auxz00_13261 = BGL_OBJECT_WIDENING(BgL_tmpz00_13262);
					}
					BgL_auxz00_13260 = ((BgL_blocksz00_bglt) BgL_auxz00_13261);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13260))->BgL_mblockz00);
			}
		}

	}



/* &<@anonymous:2566> */
	obj_t BGl_z62zc3z04anonymousza32566ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8500)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			return BINT((-1L));
		}

	}



/* &lambda2565 */
	obj_t BGl_z62lambda2565z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8501,
		obj_t BgL_oz00_8502, obj_t BgL_vz00_8503)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			{	/* SawBbv/bbv-types.scm 53 */
				long BgL_vz00_9127;

				BgL_vz00_9127 = (long) CINT(BgL_vz00_8503);
				{
					BgL_blocksz00_bglt BgL_auxz00_13270;

					{
						obj_t BgL_auxz00_13271;

						{	/* SawBbv/bbv-types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_13272;

							BgL_tmpz00_13272 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8502));
							BgL_auxz00_13271 = BGL_OBJECT_WIDENING(BgL_tmpz00_13272);
						}
						BgL_auxz00_13270 = ((BgL_blocksz00_bglt) BgL_auxz00_13271);
					}
					return
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13270))->BgL_gcmarkz00) =
						((long) BgL_vz00_9127), BUNSPEC);
		}}}

	}



/* &lambda2564 */
	obj_t BGl_z62lambda2564z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8504,
		obj_t BgL_oz00_8505)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			{	/* SawBbv/bbv-types.scm 53 */
				long BgL_tmpz00_13278;

				{
					BgL_blocksz00_bglt BgL_auxz00_13279;

					{
						obj_t BgL_auxz00_13280;

						{	/* SawBbv/bbv-types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_13281;

							BgL_tmpz00_13281 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8505));
							BgL_auxz00_13280 = BGL_OBJECT_WIDENING(BgL_tmpz00_13281);
						}
						BgL_auxz00_13279 = ((BgL_blocksz00_bglt) BgL_auxz00_13280);
					}
					BgL_tmpz00_13278 =
						(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13279))->BgL_gcmarkz00);
				}
				return BINT(BgL_tmpz00_13278);
			}
		}

	}



/* &<@anonymous:2559> */
	obj_t BGl_z62zc3z04anonymousza32559ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8506)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			return BINT(0L);
		}

	}



/* &lambda2558 */
	obj_t BGl_z62lambda2558z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8507,
		obj_t BgL_oz00_8508, obj_t BgL_vz00_8509)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			{	/* SawBbv/bbv-types.scm 53 */
				long BgL_vz00_9130;

				BgL_vz00_9130 = (long) CINT(BgL_vz00_8509);
				{
					BgL_blocksz00_bglt BgL_auxz00_13290;

					{
						obj_t BgL_auxz00_13291;

						{	/* SawBbv/bbv-types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_13292;

							BgL_tmpz00_13292 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8508));
							BgL_auxz00_13291 = BGL_OBJECT_WIDENING(BgL_tmpz00_13292);
						}
						BgL_auxz00_13290 = ((BgL_blocksz00_bglt) BgL_auxz00_13291);
					}
					return
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13290))->BgL_gccntz00) =
						((long) BgL_vz00_9130), BUNSPEC);
		}}}

	}



/* &lambda2557 */
	obj_t BGl_z62lambda2557z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8510,
		obj_t BgL_oz00_8511)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			{	/* SawBbv/bbv-types.scm 53 */
				long BgL_tmpz00_13298;

				{
					BgL_blocksz00_bglt BgL_auxz00_13299;

					{
						obj_t BgL_auxz00_13300;

						{	/* SawBbv/bbv-types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_13301;

							BgL_tmpz00_13301 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8511));
							BgL_auxz00_13300 = BGL_OBJECT_WIDENING(BgL_tmpz00_13301);
						}
						BgL_auxz00_13299 = ((BgL_blocksz00_bglt) BgL_auxz00_13300);
					}
					BgL_tmpz00_13298 =
						(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13299))->BgL_gccntz00);
				}
				return BINT(BgL_tmpz00_13298);
			}
		}

	}



/* &lambda2552 */
	obj_t BGl_z62lambda2552z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8512,
		obj_t BgL_oz00_8513, obj_t BgL_vz00_8514)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			{
				BgL_blocksz00_bglt BgL_auxz00_13308;

				{
					obj_t BgL_auxz00_13309;

					{	/* SawBbv/bbv-types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_13310;

						BgL_tmpz00_13310 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8513));
						BgL_auxz00_13309 = BGL_OBJECT_WIDENING(BgL_tmpz00_13310);
					}
					BgL_auxz00_13308 = ((BgL_blocksz00_bglt) BgL_auxz00_13309);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13308))->BgL_parentz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_8514)), BUNSPEC);
			}
		}

	}



/* &lambda2551 */
	BgL_blockz00_bglt BGl_z62lambda2551z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8515, obj_t BgL_oz00_8516)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			{
				BgL_blocksz00_bglt BgL_auxz00_13317;

				{
					obj_t BgL_auxz00_13318;

					{	/* SawBbv/bbv-types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_13319;

						BgL_tmpz00_13319 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8516));
						BgL_auxz00_13318 = BGL_OBJECT_WIDENING(BgL_tmpz00_13319);
					}
					BgL_auxz00_13317 = ((BgL_blocksz00_bglt) BgL_auxz00_13318);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13317))->BgL_parentz00);
			}
		}

	}



/* &lambda2547 */
	obj_t BGl_z62lambda2547z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8517,
		obj_t BgL_oz00_8518, obj_t BgL_vz00_8519)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			{
				BgL_blocksz00_bglt BgL_auxz00_13325;

				{
					obj_t BgL_auxz00_13326;

					{	/* SawBbv/bbv-types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_13327;

						BgL_tmpz00_13327 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8518));
						BgL_auxz00_13326 = BGL_OBJECT_WIDENING(BgL_tmpz00_13327);
					}
					BgL_auxz00_13325 = ((BgL_blocksz00_bglt) BgL_auxz00_13326);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13325))->BgL_ctxz00) =
					((BgL_bbvzd2ctxzd2_bglt) ((BgL_bbvzd2ctxzd2_bglt) BgL_vz00_8519)),
					BUNSPEC);
			}
		}

	}



/* &lambda2546 */
	BgL_bbvzd2ctxzd2_bglt BGl_z62lambda2546z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8520, obj_t BgL_oz00_8521)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			{
				BgL_blocksz00_bglt BgL_auxz00_13334;

				{
					obj_t BgL_auxz00_13335;

					{	/* SawBbv/bbv-types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_13336;

						BgL_tmpz00_13336 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8521));
						BgL_auxz00_13335 = BGL_OBJECT_WIDENING(BgL_tmpz00_13336);
					}
					BgL_auxz00_13334 = ((BgL_blocksz00_bglt) BgL_auxz00_13335);
				}
				return (((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13334))->BgL_ctxz00);
			}
		}

	}



/* &<@anonymous:2541> */
	obj_t BGl_z62zc3z04anonymousza32541ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8522)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			return BNIL;
		}

	}



/* &lambda2540 */
	obj_t BGl_z62lambda2540z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8523,
		obj_t BgL_oz00_8524, obj_t BgL_vz00_8525)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			{
				BgL_blocksz00_bglt BgL_auxz00_13342;

				{
					obj_t BgL_auxz00_13343;

					{	/* SawBbv/bbv-types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_13344;

						BgL_tmpz00_13344 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8524));
						BgL_auxz00_13343 = BGL_OBJECT_WIDENING(BgL_tmpz00_13344);
					}
					BgL_auxz00_13342 = ((BgL_blocksz00_bglt) BgL_auxz00_13343);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13342))->
						BgL_z52blacklistz52) = ((obj_t) BgL_vz00_8525), BUNSPEC);
			}
		}

	}



/* &lambda2539 */
	obj_t BGl_z62lambda2539z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8526,
		obj_t BgL_oz00_8527)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			{
				BgL_blocksz00_bglt BgL_auxz00_13350;

				{
					obj_t BgL_auxz00_13351;

					{	/* SawBbv/bbv-types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_13352;

						BgL_tmpz00_13352 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8527));
						BgL_auxz00_13351 = BGL_OBJECT_WIDENING(BgL_tmpz00_13352);
					}
					BgL_auxz00_13350 = ((BgL_blocksz00_bglt) BgL_auxz00_13351);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13350))->
					BgL_z52blacklistz52);
			}
		}

	}



/* &<@anonymous:2533> */
	obj_t BGl_z62zc3z04anonymousza32533ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8528)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2532 */
	obj_t BGl_z62lambda2532z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8529,
		obj_t BgL_oz00_8530, obj_t BgL_vz00_8531)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			{
				BgL_blocksz00_bglt BgL_auxz00_13359;

				{
					obj_t BgL_auxz00_13360;

					{	/* SawBbv/bbv-types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_13361;

						BgL_tmpz00_13361 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8530));
						BgL_auxz00_13360 = BGL_OBJECT_WIDENING(BgL_tmpz00_13361);
					}
					BgL_auxz00_13359 = ((BgL_blocksz00_bglt) BgL_auxz00_13360);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13359))->BgL_z52hashz52) =
					((obj_t) BgL_vz00_8531), BUNSPEC);
			}
		}

	}



/* &lambda2531 */
	obj_t BGl_z62lambda2531z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8532,
		obj_t BgL_oz00_8533)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			{
				BgL_blocksz00_bglt BgL_auxz00_13367;

				{
					obj_t BgL_auxz00_13368;

					{	/* SawBbv/bbv-types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_13369;

						BgL_tmpz00_13369 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8533));
						BgL_auxz00_13368 = BGL_OBJECT_WIDENING(BgL_tmpz00_13369);
					}
					BgL_auxz00_13367 = ((BgL_blocksz00_bglt) BgL_auxz00_13368);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13367))->BgL_z52hashz52);
			}
		}

	}



/* &<@anonymous:2525> */
	obj_t BGl_z62zc3z04anonymousza32525ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8534)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			return BINT((-1L));
		}

	}



/* &lambda2524 */
	obj_t BGl_z62lambda2524z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8535,
		obj_t BgL_oz00_8536, obj_t BgL_vz00_8537)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			{	/* SawBbv/bbv-types.scm 53 */
				long BgL_vz00_9143;

				BgL_vz00_9143 = (long) CINT(BgL_vz00_8537);
				{
					BgL_blocksz00_bglt BgL_auxz00_13377;

					{
						obj_t BgL_auxz00_13378;

						{	/* SawBbv/bbv-types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_13379;

							BgL_tmpz00_13379 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8536));
							BgL_auxz00_13378 = BGL_OBJECT_WIDENING(BgL_tmpz00_13379);
						}
						BgL_auxz00_13377 = ((BgL_blocksz00_bglt) BgL_auxz00_13378);
					}
					return
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13377))->
							BgL_z52markz52) = ((long) BgL_vz00_9143), BUNSPEC);
		}}}

	}



/* &lambda2523 */
	obj_t BGl_z62lambda2523z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8538,
		obj_t BgL_oz00_8539)
	{
		{	/* SawBbv/bbv-types.scm 53 */
			{	/* SawBbv/bbv-types.scm 53 */
				long BgL_tmpz00_13385;

				{
					BgL_blocksz00_bglt BgL_auxz00_13386;

					{
						obj_t BgL_auxz00_13387;

						{	/* SawBbv/bbv-types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_13388;

							BgL_tmpz00_13388 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8539));
							BgL_auxz00_13387 = BGL_OBJECT_WIDENING(BgL_tmpz00_13388);
						}
						BgL_auxz00_13386 = ((BgL_blocksz00_bglt) BgL_auxz00_13387);
					}
					BgL_tmpz00_13385 =
						(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13386))->BgL_z52markz52);
				}
				return BINT(BgL_tmpz00_13385);
			}
		}

	}



/* &lambda2459 */
	BgL_blockz00_bglt BGl_z62lambda2459z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8540, obj_t BgL_o1182z00_8541)
	{
		{	/* SawBbv/bbv-types.scm 46 */
			{	/* SawBbv/bbv-types.scm 46 */
				long BgL_arg2461z00_9146;

				{	/* SawBbv/bbv-types.scm 46 */
					obj_t BgL_arg2462z00_9147;

					{	/* SawBbv/bbv-types.scm 46 */
						obj_t BgL_arg2464z00_9148;

						{	/* SawBbv/bbv-types.scm 46 */
							obj_t BgL_arg1866z00_9149;
							long BgL_arg1867z00_9150;

							BgL_arg1866z00_9149 = (BGl_za2classesza2z00zz__objectz00);
							{	/* SawBbv/bbv-types.scm 46 */
								long BgL_arg1869z00_9151;

								BgL_arg1869z00_9151 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_blockz00_bglt) BgL_o1182z00_8541)));
								BgL_arg1867z00_9150 = (BgL_arg1869z00_9151 - OBJECT_TYPE);
							}
							BgL_arg2464z00_9148 =
								VECTOR_REF(BgL_arg1866z00_9149, BgL_arg1867z00_9150);
						}
						BgL_arg2462z00_9147 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2464z00_9148);
					}
					{	/* SawBbv/bbv-types.scm 46 */
						obj_t BgL_tmpz00_13402;

						BgL_tmpz00_13402 = ((obj_t) BgL_arg2462z00_9147);
						BgL_arg2461z00_9146 = BGL_CLASS_NUM(BgL_tmpz00_13402);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) BgL_o1182z00_8541)), BgL_arg2461z00_9146);
			}
			{	/* SawBbv/bbv-types.scm 46 */
				BgL_objectz00_bglt BgL_tmpz00_13408;

				BgL_tmpz00_13408 =
					((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1182z00_8541));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13408, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1182z00_8541));
			return ((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1182z00_8541));
		}

	}



/* &<@anonymous:2458> */
	obj_t BGl_z62zc3z04anonymousza32458ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8542, obj_t BgL_new1181z00_8543)
	{
		{	/* SawBbv/bbv-types.scm 46 */
			{
				BgL_blockz00_bglt BgL_auxz00_13416;

				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_new1181z00_8543))))->BgL_labelz00) =
					((int) (int) (0L)), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1181z00_8543))))->BgL_predsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1181z00_8543))))->BgL_succsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1181z00_8543))))->BgL_firstz00) =
					((obj_t) BNIL), BUNSPEC);
				{
					BgL_blockvz00_bglt BgL_auxz00_13430;

					{
						obj_t BgL_auxz00_13431;

						{	/* SawBbv/bbv-types.scm 46 */
							BgL_objectz00_bglt BgL_tmpz00_13432;

							BgL_tmpz00_13432 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1181z00_8543));
							BgL_auxz00_13431 = BGL_OBJECT_WIDENING(BgL_tmpz00_13432);
						}
						BgL_auxz00_13430 = ((BgL_blockvz00_bglt) BgL_auxz00_13431);
					}
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_13430))->BgL_versionsz00) =
						((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_blockvz00_bglt BgL_auxz00_13438;

					{
						obj_t BgL_auxz00_13439;

						{	/* SawBbv/bbv-types.scm 46 */
							BgL_objectz00_bglt BgL_tmpz00_13440;

							BgL_tmpz00_13440 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1181z00_8543));
							BgL_auxz00_13439 = BGL_OBJECT_WIDENING(BgL_tmpz00_13440);
						}
						BgL_auxz00_13438 = ((BgL_blockvz00_bglt) BgL_auxz00_13439);
					}
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_13438))->BgL_genericz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_blockvz00_bglt BgL_auxz00_13446;

					{
						obj_t BgL_auxz00_13447;

						{	/* SawBbv/bbv-types.scm 46 */
							BgL_objectz00_bglt BgL_tmpz00_13448;

							BgL_tmpz00_13448 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1181z00_8543));
							BgL_auxz00_13447 = BGL_OBJECT_WIDENING(BgL_tmpz00_13448);
						}
						BgL_auxz00_13446 = ((BgL_blockvz00_bglt) BgL_auxz00_13447);
					}
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_13446))->BgL_z52markz52) =
						((long) 0L), BUNSPEC);
				}
				{
					BgL_blockvz00_bglt BgL_auxz00_13454;

					{
						obj_t BgL_auxz00_13455;

						{	/* SawBbv/bbv-types.scm 46 */
							BgL_objectz00_bglt BgL_tmpz00_13456;

							BgL_tmpz00_13456 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1181z00_8543));
							BgL_auxz00_13455 = BGL_OBJECT_WIDENING(BgL_tmpz00_13456);
						}
						BgL_auxz00_13454 = ((BgL_blockvz00_bglt) BgL_auxz00_13455);
					}
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_13454))->BgL_mergez00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_13416 = ((BgL_blockz00_bglt) BgL_new1181z00_8543);
				return ((obj_t) BgL_auxz00_13416);
			}
		}

	}



/* &lambda2456 */
	BgL_blockz00_bglt BGl_z62lambda2456z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8544, obj_t BgL_o1178z00_8545)
	{
		{	/* SawBbv/bbv-types.scm 46 */
			{	/* SawBbv/bbv-types.scm 46 */
				BgL_blockvz00_bglt BgL_wide1180z00_9154;

				BgL_wide1180z00_9154 =
					((BgL_blockvz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_blockvz00_bgl))));
				{	/* SawBbv/bbv-types.scm 46 */
					obj_t BgL_auxz00_13469;
					BgL_objectz00_bglt BgL_tmpz00_13465;

					BgL_auxz00_13469 = ((obj_t) BgL_wide1180z00_9154);
					BgL_tmpz00_13465 =
						((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1178z00_8545)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13465, BgL_auxz00_13469);
				}
				((BgL_objectz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1178z00_8545)));
				{	/* SawBbv/bbv-types.scm 46 */
					long BgL_arg2457z00_9155;

					BgL_arg2457z00_9155 =
						BGL_CLASS_NUM(BGl_blockVz00zzsaw_bbvzd2typeszd2);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_o1178z00_8545))), BgL_arg2457z00_9155);
				}
				return
					((BgL_blockz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1178z00_8545)));
			}
		}

	}



/* &lambda2452 */
	BgL_blockz00_bglt BGl_z62lambda2452z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8546, obj_t BgL_label1170z00_8547, obj_t BgL_preds1171z00_8548,
		obj_t BgL_succs1172z00_8549, obj_t BgL_first1173z00_8550,
		obj_t BgL_versions1174z00_8551, obj_t BgL_generic1175z00_8552,
		obj_t BgL_z52mark1176z52_8553, obj_t BgL_merge1177z00_8554)
	{
		{	/* SawBbv/bbv-types.scm 46 */
			{	/* SawBbv/bbv-types.scm 46 */
				int BgL_label1170z00_9156;
				long BgL_z52mark1176z52_9161;

				BgL_label1170z00_9156 = CINT(BgL_label1170z00_8547);
				BgL_z52mark1176z52_9161 = (long) CINT(BgL_z52mark1176z52_8553);
				{	/* SawBbv/bbv-types.scm 46 */
					BgL_blockz00_bglt BgL_new1424z00_9162;

					{	/* SawBbv/bbv-types.scm 46 */
						BgL_blockz00_bglt BgL_tmp1422z00_9163;
						BgL_blockvz00_bglt BgL_wide1423z00_9164;

						{
							BgL_blockz00_bglt BgL_auxz00_13485;

							{	/* SawBbv/bbv-types.scm 46 */
								BgL_blockz00_bglt BgL_new1421z00_9165;

								BgL_new1421z00_9165 =
									((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_blockz00_bgl))));
								{	/* SawBbv/bbv-types.scm 46 */
									long BgL_arg2455z00_9166;

									BgL_arg2455z00_9166 =
										BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1421z00_9165),
										BgL_arg2455z00_9166);
								}
								{	/* SawBbv/bbv-types.scm 46 */
									BgL_objectz00_bglt BgL_tmpz00_13490;

									BgL_tmpz00_13490 = ((BgL_objectz00_bglt) BgL_new1421z00_9165);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13490, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1421z00_9165);
								BgL_auxz00_13485 = BgL_new1421z00_9165;
							}
							BgL_tmp1422z00_9163 = ((BgL_blockz00_bglt) BgL_auxz00_13485);
						}
						BgL_wide1423z00_9164 =
							((BgL_blockvz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_blockvz00_bgl))));
						{	/* SawBbv/bbv-types.scm 46 */
							obj_t BgL_auxz00_13498;
							BgL_objectz00_bglt BgL_tmpz00_13496;

							BgL_auxz00_13498 = ((obj_t) BgL_wide1423z00_9164);
							BgL_tmpz00_13496 = ((BgL_objectz00_bglt) BgL_tmp1422z00_9163);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13496, BgL_auxz00_13498);
						}
						((BgL_objectz00_bglt) BgL_tmp1422z00_9163);
						{	/* SawBbv/bbv-types.scm 46 */
							long BgL_arg2454z00_9167;

							BgL_arg2454z00_9167 =
								BGL_CLASS_NUM(BGl_blockVz00zzsaw_bbvzd2typeszd2);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1422z00_9163),
								BgL_arg2454z00_9167);
						}
						BgL_new1424z00_9162 = ((BgL_blockz00_bglt) BgL_tmp1422z00_9163);
					}
					((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_new1424z00_9162)))->BgL_labelz00) =
						((int) BgL_label1170z00_9156), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1424z00_9162)))->BgL_predsz00) =
						((obj_t) ((obj_t) BgL_preds1171z00_8548)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1424z00_9162)))->BgL_succsz00) =
						((obj_t) ((obj_t) BgL_succs1172z00_8549)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1424z00_9162)))->BgL_firstz00) =
						((obj_t) ((obj_t) BgL_first1173z00_8550)), BUNSPEC);
					{
						BgL_blockvz00_bglt BgL_auxz00_13517;

						{
							obj_t BgL_auxz00_13518;

							{	/* SawBbv/bbv-types.scm 46 */
								BgL_objectz00_bglt BgL_tmpz00_13519;

								BgL_tmpz00_13519 = ((BgL_objectz00_bglt) BgL_new1424z00_9162);
								BgL_auxz00_13518 = BGL_OBJECT_WIDENING(BgL_tmpz00_13519);
							}
							BgL_auxz00_13517 = ((BgL_blockvz00_bglt) BgL_auxz00_13518);
						}
						((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_13517))->
								BgL_versionsz00) =
							((obj_t) ((obj_t) BgL_versions1174z00_8551)), BUNSPEC);
					}
					{
						BgL_blockvz00_bglt BgL_auxz00_13525;

						{
							obj_t BgL_auxz00_13526;

							{	/* SawBbv/bbv-types.scm 46 */
								BgL_objectz00_bglt BgL_tmpz00_13527;

								BgL_tmpz00_13527 = ((BgL_objectz00_bglt) BgL_new1424z00_9162);
								BgL_auxz00_13526 = BGL_OBJECT_WIDENING(BgL_tmpz00_13527);
							}
							BgL_auxz00_13525 = ((BgL_blockvz00_bglt) BgL_auxz00_13526);
						}
						((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_13525))->
								BgL_genericz00) = ((obj_t) BgL_generic1175z00_8552), BUNSPEC);
					}
					{
						BgL_blockvz00_bglt BgL_auxz00_13532;

						{
							obj_t BgL_auxz00_13533;

							{	/* SawBbv/bbv-types.scm 46 */
								BgL_objectz00_bglt BgL_tmpz00_13534;

								BgL_tmpz00_13534 = ((BgL_objectz00_bglt) BgL_new1424z00_9162);
								BgL_auxz00_13533 = BGL_OBJECT_WIDENING(BgL_tmpz00_13534);
							}
							BgL_auxz00_13532 = ((BgL_blockvz00_bglt) BgL_auxz00_13533);
						}
						((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_13532))->
								BgL_z52markz52) = ((long) BgL_z52mark1176z52_9161), BUNSPEC);
					}
					{
						BgL_blockvz00_bglt BgL_auxz00_13539;

						{
							obj_t BgL_auxz00_13540;

							{	/* SawBbv/bbv-types.scm 46 */
								BgL_objectz00_bglt BgL_tmpz00_13541;

								BgL_tmpz00_13541 = ((BgL_objectz00_bglt) BgL_new1424z00_9162);
								BgL_auxz00_13540 = BGL_OBJECT_WIDENING(BgL_tmpz00_13541);
							}
							BgL_auxz00_13539 = ((BgL_blockvz00_bglt) BgL_auxz00_13540);
						}
						((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_13539))->BgL_mergez00) =
							((obj_t) BgL_merge1177z00_8554), BUNSPEC);
					}
					return BgL_new1424z00_9162;
				}
			}
		}

	}



/* &<@anonymous:2498> */
	obj_t BGl_z62zc3z04anonymousza32498ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8555)
	{
		{	/* SawBbv/bbv-types.scm 46 */
			return BUNSPEC;
		}

	}



/* &lambda2497 */
	obj_t BGl_z62lambda2497z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8556,
		obj_t BgL_oz00_8557, obj_t BgL_vz00_8558)
	{
		{	/* SawBbv/bbv-types.scm 46 */
			{
				BgL_blockvz00_bglt BgL_auxz00_13546;

				{
					obj_t BgL_auxz00_13547;

					{	/* SawBbv/bbv-types.scm 46 */
						BgL_objectz00_bglt BgL_tmpz00_13548;

						BgL_tmpz00_13548 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8557));
						BgL_auxz00_13547 = BGL_OBJECT_WIDENING(BgL_tmpz00_13548);
					}
					BgL_auxz00_13546 = ((BgL_blockvz00_bglt) BgL_auxz00_13547);
				}
				return
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_13546))->BgL_mergez00) =
					((obj_t) BgL_vz00_8558), BUNSPEC);
			}
		}

	}



/* &lambda2496 */
	obj_t BGl_z62lambda2496z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8559,
		obj_t BgL_oz00_8560)
	{
		{	/* SawBbv/bbv-types.scm 46 */
			{
				BgL_blockvz00_bglt BgL_auxz00_13554;

				{
					obj_t BgL_auxz00_13555;

					{	/* SawBbv/bbv-types.scm 46 */
						BgL_objectz00_bglt BgL_tmpz00_13556;

						BgL_tmpz00_13556 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8560));
						BgL_auxz00_13555 = BGL_OBJECT_WIDENING(BgL_tmpz00_13556);
					}
					BgL_auxz00_13554 = ((BgL_blockvz00_bglt) BgL_auxz00_13555);
				}
				return (((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_13554))->BgL_mergez00);
			}
		}

	}



/* &<@anonymous:2490> */
	obj_t BGl_z62zc3z04anonymousza32490ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8561)
	{
		{	/* SawBbv/bbv-types.scm 46 */
			return BINT((-1L));
		}

	}



/* &lambda2489 */
	obj_t BGl_z62lambda2489z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8562,
		obj_t BgL_oz00_8563, obj_t BgL_vz00_8564)
	{
		{	/* SawBbv/bbv-types.scm 46 */
			{	/* SawBbv/bbv-types.scm 46 */
				long BgL_vz00_9171;

				BgL_vz00_9171 = (long) CINT(BgL_vz00_8564);
				{
					BgL_blockvz00_bglt BgL_auxz00_13564;

					{
						obj_t BgL_auxz00_13565;

						{	/* SawBbv/bbv-types.scm 46 */
							BgL_objectz00_bglt BgL_tmpz00_13566;

							BgL_tmpz00_13566 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8563));
							BgL_auxz00_13565 = BGL_OBJECT_WIDENING(BgL_tmpz00_13566);
						}
						BgL_auxz00_13564 = ((BgL_blockvz00_bglt) BgL_auxz00_13565);
					}
					return
						((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_13564))->
							BgL_z52markz52) = ((long) BgL_vz00_9171), BUNSPEC);
		}}}

	}



/* &lambda2488 */
	obj_t BGl_z62lambda2488z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8565,
		obj_t BgL_oz00_8566)
	{
		{	/* SawBbv/bbv-types.scm 46 */
			{	/* SawBbv/bbv-types.scm 46 */
				long BgL_tmpz00_13572;

				{
					BgL_blockvz00_bglt BgL_auxz00_13573;

					{
						obj_t BgL_auxz00_13574;

						{	/* SawBbv/bbv-types.scm 46 */
							BgL_objectz00_bglt BgL_tmpz00_13575;

							BgL_tmpz00_13575 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8566));
							BgL_auxz00_13574 = BGL_OBJECT_WIDENING(BgL_tmpz00_13575);
						}
						BgL_auxz00_13573 = ((BgL_blockvz00_bglt) BgL_auxz00_13574);
					}
					BgL_tmpz00_13572 =
						(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_13573))->BgL_z52markz52);
				}
				return BINT(BgL_tmpz00_13572);
			}
		}

	}



/* &<@anonymous:2480> */
	obj_t BGl_z62zc3z04anonymousza32480ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8567)
	{
		{	/* SawBbv/bbv-types.scm 46 */
			return BUNSPEC;
		}

	}



/* &lambda2479 */
	obj_t BGl_z62lambda2479z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8568,
		obj_t BgL_oz00_8569, obj_t BgL_vz00_8570)
	{
		{	/* SawBbv/bbv-types.scm 46 */
			{
				BgL_blockvz00_bglt BgL_auxz00_13582;

				{
					obj_t BgL_auxz00_13583;

					{	/* SawBbv/bbv-types.scm 46 */
						BgL_objectz00_bglt BgL_tmpz00_13584;

						BgL_tmpz00_13584 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8569));
						BgL_auxz00_13583 = BGL_OBJECT_WIDENING(BgL_tmpz00_13584);
					}
					BgL_auxz00_13582 = ((BgL_blockvz00_bglt) BgL_auxz00_13583);
				}
				return
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_13582))->BgL_genericz00) =
					((obj_t) BgL_vz00_8570), BUNSPEC);
			}
		}

	}



/* &lambda2478 */
	obj_t BGl_z62lambda2478z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8571,
		obj_t BgL_oz00_8572)
	{
		{	/* SawBbv/bbv-types.scm 46 */
			{
				BgL_blockvz00_bglt BgL_auxz00_13590;

				{
					obj_t BgL_auxz00_13591;

					{	/* SawBbv/bbv-types.scm 46 */
						BgL_objectz00_bglt BgL_tmpz00_13592;

						BgL_tmpz00_13592 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8572));
						BgL_auxz00_13591 = BGL_OBJECT_WIDENING(BgL_tmpz00_13592);
					}
					BgL_auxz00_13590 = ((BgL_blockvz00_bglt) BgL_auxz00_13591);
				}
				return
					(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_13590))->BgL_genericz00);
			}
		}

	}



/* &<@anonymous:2472> */
	obj_t BGl_z62zc3z04anonymousza32472ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8573)
	{
		{	/* SawBbv/bbv-types.scm 46 */
			return BNIL;
		}

	}



/* &lambda2471 */
	obj_t BGl_z62lambda2471z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8574,
		obj_t BgL_oz00_8575, obj_t BgL_vz00_8576)
	{
		{	/* SawBbv/bbv-types.scm 46 */
			{
				BgL_blockvz00_bglt BgL_auxz00_13598;

				{
					obj_t BgL_auxz00_13599;

					{	/* SawBbv/bbv-types.scm 46 */
						BgL_objectz00_bglt BgL_tmpz00_13600;

						BgL_tmpz00_13600 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8575));
						BgL_auxz00_13599 = BGL_OBJECT_WIDENING(BgL_tmpz00_13600);
					}
					BgL_auxz00_13598 = ((BgL_blockvz00_bglt) BgL_auxz00_13599);
				}
				return
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_13598))->BgL_versionsz00) =
					((obj_t) ((obj_t) BgL_vz00_8576)), BUNSPEC);
			}
		}

	}



/* &lambda2470 */
	obj_t BGl_z62lambda2470z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8577,
		obj_t BgL_oz00_8578)
	{
		{	/* SawBbv/bbv-types.scm 46 */
			{
				BgL_blockvz00_bglt BgL_auxz00_13607;

				{
					obj_t BgL_auxz00_13608;

					{	/* SawBbv/bbv-types.scm 46 */
						BgL_objectz00_bglt BgL_tmpz00_13609;

						BgL_tmpz00_13609 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8578));
						BgL_auxz00_13608 = BGL_OBJECT_WIDENING(BgL_tmpz00_13609);
					}
					BgL_auxz00_13607 = ((BgL_blockvz00_bglt) BgL_auxz00_13608);
				}
				return
					(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_13607))->BgL_versionsz00);
			}
		}

	}



/* &lambda2383 */
	BgL_rtl_insz00_bglt BGl_z62lambda2383z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8579, obj_t BgL_o1168z00_8580)
	{
		{	/* SawBbv/bbv-types.scm 38 */
			{	/* SawBbv/bbv-types.scm 38 */
				long BgL_arg2385z00_9179;

				{	/* SawBbv/bbv-types.scm 38 */
					obj_t BgL_arg2387z00_9180;

					{	/* SawBbv/bbv-types.scm 38 */
						obj_t BgL_arg2388z00_9181;

						{	/* SawBbv/bbv-types.scm 38 */
							obj_t BgL_arg1866z00_9182;
							long BgL_arg1867z00_9183;

							BgL_arg1866z00_9182 = (BGl_za2classesza2z00zz__objectz00);
							{	/* SawBbv/bbv-types.scm 38 */
								long BgL_arg1869z00_9184;

								BgL_arg1869z00_9184 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_o1168z00_8580)));
								BgL_arg1867z00_9183 = (BgL_arg1869z00_9184 - OBJECT_TYPE);
							}
							BgL_arg2388z00_9181 =
								VECTOR_REF(BgL_arg1866z00_9182, BgL_arg1867z00_9183);
						}
						BgL_arg2387z00_9180 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2388z00_9181);
					}
					{	/* SawBbv/bbv-types.scm 38 */
						obj_t BgL_tmpz00_13622;

						BgL_tmpz00_13622 = ((obj_t) BgL_arg2387z00_9180);
						BgL_arg2385z00_9179 = BGL_CLASS_NUM(BgL_tmpz00_13622);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_rtl_insz00_bglt) BgL_o1168z00_8580)), BgL_arg2385z00_9179);
			}
			{	/* SawBbv/bbv-types.scm 38 */
				BgL_objectz00_bglt BgL_tmpz00_13628;

				BgL_tmpz00_13628 =
					((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1168z00_8580));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13628, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1168z00_8580));
			return ((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1168z00_8580));
		}

	}



/* &<@anonymous:2382> */
	obj_t BGl_z62zc3z04anonymousza32382ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8581, obj_t BgL_new1167z00_8582)
	{
		{	/* SawBbv/bbv-types.scm 38 */
			{
				BgL_rtl_insz00_bglt BgL_auxz00_13636;

				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt)
									((BgL_rtl_insz00_bglt) BgL_new1167z00_8582))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_insz00_bglt)
							COBJECT(((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt)
										BgL_new1167z00_8582))))->BgL_z52spillz52) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_rtl_insz00_bglt)
							COBJECT(((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt)
										BgL_new1167z00_8582))))->BgL_destz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_rtl_funz00_bglt BgL_auxz00_13646;

					{	/* SawBbv/bbv-types.scm 38 */
						obj_t BgL_classz00_9186;

						BgL_classz00_9186 = BGl_rtl_funz00zzsaw_defsz00;
						{	/* SawBbv/bbv-types.scm 38 */
							obj_t BgL__ortest_1117z00_9187;

							BgL__ortest_1117z00_9187 = BGL_CLASS_NIL(BgL_classz00_9186);
							if (CBOOL(BgL__ortest_1117z00_9187))
								{	/* SawBbv/bbv-types.scm 38 */
									BgL_auxz00_13646 =
										((BgL_rtl_funz00_bglt) BgL__ortest_1117z00_9187);
								}
							else
								{	/* SawBbv/bbv-types.scm 38 */
									BgL_auxz00_13646 =
										((BgL_rtl_funz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9186));
								}
						}
					}
					((((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_new1167z00_8582))))->
							BgL_funz00) = ((BgL_rtl_funz00_bglt) BgL_auxz00_13646), BUNSPEC);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt)
									((BgL_rtl_insz00_bglt) BgL_new1167z00_8582))))->BgL_argsz00) =
					((obj_t) BNIL), BUNSPEC);
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13659;

					{
						obj_t BgL_auxz00_13660;

						{	/* SawBbv/bbv-types.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_13661;

							BgL_tmpz00_13661 =
								((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_new1167z00_8582));
							BgL_auxz00_13660 = BGL_OBJECT_WIDENING(BgL_tmpz00_13661);
						}
						BgL_auxz00_13659 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13660);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13659))->
							BgL_defz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13667;

					{
						obj_t BgL_auxz00_13668;

						{	/* SawBbv/bbv-types.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_13669;

							BgL_tmpz00_13669 =
								((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_new1167z00_8582));
							BgL_auxz00_13668 = BGL_OBJECT_WIDENING(BgL_tmpz00_13669);
						}
						BgL_auxz00_13667 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13668);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13667))->
							BgL_outz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13675;

					{
						obj_t BgL_auxz00_13676;

						{	/* SawBbv/bbv-types.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_13677;

							BgL_tmpz00_13677 =
								((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_new1167z00_8582));
							BgL_auxz00_13676 = BGL_OBJECT_WIDENING(BgL_tmpz00_13677);
						}
						BgL_auxz00_13675 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13676);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13675))->
							BgL_inz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_bbvzd2ctxzd2_bglt BgL_auxz00_13690;
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13683;

					{	/* SawBbv/bbv-types.scm 38 */
						obj_t BgL_classz00_9188;

						BgL_classz00_9188 = BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2;
						{	/* SawBbv/bbv-types.scm 38 */
							obj_t BgL__ortest_1117z00_9189;

							BgL__ortest_1117z00_9189 = BGL_CLASS_NIL(BgL_classz00_9188);
							if (CBOOL(BgL__ortest_1117z00_9189))
								{	/* SawBbv/bbv-types.scm 38 */
									BgL_auxz00_13690 =
										((BgL_bbvzd2ctxzd2_bglt) BgL__ortest_1117z00_9189);
								}
							else
								{	/* SawBbv/bbv-types.scm 38 */
									BgL_auxz00_13690 =
										((BgL_bbvzd2ctxzd2_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9188));
								}
						}
					}
					{
						obj_t BgL_auxz00_13684;

						{	/* SawBbv/bbv-types.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_13685;

							BgL_tmpz00_13685 =
								((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_new1167z00_8582));
							BgL_auxz00_13684 = BGL_OBJECT_WIDENING(BgL_tmpz00_13685);
						}
						BgL_auxz00_13683 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13684);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13683))->
							BgL_ctxz00) =
						((BgL_bbvzd2ctxzd2_bglt) BgL_auxz00_13690), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13698;

					{
						obj_t BgL_auxz00_13699;

						{	/* SawBbv/bbv-types.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_13700;

							BgL_tmpz00_13700 =
								((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_new1167z00_8582));
							BgL_auxz00_13699 = BGL_OBJECT_WIDENING(BgL_tmpz00_13700);
						}
						BgL_auxz00_13698 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13699);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13698))->
							BgL_z52hashz52) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_13636 = ((BgL_rtl_insz00_bglt) BgL_new1167z00_8582);
				return ((obj_t) BgL_auxz00_13636);
			}
		}

	}



/* &lambda2380 */
	BgL_rtl_insz00_bglt BGl_z62lambda2380z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8583, obj_t BgL_o1164z00_8584)
	{
		{	/* SawBbv/bbv-types.scm 38 */
			{	/* SawBbv/bbv-types.scm 38 */
				BgL_rtl_inszf2bbvzf2_bglt BgL_wide1166z00_9191;

				BgL_wide1166z00_9191 =
					((BgL_rtl_inszf2bbvzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_inszf2bbvzf2_bgl))));
				{	/* SawBbv/bbv-types.scm 38 */
					obj_t BgL_auxz00_13713;
					BgL_objectz00_bglt BgL_tmpz00_13709;

					BgL_auxz00_13713 = ((obj_t) BgL_wide1166z00_9191);
					BgL_tmpz00_13709 =
						((BgL_objectz00_bglt)
						((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1164z00_8584)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13709, BgL_auxz00_13713);
				}
				((BgL_objectz00_bglt)
					((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1164z00_8584)));
				{	/* SawBbv/bbv-types.scm 38 */
					long BgL_arg2381z00_9192;

					BgL_arg2381z00_9192 =
						BGL_CLASS_NUM(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_rtl_insz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_o1164z00_8584))),
						BgL_arg2381z00_9192);
				}
				return
					((BgL_rtl_insz00_bglt)
					((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1164z00_8584)));
			}
		}

	}



/* &lambda2376 */
	BgL_rtl_insz00_bglt BGl_z62lambda2376z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8585, obj_t BgL_loc1154z00_8586, obj_t BgL_z52spill1155z52_8587,
		obj_t BgL_dest1156z00_8588, obj_t BgL_fun1157z00_8589,
		obj_t BgL_args1158z00_8590, obj_t BgL_def1159z00_8591,
		obj_t BgL_out1160z00_8592, obj_t BgL_in1161z00_8593,
		obj_t BgL_ctx1162z00_8594, obj_t BgL_z52hash1163z52_8595)
	{
		{	/* SawBbv/bbv-types.scm 38 */
			{	/* SawBbv/bbv-types.scm 38 */
				BgL_rtl_insz00_bglt BgL_new1416z00_9197;

				{	/* SawBbv/bbv-types.scm 38 */
					BgL_rtl_insz00_bglt BgL_tmp1414z00_9198;
					BgL_rtl_inszf2bbvzf2_bglt BgL_wide1415z00_9199;

					{
						BgL_rtl_insz00_bglt BgL_auxz00_13727;

						{	/* SawBbv/bbv-types.scm 38 */
							BgL_rtl_insz00_bglt BgL_new1413z00_9200;

							BgL_new1413z00_9200 =
								((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_insz00_bgl))));
							{	/* SawBbv/bbv-types.scm 38 */
								long BgL_arg2379z00_9201;

								BgL_arg2379z00_9201 =
									BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1413z00_9200),
									BgL_arg2379z00_9201);
							}
							{	/* SawBbv/bbv-types.scm 38 */
								BgL_objectz00_bglt BgL_tmpz00_13732;

								BgL_tmpz00_13732 = ((BgL_objectz00_bglt) BgL_new1413z00_9200);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13732, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1413z00_9200);
							BgL_auxz00_13727 = BgL_new1413z00_9200;
						}
						BgL_tmp1414z00_9198 = ((BgL_rtl_insz00_bglt) BgL_auxz00_13727);
					}
					BgL_wide1415z00_9199 =
						((BgL_rtl_inszf2bbvzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_inszf2bbvzf2_bgl))));
					{	/* SawBbv/bbv-types.scm 38 */
						obj_t BgL_auxz00_13740;
						BgL_objectz00_bglt BgL_tmpz00_13738;

						BgL_auxz00_13740 = ((obj_t) BgL_wide1415z00_9199);
						BgL_tmpz00_13738 = ((BgL_objectz00_bglt) BgL_tmp1414z00_9198);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13738, BgL_auxz00_13740);
					}
					((BgL_objectz00_bglt) BgL_tmp1414z00_9198);
					{	/* SawBbv/bbv-types.scm 38 */
						long BgL_arg2377z00_9202;

						BgL_arg2377z00_9202 =
							BGL_CLASS_NUM(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1414z00_9198), BgL_arg2377z00_9202);
					}
					BgL_new1416z00_9197 = ((BgL_rtl_insz00_bglt) BgL_tmp1414z00_9198);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_new1416z00_9197)))->BgL_locz00) =
					((obj_t) BgL_loc1154z00_8586), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1416z00_9197)))->BgL_z52spillz52) =
					((obj_t) ((obj_t) BgL_z52spill1155z52_8587)), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1416z00_9197)))->BgL_destz00) =
					((obj_t) BgL_dest1156z00_8588), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1416z00_9197)))->BgL_funz00) =
					((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt) BgL_fun1157z00_8589)),
					BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1416z00_9197)))->BgL_argsz00) =
					((obj_t) ((obj_t) BgL_args1158z00_8590)), BUNSPEC);
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13761;

					{
						obj_t BgL_auxz00_13762;

						{	/* SawBbv/bbv-types.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_13763;

							BgL_tmpz00_13763 = ((BgL_objectz00_bglt) BgL_new1416z00_9197);
							BgL_auxz00_13762 = BGL_OBJECT_WIDENING(BgL_tmpz00_13763);
						}
						BgL_auxz00_13761 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13762);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13761))->
							BgL_defz00) = ((obj_t) BgL_def1159z00_8591), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13768;

					{
						obj_t BgL_auxz00_13769;

						{	/* SawBbv/bbv-types.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_13770;

							BgL_tmpz00_13770 = ((BgL_objectz00_bglt) BgL_new1416z00_9197);
							BgL_auxz00_13769 = BGL_OBJECT_WIDENING(BgL_tmpz00_13770);
						}
						BgL_auxz00_13768 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13769);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13768))->
							BgL_outz00) = ((obj_t) BgL_out1160z00_8592), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13775;

					{
						obj_t BgL_auxz00_13776;

						{	/* SawBbv/bbv-types.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_13777;

							BgL_tmpz00_13777 = ((BgL_objectz00_bglt) BgL_new1416z00_9197);
							BgL_auxz00_13776 = BGL_OBJECT_WIDENING(BgL_tmpz00_13777);
						}
						BgL_auxz00_13775 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13776);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13775))->
							BgL_inz00) = ((obj_t) BgL_in1161z00_8593), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13782;

					{
						obj_t BgL_auxz00_13783;

						{	/* SawBbv/bbv-types.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_13784;

							BgL_tmpz00_13784 = ((BgL_objectz00_bglt) BgL_new1416z00_9197);
							BgL_auxz00_13783 = BGL_OBJECT_WIDENING(BgL_tmpz00_13784);
						}
						BgL_auxz00_13782 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13783);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13782))->
							BgL_ctxz00) =
						((BgL_bbvzd2ctxzd2_bglt) ((BgL_bbvzd2ctxzd2_bglt)
								BgL_ctx1162z00_8594)), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13790;

					{
						obj_t BgL_auxz00_13791;

						{	/* SawBbv/bbv-types.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_13792;

							BgL_tmpz00_13792 = ((BgL_objectz00_bglt) BgL_new1416z00_9197);
							BgL_auxz00_13791 = BGL_OBJECT_WIDENING(BgL_tmpz00_13792);
						}
						BgL_auxz00_13790 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13791);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13790))->
							BgL_z52hashz52) = ((obj_t) BgL_z52hash1163z52_8595), BUNSPEC);
				}
				return BgL_new1416z00_9197;
			}
		}

	}



/* &<@anonymous:2440> */
	obj_t BGl_z62zc3z04anonymousza32440ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8596)
	{
		{	/* SawBbv/bbv-types.scm 38 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2439 */
	obj_t BGl_z62lambda2439z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8597,
		obj_t BgL_oz00_8598, obj_t BgL_vz00_8599)
	{
		{	/* SawBbv/bbv-types.scm 38 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13798;

				{
					obj_t BgL_auxz00_13799;

					{	/* SawBbv/bbv-types.scm 38 */
						BgL_objectz00_bglt BgL_tmpz00_13800;

						BgL_tmpz00_13800 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_8598));
						BgL_auxz00_13799 = BGL_OBJECT_WIDENING(BgL_tmpz00_13800);
					}
					BgL_auxz00_13798 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13799);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13798))->
						BgL_z52hashz52) = ((obj_t) BgL_vz00_8599), BUNSPEC);
			}
		}

	}



/* &lambda2438 */
	obj_t BGl_z62lambda2438z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8600,
		obj_t BgL_oz00_8601)
	{
		{	/* SawBbv/bbv-types.scm 38 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13806;

				{
					obj_t BgL_auxz00_13807;

					{	/* SawBbv/bbv-types.scm 38 */
						BgL_objectz00_bglt BgL_tmpz00_13808;

						BgL_tmpz00_13808 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_8601));
						BgL_auxz00_13807 = BGL_OBJECT_WIDENING(BgL_tmpz00_13808);
					}
					BgL_auxz00_13806 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13807);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13806))->
					BgL_z52hashz52);
			}
		}

	}



/* &<@anonymous:2425> */
	obj_t BGl_z62zc3z04anonymousza32425ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8602)
	{
		{	/* SawBbv/bbv-types.scm 38 */
			{
				BgL_bbvzd2ctxzd2_bglt BgL_auxz00_13814;

				{	/* SawBbv/bbv-types.scm 42 */
					BgL_bbvzd2ctxzd2_bglt BgL_new1420z00_9205;

					{	/* SawBbv/bbv-types.scm 42 */
						BgL_bbvzd2ctxzd2_bglt BgL_new1419z00_9206;

						BgL_new1419z00_9206 =
							((BgL_bbvzd2ctxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_bbvzd2ctxzd2_bgl))));
						{	/* SawBbv/bbv-types.scm 42 */
							long BgL_arg2428z00_9207;

							BgL_arg2428z00_9207 =
								BGL_CLASS_NUM(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1419z00_9206),
								BgL_arg2428z00_9207);
						}
						BgL_new1420z00_9205 = BgL_new1419z00_9206;
					}
					((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1420z00_9205))->BgL_idz00) =
						((long) (-1L)), BUNSPEC);
					((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1420z00_9205))->
							BgL_entriesz00) = ((obj_t) BNIL), BUNSPEC);
					{	/* SawBbv/bbv-types.scm 42 */
						obj_t BgL_fun2426z00_9208;

						BgL_fun2426z00_9208 =
							BGl_classzd2constructorzd2zz__objectz00
							(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
						BGL_PROCEDURE_CALL1(BgL_fun2426z00_9208,
							((obj_t) BgL_new1420z00_9205));
					}
					BgL_auxz00_13814 = BgL_new1420z00_9205;
				}
				return ((obj_t) BgL_auxz00_13814);
			}
		}

	}



/* &lambda2424 */
	obj_t BGl_z62lambda2424z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8603,
		obj_t BgL_oz00_8604, obj_t BgL_vz00_8605)
	{
		{	/* SawBbv/bbv-types.scm 38 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13828;

				{
					obj_t BgL_auxz00_13829;

					{	/* SawBbv/bbv-types.scm 38 */
						BgL_objectz00_bglt BgL_tmpz00_13830;

						BgL_tmpz00_13830 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_8604));
						BgL_auxz00_13829 = BGL_OBJECT_WIDENING(BgL_tmpz00_13830);
					}
					BgL_auxz00_13828 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13829);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13828))->
						BgL_ctxz00) =
					((BgL_bbvzd2ctxzd2_bglt) ((BgL_bbvzd2ctxzd2_bglt) BgL_vz00_8605)),
					BUNSPEC);
			}
		}

	}



/* &lambda2423 */
	BgL_bbvzd2ctxzd2_bglt BGl_z62lambda2423z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8606, obj_t BgL_oz00_8607)
	{
		{	/* SawBbv/bbv-types.scm 38 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13837;

				{
					obj_t BgL_auxz00_13838;

					{	/* SawBbv/bbv-types.scm 38 */
						BgL_objectz00_bglt BgL_tmpz00_13839;

						BgL_tmpz00_13839 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_8607));
						BgL_auxz00_13838 = BGL_OBJECT_WIDENING(BgL_tmpz00_13839);
					}
					BgL_auxz00_13837 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13838);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13837))->BgL_ctxz00);
			}
		}

	}



/* &<@anonymous:2416> */
	obj_t BGl_z62zc3z04anonymousza32416ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8608)
	{
		{	/* SawBbv/bbv-types.scm 38 */
			return BUNSPEC;
		}

	}



/* &lambda2415 */
	obj_t BGl_z62lambda2415z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8609,
		obj_t BgL_oz00_8610, obj_t BgL_vz00_8611)
	{
		{	/* SawBbv/bbv-types.scm 38 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13845;

				{
					obj_t BgL_auxz00_13846;

					{	/* SawBbv/bbv-types.scm 38 */
						BgL_objectz00_bglt BgL_tmpz00_13847;

						BgL_tmpz00_13847 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_8610));
						BgL_auxz00_13846 = BGL_OBJECT_WIDENING(BgL_tmpz00_13847);
					}
					BgL_auxz00_13845 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13846);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13845))->
						BgL_inz00) = ((obj_t) BgL_vz00_8611), BUNSPEC);
			}
		}

	}



/* &lambda2414 */
	obj_t BGl_z62lambda2414z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8612,
		obj_t BgL_oz00_8613)
	{
		{	/* SawBbv/bbv-types.scm 38 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13853;

				{
					obj_t BgL_auxz00_13854;

					{	/* SawBbv/bbv-types.scm 38 */
						BgL_objectz00_bglt BgL_tmpz00_13855;

						BgL_tmpz00_13855 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_8613));
						BgL_auxz00_13854 = BGL_OBJECT_WIDENING(BgL_tmpz00_13855);
					}
					BgL_auxz00_13853 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13854);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13853))->BgL_inz00);
			}
		}

	}



/* &<@anonymous:2405> */
	obj_t BGl_z62zc3z04anonymousza32405ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8614)
	{
		{	/* SawBbv/bbv-types.scm 38 */
			return BUNSPEC;
		}

	}



/* &lambda2404 */
	obj_t BGl_z62lambda2404z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8615,
		obj_t BgL_oz00_8616, obj_t BgL_vz00_8617)
	{
		{	/* SawBbv/bbv-types.scm 38 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13861;

				{
					obj_t BgL_auxz00_13862;

					{	/* SawBbv/bbv-types.scm 38 */
						BgL_objectz00_bglt BgL_tmpz00_13863;

						BgL_tmpz00_13863 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_8616));
						BgL_auxz00_13862 = BGL_OBJECT_WIDENING(BgL_tmpz00_13863);
					}
					BgL_auxz00_13861 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13862);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13861))->
						BgL_outz00) = ((obj_t) BgL_vz00_8617), BUNSPEC);
			}
		}

	}



/* &lambda2403 */
	obj_t BGl_z62lambda2403z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8618,
		obj_t BgL_oz00_8619)
	{
		{	/* SawBbv/bbv-types.scm 38 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13869;

				{
					obj_t BgL_auxz00_13870;

					{	/* SawBbv/bbv-types.scm 38 */
						BgL_objectz00_bglt BgL_tmpz00_13871;

						BgL_tmpz00_13871 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_8619));
						BgL_auxz00_13870 = BGL_OBJECT_WIDENING(BgL_tmpz00_13871);
					}
					BgL_auxz00_13869 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13870);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13869))->BgL_outz00);
			}
		}

	}



/* &<@anonymous:2396> */
	obj_t BGl_z62zc3z04anonymousza32396ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8620)
	{
		{	/* SawBbv/bbv-types.scm 38 */
			return BUNSPEC;
		}

	}



/* &lambda2395 */
	obj_t BGl_z62lambda2395z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8621,
		obj_t BgL_oz00_8622, obj_t BgL_vz00_8623)
	{
		{	/* SawBbv/bbv-types.scm 38 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13877;

				{
					obj_t BgL_auxz00_13878;

					{	/* SawBbv/bbv-types.scm 38 */
						BgL_objectz00_bglt BgL_tmpz00_13879;

						BgL_tmpz00_13879 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_8622));
						BgL_auxz00_13878 = BGL_OBJECT_WIDENING(BgL_tmpz00_13879);
					}
					BgL_auxz00_13877 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13878);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13877))->
						BgL_defz00) = ((obj_t) BgL_vz00_8623), BUNSPEC);
			}
		}

	}



/* &lambda2394 */
	obj_t BGl_z62lambda2394z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8624,
		obj_t BgL_oz00_8625)
	{
		{	/* SawBbv/bbv-types.scm 38 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13885;

				{
					obj_t BgL_auxz00_13886;

					{	/* SawBbv/bbv-types.scm 38 */
						BgL_objectz00_bglt BgL_tmpz00_13887;

						BgL_tmpz00_13887 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_8625));
						BgL_auxz00_13886 = BGL_OBJECT_WIDENING(BgL_tmpz00_13887);
					}
					BgL_auxz00_13885 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13886);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13885))->BgL_defz00);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_bbvzd2typeszd2(void)
	{
		{	/* SawBbv/bbv-types.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_proc3813z00zzsaw_bbvzd2typeszd2, BFALSE,
				BGl_string3814z00zzsaw_bbvzd2typeszd2);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_proc3815z00zzsaw_bbvzd2typeszd2, BFALSE,
				BGl_string3816z00zzsaw_bbvzd2typeszd2);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_blockzd2predszd2updatez12zd2envzc0zzsaw_bbvzd2typeszd2,
				BGl_proc3817z00zzsaw_bbvzd2typeszd2, BGl_blockz00zzsaw_defsz00,
				BGl_string3818z00zzsaw_bbvzd2typeszd2);
		}

	}



/* &block-preds-update!1934 */
	obj_t BGl_z62blockzd2predszd2updatez121934z70zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8629, obj_t BgL_bz00_8630, obj_t BgL_valz00_8631)
	{
		{	/* SawBbv/bbv-types.scm 1338 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_bz00_8630)))->BgL_predsz00) = ((obj_t)
					((obj_t) BgL_valz00_8631)), BUNSPEC);
		}

	}



/* &bbv-equal?1882 */
	obj_t BGl_z62bbvzd2equalzf31882z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8632,
		obj_t BgL_xz00_8633, obj_t BgL_yz00_8634)
	{
		{	/* SawBbv/bbv-types.scm 1138 */
			return BBOOL((BgL_xz00_8633 == BgL_yz00_8634));
		}

	}



/* &bbv-hash1829 */
	obj_t BGl_z62bbvzd2hash1829zb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8635,
		obj_t BgL_oz00_8636)
	{
		{	/* SawBbv/bbv-types.scm 935 */
			return BINT(2345L);
		}

	}



/* bbv-hash */
	BGL_EXPORTED_DEF obj_t BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(obj_t
		BgL_oz00_188)
	{
		{	/* SawBbv/bbv-types.scm 935 */
			if (BGL_OBJECTP(BgL_oz00_188))
				{	/* SawBbv/bbv-types.scm 935 */
					obj_t BgL_method1830z00_3493;

					{	/* SawBbv/bbv-types.scm 935 */
						obj_t BgL_res3653z00_6607;

						{	/* SawBbv/bbv-types.scm 935 */
							long BgL_objzd2classzd2numz00_6578;

							BgL_objzd2classzd2numz00_6578 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_oz00_188));
							{	/* SawBbv/bbv-types.scm 935 */
								obj_t BgL_arg1862z00_6579;

								BgL_arg1862z00_6579 =
									PROCEDURE_REF(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
									(int) (1L));
								{	/* SawBbv/bbv-types.scm 935 */
									int BgL_offsetz00_6582;

									BgL_offsetz00_6582 = (int) (BgL_objzd2classzd2numz00_6578);
									{	/* SawBbv/bbv-types.scm 935 */
										long BgL_offsetz00_6583;

										BgL_offsetz00_6583 =
											((long) (BgL_offsetz00_6582) - OBJECT_TYPE);
										{	/* SawBbv/bbv-types.scm 935 */
											long BgL_modz00_6584;

											BgL_modz00_6584 =
												(BgL_offsetz00_6583 >> (int) ((long) ((int) (4L))));
											{	/* SawBbv/bbv-types.scm 935 */
												long BgL_restz00_6586;

												BgL_restz00_6586 =
													(BgL_offsetz00_6583 &
													(long) (
														(int) (
															((long) (
																	(int) (
																		(1L <<
																			(int) ((long) ((int) (4L)))))) - 1L))));
												{	/* SawBbv/bbv-types.scm 935 */

													{	/* SawBbv/bbv-types.scm 935 */
														obj_t BgL_bucketz00_6588;

														BgL_bucketz00_6588 =
															VECTOR_REF(
															((obj_t) BgL_arg1862z00_6579), BgL_modz00_6584);
														BgL_res3653z00_6607 =
															VECTOR_REF(
															((obj_t) BgL_bucketz00_6588), BgL_restz00_6586);
						}}}}}}}}
						BgL_method1830z00_3493 = BgL_res3653z00_6607;
					}
					return BGL_PROCEDURE_CALL1(BgL_method1830z00_3493, BgL_oz00_188);
				}
			else
				{	/* SawBbv/bbv-types.scm 935 */
					obj_t BgL_fun2753z00_3494;

					BgL_fun2753z00_3494 =
						PROCEDURE_REF(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
						(int) (0L));
					return BGL_PROCEDURE_CALL1(BgL_fun2753z00_3494, BgL_oz00_188);
				}
		}

	}



/* &bbv-hash */
	obj_t BGl_z62bbvzd2hashzb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8637,
		obj_t BgL_oz00_8638)
	{
		{	/* SawBbv/bbv-types.scm 935 */
			return BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(BgL_oz00_8638);
		}

	}



/* bbv-equal? */
	BGL_EXPORTED_DEF bool_t BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(obj_t
		BgL_xz00_214, obj_t BgL_yz00_215)
	{
		{	/* SawBbv/bbv-types.scm 1138 */
			if (BGL_OBJECTP(BgL_xz00_214))
				{	/* SawBbv/bbv-types.scm 1138 */
					obj_t BgL_method1883z00_3496;

					{	/* SawBbv/bbv-types.scm 1138 */
						obj_t BgL_res3659z00_6639;

						{	/* SawBbv/bbv-types.scm 1138 */
							long BgL_objzd2classzd2numz00_6610;

							BgL_objzd2classzd2numz00_6610 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_xz00_214));
							{	/* SawBbv/bbv-types.scm 1138 */
								obj_t BgL_arg1862z00_6611;

								BgL_arg1862z00_6611 =
									PROCEDURE_REF(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
									(int) (1L));
								{	/* SawBbv/bbv-types.scm 1138 */
									int BgL_offsetz00_6614;

									BgL_offsetz00_6614 = (int) (BgL_objzd2classzd2numz00_6610);
									{	/* SawBbv/bbv-types.scm 1138 */
										long BgL_offsetz00_6615;

										BgL_offsetz00_6615 =
											((long) (BgL_offsetz00_6614) - OBJECT_TYPE);
										{	/* SawBbv/bbv-types.scm 1138 */
											long BgL_modz00_6616;

											BgL_modz00_6616 =
												(BgL_offsetz00_6615 >> (int) ((long) ((int) (4L))));
											{	/* SawBbv/bbv-types.scm 1138 */
												long BgL_restz00_6618;

												BgL_restz00_6618 =
													(BgL_offsetz00_6615 &
													(long) (
														(int) (
															((long) (
																	(int) (
																		(1L <<
																			(int) ((long) ((int) (4L)))))) - 1L))));
												{	/* SawBbv/bbv-types.scm 1138 */

													{	/* SawBbv/bbv-types.scm 1138 */
														obj_t BgL_bucketz00_6620;

														BgL_bucketz00_6620 =
															VECTOR_REF(
															((obj_t) BgL_arg1862z00_6611), BgL_modz00_6616);
														BgL_res3659z00_6639 =
															VECTOR_REF(
															((obj_t) BgL_bucketz00_6620), BgL_restz00_6618);
						}}}}}}}}
						BgL_method1883z00_3496 = BgL_res3659z00_6639;
					}
					return
						CBOOL(BGL_PROCEDURE_CALL2(BgL_method1883z00_3496, BgL_xz00_214,
							BgL_yz00_215));
				}
			else
				{	/* SawBbv/bbv-types.scm 1138 */
					obj_t BgL_fun2755z00_3497;

					BgL_fun2755z00_3497 =
						PROCEDURE_REF(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
						(int) (0L));
					return
						CBOOL(BGL_PROCEDURE_CALL2(BgL_fun2755z00_3497, BgL_xz00_214,
							BgL_yz00_215));
				}
		}

	}



/* &bbv-equal? */
	obj_t BGl_z62bbvzd2equalzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8639,
		obj_t BgL_xz00_8640, obj_t BgL_yz00_8641)
	{
		{	/* SawBbv/bbv-types.scm 1138 */
			return
				BBOOL(BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(BgL_xz00_8640,
					BgL_yz00_8641));
		}

	}



/* block-preds-update! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockzd2predszd2updatez12z12zzsaw_bbvzd2typeszd2(BgL_blockz00_bglt
		BgL_bz00_266, obj_t BgL_valz00_267)
	{
		{	/* SawBbv/bbv-types.scm 1338 */
			{	/* SawBbv/bbv-types.scm 1338 */
				obj_t BgL_method1935z00_3498;

				{	/* SawBbv/bbv-types.scm 1338 */
					obj_t BgL_res3665z00_6671;

					{	/* SawBbv/bbv-types.scm 1338 */
						long BgL_objzd2classzd2numz00_6642;

						BgL_objzd2classzd2numz00_6642 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_266));
						{	/* SawBbv/bbv-types.scm 1338 */
							obj_t BgL_arg1862z00_6643;

							BgL_arg1862z00_6643 =
								PROCEDURE_REF
								(BGl_blockzd2predszd2updatez12zd2envzc0zzsaw_bbvzd2typeszd2,
								(int) (1L));
							{	/* SawBbv/bbv-types.scm 1338 */
								int BgL_offsetz00_6646;

								BgL_offsetz00_6646 = (int) (BgL_objzd2classzd2numz00_6642);
								{	/* SawBbv/bbv-types.scm 1338 */
									long BgL_offsetz00_6647;

									BgL_offsetz00_6647 =
										((long) (BgL_offsetz00_6646) - OBJECT_TYPE);
									{	/* SawBbv/bbv-types.scm 1338 */
										long BgL_modz00_6648;

										BgL_modz00_6648 =
											(BgL_offsetz00_6647 >> (int) ((long) ((int) (4L))));
										{	/* SawBbv/bbv-types.scm 1338 */
											long BgL_restz00_6650;

											BgL_restz00_6650 =
												(BgL_offsetz00_6647 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* SawBbv/bbv-types.scm 1338 */

												{	/* SawBbv/bbv-types.scm 1338 */
													obj_t BgL_bucketz00_6652;

													BgL_bucketz00_6652 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_6643), BgL_modz00_6648);
													BgL_res3665z00_6671 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6652), BgL_restz00_6650);
					}}}}}}}}
					BgL_method1935z00_3498 = BgL_res3665z00_6671;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1935z00_3498,
					((obj_t) BgL_bz00_266), BgL_valz00_267);
			}
		}

	}



/* &block-preds-update! */
	obj_t BGl_z62blockzd2predszd2updatez12z70zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8642, obj_t BgL_bz00_8643, obj_t BgL_valz00_8644)
	{
		{	/* SawBbv/bbv-types.scm 1338 */
			return
				BGl_blockzd2predszd2updatez12z12zzsaw_bbvzd2typeszd2(
				((BgL_blockz00_bglt) BgL_bz00_8643), BgL_valz00_8644);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_bbvzd2typeszd2(void)
	{
		{	/* SawBbv/bbv-types.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2printzd2envz00zz__objectz00,
				BGl_blockVz00zzsaw_bbvzd2typeszd2, BGl_proc3819z00zzsaw_bbvzd2typeszd2,
				BGl_string3820z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2printzd2envz00zz__objectz00,
				BGl_blockSz00zzsaw_bbvzd2typeszd2, BGl_proc3821z00zzsaw_bbvzd2typeszd2,
				BGl_string3820z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00,
				BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2,
				BGl_proc3822z00zzsaw_bbvzd2typeszd2,
				BGl_string3823z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00,
				BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2,
				BGl_proc3824z00zzsaw_bbvzd2typeszd2,
				BGl_string3823z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_blockz00zzsaw_defsz00,
				BGl_proc3825z00zzsaw_bbvzd2typeszd2,
				BGl_string3823z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_blockSz00zzsaw_bbvzd2typeszd2,
				BGl_proc3826z00zzsaw_bbvzd2typeszd2,
				BGl_string3823z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00,
				BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2,
				BGl_proc3827z00zzsaw_bbvzd2typeszd2,
				BGl_string3823z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2envzd2zzsaw_defsz00,
				BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2,
				BGl_proc3828z00zzsaw_bbvzd2typeszd2,
				BGl_string3829z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2envzd2zzsaw_defsz00, BGl_blockVz00zzsaw_bbvzd2typeszd2,
				BGl_proc3830z00zzsaw_bbvzd2typeszd2,
				BGl_string3829z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2envzd2zzsaw_defsz00, BGl_blockSz00zzsaw_bbvzd2typeszd2,
				BGl_proc3831z00zzsaw_bbvzd2typeszd2,
				BGl_string3829z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2, BGl_typez00zztype_typez00,
				BGl_proc3832z00zzsaw_bbvzd2typeszd2,
				BGl_string3833z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2, BGl_atomz00zzast_nodez00,
				BGl_proc3834z00zzsaw_bbvzd2typeszd2,
				BGl_string3833z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_blockSz00zzsaw_bbvzd2typeszd2, BGl_proc3835z00zzsaw_bbvzd2typeszd2,
				BGl_string3833z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2,
				BGl_proc3836z00zzsaw_bbvzd2typeszd2,
				BGl_string3833z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_regz00zzsaw_defsz00, BGl_proc3837z00zzsaw_bbvzd2typeszd2,
				BGl_string3833z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_funz00zzsaw_defsz00, BGl_proc3838z00zzsaw_bbvzd2typeszd2,
				BGl_string3833z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_returnz00zzsaw_defsz00, BGl_proc3839z00zzsaw_bbvzd2typeszd2,
				BGl_string3833z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_loadiz00zzsaw_defsz00, BGl_proc3840z00zzsaw_bbvzd2typeszd2,
				BGl_string3833z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_loadgz00zzsaw_defsz00, BGl_proc3841z00zzsaw_bbvzd2typeszd2,
				BGl_string3833z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_loadfunz00zzsaw_defsz00, BGl_proc3842z00zzsaw_bbvzd2typeszd2,
				BGl_string3833z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_globalrefz00zzsaw_defsz00, BGl_proc3843z00zzsaw_bbvzd2typeszd2,
				BGl_string3833z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_getfieldz00zzsaw_defsz00, BGl_proc3844z00zzsaw_bbvzd2typeszd2,
				BGl_string3833z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_vallocz00zzsaw_defsz00, BGl_proc3845z00zzsaw_bbvzd2typeszd2,
				BGl_string3833z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_vrefz00zzsaw_defsz00, BGl_proc3846z00zzsaw_bbvzd2typeszd2,
				BGl_string3833z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_vlengthz00zzsaw_defsz00, BGl_proc3847z00zzsaw_bbvzd2typeszd2,
				BGl_string3833z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_instanceofz00zzsaw_defsz00, BGl_proc3848z00zzsaw_bbvzd2typeszd2,
				BGl_string3833z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_storegz00zzsaw_defsz00, BGl_proc3849z00zzsaw_bbvzd2typeszd2,
				BGl_string3833z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_setfieldz00zzsaw_defsz00, BGl_proc3850z00zzsaw_bbvzd2typeszd2,
				BGl_string3833z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_vsetz00zzsaw_defsz00, BGl_proc3851z00zzsaw_bbvzd2typeszd2,
				BGl_string3833z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_newz00zzsaw_defsz00, BGl_proc3852z00zzsaw_bbvzd2typeszd2,
				BGl_string3833z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_callz00zzsaw_defsz00, BGl_proc3853z00zzsaw_bbvzd2typeszd2,
				BGl_string3833z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_lightfuncallz00zzsaw_defsz00,
				BGl_proc3854z00zzsaw_bbvzd2typeszd2,
				BGl_string3833z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_pragmaz00zzsaw_defsz00, BGl_proc3855z00zzsaw_bbvzd2typeszd2,
				BGl_string3833z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_castz00zzsaw_defsz00, BGl_proc3856z00zzsaw_bbvzd2typeszd2,
				BGl_string3833z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_cast_nullz00zzsaw_defsz00, BGl_proc3857z00zzsaw_bbvzd2typeszd2,
				BGl_string3833z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_atomz00zzast_nodez00, BGl_proc3858z00zzsaw_bbvzd2typeszd2,
				BGl_string3859z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_blockSz00zzsaw_bbvzd2typeszd2, BGl_proc3860z00zzsaw_bbvzd2typeszd2,
				BGl_string3859z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2,
				BGl_proc3861z00zzsaw_bbvzd2typeszd2,
				BGl_string3859z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_regz00zzsaw_defsz00, BGl_proc3862z00zzsaw_bbvzd2typeszd2,
				BGl_string3859z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_funz00zzsaw_defsz00, BGl_proc3863z00zzsaw_bbvzd2typeszd2,
				BGl_string3859z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_selectz00zzsaw_defsz00, BGl_proc3864z00zzsaw_bbvzd2typeszd2,
				BGl_string3859z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_switchz00zzsaw_defsz00, BGl_proc3865z00zzsaw_bbvzd2typeszd2,
				BGl_string3859z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_loadiz00zzsaw_defsz00, BGl_proc3866z00zzsaw_bbvzd2typeszd2,
				BGl_string3859z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_loadgz00zzsaw_defsz00, BGl_proc3867z00zzsaw_bbvzd2typeszd2,
				BGl_string3859z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_loadfunz00zzsaw_defsz00, BGl_proc3868z00zzsaw_bbvzd2typeszd2,
				BGl_string3859z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_globalrefz00zzsaw_defsz00, BGl_proc3869z00zzsaw_bbvzd2typeszd2,
				BGl_string3859z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_getfieldz00zzsaw_defsz00, BGl_proc3870z00zzsaw_bbvzd2typeszd2,
				BGl_string3859z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_vallocz00zzsaw_defsz00, BGl_proc3871z00zzsaw_bbvzd2typeszd2,
				BGl_string3859z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_vrefz00zzsaw_defsz00, BGl_proc3872z00zzsaw_bbvzd2typeszd2,
				BGl_string3859z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_vlengthz00zzsaw_defsz00, BGl_proc3873z00zzsaw_bbvzd2typeszd2,
				BGl_string3859z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_instanceofz00zzsaw_defsz00, BGl_proc3874z00zzsaw_bbvzd2typeszd2,
				BGl_string3859z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_storegz00zzsaw_defsz00, BGl_proc3875z00zzsaw_bbvzd2typeszd2,
				BGl_string3859z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_setfieldz00zzsaw_defsz00, BGl_proc3876z00zzsaw_bbvzd2typeszd2,
				BGl_string3859z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_vsetz00zzsaw_defsz00, BGl_proc3877z00zzsaw_bbvzd2typeszd2,
				BGl_string3859z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_newz00zzsaw_defsz00, BGl_proc3878z00zzsaw_bbvzd2typeszd2,
				BGl_string3859z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_callz00zzsaw_defsz00, BGl_proc3879z00zzsaw_bbvzd2typeszd2,
				BGl_string3859z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_lightfuncallz00zzsaw_defsz00,
				BGl_proc3880z00zzsaw_bbvzd2typeszd2,
				BGl_string3859z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_pragmaz00zzsaw_defsz00, BGl_proc3881z00zzsaw_bbvzd2typeszd2,
				BGl_string3859z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_castz00zzsaw_defsz00, BGl_proc3882z00zzsaw_bbvzd2typeszd2,
				BGl_string3859z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_cast_nullz00zzsaw_defsz00, BGl_proc3883z00zzsaw_bbvzd2typeszd2,
				BGl_string3859z00zzsaw_bbvzd2typeszd2);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_blockzd2predszd2updatez12zd2envzc0zzsaw_bbvzd2typeszd2,
				BGl_blockSz00zzsaw_bbvzd2typeszd2, BGl_proc3884z00zzsaw_bbvzd2typeszd2,
				BGl_string3885z00zzsaw_bbvzd2typeszd2);
		}

	}



/* &block-preds-update!-1937 */
	obj_t BGl_z62blockzd2predszd2updatez12zd21937za2zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8710, obj_t BgL_bz00_8711, obj_t BgL_npredsz00_8712)
	{
		{	/* SawBbv/bbv-types.scm 1347 */
			((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_bz00_8711))))->BgL_predsz00) = ((obj_t)
					((obj_t) BgL_npredsz00_8712)), BUNSPEC);
			{
				long BgL_auxz00_14088;
				BgL_blocksz00_bglt BgL_auxz00_14081;

				{	/* SawBbv/bbv-types.scm 1356 */
					long BgL_arg3453z00_9222;
					long BgL_arg3454z00_9223;

					BgL_arg3453z00_9222 = bgl_list_length(((obj_t) BgL_npredsz00_8712));
					{	/* SawBbv/bbv-types.scm 1356 */
						bool_t BgL_test4442z00_14091;

						{	/* SawBbv/bbv-types.scm 1356 */
							obj_t BgL_arg3457z00_9224;

							{
								BgL_blocksz00_bglt BgL_auxz00_14092;

								{
									obj_t BgL_auxz00_14093;

									{	/* SawBbv/bbv-types.scm 1356 */
										BgL_objectz00_bglt BgL_tmpz00_14094;

										BgL_tmpz00_14094 =
											((BgL_objectz00_bglt)
											((BgL_blockz00_bglt) BgL_bz00_8711));
										BgL_auxz00_14093 = BGL_OBJECT_WIDENING(BgL_tmpz00_14094);
									}
									BgL_auxz00_14092 = ((BgL_blocksz00_bglt) BgL_auxz00_14093);
								}
								BgL_arg3457z00_9224 =
									(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_14092))->
									BgL_creatorz00);
							}
							BgL_test4442z00_14091 =
								(BgL_arg3457z00_9224 == ((obj_t) CNST_TABLE_REF(47)));
						}
						if (BgL_test4442z00_14091)
							{	/* SawBbv/bbv-types.scm 1356 */
								BgL_arg3454z00_9223 = 1L;
							}
						else
							{	/* SawBbv/bbv-types.scm 1356 */
								BgL_arg3454z00_9223 = 0L;
							}
					}
					BgL_auxz00_14088 = (BgL_arg3453z00_9222 + BgL_arg3454z00_9223);
				}
				{
					obj_t BgL_auxz00_14082;

					{	/* SawBbv/bbv-types.scm 1356 */
						BgL_objectz00_bglt BgL_tmpz00_14083;

						BgL_tmpz00_14083 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_8711));
						BgL_auxz00_14082 = BGL_OBJECT_WIDENING(BgL_tmpz00_14083);
					}
					BgL_auxz00_14081 = ((BgL_blocksz00_bglt) BgL_auxz00_14082);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_14081))->BgL_gccntz00) =
					((long) BgL_auxz00_14088), BUNSPEC);
		}}

	}



/* &bbv-equal?-rtl_cast_1933 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_cast_1933z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8713, obj_t BgL_xz00_8714, obj_t BgL_yz00_8715)
	{
		{	/* SawBbv/bbv-types.scm 1329 */
			{	/* SawBbv/bbv-types.scm 1330 */
				bool_t BgL_tmpz00_14105;

				{	/* SawBbv/bbv-types.scm 1330 */
					bool_t BgL_test4443z00_14106;

					{	/* SawBbv/bbv-types.scm 1330 */
						obj_t BgL_classz00_9226;

						BgL_classz00_9226 = BGl_rtl_cast_nullz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_8715))
							{	/* SawBbv/bbv-types.scm 1330 */
								BgL_objectz00_bglt BgL_arg1858z00_9227;

								BgL_arg1858z00_9227 = (BgL_objectz00_bglt) (BgL_yz00_8715);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1330 */
										long BgL_idxz00_9228;

										BgL_idxz00_9228 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9227);
										BgL_test4443z00_14106 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_9228 + 2L)) == BgL_classz00_9226);
									}
								else
									{	/* SawBbv/bbv-types.scm 1330 */
										bool_t BgL_res3690z00_9231;

										{	/* SawBbv/bbv-types.scm 1330 */
											obj_t BgL_oclassz00_9232;

											{	/* SawBbv/bbv-types.scm 1330 */
												obj_t BgL_arg1866z00_9233;
												long BgL_arg1867z00_9234;

												BgL_arg1866z00_9233 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawBbv/bbv-types.scm 1330 */
													long BgL_arg1869z00_9235;

													BgL_arg1869z00_9235 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9227);
													BgL_arg1867z00_9234 =
														(BgL_arg1869z00_9235 - OBJECT_TYPE);
												}
												BgL_oclassz00_9232 =
													VECTOR_REF(BgL_arg1866z00_9233, BgL_arg1867z00_9234);
											}
											{	/* SawBbv/bbv-types.scm 1330 */
												bool_t BgL__ortest_1115z00_9236;

												BgL__ortest_1115z00_9236 =
													(BgL_classz00_9226 == BgL_oclassz00_9232);
												if (BgL__ortest_1115z00_9236)
													{	/* SawBbv/bbv-types.scm 1330 */
														BgL_res3690z00_9231 = BgL__ortest_1115z00_9236;
													}
												else
													{	/* SawBbv/bbv-types.scm 1330 */
														long BgL_odepthz00_9237;

														{	/* SawBbv/bbv-types.scm 1330 */
															obj_t BgL_arg1855z00_9238;

															BgL_arg1855z00_9238 = (BgL_oclassz00_9232);
															BgL_odepthz00_9237 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_9238);
														}
														if ((2L < BgL_odepthz00_9237))
															{	/* SawBbv/bbv-types.scm 1330 */
																obj_t BgL_arg1853z00_9239;

																{	/* SawBbv/bbv-types.scm 1330 */
																	obj_t BgL_arg1854z00_9240;

																	BgL_arg1854z00_9240 = (BgL_oclassz00_9232);
																	BgL_arg1853z00_9239 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9240,
																		2L);
																}
																BgL_res3690z00_9231 =
																	(BgL_arg1853z00_9239 == BgL_classz00_9226);
															}
														else
															{	/* SawBbv/bbv-types.scm 1330 */
																BgL_res3690z00_9231 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4443z00_14106 = BgL_res3690z00_9231;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1330 */
								BgL_test4443z00_14106 = ((bool_t) 0);
							}
					}
					if (BgL_test4443z00_14106)
						{	/* SawBbv/bbv-types.scm 1331 */
							BgL_typez00_bglt BgL_arg3451z00_9241;
							BgL_typez00_bglt BgL_arg3452z00_9242;

							BgL_arg3451z00_9241 =
								(((BgL_rtl_cast_nullz00_bglt) COBJECT(
										((BgL_rtl_cast_nullz00_bglt) BgL_xz00_8714)))->BgL_typez00);
							BgL_arg3452z00_9242 =
								(((BgL_rtl_cast_nullz00_bglt) COBJECT(
										((BgL_rtl_cast_nullz00_bglt) BgL_yz00_8715)))->BgL_typez00);
							BgL_tmpz00_14105 =
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg3451z00_9241), ((obj_t) BgL_arg3452z00_9242));
						}
					else
						{	/* SawBbv/bbv-types.scm 1330 */
							BgL_tmpz00_14105 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_14105);
			}
		}

	}



/* &bbv-equal?-rtl_cast1931 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_cast1931z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8716, obj_t BgL_xz00_8717, obj_t BgL_yz00_8718)
	{
		{	/* SawBbv/bbv-types.scm 1321 */
			{	/* SawBbv/bbv-types.scm 1322 */
				bool_t BgL_tmpz00_14137;

				{	/* SawBbv/bbv-types.scm 1322 */
					bool_t BgL_test4448z00_14138;

					{	/* SawBbv/bbv-types.scm 1322 */
						obj_t BgL_classz00_9244;

						BgL_classz00_9244 = BGl_rtl_castz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_8718))
							{	/* SawBbv/bbv-types.scm 1322 */
								BgL_objectz00_bglt BgL_arg1858z00_9245;

								BgL_arg1858z00_9245 = (BgL_objectz00_bglt) (BgL_yz00_8718);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1322 */
										long BgL_idxz00_9246;

										BgL_idxz00_9246 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9245);
										BgL_test4448z00_14138 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_9246 + 2L)) == BgL_classz00_9244);
									}
								else
									{	/* SawBbv/bbv-types.scm 1322 */
										bool_t BgL_res3689z00_9249;

										{	/* SawBbv/bbv-types.scm 1322 */
											obj_t BgL_oclassz00_9250;

											{	/* SawBbv/bbv-types.scm 1322 */
												obj_t BgL_arg1866z00_9251;
												long BgL_arg1867z00_9252;

												BgL_arg1866z00_9251 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawBbv/bbv-types.scm 1322 */
													long BgL_arg1869z00_9253;

													BgL_arg1869z00_9253 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9245);
													BgL_arg1867z00_9252 =
														(BgL_arg1869z00_9253 - OBJECT_TYPE);
												}
												BgL_oclassz00_9250 =
													VECTOR_REF(BgL_arg1866z00_9251, BgL_arg1867z00_9252);
											}
											{	/* SawBbv/bbv-types.scm 1322 */
												bool_t BgL__ortest_1115z00_9254;

												BgL__ortest_1115z00_9254 =
													(BgL_classz00_9244 == BgL_oclassz00_9250);
												if (BgL__ortest_1115z00_9254)
													{	/* SawBbv/bbv-types.scm 1322 */
														BgL_res3689z00_9249 = BgL__ortest_1115z00_9254;
													}
												else
													{	/* SawBbv/bbv-types.scm 1322 */
														long BgL_odepthz00_9255;

														{	/* SawBbv/bbv-types.scm 1322 */
															obj_t BgL_arg1855z00_9256;

															BgL_arg1855z00_9256 = (BgL_oclassz00_9250);
															BgL_odepthz00_9255 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_9256);
														}
														if ((2L < BgL_odepthz00_9255))
															{	/* SawBbv/bbv-types.scm 1322 */
																obj_t BgL_arg1853z00_9257;

																{	/* SawBbv/bbv-types.scm 1322 */
																	obj_t BgL_arg1854z00_9258;

																	BgL_arg1854z00_9258 = (BgL_oclassz00_9250);
																	BgL_arg1853z00_9257 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9258,
																		2L);
																}
																BgL_res3689z00_9249 =
																	(BgL_arg1853z00_9257 == BgL_classz00_9244);
															}
														else
															{	/* SawBbv/bbv-types.scm 1322 */
																BgL_res3689z00_9249 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4448z00_14138 = BgL_res3689z00_9249;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1322 */
								BgL_test4448z00_14138 = ((bool_t) 0);
							}
					}
					if (BgL_test4448z00_14138)
						{	/* SawBbv/bbv-types.scm 1323 */
							bool_t BgL_test4453z00_14161;

							{	/* SawBbv/bbv-types.scm 1323 */
								BgL_typez00_bglt BgL_arg3448z00_9259;
								BgL_typez00_bglt BgL_arg3449z00_9260;

								BgL_arg3448z00_9259 =
									(((BgL_rtl_castz00_bglt) COBJECT(
											((BgL_rtl_castz00_bglt) BgL_xz00_8717)))->BgL_totypez00);
								BgL_arg3449z00_9260 =
									(((BgL_rtl_castz00_bglt) COBJECT(
											((BgL_rtl_castz00_bglt) BgL_yz00_8718)))->BgL_totypez00);
								BgL_test4453z00_14161 =
									BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
									((obj_t) BgL_arg3448z00_9259), ((obj_t) BgL_arg3449z00_9260));
							}
							if (BgL_test4453z00_14161)
								{	/* SawBbv/bbv-types.scm 1324 */
									BgL_typez00_bglt BgL_arg3445z00_9261;
									BgL_typez00_bglt BgL_arg3446z00_9262;

									BgL_arg3445z00_9261 =
										(((BgL_rtl_castz00_bglt) COBJECT(
												((BgL_rtl_castz00_bglt) BgL_xz00_8717)))->
										BgL_fromtypez00);
									BgL_arg3446z00_9262 =
										(((BgL_rtl_castz00_bglt) COBJECT(((BgL_rtl_castz00_bglt)
													BgL_yz00_8718)))->BgL_fromtypez00);
									BgL_tmpz00_14137 =
										BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(((obj_t)
											BgL_arg3445z00_9261), ((obj_t) BgL_arg3446z00_9262));
								}
							else
								{	/* SawBbv/bbv-types.scm 1323 */
									BgL_tmpz00_14137 = ((bool_t) 0);
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 1322 */
							BgL_tmpz00_14137 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_14137);
			}
		}

	}



/* &bbv-equal?-rtl_pragm1929 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_pragm1929z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8719, obj_t BgL_xz00_8720, obj_t BgL_yz00_8721)
	{
		{	/* SawBbv/bbv-types.scm 1314 */
			{	/* SawBbv/bbv-types.scm 1315 */
				bool_t BgL_tmpz00_14177;

				{	/* SawBbv/bbv-types.scm 1315 */
					bool_t BgL_test4454z00_14178;

					{	/* SawBbv/bbv-types.scm 1315 */
						obj_t BgL_classz00_9264;

						BgL_classz00_9264 = BGl_rtl_pragmaz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_8721))
							{	/* SawBbv/bbv-types.scm 1315 */
								BgL_objectz00_bglt BgL_arg1858z00_9265;

								BgL_arg1858z00_9265 = (BgL_objectz00_bglt) (BgL_yz00_8721);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1315 */
										long BgL_idxz00_9266;

										BgL_idxz00_9266 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9265);
										BgL_test4454z00_14178 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_9266 + 2L)) == BgL_classz00_9264);
									}
								else
									{	/* SawBbv/bbv-types.scm 1315 */
										bool_t BgL_res3688z00_9269;

										{	/* SawBbv/bbv-types.scm 1315 */
											obj_t BgL_oclassz00_9270;

											{	/* SawBbv/bbv-types.scm 1315 */
												obj_t BgL_arg1866z00_9271;
												long BgL_arg1867z00_9272;

												BgL_arg1866z00_9271 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawBbv/bbv-types.scm 1315 */
													long BgL_arg1869z00_9273;

													BgL_arg1869z00_9273 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9265);
													BgL_arg1867z00_9272 =
														(BgL_arg1869z00_9273 - OBJECT_TYPE);
												}
												BgL_oclassz00_9270 =
													VECTOR_REF(BgL_arg1866z00_9271, BgL_arg1867z00_9272);
											}
											{	/* SawBbv/bbv-types.scm 1315 */
												bool_t BgL__ortest_1115z00_9274;

												BgL__ortest_1115z00_9274 =
													(BgL_classz00_9264 == BgL_oclassz00_9270);
												if (BgL__ortest_1115z00_9274)
													{	/* SawBbv/bbv-types.scm 1315 */
														BgL_res3688z00_9269 = BgL__ortest_1115z00_9274;
													}
												else
													{	/* SawBbv/bbv-types.scm 1315 */
														long BgL_odepthz00_9275;

														{	/* SawBbv/bbv-types.scm 1315 */
															obj_t BgL_arg1855z00_9276;

															BgL_arg1855z00_9276 = (BgL_oclassz00_9270);
															BgL_odepthz00_9275 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_9276);
														}
														if ((2L < BgL_odepthz00_9275))
															{	/* SawBbv/bbv-types.scm 1315 */
																obj_t BgL_arg1853z00_9277;

																{	/* SawBbv/bbv-types.scm 1315 */
																	obj_t BgL_arg1854z00_9278;

																	BgL_arg1854z00_9278 = (BgL_oclassz00_9270);
																	BgL_arg1853z00_9277 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9278,
																		2L);
																}
																BgL_res3688z00_9269 =
																	(BgL_arg1853z00_9277 == BgL_classz00_9264);
															}
														else
															{	/* SawBbv/bbv-types.scm 1315 */
																BgL_res3688z00_9269 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4454z00_14178 = BgL_res3688z00_9269;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1315 */
								BgL_test4454z00_14178 = ((bool_t) 0);
							}
					}
					if (BgL_test4454z00_14178)
						{	/* SawBbv/bbv-types.scm 1316 */
							obj_t BgL_arg3442z00_9279;
							obj_t BgL_arg3443z00_9280;

							BgL_arg3442z00_9279 =
								(((BgL_rtl_pragmaz00_bglt) COBJECT(
										((BgL_rtl_pragmaz00_bglt) BgL_xz00_8720)))->BgL_formatz00);
							BgL_arg3443z00_9280 =
								(((BgL_rtl_pragmaz00_bglt) COBJECT(
										((BgL_rtl_pragmaz00_bglt) BgL_yz00_8721)))->BgL_formatz00);
							{	/* SawBbv/bbv-types.scm 1316 */
								long BgL_l1z00_9281;

								BgL_l1z00_9281 = STRING_LENGTH(BgL_arg3442z00_9279);
								if ((BgL_l1z00_9281 == STRING_LENGTH(BgL_arg3443z00_9280)))
									{	/* SawBbv/bbv-types.scm 1316 */
										int BgL_arg1343z00_9282;

										{	/* SawBbv/bbv-types.scm 1316 */
											char *BgL_auxz00_14211;
											char *BgL_tmpz00_14209;

											BgL_auxz00_14211 = BSTRING_TO_STRING(BgL_arg3443z00_9280);
											BgL_tmpz00_14209 = BSTRING_TO_STRING(BgL_arg3442z00_9279);
											BgL_arg1343z00_9282 =
												memcmp(BgL_tmpz00_14209, BgL_auxz00_14211,
												BgL_l1z00_9281);
										}
										BgL_tmpz00_14177 = ((long) (BgL_arg1343z00_9282) == 0L);
									}
								else
									{	/* SawBbv/bbv-types.scm 1316 */
										BgL_tmpz00_14177 = ((bool_t) 0);
									}
							}
						}
					else
						{	/* SawBbv/bbv-types.scm 1315 */
							BgL_tmpz00_14177 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_14177);
			}
		}

	}



/* &bbv-equal?-rtl_light1927 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_light1927z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8722, obj_t BgL_xz00_8723, obj_t BgL_yz00_8724)
	{
		{	/* SawBbv/bbv-types.scm 1308 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &bbv-equal?-rtl_call1925 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_call1925z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8725, obj_t BgL_xz00_8726, obj_t BgL_yz00_8727)
	{
		{	/* SawBbv/bbv-types.scm 1301 */
			{	/* SawBbv/bbv-types.scm 1302 */
				bool_t BgL_tmpz00_14218;

				{	/* SawBbv/bbv-types.scm 1302 */
					bool_t BgL_test4460z00_14219;

					{	/* SawBbv/bbv-types.scm 1302 */
						obj_t BgL_classz00_9285;

						BgL_classz00_9285 = BGl_rtl_callz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_8727))
							{	/* SawBbv/bbv-types.scm 1302 */
								BgL_objectz00_bglt BgL_arg1858z00_9286;

								BgL_arg1858z00_9286 = (BgL_objectz00_bglt) (BgL_yz00_8727);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1302 */
										long BgL_idxz00_9287;

										BgL_idxz00_9287 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9286);
										BgL_test4460z00_14219 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_9287 + 2L)) == BgL_classz00_9285);
									}
								else
									{	/* SawBbv/bbv-types.scm 1302 */
										bool_t BgL_res3687z00_9290;

										{	/* SawBbv/bbv-types.scm 1302 */
											obj_t BgL_oclassz00_9291;

											{	/* SawBbv/bbv-types.scm 1302 */
												obj_t BgL_arg1866z00_9292;
												long BgL_arg1867z00_9293;

												BgL_arg1866z00_9292 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawBbv/bbv-types.scm 1302 */
													long BgL_arg1869z00_9294;

													BgL_arg1869z00_9294 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9286);
													BgL_arg1867z00_9293 =
														(BgL_arg1869z00_9294 - OBJECT_TYPE);
												}
												BgL_oclassz00_9291 =
													VECTOR_REF(BgL_arg1866z00_9292, BgL_arg1867z00_9293);
											}
											{	/* SawBbv/bbv-types.scm 1302 */
												bool_t BgL__ortest_1115z00_9295;

												BgL__ortest_1115z00_9295 =
													(BgL_classz00_9285 == BgL_oclassz00_9291);
												if (BgL__ortest_1115z00_9295)
													{	/* SawBbv/bbv-types.scm 1302 */
														BgL_res3687z00_9290 = BgL__ortest_1115z00_9295;
													}
												else
													{	/* SawBbv/bbv-types.scm 1302 */
														long BgL_odepthz00_9296;

														{	/* SawBbv/bbv-types.scm 1302 */
															obj_t BgL_arg1855z00_9297;

															BgL_arg1855z00_9297 = (BgL_oclassz00_9291);
															BgL_odepthz00_9296 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_9297);
														}
														if ((2L < BgL_odepthz00_9296))
															{	/* SawBbv/bbv-types.scm 1302 */
																obj_t BgL_arg1853z00_9298;

																{	/* SawBbv/bbv-types.scm 1302 */
																	obj_t BgL_arg1854z00_9299;

																	BgL_arg1854z00_9299 = (BgL_oclassz00_9291);
																	BgL_arg1853z00_9298 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9299,
																		2L);
																}
																BgL_res3687z00_9290 =
																	(BgL_arg1853z00_9298 == BgL_classz00_9285);
															}
														else
															{	/* SawBbv/bbv-types.scm 1302 */
																BgL_res3687z00_9290 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4460z00_14219 = BgL_res3687z00_9290;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1302 */
								BgL_test4460z00_14219 = ((bool_t) 0);
							}
					}
					if (BgL_test4460z00_14219)
						{	/* SawBbv/bbv-types.scm 1303 */
							BgL_globalz00_bglt BgL_arg3439z00_9300;
							BgL_globalz00_bglt BgL_arg3440z00_9301;

							BgL_arg3439z00_9300 =
								(((BgL_rtl_callz00_bglt) COBJECT(
										((BgL_rtl_callz00_bglt) BgL_xz00_8726)))->BgL_varz00);
							BgL_arg3440z00_9301 =
								(((BgL_rtl_callz00_bglt) COBJECT(
										((BgL_rtl_callz00_bglt) BgL_yz00_8727)))->BgL_varz00);
							BgL_tmpz00_14218 =
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg3439z00_9300), ((obj_t) BgL_arg3440z00_9301));
						}
					else
						{	/* SawBbv/bbv-types.scm 1302 */
							BgL_tmpz00_14218 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_14218);
			}
		}

	}



/* &bbv-equal?-rtl_new1923 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_new1923z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8728, obj_t BgL_xz00_8729, obj_t BgL_yz00_8730)
	{
		{	/* SawBbv/bbv-types.scm 1293 */
			{	/* SawBbv/bbv-types.scm 1294 */
				bool_t BgL_test4465z00_14250;

				{	/* SawBbv/bbv-types.scm 1294 */
					obj_t BgL_objz00_9303;

					BgL_objz00_9303 = BGl_rtl_newz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_objz00_9303))
						{	/* SawBbv/bbv-types.scm 1294 */
							BgL_objectz00_bglt BgL_arg1860z00_9304;
							long BgL_arg1861z00_9305;

							BgL_arg1860z00_9304 = (BgL_objectz00_bglt) (BgL_objz00_9303);
							{	/* SawBbv/bbv-types.scm 1294 */
								obj_t BgL_tmpz00_14254;

								BgL_tmpz00_14254 = ((obj_t) BgL_yz00_8730);
								BgL_arg1861z00_9305 = BGL_CLASS_DEPTH(BgL_tmpz00_14254);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv-types.scm 1294 */
									long BgL_idxz00_9306;

									BgL_idxz00_9306 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1860z00_9304);
									{	/* SawBbv/bbv-types.scm 1294 */
										obj_t BgL_arg1849z00_9307;

										BgL_arg1849z00_9307 =
											VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_9306 + BgL_arg1861z00_9305));
										BgL_test4465z00_14250 =
											(BgL_arg1849z00_9307 == ((obj_t) BgL_yz00_8730));
								}}
							else
								{	/* SawBbv/bbv-types.scm 1294 */
									bool_t BgL_res3686z00_9309;

									{	/* SawBbv/bbv-types.scm 1294 */
										obj_t BgL_oclassz00_9310;

										{	/* SawBbv/bbv-types.scm 1294 */
											obj_t BgL_arg1866z00_9311;
											long BgL_arg1867z00_9312;

											BgL_arg1866z00_9311 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawBbv/bbv-types.scm 1294 */
												long BgL_arg1869z00_9313;

												BgL_arg1869z00_9313 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1860z00_9304);
												BgL_arg1867z00_9312 =
													(BgL_arg1869z00_9313 - OBJECT_TYPE);
											}
											BgL_oclassz00_9310 =
												VECTOR_REF(BgL_arg1866z00_9311, BgL_arg1867z00_9312);
										}
										{	/* SawBbv/bbv-types.scm 1294 */
											bool_t BgL__ortest_1115z00_9314;

											BgL__ortest_1115z00_9314 =
												(((obj_t) BgL_yz00_8730) == BgL_oclassz00_9310);
											if (BgL__ortest_1115z00_9314)
												{	/* SawBbv/bbv-types.scm 1294 */
													BgL_res3686z00_9309 = BgL__ortest_1115z00_9314;
												}
											else
												{	/* SawBbv/bbv-types.scm 1294 */
													long BgL_odepthz00_9315;

													{	/* SawBbv/bbv-types.scm 1294 */
														obj_t BgL_arg1855z00_9316;

														BgL_arg1855z00_9316 = (BgL_oclassz00_9310);
														BgL_odepthz00_9315 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_9316);
													}
													if ((BgL_arg1861z00_9305 < BgL_odepthz00_9315))
														{	/* SawBbv/bbv-types.scm 1294 */
															obj_t BgL_arg1853z00_9317;

															{	/* SawBbv/bbv-types.scm 1294 */
																obj_t BgL_arg1854z00_9318;

																BgL_arg1854z00_9318 = (BgL_oclassz00_9310);
																BgL_arg1853z00_9317 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9318,
																	BgL_arg1861z00_9305);
															}
															BgL_res3686z00_9309 =
																(BgL_arg1853z00_9317 ==
																((obj_t) BgL_yz00_8730));
														}
													else
														{	/* SawBbv/bbv-types.scm 1294 */
															BgL_res3686z00_9309 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test4465z00_14250 = BgL_res3686z00_9309;
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 1294 */
							BgL_test4465z00_14250 = ((bool_t) 0);
						}
				}
				if (BgL_test4465z00_14250)
					{	/* SawBbv/bbv-types.scm 1294 */
						if (
							(((obj_t)
									(((BgL_rtl_newz00_bglt) COBJECT(
												((BgL_rtl_newz00_bglt) BgL_xz00_8729)))->
										BgL_typez00)) ==
								((obj_t) (((BgL_rtl_newz00_bglt) COBJECT(((BgL_rtl_newz00_bglt)
													BgL_yz00_8730)))->BgL_typez00))))
							{	/* SawBbv/bbv-types.scm 1296 */
								obj_t BgL_arg3431z00_9319;
								BgL_typez00_bglt BgL_arg3432z00_9320;

								BgL_arg3431z00_9319 =
									(((BgL_rtl_newz00_bglt) COBJECT(
											((BgL_rtl_newz00_bglt) BgL_xz00_8729)))->BgL_constrz00);
								BgL_arg3432z00_9320 =
									(((BgL_rtl_newz00_bglt) COBJECT(
											((BgL_rtl_newz00_bglt) BgL_yz00_8730)))->BgL_typez00);
								{	/* SawBbv/bbv-types.scm 1296 */
									obj_t BgL_list3433z00_9321;

									{	/* SawBbv/bbv-types.scm 1296 */
										obj_t BgL_arg3435z00_9322;

										BgL_arg3435z00_9322 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg3432z00_9320), BNIL);
										BgL_list3433z00_9321 =
											MAKE_YOUNG_PAIR(BgL_arg3431z00_9319, BgL_arg3435z00_9322);
									}
									return
										BGl_everyz00zz__r4_pairs_and_lists_6_3z00
										(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
										BgL_list3433z00_9321);
								}
							}
						else
							{	/* SawBbv/bbv-types.scm 1295 */
								return BFALSE;
							}
					}
				else
					{	/* SawBbv/bbv-types.scm 1294 */
						return BFALSE;
					}
			}
		}

	}



/* &bbv-equal?-rtl_vset1921 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_vset1921z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8731, obj_t BgL_xz00_8732, obj_t BgL_yz00_8733)
	{
		{	/* SawBbv/bbv-types.scm 1285 */
			{	/* SawBbv/bbv-types.scm 1286 */
				bool_t BgL_tmpz00_14295;

				{	/* SawBbv/bbv-types.scm 1286 */
					bool_t BgL_test4471z00_14296;

					{	/* SawBbv/bbv-types.scm 1286 */
						obj_t BgL_classz00_9324;

						BgL_classz00_9324 = BGl_rtl_vsetz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_8733))
							{	/* SawBbv/bbv-types.scm 1286 */
								BgL_objectz00_bglt BgL_arg1858z00_9325;

								BgL_arg1858z00_9325 = (BgL_objectz00_bglt) (BgL_yz00_8733);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1286 */
										long BgL_idxz00_9326;

										BgL_idxz00_9326 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9325);
										BgL_test4471z00_14296 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_9326 + 3L)) == BgL_classz00_9324);
									}
								else
									{	/* SawBbv/bbv-types.scm 1286 */
										bool_t BgL_res3685z00_9329;

										{	/* SawBbv/bbv-types.scm 1286 */
											obj_t BgL_oclassz00_9330;

											{	/* SawBbv/bbv-types.scm 1286 */
												obj_t BgL_arg1866z00_9331;
												long BgL_arg1867z00_9332;

												BgL_arg1866z00_9331 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawBbv/bbv-types.scm 1286 */
													long BgL_arg1869z00_9333;

													BgL_arg1869z00_9333 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9325);
													BgL_arg1867z00_9332 =
														(BgL_arg1869z00_9333 - OBJECT_TYPE);
												}
												BgL_oclassz00_9330 =
													VECTOR_REF(BgL_arg1866z00_9331, BgL_arg1867z00_9332);
											}
											{	/* SawBbv/bbv-types.scm 1286 */
												bool_t BgL__ortest_1115z00_9334;

												BgL__ortest_1115z00_9334 =
													(BgL_classz00_9324 == BgL_oclassz00_9330);
												if (BgL__ortest_1115z00_9334)
													{	/* SawBbv/bbv-types.scm 1286 */
														BgL_res3685z00_9329 = BgL__ortest_1115z00_9334;
													}
												else
													{	/* SawBbv/bbv-types.scm 1286 */
														long BgL_odepthz00_9335;

														{	/* SawBbv/bbv-types.scm 1286 */
															obj_t BgL_arg1855z00_9336;

															BgL_arg1855z00_9336 = (BgL_oclassz00_9330);
															BgL_odepthz00_9335 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_9336);
														}
														if ((3L < BgL_odepthz00_9335))
															{	/* SawBbv/bbv-types.scm 1286 */
																obj_t BgL_arg1853z00_9337;

																{	/* SawBbv/bbv-types.scm 1286 */
																	obj_t BgL_arg1854z00_9338;

																	BgL_arg1854z00_9338 = (BgL_oclassz00_9330);
																	BgL_arg1853z00_9337 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9338,
																		3L);
																}
																BgL_res3685z00_9329 =
																	(BgL_arg1853z00_9337 == BgL_classz00_9324);
															}
														else
															{	/* SawBbv/bbv-types.scm 1286 */
																BgL_res3685z00_9329 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4471z00_14296 = BgL_res3685z00_9329;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1286 */
								BgL_test4471z00_14296 = ((bool_t) 0);
							}
					}
					if (BgL_test4471z00_14296)
						{	/* SawBbv/bbv-types.scm 1287 */
							bool_t BgL_test4476z00_14319;

							{	/* SawBbv/bbv-types.scm 1287 */
								BgL_typez00_bglt BgL_arg3424z00_9339;
								BgL_typez00_bglt BgL_arg3426z00_9340;

								BgL_arg3424z00_9339 =
									(((BgL_rtl_vsetz00_bglt) COBJECT(
											((BgL_rtl_vsetz00_bglt) BgL_xz00_8732)))->BgL_typez00);
								BgL_arg3426z00_9340 =
									(((BgL_rtl_vsetz00_bglt) COBJECT(
											((BgL_rtl_vsetz00_bglt) BgL_yz00_8733)))->BgL_typez00);
								BgL_test4476z00_14319 =
									BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
									((obj_t) BgL_arg3424z00_9339), ((obj_t) BgL_arg3426z00_9340));
							}
							if (BgL_test4476z00_14319)
								{	/* SawBbv/bbv-types.scm 1288 */
									BgL_typez00_bglt BgL_arg3422z00_9341;
									BgL_typez00_bglt BgL_arg3423z00_9342;

									BgL_arg3422z00_9341 =
										(((BgL_rtl_vsetz00_bglt) COBJECT(
												((BgL_rtl_vsetz00_bglt) BgL_xz00_8732)))->BgL_vtypez00);
									BgL_arg3423z00_9342 =
										(((BgL_rtl_vsetz00_bglt) COBJECT(
												((BgL_rtl_vsetz00_bglt) BgL_yz00_8733)))->BgL_vtypez00);
									BgL_tmpz00_14295 =
										BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
										((obj_t) BgL_arg3422z00_9341),
										((obj_t) BgL_arg3423z00_9342));
								}
							else
								{	/* SawBbv/bbv-types.scm 1287 */
									BgL_tmpz00_14295 = ((bool_t) 0);
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 1286 */
							BgL_tmpz00_14295 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_14295);
			}
		}

	}



/* &bbv-equal?-rtl_setfi1919 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_setfi1919z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8734, obj_t BgL_xz00_8735, obj_t BgL_yz00_8736)
	{
		{	/* SawBbv/bbv-types.scm 1276 */
			{	/* SawBbv/bbv-types.scm 1277 */
				bool_t BgL_tmpz00_14335;

				{	/* SawBbv/bbv-types.scm 1277 */
					bool_t BgL_test4477z00_14336;

					{	/* SawBbv/bbv-types.scm 1277 */
						obj_t BgL_classz00_9344;

						BgL_classz00_9344 = BGl_rtl_setfieldz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_8736))
							{	/* SawBbv/bbv-types.scm 1277 */
								BgL_objectz00_bglt BgL_arg1858z00_9345;

								BgL_arg1858z00_9345 = (BgL_objectz00_bglt) (BgL_yz00_8736);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1277 */
										long BgL_idxz00_9346;

										BgL_idxz00_9346 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9345);
										BgL_test4477z00_14336 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_9346 + 3L)) == BgL_classz00_9344);
									}
								else
									{	/* SawBbv/bbv-types.scm 1277 */
										bool_t BgL_res3684z00_9349;

										{	/* SawBbv/bbv-types.scm 1277 */
											obj_t BgL_oclassz00_9350;

											{	/* SawBbv/bbv-types.scm 1277 */
												obj_t BgL_arg1866z00_9351;
												long BgL_arg1867z00_9352;

												BgL_arg1866z00_9351 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawBbv/bbv-types.scm 1277 */
													long BgL_arg1869z00_9353;

													BgL_arg1869z00_9353 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9345);
													BgL_arg1867z00_9352 =
														(BgL_arg1869z00_9353 - OBJECT_TYPE);
												}
												BgL_oclassz00_9350 =
													VECTOR_REF(BgL_arg1866z00_9351, BgL_arg1867z00_9352);
											}
											{	/* SawBbv/bbv-types.scm 1277 */
												bool_t BgL__ortest_1115z00_9354;

												BgL__ortest_1115z00_9354 =
													(BgL_classz00_9344 == BgL_oclassz00_9350);
												if (BgL__ortest_1115z00_9354)
													{	/* SawBbv/bbv-types.scm 1277 */
														BgL_res3684z00_9349 = BgL__ortest_1115z00_9354;
													}
												else
													{	/* SawBbv/bbv-types.scm 1277 */
														long BgL_odepthz00_9355;

														{	/* SawBbv/bbv-types.scm 1277 */
															obj_t BgL_arg1855z00_9356;

															BgL_arg1855z00_9356 = (BgL_oclassz00_9350);
															BgL_odepthz00_9355 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_9356);
														}
														if ((3L < BgL_odepthz00_9355))
															{	/* SawBbv/bbv-types.scm 1277 */
																obj_t BgL_arg1853z00_9357;

																{	/* SawBbv/bbv-types.scm 1277 */
																	obj_t BgL_arg1854z00_9358;

																	BgL_arg1854z00_9358 = (BgL_oclassz00_9350);
																	BgL_arg1853z00_9357 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9358,
																		3L);
																}
																BgL_res3684z00_9349 =
																	(BgL_arg1853z00_9357 == BgL_classz00_9344);
															}
														else
															{	/* SawBbv/bbv-types.scm 1277 */
																BgL_res3684z00_9349 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4477z00_14336 = BgL_res3684z00_9349;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1277 */
								BgL_test4477z00_14336 = ((bool_t) 0);
							}
					}
					if (BgL_test4477z00_14336)
						{	/* SawBbv/bbv-types.scm 1278 */
							bool_t BgL_test4482z00_14359;

							{	/* SawBbv/bbv-types.scm 1278 */
								obj_t BgL_arg3417z00_9359;
								obj_t BgL_arg3419z00_9360;

								BgL_arg3417z00_9359 =
									(((BgL_rtl_setfieldz00_bglt) COBJECT(
											((BgL_rtl_setfieldz00_bglt) BgL_xz00_8735)))->
									BgL_namez00);
								BgL_arg3419z00_9360 =
									(((BgL_rtl_setfieldz00_bglt)
										COBJECT(((BgL_rtl_setfieldz00_bglt) BgL_yz00_8736)))->
									BgL_namez00);
								{	/* SawBbv/bbv-types.scm 1278 */
									long BgL_l1z00_9361;

									BgL_l1z00_9361 = STRING_LENGTH(BgL_arg3417z00_9359);
									if ((BgL_l1z00_9361 == STRING_LENGTH(BgL_arg3419z00_9360)))
										{	/* SawBbv/bbv-types.scm 1278 */
											int BgL_arg1343z00_9362;

											{	/* SawBbv/bbv-types.scm 1278 */
												char *BgL_auxz00_14370;
												char *BgL_tmpz00_14368;

												BgL_auxz00_14370 =
													BSTRING_TO_STRING(BgL_arg3419z00_9360);
												BgL_tmpz00_14368 =
													BSTRING_TO_STRING(BgL_arg3417z00_9359);
												BgL_arg1343z00_9362 =
													memcmp(BgL_tmpz00_14368, BgL_auxz00_14370,
													BgL_l1z00_9361);
											}
											BgL_test4482z00_14359 =
												((long) (BgL_arg1343z00_9362) == 0L);
										}
									else
										{	/* SawBbv/bbv-types.scm 1278 */
											BgL_test4482z00_14359 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test4482z00_14359)
								{	/* SawBbv/bbv-types.scm 1279 */
									bool_t BgL_test4484z00_14375;

									{	/* SawBbv/bbv-types.scm 1279 */
										BgL_typez00_bglt BgL_arg3415z00_9363;
										BgL_typez00_bglt BgL_arg3416z00_9364;

										BgL_arg3415z00_9363 =
											(((BgL_rtl_setfieldz00_bglt) COBJECT(
													((BgL_rtl_setfieldz00_bglt) BgL_xz00_8735)))->
											BgL_objtypez00);
										BgL_arg3416z00_9364 =
											(((BgL_rtl_setfieldz00_bglt)
												COBJECT(((BgL_rtl_setfieldz00_bglt) BgL_yz00_8736)))->
											BgL_objtypez00);
										BgL_test4484z00_14375 =
											BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(((obj_t)
												BgL_arg3415z00_9363), ((obj_t) BgL_arg3416z00_9364));
									}
									if (BgL_test4484z00_14375)
										{	/* SawBbv/bbv-types.scm 1280 */
											BgL_typez00_bglt BgL_arg3412z00_9365;
											BgL_typez00_bglt BgL_arg3413z00_9366;

											BgL_arg3412z00_9365 =
												(((BgL_rtl_setfieldz00_bglt) COBJECT(
														((BgL_rtl_setfieldz00_bglt) BgL_xz00_8735)))->
												BgL_typez00);
											BgL_arg3413z00_9366 =
												(((BgL_rtl_setfieldz00_bglt)
													COBJECT(((BgL_rtl_setfieldz00_bglt) BgL_yz00_8736)))->
												BgL_typez00);
											BgL_tmpz00_14335 =
												BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(((obj_t)
													BgL_arg3412z00_9365), ((obj_t) BgL_arg3413z00_9366));
										}
									else
										{	/* SawBbv/bbv-types.scm 1279 */
											BgL_tmpz00_14335 = ((bool_t) 0);
										}
								}
							else
								{	/* SawBbv/bbv-types.scm 1278 */
									BgL_tmpz00_14335 = ((bool_t) 0);
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 1277 */
							BgL_tmpz00_14335 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_14335);
			}
		}

	}



/* &bbv-equal?-rtl_store1917 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_store1917z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8737, obj_t BgL_xz00_8738, obj_t BgL_yz00_8739)
	{
		{	/* SawBbv/bbv-types.scm 1269 */
			{	/* SawBbv/bbv-types.scm 1270 */
				bool_t BgL_tmpz00_14391;

				{	/* SawBbv/bbv-types.scm 1270 */
					bool_t BgL_test4485z00_14392;

					{	/* SawBbv/bbv-types.scm 1270 */
						obj_t BgL_classz00_9368;

						BgL_classz00_9368 = BGl_rtl_storegz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_8739))
							{	/* SawBbv/bbv-types.scm 1270 */
								BgL_objectz00_bglt BgL_arg1858z00_9369;

								BgL_arg1858z00_9369 = (BgL_objectz00_bglt) (BgL_yz00_8739);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1270 */
										long BgL_idxz00_9370;

										BgL_idxz00_9370 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9369);
										BgL_test4485z00_14392 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_9370 + 3L)) == BgL_classz00_9368);
									}
								else
									{	/* SawBbv/bbv-types.scm 1270 */
										bool_t BgL_res3683z00_9373;

										{	/* SawBbv/bbv-types.scm 1270 */
											obj_t BgL_oclassz00_9374;

											{	/* SawBbv/bbv-types.scm 1270 */
												obj_t BgL_arg1866z00_9375;
												long BgL_arg1867z00_9376;

												BgL_arg1866z00_9375 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawBbv/bbv-types.scm 1270 */
													long BgL_arg1869z00_9377;

													BgL_arg1869z00_9377 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9369);
													BgL_arg1867z00_9376 =
														(BgL_arg1869z00_9377 - OBJECT_TYPE);
												}
												BgL_oclassz00_9374 =
													VECTOR_REF(BgL_arg1866z00_9375, BgL_arg1867z00_9376);
											}
											{	/* SawBbv/bbv-types.scm 1270 */
												bool_t BgL__ortest_1115z00_9378;

												BgL__ortest_1115z00_9378 =
													(BgL_classz00_9368 == BgL_oclassz00_9374);
												if (BgL__ortest_1115z00_9378)
													{	/* SawBbv/bbv-types.scm 1270 */
														BgL_res3683z00_9373 = BgL__ortest_1115z00_9378;
													}
												else
													{	/* SawBbv/bbv-types.scm 1270 */
														long BgL_odepthz00_9379;

														{	/* SawBbv/bbv-types.scm 1270 */
															obj_t BgL_arg1855z00_9380;

															BgL_arg1855z00_9380 = (BgL_oclassz00_9374);
															BgL_odepthz00_9379 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_9380);
														}
														if ((3L < BgL_odepthz00_9379))
															{	/* SawBbv/bbv-types.scm 1270 */
																obj_t BgL_arg1853z00_9381;

																{	/* SawBbv/bbv-types.scm 1270 */
																	obj_t BgL_arg1854z00_9382;

																	BgL_arg1854z00_9382 = (BgL_oclassz00_9374);
																	BgL_arg1853z00_9381 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9382,
																		3L);
																}
																BgL_res3683z00_9373 =
																	(BgL_arg1853z00_9381 == BgL_classz00_9368);
															}
														else
															{	/* SawBbv/bbv-types.scm 1270 */
																BgL_res3683z00_9373 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4485z00_14392 = BgL_res3683z00_9373;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1270 */
								BgL_test4485z00_14392 = ((bool_t) 0);
							}
					}
					if (BgL_test4485z00_14392)
						{	/* SawBbv/bbv-types.scm 1271 */
							BgL_globalz00_bglt BgL_arg3408z00_9383;
							BgL_globalz00_bglt BgL_arg3409z00_9384;

							BgL_arg3408z00_9383 =
								(((BgL_rtl_storegz00_bglt) COBJECT(
										((BgL_rtl_storegz00_bglt) BgL_xz00_8738)))->BgL_varz00);
							BgL_arg3409z00_9384 =
								(((BgL_rtl_storegz00_bglt) COBJECT(
										((BgL_rtl_storegz00_bglt) BgL_yz00_8739)))->BgL_varz00);
							BgL_tmpz00_14391 =
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg3408z00_9383), ((obj_t) BgL_arg3409z00_9384));
						}
					else
						{	/* SawBbv/bbv-types.scm 1270 */
							BgL_tmpz00_14391 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_14391);
			}
		}

	}



/* &bbv-equal?-rtl_insta1915 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_insta1915z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8740, obj_t BgL_xz00_8741, obj_t BgL_yz00_8742)
	{
		{	/* SawBbv/bbv-types.scm 1262 */
			{	/* SawBbv/bbv-types.scm 1263 */
				bool_t BgL_tmpz00_14423;

				{	/* SawBbv/bbv-types.scm 1263 */
					bool_t BgL_test4490z00_14424;

					{	/* SawBbv/bbv-types.scm 1263 */
						obj_t BgL_classz00_9386;

						BgL_classz00_9386 = BGl_rtl_instanceofz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_8742))
							{	/* SawBbv/bbv-types.scm 1263 */
								BgL_objectz00_bglt BgL_arg1858z00_9387;

								BgL_arg1858z00_9387 = (BgL_objectz00_bglt) (BgL_yz00_8742);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1263 */
										long BgL_idxz00_9388;

										BgL_idxz00_9388 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9387);
										BgL_test4490z00_14424 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_9388 + 3L)) == BgL_classz00_9386);
									}
								else
									{	/* SawBbv/bbv-types.scm 1263 */
										bool_t BgL_res3682z00_9391;

										{	/* SawBbv/bbv-types.scm 1263 */
											obj_t BgL_oclassz00_9392;

											{	/* SawBbv/bbv-types.scm 1263 */
												obj_t BgL_arg1866z00_9393;
												long BgL_arg1867z00_9394;

												BgL_arg1866z00_9393 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawBbv/bbv-types.scm 1263 */
													long BgL_arg1869z00_9395;

													BgL_arg1869z00_9395 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9387);
													BgL_arg1867z00_9394 =
														(BgL_arg1869z00_9395 - OBJECT_TYPE);
												}
												BgL_oclassz00_9392 =
													VECTOR_REF(BgL_arg1866z00_9393, BgL_arg1867z00_9394);
											}
											{	/* SawBbv/bbv-types.scm 1263 */
												bool_t BgL__ortest_1115z00_9396;

												BgL__ortest_1115z00_9396 =
													(BgL_classz00_9386 == BgL_oclassz00_9392);
												if (BgL__ortest_1115z00_9396)
													{	/* SawBbv/bbv-types.scm 1263 */
														BgL_res3682z00_9391 = BgL__ortest_1115z00_9396;
													}
												else
													{	/* SawBbv/bbv-types.scm 1263 */
														long BgL_odepthz00_9397;

														{	/* SawBbv/bbv-types.scm 1263 */
															obj_t BgL_arg1855z00_9398;

															BgL_arg1855z00_9398 = (BgL_oclassz00_9392);
															BgL_odepthz00_9397 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_9398);
														}
														if ((3L < BgL_odepthz00_9397))
															{	/* SawBbv/bbv-types.scm 1263 */
																obj_t BgL_arg1853z00_9399;

																{	/* SawBbv/bbv-types.scm 1263 */
																	obj_t BgL_arg1854z00_9400;

																	BgL_arg1854z00_9400 = (BgL_oclassz00_9392);
																	BgL_arg1853z00_9399 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9400,
																		3L);
																}
																BgL_res3682z00_9391 =
																	(BgL_arg1853z00_9399 == BgL_classz00_9386);
															}
														else
															{	/* SawBbv/bbv-types.scm 1263 */
																BgL_res3682z00_9391 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4490z00_14424 = BgL_res3682z00_9391;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1263 */
								BgL_test4490z00_14424 = ((bool_t) 0);
							}
					}
					if (BgL_test4490z00_14424)
						{	/* SawBbv/bbv-types.scm 1264 */
							BgL_typez00_bglt BgL_arg3405z00_9401;
							BgL_typez00_bglt BgL_arg3406z00_9402;

							BgL_arg3405z00_9401 =
								(((BgL_rtl_instanceofz00_bglt) COBJECT(
										((BgL_rtl_instanceofz00_bglt) BgL_xz00_8741)))->
								BgL_typez00);
							BgL_arg3406z00_9402 =
								(((BgL_rtl_instanceofz00_bglt)
									COBJECT(((BgL_rtl_instanceofz00_bglt) BgL_yz00_8742)))->
								BgL_typez00);
							BgL_tmpz00_14423 =
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(((obj_t)
									BgL_arg3405z00_9401), ((obj_t) BgL_arg3406z00_9402));
						}
					else
						{	/* SawBbv/bbv-types.scm 1263 */
							BgL_tmpz00_14423 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_14423);
			}
		}

	}



/* &bbv-equal?-rtl_vleng1913 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_vleng1913z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8743, obj_t BgL_xz00_8744, obj_t BgL_yz00_8745)
	{
		{	/* SawBbv/bbv-types.scm 1254 */
			{	/* SawBbv/bbv-types.scm 1255 */
				bool_t BgL_tmpz00_14455;

				{	/* SawBbv/bbv-types.scm 1255 */
					bool_t BgL_test4495z00_14456;

					{	/* SawBbv/bbv-types.scm 1255 */
						obj_t BgL_classz00_9404;

						BgL_classz00_9404 = BGl_rtl_vlengthz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_8745))
							{	/* SawBbv/bbv-types.scm 1255 */
								BgL_objectz00_bglt BgL_arg1858z00_9405;

								BgL_arg1858z00_9405 = (BgL_objectz00_bglt) (BgL_yz00_8745);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1255 */
										long BgL_idxz00_9406;

										BgL_idxz00_9406 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9405);
										BgL_test4495z00_14456 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_9406 + 3L)) == BgL_classz00_9404);
									}
								else
									{	/* SawBbv/bbv-types.scm 1255 */
										bool_t BgL_res3681z00_9409;

										{	/* SawBbv/bbv-types.scm 1255 */
											obj_t BgL_oclassz00_9410;

											{	/* SawBbv/bbv-types.scm 1255 */
												obj_t BgL_arg1866z00_9411;
												long BgL_arg1867z00_9412;

												BgL_arg1866z00_9411 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawBbv/bbv-types.scm 1255 */
													long BgL_arg1869z00_9413;

													BgL_arg1869z00_9413 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9405);
													BgL_arg1867z00_9412 =
														(BgL_arg1869z00_9413 - OBJECT_TYPE);
												}
												BgL_oclassz00_9410 =
													VECTOR_REF(BgL_arg1866z00_9411, BgL_arg1867z00_9412);
											}
											{	/* SawBbv/bbv-types.scm 1255 */
												bool_t BgL__ortest_1115z00_9414;

												BgL__ortest_1115z00_9414 =
													(BgL_classz00_9404 == BgL_oclassz00_9410);
												if (BgL__ortest_1115z00_9414)
													{	/* SawBbv/bbv-types.scm 1255 */
														BgL_res3681z00_9409 = BgL__ortest_1115z00_9414;
													}
												else
													{	/* SawBbv/bbv-types.scm 1255 */
														long BgL_odepthz00_9415;

														{	/* SawBbv/bbv-types.scm 1255 */
															obj_t BgL_arg1855z00_9416;

															BgL_arg1855z00_9416 = (BgL_oclassz00_9410);
															BgL_odepthz00_9415 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_9416);
														}
														if ((3L < BgL_odepthz00_9415))
															{	/* SawBbv/bbv-types.scm 1255 */
																obj_t BgL_arg1853z00_9417;

																{	/* SawBbv/bbv-types.scm 1255 */
																	obj_t BgL_arg1854z00_9418;

																	BgL_arg1854z00_9418 = (BgL_oclassz00_9410);
																	BgL_arg1853z00_9417 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9418,
																		3L);
																}
																BgL_res3681z00_9409 =
																	(BgL_arg1853z00_9417 == BgL_classz00_9404);
															}
														else
															{	/* SawBbv/bbv-types.scm 1255 */
																BgL_res3681z00_9409 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4495z00_14456 = BgL_res3681z00_9409;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1255 */
								BgL_test4495z00_14456 = ((bool_t) 0);
							}
					}
					if (BgL_test4495z00_14456)
						{	/* SawBbv/bbv-types.scm 1255 */
							{	/* SawBbv/bbv-types.scm 1256 */
								BgL_typez00_bglt BgL_arg3400z00_9419;
								BgL_typez00_bglt BgL_arg3401z00_9420;

								BgL_arg3400z00_9419 =
									(((BgL_rtl_vlengthz00_bglt) COBJECT(
											((BgL_rtl_vlengthz00_bglt) BgL_xz00_8744)))->BgL_typez00);
								BgL_arg3401z00_9420 =
									(((BgL_rtl_vlengthz00_bglt) COBJECT(
											((BgL_rtl_vlengthz00_bglt) BgL_yz00_8745)))->BgL_typez00);
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
									((obj_t) BgL_arg3400z00_9419), ((obj_t) BgL_arg3401z00_9420));
							}
							{	/* SawBbv/bbv-types.scm 1257 */
								BgL_typez00_bglt BgL_arg3402z00_9421;
								BgL_typez00_bglt BgL_arg3403z00_9422;

								BgL_arg3402z00_9421 =
									(((BgL_rtl_vlengthz00_bglt) COBJECT(
											((BgL_rtl_vlengthz00_bglt) BgL_xz00_8744)))->
									BgL_vtypez00);
								BgL_arg3403z00_9422 =
									(((BgL_rtl_vlengthz00_bglt) COBJECT(((BgL_rtl_vlengthz00_bglt)
												BgL_yz00_8745)))->BgL_vtypez00);
								BgL_tmpz00_14455 =
									BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(((obj_t)
										BgL_arg3402z00_9421), ((obj_t) BgL_arg3403z00_9422));
							}
						}
					else
						{	/* SawBbv/bbv-types.scm 1255 */
							BgL_tmpz00_14455 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_14455);
			}
		}

	}



/* &bbv-equal?-rtl_vref1911 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_vref1911z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8746, obj_t BgL_xz00_8747, obj_t BgL_yz00_8748)
	{
		{	/* SawBbv/bbv-types.scm 1246 */
			{	/* SawBbv/bbv-types.scm 1247 */
				bool_t BgL_tmpz00_14494;

				{	/* SawBbv/bbv-types.scm 1247 */
					bool_t BgL_test4500z00_14495;

					{	/* SawBbv/bbv-types.scm 1247 */
						obj_t BgL_classz00_9424;

						BgL_classz00_9424 = BGl_rtl_vrefz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_8748))
							{	/* SawBbv/bbv-types.scm 1247 */
								BgL_objectz00_bglt BgL_arg1858z00_9425;

								BgL_arg1858z00_9425 = (BgL_objectz00_bglt) (BgL_yz00_8748);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1247 */
										long BgL_idxz00_9426;

										BgL_idxz00_9426 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9425);
										BgL_test4500z00_14495 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_9426 + 3L)) == BgL_classz00_9424);
									}
								else
									{	/* SawBbv/bbv-types.scm 1247 */
										bool_t BgL_res3680z00_9429;

										{	/* SawBbv/bbv-types.scm 1247 */
											obj_t BgL_oclassz00_9430;

											{	/* SawBbv/bbv-types.scm 1247 */
												obj_t BgL_arg1866z00_9431;
												long BgL_arg1867z00_9432;

												BgL_arg1866z00_9431 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawBbv/bbv-types.scm 1247 */
													long BgL_arg1869z00_9433;

													BgL_arg1869z00_9433 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9425);
													BgL_arg1867z00_9432 =
														(BgL_arg1869z00_9433 - OBJECT_TYPE);
												}
												BgL_oclassz00_9430 =
													VECTOR_REF(BgL_arg1866z00_9431, BgL_arg1867z00_9432);
											}
											{	/* SawBbv/bbv-types.scm 1247 */
												bool_t BgL__ortest_1115z00_9434;

												BgL__ortest_1115z00_9434 =
													(BgL_classz00_9424 == BgL_oclassz00_9430);
												if (BgL__ortest_1115z00_9434)
													{	/* SawBbv/bbv-types.scm 1247 */
														BgL_res3680z00_9429 = BgL__ortest_1115z00_9434;
													}
												else
													{	/* SawBbv/bbv-types.scm 1247 */
														long BgL_odepthz00_9435;

														{	/* SawBbv/bbv-types.scm 1247 */
															obj_t BgL_arg1855z00_9436;

															BgL_arg1855z00_9436 = (BgL_oclassz00_9430);
															BgL_odepthz00_9435 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_9436);
														}
														if ((3L < BgL_odepthz00_9435))
															{	/* SawBbv/bbv-types.scm 1247 */
																obj_t BgL_arg1853z00_9437;

																{	/* SawBbv/bbv-types.scm 1247 */
																	obj_t BgL_arg1854z00_9438;

																	BgL_arg1854z00_9438 = (BgL_oclassz00_9430);
																	BgL_arg1853z00_9437 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9438,
																		3L);
																}
																BgL_res3680z00_9429 =
																	(BgL_arg1853z00_9437 == BgL_classz00_9424);
															}
														else
															{	/* SawBbv/bbv-types.scm 1247 */
																BgL_res3680z00_9429 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4500z00_14495 = BgL_res3680z00_9429;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1247 */
								BgL_test4500z00_14495 = ((bool_t) 0);
							}
					}
					if (BgL_test4500z00_14495)
						{	/* SawBbv/bbv-types.scm 1247 */
							{	/* SawBbv/bbv-types.scm 1248 */
								BgL_typez00_bglt BgL_arg3392z00_9439;
								BgL_typez00_bglt BgL_arg3393z00_9440;

								BgL_arg3392z00_9439 =
									(((BgL_rtl_vrefz00_bglt) COBJECT(
											((BgL_rtl_vrefz00_bglt) BgL_xz00_8747)))->BgL_typez00);
								BgL_arg3393z00_9440 =
									(((BgL_rtl_vrefz00_bglt) COBJECT(
											((BgL_rtl_vrefz00_bglt) BgL_yz00_8748)))->BgL_typez00);
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
									((obj_t) BgL_arg3392z00_9439), ((obj_t) BgL_arg3393z00_9440));
							}
							{	/* SawBbv/bbv-types.scm 1249 */
								BgL_typez00_bglt BgL_arg3396z00_9441;
								BgL_typez00_bglt BgL_arg3397z00_9442;

								BgL_arg3396z00_9441 =
									(((BgL_rtl_vrefz00_bglt) COBJECT(
											((BgL_rtl_vrefz00_bglt) BgL_xz00_8747)))->BgL_vtypez00);
								BgL_arg3397z00_9442 =
									(((BgL_rtl_vrefz00_bglt) COBJECT(
											((BgL_rtl_vrefz00_bglt) BgL_yz00_8748)))->BgL_vtypez00);
								BgL_tmpz00_14494 =
									BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
									((obj_t) BgL_arg3396z00_9441), ((obj_t) BgL_arg3397z00_9442));
							}
						}
					else
						{	/* SawBbv/bbv-types.scm 1247 */
							BgL_tmpz00_14494 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_14494);
			}
		}

	}



/* &bbv-equal?-rtl_vallo1909 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_vallo1909z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8749, obj_t BgL_xz00_8750, obj_t BgL_yz00_8751)
	{
		{	/* SawBbv/bbv-types.scm 1238 */
			{	/* SawBbv/bbv-types.scm 1239 */
				bool_t BgL_tmpz00_14533;

				{	/* SawBbv/bbv-types.scm 1239 */
					bool_t BgL_test4505z00_14534;

					{	/* SawBbv/bbv-types.scm 1239 */
						obj_t BgL_classz00_9444;

						BgL_classz00_9444 = BGl_rtl_vallocz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_8751))
							{	/* SawBbv/bbv-types.scm 1239 */
								BgL_objectz00_bglt BgL_arg1858z00_9445;

								BgL_arg1858z00_9445 = (BgL_objectz00_bglt) (BgL_yz00_8751);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1239 */
										long BgL_idxz00_9446;

										BgL_idxz00_9446 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9445);
										BgL_test4505z00_14534 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_9446 + 3L)) == BgL_classz00_9444);
									}
								else
									{	/* SawBbv/bbv-types.scm 1239 */
										bool_t BgL_res3679z00_9449;

										{	/* SawBbv/bbv-types.scm 1239 */
											obj_t BgL_oclassz00_9450;

											{	/* SawBbv/bbv-types.scm 1239 */
												obj_t BgL_arg1866z00_9451;
												long BgL_arg1867z00_9452;

												BgL_arg1866z00_9451 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawBbv/bbv-types.scm 1239 */
													long BgL_arg1869z00_9453;

													BgL_arg1869z00_9453 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9445);
													BgL_arg1867z00_9452 =
														(BgL_arg1869z00_9453 - OBJECT_TYPE);
												}
												BgL_oclassz00_9450 =
													VECTOR_REF(BgL_arg1866z00_9451, BgL_arg1867z00_9452);
											}
											{	/* SawBbv/bbv-types.scm 1239 */
												bool_t BgL__ortest_1115z00_9454;

												BgL__ortest_1115z00_9454 =
													(BgL_classz00_9444 == BgL_oclassz00_9450);
												if (BgL__ortest_1115z00_9454)
													{	/* SawBbv/bbv-types.scm 1239 */
														BgL_res3679z00_9449 = BgL__ortest_1115z00_9454;
													}
												else
													{	/* SawBbv/bbv-types.scm 1239 */
														long BgL_odepthz00_9455;

														{	/* SawBbv/bbv-types.scm 1239 */
															obj_t BgL_arg1855z00_9456;

															BgL_arg1855z00_9456 = (BgL_oclassz00_9450);
															BgL_odepthz00_9455 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_9456);
														}
														if ((3L < BgL_odepthz00_9455))
															{	/* SawBbv/bbv-types.scm 1239 */
																obj_t BgL_arg1853z00_9457;

																{	/* SawBbv/bbv-types.scm 1239 */
																	obj_t BgL_arg1854z00_9458;

																	BgL_arg1854z00_9458 = (BgL_oclassz00_9450);
																	BgL_arg1853z00_9457 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9458,
																		3L);
																}
																BgL_res3679z00_9449 =
																	(BgL_arg1853z00_9457 == BgL_classz00_9444);
															}
														else
															{	/* SawBbv/bbv-types.scm 1239 */
																BgL_res3679z00_9449 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4505z00_14534 = BgL_res3679z00_9449;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1239 */
								BgL_test4505z00_14534 = ((bool_t) 0);
							}
					}
					if (BgL_test4505z00_14534)
						{	/* SawBbv/bbv-types.scm 1239 */
							{	/* SawBbv/bbv-types.scm 1240 */
								BgL_typez00_bglt BgL_arg3387z00_9459;
								BgL_typez00_bglt BgL_arg3388z00_9460;

								BgL_arg3387z00_9459 =
									(((BgL_rtl_vallocz00_bglt) COBJECT(
											((BgL_rtl_vallocz00_bglt) BgL_xz00_8750)))->BgL_typez00);
								BgL_arg3388z00_9460 =
									(((BgL_rtl_vallocz00_bglt) COBJECT(
											((BgL_rtl_vallocz00_bglt) BgL_yz00_8751)))->BgL_typez00);
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
									((obj_t) BgL_arg3387z00_9459), ((obj_t) BgL_arg3388z00_9460));
							}
							{	/* SawBbv/bbv-types.scm 1241 */
								BgL_typez00_bglt BgL_arg3389z00_9461;
								BgL_typez00_bglt BgL_arg3390z00_9462;

								BgL_arg3389z00_9461 =
									(((BgL_rtl_vallocz00_bglt) COBJECT(
											((BgL_rtl_vallocz00_bglt) BgL_xz00_8750)))->BgL_vtypez00);
								BgL_arg3390z00_9462 =
									(((BgL_rtl_vallocz00_bglt) COBJECT(
											((BgL_rtl_vallocz00_bglt) BgL_yz00_8751)))->BgL_vtypez00);
								BgL_tmpz00_14533 =
									BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
									((obj_t) BgL_arg3389z00_9461), ((obj_t) BgL_arg3390z00_9462));
							}
						}
					else
						{	/* SawBbv/bbv-types.scm 1239 */
							BgL_tmpz00_14533 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_14533);
			}
		}

	}



/* &bbv-equal?-rtl_getfi1907 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_getfi1907z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8752, obj_t BgL_xz00_8753, obj_t BgL_yz00_8754)
	{
		{	/* SawBbv/bbv-types.scm 1229 */
			{	/* SawBbv/bbv-types.scm 1230 */
				bool_t BgL_tmpz00_14572;

				{	/* SawBbv/bbv-types.scm 1230 */
					bool_t BgL_test4510z00_14573;

					{	/* SawBbv/bbv-types.scm 1230 */
						obj_t BgL_classz00_9464;

						BgL_classz00_9464 = BGl_rtl_getfieldz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_8754))
							{	/* SawBbv/bbv-types.scm 1230 */
								BgL_objectz00_bglt BgL_arg1858z00_9465;

								BgL_arg1858z00_9465 = (BgL_objectz00_bglt) (BgL_yz00_8754);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1230 */
										long BgL_idxz00_9466;

										BgL_idxz00_9466 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9465);
										BgL_test4510z00_14573 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_9466 + 3L)) == BgL_classz00_9464);
									}
								else
									{	/* SawBbv/bbv-types.scm 1230 */
										bool_t BgL_res3678z00_9469;

										{	/* SawBbv/bbv-types.scm 1230 */
											obj_t BgL_oclassz00_9470;

											{	/* SawBbv/bbv-types.scm 1230 */
												obj_t BgL_arg1866z00_9471;
												long BgL_arg1867z00_9472;

												BgL_arg1866z00_9471 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawBbv/bbv-types.scm 1230 */
													long BgL_arg1869z00_9473;

													BgL_arg1869z00_9473 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9465);
													BgL_arg1867z00_9472 =
														(BgL_arg1869z00_9473 - OBJECT_TYPE);
												}
												BgL_oclassz00_9470 =
													VECTOR_REF(BgL_arg1866z00_9471, BgL_arg1867z00_9472);
											}
											{	/* SawBbv/bbv-types.scm 1230 */
												bool_t BgL__ortest_1115z00_9474;

												BgL__ortest_1115z00_9474 =
													(BgL_classz00_9464 == BgL_oclassz00_9470);
												if (BgL__ortest_1115z00_9474)
													{	/* SawBbv/bbv-types.scm 1230 */
														BgL_res3678z00_9469 = BgL__ortest_1115z00_9474;
													}
												else
													{	/* SawBbv/bbv-types.scm 1230 */
														long BgL_odepthz00_9475;

														{	/* SawBbv/bbv-types.scm 1230 */
															obj_t BgL_arg1855z00_9476;

															BgL_arg1855z00_9476 = (BgL_oclassz00_9470);
															BgL_odepthz00_9475 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_9476);
														}
														if ((3L < BgL_odepthz00_9475))
															{	/* SawBbv/bbv-types.scm 1230 */
																obj_t BgL_arg1853z00_9477;

																{	/* SawBbv/bbv-types.scm 1230 */
																	obj_t BgL_arg1854z00_9478;

																	BgL_arg1854z00_9478 = (BgL_oclassz00_9470);
																	BgL_arg1853z00_9477 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9478,
																		3L);
																}
																BgL_res3678z00_9469 =
																	(BgL_arg1853z00_9477 == BgL_classz00_9464);
															}
														else
															{	/* SawBbv/bbv-types.scm 1230 */
																BgL_res3678z00_9469 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4510z00_14573 = BgL_res3678z00_9469;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1230 */
								BgL_test4510z00_14573 = ((bool_t) 0);
							}
					}
					if (BgL_test4510z00_14573)
						{	/* SawBbv/bbv-types.scm 1231 */
							bool_t BgL_test4515z00_14596;

							{	/* SawBbv/bbv-types.scm 1231 */
								obj_t BgL_arg3382z00_9479;
								obj_t BgL_arg3384z00_9480;

								BgL_arg3382z00_9479 =
									(((BgL_rtl_getfieldz00_bglt) COBJECT(
											((BgL_rtl_getfieldz00_bglt) BgL_xz00_8753)))->
									BgL_namez00);
								BgL_arg3384z00_9480 =
									(((BgL_rtl_getfieldz00_bglt)
										COBJECT(((BgL_rtl_getfieldz00_bglt) BgL_yz00_8754)))->
									BgL_namez00);
								{	/* SawBbv/bbv-types.scm 1231 */
									long BgL_l1z00_9481;

									BgL_l1z00_9481 = STRING_LENGTH(BgL_arg3382z00_9479);
									if ((BgL_l1z00_9481 == STRING_LENGTH(BgL_arg3384z00_9480)))
										{	/* SawBbv/bbv-types.scm 1231 */
											int BgL_arg1343z00_9482;

											{	/* SawBbv/bbv-types.scm 1231 */
												char *BgL_auxz00_14607;
												char *BgL_tmpz00_14605;

												BgL_auxz00_14607 =
													BSTRING_TO_STRING(BgL_arg3384z00_9480);
												BgL_tmpz00_14605 =
													BSTRING_TO_STRING(BgL_arg3382z00_9479);
												BgL_arg1343z00_9482 =
													memcmp(BgL_tmpz00_14605, BgL_auxz00_14607,
													BgL_l1z00_9481);
											}
											BgL_test4515z00_14596 =
												((long) (BgL_arg1343z00_9482) == 0L);
										}
									else
										{	/* SawBbv/bbv-types.scm 1231 */
											BgL_test4515z00_14596 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test4515z00_14596)
								{	/* SawBbv/bbv-types.scm 1232 */
									bool_t BgL_test4517z00_14612;

									{	/* SawBbv/bbv-types.scm 1232 */
										BgL_typez00_bglt BgL_arg3379z00_9483;
										BgL_typez00_bglt BgL_arg3380z00_9484;

										BgL_arg3379z00_9483 =
											(((BgL_rtl_getfieldz00_bglt) COBJECT(
													((BgL_rtl_getfieldz00_bglt) BgL_xz00_8753)))->
											BgL_objtypez00);
										BgL_arg3380z00_9484 =
											(((BgL_rtl_getfieldz00_bglt)
												COBJECT(((BgL_rtl_getfieldz00_bglt) BgL_yz00_8754)))->
											BgL_objtypez00);
										BgL_test4517z00_14612 =
											BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(((obj_t)
												BgL_arg3379z00_9483), ((obj_t) BgL_arg3380z00_9484));
									}
									if (BgL_test4517z00_14612)
										{	/* SawBbv/bbv-types.scm 1233 */
											BgL_typez00_bglt BgL_arg3377z00_9485;
											BgL_typez00_bglt BgL_arg3378z00_9486;

											BgL_arg3377z00_9485 =
												(((BgL_rtl_getfieldz00_bglt) COBJECT(
														((BgL_rtl_getfieldz00_bglt) BgL_xz00_8753)))->
												BgL_typez00);
											BgL_arg3378z00_9486 =
												(((BgL_rtl_getfieldz00_bglt)
													COBJECT(((BgL_rtl_getfieldz00_bglt) BgL_yz00_8754)))->
												BgL_typez00);
											BgL_tmpz00_14572 =
												BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(((obj_t)
													BgL_arg3377z00_9485), ((obj_t) BgL_arg3378z00_9486));
										}
									else
										{	/* SawBbv/bbv-types.scm 1232 */
											BgL_tmpz00_14572 = ((bool_t) 0);
										}
								}
							else
								{	/* SawBbv/bbv-types.scm 1231 */
									BgL_tmpz00_14572 = ((bool_t) 0);
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 1230 */
							BgL_tmpz00_14572 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_14572);
			}
		}

	}



/* &bbv-equal?-rtl_globa1905 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_globa1905z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8755, obj_t BgL_xz00_8756, obj_t BgL_yz00_8757)
	{
		{	/* SawBbv/bbv-types.scm 1222 */
			{	/* SawBbv/bbv-types.scm 1223 */
				bool_t BgL_tmpz00_14628;

				{	/* SawBbv/bbv-types.scm 1223 */
					bool_t BgL_test4518z00_14629;

					{	/* SawBbv/bbv-types.scm 1223 */
						obj_t BgL_classz00_9488;

						BgL_classz00_9488 = BGl_rtl_globalrefz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_8757))
							{	/* SawBbv/bbv-types.scm 1223 */
								BgL_objectz00_bglt BgL_arg1858z00_9489;

								BgL_arg1858z00_9489 = (BgL_objectz00_bglt) (BgL_yz00_8757);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1223 */
										long BgL_idxz00_9490;

										BgL_idxz00_9490 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9489);
										BgL_test4518z00_14629 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_9490 + 3L)) == BgL_classz00_9488);
									}
								else
									{	/* SawBbv/bbv-types.scm 1223 */
										bool_t BgL_res3677z00_9493;

										{	/* SawBbv/bbv-types.scm 1223 */
											obj_t BgL_oclassz00_9494;

											{	/* SawBbv/bbv-types.scm 1223 */
												obj_t BgL_arg1866z00_9495;
												long BgL_arg1867z00_9496;

												BgL_arg1866z00_9495 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawBbv/bbv-types.scm 1223 */
													long BgL_arg1869z00_9497;

													BgL_arg1869z00_9497 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9489);
													BgL_arg1867z00_9496 =
														(BgL_arg1869z00_9497 - OBJECT_TYPE);
												}
												BgL_oclassz00_9494 =
													VECTOR_REF(BgL_arg1866z00_9495, BgL_arg1867z00_9496);
											}
											{	/* SawBbv/bbv-types.scm 1223 */
												bool_t BgL__ortest_1115z00_9498;

												BgL__ortest_1115z00_9498 =
													(BgL_classz00_9488 == BgL_oclassz00_9494);
												if (BgL__ortest_1115z00_9498)
													{	/* SawBbv/bbv-types.scm 1223 */
														BgL_res3677z00_9493 = BgL__ortest_1115z00_9498;
													}
												else
													{	/* SawBbv/bbv-types.scm 1223 */
														long BgL_odepthz00_9499;

														{	/* SawBbv/bbv-types.scm 1223 */
															obj_t BgL_arg1855z00_9500;

															BgL_arg1855z00_9500 = (BgL_oclassz00_9494);
															BgL_odepthz00_9499 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_9500);
														}
														if ((3L < BgL_odepthz00_9499))
															{	/* SawBbv/bbv-types.scm 1223 */
																obj_t BgL_arg1853z00_9501;

																{	/* SawBbv/bbv-types.scm 1223 */
																	obj_t BgL_arg1854z00_9502;

																	BgL_arg1854z00_9502 = (BgL_oclassz00_9494);
																	BgL_arg1853z00_9501 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9502,
																		3L);
																}
																BgL_res3677z00_9493 =
																	(BgL_arg1853z00_9501 == BgL_classz00_9488);
															}
														else
															{	/* SawBbv/bbv-types.scm 1223 */
																BgL_res3677z00_9493 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4518z00_14629 = BgL_res3677z00_9493;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1223 */
								BgL_test4518z00_14629 = ((bool_t) 0);
							}
					}
					if (BgL_test4518z00_14629)
						{	/* SawBbv/bbv-types.scm 1224 */
							BgL_globalz00_bglt BgL_arg3374z00_9503;
							BgL_globalz00_bglt BgL_arg3375z00_9504;

							BgL_arg3374z00_9503 =
								(((BgL_rtl_globalrefz00_bglt) COBJECT(
										((BgL_rtl_globalrefz00_bglt) BgL_xz00_8756)))->BgL_varz00);
							BgL_arg3375z00_9504 =
								(((BgL_rtl_globalrefz00_bglt) COBJECT(
										((BgL_rtl_globalrefz00_bglt) BgL_yz00_8757)))->BgL_varz00);
							BgL_tmpz00_14628 =
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg3374z00_9503), ((obj_t) BgL_arg3375z00_9504));
						}
					else
						{	/* SawBbv/bbv-types.scm 1223 */
							BgL_tmpz00_14628 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_14628);
			}
		}

	}



/* &bbv-equal?-rtl_loadf1903 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_loadf1903z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8758, obj_t BgL_xz00_8759, obj_t BgL_yz00_8760)
	{
		{	/* SawBbv/bbv-types.scm 1215 */
			{	/* SawBbv/bbv-types.scm 1216 */
				bool_t BgL_tmpz00_14660;

				{	/* SawBbv/bbv-types.scm 1216 */
					bool_t BgL_test4523z00_14661;

					{	/* SawBbv/bbv-types.scm 1216 */
						obj_t BgL_classz00_9506;

						BgL_classz00_9506 = BGl_rtl_loadfunz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_8760))
							{	/* SawBbv/bbv-types.scm 1216 */
								BgL_objectz00_bglt BgL_arg1858z00_9507;

								BgL_arg1858z00_9507 = (BgL_objectz00_bglt) (BgL_yz00_8760);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1216 */
										long BgL_idxz00_9508;

										BgL_idxz00_9508 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9507);
										BgL_test4523z00_14661 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_9508 + 3L)) == BgL_classz00_9506);
									}
								else
									{	/* SawBbv/bbv-types.scm 1216 */
										bool_t BgL_res3676z00_9511;

										{	/* SawBbv/bbv-types.scm 1216 */
											obj_t BgL_oclassz00_9512;

											{	/* SawBbv/bbv-types.scm 1216 */
												obj_t BgL_arg1866z00_9513;
												long BgL_arg1867z00_9514;

												BgL_arg1866z00_9513 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawBbv/bbv-types.scm 1216 */
													long BgL_arg1869z00_9515;

													BgL_arg1869z00_9515 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9507);
													BgL_arg1867z00_9514 =
														(BgL_arg1869z00_9515 - OBJECT_TYPE);
												}
												BgL_oclassz00_9512 =
													VECTOR_REF(BgL_arg1866z00_9513, BgL_arg1867z00_9514);
											}
											{	/* SawBbv/bbv-types.scm 1216 */
												bool_t BgL__ortest_1115z00_9516;

												BgL__ortest_1115z00_9516 =
													(BgL_classz00_9506 == BgL_oclassz00_9512);
												if (BgL__ortest_1115z00_9516)
													{	/* SawBbv/bbv-types.scm 1216 */
														BgL_res3676z00_9511 = BgL__ortest_1115z00_9516;
													}
												else
													{	/* SawBbv/bbv-types.scm 1216 */
														long BgL_odepthz00_9517;

														{	/* SawBbv/bbv-types.scm 1216 */
															obj_t BgL_arg1855z00_9518;

															BgL_arg1855z00_9518 = (BgL_oclassz00_9512);
															BgL_odepthz00_9517 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_9518);
														}
														if ((3L < BgL_odepthz00_9517))
															{	/* SawBbv/bbv-types.scm 1216 */
																obj_t BgL_arg1853z00_9519;

																{	/* SawBbv/bbv-types.scm 1216 */
																	obj_t BgL_arg1854z00_9520;

																	BgL_arg1854z00_9520 = (BgL_oclassz00_9512);
																	BgL_arg1853z00_9519 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9520,
																		3L);
																}
																BgL_res3676z00_9511 =
																	(BgL_arg1853z00_9519 == BgL_classz00_9506);
															}
														else
															{	/* SawBbv/bbv-types.scm 1216 */
																BgL_res3676z00_9511 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4523z00_14661 = BgL_res3676z00_9511;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1216 */
								BgL_test4523z00_14661 = ((bool_t) 0);
							}
					}
					if (BgL_test4523z00_14661)
						{	/* SawBbv/bbv-types.scm 1217 */
							BgL_globalz00_bglt BgL_arg3370z00_9521;
							BgL_globalz00_bglt BgL_arg3371z00_9522;

							BgL_arg3370z00_9521 =
								(((BgL_rtl_loadfunz00_bglt) COBJECT(
										((BgL_rtl_loadfunz00_bglt) BgL_xz00_8759)))->BgL_varz00);
							BgL_arg3371z00_9522 =
								(((BgL_rtl_loadfunz00_bglt) COBJECT(
										((BgL_rtl_loadfunz00_bglt) BgL_yz00_8760)))->BgL_varz00);
							BgL_tmpz00_14660 =
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg3370z00_9521), ((obj_t) BgL_arg3371z00_9522));
						}
					else
						{	/* SawBbv/bbv-types.scm 1216 */
							BgL_tmpz00_14660 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_14660);
			}
		}

	}



/* &bbv-equal?-rtl_loadg1901 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_loadg1901z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8761, obj_t BgL_xz00_8762, obj_t BgL_yz00_8763)
	{
		{	/* SawBbv/bbv-types.scm 1208 */
			{	/* SawBbv/bbv-types.scm 1209 */
				bool_t BgL_tmpz00_14692;

				{	/* SawBbv/bbv-types.scm 1209 */
					bool_t BgL_test4528z00_14693;

					{	/* SawBbv/bbv-types.scm 1209 */
						obj_t BgL_classz00_9524;

						BgL_classz00_9524 = BGl_rtl_loadgz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_8763))
							{	/* SawBbv/bbv-types.scm 1209 */
								BgL_objectz00_bglt BgL_arg1858z00_9525;

								BgL_arg1858z00_9525 = (BgL_objectz00_bglt) (BgL_yz00_8763);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1209 */
										long BgL_idxz00_9526;

										BgL_idxz00_9526 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9525);
										BgL_test4528z00_14693 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_9526 + 3L)) == BgL_classz00_9524);
									}
								else
									{	/* SawBbv/bbv-types.scm 1209 */
										bool_t BgL_res3675z00_9529;

										{	/* SawBbv/bbv-types.scm 1209 */
											obj_t BgL_oclassz00_9530;

											{	/* SawBbv/bbv-types.scm 1209 */
												obj_t BgL_arg1866z00_9531;
												long BgL_arg1867z00_9532;

												BgL_arg1866z00_9531 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawBbv/bbv-types.scm 1209 */
													long BgL_arg1869z00_9533;

													BgL_arg1869z00_9533 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9525);
													BgL_arg1867z00_9532 =
														(BgL_arg1869z00_9533 - OBJECT_TYPE);
												}
												BgL_oclassz00_9530 =
													VECTOR_REF(BgL_arg1866z00_9531, BgL_arg1867z00_9532);
											}
											{	/* SawBbv/bbv-types.scm 1209 */
												bool_t BgL__ortest_1115z00_9534;

												BgL__ortest_1115z00_9534 =
													(BgL_classz00_9524 == BgL_oclassz00_9530);
												if (BgL__ortest_1115z00_9534)
													{	/* SawBbv/bbv-types.scm 1209 */
														BgL_res3675z00_9529 = BgL__ortest_1115z00_9534;
													}
												else
													{	/* SawBbv/bbv-types.scm 1209 */
														long BgL_odepthz00_9535;

														{	/* SawBbv/bbv-types.scm 1209 */
															obj_t BgL_arg1855z00_9536;

															BgL_arg1855z00_9536 = (BgL_oclassz00_9530);
															BgL_odepthz00_9535 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_9536);
														}
														if ((3L < BgL_odepthz00_9535))
															{	/* SawBbv/bbv-types.scm 1209 */
																obj_t BgL_arg1853z00_9537;

																{	/* SawBbv/bbv-types.scm 1209 */
																	obj_t BgL_arg1854z00_9538;

																	BgL_arg1854z00_9538 = (BgL_oclassz00_9530);
																	BgL_arg1853z00_9537 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9538,
																		3L);
																}
																BgL_res3675z00_9529 =
																	(BgL_arg1853z00_9537 == BgL_classz00_9524);
															}
														else
															{	/* SawBbv/bbv-types.scm 1209 */
																BgL_res3675z00_9529 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4528z00_14693 = BgL_res3675z00_9529;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1209 */
								BgL_test4528z00_14693 = ((bool_t) 0);
							}
					}
					if (BgL_test4528z00_14693)
						{	/* SawBbv/bbv-types.scm 1210 */
							BgL_globalz00_bglt BgL_arg3367z00_9539;
							BgL_globalz00_bglt BgL_arg3368z00_9540;

							BgL_arg3367z00_9539 =
								(((BgL_rtl_loadgz00_bglt) COBJECT(
										((BgL_rtl_loadgz00_bglt) BgL_xz00_8762)))->BgL_varz00);
							BgL_arg3368z00_9540 =
								(((BgL_rtl_loadgz00_bglt) COBJECT(
										((BgL_rtl_loadgz00_bglt) BgL_yz00_8763)))->BgL_varz00);
							BgL_tmpz00_14692 =
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg3367z00_9539), ((obj_t) BgL_arg3368z00_9540));
						}
					else
						{	/* SawBbv/bbv-types.scm 1209 */
							BgL_tmpz00_14692 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_14692);
			}
		}

	}



/* &bbv-equal?-rtl_loadi1899 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_loadi1899z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8764, obj_t BgL_xz00_8765, obj_t BgL_yz00_8766)
	{
		{	/* SawBbv/bbv-types.scm 1201 */
			{	/* SawBbv/bbv-types.scm 1202 */
				bool_t BgL_tmpz00_14724;

				{	/* SawBbv/bbv-types.scm 1202 */
					bool_t BgL_test4533z00_14725;

					{	/* SawBbv/bbv-types.scm 1202 */
						obj_t BgL_classz00_9542;

						BgL_classz00_9542 = BGl_rtl_loadiz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_8766))
							{	/* SawBbv/bbv-types.scm 1202 */
								BgL_objectz00_bglt BgL_arg1858z00_9543;

								BgL_arg1858z00_9543 = (BgL_objectz00_bglt) (BgL_yz00_8766);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1202 */
										long BgL_idxz00_9544;

										BgL_idxz00_9544 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9543);
										BgL_test4533z00_14725 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_9544 + 3L)) == BgL_classz00_9542);
									}
								else
									{	/* SawBbv/bbv-types.scm 1202 */
										bool_t BgL_res3674z00_9547;

										{	/* SawBbv/bbv-types.scm 1202 */
											obj_t BgL_oclassz00_9548;

											{	/* SawBbv/bbv-types.scm 1202 */
												obj_t BgL_arg1866z00_9549;
												long BgL_arg1867z00_9550;

												BgL_arg1866z00_9549 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawBbv/bbv-types.scm 1202 */
													long BgL_arg1869z00_9551;

													BgL_arg1869z00_9551 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9543);
													BgL_arg1867z00_9550 =
														(BgL_arg1869z00_9551 - OBJECT_TYPE);
												}
												BgL_oclassz00_9548 =
													VECTOR_REF(BgL_arg1866z00_9549, BgL_arg1867z00_9550);
											}
											{	/* SawBbv/bbv-types.scm 1202 */
												bool_t BgL__ortest_1115z00_9552;

												BgL__ortest_1115z00_9552 =
													(BgL_classz00_9542 == BgL_oclassz00_9548);
												if (BgL__ortest_1115z00_9552)
													{	/* SawBbv/bbv-types.scm 1202 */
														BgL_res3674z00_9547 = BgL__ortest_1115z00_9552;
													}
												else
													{	/* SawBbv/bbv-types.scm 1202 */
														long BgL_odepthz00_9553;

														{	/* SawBbv/bbv-types.scm 1202 */
															obj_t BgL_arg1855z00_9554;

															BgL_arg1855z00_9554 = (BgL_oclassz00_9548);
															BgL_odepthz00_9553 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_9554);
														}
														if ((3L < BgL_odepthz00_9553))
															{	/* SawBbv/bbv-types.scm 1202 */
																obj_t BgL_arg1853z00_9555;

																{	/* SawBbv/bbv-types.scm 1202 */
																	obj_t BgL_arg1854z00_9556;

																	BgL_arg1854z00_9556 = (BgL_oclassz00_9548);
																	BgL_arg1853z00_9555 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9556,
																		3L);
																}
																BgL_res3674z00_9547 =
																	(BgL_arg1853z00_9555 == BgL_classz00_9542);
															}
														else
															{	/* SawBbv/bbv-types.scm 1202 */
																BgL_res3674z00_9547 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4533z00_14725 = BgL_res3674z00_9547;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1202 */
								BgL_test4533z00_14725 = ((bool_t) 0);
							}
					}
					if (BgL_test4533z00_14725)
						{	/* SawBbv/bbv-types.scm 1203 */
							BgL_atomz00_bglt BgL_arg3362z00_9557;
							BgL_atomz00_bglt BgL_arg3364z00_9558;

							BgL_arg3362z00_9557 =
								(((BgL_rtl_loadiz00_bglt) COBJECT(
										((BgL_rtl_loadiz00_bglt) BgL_xz00_8765)))->BgL_constantz00);
							BgL_arg3364z00_9558 =
								(((BgL_rtl_loadiz00_bglt) COBJECT(
										((BgL_rtl_loadiz00_bglt) BgL_yz00_8766)))->BgL_constantz00);
							BgL_tmpz00_14724 =
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg3362z00_9557), ((obj_t) BgL_arg3364z00_9558));
						}
					else
						{	/* SawBbv/bbv-types.scm 1202 */
							BgL_tmpz00_14724 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_14724);
			}
		}

	}



/* &bbv-equal?-rtl_switc1897 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_switc1897z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8767, obj_t BgL_xz00_8768, obj_t BgL_yz00_8769)
	{
		{	/* SawBbv/bbv-types.scm 1193 */
			{	/* SawBbv/bbv-types.scm 1194 */
				bool_t BgL_test4538z00_14756;

				{	/* SawBbv/bbv-types.scm 1194 */
					obj_t BgL_classz00_9560;

					BgL_classz00_9560 = BGl_rtl_switchz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_yz00_8769))
						{	/* SawBbv/bbv-types.scm 1194 */
							BgL_objectz00_bglt BgL_arg1858z00_9561;

							BgL_arg1858z00_9561 = (BgL_objectz00_bglt) (BgL_yz00_8769);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv-types.scm 1194 */
									long BgL_idxz00_9562;

									BgL_idxz00_9562 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9561);
									BgL_test4538z00_14756 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_9562 + 4L)) == BgL_classz00_9560);
								}
							else
								{	/* SawBbv/bbv-types.scm 1194 */
									bool_t BgL_res3673z00_9565;

									{	/* SawBbv/bbv-types.scm 1194 */
										obj_t BgL_oclassz00_9566;

										{	/* SawBbv/bbv-types.scm 1194 */
											obj_t BgL_arg1866z00_9567;
											long BgL_arg1867z00_9568;

											BgL_arg1866z00_9567 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawBbv/bbv-types.scm 1194 */
												long BgL_arg1869z00_9569;

												BgL_arg1869z00_9569 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9561);
												BgL_arg1867z00_9568 =
													(BgL_arg1869z00_9569 - OBJECT_TYPE);
											}
											BgL_oclassz00_9566 =
												VECTOR_REF(BgL_arg1866z00_9567, BgL_arg1867z00_9568);
										}
										{	/* SawBbv/bbv-types.scm 1194 */
											bool_t BgL__ortest_1115z00_9570;

											BgL__ortest_1115z00_9570 =
												(BgL_classz00_9560 == BgL_oclassz00_9566);
											if (BgL__ortest_1115z00_9570)
												{	/* SawBbv/bbv-types.scm 1194 */
													BgL_res3673z00_9565 = BgL__ortest_1115z00_9570;
												}
											else
												{	/* SawBbv/bbv-types.scm 1194 */
													long BgL_odepthz00_9571;

													{	/* SawBbv/bbv-types.scm 1194 */
														obj_t BgL_arg1855z00_9572;

														BgL_arg1855z00_9572 = (BgL_oclassz00_9566);
														BgL_odepthz00_9571 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_9572);
													}
													if ((4L < BgL_odepthz00_9571))
														{	/* SawBbv/bbv-types.scm 1194 */
															obj_t BgL_arg1853z00_9573;

															{	/* SawBbv/bbv-types.scm 1194 */
																obj_t BgL_arg1854z00_9574;

																BgL_arg1854z00_9574 = (BgL_oclassz00_9566);
																BgL_arg1853z00_9573 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9574,
																	4L);
															}
															BgL_res3673z00_9565 =
																(BgL_arg1853z00_9573 == BgL_classz00_9560);
														}
													else
														{	/* SawBbv/bbv-types.scm 1194 */
															BgL_res3673z00_9565 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test4538z00_14756 = BgL_res3673z00_9565;
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 1194 */
							BgL_test4538z00_14756 = ((bool_t) 0);
						}
				}
				if (BgL_test4538z00_14756)
					{	/* SawBbv/bbv-types.scm 1194 */
						if (
							(bgl_list_length(
									(((BgL_rtl_switchz00_bglt) COBJECT(
												((BgL_rtl_switchz00_bglt) BgL_xz00_8768)))->
										BgL_labelsz00)) ==
								bgl_list_length((((BgL_rtl_switchz00_bglt)
											COBJECT(((BgL_rtl_switchz00_bglt) BgL_yz00_8769)))->
										BgL_labelsz00))))
							{	/* SawBbv/bbv-types.scm 1196 */
								obj_t BgL_arg3351z00_9575;
								obj_t BgL_arg3352z00_9576;

								BgL_arg3351z00_9575 =
									(((BgL_rtl_switchz00_bglt) COBJECT(
											((BgL_rtl_switchz00_bglt) BgL_xz00_8768)))->
									BgL_labelsz00);
								BgL_arg3352z00_9576 =
									(((BgL_rtl_switchz00_bglt) COBJECT(((BgL_rtl_switchz00_bglt)
												BgL_yz00_8769)))->BgL_labelsz00);
								{	/* SawBbv/bbv-types.scm 1196 */
									obj_t BgL_list3353z00_9577;

									{	/* SawBbv/bbv-types.scm 1196 */
										obj_t BgL_arg3355z00_9578;

										BgL_arg3355z00_9578 =
											MAKE_YOUNG_PAIR(BgL_arg3352z00_9576, BNIL);
										BgL_list3353z00_9577 =
											MAKE_YOUNG_PAIR(BgL_arg3351z00_9575, BgL_arg3355z00_9578);
									}
									return
										BGl_everyz00zz__r4_pairs_and_lists_6_3z00
										(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
										BgL_list3353z00_9577);
								}
							}
						else
							{	/* SawBbv/bbv-types.scm 1195 */
								return BFALSE;
							}
					}
				else
					{	/* SawBbv/bbv-types.scm 1194 */
						return BFALSE;
					}
			}
		}

	}



/* &bbv-equal?-rtl_selec1895 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_selec1895z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8770, obj_t BgL_xz00_8771, obj_t BgL_yz00_8772)
	{
		{	/* SawBbv/bbv-types.scm 1184 */
			{	/* SawBbv/bbv-types.scm 1185 */
				bool_t BgL_test4544z00_14794;

				{	/* SawBbv/bbv-types.scm 1185 */
					obj_t BgL_classz00_9580;

					BgL_classz00_9580 = BGl_rtl_selectz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_yz00_8772))
						{	/* SawBbv/bbv-types.scm 1185 */
							BgL_objectz00_bglt BgL_arg1858z00_9581;

							BgL_arg1858z00_9581 = (BgL_objectz00_bglt) (BgL_yz00_8772);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv-types.scm 1185 */
									long BgL_idxz00_9582;

									BgL_idxz00_9582 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9581);
									BgL_test4544z00_14794 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_9582 + 3L)) == BgL_classz00_9580);
								}
							else
								{	/* SawBbv/bbv-types.scm 1185 */
									bool_t BgL_res3672z00_9585;

									{	/* SawBbv/bbv-types.scm 1185 */
										obj_t BgL_oclassz00_9586;

										{	/* SawBbv/bbv-types.scm 1185 */
											obj_t BgL_arg1866z00_9587;
											long BgL_arg1867z00_9588;

											BgL_arg1866z00_9587 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawBbv/bbv-types.scm 1185 */
												long BgL_arg1869z00_9589;

												BgL_arg1869z00_9589 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9581);
												BgL_arg1867z00_9588 =
													(BgL_arg1869z00_9589 - OBJECT_TYPE);
											}
											BgL_oclassz00_9586 =
												VECTOR_REF(BgL_arg1866z00_9587, BgL_arg1867z00_9588);
										}
										{	/* SawBbv/bbv-types.scm 1185 */
											bool_t BgL__ortest_1115z00_9590;

											BgL__ortest_1115z00_9590 =
												(BgL_classz00_9580 == BgL_oclassz00_9586);
											if (BgL__ortest_1115z00_9590)
												{	/* SawBbv/bbv-types.scm 1185 */
													BgL_res3672z00_9585 = BgL__ortest_1115z00_9590;
												}
											else
												{	/* SawBbv/bbv-types.scm 1185 */
													long BgL_odepthz00_9591;

													{	/* SawBbv/bbv-types.scm 1185 */
														obj_t BgL_arg1855z00_9592;

														BgL_arg1855z00_9592 = (BgL_oclassz00_9586);
														BgL_odepthz00_9591 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_9592);
													}
													if ((3L < BgL_odepthz00_9591))
														{	/* SawBbv/bbv-types.scm 1185 */
															obj_t BgL_arg1853z00_9593;

															{	/* SawBbv/bbv-types.scm 1185 */
																obj_t BgL_arg1854z00_9594;

																BgL_arg1854z00_9594 = (BgL_oclassz00_9586);
																BgL_arg1853z00_9593 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9594,
																	3L);
															}
															BgL_res3672z00_9585 =
																(BgL_arg1853z00_9593 == BgL_classz00_9580);
														}
													else
														{	/* SawBbv/bbv-types.scm 1185 */
															BgL_res3672z00_9585 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test4544z00_14794 = BgL_res3672z00_9585;
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 1185 */
							BgL_test4544z00_14794 = ((bool_t) 0);
						}
				}
				if (BgL_test4544z00_14794)
					{	/* SawBbv/bbv-types.scm 1185 */
						if (
							(((obj_t)
									(((BgL_rtl_selectz00_bglt) COBJECT(
												((BgL_rtl_selectz00_bglt) BgL_xz00_8771)))->
										BgL_typez00)) ==
								((obj_t) (((BgL_rtl_selectz00_bglt)
											COBJECT(((BgL_rtl_selectz00_bglt) BgL_xz00_8771)))->
										BgL_typez00))))
							{	/* SawBbv/bbv-types.scm 1186 */
								if (
									(bgl_list_length(
											(((BgL_rtl_selectz00_bglt) COBJECT(
														((BgL_rtl_selectz00_bglt) BgL_xz00_8771)))->
												BgL_patternsz00)) ==
										bgl_list_length((((BgL_rtl_selectz00_bglt)
													COBJECT(((BgL_rtl_selectz00_bglt) BgL_yz00_8772)))->
												BgL_patternsz00))))
									{	/* SawBbv/bbv-types.scm 1188 */
										obj_t BgL_arg3338z00_9595;
										obj_t BgL_arg3339z00_9596;

										BgL_arg3338z00_9595 =
											(((BgL_rtl_selectz00_bglt) COBJECT(
													((BgL_rtl_selectz00_bglt) BgL_xz00_8771)))->
											BgL_patternsz00);
										BgL_arg3339z00_9596 =
											(((BgL_rtl_selectz00_bglt)
												COBJECT(((BgL_rtl_selectz00_bglt) BgL_yz00_8772)))->
											BgL_patternsz00);
										{	/* SawBbv/bbv-types.scm 1188 */
											obj_t BgL_list3340z00_9597;

											{	/* SawBbv/bbv-types.scm 1188 */
												obj_t BgL_arg3341z00_9598;

												BgL_arg3341z00_9598 =
													MAKE_YOUNG_PAIR(BgL_arg3339z00_9596, BNIL);
												BgL_list3340z00_9597 =
													MAKE_YOUNG_PAIR(BgL_arg3338z00_9595,
													BgL_arg3341z00_9598);
											}
											return
												BGl_everyz00zz__r4_pairs_and_lists_6_3z00
												(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
												BgL_list3340z00_9597);
										}
									}
								else
									{	/* SawBbv/bbv-types.scm 1187 */
										return BFALSE;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1186 */
								return BFALSE;
							}
					}
				else
					{	/* SawBbv/bbv-types.scm 1185 */
						return BFALSE;
					}
			}
		}

	}



/* &bbv-equal?-rtl_fun1893 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_fun1893z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8773, obj_t BgL_xz00_8774, obj_t BgL_yz00_8775)
	{
		{	/* SawBbv/bbv-types.scm 1178 */
			{	/* SawBbv/bbv-types.scm 1179 */
				bool_t BgL_tmpz00_14840;

				{	/* SawBbv/bbv-types.scm 1179 */
					obj_t BgL_arg3335z00_9600;
					obj_t BgL_arg3336z00_9601;

					{	/* SawBbv/bbv-types.scm 1179 */
						obj_t BgL_arg1866z00_9602;
						long BgL_arg1867z00_9603;

						BgL_arg1866z00_9602 = (BGl_za2classesza2z00zz__objectz00);
						{	/* SawBbv/bbv-types.scm 1179 */
							long BgL_arg1869z00_9604;

							BgL_arg1869z00_9604 =
								BGL_OBJECT_CLASS_NUM(
								((BgL_objectz00_bglt) ((BgL_rtl_funz00_bglt) BgL_xz00_8774)));
							BgL_arg1867z00_9603 = (BgL_arg1869z00_9604 - OBJECT_TYPE);
						}
						BgL_arg3335z00_9600 =
							VECTOR_REF(BgL_arg1866z00_9602, BgL_arg1867z00_9603);
					}
					{	/* SawBbv/bbv-types.scm 1179 */
						obj_t BgL_arg1866z00_9605;
						long BgL_arg1867z00_9606;

						BgL_arg1866z00_9605 = (BGl_za2classesza2z00zz__objectz00);
						{	/* SawBbv/bbv-types.scm 1179 */
							long BgL_arg1869z00_9607;

							BgL_arg1869z00_9607 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_yz00_8775));
							BgL_arg1867z00_9606 = (BgL_arg1869z00_9607 - OBJECT_TYPE);
						}
						BgL_arg3336z00_9601 =
							VECTOR_REF(BgL_arg1866z00_9605, BgL_arg1867z00_9606);
					}
					BgL_tmpz00_14840 = (BgL_arg3335z00_9600 == BgL_arg3336z00_9601);
				}
				return BBOOL(BgL_tmpz00_14840);
			}
		}

	}



/* &bbv-equal?-rtl_reg1891 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_reg1891z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8776, obj_t BgL_xz00_8777, obj_t BgL_yz00_8778)
	{
		{	/* SawBbv/bbv-types.scm 1169 */
			{	/* SawBbv/bbv-types.scm 1170 */
				bool_t BgL_tmpz00_14854;

				{	/* SawBbv/bbv-types.scm 1170 */
					bool_t BgL_test4551z00_14855;

					{	/* SawBbv/bbv-types.scm 1170 */
						obj_t BgL_classz00_9609;

						BgL_classz00_9609 = BGl_rtl_regz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_8778))
							{	/* SawBbv/bbv-types.scm 1170 */
								BgL_objectz00_bglt BgL_arg1858z00_9610;

								BgL_arg1858z00_9610 = (BgL_objectz00_bglt) (BgL_yz00_8778);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1170 */
										long BgL_idxz00_9611;

										BgL_idxz00_9611 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9610);
										BgL_test4551z00_14855 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_9611 + 1L)) == BgL_classz00_9609);
									}
								else
									{	/* SawBbv/bbv-types.scm 1170 */
										bool_t BgL_res3671z00_9614;

										{	/* SawBbv/bbv-types.scm 1170 */
											obj_t BgL_oclassz00_9615;

											{	/* SawBbv/bbv-types.scm 1170 */
												obj_t BgL_arg1866z00_9616;
												long BgL_arg1867z00_9617;

												BgL_arg1866z00_9616 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawBbv/bbv-types.scm 1170 */
													long BgL_arg1869z00_9618;

													BgL_arg1869z00_9618 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9610);
													BgL_arg1867z00_9617 =
														(BgL_arg1869z00_9618 - OBJECT_TYPE);
												}
												BgL_oclassz00_9615 =
													VECTOR_REF(BgL_arg1866z00_9616, BgL_arg1867z00_9617);
											}
											{	/* SawBbv/bbv-types.scm 1170 */
												bool_t BgL__ortest_1115z00_9619;

												BgL__ortest_1115z00_9619 =
													(BgL_classz00_9609 == BgL_oclassz00_9615);
												if (BgL__ortest_1115z00_9619)
													{	/* SawBbv/bbv-types.scm 1170 */
														BgL_res3671z00_9614 = BgL__ortest_1115z00_9619;
													}
												else
													{	/* SawBbv/bbv-types.scm 1170 */
														long BgL_odepthz00_9620;

														{	/* SawBbv/bbv-types.scm 1170 */
															obj_t BgL_arg1855z00_9621;

															BgL_arg1855z00_9621 = (BgL_oclassz00_9615);
															BgL_odepthz00_9620 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_9621);
														}
														if ((1L < BgL_odepthz00_9620))
															{	/* SawBbv/bbv-types.scm 1170 */
																obj_t BgL_arg1853z00_9622;

																{	/* SawBbv/bbv-types.scm 1170 */
																	obj_t BgL_arg1854z00_9623;

																	BgL_arg1854z00_9623 = (BgL_oclassz00_9615);
																	BgL_arg1853z00_9622 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9623,
																		1L);
																}
																BgL_res3671z00_9614 =
																	(BgL_arg1853z00_9622 == BgL_classz00_9609);
															}
														else
															{	/* SawBbv/bbv-types.scm 1170 */
																BgL_res3671z00_9614 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4551z00_14855 = BgL_res3671z00_9614;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1170 */
								BgL_test4551z00_14855 = ((bool_t) 0);
							}
					}
					if (BgL_test4551z00_14855)
						{	/* SawBbv/bbv-types.scm 1171 */
							bool_t BgL_test4556z00_14878;

							{	/* SawBbv/bbv-types.scm 1171 */
								BgL_typez00_bglt BgL_arg3333z00_9624;
								BgL_typez00_bglt BgL_arg3334z00_9625;

								BgL_arg3333z00_9624 =
									(((BgL_rtl_regz00_bglt) COBJECT(
											((BgL_rtl_regz00_bglt) BgL_xz00_8777)))->BgL_typez00);
								BgL_arg3334z00_9625 =
									(((BgL_rtl_regz00_bglt) COBJECT(
											((BgL_rtl_regz00_bglt) BgL_yz00_8778)))->BgL_typez00);
								BgL_test4556z00_14878 =
									BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
									((obj_t) BgL_arg3333z00_9624), ((obj_t) BgL_arg3334z00_9625));
							}
							if (BgL_test4556z00_14878)
								{	/* SawBbv/bbv-types.scm 1172 */
									bool_t BgL_test4557z00_14886;

									{	/* SawBbv/bbv-types.scm 1172 */
										obj_t BgL_arg3330z00_9626;
										obj_t BgL_arg3331z00_9627;

										BgL_arg3330z00_9626 =
											(((BgL_rtl_regz00_bglt) COBJECT(
													((BgL_rtl_regz00_bglt) BgL_xz00_8777)))->BgL_varz00);
										BgL_arg3331z00_9627 =
											(((BgL_rtl_regz00_bglt) COBJECT(
													((BgL_rtl_regz00_bglt) BgL_yz00_8778)))->BgL_varz00);
										BgL_test4557z00_14886 =
											BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2
											(BgL_arg3330z00_9626, BgL_arg3331z00_9627);
									}
									if (BgL_test4557z00_14886)
										{	/* SawBbv/bbv-types.scm 1173 */
											obj_t BgL_arg3328z00_9628;
											obj_t BgL_arg3329z00_9629;

											BgL_arg3328z00_9628 =
												(((BgL_rtl_regz00_bglt) COBJECT(
														((BgL_rtl_regz00_bglt) BgL_xz00_8777)))->
												BgL_namez00);
											BgL_arg3329z00_9629 =
												(((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
															BgL_yz00_8778)))->BgL_namez00);
											BgL_tmpz00_14854 =
												BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2
												(BgL_arg3328z00_9628, BgL_arg3329z00_9629);
										}
									else
										{	/* SawBbv/bbv-types.scm 1172 */
											BgL_tmpz00_14854 = ((bool_t) 0);
										}
								}
							else
								{	/* SawBbv/bbv-types.scm 1171 */
									BgL_tmpz00_14854 = ((bool_t) 0);
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 1170 */
							BgL_tmpz00_14854 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_14854);
			}
		}

	}



/* &bbv-equal?-rtl_ins/b1889 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_inszf2b1889z63zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8779, obj_t BgL_xz00_8780, obj_t BgL_yz00_8781)
	{
		{	/* SawBbv/bbv-types.scm 1159 */
			{	/* SawBbv/bbv-types.scm 1160 */
				bool_t BgL_tmpz00_14898;

				{	/* SawBbv/bbv-types.scm 1160 */
					bool_t BgL_test4558z00_14899;

					{	/* SawBbv/bbv-types.scm 1160 */
						obj_t BgL_classz00_9631;

						BgL_classz00_9631 = BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2;
						if (BGL_OBJECTP(BgL_yz00_8781))
							{	/* SawBbv/bbv-types.scm 1160 */
								BgL_objectz00_bglt BgL_arg1858z00_9632;

								BgL_arg1858z00_9632 = (BgL_objectz00_bglt) (BgL_yz00_8781);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1160 */
										long BgL_idxz00_9633;

										BgL_idxz00_9633 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9632);
										BgL_test4558z00_14899 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_9633 + 2L)) == BgL_classz00_9631);
									}
								else
									{	/* SawBbv/bbv-types.scm 1160 */
										bool_t BgL_res3670z00_9636;

										{	/* SawBbv/bbv-types.scm 1160 */
											obj_t BgL_oclassz00_9637;

											{	/* SawBbv/bbv-types.scm 1160 */
												obj_t BgL_arg1866z00_9638;
												long BgL_arg1867z00_9639;

												BgL_arg1866z00_9638 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawBbv/bbv-types.scm 1160 */
													long BgL_arg1869z00_9640;

													BgL_arg1869z00_9640 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9632);
													BgL_arg1867z00_9639 =
														(BgL_arg1869z00_9640 - OBJECT_TYPE);
												}
												BgL_oclassz00_9637 =
													VECTOR_REF(BgL_arg1866z00_9638, BgL_arg1867z00_9639);
											}
											{	/* SawBbv/bbv-types.scm 1160 */
												bool_t BgL__ortest_1115z00_9641;

												BgL__ortest_1115z00_9641 =
													(BgL_classz00_9631 == BgL_oclassz00_9637);
												if (BgL__ortest_1115z00_9641)
													{	/* SawBbv/bbv-types.scm 1160 */
														BgL_res3670z00_9636 = BgL__ortest_1115z00_9641;
													}
												else
													{	/* SawBbv/bbv-types.scm 1160 */
														long BgL_odepthz00_9642;

														{	/* SawBbv/bbv-types.scm 1160 */
															obj_t BgL_arg1855z00_9643;

															BgL_arg1855z00_9643 = (BgL_oclassz00_9637);
															BgL_odepthz00_9642 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_9643);
														}
														if ((2L < BgL_odepthz00_9642))
															{	/* SawBbv/bbv-types.scm 1160 */
																obj_t BgL_arg1853z00_9644;

																{	/* SawBbv/bbv-types.scm 1160 */
																	obj_t BgL_arg1854z00_9645;

																	BgL_arg1854z00_9645 = (BgL_oclassz00_9637);
																	BgL_arg1853z00_9644 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9645,
																		2L);
																}
																BgL_res3670z00_9636 =
																	(BgL_arg1853z00_9644 == BgL_classz00_9631);
															}
														else
															{	/* SawBbv/bbv-types.scm 1160 */
																BgL_res3670z00_9636 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4558z00_14899 = BgL_res3670z00_9636;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1160 */
								BgL_test4558z00_14899 = ((bool_t) 0);
							}
					}
					if (BgL_test4558z00_14899)
						{	/* SawBbv/bbv-types.scm 1161 */
							bool_t BgL_test4563z00_14922;

							{	/* SawBbv/bbv-types.scm 1161 */
								obj_t BgL_arg3325z00_9646;
								obj_t BgL_arg3326z00_9647;

								BgL_arg3325z00_9646 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt)
												((BgL_rtl_insz00_bglt) BgL_xz00_8780))))->BgL_destz00);
								BgL_arg3326z00_9647 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_yz00_8781)))->BgL_destz00);
								BgL_test4563z00_14922 =
									BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(BgL_arg3325z00_9646,
									BgL_arg3326z00_9647);
							}
							if (BgL_test4563z00_14922)
								{	/* SawBbv/bbv-types.scm 1161 */
									if (
										(bgl_list_length(
												(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_xz00_8780))))->
													BgL_argsz00)) ==
											bgl_list_length((((BgL_rtl_insz00_bglt)
														COBJECT(((BgL_rtl_insz00_bglt) BgL_yz00_8781)))->
													BgL_argsz00))))
										{	/* SawBbv/bbv-types.scm 1163 */
											obj_t BgL__andtest_1398z00_9648;

											{	/* SawBbv/bbv-types.scm 1163 */
												obj_t BgL_arg3315z00_9649;
												obj_t BgL_arg3317z00_9650;

												BgL_arg3315z00_9649 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_xz00_8780))))->
													BgL_argsz00);
												BgL_arg3317z00_9650 =
													(((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
																BgL_yz00_8781)))->BgL_argsz00);
												{	/* SawBbv/bbv-types.scm 1163 */
													obj_t BgL_list3318z00_9651;

													{	/* SawBbv/bbv-types.scm 1163 */
														obj_t BgL_arg3319z00_9652;

														BgL_arg3319z00_9652 =
															MAKE_YOUNG_PAIR(BgL_arg3317z00_9650, BNIL);
														BgL_list3318z00_9651 =
															MAKE_YOUNG_PAIR(BgL_arg3315z00_9649,
															BgL_arg3319z00_9652);
													}
													BgL__andtest_1398z00_9648 =
														BGl_everyz00zz__r4_pairs_and_lists_6_3z00
														(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
														BgL_list3318z00_9651);
												}
											}
											if (CBOOL(BgL__andtest_1398z00_9648))
												{	/* SawBbv/bbv-types.scm 1164 */
													BgL_rtl_funz00_bglt BgL_arg3313z00_9653;
													BgL_rtl_funz00_bglt BgL_arg3314z00_9654;

													BgL_arg3313z00_9653 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_xz00_8780))))->
														BgL_funz00);
													BgL_arg3314z00_9654 =
														(((BgL_rtl_insz00_bglt)
															COBJECT(((BgL_rtl_insz00_bglt) BgL_yz00_8781)))->
														BgL_funz00);
													BgL_tmpz00_14898 =
														BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(((obj_t)
															BgL_arg3313z00_9653),
														((obj_t) BgL_arg3314z00_9654));
												}
											else
												{	/* SawBbv/bbv-types.scm 1163 */
													BgL_tmpz00_14898 = ((bool_t) 0);
												}
										}
									else
										{	/* SawBbv/bbv-types.scm 1162 */
											BgL_tmpz00_14898 = ((bool_t) 0);
										}
								}
							else
								{	/* SawBbv/bbv-types.scm 1161 */
									BgL_tmpz00_14898 = ((bool_t) 0);
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 1160 */
							BgL_tmpz00_14898 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_14898);
			}
		}

	}



/* &bbv-equal?-blockS1887 */
	obj_t BGl_z62bbvzd2equalzf3zd2blockS1887z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8782, obj_t BgL_xz00_8783, obj_t BgL_yz00_8784)
	{
		{	/* SawBbv/bbv-types.scm 1151 */
			{	/* SawBbv/bbv-types.scm 1152 */
				bool_t BgL_test4566z00_14957;

				{	/* SawBbv/bbv-types.scm 1152 */
					obj_t BgL_classz00_9656;

					BgL_classz00_9656 = BGl_blockSz00zzsaw_bbvzd2typeszd2;
					if (BGL_OBJECTP(BgL_yz00_8784))
						{	/* SawBbv/bbv-types.scm 1152 */
							BgL_objectz00_bglt BgL_arg1858z00_9657;

							BgL_arg1858z00_9657 = (BgL_objectz00_bglt) (BgL_yz00_8784);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv-types.scm 1152 */
									long BgL_idxz00_9658;

									BgL_idxz00_9658 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9657);
									BgL_test4566z00_14957 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_9658 + 2L)) == BgL_classz00_9656);
								}
							else
								{	/* SawBbv/bbv-types.scm 1152 */
									bool_t BgL_res3669z00_9661;

									{	/* SawBbv/bbv-types.scm 1152 */
										obj_t BgL_oclassz00_9662;

										{	/* SawBbv/bbv-types.scm 1152 */
											obj_t BgL_arg1866z00_9663;
											long BgL_arg1867z00_9664;

											BgL_arg1866z00_9663 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawBbv/bbv-types.scm 1152 */
												long BgL_arg1869z00_9665;

												BgL_arg1869z00_9665 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9657);
												BgL_arg1867z00_9664 =
													(BgL_arg1869z00_9665 - OBJECT_TYPE);
											}
											BgL_oclassz00_9662 =
												VECTOR_REF(BgL_arg1866z00_9663, BgL_arg1867z00_9664);
										}
										{	/* SawBbv/bbv-types.scm 1152 */
											bool_t BgL__ortest_1115z00_9666;

											BgL__ortest_1115z00_9666 =
												(BgL_classz00_9656 == BgL_oclassz00_9662);
											if (BgL__ortest_1115z00_9666)
												{	/* SawBbv/bbv-types.scm 1152 */
													BgL_res3669z00_9661 = BgL__ortest_1115z00_9666;
												}
											else
												{	/* SawBbv/bbv-types.scm 1152 */
													long BgL_odepthz00_9667;

													{	/* SawBbv/bbv-types.scm 1152 */
														obj_t BgL_arg1855z00_9668;

														BgL_arg1855z00_9668 = (BgL_oclassz00_9662);
														BgL_odepthz00_9667 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_9668);
													}
													if ((2L < BgL_odepthz00_9667))
														{	/* SawBbv/bbv-types.scm 1152 */
															obj_t BgL_arg1853z00_9669;

															{	/* SawBbv/bbv-types.scm 1152 */
																obj_t BgL_arg1854z00_9670;

																BgL_arg1854z00_9670 = (BgL_oclassz00_9662);
																BgL_arg1853z00_9669 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9670,
																	2L);
															}
															BgL_res3669z00_9661 =
																(BgL_arg1853z00_9669 == BgL_classz00_9656);
														}
													else
														{	/* SawBbv/bbv-types.scm 1152 */
															BgL_res3669z00_9661 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test4566z00_14957 = BgL_res3669z00_9661;
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 1152 */
							BgL_test4566z00_14957 = ((bool_t) 0);
						}
				}
				if (BgL_test4566z00_14957)
					{	/* SawBbv/bbv-types.scm 1152 */
						if (
							(bgl_list_length(
									(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt)
													((BgL_blockz00_bglt) BgL_xz00_8783))))->
										BgL_firstz00)) ==
								bgl_list_length((((BgL_blockz00_bglt)
											COBJECT(((BgL_blockz00_bglt) BgL_yz00_8784)))->
										BgL_firstz00))))
							{	/* SawBbv/bbv-types.scm 1154 */
								obj_t BgL_arg3302z00_9671;
								obj_t BgL_arg3303z00_9672;

								BgL_arg3302z00_9671 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt)
												((BgL_blockz00_bglt) BgL_xz00_8783))))->BgL_firstz00);
								BgL_arg3303z00_9672 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_yz00_8784)))->BgL_firstz00);
								{	/* SawBbv/bbv-types.scm 1154 */
									obj_t BgL_list3304z00_9673;

									{	/* SawBbv/bbv-types.scm 1154 */
										obj_t BgL_arg3306z00_9674;

										BgL_arg3306z00_9674 =
											MAKE_YOUNG_PAIR(BgL_arg3303z00_9672, BNIL);
										BgL_list3304z00_9673 =
											MAKE_YOUNG_PAIR(BgL_arg3302z00_9671, BgL_arg3306z00_9674);
									}
									return
										BGl_everyz00zz__r4_pairs_and_lists_6_3z00
										(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
										BgL_list3304z00_9673);
								}
							}
						else
							{	/* SawBbv/bbv-types.scm 1153 */
								return BFALSE;
							}
					}
				else
					{	/* SawBbv/bbv-types.scm 1152 */
						return BFALSE;
					}
			}
		}

	}



/* &bbv-equal?-atom1885 */
	obj_t BGl_z62bbvzd2equalzf3zd2atom1885z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8785, obj_t BgL_xz00_8786, obj_t BgL_yz00_8787)
	{
		{	/* SawBbv/bbv-types.scm 1144 */
			{	/* SawBbv/bbv-types.scm 1145 */
				bool_t BgL_tmpz00_14997;

				{	/* SawBbv/bbv-types.scm 1145 */
					bool_t BgL_test4572z00_14998;

					{	/* SawBbv/bbv-types.scm 1145 */
						obj_t BgL_classz00_9676;

						BgL_classz00_9676 = BGl_atomz00zzast_nodez00;
						if (BGL_OBJECTP(BgL_yz00_8787))
							{	/* SawBbv/bbv-types.scm 1145 */
								BgL_objectz00_bglt BgL_arg1858z00_9677;

								BgL_arg1858z00_9677 = (BgL_objectz00_bglt) (BgL_yz00_8787);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1145 */
										long BgL_idxz00_9678;

										BgL_idxz00_9678 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9677);
										BgL_test4572z00_14998 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_9678 + 2L)) == BgL_classz00_9676);
									}
								else
									{	/* SawBbv/bbv-types.scm 1145 */
										bool_t BgL_res3668z00_9681;

										{	/* SawBbv/bbv-types.scm 1145 */
											obj_t BgL_oclassz00_9682;

											{	/* SawBbv/bbv-types.scm 1145 */
												obj_t BgL_arg1866z00_9683;
												long BgL_arg1867z00_9684;

												BgL_arg1866z00_9683 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawBbv/bbv-types.scm 1145 */
													long BgL_arg1869z00_9685;

													BgL_arg1869z00_9685 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9677);
													BgL_arg1867z00_9684 =
														(BgL_arg1869z00_9685 - OBJECT_TYPE);
												}
												BgL_oclassz00_9682 =
													VECTOR_REF(BgL_arg1866z00_9683, BgL_arg1867z00_9684);
											}
											{	/* SawBbv/bbv-types.scm 1145 */
												bool_t BgL__ortest_1115z00_9686;

												BgL__ortest_1115z00_9686 =
													(BgL_classz00_9676 == BgL_oclassz00_9682);
												if (BgL__ortest_1115z00_9686)
													{	/* SawBbv/bbv-types.scm 1145 */
														BgL_res3668z00_9681 = BgL__ortest_1115z00_9686;
													}
												else
													{	/* SawBbv/bbv-types.scm 1145 */
														long BgL_odepthz00_9687;

														{	/* SawBbv/bbv-types.scm 1145 */
															obj_t BgL_arg1855z00_9688;

															BgL_arg1855z00_9688 = (BgL_oclassz00_9682);
															BgL_odepthz00_9687 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_9688);
														}
														if ((2L < BgL_odepthz00_9687))
															{	/* SawBbv/bbv-types.scm 1145 */
																obj_t BgL_arg1853z00_9689;

																{	/* SawBbv/bbv-types.scm 1145 */
																	obj_t BgL_arg1854z00_9690;

																	BgL_arg1854z00_9690 = (BgL_oclassz00_9682);
																	BgL_arg1853z00_9689 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9690,
																		2L);
																}
																BgL_res3668z00_9681 =
																	(BgL_arg1853z00_9689 == BgL_classz00_9676);
															}
														else
															{	/* SawBbv/bbv-types.scm 1145 */
																BgL_res3668z00_9681 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4572z00_14998 = BgL_res3668z00_9681;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1145 */
								BgL_test4572z00_14998 = ((bool_t) 0);
							}
					}
					if (BgL_test4572z00_14998)
						{	/* SawBbv/bbv-types.scm 1145 */
							BgL_tmpz00_14997 =
								BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
								(((BgL_atomz00_bglt) COBJECT(
											((BgL_atomz00_bglt) BgL_xz00_8786)))->BgL_valuez00),
								(((BgL_atomz00_bglt) COBJECT(
											((BgL_atomz00_bglt) BgL_yz00_8787)))->BgL_valuez00));
						}
					else
						{	/* SawBbv/bbv-types.scm 1145 */
							BgL_tmpz00_14997 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_14997);
			}
		}

	}



/* &bbv-hash-rtl_cast_nu1881 */
	obj_t BGl_z62bbvzd2hashzd2rtl_cast_nu1881z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8788, obj_t BgL_oz00_8789)
	{
		{	/* SawBbv/bbv-types.scm 1132 */
			{

				{	/* SawBbv/bbv-types.scm 1133 */
					obj_t BgL_arg3286z00_9694;
					obj_t BgL_arg3288z00_9695;

					{	/* SawBbv/bbv-types.scm 1132 */
						obj_t BgL_nextzd2method1880zd2_9693;

						BgL_nextzd2method1880zd2_9693 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_cast_nullz00_bglt) BgL_oz00_8789)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_cast_nullz00zzsaw_defsz00);
						BgL_arg3286z00_9694 =
							BGL_PROCEDURE_CALL1(BgL_nextzd2method1880zd2_9693,
							((obj_t) ((BgL_rtl_cast_nullz00_bglt) BgL_oz00_8789)));
					}
					{	/* SawBbv/bbv-types.scm 1133 */
						BgL_typez00_bglt BgL_arg3290z00_9696;

						BgL_arg3290z00_9696 =
							(((BgL_rtl_cast_nullz00_bglt) COBJECT(
									((BgL_rtl_cast_nullz00_bglt) BgL_oz00_8789)))->BgL_typez00);
						BgL_arg3288z00_9695 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							((obj_t) BgL_arg3290z00_9696));
					}
					return
						BINT(
						((long) CINT(BgL_arg3286z00_9694) ^
							(long) CINT(BgL_arg3288z00_9695)));
		}}}

	}



/* &bbv-hash-rtl_cast1879 */
	obj_t BGl_z62bbvzd2hashzd2rtl_cast1879z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8790, obj_t BgL_oz00_8791)
	{
		{	/* SawBbv/bbv-types.scm 1125 */
			{

				{	/* SawBbv/bbv-types.scm 1126 */
					obj_t BgL_arg3276z00_9700;
					long BgL_arg3277z00_9701;

					{	/* SawBbv/bbv-types.scm 1125 */
						obj_t BgL_nextzd2method1878zd2_9699;

						BgL_nextzd2method1878zd2_9699 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_castz00_bglt) BgL_oz00_8791)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_castz00zzsaw_defsz00);
						BgL_arg3276z00_9700 =
							BGL_PROCEDURE_CALL1(BgL_nextzd2method1878zd2_9699,
							((obj_t) ((BgL_rtl_castz00_bglt) BgL_oz00_8791)));
					}
					{	/* SawBbv/bbv-types.scm 1127 */
						obj_t BgL_arg3278z00_9702;
						obj_t BgL_arg3282z00_9703;

						{	/* SawBbv/bbv-types.scm 1127 */
							BgL_typez00_bglt BgL_arg3283z00_9704;

							BgL_arg3283z00_9704 =
								(((BgL_rtl_castz00_bglt) COBJECT(
										((BgL_rtl_castz00_bglt) BgL_oz00_8791)))->BgL_fromtypez00);
							BgL_arg3278z00_9702 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg3283z00_9704));
						}
						{	/* SawBbv/bbv-types.scm 1127 */
							BgL_typez00_bglt BgL_arg3285z00_9705;

							BgL_arg3285z00_9705 =
								(((BgL_rtl_castz00_bglt) COBJECT(
										((BgL_rtl_castz00_bglt) BgL_oz00_8791)))->BgL_totypez00);
							BgL_arg3282z00_9703 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg3285z00_9705));
						}
						BgL_arg3277z00_9701 =
							(
							(long) CINT(BgL_arg3278z00_9702) ^
							(long) CINT(BgL_arg3282z00_9703));
					}
					return BINT(((long) CINT(BgL_arg3276z00_9700) ^ BgL_arg3277z00_9701));
		}}}

	}



/* &bbv-hash-rtl_pragma1877 */
	obj_t BGl_z62bbvzd2hashzd2rtl_pragma1877z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8792, obj_t BgL_oz00_8793)
	{
		{	/* SawBbv/bbv-types.scm 1118 */
			{

				{	/* SawBbv/bbv-types.scm 1119 */
					obj_t BgL_arg3273z00_9709;
					obj_t BgL_arg3274z00_9710;

					{	/* SawBbv/bbv-types.scm 1118 */
						obj_t BgL_nextzd2method1876zd2_9708;

						BgL_nextzd2method1876zd2_9708 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_pragmaz00_bglt) BgL_oz00_8793)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_pragmaz00zzsaw_defsz00);
						BgL_arg3273z00_9709 =
							BGL_PROCEDURE_CALL1(BgL_nextzd2method1876zd2_9708,
							((obj_t) ((BgL_rtl_pragmaz00_bglt) BgL_oz00_8793)));
					}
					BgL_arg3274z00_9710 =
						BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
						(((BgL_rtl_pragmaz00_bglt) COBJECT(
									((BgL_rtl_pragmaz00_bglt) BgL_oz00_8793)))->BgL_formatz00));
					return
						BINT(
						((long) CINT(BgL_arg3273z00_9709) ^
							(long) CINT(BgL_arg3274z00_9710)));
		}}}

	}



/* &bbv-hash-rtl_lightfu1875 */
	obj_t BGl_z62bbvzd2hashzd2rtl_lightfu1875z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8794, obj_t BgL_oz00_8795)
	{
		{	/* SawBbv/bbv-types.scm 1108 */
			{

				{	/* SawBbv/bbv-types.scm 1109 */
					obj_t BgL_arg3243z00_9714;
					long BgL_arg3244z00_9715;

					{	/* SawBbv/bbv-types.scm 1108 */
						obj_t BgL_nextzd2method1874zd2_9713;

						BgL_nextzd2method1874zd2_9713 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_8795)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_lightfuncallz00zzsaw_defsz00);
						BgL_arg3243z00_9714 =
							BGL_PROCEDURE_CALL1(BgL_nextzd2method1874zd2_9713,
							((obj_t) ((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_8795)));
					}
					{	/* SawBbv/bbv-types.scm 1111 */
						obj_t BgL_arg3245z00_9716;
						long BgL_arg3246z00_9717;

						BgL_arg3245z00_9716 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
										((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_8795)))->
								BgL_namez00));
						{	/* SawBbv/bbv-types.scm 1112 */
							obj_t BgL_arg3251z00_9718;
							obj_t BgL_arg3252z00_9719;

							BgL_arg3251z00_9718 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
											((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_8795)))->
									BgL_rettypez00));
							{	/* SawBbv/bbv-types.scm 1113 */
								obj_t BgL_arg3254z00_9720;

								{	/* SawBbv/bbv-types.scm 1113 */
									obj_t BgL_l1757z00_9721;

									BgL_l1757z00_9721 =
										(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
												((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_8795)))->
										BgL_funsz00);
									if (NULLP(BgL_l1757z00_9721))
										{	/* SawBbv/bbv-types.scm 1113 */
											BgL_arg3254z00_9720 = BNIL;
										}
									else
										{	/* SawBbv/bbv-types.scm 1113 */
											obj_t BgL_head1759z00_9722;

											BgL_head1759z00_9722 =
												MAKE_YOUNG_PAIR(BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2
												(CAR(BgL_l1757z00_9721)), BNIL);
											{	/* SawBbv/bbv-types.scm 1113 */
												obj_t BgL_g1762z00_9723;

												BgL_g1762z00_9723 = CDR(BgL_l1757z00_9721);
												{
													obj_t BgL_l1757z00_9725;
													obj_t BgL_tail1760z00_9726;

													BgL_l1757z00_9725 = BgL_g1762z00_9723;
													BgL_tail1760z00_9726 = BgL_head1759z00_9722;
												BgL_zc3z04anonymousza33256ze3z87_9724:
													if (NULLP(BgL_l1757z00_9725))
														{	/* SawBbv/bbv-types.scm 1113 */
															BgL_arg3254z00_9720 = BgL_head1759z00_9722;
														}
													else
														{	/* SawBbv/bbv-types.scm 1113 */
															obj_t BgL_newtail1761z00_9727;

															{	/* SawBbv/bbv-types.scm 1113 */
																obj_t BgL_arg3266z00_9728;

																{	/* SawBbv/bbv-types.scm 1113 */
																	obj_t BgL_arg3267z00_9729;

																	BgL_arg3267z00_9729 =
																		CAR(((obj_t) BgL_l1757z00_9725));
																	BgL_arg3266z00_9728 =
																		BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2
																		(BgL_arg3267z00_9729);
																}
																BgL_newtail1761z00_9727 =
																	MAKE_YOUNG_PAIR(BgL_arg3266z00_9728, BNIL);
															}
															SET_CDR(BgL_tail1760z00_9726,
																BgL_newtail1761z00_9727);
															{	/* SawBbv/bbv-types.scm 1113 */
																obj_t BgL_arg3258z00_9730;

																BgL_arg3258z00_9730 =
																	CDR(((obj_t) BgL_l1757z00_9725));
																{
																	obj_t BgL_tail1760z00_15116;
																	obj_t BgL_l1757z00_15115;

																	BgL_l1757z00_15115 = BgL_arg3258z00_9730;
																	BgL_tail1760z00_15116 =
																		BgL_newtail1761z00_9727;
																	BgL_tail1760z00_9726 = BgL_tail1760z00_15116;
																	BgL_l1757z00_9725 = BgL_l1757z00_15115;
																	goto BgL_zc3z04anonymousza33256ze3z87_9724;
																}
															}
														}
												}
											}
										}
								}
								BgL_arg3252z00_9719 =
									BGl_bitzd2xorza2z70zzsaw_bbvzd2typeszd2(BgL_arg3254z00_9720);
							}
							BgL_arg3246z00_9717 =
								(
								(long) CINT(BgL_arg3251z00_9718) ^
								(long) CINT(BgL_arg3252z00_9719));
						}
						BgL_arg3244z00_9715 =
							((long) CINT(BgL_arg3245z00_9716) ^ BgL_arg3246z00_9717);
					}
					return BINT(((long) CINT(BgL_arg3243z00_9714) ^ BgL_arg3244z00_9715));
		}}}

	}



/* &bbv-hash-rtl_call1873 */
	obj_t BGl_z62bbvzd2hashzd2rtl_call1873z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8796, obj_t BgL_oz00_8797)
	{
		{	/* SawBbv/bbv-types.scm 1101 */
			{

				{	/* SawBbv/bbv-types.scm 1103 */
					obj_t BgL_arg3240z00_9734;
					obj_t BgL_arg3241z00_9735;

					{	/* SawBbv/bbv-types.scm 1101 */
						obj_t BgL_nextzd2method1872zd2_9733;

						BgL_nextzd2method1872zd2_9733 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_callz00_bglt) BgL_oz00_8797)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_callz00zzsaw_defsz00);
						BgL_arg3240z00_9734 =
							BGL_PROCEDURE_CALL1(BgL_nextzd2method1872zd2_9733,
							((obj_t) ((BgL_rtl_callz00_bglt) BgL_oz00_8797)));
					}
					{	/* SawBbv/bbv-types.scm 1103 */
						BgL_globalz00_bglt BgL_arg3242z00_9736;

						BgL_arg3242z00_9736 =
							(((BgL_rtl_callz00_bglt) COBJECT(
									((BgL_rtl_callz00_bglt) BgL_oz00_8797)))->BgL_varz00);
						BgL_arg3241z00_9735 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							((obj_t) BgL_arg3242z00_9736));
					}
					return
						BINT(
						((long) CINT(BgL_arg3240z00_9734) ^
							(long) CINT(BgL_arg3241z00_9735)));
		}}}

	}



/* &bbv-hash-rtl_new1871 */
	obj_t BGl_z62bbvzd2hashzd2rtl_new1871z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8798, obj_t BgL_oz00_8799)
	{
		{	/* SawBbv/bbv-types.scm 1092 */
			{

				{	/* SawBbv/bbv-types.scm 1093 */
					obj_t BgL_arg3220z00_9740;
					long BgL_arg3221z00_9741;

					{	/* SawBbv/bbv-types.scm 1092 */
						obj_t BgL_nextzd2method1870zd2_9739;

						BgL_nextzd2method1870zd2_9739 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_newz00_bglt) BgL_oz00_8799)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_newz00zzsaw_defsz00);
						BgL_arg3220z00_9740 =
							BGL_PROCEDURE_CALL1(BgL_nextzd2method1870zd2_9739,
							((obj_t) ((BgL_rtl_newz00_bglt) BgL_oz00_8799)));
					}
					{	/* SawBbv/bbv-types.scm 1095 */
						obj_t BgL_arg3222z00_9742;
						obj_t BgL_arg3226z00_9743;

						{	/* SawBbv/bbv-types.scm 1095 */
							BgL_typez00_bglt BgL_arg3227z00_9744;

							BgL_arg3227z00_9744 =
								(((BgL_rtl_newz00_bglt) COBJECT(
										((BgL_rtl_newz00_bglt) BgL_oz00_8799)))->BgL_typez00);
							BgL_arg3222z00_9742 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg3227z00_9744));
						}
						{	/* SawBbv/bbv-types.scm 1096 */
							obj_t BgL_arg3228z00_9745;

							{	/* SawBbv/bbv-types.scm 1096 */
								obj_t BgL_l1751z00_9746;

								BgL_l1751z00_9746 =
									(((BgL_rtl_newz00_bglt) COBJECT(
											((BgL_rtl_newz00_bglt) BgL_oz00_8799)))->BgL_constrz00);
								if (NULLP(BgL_l1751z00_9746))
									{	/* SawBbv/bbv-types.scm 1096 */
										BgL_arg3228z00_9745 = BNIL;
									}
								else
									{	/* SawBbv/bbv-types.scm 1096 */
										obj_t BgL_head1753z00_9747;

										BgL_head1753z00_9747 =
											MAKE_YOUNG_PAIR(BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(CAR
												(BgL_l1751z00_9746)), BNIL);
										{	/* SawBbv/bbv-types.scm 1096 */
											obj_t BgL_g1756z00_9748;

											BgL_g1756z00_9748 = CDR(BgL_l1751z00_9746);
											{
												obj_t BgL_l1751z00_9750;
												obj_t BgL_tail1754z00_9751;

												BgL_l1751z00_9750 = BgL_g1756z00_9748;
												BgL_tail1754z00_9751 = BgL_head1753z00_9747;
											BgL_zc3z04anonymousza33230ze3z87_9749:
												if (NULLP(BgL_l1751z00_9750))
													{	/* SawBbv/bbv-types.scm 1096 */
														BgL_arg3228z00_9745 = BgL_head1753z00_9747;
													}
												else
													{	/* SawBbv/bbv-types.scm 1096 */
														obj_t BgL_newtail1755z00_9752;

														{	/* SawBbv/bbv-types.scm 1096 */
															obj_t BgL_arg3233z00_9753;

															{	/* SawBbv/bbv-types.scm 1096 */
																obj_t BgL_arg3234z00_9754;

																BgL_arg3234z00_9754 =
																	CAR(((obj_t) BgL_l1751z00_9750));
																BgL_arg3233z00_9753 =
																	BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2
																	(BgL_arg3234z00_9754);
															}
															BgL_newtail1755z00_9752 =
																MAKE_YOUNG_PAIR(BgL_arg3233z00_9753, BNIL);
														}
														SET_CDR(BgL_tail1754z00_9751,
															BgL_newtail1755z00_9752);
														{	/* SawBbv/bbv-types.scm 1096 */
															obj_t BgL_arg3232z00_9755;

															BgL_arg3232z00_9755 =
																CDR(((obj_t) BgL_l1751z00_9750));
															{
																obj_t BgL_tail1754z00_15174;
																obj_t BgL_l1751z00_15173;

																BgL_l1751z00_15173 = BgL_arg3232z00_9755;
																BgL_tail1754z00_15174 = BgL_newtail1755z00_9752;
																BgL_tail1754z00_9751 = BgL_tail1754z00_15174;
																BgL_l1751z00_9750 = BgL_l1751z00_15173;
																goto BgL_zc3z04anonymousza33230ze3z87_9749;
															}
														}
													}
											}
										}
									}
							}
							BgL_arg3226z00_9743 =
								BGl_bitzd2xorza2z70zzsaw_bbvzd2typeszd2(BgL_arg3228z00_9745);
						}
						BgL_arg3221z00_9741 =
							(
							(long) CINT(BgL_arg3222z00_9742) ^
							(long) CINT(BgL_arg3226z00_9743));
					}
					return BINT(((long) CINT(BgL_arg3220z00_9740) ^ BgL_arg3221z00_9741));
		}}}

	}



/* &bbv-hash-rtl_vset1869 */
	obj_t BGl_z62bbvzd2hashzd2rtl_vset1869z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8800, obj_t BgL_oz00_8801)
	{
		{	/* SawBbv/bbv-types.scm 1085 */
			{

				{	/* SawBbv/bbv-types.scm 1086 */
					obj_t BgL_arg3214z00_9759;
					long BgL_arg3215z00_9760;

					{	/* SawBbv/bbv-types.scm 1085 */
						obj_t BgL_nextzd2method1868zd2_9758;

						BgL_nextzd2method1868zd2_9758 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_vsetz00_bglt) BgL_oz00_8801)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_vsetz00zzsaw_defsz00);
						BgL_arg3214z00_9759 =
							BGL_PROCEDURE_CALL1(BgL_nextzd2method1868zd2_9758,
							((obj_t) ((BgL_rtl_vsetz00_bglt) BgL_oz00_8801)));
					}
					{	/* SawBbv/bbv-types.scm 1087 */
						obj_t BgL_arg3216z00_9761;
						obj_t BgL_arg3217z00_9762;

						{	/* SawBbv/bbv-types.scm 1087 */
							BgL_typez00_bglt BgL_arg3218z00_9763;

							BgL_arg3218z00_9763 =
								(((BgL_rtl_vsetz00_bglt) COBJECT(
										((BgL_rtl_vsetz00_bglt) BgL_oz00_8801)))->BgL_typez00);
							BgL_arg3216z00_9761 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg3218z00_9763));
						}
						{	/* SawBbv/bbv-types.scm 1087 */
							BgL_typez00_bglt BgL_arg3219z00_9764;

							BgL_arg3219z00_9764 =
								(((BgL_rtl_vsetz00_bglt) COBJECT(
										((BgL_rtl_vsetz00_bglt) BgL_oz00_8801)))->BgL_vtypez00);
							BgL_arg3217z00_9762 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg3219z00_9764));
						}
						BgL_arg3215z00_9760 =
							(
							(long) CINT(BgL_arg3216z00_9761) ^
							(long) CINT(BgL_arg3217z00_9762));
					}
					return BINT(((long) CINT(BgL_arg3214z00_9759) ^ BgL_arg3215z00_9760));
		}}}

	}



/* &bbv-hash-rtl_setfiel1867 */
	obj_t BGl_z62bbvzd2hashzd2rtl_setfiel1867z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8802, obj_t BgL_oz00_8803)
	{
		{	/* SawBbv/bbv-types.scm 1076 */
			{

				{	/* SawBbv/bbv-types.scm 1077 */
					obj_t BgL_arg3205z00_9768;
					long BgL_arg3206z00_9769;

					{	/* SawBbv/bbv-types.scm 1076 */
						obj_t BgL_nextzd2method1866zd2_9767;

						BgL_nextzd2method1866zd2_9767 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_setfieldz00_bglt) BgL_oz00_8803)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_setfieldz00zzsaw_defsz00);
						BgL_arg3205z00_9768 =
							BGL_PROCEDURE_CALL1(BgL_nextzd2method1866zd2_9767,
							((obj_t) ((BgL_rtl_setfieldz00_bglt) BgL_oz00_8803)));
					}
					{	/* SawBbv/bbv-types.scm 1079 */
						obj_t BgL_arg3207z00_9770;
						long BgL_arg3208z00_9771;

						BgL_arg3207z00_9770 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							(((BgL_rtl_setfieldz00_bglt) COBJECT(
										((BgL_rtl_setfieldz00_bglt) BgL_oz00_8803)))->BgL_namez00));
						{	/* SawBbv/bbv-types.scm 1080 */
							obj_t BgL_arg3210z00_9772;
							obj_t BgL_arg3211z00_9773;

							{	/* SawBbv/bbv-types.scm 1080 */
								BgL_typez00_bglt BgL_arg3212z00_9774;

								BgL_arg3212z00_9774 =
									(((BgL_rtl_setfieldz00_bglt) COBJECT(
											((BgL_rtl_setfieldz00_bglt) BgL_oz00_8803)))->
									BgL_objtypez00);
								BgL_arg3210z00_9772 =
									BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(((obj_t)
										BgL_arg3212z00_9774));
							}
							{	/* SawBbv/bbv-types.scm 1080 */
								BgL_typez00_bglt BgL_arg3213z00_9775;

								BgL_arg3213z00_9775 =
									(((BgL_rtl_setfieldz00_bglt) COBJECT(
											((BgL_rtl_setfieldz00_bglt) BgL_oz00_8803)))->
									BgL_typez00);
								BgL_arg3211z00_9773 =
									BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(((obj_t)
										BgL_arg3213z00_9775));
							}
							BgL_arg3208z00_9771 =
								(
								(long) CINT(BgL_arg3210z00_9772) ^
								(long) CINT(BgL_arg3211z00_9773));
						}
						BgL_arg3206z00_9769 =
							((long) CINT(BgL_arg3207z00_9770) ^ BgL_arg3208z00_9771);
					}
					return BINT(((long) CINT(BgL_arg3205z00_9768) ^ BgL_arg3206z00_9769));
		}}}

	}



/* &bbv-hash-rtl_storeg1865 */
	obj_t BGl_z62bbvzd2hashzd2rtl_storeg1865z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8804, obj_t BgL_oz00_8805)
	{
		{	/* SawBbv/bbv-types.scm 1067 */
			{

				{	/* SawBbv/bbv-types.scm 1068 */
					obj_t BgL_arg3194z00_9779;
					long BgL_arg3197z00_9780;

					{	/* SawBbv/bbv-types.scm 1067 */
						obj_t BgL_nextzd2method1864zd2_9778;

						BgL_nextzd2method1864zd2_9778 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_storegz00_bglt) BgL_oz00_8805)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_storegz00zzsaw_defsz00);
						BgL_arg3194z00_9779 =
							BGL_PROCEDURE_CALL1(BgL_nextzd2method1864zd2_9778,
							((obj_t) ((BgL_rtl_storegz00_bglt) BgL_oz00_8805)));
					}
					{	/* SawBbv/bbv-types.scm 1070 */
						BgL_globalz00_bglt BgL_i1390z00_9781;

						BgL_i1390z00_9781 =
							(((BgL_rtl_storegz00_bglt) COBJECT(
									((BgL_rtl_storegz00_bglt) BgL_oz00_8805)))->BgL_varz00);
						{	/* SawBbv/bbv-types.scm 1071 */
							obj_t BgL_arg3198z00_9782;
							obj_t BgL_arg3201z00_9783;

							BgL_arg3198z00_9782 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								(((BgL_globalz00_bglt) COBJECT(BgL_i1390z00_9781))->
									BgL_modulez00));
							{	/* SawBbv/bbv-types.scm 1071 */
								obj_t BgL_arg3204z00_9784;

								BgL_arg3204z00_9784 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_i1390z00_9781)))->BgL_idz00);
								BgL_arg3201z00_9783 =
									BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(BgL_arg3204z00_9784);
							}
							BgL_arg3197z00_9780 =
								(
								(long) CINT(BgL_arg3198z00_9782) ^
								(long) CINT(BgL_arg3201z00_9783));
					}}
					return BINT(((long) CINT(BgL_arg3194z00_9779) ^ BgL_arg3197z00_9780));
		}}}

	}



/* &bbv-hash-rtl_instanc1863 */
	obj_t BGl_z62bbvzd2hashzd2rtl_instanc1863z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8806, obj_t BgL_oz00_8807)
	{
		{	/* SawBbv/bbv-types.scm 1060 */
			{

				{	/* SawBbv/bbv-types.scm 1061 */
					obj_t BgL_arg3186z00_9788;
					obj_t BgL_arg3187z00_9789;

					{	/* SawBbv/bbv-types.scm 1060 */
						obj_t BgL_nextzd2method1862zd2_9787;

						BgL_nextzd2method1862zd2_9787 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_instanceofz00_bglt) BgL_oz00_8807)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_instanceofz00zzsaw_defsz00);
						BgL_arg3186z00_9788 =
							BGL_PROCEDURE_CALL1(BgL_nextzd2method1862zd2_9787,
							((obj_t) ((BgL_rtl_instanceofz00_bglt) BgL_oz00_8807)));
					}
					{	/* SawBbv/bbv-types.scm 1062 */
						BgL_typez00_bglt BgL_arg3193z00_9790;

						BgL_arg3193z00_9790 =
							(((BgL_rtl_instanceofz00_bglt) COBJECT(
									((BgL_rtl_instanceofz00_bglt) BgL_oz00_8807)))->BgL_typez00);
						BgL_arg3187z00_9789 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							((obj_t) BgL_arg3193z00_9790));
					}
					return
						BINT(
						((long) CINT(BgL_arg3186z00_9788) ^
							(long) CINT(BgL_arg3187z00_9789)));
		}}}

	}



/* &bbv-hash-rtl_vlength1861 */
	obj_t BGl_z62bbvzd2hashzd2rtl_vlength1861z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8808, obj_t BgL_oz00_8809)
	{
		{	/* SawBbv/bbv-types.scm 1053 */
			{

				{	/* SawBbv/bbv-types.scm 1054 */
					obj_t BgL_arg3168z00_9794;
					long BgL_arg3169z00_9795;

					{	/* SawBbv/bbv-types.scm 1053 */
						obj_t BgL_nextzd2method1860zd2_9793;

						BgL_nextzd2method1860zd2_9793 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_vlengthz00_bglt) BgL_oz00_8809)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_vlengthz00zzsaw_defsz00);
						BgL_arg3168z00_9794 =
							BGL_PROCEDURE_CALL1(BgL_nextzd2method1860zd2_9793,
							((obj_t) ((BgL_rtl_vlengthz00_bglt) BgL_oz00_8809)));
					}
					{	/* SawBbv/bbv-types.scm 1055 */
						obj_t BgL_arg3170z00_9796;
						obj_t BgL_arg3171z00_9797;

						{	/* SawBbv/bbv-types.scm 1055 */
							BgL_typez00_bglt BgL_arg3179z00_9798;

							BgL_arg3179z00_9798 =
								(((BgL_rtl_vlengthz00_bglt) COBJECT(
										((BgL_rtl_vlengthz00_bglt) BgL_oz00_8809)))->BgL_typez00);
							BgL_arg3170z00_9796 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg3179z00_9798));
						}
						{	/* SawBbv/bbv-types.scm 1055 */
							BgL_typez00_bglt BgL_arg3183z00_9799;

							BgL_arg3183z00_9799 =
								(((BgL_rtl_vlengthz00_bglt) COBJECT(
										((BgL_rtl_vlengthz00_bglt) BgL_oz00_8809)))->BgL_vtypez00);
							BgL_arg3171z00_9797 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg3183z00_9799));
						}
						BgL_arg3169z00_9795 =
							(
							(long) CINT(BgL_arg3170z00_9796) ^
							(long) CINT(BgL_arg3171z00_9797));
					}
					return BINT(((long) CINT(BgL_arg3168z00_9794) ^ BgL_arg3169z00_9795));
		}}}

	}



/* &bbv-hash-rtl_vref1859 */
	obj_t BGl_z62bbvzd2hashzd2rtl_vref1859z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8810, obj_t BgL_oz00_8811)
	{
		{	/* SawBbv/bbv-types.scm 1046 */
			{

				{	/* SawBbv/bbv-types.scm 1047 */
					obj_t BgL_arg3159z00_9803;
					long BgL_arg3160z00_9804;

					{	/* SawBbv/bbv-types.scm 1046 */
						obj_t BgL_nextzd2method1858zd2_9802;

						BgL_nextzd2method1858zd2_9802 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_vrefz00_bglt) BgL_oz00_8811)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_vrefz00zzsaw_defsz00);
						BgL_arg3159z00_9803 =
							BGL_PROCEDURE_CALL1(BgL_nextzd2method1858zd2_9802,
							((obj_t) ((BgL_rtl_vrefz00_bglt) BgL_oz00_8811)));
					}
					{	/* SawBbv/bbv-types.scm 1048 */
						obj_t BgL_arg3162z00_9805;
						obj_t BgL_arg3163z00_9806;

						{	/* SawBbv/bbv-types.scm 1048 */
							BgL_typez00_bglt BgL_arg3164z00_9807;

							BgL_arg3164z00_9807 =
								(((BgL_rtl_vrefz00_bglt) COBJECT(
										((BgL_rtl_vrefz00_bglt) BgL_oz00_8811)))->BgL_typez00);
							BgL_arg3162z00_9805 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg3164z00_9807));
						}
						{	/* SawBbv/bbv-types.scm 1048 */
							BgL_typez00_bglt BgL_arg3166z00_9808;

							BgL_arg3166z00_9808 =
								(((BgL_rtl_vrefz00_bglt) COBJECT(
										((BgL_rtl_vrefz00_bglt) BgL_oz00_8811)))->BgL_vtypez00);
							BgL_arg3163z00_9806 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg3166z00_9808));
						}
						BgL_arg3160z00_9804 =
							(
							(long) CINT(BgL_arg3162z00_9805) ^
							(long) CINT(BgL_arg3163z00_9806));
					}
					return BINT(((long) CINT(BgL_arg3159z00_9803) ^ BgL_arg3160z00_9804));
		}}}

	}



/* &bbv-hash-rtl_valloc1857 */
	obj_t BGl_z62bbvzd2hashzd2rtl_valloc1857z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8812, obj_t BgL_oz00_8813)
	{
		{	/* SawBbv/bbv-types.scm 1039 */
			{

				{	/* SawBbv/bbv-types.scm 1040 */
					obj_t BgL_arg3152z00_9812;
					long BgL_arg3153z00_9813;

					{	/* SawBbv/bbv-types.scm 1039 */
						obj_t BgL_nextzd2method1856zd2_9811;

						BgL_nextzd2method1856zd2_9811 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_vallocz00_bglt) BgL_oz00_8813)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_vallocz00zzsaw_defsz00);
						BgL_arg3152z00_9812 =
							BGL_PROCEDURE_CALL1(BgL_nextzd2method1856zd2_9811,
							((obj_t) ((BgL_rtl_vallocz00_bglt) BgL_oz00_8813)));
					}
					{	/* SawBbv/bbv-types.scm 1041 */
						obj_t BgL_arg3154z00_9814;
						obj_t BgL_arg3155z00_9815;

						{	/* SawBbv/bbv-types.scm 1041 */
							BgL_typez00_bglt BgL_arg3156z00_9816;

							BgL_arg3156z00_9816 =
								(((BgL_rtl_vallocz00_bglt) COBJECT(
										((BgL_rtl_vallocz00_bglt) BgL_oz00_8813)))->BgL_typez00);
							BgL_arg3154z00_9814 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg3156z00_9816));
						}
						{	/* SawBbv/bbv-types.scm 1041 */
							BgL_typez00_bglt BgL_arg3157z00_9817;

							BgL_arg3157z00_9817 =
								(((BgL_rtl_vallocz00_bglt) COBJECT(
										((BgL_rtl_vallocz00_bglt) BgL_oz00_8813)))->BgL_vtypez00);
							BgL_arg3155z00_9815 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg3157z00_9817));
						}
						BgL_arg3153z00_9813 =
							(
							(long) CINT(BgL_arg3154z00_9814) ^
							(long) CINT(BgL_arg3155z00_9815));
					}
					return BINT(((long) CINT(BgL_arg3152z00_9812) ^ BgL_arg3153z00_9813));
		}}}

	}



/* &bbv-hash-rtl_getfiel1855 */
	obj_t BGl_z62bbvzd2hashzd2rtl_getfiel1855z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8814, obj_t BgL_oz00_8815)
	{
		{	/* SawBbv/bbv-types.scm 1030 */
			{

				{	/* SawBbv/bbv-types.scm 1031 */
					obj_t BgL_arg3139z00_9821;
					long BgL_arg3140z00_9822;

					{	/* SawBbv/bbv-types.scm 1030 */
						obj_t BgL_nextzd2method1854zd2_9820;

						BgL_nextzd2method1854zd2_9820 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_getfieldz00_bglt) BgL_oz00_8815)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_getfieldz00zzsaw_defsz00);
						BgL_arg3139z00_9821 =
							BGL_PROCEDURE_CALL1(BgL_nextzd2method1854zd2_9820,
							((obj_t) ((BgL_rtl_getfieldz00_bglt) BgL_oz00_8815)));
					}
					{	/* SawBbv/bbv-types.scm 1033 */
						obj_t BgL_arg3141z00_9823;
						long BgL_arg3142z00_9824;

						BgL_arg3141z00_9823 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							(((BgL_rtl_getfieldz00_bglt) COBJECT(
										((BgL_rtl_getfieldz00_bglt) BgL_oz00_8815)))->BgL_namez00));
						{	/* SawBbv/bbv-types.scm 1034 */
							obj_t BgL_arg3146z00_9825;
							obj_t BgL_arg3147z00_9826;

							{	/* SawBbv/bbv-types.scm 1034 */
								BgL_typez00_bglt BgL_arg3148z00_9827;

								BgL_arg3148z00_9827 =
									(((BgL_rtl_getfieldz00_bglt) COBJECT(
											((BgL_rtl_getfieldz00_bglt) BgL_oz00_8815)))->
									BgL_objtypez00);
								BgL_arg3146z00_9825 =
									BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(((obj_t)
										BgL_arg3148z00_9827));
							}
							{	/* SawBbv/bbv-types.scm 1034 */
								BgL_typez00_bglt BgL_arg3151z00_9828;

								BgL_arg3151z00_9828 =
									(((BgL_rtl_getfieldz00_bglt) COBJECT(
											((BgL_rtl_getfieldz00_bglt) BgL_oz00_8815)))->
									BgL_typez00);
								BgL_arg3147z00_9826 =
									BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(((obj_t)
										BgL_arg3151z00_9828));
							}
							BgL_arg3142z00_9824 =
								(
								(long) CINT(BgL_arg3146z00_9825) ^
								(long) CINT(BgL_arg3147z00_9826));
						}
						BgL_arg3140z00_9822 =
							((long) CINT(BgL_arg3141z00_9823) ^ BgL_arg3142z00_9824);
					}
					return BINT(((long) CINT(BgL_arg3139z00_9821) ^ BgL_arg3140z00_9822));
		}}}

	}



/* &bbv-hash-rtl_globalr1853 */
	obj_t BGl_z62bbvzd2hashzd2rtl_globalr1853z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8816, obj_t BgL_oz00_8817)
	{
		{	/* SawBbv/bbv-types.scm 1023 */
			{

				{	/* SawBbv/bbv-types.scm 1025 */
					obj_t BgL_arg3129z00_9832;
					obj_t BgL_arg3136z00_9833;

					{	/* SawBbv/bbv-types.scm 1023 */
						obj_t BgL_nextzd2method1852zd2_9831;

						BgL_nextzd2method1852zd2_9831 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_globalrefz00_bglt) BgL_oz00_8817)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_globalrefz00zzsaw_defsz00);
						BgL_arg3129z00_9832 =
							BGL_PROCEDURE_CALL1(BgL_nextzd2method1852zd2_9831,
							((obj_t) ((BgL_rtl_globalrefz00_bglt) BgL_oz00_8817)));
					}
					{	/* SawBbv/bbv-types.scm 1025 */
						BgL_globalz00_bglt BgL_arg3137z00_9834;

						BgL_arg3137z00_9834 =
							(((BgL_rtl_globalrefz00_bglt) COBJECT(
									((BgL_rtl_globalrefz00_bglt) BgL_oz00_8817)))->BgL_varz00);
						BgL_arg3136z00_9833 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							((obj_t) BgL_arg3137z00_9834));
					}
					return
						BINT(
						((long) CINT(BgL_arg3129z00_9832) ^
							(long) CINT(BgL_arg3136z00_9833)));
		}}}

	}



/* &bbv-hash-rtl_loadfun1851 */
	obj_t BGl_z62bbvzd2hashzd2rtl_loadfun1851z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8818, obj_t BgL_oz00_8819)
	{
		{	/* SawBbv/bbv-types.scm 1016 */
			{

				{	/* SawBbv/bbv-types.scm 1018 */
					obj_t BgL_arg3122z00_9838;
					obj_t BgL_arg3123z00_9839;

					{	/* SawBbv/bbv-types.scm 1016 */
						obj_t BgL_nextzd2method1850zd2_9837;

						BgL_nextzd2method1850zd2_9837 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_loadfunz00_bglt) BgL_oz00_8819)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_loadfunz00zzsaw_defsz00);
						BgL_arg3122z00_9838 =
							BGL_PROCEDURE_CALL1(BgL_nextzd2method1850zd2_9837,
							((obj_t) ((BgL_rtl_loadfunz00_bglt) BgL_oz00_8819)));
					}
					{	/* SawBbv/bbv-types.scm 1018 */
						BgL_globalz00_bglt BgL_arg3125z00_9840;

						BgL_arg3125z00_9840 =
							(((BgL_rtl_loadfunz00_bglt) COBJECT(
									((BgL_rtl_loadfunz00_bglt) BgL_oz00_8819)))->BgL_varz00);
						BgL_arg3123z00_9839 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							((obj_t) BgL_arg3125z00_9840));
					}
					return
						BINT(
						((long) CINT(BgL_arg3122z00_9838) ^
							(long) CINT(BgL_arg3123z00_9839)));
		}}}

	}



/* &bbv-hash-rtl_loadg1849 */
	obj_t BGl_z62bbvzd2hashzd2rtl_loadg1849z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8820, obj_t BgL_oz00_8821)
	{
		{	/* SawBbv/bbv-types.scm 1009 */
			{

				{	/* SawBbv/bbv-types.scm 1011 */
					obj_t BgL_arg3119z00_9844;
					obj_t BgL_arg3120z00_9845;

					{	/* SawBbv/bbv-types.scm 1009 */
						obj_t BgL_nextzd2method1848zd2_9843;

						BgL_nextzd2method1848zd2_9843 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_loadgz00_bglt) BgL_oz00_8821)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_loadgz00zzsaw_defsz00);
						BgL_arg3119z00_9844 =
							BGL_PROCEDURE_CALL1(BgL_nextzd2method1848zd2_9843,
							((obj_t) ((BgL_rtl_loadgz00_bglt) BgL_oz00_8821)));
					}
					{	/* SawBbv/bbv-types.scm 1011 */
						BgL_globalz00_bglt BgL_arg3121z00_9846;

						BgL_arg3121z00_9846 =
							(((BgL_rtl_loadgz00_bglt) COBJECT(
									((BgL_rtl_loadgz00_bglt) BgL_oz00_8821)))->BgL_varz00);
						BgL_arg3120z00_9845 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							((obj_t) BgL_arg3121z00_9846));
					}
					return
						BINT(
						((long) CINT(BgL_arg3119z00_9844) ^
							(long) CINT(BgL_arg3120z00_9845)));
		}}}

	}



/* &bbv-hash-rtl_loadi1847 */
	obj_t BGl_z62bbvzd2hashzd2rtl_loadi1847z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8822, obj_t BgL_oz00_8823)
	{
		{	/* SawBbv/bbv-types.scm 1002 */
			{

				{	/* SawBbv/bbv-types.scm 1004 */
					obj_t BgL_arg3116z00_9850;
					obj_t BgL_arg3117z00_9851;

					{	/* SawBbv/bbv-types.scm 1002 */
						obj_t BgL_nextzd2method1846zd2_9849;

						BgL_nextzd2method1846zd2_9849 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_loadiz00_bglt) BgL_oz00_8823)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_loadiz00zzsaw_defsz00);
						BgL_arg3116z00_9850 =
							BGL_PROCEDURE_CALL1(BgL_nextzd2method1846zd2_9849,
							((obj_t) ((BgL_rtl_loadiz00_bglt) BgL_oz00_8823)));
					}
					{	/* SawBbv/bbv-types.scm 1004 */
						BgL_atomz00_bglt BgL_arg3118z00_9852;

						BgL_arg3118z00_9852 =
							(((BgL_rtl_loadiz00_bglt) COBJECT(
									((BgL_rtl_loadiz00_bglt) BgL_oz00_8823)))->BgL_constantz00);
						BgL_arg3117z00_9851 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							((obj_t) BgL_arg3118z00_9852));
					}
					return
						BINT(
						((long) CINT(BgL_arg3116z00_9850) ^
							(long) CINT(BgL_arg3117z00_9851)));
		}}}

	}



/* &bbv-hash-rtl_return1844 */
	obj_t BGl_z62bbvzd2hashzd2rtl_return1844z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8824, obj_t BgL_oz00_8825)
	{
		{	/* SawBbv/bbv-types.scm 995 */
			{

				{	/* SawBbv/bbv-types.scm 997 */
					obj_t BgL_arg3112z00_9856;
					obj_t BgL_arg3114z00_9857;

					{	/* SawBbv/bbv-types.scm 995 */
						obj_t BgL_nextzd2method1843zd2_9855;

						BgL_nextzd2method1843zd2_9855 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_returnz00_bglt) BgL_oz00_8825)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_returnz00zzsaw_defsz00);
						BgL_arg3112z00_9856 =
							BGL_PROCEDURE_CALL1(BgL_nextzd2method1843zd2_9855,
							((obj_t) ((BgL_rtl_returnz00_bglt) BgL_oz00_8825)));
					}
					{	/* SawBbv/bbv-types.scm 997 */
						BgL_typez00_bglt BgL_arg3115z00_9858;

						BgL_arg3115z00_9858 =
							(((BgL_rtl_returnz00_bglt) COBJECT(
									((BgL_rtl_returnz00_bglt) BgL_oz00_8825)))->BgL_typez00);
						BgL_arg3114z00_9857 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							((obj_t) BgL_arg3115z00_9858));
					}
					return
						BINT(
						((long) CINT(BgL_arg3112z00_9856) ^
							(long) CINT(BgL_arg3114z00_9857)));
		}}}

	}



/* &bbv-hash-rtl_fun1842 */
	obj_t BGl_z62bbvzd2hashzd2rtl_fun1842z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8826, obj_t BgL_oz00_8827)
	{
		{	/* SawBbv/bbv-types.scm 989 */
			{	/* SawBbv/bbv-types.scm 990 */
				obj_t BgL_arg3110z00_9860;

				{	/* SawBbv/bbv-types.scm 990 */
					obj_t BgL_arg3111z00_9861;

					{	/* SawBbv/bbv-types.scm 990 */
						obj_t BgL_arg1866z00_9862;
						long BgL_arg1867z00_9863;

						BgL_arg1866z00_9862 = (BGl_za2classesza2z00zz__objectz00);
						{	/* SawBbv/bbv-types.scm 990 */
							long BgL_arg1869z00_9864;

							BgL_arg1869z00_9864 =
								BGL_OBJECT_CLASS_NUM(
								((BgL_objectz00_bglt) ((BgL_rtl_funz00_bglt) BgL_oz00_8827)));
							BgL_arg1867z00_9863 = (BgL_arg1869z00_9864 - OBJECT_TYPE);
						}
						BgL_arg3111z00_9861 =
							VECTOR_REF(BgL_arg1866z00_9862, BgL_arg1867z00_9863);
					}
					BgL_arg3110z00_9860 =
						BGl_classzd2namezd2zz__objectz00(BgL_arg3111z00_9861);
				}
				return BINT(bgl_symbol_hash_number(BgL_arg3110z00_9860));
			}
		}

	}



/* &bbv-hash-rtl_reg1840 */
	obj_t BGl_z62bbvzd2hashzd2rtl_reg1840z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8828, obj_t BgL_oz00_8829)
	{
		{	/* SawBbv/bbv-types.scm 981 */
			{	/* SawBbv/bbv-types.scm 983 */
				obj_t BgL_arg3094z00_9866;
				long BgL_arg3098z00_9867;

				{	/* SawBbv/bbv-types.scm 983 */
					BgL_typez00_bglt BgL_arg3103z00_9868;

					BgL_arg3103z00_9868 =
						(((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_oz00_8829)))->BgL_typez00);
					BgL_arg3094z00_9866 =
						BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
						((obj_t) BgL_arg3103z00_9868));
				}
				BgL_arg3098z00_9867 =
					(bgl_symbol_hash_number(
						(((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt) BgL_oz00_8829)))->BgL_namez00)) ^
					bgl_symbol_hash_number(
						(((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt) BgL_oz00_8829)))->BgL_keyz00)));
				return BINT(((long) CINT(BgL_arg3094z00_9866) ^ BgL_arg3098z00_9867));
		}}

	}



/* &bbv-hash-rtl_ins/bbv1838 */
	obj_t BGl_z62bbvzd2hashzd2rtl_inszf2bbv1838z90zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8830, obj_t BgL_oz00_8831)
	{
		{	/* SawBbv/bbv-types.scm 967 */
			{	/* SawBbv/bbv-types.scm 969 */
				bool_t BgL_test4581z00_15477;

				{	/* SawBbv/bbv-types.scm 969 */
					obj_t BgL_tmpz00_15478;

					{
						BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15479;

						{
							obj_t BgL_auxz00_15480;

							{	/* SawBbv/bbv-types.scm 969 */
								BgL_objectz00_bglt BgL_tmpz00_15481;

								BgL_tmpz00_15481 =
									((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_8831));
								BgL_auxz00_15480 = BGL_OBJECT_WIDENING(BgL_tmpz00_15481);
							}
							BgL_auxz00_15479 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15480);
						}
						BgL_tmpz00_15478 =
							(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_15479))->
							BgL_z52hashz52);
					}
					BgL_test4581z00_15477 = CBOOL(BgL_tmpz00_15478);
				}
				if (BgL_test4581z00_15477)
					{	/* SawBbv/bbv-types.scm 969 */
						BFALSE;
					}
				else
					{
						obj_t BgL_auxz00_15495;
						BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15488;

						{	/* SawBbv/bbv-types.scm 972 */
							obj_t BgL_arg3077z00_9870;
							long BgL_arg3078z00_9871;

							{	/* SawBbv/bbv-types.scm 972 */
								obj_t BgL_arg3080z00_9872;

								BgL_arg3080z00_9872 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt)
												((BgL_rtl_insz00_bglt) BgL_oz00_8831))))->BgL_destz00);
								BgL_arg3077z00_9870 =
									BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(BgL_arg3080z00_9872);
							}
							{	/* SawBbv/bbv-types.scm 974 */
								obj_t BgL_arg3081z00_9873;
								obj_t BgL_arg3082z00_9874;

								{	/* SawBbv/bbv-types.scm 974 */
									obj_t BgL_arg3083z00_9875;

									{	/* SawBbv/bbv-types.scm 974 */
										obj_t BgL_l1745z00_9876;

										BgL_l1745z00_9876 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt)
														((BgL_rtl_insz00_bglt) BgL_oz00_8831))))->
											BgL_argsz00);
										if (NULLP(BgL_l1745z00_9876))
											{	/* SawBbv/bbv-types.scm 974 */
												BgL_arg3083z00_9875 = BNIL;
											}
										else
											{	/* SawBbv/bbv-types.scm 974 */
												obj_t BgL_head1747z00_9877;

												{	/* SawBbv/bbv-types.scm 974 */
													obj_t BgL_arg3090z00_9878;

													{	/* SawBbv/bbv-types.scm 974 */
														obj_t BgL_arg3091z00_9879;

														BgL_arg3091z00_9879 = CAR(BgL_l1745z00_9876);
														BgL_arg3090z00_9878 =
															BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2
															(BgL_arg3091z00_9879);
													}
													BgL_head1747z00_9877 =
														MAKE_YOUNG_PAIR(BgL_arg3090z00_9878, BNIL);
												}
												{	/* SawBbv/bbv-types.scm 974 */
													obj_t BgL_g1750z00_9880;

													BgL_g1750z00_9880 = CDR(BgL_l1745z00_9876);
													{
														obj_t BgL_l1745z00_9882;
														obj_t BgL_tail1748z00_9883;

														BgL_l1745z00_9882 = BgL_g1750z00_9880;
														BgL_tail1748z00_9883 = BgL_head1747z00_9877;
													BgL_zc3z04anonymousza33085ze3z87_9881:
														if (NULLP(BgL_l1745z00_9882))
															{	/* SawBbv/bbv-types.scm 974 */
																BgL_arg3083z00_9875 = BgL_head1747z00_9877;
															}
														else
															{	/* SawBbv/bbv-types.scm 974 */
																obj_t BgL_newtail1749z00_9884;

																{	/* SawBbv/bbv-types.scm 974 */
																	obj_t BgL_arg3088z00_9885;

																	{	/* SawBbv/bbv-types.scm 974 */
																		obj_t BgL_arg3089z00_9886;

																		BgL_arg3089z00_9886 =
																			CAR(((obj_t) BgL_l1745z00_9882));
																		BgL_arg3088z00_9885 =
																			BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2
																			(BgL_arg3089z00_9886);
																	}
																	BgL_newtail1749z00_9884 =
																		MAKE_YOUNG_PAIR(BgL_arg3088z00_9885, BNIL);
																}
																SET_CDR(BgL_tail1748z00_9883,
																	BgL_newtail1749z00_9884);
																{	/* SawBbv/bbv-types.scm 974 */
																	obj_t BgL_arg3087z00_9887;

																	BgL_arg3087z00_9887 =
																		CDR(((obj_t) BgL_l1745z00_9882));
																	{
																		obj_t BgL_tail1748z00_15519;
																		obj_t BgL_l1745z00_15518;

																		BgL_l1745z00_15518 = BgL_arg3087z00_9887;
																		BgL_tail1748z00_15519 =
																			BgL_newtail1749z00_9884;
																		BgL_tail1748z00_9883 =
																			BgL_tail1748z00_15519;
																		BgL_l1745z00_9882 = BgL_l1745z00_15518;
																		goto BgL_zc3z04anonymousza33085ze3z87_9881;
																	}
																}
															}
													}
												}
											}
									}
									BgL_arg3081z00_9873 =
										BGl_bitzd2xorza2z70zzsaw_bbvzd2typeszd2
										(BgL_arg3083z00_9875);
								}
								{	/* SawBbv/bbv-types.scm 975 */
									BgL_rtl_funz00_bglt BgL_arg3093z00_9888;

									BgL_arg3093z00_9888 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_oz00_8831))))->BgL_funz00);
									BgL_arg3082z00_9874 =
										BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
										((obj_t) BgL_arg3093z00_9888));
								}
								BgL_arg3078z00_9871 =
									(
									(long) CINT(BgL_arg3081z00_9873) ^
									(long) CINT(BgL_arg3082z00_9874));
							}
							BgL_auxz00_15495 =
								BINT(((long) CINT(BgL_arg3077z00_9870) ^ BgL_arg3078z00_9871));
						}
						{
							obj_t BgL_auxz00_15489;

							{	/* SawBbv/bbv-types.scm 970 */
								BgL_objectz00_bglt BgL_tmpz00_15490;

								BgL_tmpz00_15490 =
									((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_8831));
								BgL_auxz00_15489 = BGL_OBJECT_WIDENING(BgL_tmpz00_15490);
							}
							BgL_auxz00_15488 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15489);
						}
						((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_15488))->
								BgL_z52hashz52) = ((obj_t) BgL_auxz00_15495), BUNSPEC);
			}}
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_15533;

				{
					obj_t BgL_auxz00_15534;

					{	/* SawBbv/bbv-types.scm 976 */
						BgL_objectz00_bglt BgL_tmpz00_15535;

						BgL_tmpz00_15535 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_8831));
						BgL_auxz00_15534 = BGL_OBJECT_WIDENING(BgL_tmpz00_15535);
					}
					BgL_auxz00_15533 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_15534);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_15533))->
					BgL_z52hashz52);
			}
		}

	}



/* &bbv-hash-blockS1836 */
	obj_t BGl_z62bbvzd2hashzd2blockS1836z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8832, obj_t BgL_oz00_8833)
	{
		{	/* SawBbv/bbv-types.scm 955 */
			{
				obj_t BgL_insz00_9891;

				{	/* SawBbv/bbv-types.scm 961 */
					bool_t BgL_test4584z00_15541;

					{	/* SawBbv/bbv-types.scm 961 */
						obj_t BgL_tmpz00_15542;

						{
							BgL_blocksz00_bglt BgL_auxz00_15543;

							{
								obj_t BgL_auxz00_15544;

								{	/* SawBbv/bbv-types.scm 961 */
									BgL_objectz00_bglt BgL_tmpz00_15545;

									BgL_tmpz00_15545 =
										((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8833));
									BgL_auxz00_15544 = BGL_OBJECT_WIDENING(BgL_tmpz00_15545);
								}
								BgL_auxz00_15543 = ((BgL_blocksz00_bglt) BgL_auxz00_15544);
							}
							BgL_tmpz00_15542 =
								(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_15543))->
								BgL_z52hashz52);
						}
						BgL_test4584z00_15541 = CBOOL(BgL_tmpz00_15542);
					}
					if (BgL_test4584z00_15541)
						{	/* SawBbv/bbv-types.scm 961 */
							BFALSE;
						}
					else
						{
							obj_t BgL_auxz00_15559;
							BgL_blocksz00_bglt BgL_auxz00_15552;

							{	/* SawBbv/bbv-types.scm 961 */
								obj_t BgL_arg3055z00_9905;

								BgL_arg3055z00_9905 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt)
												((BgL_blockz00_bglt) BgL_oz00_8833))))->BgL_firstz00);
								BgL_insz00_9891 = BgL_arg3055z00_9905;
								if (NULLP(BgL_insz00_9891))
									{	/* SawBbv/bbv-types.scm 958 */
										BgL_auxz00_15559 = BINT(0L);
									}
								else
									{	/* SawBbv/bbv-types.scm 958 */
										obj_t BgL_arg3058z00_9892;

										{	/* SawBbv/bbv-types.scm 958 */
											obj_t BgL_l1739z00_9893;

											BgL_l1739z00_9893 = BgL_insz00_9891;
											{	/* SawBbv/bbv-types.scm 958 */
												obj_t BgL_head1741z00_9894;

												{	/* SawBbv/bbv-types.scm 958 */
													obj_t BgL_arg3072z00_9895;

													{	/* SawBbv/bbv-types.scm 958 */
														obj_t BgL_arg3074z00_9896;

														BgL_arg3074z00_9896 =
															CAR(((obj_t) BgL_l1739z00_9893));
														BgL_arg3072z00_9895 =
															BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2
															(BgL_arg3074z00_9896);
													}
													BgL_head1741z00_9894 =
														MAKE_YOUNG_PAIR(BgL_arg3072z00_9895, BNIL);
												}
												{	/* SawBbv/bbv-types.scm 958 */
													obj_t BgL_g1744z00_9897;

													BgL_g1744z00_9897 = CDR(((obj_t) BgL_l1739z00_9893));
													{
														obj_t BgL_l1739z00_9899;
														obj_t BgL_tail1742z00_9900;

														BgL_l1739z00_9899 = BgL_g1744z00_9897;
														BgL_tail1742z00_9900 = BgL_head1741z00_9894;
													BgL_zc3z04anonymousza33060ze3z87_9898:
														if (NULLP(BgL_l1739z00_9899))
															{	/* SawBbv/bbv-types.scm 958 */
																BgL_arg3058z00_9892 = BgL_head1741z00_9894;
															}
														else
															{	/* SawBbv/bbv-types.scm 958 */
																obj_t BgL_newtail1743z00_9901;

																{	/* SawBbv/bbv-types.scm 958 */
																	obj_t BgL_arg3065z00_9902;

																	{	/* SawBbv/bbv-types.scm 958 */
																		obj_t BgL_arg3071z00_9903;

																		BgL_arg3071z00_9903 =
																			CAR(((obj_t) BgL_l1739z00_9899));
																		BgL_arg3065z00_9902 =
																			BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2
																			(BgL_arg3071z00_9903);
																	}
																	BgL_newtail1743z00_9901 =
																		MAKE_YOUNG_PAIR(BgL_arg3065z00_9902, BNIL);
																}
																SET_CDR(BgL_tail1742z00_9900,
																	BgL_newtail1743z00_9901);
																{	/* SawBbv/bbv-types.scm 958 */
																	obj_t BgL_arg3062z00_9904;

																	BgL_arg3062z00_9904 =
																		CDR(((obj_t) BgL_l1739z00_9899));
																	{
																		obj_t BgL_tail1742z00_15582;
																		obj_t BgL_l1739z00_15581;

																		BgL_l1739z00_15581 = BgL_arg3062z00_9904;
																		BgL_tail1742z00_15582 =
																			BgL_newtail1743z00_9901;
																		BgL_tail1742z00_9900 =
																			BgL_tail1742z00_15582;
																		BgL_l1739z00_9899 = BgL_l1739z00_15581;
																		goto BgL_zc3z04anonymousza33060ze3z87_9898;
																	}
																}
															}
													}
												}
											}
										}
										BgL_auxz00_15559 =
											BGl_bitzd2xorza2z70zzsaw_bbvzd2typeszd2
											(BgL_arg3058z00_9892);
									}
							}
							{
								obj_t BgL_auxz00_15553;

								{	/* SawBbv/bbv-types.scm 961 */
									BgL_objectz00_bglt BgL_tmpz00_15554;

									BgL_tmpz00_15554 =
										((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8833));
									BgL_auxz00_15553 = BGL_OBJECT_WIDENING(BgL_tmpz00_15554);
								}
								BgL_auxz00_15552 = ((BgL_blocksz00_bglt) BgL_auxz00_15553);
							}
							((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_15552))->
									BgL_z52hashz52) = ((obj_t) BgL_auxz00_15559), BUNSPEC);
						}
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_15585;

					{
						obj_t BgL_auxz00_15586;

						{	/* SawBbv/bbv-types.scm 962 */
							BgL_objectz00_bglt BgL_tmpz00_15587;

							BgL_tmpz00_15587 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8833));
							BgL_auxz00_15586 = BGL_OBJECT_WIDENING(BgL_tmpz00_15587);
						}
						BgL_auxz00_15585 = ((BgL_blocksz00_bglt) BgL_auxz00_15586);
					}
					return
						(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_15585))->BgL_z52hashz52);
				}
			}
		}

	}



/* &bbv-hash-atom1834 */
	obj_t BGl_z62bbvzd2hashzd2atom1834z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8834, obj_t BgL_oz00_8835)
	{
		{	/* SawBbv/bbv-types.scm 948 */
			{	/* SawBbv/bbv-types.scm 950 */
				obj_t BgL_arg3053z00_9907;

				BgL_arg3053z00_9907 =
					(((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt) BgL_oz00_8835)))->BgL_valuez00);
				return BINT(BGl_getzd2hashnumberzd2zz__hashz00(BgL_arg3053z00_9907));
			}
		}

	}



/* &bbv-hash-type1832 */
	obj_t BGl_z62bbvzd2hashzd2type1832z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8836, obj_t BgL_oz00_8837)
	{
		{	/* SawBbv/bbv-types.scm 941 */
			{	/* SawBbv/bbv-types.scm 943 */
				obj_t BgL_arg3052z00_9909;

				BgL_arg3052z00_9909 =
					(((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_8837)))->BgL_idz00);
				return BINT(bgl_symbol_hash_number(BgL_arg3052z00_9909));
			}
		}

	}



/* &dump-blockS1828 */
	obj_t BGl_z62dumpzd2blockS1828zb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8838,
		obj_t BgL_oz00_8839, obj_t BgL_pz00_8840, obj_t BgL_mz00_8841)
	{
		{	/* SawBbv/bbv-types.scm 677 */
			{	/* SawBbv/bbv-types.scm 689 */
				obj_t BgL_tmpz00_15601;

				BgL_tmpz00_15601 = ((obj_t) BgL_pz00_8840);
				bgl_display_string(BGl_string3886z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_15601);
			}
			{	/* SawBbv/bbv-types.scm 689 */
				int BgL_arg2985z00_9911;

				BgL_arg2985z00_9911 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_oz00_8839))))->BgL_labelz00);
				bgl_display_obj(BINT(BgL_arg2985z00_9911), BgL_pz00_8840);
			}
			{	/* SawBbv/bbv-types.scm 689 */
				obj_t BgL_tmpz00_15609;

				BgL_tmpz00_15609 = ((obj_t) BgL_pz00_8840);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_15609);
			}
			{	/* SawBbv/bbv-types.scm 690 */
				long BgL_arg2986z00_9912;

				BgL_arg2986z00_9912 = ((long) CINT(BgL_mz00_8841) + 1L);
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_8840,
					(int) (BgL_arg2986z00_9912));
			}
			{	/* SawBbv/bbv-types.scm 691 */
				obj_t BgL_tmpz00_15616;

				BgL_tmpz00_15616 = ((obj_t) BgL_pz00_8840);
				bgl_display_string(BGl_string3887z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_15616);
			}
			{	/* SawBbv/bbv-types.scm 691 */
				int BgL_arg2987z00_9913;

				{	/* SawBbv/bbv-types.scm 691 */
					BgL_blockz00_bglt BgL_arg2991z00_9914;

					{
						BgL_blocksz00_bglt BgL_auxz00_15619;

						{
							obj_t BgL_auxz00_15620;

							{	/* SawBbv/bbv-types.scm 691 */
								BgL_objectz00_bglt BgL_tmpz00_15621;

								BgL_tmpz00_15621 =
									((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8839));
								BgL_auxz00_15620 = BGL_OBJECT_WIDENING(BgL_tmpz00_15621);
							}
							BgL_auxz00_15619 = ((BgL_blocksz00_bglt) BgL_auxz00_15620);
						}
						BgL_arg2991z00_9914 =
							(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_15619))->BgL_parentz00);
					}
					BgL_arg2987z00_9913 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_arg2991z00_9914)))->BgL_labelz00);
				}
				bgl_display_obj(BINT(BgL_arg2987z00_9913), BgL_pz00_8840);
			}
			{	/* SawBbv/bbv-types.scm 691 */
				obj_t BgL_tmpz00_15631;

				BgL_tmpz00_15631 = ((obj_t) BgL_pz00_8840);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_15631);
			}
			{	/* SawBbv/bbv-types.scm 692 */
				long BgL_arg2993z00_9915;

				BgL_arg2993z00_9915 = ((long) CINT(BgL_mz00_8841) + 1L);
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_8840,
					(int) (BgL_arg2993z00_9915));
			}
			{	/* SawBbv/bbv-types.scm 693 */
				obj_t BgL_tmpz00_15638;

				BgL_tmpz00_15638 = ((obj_t) BgL_pz00_8840);
				bgl_display_string(BGl_string3888z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_15638);
			}
			{	/* SawBbv/bbv-types.scm 693 */
				obj_t BgL_arg2994z00_9916;

				{	/* SawBbv/bbv-types.scm 693 */
					BgL_blockz00_bglt BgL_i1329z00_9917;

					{
						BgL_blocksz00_bglt BgL_auxz00_15641;

						{
							obj_t BgL_auxz00_15642;

							{	/* SawBbv/bbv-types.scm 693 */
								BgL_objectz00_bglt BgL_tmpz00_15643;

								BgL_tmpz00_15643 =
									((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8839));
								BgL_auxz00_15642 = BGL_OBJECT_WIDENING(BgL_tmpz00_15643);
							}
							BgL_auxz00_15641 = ((BgL_blocksz00_bglt) BgL_auxz00_15642);
						}
						BgL_i1329z00_9917 =
							(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_15641))->BgL_parentz00);
					}
					{
						BgL_blockvz00_bglt BgL_auxz00_15649;

						{
							obj_t BgL_auxz00_15650;

							{	/* SawBbv/bbv-types.scm 693 */
								BgL_objectz00_bglt BgL_tmpz00_15651;

								BgL_tmpz00_15651 = ((BgL_objectz00_bglt) BgL_i1329z00_9917);
								BgL_auxz00_15650 = BGL_OBJECT_WIDENING(BgL_tmpz00_15651);
							}
							BgL_auxz00_15649 = ((BgL_blockvz00_bglt) BgL_auxz00_15650);
						}
						BgL_arg2994z00_9916 =
							(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_15649))->BgL_mergez00);
				}}
				bgl_display_obj(BgL_arg2994z00_9916, BgL_pz00_8840);
			}
			{	/* SawBbv/bbv-types.scm 693 */
				obj_t BgL_tmpz00_15657;

				BgL_tmpz00_15657 = ((obj_t) BgL_pz00_8840);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_15657);
			}
			{	/* SawBbv/bbv-types.scm 694 */
				long BgL_arg2999z00_9918;

				BgL_arg2999z00_9918 = ((long) CINT(BgL_mz00_8841) + 1L);
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_8840,
					(int) (BgL_arg2999z00_9918));
			}
			{	/* SawBbv/bbv-types.scm 695 */
				obj_t BgL_tmpz00_15664;

				BgL_tmpz00_15664 = ((obj_t) BgL_pz00_8840);
				bgl_display_string(BGl_string3889z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_15664);
			}
			{	/* SawBbv/bbv-types.scm 695 */
				obj_t BgL_arg3003z00_9919;

				{	/* SawBbv/bbv-types.scm 695 */
					obj_t BgL_l1718z00_9920;

					BgL_l1718z00_9920 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_oz00_8839))))->BgL_predsz00);
					if (NULLP(BgL_l1718z00_9920))
						{	/* SawBbv/bbv-types.scm 695 */
							BgL_arg3003z00_9919 = BNIL;
						}
					else
						{	/* SawBbv/bbv-types.scm 695 */
							obj_t BgL_head1720z00_9921;

							BgL_head1720z00_9921 =
								MAKE_YOUNG_PAIR(BGl_lblze71ze7zzsaw_bbvzd2typeszd2(CAR
									(BgL_l1718z00_9920)), BNIL);
							{	/* SawBbv/bbv-types.scm 695 */
								obj_t BgL_g1723z00_9922;

								BgL_g1723z00_9922 = CDR(BgL_l1718z00_9920);
								{
									obj_t BgL_l1718z00_9924;
									obj_t BgL_tail1721z00_9925;

									BgL_l1718z00_9924 = BgL_g1723z00_9922;
									BgL_tail1721z00_9925 = BgL_head1720z00_9921;
								BgL_zc3z04anonymousza33005ze3z87_9923:
									if (NULLP(BgL_l1718z00_9924))
										{	/* SawBbv/bbv-types.scm 695 */
											BgL_arg3003z00_9919 = BgL_head1720z00_9921;
										}
									else
										{	/* SawBbv/bbv-types.scm 695 */
											obj_t BgL_newtail1722z00_9926;

											{	/* SawBbv/bbv-types.scm 695 */
												obj_t BgL_arg3009z00_9927;

												{	/* SawBbv/bbv-types.scm 695 */
													obj_t BgL_arg3011z00_9928;

													BgL_arg3011z00_9928 =
														CAR(((obj_t) BgL_l1718z00_9924));
													BgL_arg3009z00_9927 =
														BGl_lblze71ze7zzsaw_bbvzd2typeszd2
														(BgL_arg3011z00_9928);
												}
												BgL_newtail1722z00_9926 =
													MAKE_YOUNG_PAIR(BgL_arg3009z00_9927, BNIL);
											}
											SET_CDR(BgL_tail1721z00_9925, BgL_newtail1722z00_9926);
											{	/* SawBbv/bbv-types.scm 695 */
												obj_t BgL_arg3008z00_9929;

												BgL_arg3008z00_9929 = CDR(((obj_t) BgL_l1718z00_9924));
												{
													obj_t BgL_tail1721z00_15686;
													obj_t BgL_l1718z00_15685;

													BgL_l1718z00_15685 = BgL_arg3008z00_9929;
													BgL_tail1721z00_15686 = BgL_newtail1722z00_9926;
													BgL_tail1721z00_9925 = BgL_tail1721z00_15686;
													BgL_l1718z00_9924 = BgL_l1718z00_15685;
													goto BgL_zc3z04anonymousza33005ze3z87_9923;
												}
											}
										}
								}
							}
						}
				}
				bgl_display_obj(BgL_arg3003z00_9919, BgL_pz00_8840);
			}
			{	/* SawBbv/bbv-types.scm 695 */
				obj_t BgL_tmpz00_15688;

				BgL_tmpz00_15688 = ((obj_t) BgL_pz00_8840);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_15688);
			}
			{	/* SawBbv/bbv-types.scm 696 */
				long BgL_arg3015z00_9930;

				BgL_arg3015z00_9930 = ((long) CINT(BgL_mz00_8841) + 1L);
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_8840,
					(int) (BgL_arg3015z00_9930));
			}
			{	/* SawBbv/bbv-types.scm 697 */
				obj_t BgL_tmpz00_15695;

				BgL_tmpz00_15695 = ((obj_t) BgL_pz00_8840);
				bgl_display_string(BGl_string3890z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_15695);
			}
			{	/* SawBbv/bbv-types.scm 697 */
				obj_t BgL_arg3016z00_9931;

				{	/* SawBbv/bbv-types.scm 697 */
					obj_t BgL_l1725z00_9932;

					BgL_l1725z00_9932 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_oz00_8839))))->BgL_succsz00);
					if (NULLP(BgL_l1725z00_9932))
						{	/* SawBbv/bbv-types.scm 697 */
							BgL_arg3016z00_9931 = BNIL;
						}
					else
						{	/* SawBbv/bbv-types.scm 697 */
							obj_t BgL_head1727z00_9933;

							BgL_head1727z00_9933 =
								MAKE_YOUNG_PAIR(BGl_lblze71ze7zzsaw_bbvzd2typeszd2(CAR
									(BgL_l1725z00_9932)), BNIL);
							{	/* SawBbv/bbv-types.scm 697 */
								obj_t BgL_g1730z00_9934;

								BgL_g1730z00_9934 = CDR(BgL_l1725z00_9932);
								{
									obj_t BgL_l1725z00_9936;
									obj_t BgL_tail1728z00_9937;

									BgL_l1725z00_9936 = BgL_g1730z00_9934;
									BgL_tail1728z00_9937 = BgL_head1727z00_9933;
								BgL_zc3z04anonymousza33018ze3z87_9935:
									if (NULLP(BgL_l1725z00_9936))
										{	/* SawBbv/bbv-types.scm 697 */
											BgL_arg3016z00_9931 = BgL_head1727z00_9933;
										}
									else
										{	/* SawBbv/bbv-types.scm 697 */
											obj_t BgL_newtail1729z00_9938;

											{	/* SawBbv/bbv-types.scm 697 */
												obj_t BgL_arg3022z00_9939;

												{	/* SawBbv/bbv-types.scm 697 */
													obj_t BgL_arg3023z00_9940;

													BgL_arg3023z00_9940 =
														CAR(((obj_t) BgL_l1725z00_9936));
													BgL_arg3022z00_9939 =
														BGl_lblze71ze7zzsaw_bbvzd2typeszd2
														(BgL_arg3023z00_9940);
												}
												BgL_newtail1729z00_9938 =
													MAKE_YOUNG_PAIR(BgL_arg3022z00_9939, BNIL);
											}
											SET_CDR(BgL_tail1728z00_9937, BgL_newtail1729z00_9938);
											{	/* SawBbv/bbv-types.scm 697 */
												obj_t BgL_arg3020z00_9941;

												BgL_arg3020z00_9941 = CDR(((obj_t) BgL_l1725z00_9936));
												{
													obj_t BgL_tail1728z00_15717;
													obj_t BgL_l1725z00_15716;

													BgL_l1725z00_15716 = BgL_arg3020z00_9941;
													BgL_tail1728z00_15717 = BgL_newtail1729z00_9938;
													BgL_tail1728z00_9937 = BgL_tail1728z00_15717;
													BgL_l1725z00_9936 = BgL_l1725z00_15716;
													goto BgL_zc3z04anonymousza33018ze3z87_9935;
												}
											}
										}
								}
							}
						}
				}
				bgl_display_obj(BgL_arg3016z00_9931, BgL_pz00_8840);
			}
			{	/* SawBbv/bbv-types.scm 697 */
				obj_t BgL_tmpz00_15719;

				BgL_tmpz00_15719 = ((obj_t) BgL_pz00_8840);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_15719);
			}
			{	/* SawBbv/bbv-types.scm 698 */
				long BgL_arg3026z00_9942;

				BgL_arg3026z00_9942 = ((long) CINT(BgL_mz00_8841) + 1L);
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_8840,
					(int) (BgL_arg3026z00_9942));
			}
			{	/* SawBbv/bbv-types.scm 699 */
				obj_t BgL_tmpz00_15726;

				BgL_tmpz00_15726 = ((obj_t) BgL_pz00_8840);
				bgl_display_string(BGl_string3891z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_15726);
			}
			{	/* SawBbv/bbv-types.scm 699 */
				obj_t BgL_arg3027z00_9943;

				{	/* SawBbv/bbv-types.scm 699 */
					BgL_bbvzd2ctxzd2_bglt BgL_arg3028z00_9944;

					{
						BgL_blocksz00_bglt BgL_auxz00_15729;

						{
							obj_t BgL_auxz00_15730;

							{	/* SawBbv/bbv-types.scm 699 */
								BgL_objectz00_bglt BgL_tmpz00_15731;

								BgL_tmpz00_15731 =
									((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8839));
								BgL_auxz00_15730 = BGL_OBJECT_WIDENING(BgL_tmpz00_15731);
							}
							BgL_auxz00_15729 = ((BgL_blocksz00_bglt) BgL_auxz00_15730);
						}
						BgL_arg3028z00_9944 =
							(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_15729))->BgL_ctxz00);
					}
					BgL_arg3027z00_9943 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_arg3028z00_9944));
				}
				bgl_display_obj(BgL_arg3027z00_9943, BgL_pz00_8840);
			}
			{	/* SawBbv/bbv-types.scm 699 */
				obj_t BgL_tmpz00_15740;

				BgL_tmpz00_15740 = ((obj_t) BgL_pz00_8840);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_15740);
			}
			if (CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
				{	/* SawBbv/bbv-types.scm 700 */
					{	/* SawBbv/bbv-types.scm 701 */
						long BgL_arg3029z00_9945;

						BgL_arg3029z00_9945 = ((long) CINT(BgL_mz00_8841) + 1L);
						BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_8840,
							(int) (BgL_arg3029z00_9945));
					}
					{	/* SawBbv/bbv-types.scm 702 */
						obj_t BgL_tmpz00_15749;

						BgL_tmpz00_15749 = ((obj_t) BgL_pz00_8840);
						bgl_display_string(BGl_string3892z00zzsaw_bbvzd2typeszd2,
							BgL_tmpz00_15749);
					}
					{	/* SawBbv/bbv-types.scm 702 */
						long BgL_arg3030z00_9946;

						{
							BgL_blocksz00_bglt BgL_auxz00_15752;

							{
								obj_t BgL_auxz00_15753;

								{	/* SawBbv/bbv-types.scm 702 */
									BgL_objectz00_bglt BgL_tmpz00_15754;

									BgL_tmpz00_15754 =
										((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8839));
									BgL_auxz00_15753 = BGL_OBJECT_WIDENING(BgL_tmpz00_15754);
								}
								BgL_auxz00_15752 = ((BgL_blocksz00_bglt) BgL_auxz00_15753);
							}
							BgL_arg3030z00_9946 =
								(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_15752))->
								BgL_gccntz00);
						}
						bgl_display_obj(BINT(BgL_arg3030z00_9946), BgL_pz00_8840);
					}
					{	/* SawBbv/bbv-types.scm 702 */
						obj_t BgL_tmpz00_15762;

						BgL_tmpz00_15762 = ((obj_t) BgL_pz00_8840);
						bgl_display_char(((unsigned char) 10), BgL_tmpz00_15762);
					}
					{	/* SawBbv/bbv-types.scm 703 */
						long BgL_arg3031z00_9947;

						BgL_arg3031z00_9947 = ((long) CINT(BgL_mz00_8841) + 1L);
						BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_8840,
							(int) (BgL_arg3031z00_9947));
					}
					{	/* SawBbv/bbv-types.scm 704 */
						obj_t BgL_tmpz00_15769;

						BgL_tmpz00_15769 = ((obj_t) BgL_pz00_8840);
						bgl_display_string(BGl_string3893z00zzsaw_bbvzd2typeszd2,
							BgL_tmpz00_15769);
					}
					{	/* SawBbv/bbv-types.scm 704 */
						bool_t BgL_arg3034z00_9948;

						{
							BgL_blocksz00_bglt BgL_auxz00_15772;

							{
								obj_t BgL_auxz00_15773;

								{	/* SawBbv/bbv-types.scm 704 */
									BgL_objectz00_bglt BgL_tmpz00_15774;

									BgL_tmpz00_15774 =
										((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8839));
									BgL_auxz00_15773 = BGL_OBJECT_WIDENING(BgL_tmpz00_15774);
								}
								BgL_auxz00_15772 = ((BgL_blocksz00_bglt) BgL_auxz00_15773);
							}
							BgL_arg3034z00_9948 =
								(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_15772))->
								BgL_asleepz00);
						}
						bgl_display_obj(BBOOL(BgL_arg3034z00_9948), BgL_pz00_8840);
					}
					{	/* SawBbv/bbv-types.scm 704 */
						obj_t BgL_tmpz00_15782;

						BgL_tmpz00_15782 = ((obj_t) BgL_pz00_8840);
						bgl_display_char(((unsigned char) 10), BgL_tmpz00_15782);
				}}
			else
				{	/* SawBbv/bbv-types.scm 700 */
					BFALSE;
				}
			{	/* SawBbv/bbv-types.scm 705 */
				long BgL_arg3042z00_9949;

				BgL_arg3042z00_9949 = ((long) CINT(BgL_mz00_8841) + 1L);
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_8840,
					(int) (BgL_arg3042z00_9949));
			}
			{	/* SawBbv/bbv-types.scm 706 */
				obj_t BgL_arg3043z00_9950;
				long BgL_arg3046z00_9951;

				BgL_arg3043z00_9950 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_oz00_8839))))->BgL_firstz00);
				BgL_arg3046z00_9951 = ((long) CINT(BgL_mz00_8841) + 1L);
				BGl_dumpza2za2zzsaw_defsz00(BgL_arg3043z00_9950, BgL_pz00_8840,
					(int) (BgL_arg3046z00_9951));
			}
			{	/* SawBbv/bbv-types.scm 707 */
				obj_t BgL_tmpz00_15796;

				BgL_tmpz00_15796 = ((obj_t) BgL_pz00_8840);
				return
					bgl_display_string(BGl_string3894z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_15796);
			}
		}

	}



/* lbl~1 */
	obj_t BGl_lblze71ze7zzsaw_bbvzd2typeszd2(obj_t BgL_nz00_3857)
	{
		{	/* SawBbv/bbv-types.scm 680 */
			{	/* SawBbv/bbv-types.scm 680 */
				bool_t BgL_test4592z00_15799;

				{	/* SawBbv/bbv-types.scm 680 */
					obj_t BgL_classz00_6799;

					BgL_classz00_6799 = BGl_blockz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_nz00_3857))
						{	/* SawBbv/bbv-types.scm 680 */
							BgL_objectz00_bglt BgL_arg1858z00_6801;

							BgL_arg1858z00_6801 = (BgL_objectz00_bglt) (BgL_nz00_3857);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv-types.scm 680 */
									long BgL_idxz00_6807;

									BgL_idxz00_6807 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6801);
									BgL_test4592z00_15799 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_6807 + 1L)) == BgL_classz00_6799);
								}
							else
								{	/* SawBbv/bbv-types.scm 680 */
									bool_t BgL_res3667z00_6832;

									{	/* SawBbv/bbv-types.scm 680 */
										obj_t BgL_oclassz00_6815;

										{	/* SawBbv/bbv-types.scm 680 */
											obj_t BgL_arg1866z00_6823;
											long BgL_arg1867z00_6824;

											BgL_arg1866z00_6823 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawBbv/bbv-types.scm 680 */
												long BgL_arg1869z00_6825;

												BgL_arg1869z00_6825 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6801);
												BgL_arg1867z00_6824 =
													(BgL_arg1869z00_6825 - OBJECT_TYPE);
											}
											BgL_oclassz00_6815 =
												VECTOR_REF(BgL_arg1866z00_6823, BgL_arg1867z00_6824);
										}
										{	/* SawBbv/bbv-types.scm 680 */
											bool_t BgL__ortest_1115z00_6816;

											BgL__ortest_1115z00_6816 =
												(BgL_classz00_6799 == BgL_oclassz00_6815);
											if (BgL__ortest_1115z00_6816)
												{	/* SawBbv/bbv-types.scm 680 */
													BgL_res3667z00_6832 = BgL__ortest_1115z00_6816;
												}
											else
												{	/* SawBbv/bbv-types.scm 680 */
													long BgL_odepthz00_6817;

													{	/* SawBbv/bbv-types.scm 680 */
														obj_t BgL_arg1855z00_6818;

														BgL_arg1855z00_6818 = (BgL_oclassz00_6815);
														BgL_odepthz00_6817 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_6818);
													}
													if ((1L < BgL_odepthz00_6817))
														{	/* SawBbv/bbv-types.scm 680 */
															obj_t BgL_arg1853z00_6820;

															{	/* SawBbv/bbv-types.scm 680 */
																obj_t BgL_arg1854z00_6821;

																BgL_arg1854z00_6821 = (BgL_oclassz00_6815);
																BgL_arg1853z00_6820 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_6821,
																	1L);
															}
															BgL_res3667z00_6832 =
																(BgL_arg1853z00_6820 == BgL_classz00_6799);
														}
													else
														{	/* SawBbv/bbv-types.scm 680 */
															BgL_res3667z00_6832 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test4592z00_15799 = BgL_res3667z00_6832;
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 680 */
							BgL_test4592z00_15799 = ((bool_t) 0);
						}
				}
				if (BgL_test4592z00_15799)
					{	/* SawBbv/bbv-types.scm 680 */
						return
							BINT(
							(((BgL_blockz00_bglt) COBJECT(
										((BgL_blockz00_bglt) BgL_nz00_3857)))->BgL_labelz00));
					}
				else
					{	/* SawBbv/bbv-types.scm 680 */
						BGL_TAIL return bgl_typeof(BgL_nz00_3857);
					}
			}
		}

	}



/* &dump-blockV1826 */
	obj_t BGl_z62dumpzd2blockV1826zb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8842,
		obj_t BgL_oz00_8843, obj_t BgL_pz00_8844, obj_t BgL_mz00_8845)
	{
		{	/* SawBbv/bbv-types.scm 657 */
			{	/* SawBbv/bbv-types.scm 663 */
				obj_t BgL_tmpz00_15826;

				BgL_tmpz00_15826 = ((obj_t) BgL_pz00_8844);
				bgl_display_string(BGl_string3895z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_15826);
			}
			{	/* SawBbv/bbv-types.scm 663 */
				int BgL_arg2952z00_9953;

				BgL_arg2952z00_9953 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_oz00_8843))))->BgL_labelz00);
				bgl_display_obj(BINT(BgL_arg2952z00_9953), BgL_pz00_8844);
			}
			{	/* SawBbv/bbv-types.scm 663 */
				obj_t BgL_tmpz00_15834;

				BgL_tmpz00_15834 = ((obj_t) BgL_pz00_8844);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_15834);
			}
			{	/* SawBbv/bbv-types.scm 664 */
				long BgL_arg2953z00_9954;

				BgL_arg2953z00_9954 = ((long) CINT(BgL_mz00_8845) + 1L);
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_8844,
					(int) (BgL_arg2953z00_9954));
			}
			{	/* SawBbv/bbv-types.scm 665 */
				obj_t BgL_tmpz00_15841;

				BgL_tmpz00_15841 = ((obj_t) BgL_pz00_8844);
				bgl_display_string(BGl_string3888z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_15841);
			}
			{	/* SawBbv/bbv-types.scm 665 */
				obj_t BgL_arg2954z00_9955;

				{
					BgL_blockvz00_bglt BgL_auxz00_15844;

					{
						obj_t BgL_auxz00_15845;

						{	/* SawBbv/bbv-types.scm 665 */
							BgL_objectz00_bglt BgL_tmpz00_15846;

							BgL_tmpz00_15846 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_8843));
							BgL_auxz00_15845 = BGL_OBJECT_WIDENING(BgL_tmpz00_15846);
						}
						BgL_auxz00_15844 = ((BgL_blockvz00_bglt) BgL_auxz00_15845);
					}
					BgL_arg2954z00_9955 =
						(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_15844))->BgL_mergez00);
				}
				bgl_display_obj(BgL_arg2954z00_9955, BgL_pz00_8844);
			}
			{	/* SawBbv/bbv-types.scm 665 */
				obj_t BgL_tmpz00_15853;

				BgL_tmpz00_15853 = ((obj_t) BgL_pz00_8844);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_15853);
			}
			{	/* SawBbv/bbv-types.scm 666 */
				long BgL_arg2957z00_9956;

				BgL_arg2957z00_9956 = ((long) CINT(BgL_mz00_8845) + 1L);
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_8844,
					(int) (BgL_arg2957z00_9956));
			}
			{	/* SawBbv/bbv-types.scm 667 */
				obj_t BgL_tmpz00_15860;

				BgL_tmpz00_15860 = ((obj_t) BgL_pz00_8844);
				bgl_display_string(BGl_string3889z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_15860);
			}
			{	/* SawBbv/bbv-types.scm 667 */
				obj_t BgL_arg2958z00_9957;

				{	/* SawBbv/bbv-types.scm 667 */
					obj_t BgL_l1701z00_9958;

					BgL_l1701z00_9958 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_oz00_8843))))->BgL_predsz00);
					if (NULLP(BgL_l1701z00_9958))
						{	/* SawBbv/bbv-types.scm 667 */
							BgL_arg2958z00_9957 = BNIL;
						}
					else
						{	/* SawBbv/bbv-types.scm 667 */
							obj_t BgL_head1703z00_9959;

							BgL_head1703z00_9959 =
								MAKE_YOUNG_PAIR(BGl_lblze70ze7zzsaw_bbvzd2typeszd2(CAR
									(BgL_l1701z00_9958)), BNIL);
							{	/* SawBbv/bbv-types.scm 667 */
								obj_t BgL_g1706z00_9960;

								BgL_g1706z00_9960 = CDR(BgL_l1701z00_9958);
								{
									obj_t BgL_l1701z00_9962;
									obj_t BgL_tail1704z00_9963;

									BgL_l1701z00_9962 = BgL_g1706z00_9960;
									BgL_tail1704z00_9963 = BgL_head1703z00_9959;
								BgL_zc3z04anonymousza32960ze3z87_9961:
									if (NULLP(BgL_l1701z00_9962))
										{	/* SawBbv/bbv-types.scm 667 */
											BgL_arg2958z00_9957 = BgL_head1703z00_9959;
										}
									else
										{	/* SawBbv/bbv-types.scm 667 */
											obj_t BgL_newtail1705z00_9964;

											{	/* SawBbv/bbv-types.scm 667 */
												obj_t BgL_arg2965z00_9965;

												{	/* SawBbv/bbv-types.scm 667 */
													obj_t BgL_arg2966z00_9966;

													BgL_arg2966z00_9966 =
														CAR(((obj_t) BgL_l1701z00_9962));
													BgL_arg2965z00_9965 =
														BGl_lblze70ze7zzsaw_bbvzd2typeszd2
														(BgL_arg2966z00_9966);
												}
												BgL_newtail1705z00_9964 =
													MAKE_YOUNG_PAIR(BgL_arg2965z00_9965, BNIL);
											}
											SET_CDR(BgL_tail1704z00_9963, BgL_newtail1705z00_9964);
											{	/* SawBbv/bbv-types.scm 667 */
												obj_t BgL_arg2962z00_9967;

												BgL_arg2962z00_9967 = CDR(((obj_t) BgL_l1701z00_9962));
												{
													obj_t BgL_tail1704z00_15882;
													obj_t BgL_l1701z00_15881;

													BgL_l1701z00_15881 = BgL_arg2962z00_9967;
													BgL_tail1704z00_15882 = BgL_newtail1705z00_9964;
													BgL_tail1704z00_9963 = BgL_tail1704z00_15882;
													BgL_l1701z00_9962 = BgL_l1701z00_15881;
													goto BgL_zc3z04anonymousza32960ze3z87_9961;
												}
											}
										}
								}
							}
						}
				}
				bgl_display_obj(BgL_arg2958z00_9957, BgL_pz00_8844);
			}
			{	/* SawBbv/bbv-types.scm 667 */
				obj_t BgL_tmpz00_15884;

				BgL_tmpz00_15884 = ((obj_t) BgL_pz00_8844);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_15884);
			}
			{	/* SawBbv/bbv-types.scm 668 */
				long BgL_arg2970z00_9968;

				BgL_arg2970z00_9968 = ((long) CINT(BgL_mz00_8845) + 1L);
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_8844,
					(int) (BgL_arg2970z00_9968));
			}
			{	/* SawBbv/bbv-types.scm 669 */
				obj_t BgL_tmpz00_15891;

				BgL_tmpz00_15891 = ((obj_t) BgL_pz00_8844);
				bgl_display_string(BGl_string3890z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_15891);
			}
			{	/* SawBbv/bbv-types.scm 669 */
				obj_t BgL_arg2971z00_9969;

				{	/* SawBbv/bbv-types.scm 669 */
					obj_t BgL_l1708z00_9970;

					BgL_l1708z00_9970 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_oz00_8843))))->BgL_succsz00);
					if (NULLP(BgL_l1708z00_9970))
						{	/* SawBbv/bbv-types.scm 669 */
							BgL_arg2971z00_9969 = BNIL;
						}
					else
						{	/* SawBbv/bbv-types.scm 669 */
							obj_t BgL_head1710z00_9971;

							BgL_head1710z00_9971 =
								MAKE_YOUNG_PAIR(BGl_lblze70ze7zzsaw_bbvzd2typeszd2(CAR
									(BgL_l1708z00_9970)), BNIL);
							{	/* SawBbv/bbv-types.scm 669 */
								obj_t BgL_g1713z00_9972;

								BgL_g1713z00_9972 = CDR(BgL_l1708z00_9970);
								{
									obj_t BgL_l1708z00_9974;
									obj_t BgL_tail1711z00_9975;

									BgL_l1708z00_9974 = BgL_g1713z00_9972;
									BgL_tail1711z00_9975 = BgL_head1710z00_9971;
								BgL_zc3z04anonymousza32973ze3z87_9973:
									if (NULLP(BgL_l1708z00_9974))
										{	/* SawBbv/bbv-types.scm 669 */
											BgL_arg2971z00_9969 = BgL_head1710z00_9971;
										}
									else
										{	/* SawBbv/bbv-types.scm 669 */
											obj_t BgL_newtail1712z00_9976;

											{	/* SawBbv/bbv-types.scm 669 */
												obj_t BgL_arg2976z00_9977;

												{	/* SawBbv/bbv-types.scm 669 */
													obj_t BgL_arg2977z00_9978;

													BgL_arg2977z00_9978 =
														CAR(((obj_t) BgL_l1708z00_9974));
													BgL_arg2976z00_9977 =
														BGl_lblze70ze7zzsaw_bbvzd2typeszd2
														(BgL_arg2977z00_9978);
												}
												BgL_newtail1712z00_9976 =
													MAKE_YOUNG_PAIR(BgL_arg2976z00_9977, BNIL);
											}
											SET_CDR(BgL_tail1711z00_9975, BgL_newtail1712z00_9976);
											{	/* SawBbv/bbv-types.scm 669 */
												obj_t BgL_arg2975z00_9979;

												BgL_arg2975z00_9979 = CDR(((obj_t) BgL_l1708z00_9974));
												{
													obj_t BgL_tail1711z00_15913;
													obj_t BgL_l1708z00_15912;

													BgL_l1708z00_15912 = BgL_arg2975z00_9979;
													BgL_tail1711z00_15913 = BgL_newtail1712z00_9976;
													BgL_tail1711z00_9975 = BgL_tail1711z00_15913;
													BgL_l1708z00_9974 = BgL_l1708z00_15912;
													goto BgL_zc3z04anonymousza32973ze3z87_9973;
												}
											}
										}
								}
							}
						}
				}
				bgl_display_obj(BgL_arg2971z00_9969, BgL_pz00_8844);
			}
			{	/* SawBbv/bbv-types.scm 669 */
				obj_t BgL_tmpz00_15915;

				BgL_tmpz00_15915 = ((obj_t) BgL_pz00_8844);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_15915);
			}
			{	/* SawBbv/bbv-types.scm 670 */
				long BgL_arg2980z00_9980;

				BgL_arg2980z00_9980 = ((long) CINT(BgL_mz00_8845) + 1L);
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_8844,
					(int) (BgL_arg2980z00_9980));
			}
			{	/* SawBbv/bbv-types.scm 671 */
				obj_t BgL_arg2981z00_9981;
				long BgL_arg2982z00_9982;

				BgL_arg2981z00_9981 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_oz00_8843))))->BgL_firstz00);
				BgL_arg2982z00_9982 = ((long) CINT(BgL_mz00_8845) + 1L);
				BGl_dumpza2za2zzsaw_defsz00(BgL_arg2981z00_9981, BgL_pz00_8844,
					(int) (BgL_arg2982z00_9982));
			}
			{	/* SawBbv/bbv-types.scm 672 */
				obj_t BgL_tmpz00_15929;

				BgL_tmpz00_15929 = ((obj_t) BgL_pz00_8844);
				return
					bgl_display_string(BGl_string3894z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_15929);
			}
		}

	}



/* lbl~0 */
	obj_t BGl_lblze70ze7zzsaw_bbvzd2typeszd2(obj_t BgL_nz00_3783)
	{
		{	/* SawBbv/bbv-types.scm 660 */
			{	/* SawBbv/bbv-types.scm 660 */
				bool_t BgL_test4601z00_15932;

				{	/* SawBbv/bbv-types.scm 660 */
					obj_t BgL_classz00_6734;

					BgL_classz00_6734 = BGl_blockz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_nz00_3783))
						{	/* SawBbv/bbv-types.scm 660 */
							BgL_objectz00_bglt BgL_arg1858z00_6736;

							BgL_arg1858z00_6736 = (BgL_objectz00_bglt) (BgL_nz00_3783);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv-types.scm 660 */
									long BgL_idxz00_6742;

									BgL_idxz00_6742 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6736);
									BgL_test4601z00_15932 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_6742 + 1L)) == BgL_classz00_6734);
								}
							else
								{	/* SawBbv/bbv-types.scm 660 */
									bool_t BgL_res3666z00_6767;

									{	/* SawBbv/bbv-types.scm 660 */
										obj_t BgL_oclassz00_6750;

										{	/* SawBbv/bbv-types.scm 660 */
											obj_t BgL_arg1866z00_6758;
											long BgL_arg1867z00_6759;

											BgL_arg1866z00_6758 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawBbv/bbv-types.scm 660 */
												long BgL_arg1869z00_6760;

												BgL_arg1869z00_6760 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6736);
												BgL_arg1867z00_6759 =
													(BgL_arg1869z00_6760 - OBJECT_TYPE);
											}
											BgL_oclassz00_6750 =
												VECTOR_REF(BgL_arg1866z00_6758, BgL_arg1867z00_6759);
										}
										{	/* SawBbv/bbv-types.scm 660 */
											bool_t BgL__ortest_1115z00_6751;

											BgL__ortest_1115z00_6751 =
												(BgL_classz00_6734 == BgL_oclassz00_6750);
											if (BgL__ortest_1115z00_6751)
												{	/* SawBbv/bbv-types.scm 660 */
													BgL_res3666z00_6767 = BgL__ortest_1115z00_6751;
												}
											else
												{	/* SawBbv/bbv-types.scm 660 */
													long BgL_odepthz00_6752;

													{	/* SawBbv/bbv-types.scm 660 */
														obj_t BgL_arg1855z00_6753;

														BgL_arg1855z00_6753 = (BgL_oclassz00_6750);
														BgL_odepthz00_6752 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_6753);
													}
													if ((1L < BgL_odepthz00_6752))
														{	/* SawBbv/bbv-types.scm 660 */
															obj_t BgL_arg1853z00_6755;

															{	/* SawBbv/bbv-types.scm 660 */
																obj_t BgL_arg1854z00_6756;

																BgL_arg1854z00_6756 = (BgL_oclassz00_6750);
																BgL_arg1853z00_6755 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_6756,
																	1L);
															}
															BgL_res3666z00_6767 =
																(BgL_arg1853z00_6755 == BgL_classz00_6734);
														}
													else
														{	/* SawBbv/bbv-types.scm 660 */
															BgL_res3666z00_6767 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test4601z00_15932 = BgL_res3666z00_6767;
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 660 */
							BgL_test4601z00_15932 = ((bool_t) 0);
						}
				}
				if (BgL_test4601z00_15932)
					{	/* SawBbv/bbv-types.scm 660 */
						return
							BINT(
							(((BgL_blockz00_bglt) COBJECT(
										((BgL_blockz00_bglt) BgL_nz00_3783)))->BgL_labelz00));
					}
				else
					{	/* SawBbv/bbv-types.scm 660 */
						BGL_TAIL return bgl_typeof(BgL_nz00_3783);
					}
			}
		}

	}



/* &dump-rtl_ins/bbv1824 */
	obj_t BGl_z62dumpzd2rtl_inszf2bbv1824z42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8846, obj_t BgL_oz00_8847, obj_t BgL_pz00_8848,
		obj_t BgL_mz00_8849)
	{
		{	/* SawBbv/bbv-types.scm 632 */
			{	/* SawBbv/bbv-types.scm 636 */
				obj_t BgL_zc3z04anonymousza32863ze3z87_9984;

				BgL_zc3z04anonymousza32863ze3z87_9984 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3z04anonymousza32863ze3ze5zzsaw_bbvzd2typeszd2, (int) (0L),
					(int) (4L));
				PROCEDURE_SET(BgL_zc3z04anonymousza32863ze3z87_9984, (int) (0L),
					BgL_pz00_8848);
				PROCEDURE_SET(BgL_zc3z04anonymousza32863ze3z87_9984, (int) (1L),
					((obj_t) ((BgL_rtl_insz00_bglt) BgL_oz00_8847)));
				PROCEDURE_SET(BgL_zc3z04anonymousza32863ze3z87_9984, (int) (2L),
					BgL_mz00_8849);
				PROCEDURE_SET(BgL_zc3z04anonymousza32863ze3z87_9984, (int) (3L),
					((obj_t) ((BgL_rtl_insz00_bglt) BgL_oz00_8847)));
				return
					BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_pz00_8848,
					BgL_zc3z04anonymousza32863ze3z87_9984);
			}
		}

	}



/* &<@anonymous:2863> */
	obj_t BGl_z62zc3z04anonymousza32863ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8850)
	{
		{	/* SawBbv/bbv-types.scm 635 */
			{	/* SawBbv/bbv-types.scm 636 */
				obj_t BgL_pz00_8851;
				BgL_rtl_insz00_bglt BgL_i1326z00_8852;
				obj_t BgL_mz00_8853;
				BgL_rtl_insz00_bglt BgL_oz00_8854;

				BgL_pz00_8851 = PROCEDURE_REF(BgL_envz00_8850, (int) (0L));
				BgL_i1326z00_8852 =
					((BgL_rtl_insz00_bglt) PROCEDURE_REF(BgL_envz00_8850, (int) (1L)));
				BgL_mz00_8853 = PROCEDURE_REF(BgL_envz00_8850, (int) (2L));
				BgL_oz00_8854 =
					((BgL_rtl_insz00_bglt) PROCEDURE_REF(BgL_envz00_8850, (int) (3L)));
				{	/* SawBbv/bbv-types.scm 636 */
					obj_t BgL_tmpz00_15985;

					BgL_tmpz00_15985 = ((obj_t) BgL_pz00_8851);
					bgl_display_string(BGl_string3896z00zzsaw_bbvzd2typeszd2,
						BgL_tmpz00_15985);
				}
				if (CBOOL(
						(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_i1326z00_8852)))->BgL_destz00)))
					{	/* SawBbv/bbv-types.scm 637 */
						{	/* SawBbv/bbv-types.scm 638 */
							obj_t BgL_tmpz00_15992;

							BgL_tmpz00_15992 = ((obj_t) BgL_pz00_8851);
							bgl_display_string(BGl_string3897z00zzsaw_bbvzd2typeszd2,
								BgL_tmpz00_15992);
						}
						{	/* SawBbv/bbv-types.scm 639 */
							obj_t BgL_arg2865z00_9985;

							BgL_arg2865z00_9985 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_i1326z00_8852)))->BgL_destz00);
							BGl_dumpz00zzsaw_defsz00(BgL_arg2865z00_9985, BgL_pz00_8851,
								CINT(BgL_mz00_8853));
						}
						{	/* SawBbv/bbv-types.scm 640 */
							obj_t BgL_tmpz00_15999;

							BgL_tmpz00_15999 = ((obj_t) BgL_pz00_8851);
							bgl_display_string(BGl_string3898z00zzsaw_bbvzd2typeszd2,
								BgL_tmpz00_15999);
						}
					}
				else
					{	/* SawBbv/bbv-types.scm 637 */
						BFALSE;
					}
				BGl_dumpzd2inszd2rhsz00zzsaw_defsz00(
					((BgL_rtl_insz00_bglt) BgL_oz00_8854), BgL_pz00_8851, BgL_mz00_8853);
				if (CBOOL(
						(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_i1326z00_8852)))->BgL_destz00)))
					{	/* SawBbv/bbv-types.scm 643 */
						obj_t BgL_tmpz00_16008;

						BgL_tmpz00_16008 = ((obj_t) BgL_pz00_8851);
						bgl_display_string(BGl_string3899z00zzsaw_bbvzd2typeszd2,
							BgL_tmpz00_16008);
					}
				else
					{	/* SawBbv/bbv-types.scm 642 */
						BFALSE;
					}
				{	/* SawBbv/bbv-types.scm 644 */
					obj_t BgL_tmpz00_16011;

					BgL_tmpz00_16011 = ((obj_t) BgL_pz00_8851);
					bgl_display_string(BGl_string3900z00zzsaw_bbvzd2typeszd2,
						BgL_tmpz00_16011);
				}
				{	/* SawBbv/bbv-types.scm 645 */
					BgL_bbvzd2ctxzd2_bglt BgL_arg2871z00_9986;
					obj_t BgL_arg2873z00_9987;

					{
						BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16014;

						{
							obj_t BgL_auxz00_16015;

							{	/* SawBbv/bbv-types.scm 645 */
								BgL_objectz00_bglt BgL_tmpz00_16016;

								BgL_tmpz00_16016 = ((BgL_objectz00_bglt) BgL_i1326z00_8852);
								BgL_auxz00_16015 = BGL_OBJECT_WIDENING(BgL_tmpz00_16016);
							}
							BgL_auxz00_16014 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16015);
						}
						BgL_arg2871z00_9986 =
							(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_16014))->
							BgL_ctxz00);
					}
					{
						BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16021;

						{
							obj_t BgL_auxz00_16022;

							{	/* SawBbv/bbv-types.scm 645 */
								BgL_objectz00_bglt BgL_tmpz00_16023;

								BgL_tmpz00_16023 = ((BgL_objectz00_bglt) BgL_i1326z00_8852);
								BgL_auxz00_16022 = BGL_OBJECT_WIDENING(BgL_tmpz00_16023);
							}
							BgL_auxz00_16021 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16022);
						}
						BgL_arg2873z00_9987 =
							(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_16021))->
							BgL_inz00);
					}
					BGl_dumpzd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_arg2871z00_9986,
						BgL_arg2873z00_9987, BgL_pz00_8851);
				}
				{	/* SawBbv/bbv-types.scm 646 */
					obj_t BgL_tmpz00_16029;

					BgL_tmpz00_16029 = ((obj_t) BgL_pz00_8851);
					bgl_display_string(BGl_string3901z00zzsaw_bbvzd2typeszd2,
						BgL_tmpz00_16029);
				}
				if (
					((long) CINT(BGl_za2bbvzd2verboseza2zd2zzsaw_bbvzd2configzd2) >= 2L))
					{	/* SawBbv/bbv-types.scm 647 */
						{	/* SawBbv/bbv-types.scm 648 */
							obj_t BgL_arg2879z00_9988;

							{	/* SawBbv/bbv-types.scm 648 */
								obj_t BgL_tmpz00_16035;

								BgL_tmpz00_16035 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_arg2879z00_9988 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_16035);
							}
							bgl_display_string(BGl_string3902z00zzsaw_bbvzd2typeszd2,
								BgL_arg2879z00_9988);
						}
						{	/* SawBbv/bbv-types.scm 649 */
							obj_t BgL_arg2887z00_9989;

							{	/* SawBbv/bbv-types.scm 649 */
								obj_t BgL_l1681z00_9990;

								{	/* SawBbv/bbv-types.scm 649 */
									obj_t BgL_arg2904z00_9991;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16039;

										{
											obj_t BgL_auxz00_16040;

											{	/* SawBbv/bbv-types.scm 649 */
												BgL_objectz00_bglt BgL_tmpz00_16041;

												BgL_tmpz00_16041 =
													((BgL_objectz00_bglt) BgL_i1326z00_8852);
												BgL_auxz00_16040 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_16041);
											}
											BgL_auxz00_16039 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16040);
										}
										BgL_arg2904z00_9991 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_16039))->
											BgL_defz00);
									}
									BgL_l1681z00_9990 =
										BGl_regsetzd2ze3listz31zzsaw_regsetz00(
										((BgL_regsetz00_bglt) BgL_arg2904z00_9991));
								}
								if (NULLP(BgL_l1681z00_9990))
									{	/* SawBbv/bbv-types.scm 649 */
										BgL_arg2887z00_9989 = BNIL;
									}
								else
									{	/* SawBbv/bbv-types.scm 649 */
										obj_t BgL_head1683z00_9992;

										BgL_head1683z00_9992 =
											MAKE_YOUNG_PAIR(BGl_shapez00zztools_shapez00(CAR
												(BgL_l1681z00_9990)), BNIL);
										{	/* SawBbv/bbv-types.scm 649 */
											obj_t BgL_g1686z00_9993;

											BgL_g1686z00_9993 = CDR(BgL_l1681z00_9990);
											{
												obj_t BgL_l1681z00_9995;
												obj_t BgL_tail1684z00_9996;

												BgL_l1681z00_9995 = BgL_g1686z00_9993;
												BgL_tail1684z00_9996 = BgL_head1683z00_9992;
											BgL_zc3z04anonymousza32896ze3z87_9994:
												if (NULLP(BgL_l1681z00_9995))
													{	/* SawBbv/bbv-types.scm 649 */
														BgL_arg2887z00_9989 = BgL_head1683z00_9992;
													}
												else
													{	/* SawBbv/bbv-types.scm 649 */
														obj_t BgL_newtail1685z00_9997;

														{	/* SawBbv/bbv-types.scm 649 */
															obj_t BgL_arg2899z00_9998;

															{	/* SawBbv/bbv-types.scm 649 */
																obj_t BgL_arg2900z00_9999;

																BgL_arg2900z00_9999 =
																	CAR(((obj_t) BgL_l1681z00_9995));
																BgL_arg2899z00_9998 =
																	BGl_shapez00zztools_shapez00
																	(BgL_arg2900z00_9999);
															}
															BgL_newtail1685z00_9997 =
																MAKE_YOUNG_PAIR(BgL_arg2899z00_9998, BNIL);
														}
														SET_CDR(BgL_tail1684z00_9996,
															BgL_newtail1685z00_9997);
														{	/* SawBbv/bbv-types.scm 649 */
															obj_t BgL_arg2898z00_10000;

															BgL_arg2898z00_10000 =
																CDR(((obj_t) BgL_l1681z00_9995));
															{
																obj_t BgL_tail1684z00_16064;
																obj_t BgL_l1681z00_16063;

																BgL_l1681z00_16063 = BgL_arg2898z00_10000;
																BgL_tail1684z00_16064 = BgL_newtail1685z00_9997;
																BgL_tail1684z00_9996 = BgL_tail1684z00_16064;
																BgL_l1681z00_9995 = BgL_l1681z00_16063;
																goto BgL_zc3z04anonymousza32896ze3z87_9994;
															}
														}
													}
											}
										}
									}
							}
							{	/* SawBbv/bbv-types.scm 649 */
								obj_t BgL_list2888z00_10001;

								{	/* SawBbv/bbv-types.scm 649 */
									obj_t BgL_arg2894z00_10002;

									BgL_arg2894z00_10002 =
										MAKE_YOUNG_PAIR(BgL_arg2887z00_9989, BNIL);
									BgL_list2888z00_10001 =
										MAKE_YOUNG_PAIR(BGl_string3903z00zzsaw_bbvzd2typeszd2,
										BgL_arg2894z00_10002);
								}
								BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2888z00_10001);
							}
						}
						{	/* SawBbv/bbv-types.scm 650 */
							obj_t BgL_arg2906z00_10003;

							{	/* SawBbv/bbv-types.scm 650 */
								obj_t BgL_l1687z00_10004;

								{	/* SawBbv/bbv-types.scm 650 */
									obj_t BgL_arg2917z00_10005;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16068;

										{
											obj_t BgL_auxz00_16069;

											{	/* SawBbv/bbv-types.scm 650 */
												BgL_objectz00_bglt BgL_tmpz00_16070;

												BgL_tmpz00_16070 =
													((BgL_objectz00_bglt) BgL_i1326z00_8852);
												BgL_auxz00_16069 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_16070);
											}
											BgL_auxz00_16068 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16069);
										}
										BgL_arg2917z00_10005 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_16068))->
											BgL_inz00);
									}
									BgL_l1687z00_10004 =
										BGl_regsetzd2ze3listz31zzsaw_regsetz00(
										((BgL_regsetz00_bglt) BgL_arg2917z00_10005));
								}
								if (NULLP(BgL_l1687z00_10004))
									{	/* SawBbv/bbv-types.scm 650 */
										BgL_arg2906z00_10003 = BNIL;
									}
								else
									{	/* SawBbv/bbv-types.scm 650 */
										obj_t BgL_head1689z00_10006;

										BgL_head1689z00_10006 =
											MAKE_YOUNG_PAIR(BGl_shapez00zztools_shapez00(CAR
												(BgL_l1687z00_10004)), BNIL);
										{	/* SawBbv/bbv-types.scm 650 */
											obj_t BgL_g1692z00_10007;

											BgL_g1692z00_10007 = CDR(BgL_l1687z00_10004);
											{
												obj_t BgL_l1687z00_10009;
												obj_t BgL_tail1690z00_10010;

												BgL_l1687z00_10009 = BgL_g1692z00_10007;
												BgL_tail1690z00_10010 = BgL_head1689z00_10006;
											BgL_zc3z04anonymousza32910ze3z87_10008:
												if (NULLP(BgL_l1687z00_10009))
													{	/* SawBbv/bbv-types.scm 650 */
														BgL_arg2906z00_10003 = BgL_head1689z00_10006;
													}
												else
													{	/* SawBbv/bbv-types.scm 650 */
														obj_t BgL_newtail1691z00_10011;

														{	/* SawBbv/bbv-types.scm 650 */
															obj_t BgL_arg2913z00_10012;

															{	/* SawBbv/bbv-types.scm 650 */
																obj_t BgL_arg2914z00_10013;

																BgL_arg2914z00_10013 =
																	CAR(((obj_t) BgL_l1687z00_10009));
																BgL_arg2913z00_10012 =
																	BGl_shapez00zztools_shapez00
																	(BgL_arg2914z00_10013);
															}
															BgL_newtail1691z00_10011 =
																MAKE_YOUNG_PAIR(BgL_arg2913z00_10012, BNIL);
														}
														SET_CDR(BgL_tail1690z00_10010,
															BgL_newtail1691z00_10011);
														{	/* SawBbv/bbv-types.scm 650 */
															obj_t BgL_arg2912z00_10014;

															BgL_arg2912z00_10014 =
																CDR(((obj_t) BgL_l1687z00_10009));
															{
																obj_t BgL_tail1690z00_16093;
																obj_t BgL_l1687z00_16092;

																BgL_l1687z00_16092 = BgL_arg2912z00_10014;
																BgL_tail1690z00_16093 =
																	BgL_newtail1691z00_10011;
																BgL_tail1690z00_10010 = BgL_tail1690z00_16093;
																BgL_l1687z00_10009 = BgL_l1687z00_16092;
																goto BgL_zc3z04anonymousza32910ze3z87_10008;
															}
														}
													}
											}
										}
									}
							}
							{	/* SawBbv/bbv-types.scm 650 */
								obj_t BgL_list2907z00_10015;

								{	/* SawBbv/bbv-types.scm 650 */
									obj_t BgL_arg2908z00_10016;

									BgL_arg2908z00_10016 =
										MAKE_YOUNG_PAIR(BgL_arg2906z00_10003, BNIL);
									BgL_list2907z00_10015 =
										MAKE_YOUNG_PAIR(BGl_string3904z00zzsaw_bbvzd2typeszd2,
										BgL_arg2908z00_10016);
								}
								BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2907z00_10015);
							}
						}
						{	/* SawBbv/bbv-types.scm 651 */
							obj_t BgL_arg2919z00_10017;

							{	/* SawBbv/bbv-types.scm 651 */
								obj_t BgL_l1693z00_10018;

								{	/* SawBbv/bbv-types.scm 651 */
									obj_t BgL_arg2930z00_10019;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_16097;

										{
											obj_t BgL_auxz00_16098;

											{	/* SawBbv/bbv-types.scm 651 */
												BgL_objectz00_bglt BgL_tmpz00_16099;

												BgL_tmpz00_16099 =
													((BgL_objectz00_bglt) BgL_i1326z00_8852);
												BgL_auxz00_16098 =
													BGL_OBJECT_WIDENING(BgL_tmpz00_16099);
											}
											BgL_auxz00_16097 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_16098);
										}
										BgL_arg2930z00_10019 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_16097))->
											BgL_outz00);
									}
									BgL_l1693z00_10018 =
										BGl_regsetzd2ze3listz31zzsaw_regsetz00(
										((BgL_regsetz00_bglt) BgL_arg2930z00_10019));
								}
								if (NULLP(BgL_l1693z00_10018))
									{	/* SawBbv/bbv-types.scm 651 */
										BgL_arg2919z00_10017 = BNIL;
									}
								else
									{	/* SawBbv/bbv-types.scm 651 */
										obj_t BgL_head1695z00_10020;

										BgL_head1695z00_10020 =
											MAKE_YOUNG_PAIR(BGl_shapez00zztools_shapez00(CAR
												(BgL_l1693z00_10018)), BNIL);
										{	/* SawBbv/bbv-types.scm 651 */
											obj_t BgL_g1698z00_10021;

											BgL_g1698z00_10021 = CDR(BgL_l1693z00_10018);
											{
												obj_t BgL_l1693z00_10023;
												obj_t BgL_tail1696z00_10024;

												BgL_l1693z00_10023 = BgL_g1698z00_10021;
												BgL_tail1696z00_10024 = BgL_head1695z00_10020;
											BgL_zc3z04anonymousza32923ze3z87_10022:
												if (NULLP(BgL_l1693z00_10023))
													{	/* SawBbv/bbv-types.scm 651 */
														BgL_arg2919z00_10017 = BgL_head1695z00_10020;
													}
												else
													{	/* SawBbv/bbv-types.scm 651 */
														obj_t BgL_newtail1697z00_10025;

														{	/* SawBbv/bbv-types.scm 651 */
															obj_t BgL_arg2926z00_10026;

															{	/* SawBbv/bbv-types.scm 651 */
																obj_t BgL_arg2927z00_10027;

																BgL_arg2927z00_10027 =
																	CAR(((obj_t) BgL_l1693z00_10023));
																BgL_arg2926z00_10026 =
																	BGl_shapez00zztools_shapez00
																	(BgL_arg2927z00_10027);
															}
															BgL_newtail1697z00_10025 =
																MAKE_YOUNG_PAIR(BgL_arg2926z00_10026, BNIL);
														}
														SET_CDR(BgL_tail1696z00_10024,
															BgL_newtail1697z00_10025);
														{	/* SawBbv/bbv-types.scm 651 */
															obj_t BgL_arg2925z00_10028;

															BgL_arg2925z00_10028 =
																CDR(((obj_t) BgL_l1693z00_10023));
															{
																obj_t BgL_tail1696z00_16122;
																obj_t BgL_l1693z00_16121;

																BgL_l1693z00_16121 = BgL_arg2925z00_10028;
																BgL_tail1696z00_16122 =
																	BgL_newtail1697z00_10025;
																BgL_tail1696z00_10024 = BgL_tail1696z00_16122;
																BgL_l1693z00_10023 = BgL_l1693z00_16121;
																goto BgL_zc3z04anonymousza32923ze3z87_10022;
															}
														}
													}
											}
										}
									}
							}
							{	/* SawBbv/bbv-types.scm 651 */
								obj_t BgL_list2920z00_10029;

								{	/* SawBbv/bbv-types.scm 651 */
									obj_t BgL_arg2921z00_10030;

									BgL_arg2921z00_10030 =
										MAKE_YOUNG_PAIR(BgL_arg2919z00_10017, BNIL);
									BgL_list2920z00_10029 =
										MAKE_YOUNG_PAIR(BGl_string3905z00zzsaw_bbvzd2typeszd2,
										BgL_arg2921z00_10030);
								}
								BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2920z00_10029);
							}
						}
						{	/* SawBbv/bbv-types.scm 652 */
							obj_t BgL_arg2937z00_10031;

							{	/* SawBbv/bbv-types.scm 652 */
								BgL_rtl_funz00_bglt BgL_arg2943z00_10032;

								BgL_arg2943z00_10032 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_i1326z00_8852)))->BgL_funz00);
								BgL_arg2937z00_10031 =
									bgl_typeof(((obj_t) BgL_arg2943z00_10032));
							}
							{	/* SawBbv/bbv-types.scm 652 */
								obj_t BgL_list2938z00_10033;

								{	/* SawBbv/bbv-types.scm 652 */
									obj_t BgL_arg2941z00_10034;

									BgL_arg2941z00_10034 =
										MAKE_YOUNG_PAIR(BgL_arg2937z00_10031, BNIL);
									BgL_list2938z00_10033 =
										MAKE_YOUNG_PAIR(BGl_string3900z00zzsaw_bbvzd2typeszd2,
										BgL_arg2941z00_10034);
								}
								return
									BGl_displayza2za2zz__r4_output_6_10_3z00
									(BgL_list2938z00_10033);
							}
						}
					}
				else
					{	/* SawBbv/bbv-types.scm 647 */
						return BFALSE;
					}
			}
		}

	}



/* &shape-bbv-ctx1822 */
	obj_t BGl_z62shapezd2bbvzd2ctx1822z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8855, obj_t BgL_oz00_8856)
	{
		{	/* SawBbv/bbv-types.scm 612 */
			{	/* SawBbv/bbv-types.scm 614 */
				obj_t BgL_v1680z00_10036;

				BgL_v1680z00_10036 = create_vector(2L);
				{	/* SawBbv/bbv-types.scm 614 */
					long BgL_arg2852z00_10037;

					BgL_arg2852z00_10037 =
						(((BgL_bbvzd2ctxzd2_bglt) COBJECT(
								((BgL_bbvzd2ctxzd2_bglt) BgL_oz00_8856)))->BgL_idz00);
					VECTOR_SET(BgL_v1680z00_10036, 0L, BINT(BgL_arg2852z00_10037));
				}
				{	/* SawBbv/bbv-types.scm 614 */
					obj_t BgL_arg2853z00_10038;

					{	/* SawBbv/bbv-types.scm 614 */
						obj_t BgL_l1674z00_10039;

						BgL_l1674z00_10039 =
							(((BgL_bbvzd2ctxzd2_bglt) COBJECT(
									((BgL_bbvzd2ctxzd2_bglt) BgL_oz00_8856)))->BgL_entriesz00);
						if (NULLP(BgL_l1674z00_10039))
							{	/* SawBbv/bbv-types.scm 614 */
								BgL_arg2853z00_10038 = BNIL;
							}
						else
							{	/* SawBbv/bbv-types.scm 614 */
								obj_t BgL_head1676z00_10040;

								BgL_head1676z00_10040 =
									MAKE_YOUNG_PAIR(BGl_shapez00zztools_shapez00(CAR
										(BgL_l1674z00_10039)), BNIL);
								{	/* SawBbv/bbv-types.scm 614 */
									obj_t BgL_g1679z00_10041;

									BgL_g1679z00_10041 = CDR(BgL_l1674z00_10039);
									{
										obj_t BgL_l1674z00_10043;
										obj_t BgL_tail1677z00_10044;

										BgL_l1674z00_10043 = BgL_g1679z00_10041;
										BgL_tail1677z00_10044 = BgL_head1676z00_10040;
									BgL_zc3z04anonymousza32855ze3z87_10042:
										if (NULLP(BgL_l1674z00_10043))
											{	/* SawBbv/bbv-types.scm 614 */
												BgL_arg2853z00_10038 = BgL_head1676z00_10040;
											}
										else
											{	/* SawBbv/bbv-types.scm 614 */
												obj_t BgL_newtail1678z00_10045;

												{	/* SawBbv/bbv-types.scm 614 */
													obj_t BgL_arg2858z00_10046;

													{	/* SawBbv/bbv-types.scm 614 */
														obj_t BgL_arg2859z00_10047;

														BgL_arg2859z00_10047 =
															CAR(((obj_t) BgL_l1674z00_10043));
														BgL_arg2858z00_10046 =
															BGl_shapez00zztools_shapez00
															(BgL_arg2859z00_10047);
													}
													BgL_newtail1678z00_10045 =
														MAKE_YOUNG_PAIR(BgL_arg2858z00_10046, BNIL);
												}
												SET_CDR(BgL_tail1677z00_10044,
													BgL_newtail1678z00_10045);
												{	/* SawBbv/bbv-types.scm 614 */
													obj_t BgL_arg2857z00_10048;

													BgL_arg2857z00_10048 =
														CDR(((obj_t) BgL_l1674z00_10043));
													{
														obj_t BgL_tail1677z00_16156;
														obj_t BgL_l1674z00_16155;

														BgL_l1674z00_16155 = BgL_arg2857z00_10048;
														BgL_tail1677z00_16156 = BgL_newtail1678z00_10045;
														BgL_tail1677z00_10044 = BgL_tail1677z00_16156;
														BgL_l1674z00_10043 = BgL_l1674z00_16155;
														goto BgL_zc3z04anonymousza32855ze3z87_10042;
													}
												}
											}
									}
								}
							}
					}
					VECTOR_SET(BgL_v1680z00_10036, 1L, BgL_arg2853z00_10038);
				}
				return BgL_v1680z00_10036;
			}
		}

	}



/* &shape-blockS1820 */
	obj_t BGl_z62shapezd2blockS1820zb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8857,
		obj_t BgL_oz00_8858)
	{
		{	/* SawBbv/bbv-types.scm 604 */
			{	/* SawBbv/bbv-types.scm 607 */
				obj_t BgL_zc3z04anonymousza32851ze3z87_10050;

				BgL_zc3z04anonymousza32851ze3z87_10050 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3z04anonymousza32851ze3ze5zzsaw_bbvzd2typeszd2, (int) (1L),
					(int) (1L));
				PROCEDURE_SET(BgL_zc3z04anonymousza32851ze3z87_10050, (int) (0L),
					((obj_t) ((BgL_blockz00_bglt) BgL_oz00_8858)));
				return
					BGl_callzd2withzd2outputzd2stringzd2zz__r4_ports_6_10_1z00
					(BgL_zc3z04anonymousza32851ze3z87_10050);
			}
		}

	}



/* &<@anonymous:2851> */
	obj_t BGl_z62zc3z04anonymousza32851ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8859, obj_t BgL_pz00_8861)
	{
		{	/* SawBbv/bbv-types.scm 606 */
			{	/* SawBbv/bbv-types.scm 607 */
				BgL_blockz00_bglt BgL_oz00_8860;

				BgL_oz00_8860 =
					((BgL_blockz00_bglt) PROCEDURE_REF(BgL_envz00_8859, (int) (0L)));
				return
					BGl_dumpz00zzsaw_defsz00(
					((obj_t) BgL_oz00_8860), BgL_pz00_8861, (int) (0L));
		}}

	}



/* &shape-block1818 */
	obj_t BGl_z62shapezd2block1818zb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_8862,
		obj_t BgL_oz00_8863)
	{
		{	/* SawBbv/bbv-types.scm 596 */
			{	/* SawBbv/bbv-types.scm 599 */
				obj_t BgL_zc3z04anonymousza32849ze3z87_10052;

				BgL_zc3z04anonymousza32849ze3z87_10052 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3z04anonymousza32849ze3ze5zzsaw_bbvzd2typeszd2, (int) (1L),
					(int) (1L));
				PROCEDURE_SET(BgL_zc3z04anonymousza32849ze3z87_10052, (int) (0L),
					((obj_t) ((BgL_blockz00_bglt) BgL_oz00_8863)));
				return
					BGl_callzd2withzd2outputzd2stringzd2zz__r4_ports_6_10_1z00
					(BgL_zc3z04anonymousza32849ze3z87_10052);
			}
		}

	}



/* &<@anonymous:2849> */
	obj_t BGl_z62zc3z04anonymousza32849ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8864, obj_t BgL_pz00_8866)
	{
		{	/* SawBbv/bbv-types.scm 598 */
			{	/* SawBbv/bbv-types.scm 599 */
				BgL_blockz00_bglt BgL_oz00_8865;

				BgL_oz00_8865 =
					((BgL_blockz00_bglt) PROCEDURE_REF(BgL_envz00_8864, (int) (0L)));
				return
					BGl_dumpz00zzsaw_defsz00(
					((obj_t) BgL_oz00_8865), BgL_pz00_8866, (int) (0L));
		}}

	}



/* &shape-rtl_ins/bbv1816 */
	obj_t BGl_z62shapezd2rtl_inszf2bbv1816z42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8867, obj_t BgL_oz00_8868)
	{
		{	/* SawBbv/bbv-types.scm 588 */
			{	/* SawBbv/bbv-types.scm 591 */
				obj_t BgL_zc3z04anonymousza32847ze3z87_10054;

				BgL_zc3z04anonymousza32847ze3z87_10054 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3z04anonymousza32847ze3ze5zzsaw_bbvzd2typeszd2, (int) (1L),
					(int) (1L));
				PROCEDURE_SET(BgL_zc3z04anonymousza32847ze3z87_10054, (int) (0L),
					((obj_t) ((BgL_rtl_insz00_bglt) BgL_oz00_8868)));
				return
					BGl_callzd2withzd2outputzd2stringzd2zz__r4_ports_6_10_1z00
					(BgL_zc3z04anonymousza32847ze3z87_10054);
			}
		}

	}



/* &<@anonymous:2847> */
	obj_t BGl_z62zc3z04anonymousza32847ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8869, obj_t BgL_pz00_8871)
	{
		{	/* SawBbv/bbv-types.scm 590 */
			{	/* SawBbv/bbv-types.scm 591 */
				BgL_rtl_insz00_bglt BgL_oz00_8870;

				BgL_oz00_8870 =
					((BgL_rtl_insz00_bglt) PROCEDURE_REF(BgL_envz00_8869, (int) (0L)));
				return
					BGl_dumpz00zzsaw_defsz00(
					((obj_t) BgL_oz00_8870), BgL_pz00_8871, (int) (0L));
		}}

	}



/* &shape-bbv-ctxentry1780 */
	obj_t BGl_z62shapezd2bbvzd2ctxentry1780z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8872, obj_t BgL_ez00_8873)
	{
		{	/* SawBbv/bbv-types.scm 181 */
			{	/* SawBbv/bbv-types.scm 183 */
				bool_t BgL_test4617z00_16200;

				if (
					(bgl_list_length(
							(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
										((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_8873)))->
								BgL_typesz00)) == 1L))
					{	/* SawBbv/bbv-types.scm 184 */
						bool_t BgL_test4620z00_16206;

						{	/* SawBbv/bbv-types.scm 184 */
							obj_t BgL_arg2839z00_10056;

							BgL_arg2839z00_10056 =
								CAR(
								(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
											((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_8873)))->
									BgL_typesz00));
							BgL_test4620z00_16206 =
								(BgL_arg2839z00_10056 == BGl_za2objza2z00zztype_cachez00);
						}
						if (BgL_test4620z00_16206)
							{	/* SawBbv/bbv-types.scm 184 */
								if (
									((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
													((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_8873)))->
											BgL_valuez00) == ((obj_t) CNST_TABLE_REF(2))))
									{	/* SawBbv/bbv-types.scm 185 */
										BgL_test4617z00_16200 =
											NULLP(
											(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
														((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_8873)))->
												BgL_aliasesz00));
									}
								else
									{	/* SawBbv/bbv-types.scm 185 */
										BgL_test4617z00_16200 = ((bool_t) 0);
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 184 */
								BgL_test4617z00_16200 = ((bool_t) 0);
							}
					}
				else
					{	/* SawBbv/bbv-types.scm 183 */
						BgL_test4617z00_16200 = ((bool_t) 0);
					}
				if (BgL_test4617z00_16200)
					{	/* SawBbv/bbv-types.scm 187 */
						BgL_rtl_regz00_bglt BgL_arg2780z00_10057;

						BgL_arg2780z00_10057 =
							(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
									((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_8873)))->BgL_regz00);
						return BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2780z00_10057));
					}
				else
					{	/* SawBbv/bbv-types.scm 188 */
						obj_t BgL_v1655z00_10058;

						BgL_v1655z00_10058 = create_vector(4L);
						{	/* SawBbv/bbv-types.scm 188 */
							obj_t BgL_arg2800z00_10059;

							{	/* SawBbv/bbv-types.scm 188 */
								BgL_rtl_regz00_bglt BgL_arg2802z00_10060;

								BgL_arg2802z00_10060 =
									(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
											((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_8873)))->
									BgL_regz00);
								BgL_arg2800z00_10059 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2802z00_10060));
							}
							VECTOR_SET(BgL_v1655z00_10058, 0L, BgL_arg2800z00_10059);
						}
						{	/* SawBbv/bbv-types.scm 190 */
							obj_t BgL_arg2803z00_10061;

							{	/* SawBbv/bbv-types.scm 190 */
								obj_t BgL_arg2804z00_10062;

								if (
									(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
												((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_8873)))->
										BgL_polarityz00))
									{	/* SawBbv/bbv-types.scm 191 */
										obj_t BgL_l1639z00_10063;

										BgL_l1639z00_10063 =
											(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
													((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_8873)))->
											BgL_typesz00);
										{	/* SawBbv/bbv-types.scm 191 */
											obj_t BgL_head1641z00_10064;

											BgL_head1641z00_10064 = MAKE_YOUNG_PAIR(BNIL, BNIL);
											{
												obj_t BgL_l1639z00_10066;
												obj_t BgL_tail1642z00_10067;

												BgL_l1639z00_10066 = BgL_l1639z00_10063;
												BgL_tail1642z00_10067 = BgL_head1641z00_10064;
											BgL_zc3z04anonymousza32808ze3z87_10065:
												if (NULLP(BgL_l1639z00_10066))
													{	/* SawBbv/bbv-types.scm 191 */
														BgL_arg2804z00_10062 = CDR(BgL_head1641z00_10064);
													}
												else
													{	/* SawBbv/bbv-types.scm 191 */
														obj_t BgL_newtail1643z00_10068;

														{	/* SawBbv/bbv-types.scm 191 */
															obj_t BgL_arg2811z00_10069;

															{	/* SawBbv/bbv-types.scm 191 */
																obj_t BgL_tz00_10070;

																BgL_tz00_10070 =
																	CAR(((obj_t) BgL_l1639z00_10066));
																{	/* SawBbv/bbv-types.scm 191 */
																	obj_t BgL_arg2812z00_10071;
																	long BgL_arg2813z00_10072;

																	BgL_arg2812z00_10071 =
																		BGl_shapez00zztools_shapez00
																		(BgL_tz00_10070);
																	BgL_arg2813z00_10072 =
																		(((BgL_bbvzd2ctxentryzd2_bglt)
																			COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																					BgL_ez00_8873)))->BgL_countz00);
																	{	/* SawBbv/bbv-types.scm 191 */
																		obj_t BgL_list2814z00_10073;

																		{	/* SawBbv/bbv-types.scm 191 */
																			obj_t BgL_arg2815z00_10074;

																			BgL_arg2815z00_10074 =
																				MAKE_YOUNG_PAIR(BINT
																				(BgL_arg2813z00_10072), BNIL);
																			BgL_list2814z00_10073 =
																				MAKE_YOUNG_PAIR(BgL_arg2812z00_10071,
																				BgL_arg2815z00_10074);
																		}
																		BgL_arg2811z00_10069 =
																			BGl_formatz00zz__r4_output_6_10_3z00
																			(BGl_string3906z00zzsaw_bbvzd2typeszd2,
																			BgL_list2814z00_10073);
															}}}
															BgL_newtail1643z00_10068 =
																MAKE_YOUNG_PAIR(BgL_arg2811z00_10069, BNIL);
														}
														SET_CDR(BgL_tail1642z00_10067,
															BgL_newtail1643z00_10068);
														{	/* SawBbv/bbv-types.scm 191 */
															obj_t BgL_arg2810z00_10075;

															BgL_arg2810z00_10075 =
																CDR(((obj_t) BgL_l1639z00_10066));
															{
																obj_t BgL_tail1642z00_16253;
																obj_t BgL_l1639z00_16252;

																BgL_l1639z00_16252 = BgL_arg2810z00_10075;
																BgL_tail1642z00_16253 =
																	BgL_newtail1643z00_10068;
																BgL_tail1642z00_10067 = BgL_tail1642z00_16253;
																BgL_l1639z00_10066 = BgL_l1639z00_16252;
																goto BgL_zc3z04anonymousza32808ze3z87_10065;
															}
														}
													}
											}
										}
									}
								else
									{	/* SawBbv/bbv-types.scm 192 */
										obj_t BgL_l1644z00_10076;

										BgL_l1644z00_10076 =
											(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
													((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_8873)))->
											BgL_typesz00);
										{	/* SawBbv/bbv-types.scm 192 */
											obj_t BgL_head1646z00_10077;

											BgL_head1646z00_10077 = MAKE_YOUNG_PAIR(BNIL, BNIL);
											{
												obj_t BgL_l1644z00_10079;
												obj_t BgL_tail1647z00_10080;

												BgL_l1644z00_10079 = BgL_l1644z00_10076;
												BgL_tail1647z00_10080 = BgL_head1646z00_10077;
											BgL_zc3z04anonymousza32817ze3z87_10078:
												if (NULLP(BgL_l1644z00_10079))
													{	/* SawBbv/bbv-types.scm 192 */
														BgL_arg2804z00_10062 = CDR(BgL_head1646z00_10077);
													}
												else
													{	/* SawBbv/bbv-types.scm 192 */
														obj_t BgL_newtail1648z00_10081;

														{	/* SawBbv/bbv-types.scm 192 */
															obj_t BgL_arg2820z00_10082;

															{	/* SawBbv/bbv-types.scm 192 */
																obj_t BgL_tz00_10083;

																BgL_tz00_10083 =
																	CAR(((obj_t) BgL_l1644z00_10079));
																{	/* SawBbv/bbv-types.scm 192 */
																	obj_t BgL_arg2821z00_10084;

																	BgL_arg2821z00_10084 =
																		BGl_shapez00zztools_shapez00
																		(BgL_tz00_10083);
																	{	/* SawBbv/bbv-types.scm 192 */
																		obj_t BgL_list2822z00_10085;

																		BgL_list2822z00_10085 =
																			MAKE_YOUNG_PAIR(BgL_arg2821z00_10084,
																			BNIL);
																		BgL_arg2820z00_10082 =
																			BGl_formatz00zz__r4_output_6_10_3z00
																			(BGl_string3907z00zzsaw_bbvzd2typeszd2,
																			BgL_list2822z00_10085);
																	}
																}
															}
															BgL_newtail1648z00_10081 =
																MAKE_YOUNG_PAIR(BgL_arg2820z00_10082, BNIL);
														}
														SET_CDR(BgL_tail1647z00_10080,
															BgL_newtail1648z00_10081);
														{	/* SawBbv/bbv-types.scm 192 */
															obj_t BgL_arg2819z00_10086;

															BgL_arg2819z00_10086 =
																CDR(((obj_t) BgL_l1644z00_10079));
															{
																obj_t BgL_tail1647z00_16270;
																obj_t BgL_l1644z00_16269;

																BgL_l1644z00_16269 = BgL_arg2819z00_10086;
																BgL_tail1647z00_16270 =
																	BgL_newtail1648z00_10081;
																BgL_tail1647z00_10080 = BgL_tail1647z00_16270;
																BgL_l1644z00_10079 = BgL_l1644z00_16269;
																goto BgL_zc3z04anonymousza32817ze3z87_10078;
															}
														}
													}
											}
										}
									}
								{	/* SawBbv/bbv-types.scm 189 */
									obj_t BgL_list2805z00_10087;

									BgL_list2805z00_10087 =
										MAKE_YOUNG_PAIR(BgL_arg2804z00_10062, BNIL);
									BgL_arg2803z00_10061 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string3908z00zzsaw_bbvzd2typeszd2,
										BgL_list2805z00_10087);
								}
							}
							VECTOR_SET(BgL_v1655z00_10058, 1L, BgL_arg2803z00_10061);
						}
						{	/* SawBbv/bbv-types.scm 193 */
							obj_t BgL_arg2823z00_10088;

							{	/* SawBbv/bbv-types.scm 193 */
								obj_t BgL_arg2824z00_10089;

								BgL_arg2824z00_10089 =
									BGl_shapez00zztools_shapez00(
									(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
												((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_8873)))->
										BgL_valuez00));
								{	/* SawBbv/bbv-types.scm 193 */
									obj_t BgL_list2825z00_10090;

									BgL_list2825z00_10090 =
										MAKE_YOUNG_PAIR(BgL_arg2824z00_10089, BNIL);
									BgL_arg2823z00_10088 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string3909z00zzsaw_bbvzd2typeszd2,
										BgL_list2825z00_10090);
								}
							}
							VECTOR_SET(BgL_v1655z00_10058, 2L, BgL_arg2823z00_10088);
						}
						{	/* SawBbv/bbv-types.scm 194 */
							obj_t BgL_arg2827z00_10091;

							{	/* SawBbv/bbv-types.scm 194 */
								obj_t BgL_l1649z00_10092;

								BgL_l1649z00_10092 =
									(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
											((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_8873)))->
									BgL_aliasesz00);
								if (NULLP(BgL_l1649z00_10092))
									{	/* SawBbv/bbv-types.scm 194 */
										BgL_arg2827z00_10091 = BNIL;
									}
								else
									{	/* SawBbv/bbv-types.scm 194 */
										obj_t BgL_head1651z00_10093;

										BgL_head1651z00_10093 =
											MAKE_YOUNG_PAIR(BGl_shapez00zztools_shapez00(CAR
												(BgL_l1649z00_10092)), BNIL);
										{	/* SawBbv/bbv-types.scm 194 */
											obj_t BgL_g1654z00_10094;

											BgL_g1654z00_10094 = CDR(BgL_l1649z00_10092);
											{
												obj_t BgL_l1649z00_10096;
												obj_t BgL_tail1652z00_10097;

												BgL_l1649z00_10096 = BgL_g1654z00_10094;
												BgL_tail1652z00_10097 = BgL_head1651z00_10093;
											BgL_zc3z04anonymousza32829ze3z87_10095:
												if (NULLP(BgL_l1649z00_10096))
													{	/* SawBbv/bbv-types.scm 194 */
														BgL_arg2827z00_10091 = BgL_head1651z00_10093;
													}
												else
													{	/* SawBbv/bbv-types.scm 194 */
														obj_t BgL_newtail1653z00_10098;

														{	/* SawBbv/bbv-types.scm 194 */
															obj_t BgL_arg2832z00_10099;

															{	/* SawBbv/bbv-types.scm 194 */
																obj_t BgL_arg2833z00_10100;

																BgL_arg2833z00_10100 =
																	CAR(((obj_t) BgL_l1649z00_10096));
																BgL_arg2832z00_10099 =
																	BGl_shapez00zztools_shapez00
																	(BgL_arg2833z00_10100);
															}
															BgL_newtail1653z00_10098 =
																MAKE_YOUNG_PAIR(BgL_arg2832z00_10099, BNIL);
														}
														SET_CDR(BgL_tail1652z00_10097,
															BgL_newtail1653z00_10098);
														{	/* SawBbv/bbv-types.scm 194 */
															obj_t BgL_arg2831z00_10101;

															BgL_arg2831z00_10101 =
																CDR(((obj_t) BgL_l1649z00_10096));
															{
																obj_t BgL_tail1652z00_16298;
																obj_t BgL_l1649z00_16297;

																BgL_l1649z00_16297 = BgL_arg2831z00_10101;
																BgL_tail1652z00_16298 =
																	BgL_newtail1653z00_10098;
																BgL_tail1652z00_10097 = BgL_tail1652z00_16298;
																BgL_l1649z00_10096 = BgL_l1649z00_16297;
																goto BgL_zc3z04anonymousza32829ze3z87_10095;
															}
														}
													}
											}
										}
									}
							}
							VECTOR_SET(BgL_v1655z00_10058, 3L, BgL_arg2827z00_10091);
						}
						return BgL_v1655z00_10058;
					}
			}
		}

	}



/* &object-print-blockS1778 */
	obj_t BGl_z62objectzd2printzd2blockS1778z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8874, obj_t BgL_oz00_8875, obj_t BgL_pz00_8876,
		obj_t BgL_procz00_8877)
	{
		{	/* SawBbv/bbv-types.scm 155 */
			return
				BGl_dumpz00zzsaw_defsz00(
				((obj_t)
					((BgL_blockz00_bglt) BgL_oz00_8875)), BgL_pz00_8876, (int) (0L));
		}

	}



/* &object-print-blockV1776 */
	obj_t BGl_z62objectzd2printzd2blockV1776z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_8878, obj_t BgL_oz00_8879, obj_t BgL_pz00_8880,
		obj_t BgL_procz00_8881)
	{
		{	/* SawBbv/bbv-types.scm 149 */
			return
				BGl_dumpz00zzsaw_defsz00(
				((obj_t)
					((BgL_blockz00_bglt) BgL_oz00_8879)), BgL_pz00_8880, (int) (0L));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2typeszd2(void)
	{
		{	/* SawBbv/bbv-types.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string3910z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string3910z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string3910z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string3910z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string3910z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string3910z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string3910z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string3910z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string3910z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(57049157L,
				BSTRING_TO_STRING(BGl_string3910z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(404844772L,
				BSTRING_TO_STRING(BGl_string3910z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzsaw_regsetz00(358079690L,
				BSTRING_TO_STRING(BGl_string3910z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(237915200L,
				BSTRING_TO_STRING(BGl_string3910z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(242097300L,
				BSTRING_TO_STRING(BGl_string3910z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2rangezd2(481635416L,
				BSTRING_TO_STRING(BGl_string3910z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2configzd2(288263219L,
				BSTRING_TO_STRING(BGl_string3910z00zzsaw_bbvzd2typeszd2));
			return
				BGl_modulezd2initializa7ationz75zzsaw_bbvzd2gczd2(137439381L,
				BSTRING_TO_STRING(BGl_string3910z00zzsaw_bbvzd2typeszd2));
		}

	}

#ifdef __cplusplus
}
#endif
