/*===========================================================================*/
/*   (SawMill/expr.scm)                                                      */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawMill/expr.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_SAW_EXPR_TYPE_DEFINITIONS
#define BGL_SAW_EXPR_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_debugnamez00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_iregz00_bgl
	{
		obj_t BgL_indexz00;
		obj_t BgL_statusz00;
	}              *BgL_iregz00_bglt;

	typedef struct BgL_pregz00_bgl
	{
		obj_t BgL_indexz00;
		obj_t BgL_statusz00;
	}              *BgL_pregz00_bglt;

	typedef struct BgL_inlinedz00_bgl
	{
	}                 *BgL_inlinedz00_bglt;


#endif													// BGL_SAW_EXPR_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	static obj_t BGl_prezd2analysezd2zzsaw_exprz00(BgL_backendz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_rtl_funcallz00zzsaw_defsz00;
	static BgL_feffectz00_bglt BGl_za2getfza2z00zzsaw_exprz00;
	extern obj_t BGl_rtl_funz00zzsaw_defsz00;
	static bool_t BGl_intersectionzf3ze70z14zzsaw_exprz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	extern obj_t BGl_rtl_pragmaz00zzsaw_defsz00;
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_exprz00 = BUNSPEC;
	static obj_t BGl_z62effectszd2rtl_lightfun1564zb0zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62prezd2buildzd2treez62zzsaw_exprz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	static obj_t BGl_pregz00zzsaw_exprz00 = BUNSPEC;
	extern obj_t BGl_rtl_boxrefz00zzsaw_defsz00;
	static bool_t BGl_matcheffectz00zzsaw_exprz00(obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda1956z62zzsaw_exprz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62effectszd2rtl_setfield1560zb0zzsaw_exprz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_feffectz00_bglt BGl_za2fullza2z00zzsaw_exprz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda1961z62zzsaw_exprz00(obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda1964z62zzsaw_exprz00(obj_t, obj_t);
	static BgL_feffectz00_bglt BGl_za2loadgza2z00zzsaw_exprz00;
	extern obj_t BGl_rtl_vrefz00zzsaw_defsz00;
	static obj_t BGl_toplevelzd2initzd2zzsaw_exprz00(void);
	extern obj_t BGl_rtl_protectz00zzsaw_defsz00;
	static obj_t BGl_z62zc3z04anonymousza31963ze3ze5zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1971z62zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1972z62zzsaw_exprz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1976z62zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1977z62zzsaw_exprz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_boxsetz00zzsaw_defsz00;
	static BgL_rtl_regz00_bglt BGl_z62lambda1984z62zzsaw_exprz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_exprz00(void);
	static BgL_rtl_regz00_bglt BGl_z62lambda1987z62zzsaw_exprz00(obj_t, obj_t);
	static BgL_feffectz00_bglt BGl_za2vrefza2z00zzsaw_exprz00;
	static BgL_feffectz00_bglt BGl_za2storegza2z00zzsaw_exprz00;
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_vsetz00zzsaw_defsz00;
	static bool_t BGl_markzd2localszd2zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62effectszd2rtl_apply1562zb0zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_exprz00(void);
	static BgL_rtl_regz00_bglt BGl_z62lambda1990z62zzsaw_exprz00(obj_t, obj_t);
	static BgL_feffectz00_bglt BGl_za2noeffectza2z00zzsaw_exprz00;
	static obj_t BGl_z62effectszd2rtl_boxset1556zb0zzsaw_exprz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_buildzd2treezd2zzsaw_exprz00(BgL_backendz00_bglt,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2buildzd2treez00zzsaw_exprz00(BgL_backendz00_bglt, obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	static obj_t BGl_z62effectszd2rtl_boxref1554zb0zzsaw_exprz00(obj_t, obj_t);
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	static obj_t BGl_z62effectszd2rtl_call1572zb0zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32019ze3ze5zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62buildzd2treezb0zzsaw_exprz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62usefulz62zzsaw_exprz00(obj_t, obj_t);
	static BgL_feffectz00_bglt BGl_za2boxrefza2z00zzsaw_exprz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_inlinedz00zzsaw_exprz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62effectszd2rtl_loadg1546zb0zzsaw_exprz00(obj_t, obj_t);
	extern obj_t BGl_rtl_nopz00zzsaw_defsz00;
	static obj_t BGl_methodzd2initzd2zzsaw_exprz00(void);
	static obj_t BGl_z62effectszd2rtl_protect1570zb0zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_regzd2ze3pregzf2writeze70z24zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_iregz00zzsaw_exprz00 = BUNSPEC;
	static obj_t BGl_manuzd2effectzd2zzsaw_exprz00(BgL_globalz00_bglt);
	static BgL_feffectz00_bglt BGl_za2prefza2z00zzsaw_exprz00;
	extern obj_t BGl_rtl_setfieldz00zzsaw_defsz00;
	static obj_t BGl_z62effectszd2rtl_storeg1548zb0zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2001z62zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2002z62zzsaw_exprz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2006z62zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2007z62zzsaw_exprz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31989ze3ze5zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62effectsz62zzsaw_exprz00(obj_t, obj_t);
	extern obj_t BGl_rtl_callz00zzsaw_defsz00;
	static BgL_rtl_insz00_bglt BGl_z62lambda2014z62zzsaw_exprz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_insz00_bglt BGl_z62lambda2017z62zzsaw_exprz00(obj_t, obj_t);
	static BgL_rtl_insz00_bglt BGl_z62lambda2020z62zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62effectszd2rtl_pragma1568zb0zzsaw_exprz00(obj_t, obj_t);
	extern obj_t BGl_rtl_storegz00zzsaw_defsz00;
	static BgL_feffectz00_bglt BGl_za2setfza2z00zzsaw_exprz00;
	static obj_t BGl_xxz00zzsaw_exprz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62effects1543z62zzsaw_exprz00(obj_t, obj_t);
	extern obj_t BGl_rtl_applyz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsaw_exprz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_rtl_loadgz00zzsaw_defsz00;
	static long BGl_za2countza2z00zzsaw_exprz00 = 0L;
	extern obj_t BGl_feffectz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzsaw_exprz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_exprz00(void);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_exprz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_exprz00(void);
	static obj_t BGl_z62effectszd2rtl_vset1552zb0zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62effectszd2rtl_funcall1566zb0zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_regzd2ze3iregze70zd6zzsaw_exprz00(obj_t, obj_t);
	extern obj_t BGl_backendz00zzbackend_backendz00;
	static BgL_feffectz00_bglt BGl_za2vsetza2z00zzsaw_exprz00;
	static obj_t BGl_z62effectszd2rtl_vref1550zb0zzsaw_exprz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_filterz12z12zz__r4_control_features_6_9z00(obj_t, obj_t);
	extern obj_t BGl_rtl_getfieldz00zzsaw_defsz00;
	static obj_t BGl_regzd2ze3pregze70zd6zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62acceptzd2foldingzf31541z43zzsaw_exprz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_acceptzd2foldingzf3z21zzsaw_exprz00(BgL_backendz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62acceptzd2foldingzf3z43zzsaw_exprz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt BGl_za2boxsetza2z00zzsaw_exprz00;
	static bool_t BGl_prezd2markzd2localsz00zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_analysez00zzsaw_exprz00(BgL_backendz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62effectszd2rtl_getfield1558zb0zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_regzd2ze3iregzf2writeze70z24zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_effectsz00zzsaw_exprz00(BgL_rtl_funz00_bglt);
	static BgL_feffectz00_bglt BGl_za2psetza2z00zzsaw_exprz00;
	static obj_t __cnst[28];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2153z00zzsaw_exprz00,
		BgL_bgl_za762usefulza762za7za7sa2196z00, BGl_z62usefulz62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2154z00zzsaw_exprz00,
		BgL_bgl_za762lambda1972za7622197z00, BGl_z62lambda1972z62zzsaw_exprz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2155z00zzsaw_exprz00,
		BgL_bgl_za762lambda1971za7622198z00, BGl_z62lambda1971z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2156z00zzsaw_exprz00,
		BgL_bgl_za762lambda1977za7622199z00, BGl_z62lambda1977z62zzsaw_exprz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2157z00zzsaw_exprz00,
		BgL_bgl_za762lambda1976za7622200z00, BGl_z62lambda1976z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2158z00zzsaw_exprz00,
		BgL_bgl_za762lambda1964za7622201z00, BGl_z62lambda1964z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2159z00zzsaw_exprz00,
		BgL_bgl_za762za7c3za704anonymo2202za7,
		BGl_z62zc3z04anonymousza31963ze3ze5zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2160z00zzsaw_exprz00,
		BgL_bgl_za762lambda1961za7622203z00, BGl_z62lambda1961z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2161z00zzsaw_exprz00,
		BgL_bgl_za762lambda1956za7622204z00, BGl_z62lambda1956z62zzsaw_exprz00, 0L,
		BUNSPEC, 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2162z00zzsaw_exprz00,
		BgL_bgl_za762lambda2002za7622205z00, BGl_z62lambda2002z62zzsaw_exprz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2163z00zzsaw_exprz00,
		BgL_bgl_za762lambda2001za7622206z00, BGl_z62lambda2001z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2164z00zzsaw_exprz00,
		BgL_bgl_za762lambda2007za7622207z00, BGl_z62lambda2007z62zzsaw_exprz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zzsaw_exprz00,
		BgL_bgl_za762lambda2006za7622208z00, BGl_z62lambda2006z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2166z00zzsaw_exprz00,
		BgL_bgl_za762lambda1990za7622209z00, BGl_z62lambda1990z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2167z00zzsaw_exprz00,
		BgL_bgl_za762za7c3za704anonymo2210za7,
		BGl_z62zc3z04anonymousza31989ze3ze5zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2168z00zzsaw_exprz00,
		BgL_bgl_za762lambda1987za7622211z00, BGl_z62lambda1987z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2175z00zzsaw_exprz00,
		BgL_bgl_string2175za700za7za7s2212za7, "accept-folding?1541", 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2169z00zzsaw_exprz00,
		BgL_bgl_za762lambda1984za7622213z00, BGl_z62lambda1984z62zzsaw_exprz00, 0L,
		BUNSPEC, 9);
	      DEFINE_STRING(BGl_string2177z00zzsaw_exprz00,
		BgL_bgl_string2177za700za7za7s2214za7, "effects1543", 11);
	      DEFINE_STRING(BGl_string2179z00zzsaw_exprz00,
		BgL_bgl_string2179za700za7za7s2215za7, "effects", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2170z00zzsaw_exprz00,
		BgL_bgl_za762lambda2020za7622216z00, BGl_z62lambda2020z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2171z00zzsaw_exprz00,
		BgL_bgl_za762za7c3za704anonymo2217za7,
		BGl_z62zc3z04anonymousza32019ze3ze5zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2172z00zzsaw_exprz00,
		BgL_bgl_za762lambda2017za7622218z00, BGl_z62lambda2017z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2173z00zzsaw_exprz00,
		BgL_bgl_za762lambda2014za7622219z00, BGl_z62lambda2014z62zzsaw_exprz00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2174z00zzsaw_exprz00,
		BgL_bgl_za762acceptza7d2fold2220z00,
		BGl_z62acceptzd2foldingzf31541z43zzsaw_exprz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2176z00zzsaw_exprz00,
		BgL_bgl_za762effects1543za762221z00, BGl_z62effects1543z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2178z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2222z00,
		BGl_z62effectszd2rtl_loadg1546zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2180z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2223z00,
		BGl_z62effectszd2rtl_storeg1548zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2181z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2224z00,
		BGl_z62effectszd2rtl_vref1550zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2225z00,
		BGl_z62effectszd2rtl_vset1552zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2183z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2226z00,
		BGl_z62effectszd2rtl_boxref1554zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2227z00,
		BGl_z62effectszd2rtl_boxset1556zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2185z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2228z00,
		BGl_z62effectszd2rtl_getfield1558zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2229z00,
		BGl_z62effectszd2rtl_setfield1560zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2193z00zzsaw_exprz00,
		BgL_bgl_string2193za700za7za7s2230za7, "saw_expr", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2231z00,
		BGl_z62effectszd2rtl_apply1562zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2194z00zzsaw_exprz00,
		BgL_bgl_string2194za700za7za7s2232za7,
		"inlined preg saw_expr ireg status obj index (print (global-id var) \" has no effect\") ko ok written readen reset c-write-char c-current-output-port (output-port) $tvector-descr-set! procedure-set! procedure-ref make-fx-procedure foreign $cons (procedure) top (field) (box) (vector) (memory) ",
		290);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2233z00,
		BGl_z62effectszd2rtl_lightfun1564zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2234z00,
		BGl_z62effectszd2rtl_funcall1566zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2235z00,
		BGl_z62effectszd2rtl_pragma1568zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2236z00,
		BGl_z62effectszd2rtl_protect1570zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2237z00,
		BGl_z62effectszd2rtl_call1572zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_prezd2buildzd2treezd2envzd2zzsaw_exprz00,
		BgL_bgl_za762preza7d2buildza7d2238za7,
		BGl_z62prezd2buildzd2treez62zzsaw_exprz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_acceptzd2foldingzf3zd2envzf3zzsaw_exprz00,
		BgL_bgl_za762acceptza7d2fold2239z00,
		BGl_z62acceptzd2foldingzf3z43zzsaw_exprz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_buildzd2treezd2envz00zzsaw_exprz00,
		BgL_bgl_za762buildza7d2treeza72240za7, BGl_z62buildzd2treezb0zzsaw_exprz00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_GENERIC(BGl_effectszd2envzd2zzsaw_exprz00,
		BgL_bgl_za762effectsza762za7za7s2241z00, BGl_z62effectsz62zzsaw_exprz00, 0L,
		BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2getfza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_pregz00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2fullza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2loadgza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2vrefza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2storegza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2noeffectza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2boxrefza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_inlinedz00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_iregz00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2prefza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2setfza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2vsetza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2boxsetza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2psetza2z00zzsaw_exprz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_exprz00(long
		BgL_checksumz00_4165, char *BgL_fromz00_4166)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_exprz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_exprz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_exprz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_exprz00();
					BGl_cnstzd2initzd2zzsaw_exprz00();
					BGl_importedzd2moduleszd2initz00zzsaw_exprz00();
					BGl_objectzd2initzd2zzsaw_exprz00();
					BGl_genericzd2initzd2zzsaw_exprz00();
					BGl_methodzd2initzd2zzsaw_exprz00();
					return BGl_toplevelzd2initzd2zzsaw_exprz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_exprz00(void)
	{
		{	/* SawMill/expr.scm 1 */
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "saw_expr");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_expr");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_expr");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_expr");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "saw_expr");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L,
				"saw_expr");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "saw_expr");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "saw_expr");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "saw_expr");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "saw_expr");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_expr");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_exprz00(void)
	{
		{	/* SawMill/expr.scm 1 */
			{	/* SawMill/expr.scm 1 */
				obj_t BgL_cportz00_4024;

				{	/* SawMill/expr.scm 1 */
					obj_t BgL_stringz00_4031;

					BgL_stringz00_4031 = BGl_string2194z00zzsaw_exprz00;
					{	/* SawMill/expr.scm 1 */
						obj_t BgL_startz00_4032;

						BgL_startz00_4032 = BINT(0L);
						{	/* SawMill/expr.scm 1 */
							obj_t BgL_endz00_4033;

							BgL_endz00_4033 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4031)));
							{	/* SawMill/expr.scm 1 */

								BgL_cportz00_4024 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4031, BgL_startz00_4032, BgL_endz00_4033);
				}}}}
				{
					long BgL_iz00_4025;

					BgL_iz00_4025 = 27L;
				BgL_loopz00_4026:
					if ((BgL_iz00_4025 == (-1L)))
						{	/* SawMill/expr.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/expr.scm 1 */
							{	/* SawMill/expr.scm 1 */
								obj_t BgL_arg2195z00_4027;

								{	/* SawMill/expr.scm 1 */

									{	/* SawMill/expr.scm 1 */
										obj_t BgL_locationz00_4029;

										BgL_locationz00_4029 = BBOOL(((bool_t) 0));
										{	/* SawMill/expr.scm 1 */

											BgL_arg2195z00_4027 =
												BGl_readz00zz__readerz00(BgL_cportz00_4024,
												BgL_locationz00_4029);
										}
									}
								}
								{	/* SawMill/expr.scm 1 */
									int BgL_tmpz00_4198;

									BgL_tmpz00_4198 = (int) (BgL_iz00_4025);
									CNST_TABLE_SET(BgL_tmpz00_4198, BgL_arg2195z00_4027);
							}}
							{	/* SawMill/expr.scm 1 */
								int BgL_auxz00_4030;

								BgL_auxz00_4030 = (int) ((BgL_iz00_4025 - 1L));
								{
									long BgL_iz00_4203;

									BgL_iz00_4203 = (long) (BgL_auxz00_4030);
									BgL_iz00_4025 = BgL_iz00_4203;
									goto BgL_loopz00_4026;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_exprz00(void)
	{
		{	/* SawMill/expr.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_exprz00(void)
	{
		{	/* SawMill/expr.scm 1 */
			BGl_za2countza2z00zzsaw_exprz00 = 0L;
			{	/* SawMill/expr.scm 218 */
				BgL_feffectz00_bglt BgL_new1233z00_2019;

				{	/* Ast/var.scm 179 */
					BgL_feffectz00_bglt BgL_new1232z00_2020;

					BgL_new1232z00_2020 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.scm 179 */
						long BgL_arg1574z00_2021;

						BgL_arg1574z00_2021 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1232z00_2020), BgL_arg1574z00_2021);
					}
					BgL_new1233z00_2019 = BgL_new1232z00_2020;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1233z00_2019))->BgL_readz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1233z00_2019))->BgL_writez00) =
					((obj_t) BNIL), BUNSPEC);
				BGl_za2noeffectza2z00zzsaw_exprz00 = BgL_new1233z00_2019;
			}
			{	/* SawMill/expr.scm 219 */
				BgL_feffectz00_bglt BgL_new1235z00_2022;

				{	/* SawMill/expr.scm 219 */
					BgL_feffectz00_bglt BgL_new1234z00_2023;

					BgL_new1234z00_2023 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* SawMill/expr.scm 219 */
						long BgL_arg1577z00_2024;

						BgL_arg1577z00_2024 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1234z00_2023), BgL_arg1577z00_2024);
					}
					BgL_new1235z00_2022 = BgL_new1234z00_2023;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1235z00_2022))->BgL_readz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(0))), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1235z00_2022))->BgL_writez00) =
					((obj_t) BNIL), BUNSPEC);
				BGl_za2loadgza2z00zzsaw_exprz00 = BgL_new1235z00_2022;
			}
			{	/* SawMill/expr.scm 220 */
				BgL_feffectz00_bglt BgL_new1237z00_2025;

				{	/* Ast/var.scm 179 */
					BgL_feffectz00_bglt BgL_new1236z00_2026;

					BgL_new1236z00_2026 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.scm 179 */
						long BgL_arg1578z00_2027;

						BgL_arg1578z00_2027 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1236z00_2026), BgL_arg1578z00_2027);
					}
					BgL_new1237z00_2025 = BgL_new1236z00_2026;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1237z00_2025))->BgL_readz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1237z00_2025))->BgL_writez00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(0))), BUNSPEC);
				BGl_za2storegza2z00zzsaw_exprz00 = BgL_new1237z00_2025;
			}
			{	/* SawMill/expr.scm 221 */
				BgL_feffectz00_bglt BgL_new1239z00_2028;

				{	/* SawMill/expr.scm 221 */
					BgL_feffectz00_bglt BgL_new1238z00_2029;

					BgL_new1238z00_2029 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* SawMill/expr.scm 221 */
						long BgL_arg1581z00_2030;

						BgL_arg1581z00_2030 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1238z00_2029), BgL_arg1581z00_2030);
					}
					BgL_new1239z00_2028 = BgL_new1238z00_2029;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1239z00_2028))->BgL_readz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(1))), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1239z00_2028))->BgL_writez00) =
					((obj_t) BNIL), BUNSPEC);
				BGl_za2vrefza2z00zzsaw_exprz00 = BgL_new1239z00_2028;
			}
			{	/* SawMill/expr.scm 222 */
				BgL_feffectz00_bglt BgL_new1241z00_2031;

				{	/* Ast/var.scm 179 */
					BgL_feffectz00_bglt BgL_new1240z00_2032;

					BgL_new1240z00_2032 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.scm 179 */
						long BgL_arg1587z00_2033;

						BgL_arg1587z00_2033 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1240z00_2032), BgL_arg1587z00_2033);
					}
					BgL_new1241z00_2031 = BgL_new1240z00_2032;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1241z00_2031))->BgL_readz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1241z00_2031))->BgL_writez00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(1))), BUNSPEC);
				BGl_za2vsetza2z00zzsaw_exprz00 = BgL_new1241z00_2031;
			}
			{	/* SawMill/expr.scm 223 */
				BgL_feffectz00_bglt BgL_new1243z00_2034;

				{	/* SawMill/expr.scm 223 */
					BgL_feffectz00_bglt BgL_new1242z00_2035;

					BgL_new1242z00_2035 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* SawMill/expr.scm 223 */
						long BgL_arg1588z00_2036;

						BgL_arg1588z00_2036 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1242z00_2035), BgL_arg1588z00_2036);
					}
					BgL_new1243z00_2034 = BgL_new1242z00_2035;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1243z00_2034))->BgL_readz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(2))), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1243z00_2034))->BgL_writez00) =
					((obj_t) BNIL), BUNSPEC);
				BGl_za2boxrefza2z00zzsaw_exprz00 = BgL_new1243z00_2034;
			}
			{	/* SawMill/expr.scm 224 */
				BgL_feffectz00_bglt BgL_new1247z00_2037;

				{	/* Ast/var.scm 179 */
					BgL_feffectz00_bglt BgL_new1244z00_2038;

					BgL_new1244z00_2038 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.scm 179 */
						long BgL_arg1590z00_2039;

						BgL_arg1590z00_2039 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1244z00_2038), BgL_arg1590z00_2039);
					}
					BgL_new1247z00_2037 = BgL_new1244z00_2038;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1247z00_2037))->BgL_readz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1247z00_2037))->BgL_writez00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(2))), BUNSPEC);
				BGl_za2boxsetza2z00zzsaw_exprz00 = BgL_new1247z00_2037;
			}
			{	/* SawMill/expr.scm 225 */
				BgL_feffectz00_bglt BgL_new1249z00_2040;

				{	/* SawMill/expr.scm 225 */
					BgL_feffectz00_bglt BgL_new1248z00_2041;

					BgL_new1248z00_2041 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* SawMill/expr.scm 225 */
						long BgL_arg1592z00_2042;

						BgL_arg1592z00_2042 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1248z00_2041), BgL_arg1592z00_2042);
					}
					BgL_new1249z00_2040 = BgL_new1248z00_2041;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1249z00_2040))->BgL_readz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(3))), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1249z00_2040))->BgL_writez00) =
					((obj_t) BNIL), BUNSPEC);
				BGl_za2getfza2z00zzsaw_exprz00 = BgL_new1249z00_2040;
			}
			{	/* SawMill/expr.scm 226 */
				BgL_feffectz00_bglt BgL_new1251z00_2043;

				{	/* Ast/var.scm 179 */
					BgL_feffectz00_bglt BgL_new1250z00_2044;

					BgL_new1250z00_2044 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.scm 179 */
						long BgL_arg1593z00_2045;

						BgL_arg1593z00_2045 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1250z00_2044), BgL_arg1593z00_2045);
					}
					BgL_new1251z00_2043 = BgL_new1250z00_2044;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1251z00_2043))->BgL_readz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1251z00_2043))->BgL_writez00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(3))), BUNSPEC);
				BGl_za2setfza2z00zzsaw_exprz00 = BgL_new1251z00_2043;
			}
			{	/* SawMill/expr.scm 227 */
				BgL_feffectz00_bglt BgL_new1253z00_2046;

				{	/* SawMill/expr.scm 227 */
					BgL_feffectz00_bglt BgL_new1252z00_2047;

					BgL_new1252z00_2047 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* SawMill/expr.scm 227 */
						long BgL_arg1597z00_2048;

						BgL_arg1597z00_2048 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1252z00_2047), BgL_arg1597z00_2048);
					}
					BgL_new1253z00_2046 = BgL_new1252z00_2047;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1253z00_2046))->BgL_readz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(4))), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1253z00_2046))->BgL_writez00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(4))), BUNSPEC);
				BGl_za2fullza2z00zzsaw_exprz00 = BgL_new1253z00_2046;
			}
			{	/* SawMill/expr.scm 266 */
				BgL_feffectz00_bglt BgL_new1259z00_2049;

				{	/* SawMill/expr.scm 266 */
					BgL_feffectz00_bglt BgL_new1258z00_2050;

					BgL_new1258z00_2050 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* SawMill/expr.scm 266 */
						long BgL_arg1605z00_2051;

						BgL_arg1605z00_2051 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1258z00_2050), BgL_arg1605z00_2051);
					}
					BgL_new1259z00_2049 = BgL_new1258z00_2050;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1259z00_2049))->BgL_readz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(5))), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1259z00_2049))->BgL_writez00) =
					((obj_t) BNIL), BUNSPEC);
				BGl_za2prefza2z00zzsaw_exprz00 = BgL_new1259z00_2049;
			}
			{	/* SawMill/expr.scm 267 */
				BgL_feffectz00_bglt BgL_new1261z00_2052;

				{	/* Ast/var.scm 179 */
					BgL_feffectz00_bglt BgL_new1260z00_2053;

					BgL_new1260z00_2053 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.scm 179 */
						long BgL_arg1611z00_2054;

						BgL_arg1611z00_2054 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1260z00_2053), BgL_arg1611z00_2054);
					}
					BgL_new1261z00_2052 = BgL_new1260z00_2053;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1261z00_2052))->BgL_readz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1261z00_2052))->BgL_writez00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(5))), BUNSPEC);
				BGl_za2psetza2z00zzsaw_exprz00 = BgL_new1261z00_2052;
			}
			{	/* SawMill/expr.scm 269 */
				BgL_feffectz00_bglt BgL_arg1612z00_2055;

				{	/* SawMill/expr.scm 269 */
					BgL_feffectz00_bglt BgL_new1264z00_2056;

					{	/* SawMill/expr.scm 269 */
						BgL_feffectz00_bglt BgL_new1262z00_2057;

						BgL_new1262z00_2057 =
							((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_feffectz00_bgl))));
						{	/* SawMill/expr.scm 269 */
							long BgL_arg1625z00_2058;

							BgL_arg1625z00_2058 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1262z00_2057),
								BgL_arg1625z00_2058);
						}
						BgL_new1264z00_2056 = BgL_new1262z00_2057;
					}
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1264z00_2056))->BgL_readz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1264z00_2056))->
							BgL_writez00) = ((obj_t) BNIL), BUNSPEC);
					BgL_arg1612z00_2055 = BgL_new1264z00_2056;
				}
				BGl_putpropz12z12zz__r4_symbols_6_4z00(
					((obj_t)
						CNST_TABLE_REF(6)),
					((obj_t) CNST_TABLE_REF(7)), ((obj_t) BgL_arg1612z00_2055));
			}
			{	/* SawMill/expr.scm 270 */
				BgL_feffectz00_bglt BgL_arg1626z00_2059;

				{	/* SawMill/expr.scm 270 */
					BgL_feffectz00_bglt BgL_new1266z00_2060;

					{	/* SawMill/expr.scm 270 */
						BgL_feffectz00_bglt BgL_new1265z00_2061;

						BgL_new1265z00_2061 =
							((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_feffectz00_bgl))));
						{	/* SawMill/expr.scm 270 */
							long BgL_arg1631z00_2062;

							BgL_arg1631z00_2062 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1265z00_2061),
								BgL_arg1631z00_2062);
						}
						BgL_new1266z00_2060 = BgL_new1265z00_2061;
					}
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1266z00_2060))->BgL_readz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1266z00_2060))->
							BgL_writez00) = ((obj_t) BNIL), BUNSPEC);
					BgL_arg1626z00_2059 = BgL_new1266z00_2060;
				}
				BGl_putpropz12z12zz__r4_symbols_6_4z00(
					((obj_t)
						CNST_TABLE_REF(8)),
					((obj_t) CNST_TABLE_REF(7)), ((obj_t) BgL_arg1626z00_2059));
			}
			{	/* SawMill/expr.scm 271 */
				BgL_feffectz00_bglt BgL_arg1632z00_2063;

				{	/* SawMill/expr.scm 271 */
					BgL_feffectz00_bglt BgL_new1269z00_2064;

					{	/* SawMill/expr.scm 271 */
						BgL_feffectz00_bglt BgL_new1268z00_2065;

						BgL_new1268z00_2065 =
							((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_feffectz00_bgl))));
						{	/* SawMill/expr.scm 271 */
							long BgL_arg1633z00_2066;

							BgL_arg1633z00_2066 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1268z00_2065),
								BgL_arg1633z00_2066);
						}
						BgL_new1269z00_2064 = BgL_new1268z00_2065;
					}
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1269z00_2064))->BgL_readz00) =
						((obj_t) ((obj_t) CNST_TABLE_REF(5))), BUNSPEC);
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1269z00_2064))->
							BgL_writez00) = ((obj_t) BNIL), BUNSPEC);
					BgL_arg1632z00_2063 = BgL_new1269z00_2064;
				}
				BGl_putpropz12z12zz__r4_symbols_6_4z00(
					((obj_t)
						CNST_TABLE_REF(9)),
					((obj_t) CNST_TABLE_REF(7)), ((obj_t) BgL_arg1632z00_2063));
			}
			{	/* SawMill/expr.scm 272 */
				BgL_feffectz00_bglt BgL_arg1635z00_2067;

				{	/* SawMill/expr.scm 272 */
					BgL_feffectz00_bglt BgL_new1271z00_2068;

					{	/* SawMill/expr.scm 272 */
						BgL_feffectz00_bglt BgL_new1270z00_2069;

						BgL_new1270z00_2069 =
							((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_feffectz00_bgl))));
						{	/* SawMill/expr.scm 272 */
							long BgL_arg1638z00_2070;

							BgL_arg1638z00_2070 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1270z00_2069),
								BgL_arg1638z00_2070);
						}
						BgL_new1271z00_2068 = BgL_new1270z00_2069;
					}
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1271z00_2068))->BgL_readz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1271z00_2068))->
							BgL_writez00) = ((obj_t) ((obj_t) CNST_TABLE_REF(5))), BUNSPEC);
					BgL_arg1635z00_2067 = BgL_new1271z00_2068;
				}
				BGl_putpropz12z12zz__r4_symbols_6_4z00(
					((obj_t)
						CNST_TABLE_REF(10)),
					((obj_t) CNST_TABLE_REF(7)), ((obj_t) BgL_arg1635z00_2067));
			}
			{	/* SawMill/expr.scm 273 */
				BgL_feffectz00_bglt BgL_arg1642z00_2071;

				{	/* SawMill/expr.scm 273 */
					BgL_feffectz00_bglt BgL_new1273z00_2072;

					{	/* SawMill/expr.scm 273 */
						BgL_feffectz00_bglt BgL_new1272z00_2073;

						BgL_new1272z00_2073 =
							((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_feffectz00_bgl))));
						{	/* SawMill/expr.scm 273 */
							long BgL_arg1643z00_2074;

							BgL_arg1643z00_2074 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1272z00_2073),
								BgL_arg1643z00_2074);
						}
						BgL_new1273z00_2072 = BgL_new1272z00_2073;
					}
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1273z00_2072))->BgL_readz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1273z00_2072))->
							BgL_writez00) = ((obj_t) ((obj_t) CNST_TABLE_REF(1))), BUNSPEC);
					BgL_arg1642z00_2071 = BgL_new1273z00_2072;
				}
				BGl_putpropz12z12zz__r4_symbols_6_4z00(
					((obj_t)
						CNST_TABLE_REF(11)),
					((obj_t) CNST_TABLE_REF(7)), ((obj_t) BgL_arg1642z00_2071));
			}
			{	/* SawMill/expr.scm 274 */
				BgL_feffectz00_bglt BgL_arg1648z00_2075;

				{	/* SawMill/expr.scm 274 */
					BgL_feffectz00_bglt BgL_new1275z00_2076;

					{	/* SawMill/expr.scm 274 */
						BgL_feffectz00_bglt BgL_new1274z00_2077;

						BgL_new1274z00_2077 =
							((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_feffectz00_bgl))));
						{	/* SawMill/expr.scm 274 */
							long BgL_arg1649z00_2078;

							BgL_arg1649z00_2078 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1274z00_2077),
								BgL_arg1649z00_2078);
						}
						BgL_new1275z00_2076 = BgL_new1274z00_2077;
					}
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1275z00_2076))->BgL_readz00) =
						((obj_t) ((obj_t) CNST_TABLE_REF(12))), BUNSPEC);
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1275z00_2076))->
							BgL_writez00) = ((obj_t) BNIL), BUNSPEC);
					BgL_arg1648z00_2075 = BgL_new1275z00_2076;
				}
				BGl_putpropz12z12zz__r4_symbols_6_4z00(
					((obj_t)
						CNST_TABLE_REF(13)),
					((obj_t) CNST_TABLE_REF(7)), ((obj_t) BgL_arg1648z00_2075));
			}
			{	/* SawMill/expr.scm 275 */
				BgL_feffectz00_bglt BgL_arg1650z00_2079;

				{	/* SawMill/expr.scm 275 */
					BgL_feffectz00_bglt BgL_new1277z00_2080;

					{	/* SawMill/expr.scm 275 */
						BgL_feffectz00_bglt BgL_new1276z00_2081;

						BgL_new1276z00_2081 =
							((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_feffectz00_bgl))));
						{	/* SawMill/expr.scm 275 */
							long BgL_arg1653z00_2082;

							BgL_arg1653z00_2082 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1276z00_2081),
								BgL_arg1653z00_2082);
						}
						BgL_new1277z00_2080 = BgL_new1276z00_2081;
					}
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1277z00_2080))->BgL_readz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1277z00_2080))->
							BgL_writez00) = ((obj_t) ((obj_t) CNST_TABLE_REF(12))), BUNSPEC);
					BgL_arg1650z00_2079 = BgL_new1277z00_2080;
				}
				return
					BGl_putpropz12z12zz__r4_symbols_6_4z00(
					((obj_t)
						CNST_TABLE_REF(14)),
					((obj_t) CNST_TABLE_REF(7)), ((obj_t) BgL_arg1650z00_2079));
			}
		}

	}



/* pre-build-tree */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2buildzd2treez00zzsaw_exprz00(BgL_backendz00_bglt BgL_bez00_90,
		obj_t BgL_paramsz00_91, obj_t BgL_lz00_92)
	{
		{	/* SawMill/expr.scm 17 */
			BGl_prezd2markzd2localsz00zzsaw_exprz00(BgL_paramsz00_91, BgL_lz00_92);
			BGl_za2countza2z00zzsaw_exprz00 = 0L;
			{
				obj_t BgL_l1499z00_2111;

				{	/* SawMill/expr.scm 20 */
					bool_t BgL_tmpz00_4397;

					BgL_l1499z00_2111 = BgL_lz00_92;
				BgL_zc3z04anonymousza31680ze3z87_2112:
					if (PAIRP(BgL_l1499z00_2111))
						{	/* SawMill/expr.scm 20 */
							{	/* SawMill/expr.scm 22 */
								obj_t BgL_bz00_2114;

								BgL_bz00_2114 = CAR(BgL_l1499z00_2111);
								{	/* SawMill/expr.scm 22 */
									obj_t BgL_lz00_2115;
									obj_t BgL_movesz00_2116;

									BgL_lz00_2115 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_bz00_2114)))->BgL_firstz00);
									BgL_movesz00_2116 = BNIL;
									{
										obj_t BgL_l1497z00_2118;

										BgL_l1497z00_2118 = BgL_lz00_2115;
									BgL_zc3z04anonymousza31682ze3z87_2119:
										if (PAIRP(BgL_l1497z00_2118))
											{	/* SawMill/expr.scm 23 */
												{	/* SawMill/expr.scm 23 */
													obj_t BgL_insz00_2121;

													BgL_insz00_2121 = CAR(BgL_l1497z00_2118);
													BgL_movesz00_2116 =
														BGl_prezd2analysezd2zzsaw_exprz00(BgL_bez00_90,
														BgL_movesz00_2116, BgL_insz00_2121);
												}
												{
													obj_t BgL_l1497z00_4407;

													BgL_l1497z00_4407 = CDR(BgL_l1497z00_2118);
													BgL_l1497z00_2118 = BgL_l1497z00_4407;
													goto BgL_zc3z04anonymousza31682ze3z87_2119;
												}
											}
										else
											{	/* SawMill/expr.scm 23 */
												((bool_t) 1);
											}
									}
								}
							}
							{
								obj_t BgL_l1499z00_4409;

								BgL_l1499z00_4409 = CDR(BgL_l1499z00_2111);
								BgL_l1499z00_2111 = BgL_l1499z00_4409;
								goto BgL_zc3z04anonymousza31680ze3z87_2112;
							}
						}
					else
						{	/* SawMill/expr.scm 20 */
							BgL_tmpz00_4397 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_4397);
				}
			}
		}

	}



/* &pre-build-tree */
	obj_t BGl_z62prezd2buildzd2treez62zzsaw_exprz00(obj_t BgL_envz00_3863,
		obj_t BgL_bez00_3864, obj_t BgL_paramsz00_3865, obj_t BgL_lz00_3866)
	{
		{	/* SawMill/expr.scm 17 */
			return
				BGl_prezd2buildzd2treez00zzsaw_exprz00(
				((BgL_backendz00_bglt) BgL_bez00_3864), BgL_paramsz00_3865,
				BgL_lz00_3866);
		}

	}



/* pre-mark-locals */
	bool_t BGl_prezd2markzd2localsz00zzsaw_exprz00(obj_t BgL_paramsz00_93,
		obj_t BgL_lz00_94)
	{
		{	/* SawMill/expr.scm 27 */
			{	/* SawMill/expr.scm 28 */
				struct bgl_unsafe_cell BgL_box2246_4022z00;
				obj_t BgL_nz00_4022;

				BgL_nz00_4022 =
					BGL_MAKE_UNSAFE_CELL_STACK(BINT(0L), BgL_box2246_4022z00);
				{
					obj_t BgL_rz00_2157;
					BgL_blockz00_bglt BgL_bz00_2163;

					{
						obj_t BgL_l1507z00_2133;

						BgL_l1507z00_2133 = BgL_paramsz00_93;
					BgL_zc3z04anonymousza31692ze3z87_2134:
						if (PAIRP(BgL_l1507z00_2133))
							{	/* SawMill/expr.scm 52 */
								BGl_regzd2ze3pregzf2writeze70z24zzsaw_exprz00(BgL_nz00_4022,
									CAR(BgL_l1507z00_2133));
								{
									obj_t BgL_l1507z00_4419;

									BgL_l1507z00_4419 = CDR(BgL_l1507z00_2133);
									BgL_l1507z00_2133 = BgL_l1507z00_4419;
									goto BgL_zc3z04anonymousza31692ze3z87_2134;
								}
							}
						else
							{	/* SawMill/expr.scm 52 */
								((bool_t) 1);
							}
					}
					{
						obj_t BgL_l1509z00_2140;

						BgL_l1509z00_2140 = BgL_lz00_94;
					BgL_zc3z04anonymousza31697ze3z87_2141:
						if (PAIRP(BgL_l1509z00_2140))
							{	/* SawMill/expr.scm 53 */
								{	/* SawMill/expr.scm 53 */
									obj_t BgL_arg1699z00_2143;

									BgL_arg1699z00_2143 = CAR(BgL_l1509z00_2140);
									BgL_bz00_2163 = ((BgL_blockz00_bglt) BgL_arg1699z00_2143);
									{	/* SawMill/expr.scm 47 */
										obj_t BgL_g1506z00_2165;

										BgL_g1506z00_2165 =
											(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2163))->
											BgL_firstz00);
										{
											obj_t BgL_l1504z00_2167;

											BgL_l1504z00_2167 = BgL_g1506z00_2165;
										BgL_zc3z04anonymousza31719ze3z87_2168:
											if (PAIRP(BgL_l1504z00_2167))
												{	/* SawMill/expr.scm 51 */
													{	/* SawMill/expr.scm 48 */
														obj_t BgL_insz00_2170;

														BgL_insz00_2170 = CAR(BgL_l1504z00_2167);
														if (CBOOL(
																(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_insz00_2170)))->BgL_destz00)))
															{	/* SawMill/expr.scm 49 */
																obj_t BgL_arg1724z00_2173;

																BgL_arg1724z00_2173 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_insz00_2170)))->BgL_destz00);
																BGl_regzd2ze3pregzf2writeze70z24zzsaw_exprz00
																	(BgL_nz00_4022, BgL_arg1724z00_2173);
															}
														else
															{	/* SawMill/expr.scm 49 */
																BFALSE;
															}
														{	/* SawMill/expr.scm 50 */
															obj_t BgL_g1503z00_2174;

															BgL_g1503z00_2174 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_insz00_2170)))->
																BgL_argsz00);
															{
																obj_t BgL_l1501z00_2176;

																BgL_l1501z00_2176 = BgL_g1503z00_2174;
															BgL_zc3z04anonymousza31725ze3z87_2177:
																if (PAIRP(BgL_l1501z00_2176))
																	{	/* SawMill/expr.scm 50 */
																		BgL_rz00_2157 = CAR(BgL_l1501z00_2176);
																		{	/* SawMill/expr.scm 37 */
																			obj_t BgL_sz00_2159;

																			BgL_sz00_2159 =
																				BGl_regzd2ze3pregze70zd6zzsaw_exprz00
																				(BgL_nz00_4022, BgL_rz00_2157);
																			if ((BgL_sz00_2159 ==
																					((obj_t) CNST_TABLE_REF(15))))
																				{	/* SawMill/expr.scm 38 */
																					obj_t BgL_nstatz00_3103;

																					BgL_nstatz00_3103 =
																						((obj_t) CNST_TABLE_REF(16));
																					{
																						BgL_pregz00_bglt BgL_auxz00_4446;

																						{
																							obj_t BgL_auxz00_4447;

																							{	/* SawMill/expr.scm 29 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_4448;
																								BgL_tmpz00_4448 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_regz00_bglt)
																										BgL_rz00_2157));
																								BgL_auxz00_4447 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_4448);
																							}
																							BgL_auxz00_4446 =
																								((BgL_pregz00_bglt)
																								BgL_auxz00_4447);
																						}
																						((((BgL_pregz00_bglt)
																									COBJECT(BgL_auxz00_4446))->
																								BgL_statusz00) =
																							((obj_t) BgL_nstatz00_3103),
																							BUNSPEC);
																					}
																				}
																			else
																				{	/* SawMill/expr.scm 38 */
																					if (
																						(BgL_sz00_2159 ==
																							((obj_t) CNST_TABLE_REF(17))))
																						{	/* SawMill/expr.scm 39 */
																							obj_t BgL_nstatz00_3106;

																							BgL_nstatz00_3106 =
																								((obj_t) CNST_TABLE_REF(18));
																							{
																								BgL_pregz00_bglt
																									BgL_auxz00_4460;
																								{
																									obj_t BgL_auxz00_4461;

																									{	/* SawMill/expr.scm 29 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_4462;
																										BgL_tmpz00_4462 =
																											((BgL_objectz00_bglt) (
																												(BgL_rtl_regz00_bglt)
																												BgL_rz00_2157));
																										BgL_auxz00_4461 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_4462);
																									}
																									BgL_auxz00_4460 =
																										((BgL_pregz00_bglt)
																										BgL_auxz00_4461);
																								}
																								((((BgL_pregz00_bglt)
																											COBJECT
																											(BgL_auxz00_4460))->
																										BgL_statusz00) =
																									((obj_t) BgL_nstatz00_3106),
																									BUNSPEC);
																							}
																						}
																					else
																						{	/* SawMill/expr.scm 40 */
																							obj_t BgL_nstatz00_3109;

																							BgL_nstatz00_3109 =
																								((obj_t) CNST_TABLE_REF(19));
																							{
																								BgL_pregz00_bglt
																									BgL_auxz00_4470;
																								{
																									obj_t BgL_auxz00_4471;

																									{	/* SawMill/expr.scm 29 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_4472;
																										BgL_tmpz00_4472 =
																											((BgL_objectz00_bglt) (
																												(BgL_rtl_regz00_bglt)
																												BgL_rz00_2157));
																										BgL_auxz00_4471 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_4472);
																									}
																									BgL_auxz00_4470 =
																										((BgL_pregz00_bglt)
																										BgL_auxz00_4471);
																								}
																								((((BgL_pregz00_bglt)
																											COBJECT
																											(BgL_auxz00_4470))->
																										BgL_statusz00) =
																									((obj_t) BgL_nstatz00_3109),
																									BUNSPEC);
																							}
																						}
																				}
																		}
																		{
																			obj_t BgL_l1501z00_4479;

																			BgL_l1501z00_4479 =
																				CDR(BgL_l1501z00_2176);
																			BgL_l1501z00_2176 = BgL_l1501z00_4479;
																			goto
																				BgL_zc3z04anonymousza31725ze3z87_2177;
																		}
																	}
																else
																	{	/* SawMill/expr.scm 50 */
																		((bool_t) 1);
																	}
															}
														}
													}
													{
														obj_t BgL_l1504z00_4481;

														BgL_l1504z00_4481 = CDR(BgL_l1504z00_2167);
														BgL_l1504z00_2167 = BgL_l1504z00_4481;
														goto BgL_zc3z04anonymousza31719ze3z87_2168;
													}
												}
											else
												{	/* SawMill/expr.scm 51 */
													((bool_t) 1);
												}
										}
									}
								}
								{
									obj_t BgL_l1509z00_4484;

									BgL_l1509z00_4484 = CDR(BgL_l1509z00_2140);
									BgL_l1509z00_2140 = BgL_l1509z00_4484;
									goto BgL_zc3z04anonymousza31697ze3z87_2141;
								}
							}
						else
							{	/* SawMill/expr.scm 53 */
								return ((bool_t) 1);
							}
					}
				}
			}
		}

	}



/* reg->preg~0 */
	obj_t BGl_regzd2ze3pregze70zd6zzsaw_exprz00(obj_t BgL_nz00_4019,
		obj_t BgL_rz00_2149)
	{
		{	/* SawMill/expr.scm 35 */
			{	/* SawMill/expr.scm 31 */
				bool_t BgL_test2254z00_4486;

				{	/* SawMill/expr.scm 31 */
					obj_t BgL_classz00_3082;

					BgL_classz00_3082 = BGl_pregz00zzsaw_exprz00;
					if (BGL_OBJECTP(BgL_rz00_2149))
						{	/* SawMill/expr.scm 31 */
							obj_t BgL_oclassz00_3084;

							{	/* SawMill/expr.scm 31 */
								obj_t BgL_arg1866z00_3086;
								long BgL_arg1867z00_3087;

								BgL_arg1866z00_3086 = (BGl_za2classesza2z00zz__objectz00);
								{	/* SawMill/expr.scm 31 */
									long BgL_arg1869z00_3088;

									BgL_arg1869z00_3088 =
										BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_rz00_2149));
									BgL_arg1867z00_3087 = (BgL_arg1869z00_3088 - OBJECT_TYPE);
								}
								BgL_oclassz00_3084 =
									VECTOR_REF(BgL_arg1866z00_3086, BgL_arg1867z00_3087);
							}
							BgL_test2254z00_4486 = (BgL_oclassz00_3084 == BgL_classz00_3082);
						}
					else
						{	/* SawMill/expr.scm 31 */
							BgL_test2254z00_4486 = ((bool_t) 0);
						}
				}
				if (BgL_test2254z00_4486)
					{
						BgL_pregz00_bglt BgL_auxz00_4495;

						{
							obj_t BgL_auxz00_4496;

							{	/* SawMill/expr.scm 32 */
								BgL_objectz00_bglt BgL_tmpz00_4497;

								BgL_tmpz00_4497 =
									((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2149));
								BgL_auxz00_4496 = BGL_OBJECT_WIDENING(BgL_tmpz00_4497);
							}
							BgL_auxz00_4495 = ((BgL_pregz00_bglt) BgL_auxz00_4496);
						}
						return
							(((BgL_pregz00_bglt) COBJECT(BgL_auxz00_4495))->BgL_statusz00);
					}
				else
					{	/* SawMill/expr.scm 31 */
						{	/* SawMill/expr.scm 33 */
							BgL_pregz00_bglt BgL_wide1207z00_2154;

							BgL_wide1207z00_2154 =
								((BgL_pregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_pregz00_bgl))));
							{	/* SawMill/expr.scm 33 */
								obj_t BgL_auxz00_4508;
								BgL_objectz00_bglt BgL_tmpz00_4504;

								BgL_auxz00_4508 = ((obj_t) BgL_wide1207z00_2154);
								BgL_tmpz00_4504 =
									((BgL_objectz00_bglt)
									((BgL_rtl_regz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_rz00_2149)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4504, BgL_auxz00_4508);
							}
							((BgL_objectz00_bglt)
								((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2149)));
							{	/* SawMill/expr.scm 33 */
								long BgL_arg1715z00_2155;

								BgL_arg1715z00_2155 = BGL_CLASS_NUM(BGl_pregz00zzsaw_exprz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_2149))),
									BgL_arg1715z00_2155);
							}
							((BgL_rtl_regz00_bglt)
								((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2149)));
						}
						{
							BgL_pregz00_bglt BgL_auxz00_4522;

							{
								obj_t BgL_auxz00_4523;

								{	/* SawMill/expr.scm 33 */
									BgL_objectz00_bglt BgL_tmpz00_4524;

									BgL_tmpz00_4524 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_2149)));
									BgL_auxz00_4523 = BGL_OBJECT_WIDENING(BgL_tmpz00_4524);
								}
								BgL_auxz00_4522 = ((BgL_pregz00_bglt) BgL_auxz00_4523);
							}
							((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_4522))->BgL_indexz00) =
								((obj_t) ((obj_t) ((obj_t)
											BGL_UNSAFE_CELL_REF(BgL_nz00_4019)))), BUNSPEC);
						}
						{
							BgL_pregz00_bglt BgL_auxz00_4532;

							{
								obj_t BgL_auxz00_4533;

								{	/* SawMill/expr.scm 33 */
									BgL_objectz00_bglt BgL_tmpz00_4534;

									BgL_tmpz00_4534 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_2149)));
									BgL_auxz00_4533 = BGL_OBJECT_WIDENING(BgL_tmpz00_4534);
								}
								BgL_auxz00_4532 = ((BgL_pregz00_bglt) BgL_auxz00_4533);
							}
							((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_4532))->BgL_statusz00) =
								((obj_t) ((obj_t) CNST_TABLE_REF(15))), BUNSPEC);
						}
						((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2149));
						{	/* SawMill/expr.scm 34 */
							obj_t BgL_auxz00_4020;

							BgL_auxz00_4020 =
								ADDFX(
								((obj_t)
									((obj_t) BGL_UNSAFE_CELL_REF(BgL_nz00_4019))), BINT(1L));
							BGL_UNSAFE_CELL_SET(BgL_nz00_4019, BgL_auxz00_4020);
						}
						return ((obj_t) CNST_TABLE_REF(15));
					}
			}
		}

	}



/* reg->preg/write~0 */
	obj_t BGl_regzd2ze3pregzf2writeze70z24zzsaw_exprz00(obj_t BgL_nz00_4021,
		obj_t BgL_rz00_2160)
	{
		{	/* SawMill/expr.scm 45 */
			{	/* SawMill/expr.scm 42 */
				obj_t BgL_sz00_2162;

				BgL_sz00_2162 =
					BGl_regzd2ze3pregze70zd6zzsaw_exprz00(BgL_nz00_4021, BgL_rz00_2160);
				if ((BgL_sz00_2162 == ((obj_t) CNST_TABLE_REF(15))))
					{	/* SawMill/expr.scm 43 */
						obj_t BgL_nstatz00_3112;

						BgL_nstatz00_3112 = ((obj_t) CNST_TABLE_REF(17));
						{
							BgL_pregz00_bglt BgL_auxz00_4557;

							{
								obj_t BgL_auxz00_4558;

								{	/* SawMill/expr.scm 29 */
									BgL_objectz00_bglt BgL_tmpz00_4559;

									BgL_tmpz00_4559 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_rz00_2160));
									BgL_auxz00_4558 = BGL_OBJECT_WIDENING(BgL_tmpz00_4559);
								}
								BgL_auxz00_4557 = ((BgL_pregz00_bglt) BgL_auxz00_4558);
							}
							return
								((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_4557))->
									BgL_statusz00) = ((obj_t) BgL_nstatz00_3112), BUNSPEC);
						}
					}
				else
					{	/* SawMill/expr.scm 43 */
						if ((BgL_sz00_2162 == ((obj_t) CNST_TABLE_REF(16))))
							{	/* SawMill/expr.scm 44 */
								obj_t BgL_nstatz00_3115;

								BgL_nstatz00_3115 = ((obj_t) CNST_TABLE_REF(18));
								{
									BgL_pregz00_bglt BgL_auxz00_4571;

									{
										obj_t BgL_auxz00_4572;

										{	/* SawMill/expr.scm 29 */
											BgL_objectz00_bglt BgL_tmpz00_4573;

											BgL_tmpz00_4573 =
												((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_rz00_2160));
											BgL_auxz00_4572 = BGL_OBJECT_WIDENING(BgL_tmpz00_4573);
										}
										BgL_auxz00_4571 = ((BgL_pregz00_bglt) BgL_auxz00_4572);
									}
									return
										((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_4571))->
											BgL_statusz00) = ((obj_t) BgL_nstatz00_3115), BUNSPEC);
								}
							}
						else
							{	/* SawMill/expr.scm 45 */
								obj_t BgL_nstatz00_3118;

								BgL_nstatz00_3118 = ((obj_t) CNST_TABLE_REF(19));
								{
									BgL_pregz00_bglt BgL_auxz00_4581;

									{
										obj_t BgL_auxz00_4582;

										{	/* SawMill/expr.scm 29 */
											BgL_objectz00_bglt BgL_tmpz00_4583;

											BgL_tmpz00_4583 =
												((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_rz00_2160));
											BgL_auxz00_4582 = BGL_OBJECT_WIDENING(BgL_tmpz00_4583);
										}
										BgL_auxz00_4581 = ((BgL_pregz00_bglt) BgL_auxz00_4582);
									}
									return
										((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_4581))->
											BgL_statusz00) = ((obj_t) BgL_nstatz00_3118), BUNSPEC);
								}
							}
					}
			}
		}

	}



/* build-tree */
	BGL_EXPORTED_DEF obj_t BGl_buildzd2treezd2zzsaw_exprz00(BgL_backendz00_bglt
		BgL_bez00_95, obj_t BgL_paramsz00_96, obj_t BgL_lz00_97)
	{
		{	/* SawMill/expr.scm 58 */
			{

				BGl_markzd2localszd2zzsaw_exprz00(BgL_paramsz00_96, BgL_lz00_97);
				{
					obj_t BgL_l1513z00_2192;

					{	/* SawMill/expr.scm 72 */
						bool_t BgL_tmpz00_4590;

						BgL_l1513z00_2192 = BgL_lz00_97;
					BgL_zc3z04anonymousza31747ze3z87_2193:
						if (PAIRP(BgL_l1513z00_2192))
							{	/* SawMill/expr.scm 72 */
								{	/* SawMill/expr.scm 73 */
									obj_t BgL_bz00_2195;

									BgL_bz00_2195 = CAR(BgL_l1513z00_2192);
									{	/* SawMill/expr.scm 73 */
										obj_t BgL_lz00_2196;
										obj_t BgL_movesz00_2197;

										BgL_lz00_2196 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt) BgL_bz00_2195)))->BgL_firstz00);
										BgL_movesz00_2197 = BNIL;
										{
											obj_t BgL_l1511z00_2199;

											BgL_l1511z00_2199 = BgL_lz00_2196;
										BgL_zc3z04anonymousza31750ze3z87_2200:
											if (PAIRP(BgL_l1511z00_2199))
												{	/* SawMill/expr.scm 74 */
													{	/* SawMill/expr.scm 74 */
														obj_t BgL_insz00_2202;

														BgL_insz00_2202 = CAR(BgL_l1511z00_2199);
														BgL_movesz00_2197 =
															BGl_analysez00zzsaw_exprz00(BgL_bez00_95,
															BgL_movesz00_2197, BgL_insz00_2202);
													}
													{
														obj_t BgL_l1511z00_4600;

														BgL_l1511z00_4600 = CDR(BgL_l1511z00_2199);
														BgL_l1511z00_2199 = BgL_l1511z00_4600;
														goto BgL_zc3z04anonymousza31750ze3z87_2200;
													}
												}
											else
												{	/* SawMill/expr.scm 74 */
													((bool_t) 1);
												}
										}
										{	/* SawMill/expr.scm 76 */
											obj_t BgL_rz00_2205;

											BgL_rz00_2205 =
												BGl_filterz12z12zz__r4_control_features_6_9z00
												(BGl_proc2153z00zzsaw_exprz00, BgL_lz00_2196);
											{	/* SawMill/expr.scm 77 */
												obj_t BgL_arg1756z00_2206;

												if (NULLP(BgL_rz00_2205))
													{	/* SawMill/expr.scm 77 */
														BgL_rtl_insz00_bglt BgL_arg1763z00_2208;

														{	/* SawMill/expr.scm 60 */
															BgL_rtl_insz00_bglt BgL_new1211z00_2213;

															{	/* SawMill/expr.scm 60 */
																BgL_rtl_insz00_bglt BgL_new1210z00_2217;

																BgL_new1210z00_2217 =
																	((BgL_rtl_insz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_rtl_insz00_bgl))));
																{	/* SawMill/expr.scm 60 */
																	long BgL_arg1770z00_2218;

																	BgL_arg1770z00_2218 =
																		BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1210z00_2217),
																		BgL_arg1770z00_2218);
																}
																{	/* SawMill/expr.scm 60 */
																	BgL_objectz00_bglt BgL_tmpz00_4609;

																	BgL_tmpz00_4609 =
																		((BgL_objectz00_bglt) BgL_new1210z00_2217);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4609,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1210z00_2217);
																BgL_new1211z00_2213 = BgL_new1210z00_2217;
															}
															((((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_new1211z00_2213))->BgL_locz00) =
																((obj_t) BFALSE), BUNSPEC);
															((((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_new1211z00_2213))->
																	BgL_z52spillz52) = ((obj_t) BNIL), BUNSPEC);
															((((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_new1211z00_2213))->
																	BgL_destz00) = ((obj_t) BFALSE), BUNSPEC);
															{
																BgL_rtl_funz00_bglt BgL_auxz00_4616;

																{	/* SawMill/expr.scm 60 */
																	BgL_rtl_nopz00_bglt BgL_new1213z00_2214;

																	{	/* SawMill/expr.scm 60 */
																		BgL_rtl_nopz00_bglt BgL_new1212z00_2215;

																		BgL_new1212z00_2215 =
																			((BgL_rtl_nopz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_rtl_nopz00_bgl))));
																		{	/* SawMill/expr.scm 60 */
																			long BgL_arg1768z00_2216;

																			{	/* SawMill/expr.scm 60 */
																				obj_t BgL_classz00_3134;

																				BgL_classz00_3134 =
																					BGl_rtl_nopz00zzsaw_defsz00;
																				BgL_arg1768z00_2216 =
																					BGL_CLASS_NUM(BgL_classz00_3134);
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1212z00_2215),
																				BgL_arg1768z00_2216);
																		}
																		BgL_new1213z00_2214 = BgL_new1212z00_2215;
																	}
																	((((BgL_rtl_funz00_bglt) COBJECT(
																					((BgL_rtl_funz00_bglt)
																						BgL_new1213z00_2214)))->
																			BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
																	BgL_auxz00_4616 =
																		((BgL_rtl_funz00_bglt) BgL_new1213z00_2214);
																}
																((((BgL_rtl_insz00_bglt)
																			COBJECT(BgL_new1211z00_2213))->
																		BgL_funz00) =
																	((BgL_rtl_funz00_bglt) BgL_auxz00_4616),
																	BUNSPEC);
															}
															((((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_new1211z00_2213))->
																	BgL_argsz00) = ((obj_t) BNIL), BUNSPEC);
															BgL_arg1763z00_2208 = BgL_new1211z00_2213;
														}
														{	/* SawMill/expr.scm 77 */
															obj_t BgL_list1764z00_2209;

															BgL_list1764z00_2209 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_arg1763z00_2208), BNIL);
															BgL_arg1756z00_2206 = BgL_list1764z00_2209;
													}}
												else
													{	/* SawMill/expr.scm 77 */
														BgL_arg1756z00_2206 = BgL_rz00_2205;
													}
												((((BgL_blockz00_bglt) COBJECT(
																((BgL_blockz00_bglt) BgL_bz00_2195)))->
														BgL_firstz00) =
													((obj_t) BgL_arg1756z00_2206), BUNSPEC);
											}
										}
									}
								}
								{
									obj_t BgL_l1513z00_4630;

									BgL_l1513z00_4630 = CDR(BgL_l1513z00_2192);
									BgL_l1513z00_2192 = BgL_l1513z00_4630;
									goto BgL_zc3z04anonymousza31747ze3z87_2193;
								}
							}
						else
							{	/* SawMill/expr.scm 72 */
								BgL_tmpz00_4590 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_4590);
					}
				}
			}
		}

	}



/* &build-tree */
	obj_t BGl_z62buildzd2treezb0zzsaw_exprz00(obj_t BgL_envz00_3868,
		obj_t BgL_bez00_3869, obj_t BgL_paramsz00_3870, obj_t BgL_lz00_3871)
	{
		{	/* SawMill/expr.scm 58 */
			return
				BGl_buildzd2treezd2zzsaw_exprz00(
				((BgL_backendz00_bglt) BgL_bez00_3869), BgL_paramsz00_3870,
				BgL_lz00_3871);
		}

	}



/* &useful */
	obj_t BGl_z62usefulz62zzsaw_exprz00(obj_t BgL_envz00_3872,
		obj_t BgL_insz00_3873)
	{
		{	/* SawMill/expr.scm 69 */
			{	/* SawMill/expr.scm 63 */
				bool_t BgL_tmpz00_4635;

				{
					obj_t BgL_insz00_4036;
					obj_t BgL_destz00_4037;

					{	/* SawMill/expr.scm 70 */
						bool_t BgL_test2261z00_4636;

						{	/* SawMill/expr.scm 70 */
							bool_t BgL_test2262z00_4637;

							{	/* SawMill/expr.scm 70 */
								obj_t BgL_classz00_4071;

								BgL_classz00_4071 = BGl_inlinedz00zzsaw_exprz00;
								if (BGL_OBJECTP(BgL_insz00_3873))
									{	/* SawMill/expr.scm 70 */
										obj_t BgL_oclassz00_4072;

										{	/* SawMill/expr.scm 70 */
											obj_t BgL_arg1866z00_4073;
											long BgL_arg1867z00_4074;

											BgL_arg1866z00_4073 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawMill/expr.scm 70 */
												long BgL_arg1869z00_4075;

												BgL_arg1869z00_4075 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt) BgL_insz00_3873));
												BgL_arg1867z00_4074 =
													(BgL_arg1869z00_4075 - OBJECT_TYPE);
											}
											BgL_oclassz00_4072 =
												VECTOR_REF(BgL_arg1866z00_4073, BgL_arg1867z00_4074);
										}
										BgL_test2262z00_4637 =
											(BgL_oclassz00_4072 == BgL_classz00_4071);
									}
								else
									{	/* SawMill/expr.scm 70 */
										BgL_test2262z00_4637 = ((bool_t) 0);
									}
							}
							if (BgL_test2262z00_4637)
								{	/* SawMill/expr.scm 70 */
									BgL_test2261z00_4636 = ((bool_t) 1);
								}
							else
								{	/* SawMill/expr.scm 70 */
									obj_t BgL_arg1782z00_4076;

									BgL_arg1782z00_4076 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_insz00_3873)))->BgL_destz00);
									BgL_insz00_4036 = BgL_insz00_3873;
									BgL_destz00_4037 = BgL_arg1782z00_4076;
								BgL_xzd3xzd3_4035:
									{	/* SawMill/expr.scm 63 */
										BgL_rtl_funz00_bglt BgL_funz00_4038;

										BgL_funz00_4038 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_insz00_4036)))->
											BgL_funz00);
										{	/* SawMill/expr.scm 64 */
											bool_t BgL_test2264z00_4650;

											{	/* SawMill/expr.scm 64 */
												obj_t BgL_classz00_4039;

												BgL_classz00_4039 = BGl_rtl_movz00zzsaw_defsz00;
												{	/* SawMill/expr.scm 64 */
													BgL_objectz00_bglt BgL_arg1858z00_4040;

													{	/* SawMill/expr.scm 64 */
														obj_t BgL_tmpz00_4651;

														BgL_tmpz00_4651 =
															((obj_t) ((BgL_objectz00_bglt) BgL_funz00_4038));
														BgL_arg1858z00_4040 =
															(BgL_objectz00_bglt) (BgL_tmpz00_4651);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* SawMill/expr.scm 64 */
															long BgL_idxz00_4041;

															BgL_idxz00_4041 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4040);
															BgL_test2264z00_4650 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_4041 + 3L)) == BgL_classz00_4039);
														}
													else
														{	/* SawMill/expr.scm 64 */
															bool_t BgL_res2130z00_4044;

															{	/* SawMill/expr.scm 64 */
																obj_t BgL_oclassz00_4045;

																{	/* SawMill/expr.scm 64 */
																	obj_t BgL_arg1866z00_4046;
																	long BgL_arg1867z00_4047;

																	BgL_arg1866z00_4046 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* SawMill/expr.scm 64 */
																		long BgL_arg1869z00_4048;

																		BgL_arg1869z00_4048 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4040);
																		BgL_arg1867z00_4047 =
																			(BgL_arg1869z00_4048 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_4045 =
																		VECTOR_REF(BgL_arg1866z00_4046,
																		BgL_arg1867z00_4047);
																}
																{	/* SawMill/expr.scm 64 */
																	bool_t BgL__ortest_1115z00_4049;

																	BgL__ortest_1115z00_4049 =
																		(BgL_classz00_4039 == BgL_oclassz00_4045);
																	if (BgL__ortest_1115z00_4049)
																		{	/* SawMill/expr.scm 64 */
																			BgL_res2130z00_4044 =
																				BgL__ortest_1115z00_4049;
																		}
																	else
																		{	/* SawMill/expr.scm 64 */
																			long BgL_odepthz00_4050;

																			{	/* SawMill/expr.scm 64 */
																				obj_t BgL_arg1855z00_4051;

																				BgL_arg1855z00_4051 =
																					(BgL_oclassz00_4045);
																				BgL_odepthz00_4050 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_4051);
																			}
																			if ((3L < BgL_odepthz00_4050))
																				{	/* SawMill/expr.scm 64 */
																					obj_t BgL_arg1853z00_4052;

																					{	/* SawMill/expr.scm 64 */
																						obj_t BgL_arg1854z00_4053;

																						BgL_arg1854z00_4053 =
																							(BgL_oclassz00_4045);
																						BgL_arg1853z00_4052 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_4053, 3L);
																					}
																					BgL_res2130z00_4044 =
																						(BgL_arg1853z00_4052 ==
																						BgL_classz00_4039);
																				}
																			else
																				{	/* SawMill/expr.scm 64 */
																					BgL_res2130z00_4044 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2264z00_4650 = BgL_res2130z00_4044;
														}
												}
											}
											if (BgL_test2264z00_4650)
												{	/* SawMill/expr.scm 65 */
													obj_t BgL_argz00_4054;

													{	/* SawMill/expr.scm 65 */
														obj_t BgL_pairz00_4055;

														BgL_pairz00_4055 =
															(((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt) BgL_insz00_4036)))->
															BgL_argsz00);
														BgL_argz00_4054 = CAR(BgL_pairz00_4055);
													}
													{	/* SawMill/expr.scm 66 */
														bool_t BgL_test2268z00_4677;

														{	/* SawMill/expr.scm 66 */
															obj_t BgL_classz00_4056;

															BgL_classz00_4056 = BGl_rtl_insz00zzsaw_defsz00;
															if (BGL_OBJECTP(BgL_argz00_4054))
																{	/* SawMill/expr.scm 66 */
																	BgL_objectz00_bglt BgL_arg1858z00_4057;

																	BgL_arg1858z00_4057 =
																		(BgL_objectz00_bglt) (BgL_argz00_4054);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* SawMill/expr.scm 66 */
																			long BgL_idxz00_4058;

																			BgL_idxz00_4058 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_4057);
																			BgL_test2268z00_4677 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_4058 + 1L)) ==
																				BgL_classz00_4056);
																		}
																	else
																		{	/* SawMill/expr.scm 66 */
																			bool_t BgL_res2131z00_4061;

																			{	/* SawMill/expr.scm 66 */
																				obj_t BgL_oclassz00_4062;

																				{	/* SawMill/expr.scm 66 */
																					obj_t BgL_arg1866z00_4063;
																					long BgL_arg1867z00_4064;

																					BgL_arg1866z00_4063 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* SawMill/expr.scm 66 */
																						long BgL_arg1869z00_4065;

																						BgL_arg1869z00_4065 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_4057);
																						BgL_arg1867z00_4064 =
																							(BgL_arg1869z00_4065 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_4062 =
																						VECTOR_REF(BgL_arg1866z00_4063,
																						BgL_arg1867z00_4064);
																				}
																				{	/* SawMill/expr.scm 66 */
																					bool_t BgL__ortest_1115z00_4066;

																					BgL__ortest_1115z00_4066 =
																						(BgL_classz00_4056 ==
																						BgL_oclassz00_4062);
																					if (BgL__ortest_1115z00_4066)
																						{	/* SawMill/expr.scm 66 */
																							BgL_res2131z00_4061 =
																								BgL__ortest_1115z00_4066;
																						}
																					else
																						{	/* SawMill/expr.scm 66 */
																							long BgL_odepthz00_4067;

																							{	/* SawMill/expr.scm 66 */
																								obj_t BgL_arg1855z00_4068;

																								BgL_arg1855z00_4068 =
																									(BgL_oclassz00_4062);
																								BgL_odepthz00_4067 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_4068);
																							}
																							if ((1L < BgL_odepthz00_4067))
																								{	/* SawMill/expr.scm 66 */
																									obj_t BgL_arg1853z00_4069;

																									{	/* SawMill/expr.scm 66 */
																										obj_t BgL_arg1854z00_4070;

																										BgL_arg1854z00_4070 =
																											(BgL_oclassz00_4062);
																										BgL_arg1853z00_4069 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_4070, 1L);
																									}
																									BgL_res2131z00_4061 =
																										(BgL_arg1853z00_4069 ==
																										BgL_classz00_4056);
																								}
																							else
																								{	/* SawMill/expr.scm 66 */
																									BgL_res2131z00_4061 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test2268z00_4677 =
																				BgL_res2131z00_4061;
																		}
																}
															else
																{	/* SawMill/expr.scm 66 */
																	BgL_test2268z00_4677 = ((bool_t) 0);
																}
														}
														if (BgL_test2268z00_4677)
															{
																obj_t BgL_insz00_4700;

																BgL_insz00_4700 = BgL_argz00_4054;
																BgL_insz00_4036 = BgL_insz00_4700;
																goto BgL_xzd3xzd3_4035;
															}
														else
															{	/* SawMill/expr.scm 66 */
																BgL_test2261z00_4636 =
																	(BgL_argz00_4054 == BgL_destz00_4037);
															}
													}
												}
											else
												{	/* SawMill/expr.scm 64 */
													BgL_test2261z00_4636 = ((bool_t) 0);
												}
										}
									}
								}
						}
						if (BgL_test2261z00_4636)
							{	/* SawMill/expr.scm 70 */
								BgL_tmpz00_4635 = ((bool_t) 0);
							}
						else
							{	/* SawMill/expr.scm 70 */
								BgL_tmpz00_4635 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_4635);
			}
		}

	}



/* mark-locals */
	bool_t BGl_markzd2localszd2zzsaw_exprz00(obj_t BgL_paramsz00_98,
		obj_t BgL_lz00_99)
	{
		{	/* SawMill/expr.scm 80 */
			{	/* SawMill/expr.scm 81 */
				struct bgl_unsafe_cell BgL_box2273_4017z00;
				obj_t BgL_nz00_4017;

				BgL_nz00_4017 =
					BGL_MAKE_UNSAFE_CELL_STACK(BINT(0L), BgL_box2273_4017z00);
				{
					obj_t BgL_rz00_2269;
					BgL_blockz00_bglt BgL_bz00_2275;

					{
						obj_t BgL_l1521z00_2245;

						BgL_l1521z00_2245 = BgL_paramsz00_98;
					BgL_zc3z04anonymousza31790ze3z87_2246:
						if (PAIRP(BgL_l1521z00_2245))
							{	/* SawMill/expr.scm 105 */
								BGl_regzd2ze3iregzf2writeze70z24zzsaw_exprz00(BgL_nz00_4017,
									CAR(BgL_l1521z00_2245));
								{
									obj_t BgL_l1521z00_4708;

									BgL_l1521z00_4708 = CDR(BgL_l1521z00_2245);
									BgL_l1521z00_2245 = BgL_l1521z00_4708;
									goto BgL_zc3z04anonymousza31790ze3z87_2246;
								}
							}
						else
							{	/* SawMill/expr.scm 105 */
								((bool_t) 1);
							}
					}
					{
						obj_t BgL_l1523z00_2252;

						BgL_l1523z00_2252 = BgL_lz00_99;
					BgL_zc3z04anonymousza31798ze3z87_2253:
						if (PAIRP(BgL_l1523z00_2252))
							{	/* SawMill/expr.scm 106 */
								{	/* SawMill/expr.scm 106 */
									obj_t BgL_arg1801z00_2255;

									BgL_arg1801z00_2255 = CAR(BgL_l1523z00_2252);
									BgL_bz00_2275 = ((BgL_blockz00_bglt) BgL_arg1801z00_2255);
									{	/* SawMill/expr.scm 100 */
										obj_t BgL_g1520z00_2277;

										BgL_g1520z00_2277 =
											(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2275))->
											BgL_firstz00);
										{
											obj_t BgL_l1518z00_2279;

											BgL_l1518z00_2279 = BgL_g1520z00_2277;
										BgL_zc3z04anonymousza31814ze3z87_2280:
											if (PAIRP(BgL_l1518z00_2279))
												{	/* SawMill/expr.scm 104 */
													{	/* SawMill/expr.scm 101 */
														obj_t BgL_insz00_2282;

														BgL_insz00_2282 = CAR(BgL_l1518z00_2279);
														if (CBOOL(
																(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_insz00_2282)))->BgL_destz00)))
															{	/* SawMill/expr.scm 102 */
																obj_t BgL_arg1818z00_2285;

																BgL_arg1818z00_2285 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_insz00_2282)))->BgL_destz00);
																BGl_regzd2ze3iregzf2writeze70z24zzsaw_exprz00
																	(BgL_nz00_4017, BgL_arg1818z00_2285);
															}
														else
															{	/* SawMill/expr.scm 102 */
																BFALSE;
															}
														{	/* SawMill/expr.scm 103 */
															obj_t BgL_g1517z00_2286;

															BgL_g1517z00_2286 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_insz00_2282)))->
																BgL_argsz00);
															{
																obj_t BgL_l1515z00_2288;

																BgL_l1515z00_2288 = BgL_g1517z00_2286;
															BgL_zc3z04anonymousza31819ze3z87_2289:
																if (PAIRP(BgL_l1515z00_2288))
																	{	/* SawMill/expr.scm 103 */
																		BgL_rz00_2269 = CAR(BgL_l1515z00_2288);
																		{	/* SawMill/expr.scm 90 */
																			obj_t BgL_sz00_2271;

																			BgL_sz00_2271 =
																				BGl_regzd2ze3iregze70zd6zzsaw_exprz00
																				(BgL_nz00_4017, BgL_rz00_2269);
																			if ((BgL_sz00_2271 ==
																					((obj_t) CNST_TABLE_REF(15))))
																				{	/* SawMill/expr.scm 91 */
																					obj_t BgL_nstatz00_3252;

																					BgL_nstatz00_3252 =
																						((obj_t) CNST_TABLE_REF(16));
																					{
																						BgL_iregz00_bglt BgL_auxz00_4735;

																						{
																							obj_t BgL_auxz00_4736;

																							{	/* SawMill/expr.scm 82 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_4737;
																								BgL_tmpz00_4737 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_regz00_bglt)
																										BgL_rz00_2269));
																								BgL_auxz00_4736 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_4737);
																							}
																							BgL_auxz00_4735 =
																								((BgL_iregz00_bglt)
																								BgL_auxz00_4736);
																						}
																						((((BgL_iregz00_bglt)
																									COBJECT(BgL_auxz00_4735))->
																								BgL_statusz00) =
																							((obj_t) BgL_nstatz00_3252),
																							BUNSPEC);
																					}
																				}
																			else
																				{	/* SawMill/expr.scm 91 */
																					if (
																						(BgL_sz00_2271 ==
																							((obj_t) CNST_TABLE_REF(17))))
																						{	/* SawMill/expr.scm 92 */
																							obj_t BgL_nstatz00_3255;

																							BgL_nstatz00_3255 =
																								((obj_t) CNST_TABLE_REF(18));
																							{
																								BgL_iregz00_bglt
																									BgL_auxz00_4749;
																								{
																									obj_t BgL_auxz00_4750;

																									{	/* SawMill/expr.scm 82 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_4751;
																										BgL_tmpz00_4751 =
																											((BgL_objectz00_bglt) (
																												(BgL_rtl_regz00_bglt)
																												BgL_rz00_2269));
																										BgL_auxz00_4750 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_4751);
																									}
																									BgL_auxz00_4749 =
																										((BgL_iregz00_bglt)
																										BgL_auxz00_4750);
																								}
																								((((BgL_iregz00_bglt)
																											COBJECT
																											(BgL_auxz00_4749))->
																										BgL_statusz00) =
																									((obj_t) BgL_nstatz00_3255),
																									BUNSPEC);
																							}
																						}
																					else
																						{	/* SawMill/expr.scm 93 */
																							obj_t BgL_nstatz00_3258;

																							BgL_nstatz00_3258 =
																								((obj_t) CNST_TABLE_REF(19));
																							{
																								BgL_iregz00_bglt
																									BgL_auxz00_4759;
																								{
																									obj_t BgL_auxz00_4760;

																									{	/* SawMill/expr.scm 82 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_4761;
																										BgL_tmpz00_4761 =
																											((BgL_objectz00_bglt) (
																												(BgL_rtl_regz00_bglt)
																												BgL_rz00_2269));
																										BgL_auxz00_4760 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_4761);
																									}
																									BgL_auxz00_4759 =
																										((BgL_iregz00_bglt)
																										BgL_auxz00_4760);
																								}
																								((((BgL_iregz00_bglt)
																											COBJECT
																											(BgL_auxz00_4759))->
																										BgL_statusz00) =
																									((obj_t) BgL_nstatz00_3258),
																									BUNSPEC);
																							}
																						}
																				}
																		}
																		{
																			obj_t BgL_l1515z00_4768;

																			BgL_l1515z00_4768 =
																				CDR(BgL_l1515z00_2288);
																			BgL_l1515z00_2288 = BgL_l1515z00_4768;
																			goto
																				BgL_zc3z04anonymousza31819ze3z87_2289;
																		}
																	}
																else
																	{	/* SawMill/expr.scm 103 */
																		((bool_t) 1);
																	}
															}
														}
													}
													{
														obj_t BgL_l1518z00_4770;

														BgL_l1518z00_4770 = CDR(BgL_l1518z00_2279);
														BgL_l1518z00_2279 = BgL_l1518z00_4770;
														goto BgL_zc3z04anonymousza31814ze3z87_2280;
													}
												}
											else
												{	/* SawMill/expr.scm 104 */
													((bool_t) 1);
												}
										}
									}
								}
								{
									obj_t BgL_l1523z00_4773;

									BgL_l1523z00_4773 = CDR(BgL_l1523z00_2252);
									BgL_l1523z00_2252 = BgL_l1523z00_4773;
									goto BgL_zc3z04anonymousza31798ze3z87_2253;
								}
							}
						else
							{	/* SawMill/expr.scm 106 */
								return ((bool_t) 1);
							}
					}
				}
			}
		}

	}



/* reg->ireg~0 */
	obj_t BGl_regzd2ze3iregze70zd6zzsaw_exprz00(obj_t BgL_nz00_4014,
		obj_t BgL_rz00_2261)
	{
		{	/* SawMill/expr.scm 88 */
			{	/* SawMill/expr.scm 84 */
				bool_t BgL_test2281z00_4775;

				{	/* SawMill/expr.scm 84 */
					obj_t BgL_classz00_3231;

					BgL_classz00_3231 = BGl_iregz00zzsaw_exprz00;
					if (BGL_OBJECTP(BgL_rz00_2261))
						{	/* SawMill/expr.scm 84 */
							obj_t BgL_oclassz00_3233;

							{	/* SawMill/expr.scm 84 */
								obj_t BgL_arg1866z00_3235;
								long BgL_arg1867z00_3236;

								BgL_arg1866z00_3235 = (BGl_za2classesza2z00zz__objectz00);
								{	/* SawMill/expr.scm 84 */
									long BgL_arg1869z00_3237;

									BgL_arg1869z00_3237 =
										BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_rz00_2261));
									BgL_arg1867z00_3236 = (BgL_arg1869z00_3237 - OBJECT_TYPE);
								}
								BgL_oclassz00_3233 =
									VECTOR_REF(BgL_arg1866z00_3235, BgL_arg1867z00_3236);
							}
							BgL_test2281z00_4775 = (BgL_oclassz00_3233 == BgL_classz00_3231);
						}
					else
						{	/* SawMill/expr.scm 84 */
							BgL_test2281z00_4775 = ((bool_t) 0);
						}
				}
				if (BgL_test2281z00_4775)
					{
						BgL_iregz00_bglt BgL_auxz00_4784;

						{
							obj_t BgL_auxz00_4785;

							{	/* SawMill/expr.scm 85 */
								BgL_objectz00_bglt BgL_tmpz00_4786;

								BgL_tmpz00_4786 =
									((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2261));
								BgL_auxz00_4785 = BGL_OBJECT_WIDENING(BgL_tmpz00_4786);
							}
							BgL_auxz00_4784 = ((BgL_iregz00_bglt) BgL_auxz00_4785);
						}
						return
							(((BgL_iregz00_bglt) COBJECT(BgL_auxz00_4784))->BgL_statusz00);
					}
				else
					{	/* SawMill/expr.scm 84 */
						{	/* SawMill/expr.scm 86 */
							BgL_iregz00_bglt BgL_wide1216z00_2266;

							BgL_wide1216z00_2266 =
								((BgL_iregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_iregz00_bgl))));
							{	/* SawMill/expr.scm 86 */
								obj_t BgL_auxz00_4797;
								BgL_objectz00_bglt BgL_tmpz00_4793;

								BgL_auxz00_4797 = ((obj_t) BgL_wide1216z00_2266);
								BgL_tmpz00_4793 =
									((BgL_objectz00_bglt)
									((BgL_rtl_regz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_rz00_2261)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4793, BgL_auxz00_4797);
							}
							((BgL_objectz00_bglt)
								((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2261)));
							{	/* SawMill/expr.scm 86 */
								long BgL_arg1810z00_2267;

								BgL_arg1810z00_2267 = BGL_CLASS_NUM(BGl_iregz00zzsaw_exprz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_2261))),
									BgL_arg1810z00_2267);
							}
							((BgL_rtl_regz00_bglt)
								((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2261)));
						}
						{
							BgL_iregz00_bglt BgL_auxz00_4811;

							{
								obj_t BgL_auxz00_4812;

								{	/* SawMill/expr.scm 86 */
									BgL_objectz00_bglt BgL_tmpz00_4813;

									BgL_tmpz00_4813 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_2261)));
									BgL_auxz00_4812 = BGL_OBJECT_WIDENING(BgL_tmpz00_4813);
								}
								BgL_auxz00_4811 = ((BgL_iregz00_bglt) BgL_auxz00_4812);
							}
							((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_4811))->BgL_indexz00) =
								((obj_t) ((obj_t) ((obj_t)
											BGL_UNSAFE_CELL_REF(BgL_nz00_4014)))), BUNSPEC);
						}
						{
							BgL_iregz00_bglt BgL_auxz00_4821;

							{
								obj_t BgL_auxz00_4822;

								{	/* SawMill/expr.scm 86 */
									BgL_objectz00_bglt BgL_tmpz00_4823;

									BgL_tmpz00_4823 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_2261)));
									BgL_auxz00_4822 = BGL_OBJECT_WIDENING(BgL_tmpz00_4823);
								}
								BgL_auxz00_4821 = ((BgL_iregz00_bglt) BgL_auxz00_4822);
							}
							((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_4821))->BgL_statusz00) =
								((obj_t) ((obj_t) CNST_TABLE_REF(15))), BUNSPEC);
						}
						((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2261));
						{	/* SawMill/expr.scm 87 */
							obj_t BgL_auxz00_4015;

							BgL_auxz00_4015 =
								ADDFX(
								((obj_t)
									((obj_t) BGL_UNSAFE_CELL_REF(BgL_nz00_4014))), BINT(1L));
							BGL_UNSAFE_CELL_SET(BgL_nz00_4014, BgL_auxz00_4015);
						}
						return ((obj_t) CNST_TABLE_REF(15));
					}
			}
		}

	}



/* reg->ireg/write~0 */
	obj_t BGl_regzd2ze3iregzf2writeze70z24zzsaw_exprz00(obj_t BgL_nz00_4016,
		obj_t BgL_rz00_2272)
	{
		{	/* SawMill/expr.scm 98 */
			{	/* SawMill/expr.scm 95 */
				obj_t BgL_sz00_2274;

				BgL_sz00_2274 =
					BGl_regzd2ze3iregze70zd6zzsaw_exprz00(BgL_nz00_4016, BgL_rz00_2272);
				if ((BgL_sz00_2274 == ((obj_t) CNST_TABLE_REF(15))))
					{	/* SawMill/expr.scm 96 */
						obj_t BgL_nstatz00_3261;

						BgL_nstatz00_3261 = ((obj_t) CNST_TABLE_REF(17));
						{
							BgL_iregz00_bglt BgL_auxz00_4846;

							{
								obj_t BgL_auxz00_4847;

								{	/* SawMill/expr.scm 82 */
									BgL_objectz00_bglt BgL_tmpz00_4848;

									BgL_tmpz00_4848 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_rz00_2272));
									BgL_auxz00_4847 = BGL_OBJECT_WIDENING(BgL_tmpz00_4848);
								}
								BgL_auxz00_4846 = ((BgL_iregz00_bglt) BgL_auxz00_4847);
							}
							return
								((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_4846))->
									BgL_statusz00) = ((obj_t) BgL_nstatz00_3261), BUNSPEC);
						}
					}
				else
					{	/* SawMill/expr.scm 96 */
						if ((BgL_sz00_2274 == ((obj_t) CNST_TABLE_REF(16))))
							{	/* SawMill/expr.scm 97 */
								obj_t BgL_nstatz00_3264;

								BgL_nstatz00_3264 = ((obj_t) CNST_TABLE_REF(18));
								{
									BgL_iregz00_bglt BgL_auxz00_4860;

									{
										obj_t BgL_auxz00_4861;

										{	/* SawMill/expr.scm 82 */
											BgL_objectz00_bglt BgL_tmpz00_4862;

											BgL_tmpz00_4862 =
												((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_rz00_2272));
											BgL_auxz00_4861 = BGL_OBJECT_WIDENING(BgL_tmpz00_4862);
										}
										BgL_auxz00_4860 = ((BgL_iregz00_bglt) BgL_auxz00_4861);
									}
									return
										((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_4860))->
											BgL_statusz00) = ((obj_t) BgL_nstatz00_3264), BUNSPEC);
								}
							}
						else
							{	/* SawMill/expr.scm 98 */
								obj_t BgL_nstatz00_3267;

								BgL_nstatz00_3267 = ((obj_t) CNST_TABLE_REF(19));
								{
									BgL_iregz00_bglt BgL_auxz00_4870;

									{
										obj_t BgL_auxz00_4871;

										{	/* SawMill/expr.scm 82 */
											BgL_objectz00_bglt BgL_tmpz00_4872;

											BgL_tmpz00_4872 =
												((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_rz00_2272));
											BgL_auxz00_4871 = BGL_OBJECT_WIDENING(BgL_tmpz00_4872);
										}
										BgL_auxz00_4870 = ((BgL_iregz00_bglt) BgL_auxz00_4871);
									}
									return
										((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_4870))->
											BgL_statusz00) = ((obj_t) BgL_nstatz00_3267), BUNSPEC);
								}
							}
					}
			}
		}

	}



/* pre-analyse */
	obj_t BGl_prezd2analysezd2zzsaw_exprz00(BgL_backendz00_bglt BgL_bz00_100,
		obj_t BgL_movingz00_101, obj_t BgL_insz00_102)
	{
		{	/* SawMill/expr.scm 112 */
			{	/* SawMill/expr.scm 113 */
				obj_t BgL_inszd2effectzd2_2301;
				obj_t BgL_argsz00_2302;

				{	/* SawMill/expr.scm 113 */
					BgL_rtl_funz00_bglt BgL_arg1885z00_2343;

					BgL_arg1885z00_2343 =
						(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_insz00_102)))->BgL_funz00);
					BgL_inszd2effectzd2_2301 =
						BGl_effectsz00zzsaw_exprz00(BgL_arg1885z00_2343);
				}
				BgL_argsz00_2302 =
					(((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_insz00_102)))->BgL_argsz00);
				{
					obj_t BgL_lz00_2323;
					obj_t BgL_rz00_2324;
					obj_t BgL_treez00_2318;
					obj_t BgL_posz00_2319;

					{	/* SawMill/expr.scm 128 */
						obj_t BgL_rz00_2305;
						obj_t BgL_dz00_2306;

						BgL_lz00_2323 = BgL_movingz00_101;
						BgL_rz00_2324 = BNIL;
					BgL_zc3z04anonymousza31852ze3z87_2325:
						if (NULLP(BgL_lz00_2323))
							{	/* SawMill/expr.scm 119 */
								BgL_rz00_2305 = BgL_rz00_2324;
							}
						else
							{	/* SawMill/expr.scm 120 */
								obj_t BgL_g1219z00_2327;

								BgL_g1219z00_2327 =
									BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt)
													CAR(
														((obj_t) BgL_lz00_2323)))))->BgL_destz00),
									BgL_argsz00_2302);
								if (CBOOL(BgL_g1219z00_2327))
									{	/* SawMill/expr.scm 120 */
										{	/* SawMill/expr.scm 122 */
											obj_t BgL_arg1856z00_2330;

											BgL_arg1856z00_2330 = CAR(((obj_t) BgL_lz00_2323));
											BgL_treez00_2318 = BgL_arg1856z00_2330;
											BgL_posz00_2319 = BgL_g1219z00_2327;
											if (CBOOL(BGl_acceptzd2foldingzf3z21zzsaw_exprz00
													(BgL_bz00_100, BgL_insz00_102, BgL_treez00_2318)))
												{	/* SawMill/expr.scm 115 */
													BGl_za2countza2z00zzsaw_exprz00 =
														(1L + BGl_za2countza2z00zzsaw_exprz00);
													{	/* SawMill/expr.scm 117 */
														obj_t BgL_arg1851z00_2322;

														BgL_arg1851z00_2322 =
															(((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt) BgL_treez00_2318)))->
															BgL_destz00);
														((((BgL_rtl_regz00_bglt)
																	COBJECT(((BgL_rtl_regz00_bglt)
																			BgL_arg1851z00_2322)))->
																BgL_onexprzf3zf3) = ((obj_t) BTRUE), BUNSPEC);
													}
												}
											else
												{	/* SawMill/expr.scm 115 */
													BFALSE;
												}
										}
										{	/* SawMill/expr.scm 123 */
											obj_t BgL_arg1857z00_2331;

											BgL_arg1857z00_2331 = CDR(((obj_t) BgL_lz00_2323));
											{
												obj_t BgL_lz00_4904;

												BgL_lz00_4904 = BgL_arg1857z00_2331;
												BgL_lz00_2323 = BgL_lz00_4904;
												goto BgL_zc3z04anonymousza31852ze3z87_2325;
											}
										}
									}
								else
									{	/* SawMill/expr.scm 124 */
										bool_t BgL_test2288z00_4905;

										{	/* SawMill/expr.scm 124 */
											obj_t BgL_arg1878z00_2338;

											BgL_arg1878z00_2338 = CAR(((obj_t) BgL_lz00_2323));
											BgL_test2288z00_4905 =
												CBOOL(BGl_xxz00zzsaw_exprz00(BgL_arg1878z00_2338,
													BgL_insz00_102, BgL_inszd2effectzd2_2301));
										}
										if (BgL_test2288z00_4905)
											{	/* SawMill/expr.scm 126 */
												obj_t BgL_arg1865z00_2334;

												BgL_arg1865z00_2334 = CDR(((obj_t) BgL_lz00_2323));
												{
													obj_t BgL_lz00_4912;

													BgL_lz00_4912 = BgL_arg1865z00_2334;
													BgL_lz00_2323 = BgL_lz00_4912;
													goto BgL_zc3z04anonymousza31852ze3z87_2325;
												}
											}
										else
											{	/* SawMill/expr.scm 127 */
												obj_t BgL_arg1872z00_2335;
												obj_t BgL_arg1873z00_2336;

												BgL_arg1872z00_2335 = CDR(((obj_t) BgL_lz00_2323));
												{	/* SawMill/expr.scm 127 */
													obj_t BgL_arg1876z00_2337;

													BgL_arg1876z00_2337 = CAR(((obj_t) BgL_lz00_2323));
													BgL_arg1873z00_2336 =
														MAKE_YOUNG_PAIR(BgL_arg1876z00_2337, BgL_rz00_2324);
												}
												{
													obj_t BgL_rz00_4919;
													obj_t BgL_lz00_4918;

													BgL_lz00_4918 = BgL_arg1872z00_2335;
													BgL_rz00_4919 = BgL_arg1873z00_2336;
													BgL_rz00_2324 = BgL_rz00_4919;
													BgL_lz00_2323 = BgL_lz00_4918;
													goto BgL_zc3z04anonymousza31852ze3z87_2325;
												}
											}
									}
							}
						BgL_dz00_2306 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_insz00_102)))->BgL_destz00);
						{	/* SawMill/expr.scm 130 */
							bool_t BgL_test2289z00_4922;

							if (CBOOL(BgL_dz00_2306))
								{	/* SawMill/expr.scm 131 */
									bool_t BgL_test2291z00_4925;

									{	/* SawMill/expr.scm 131 */
										obj_t BgL_arg1848z00_2317;

										{
											BgL_pregz00_bglt BgL_auxz00_4926;

											{
												obj_t BgL_auxz00_4927;

												{	/* SawMill/expr.scm 131 */
													BgL_objectz00_bglt BgL_tmpz00_4928;

													BgL_tmpz00_4928 =
														((BgL_objectz00_bglt)
														((BgL_rtl_regz00_bglt) BgL_dz00_2306));
													BgL_auxz00_4927 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4928);
												}
												BgL_auxz00_4926 = ((BgL_pregz00_bglt) BgL_auxz00_4927);
											}
											BgL_arg1848z00_2317 =
												(((BgL_pregz00_bglt) COBJECT(BgL_auxz00_4926))->
												BgL_statusz00);
										}
										BgL_test2291z00_4925 =
											(BgL_arg1848z00_2317 == ((obj_t) CNST_TABLE_REF(18)));
									}
									if (BgL_test2291z00_4925)
										{	/* SawMill/expr.scm 132 */
											bool_t BgL_test2292z00_4937;

											{	/* SawMill/expr.scm 132 */
												BgL_rtl_funz00_bglt BgL_arg1847z00_2316;

												BgL_arg1847z00_2316 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_insz00_102)))->
													BgL_funz00);
												{	/* SawMill/expr.scm 132 */
													obj_t BgL_classz00_3297;

													BgL_classz00_3297 = BGl_rtl_protectz00zzsaw_defsz00;
													{	/* SawMill/expr.scm 132 */
														BgL_objectz00_bglt BgL_arg1858z00_3299;

														{	/* SawMill/expr.scm 132 */
															obj_t BgL_tmpz00_4940;

															BgL_tmpz00_4940 =
																((obj_t)
																((BgL_objectz00_bglt) BgL_arg1847z00_2316));
															BgL_arg1858z00_3299 =
																(BgL_objectz00_bglt) (BgL_tmpz00_4940);
														}
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* SawMill/expr.scm 132 */
																long BgL_idxz00_3305;

																BgL_idxz00_3305 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_3299);
																BgL_test2292z00_4937 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3305 + 2L)) ==
																	BgL_classz00_3297);
															}
														else
															{	/* SawMill/expr.scm 132 */
																bool_t BgL_res2133z00_3330;

																{	/* SawMill/expr.scm 132 */
																	obj_t BgL_oclassz00_3313;

																	{	/* SawMill/expr.scm 132 */
																		obj_t BgL_arg1866z00_3321;
																		long BgL_arg1867z00_3322;

																		BgL_arg1866z00_3321 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* SawMill/expr.scm 132 */
																			long BgL_arg1869z00_3323;

																			BgL_arg1869z00_3323 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_3299);
																			BgL_arg1867z00_3322 =
																				(BgL_arg1869z00_3323 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3313 =
																			VECTOR_REF(BgL_arg1866z00_3321,
																			BgL_arg1867z00_3322);
																	}
																	{	/* SawMill/expr.scm 132 */
																		bool_t BgL__ortest_1115z00_3314;

																		BgL__ortest_1115z00_3314 =
																			(BgL_classz00_3297 == BgL_oclassz00_3313);
																		if (BgL__ortest_1115z00_3314)
																			{	/* SawMill/expr.scm 132 */
																				BgL_res2133z00_3330 =
																					BgL__ortest_1115z00_3314;
																			}
																		else
																			{	/* SawMill/expr.scm 132 */
																				long BgL_odepthz00_3315;

																				{	/* SawMill/expr.scm 132 */
																					obj_t BgL_arg1855z00_3316;

																					BgL_arg1855z00_3316 =
																						(BgL_oclassz00_3313);
																					BgL_odepthz00_3315 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_3316);
																				}
																				if ((2L < BgL_odepthz00_3315))
																					{	/* SawMill/expr.scm 132 */
																						obj_t BgL_arg1853z00_3318;

																						{	/* SawMill/expr.scm 132 */
																							obj_t BgL_arg1854z00_3319;

																							BgL_arg1854z00_3319 =
																								(BgL_oclassz00_3313);
																							BgL_arg1853z00_3318 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_3319, 2L);
																						}
																						BgL_res2133z00_3330 =
																							(BgL_arg1853z00_3318 ==
																							BgL_classz00_3297);
																					}
																				else
																					{	/* SawMill/expr.scm 132 */
																						BgL_res2133z00_3330 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2292z00_4937 = BgL_res2133z00_3330;
															}
													}
												}
											}
											if (BgL_test2292z00_4937)
												{	/* SawMill/expr.scm 132 */
													BgL_test2289z00_4922 = ((bool_t) 0);
												}
											else
												{	/* SawMill/expr.scm 132 */
													BgL_test2289z00_4922 = ((bool_t) 1);
												}
										}
									else
										{	/* SawMill/expr.scm 131 */
											BgL_test2289z00_4922 = ((bool_t) 0);
										}
								}
							else
								{	/* SawMill/expr.scm 130 */
									BgL_test2289z00_4922 = ((bool_t) 0);
								}
							if (BgL_test2289z00_4922)
								{	/* SawMill/expr.scm 130 */
									return MAKE_YOUNG_PAIR(BgL_insz00_102, BgL_rz00_2305);
								}
							else
								{	/* SawMill/expr.scm 130 */
									return BgL_rz00_2305;
								}
						}
					}
				}
			}
		}

	}



/* analyse */
	obj_t BGl_analysez00zzsaw_exprz00(BgL_backendz00_bglt BgL_bz00_103,
		obj_t BgL_movingz00_104, obj_t BgL_insz00_105)
	{
		{	/* SawMill/expr.scm 137 */
			{	/* SawMill/expr.scm 139 */
				obj_t BgL_inszd2effectzd2_2344;
				obj_t BgL_argsz00_2345;

				{	/* SawMill/expr.scm 139 */
					BgL_rtl_funz00_bglt BgL_arg1913z00_2391;

					BgL_arg1913z00_2391 =
						(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_insz00_105)))->BgL_funz00);
					BgL_inszd2effectzd2_2344 =
						BGl_effectsz00zzsaw_exprz00(BgL_arg1913z00_2391);
				}
				BgL_argsz00_2345 =
					(((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_insz00_105)))->BgL_argsz00);
				{
					obj_t BgL_lz00_2371;
					obj_t BgL_rz00_2372;
					obj_t BgL_treez00_2361;
					obj_t BgL_posz00_2362;

					{	/* SawMill/expr.scm 157 */
						obj_t BgL_rz00_2348;
						obj_t BgL_dz00_2349;

						BgL_lz00_2371 = BgL_movingz00_104;
						BgL_rz00_2372 = BNIL;
					BgL_zc3z04anonymousza31900ze3z87_2373:
						if (NULLP(BgL_lz00_2371))
							{	/* SawMill/expr.scm 147 */
								BgL_rz00_2348 = BgL_rz00_2372;
							}
						else
							{	/* SawMill/expr.scm 148 */
								obj_t BgL_g1225z00_2375;

								BgL_g1225z00_2375 =
									BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt)
													CAR(
														((obj_t) BgL_lz00_2371)))))->BgL_destz00),
									BgL_argsz00_2345);
								if (CBOOL(BgL_g1225z00_2375))
									{	/* SawMill/expr.scm 148 */
										{	/* SawMill/expr.scm 150 */
											obj_t BgL_arg1902z00_2378;

											BgL_arg1902z00_2378 = CAR(((obj_t) BgL_lz00_2371));
											BgL_treez00_2361 = BgL_arg1902z00_2378;
											BgL_posz00_2362 = BgL_g1225z00_2375;
											if (CBOOL(BGl_acceptzd2foldingzf3z21zzsaw_exprz00
													(BgL_bz00_103, BgL_insz00_105, BgL_treez00_2361)))
												{	/* SawMill/expr.scm 141 */
													{	/* SawMill/expr.scm 143 */
														obj_t BgL_tmpz00_4983;

														BgL_tmpz00_4983 = ((obj_t) BgL_posz00_2362);
														SET_CAR(BgL_tmpz00_4983, BgL_treez00_2361);
													}
													{	/* SawMill/expr.scm 144 */
														bool_t BgL_test2299z00_4986;

														{	/* SawMill/expr.scm 144 */
															obj_t BgL_classz00_3334;

															BgL_classz00_3334 = BGl_inlinedz00zzsaw_exprz00;
															if (BGL_OBJECTP(BgL_treez00_2361))
																{	/* SawMill/expr.scm 144 */
																	obj_t BgL_oclassz00_3336;

																	{	/* SawMill/expr.scm 144 */
																		obj_t BgL_arg1866z00_3338;
																		long BgL_arg1867z00_3339;

																		BgL_arg1866z00_3338 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* SawMill/expr.scm 144 */
																			long BgL_arg1869z00_3340;

																			BgL_arg1869z00_3340 =
																				BGL_OBJECT_CLASS_NUM(
																				((BgL_objectz00_bglt)
																					BgL_treez00_2361));
																			BgL_arg1867z00_3339 =
																				(BgL_arg1869z00_3340 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3336 =
																			VECTOR_REF(BgL_arg1866z00_3338,
																			BgL_arg1867z00_3339);
																	}
																	BgL_test2299z00_4986 =
																		(BgL_oclassz00_3336 == BgL_classz00_3334);
																}
															else
																{	/* SawMill/expr.scm 144 */
																	BgL_test2299z00_4986 = ((bool_t) 0);
																}
														}
														if (BgL_test2299z00_4986)
															{	/* SawMill/expr.scm 144 */
																BFALSE;
															}
														else
															{	/* SawMill/expr.scm 144 */
																{	/* SawMill/expr.scm 144 */
																	BgL_inlinedz00_bglt BgL_wide1223z00_2368;

																	BgL_wide1223z00_2368 =
																		((BgL_inlinedz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_inlinedz00_bgl))));
																	{	/* SawMill/expr.scm 144 */
																		obj_t BgL_auxz00_5000;
																		BgL_objectz00_bglt BgL_tmpz00_4996;

																		BgL_auxz00_5000 =
																			((obj_t) BgL_wide1223z00_2368);
																		BgL_tmpz00_4996 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_treez00_2361)));
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4996,
																			BgL_auxz00_5000);
																	}
																	((BgL_objectz00_bglt)
																		((BgL_rtl_insz00_bglt)
																			((BgL_rtl_insz00_bglt)
																				BgL_treez00_2361)));
																	{	/* SawMill/expr.scm 144 */
																		long BgL_arg1899z00_2369;

																		BgL_arg1899z00_2369 =
																			BGL_CLASS_NUM
																			(BGl_inlinedz00zzsaw_exprz00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt) (
																					(BgL_rtl_insz00_bglt) (
																						(BgL_rtl_insz00_bglt)
																						BgL_treez00_2361))),
																			BgL_arg1899z00_2369);
																	}
																	((BgL_rtl_insz00_bglt)
																		((BgL_rtl_insz00_bglt)
																			((BgL_rtl_insz00_bglt)
																				BgL_treez00_2361)));
																}
																((obj_t)
																	((BgL_rtl_insz00_bglt)
																		((BgL_rtl_insz00_bglt) BgL_treez00_2361)));
												}}}
											else
												{	/* SawMill/expr.scm 141 */
													BFALSE;
												}
										}
										{	/* SawMill/expr.scm 151 */
											obj_t BgL_arg1903z00_2379;

											BgL_arg1903z00_2379 = CDR(((obj_t) BgL_lz00_2371));
											{
												obj_t BgL_lz00_5019;

												BgL_lz00_5019 = BgL_arg1903z00_2379;
												BgL_lz00_2371 = BgL_lz00_5019;
												goto BgL_zc3z04anonymousza31900ze3z87_2373;
											}
										}
									}
								else
									{	/* SawMill/expr.scm 152 */
										bool_t BgL_test2301z00_5020;

										{	/* SawMill/expr.scm 152 */
											obj_t BgL_arg1910z00_2386;

											BgL_arg1910z00_2386 = CAR(((obj_t) BgL_lz00_2371));
											BgL_test2301z00_5020 =
												CBOOL(BGl_xxz00zzsaw_exprz00(BgL_arg1910z00_2386,
													BgL_insz00_105, BgL_inszd2effectzd2_2344));
										}
										if (BgL_test2301z00_5020)
											{	/* SawMill/expr.scm 154 */
												obj_t BgL_arg1906z00_2382;

												BgL_arg1906z00_2382 = CDR(((obj_t) BgL_lz00_2371));
												{
													obj_t BgL_lz00_5027;

													BgL_lz00_5027 = BgL_arg1906z00_2382;
													BgL_lz00_2371 = BgL_lz00_5027;
													goto BgL_zc3z04anonymousza31900ze3z87_2373;
												}
											}
										else
											{	/* SawMill/expr.scm 155 */
												obj_t BgL_arg1907z00_2383;
												obj_t BgL_arg1908z00_2384;

												BgL_arg1907z00_2383 = CDR(((obj_t) BgL_lz00_2371));
												{	/* SawMill/expr.scm 155 */
													obj_t BgL_arg1909z00_2385;

													BgL_arg1909z00_2385 = CAR(((obj_t) BgL_lz00_2371));
													BgL_arg1908z00_2384 =
														MAKE_YOUNG_PAIR(BgL_arg1909z00_2385, BgL_rz00_2372);
												}
												{
													obj_t BgL_rz00_5034;
													obj_t BgL_lz00_5033;

													BgL_lz00_5033 = BgL_arg1907z00_2383;
													BgL_rz00_5034 = BgL_arg1908z00_2384;
													BgL_rz00_2372 = BgL_rz00_5034;
													BgL_lz00_2371 = BgL_lz00_5033;
													goto BgL_zc3z04anonymousza31900ze3z87_2373;
												}
											}
									}
							}
						BgL_dz00_2349 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_insz00_105)))->BgL_destz00);
						{	/* SawMill/expr.scm 159 */
							bool_t BgL_test2302z00_5037;

							if (CBOOL(BgL_dz00_2349))
								{	/* SawMill/expr.scm 160 */
									bool_t BgL_test2304z00_5040;

									{	/* SawMill/expr.scm 160 */
										obj_t BgL_arg1895z00_2360;

										{
											BgL_iregz00_bglt BgL_auxz00_5041;

											{
												obj_t BgL_auxz00_5042;

												{	/* SawMill/expr.scm 160 */
													BgL_objectz00_bglt BgL_tmpz00_5043;

													BgL_tmpz00_5043 =
														((BgL_objectz00_bglt)
														((BgL_rtl_regz00_bglt) BgL_dz00_2349));
													BgL_auxz00_5042 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_5043);
												}
												BgL_auxz00_5041 = ((BgL_iregz00_bglt) BgL_auxz00_5042);
											}
											BgL_arg1895z00_2360 =
												(((BgL_iregz00_bglt) COBJECT(BgL_auxz00_5041))->
												BgL_statusz00);
										}
										BgL_test2304z00_5040 =
											(BgL_arg1895z00_2360 == ((obj_t) CNST_TABLE_REF(18)));
									}
									if (BgL_test2304z00_5040)
										{	/* SawMill/expr.scm 161 */
											bool_t BgL_test2305z00_5052;

											{	/* SawMill/expr.scm 161 */
												BgL_rtl_funz00_bglt BgL_arg1894z00_2359;

												BgL_arg1894z00_2359 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_insz00_105)))->
													BgL_funz00);
												{	/* SawMill/expr.scm 161 */
													obj_t BgL_classz00_3363;

													BgL_classz00_3363 = BGl_rtl_protectz00zzsaw_defsz00;
													{	/* SawMill/expr.scm 161 */
														BgL_objectz00_bglt BgL_arg1858z00_3365;

														{	/* SawMill/expr.scm 161 */
															obj_t BgL_tmpz00_5055;

															BgL_tmpz00_5055 =
																((obj_t)
																((BgL_objectz00_bglt) BgL_arg1894z00_2359));
															BgL_arg1858z00_3365 =
																(BgL_objectz00_bglt) (BgL_tmpz00_5055);
														}
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* SawMill/expr.scm 161 */
																long BgL_idxz00_3371;

																BgL_idxz00_3371 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_3365);
																BgL_test2305z00_5052 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3371 + 2L)) ==
																	BgL_classz00_3363);
															}
														else
															{	/* SawMill/expr.scm 161 */
																bool_t BgL_res2134z00_3396;

																{	/* SawMill/expr.scm 161 */
																	obj_t BgL_oclassz00_3379;

																	{	/* SawMill/expr.scm 161 */
																		obj_t BgL_arg1866z00_3387;
																		long BgL_arg1867z00_3388;

																		BgL_arg1866z00_3387 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* SawMill/expr.scm 161 */
																			long BgL_arg1869z00_3389;

																			BgL_arg1869z00_3389 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_3365);
																			BgL_arg1867z00_3388 =
																				(BgL_arg1869z00_3389 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3379 =
																			VECTOR_REF(BgL_arg1866z00_3387,
																			BgL_arg1867z00_3388);
																	}
																	{	/* SawMill/expr.scm 161 */
																		bool_t BgL__ortest_1115z00_3380;

																		BgL__ortest_1115z00_3380 =
																			(BgL_classz00_3363 == BgL_oclassz00_3379);
																		if (BgL__ortest_1115z00_3380)
																			{	/* SawMill/expr.scm 161 */
																				BgL_res2134z00_3396 =
																					BgL__ortest_1115z00_3380;
																			}
																		else
																			{	/* SawMill/expr.scm 161 */
																				long BgL_odepthz00_3381;

																				{	/* SawMill/expr.scm 161 */
																					obj_t BgL_arg1855z00_3382;

																					BgL_arg1855z00_3382 =
																						(BgL_oclassz00_3379);
																					BgL_odepthz00_3381 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_3382);
																				}
																				if ((2L < BgL_odepthz00_3381))
																					{	/* SawMill/expr.scm 161 */
																						obj_t BgL_arg1853z00_3384;

																						{	/* SawMill/expr.scm 161 */
																							obj_t BgL_arg1854z00_3385;

																							BgL_arg1854z00_3385 =
																								(BgL_oclassz00_3379);
																							BgL_arg1853z00_3384 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_3385, 2L);
																						}
																						BgL_res2134z00_3396 =
																							(BgL_arg1853z00_3384 ==
																							BgL_classz00_3363);
																					}
																				else
																					{	/* SawMill/expr.scm 161 */
																						BgL_res2134z00_3396 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2305z00_5052 = BgL_res2134z00_3396;
															}
													}
												}
											}
											if (BgL_test2305z00_5052)
												{	/* SawMill/expr.scm 161 */
													BgL_test2302z00_5037 = ((bool_t) 0);
												}
											else
												{	/* SawMill/expr.scm 161 */
													BgL_test2302z00_5037 = ((bool_t) 1);
												}
										}
									else
										{	/* SawMill/expr.scm 160 */
											BgL_test2302z00_5037 = ((bool_t) 0);
										}
								}
							else
								{	/* SawMill/expr.scm 159 */
									BgL_test2302z00_5037 = ((bool_t) 0);
								}
							if (BgL_test2302z00_5037)
								{	/* SawMill/expr.scm 159 */
									return MAKE_YOUNG_PAIR(BgL_insz00_105, BgL_rz00_2348);
								}
							else
								{	/* SawMill/expr.scm 159 */
									return BgL_rz00_2348;
								}
						}
					}
				}
			}
		}

	}



/* xx */
	obj_t BGl_xxz00zzsaw_exprz00(obj_t BgL_moverz00_112, obj_t BgL_insz00_113,
		obj_t BgL_inszd2effectszd2_114)
	{
		{	/* SawMill/expr.scm 177 */
			{	/* SawMill/expr.scm 178 */
				obj_t BgL__ortest_1228z00_2393;

				BgL__ortest_1228z00_2393 =
					BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
					(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_insz00_113)))->BgL_destz00),
					(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_moverz00_112)))->BgL_argsz00));
				if (CBOOL(BgL__ortest_1228z00_2393))
					{	/* SawMill/expr.scm 178 */
						return BgL__ortest_1228z00_2393;
					}
				else
					{	/* SawMill/expr.scm 179 */
						bool_t BgL__ortest_1229z00_2394;

						{	/* SawMill/expr.scm 179 */
							obj_t BgL_arg1926z00_2419;

							{	/* SawMill/expr.scm 179 */
								BgL_rtl_funz00_bglt BgL_arg1927z00_2420;

								BgL_arg1927z00_2420 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_moverz00_112)))->BgL_funz00);
								BgL_arg1926z00_2419 =
									BGl_effectsz00zzsaw_exprz00(BgL_arg1927z00_2420);
							}
							BgL__ortest_1229z00_2394 =
								BGl_matcheffectz00zzsaw_exprz00(BgL_arg1926z00_2419,
								BgL_inszd2effectszd2_114);
						}
						if (BgL__ortest_1229z00_2394)
							{	/* SawMill/expr.scm 179 */
								return BBOOL(BgL__ortest_1229z00_2394);
							}
						else
							{	/* SawMill/expr.scm 180 */
								obj_t BgL_g1533z00_2395;

								{	/* SawMill/expr.scm 181 */
									obj_t BgL_hook1529z00_2404;

									BgL_hook1529z00_2404 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
									{	/* SawMill/expr.scm 181 */
										obj_t BgL_g1530z00_2405;

										BgL_g1530z00_2405 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_moverz00_112)))->
											BgL_argsz00);
										{
											obj_t BgL_l1526z00_2407;
											obj_t BgL_h1527z00_2408;

											BgL_l1526z00_2407 = BgL_g1530z00_2405;
											BgL_h1527z00_2408 = BgL_hook1529z00_2404;
										BgL_zc3z04anonymousza31917ze3z87_2409:
											if (NULLP(BgL_l1526z00_2407))
												{	/* SawMill/expr.scm 181 */
													BgL_g1533z00_2395 = CDR(BgL_hook1529z00_2404);
												}
											else
												{	/* SawMill/expr.scm 181 */
													bool_t BgL_test2312z00_5098;

													{	/* SawMill/expr.scm 181 */
														obj_t BgL_arg1924z00_2417;

														BgL_arg1924z00_2417 =
															CAR(((obj_t) BgL_l1526z00_2407));
														{	/* SawMill/expr.scm 181 */
															obj_t BgL_classz00_3404;

															BgL_classz00_3404 = BGl_rtl_insz00zzsaw_defsz00;
															if (BGL_OBJECTP(BgL_arg1924z00_2417))
																{	/* SawMill/expr.scm 181 */
																	BgL_objectz00_bglt BgL_arg1858z00_3406;

																	BgL_arg1858z00_3406 =
																		(BgL_objectz00_bglt) (BgL_arg1924z00_2417);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* SawMill/expr.scm 181 */
																			long BgL_idxz00_3412;

																			BgL_idxz00_3412 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_3406);
																			BgL_test2312z00_5098 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_3412 + 1L)) ==
																				BgL_classz00_3404);
																		}
																	else
																		{	/* SawMill/expr.scm 181 */
																			bool_t BgL_res2135z00_3437;

																			{	/* SawMill/expr.scm 181 */
																				obj_t BgL_oclassz00_3420;

																				{	/* SawMill/expr.scm 181 */
																					obj_t BgL_arg1866z00_3428;
																					long BgL_arg1867z00_3429;

																					BgL_arg1866z00_3428 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* SawMill/expr.scm 181 */
																						long BgL_arg1869z00_3430;

																						BgL_arg1869z00_3430 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_3406);
																						BgL_arg1867z00_3429 =
																							(BgL_arg1869z00_3430 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_3420 =
																						VECTOR_REF(BgL_arg1866z00_3428,
																						BgL_arg1867z00_3429);
																				}
																				{	/* SawMill/expr.scm 181 */
																					bool_t BgL__ortest_1115z00_3421;

																					BgL__ortest_1115z00_3421 =
																						(BgL_classz00_3404 ==
																						BgL_oclassz00_3420);
																					if (BgL__ortest_1115z00_3421)
																						{	/* SawMill/expr.scm 181 */
																							BgL_res2135z00_3437 =
																								BgL__ortest_1115z00_3421;
																						}
																					else
																						{	/* SawMill/expr.scm 181 */
																							long BgL_odepthz00_3422;

																							{	/* SawMill/expr.scm 181 */
																								obj_t BgL_arg1855z00_3423;

																								BgL_arg1855z00_3423 =
																									(BgL_oclassz00_3420);
																								BgL_odepthz00_3422 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_3423);
																							}
																							if ((1L < BgL_odepthz00_3422))
																								{	/* SawMill/expr.scm 181 */
																									obj_t BgL_arg1853z00_3425;

																									{	/* SawMill/expr.scm 181 */
																										obj_t BgL_arg1854z00_3426;

																										BgL_arg1854z00_3426 =
																											(BgL_oclassz00_3420);
																										BgL_arg1853z00_3425 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_3426, 1L);
																									}
																									BgL_res2135z00_3437 =
																										(BgL_arg1853z00_3425 ==
																										BgL_classz00_3404);
																								}
																							else
																								{	/* SawMill/expr.scm 181 */
																									BgL_res2135z00_3437 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test2312z00_5098 =
																				BgL_res2135z00_3437;
																		}
																}
															else
																{	/* SawMill/expr.scm 181 */
																	BgL_test2312z00_5098 = ((bool_t) 0);
																}
														}
													}
													if (BgL_test2312z00_5098)
														{	/* SawMill/expr.scm 181 */
															obj_t BgL_nh1528z00_2413;

															{	/* SawMill/expr.scm 181 */
																obj_t BgL_arg1922z00_2415;

																BgL_arg1922z00_2415 =
																	CAR(((obj_t) BgL_l1526z00_2407));
																BgL_nh1528z00_2413 =
																	MAKE_YOUNG_PAIR(BgL_arg1922z00_2415, BNIL);
															}
															SET_CDR(BgL_h1527z00_2408, BgL_nh1528z00_2413);
															{	/* SawMill/expr.scm 181 */
																obj_t BgL_arg1921z00_2414;

																BgL_arg1921z00_2414 =
																	CDR(((obj_t) BgL_l1526z00_2407));
																{
																	obj_t BgL_h1527z00_5130;
																	obj_t BgL_l1526z00_5129;

																	BgL_l1526z00_5129 = BgL_arg1921z00_2414;
																	BgL_h1527z00_5130 = BgL_nh1528z00_2413;
																	BgL_h1527z00_2408 = BgL_h1527z00_5130;
																	BgL_l1526z00_2407 = BgL_l1526z00_5129;
																	goto BgL_zc3z04anonymousza31917ze3z87_2409;
																}
															}
														}
													else
														{	/* SawMill/expr.scm 181 */
															obj_t BgL_arg1923z00_2416;

															BgL_arg1923z00_2416 =
																CDR(((obj_t) BgL_l1526z00_2407));
															{
																obj_t BgL_l1526z00_5133;

																BgL_l1526z00_5133 = BgL_arg1923z00_2416;
																BgL_l1526z00_2407 = BgL_l1526z00_5133;
																goto BgL_zc3z04anonymousza31917ze3z87_2409;
															}
														}
												}
										}
									}
								}
								{
									obj_t BgL_l1531z00_2397;

									BgL_l1531z00_2397 = BgL_g1533z00_2395;
								BgL_zc3z04anonymousza31914ze3z87_2398:
									if (NULLP(BgL_l1531z00_2397))
										{	/* SawMill/expr.scm 181 */
											return BFALSE;
										}
									else
										{	/* SawMill/expr.scm 180 */
											obj_t BgL__ortest_1534z00_2400;

											{	/* SawMill/expr.scm 180 */
												obj_t BgL_subz00_2402;

												BgL_subz00_2402 = CAR(((obj_t) BgL_l1531z00_2397));
												BgL__ortest_1534z00_2400 =
													BGl_xxz00zzsaw_exprz00(BgL_subz00_2402,
													BgL_insz00_113, BgL_inszd2effectszd2_114);
											}
											if (CBOOL(BgL__ortest_1534z00_2400))
												{	/* SawMill/expr.scm 181 */
													return BgL__ortest_1534z00_2400;
												}
											else
												{	/* SawMill/expr.scm 181 */
													obj_t BgL_arg1916z00_2401;

													BgL_arg1916z00_2401 =
														CDR(((obj_t) BgL_l1531z00_2397));
													{
														obj_t BgL_l1531z00_5143;

														BgL_l1531z00_5143 = BgL_arg1916z00_2401;
														BgL_l1531z00_2397 = BgL_l1531z00_5143;
														goto BgL_zc3z04anonymousza31914ze3z87_2398;
													}
												}
										}
								}
							}
					}
			}
		}

	}



/* matcheffect */
	bool_t BGl_matcheffectz00zzsaw_exprz00(obj_t BgL_f1z00_115,
		obj_t BgL_f2z00_116)
	{
		{	/* SawMill/expr.scm 199 */
			{	/* SawMill/expr.scm 210 */
				obj_t BgL_w1z00_2425;
				obj_t BgL_w2z00_2426;

				BgL_w1z00_2425 =
					(((BgL_feffectz00_bglt) COBJECT(
							((BgL_feffectz00_bglt) BgL_f1z00_115)))->BgL_writez00);
				BgL_w2z00_2426 =
					(((BgL_feffectz00_bglt) COBJECT(
							((BgL_feffectz00_bglt) BgL_f2z00_116)))->BgL_writez00);
				{	/* SawMill/expr.scm 211 */
					bool_t BgL__ortest_1230z00_2427;

					BgL__ortest_1230z00_2427 =
						BGl_intersectionzf3ze70z14zzsaw_exprz00(BgL_w1z00_2425,
						BgL_w2z00_2426);
					if (BgL__ortest_1230z00_2427)
						{	/* SawMill/expr.scm 211 */
							return BgL__ortest_1230z00_2427;
						}
					else
						{	/* SawMill/expr.scm 212 */
							bool_t BgL__ortest_1231z00_2428;

							BgL__ortest_1231z00_2428 =
								BGl_intersectionzf3ze70z14zzsaw_exprz00(
								(((BgL_feffectz00_bglt) COBJECT(
											((BgL_feffectz00_bglt) BgL_f1z00_115)))->BgL_readz00),
								BgL_w2z00_2426);
							if (BgL__ortest_1231z00_2428)
								{	/* SawMill/expr.scm 212 */
									return BgL__ortest_1231z00_2428;
								}
							else
								{	/* SawMill/expr.scm 212 */
									BGL_TAIL return
										BGl_intersectionzf3ze70z14zzsaw_exprz00(
										(((BgL_feffectz00_bglt) COBJECT(
													((BgL_feffectz00_bglt) BgL_f2z00_116)))->BgL_readz00),
										BgL_w1z00_2425);
								}
						}
				}
			}
		}

	}



/* intersection?~0 */
	bool_t BGl_intersectionzf3ze70z14zzsaw_exprz00(obj_t BgL_l1z00_2439,
		obj_t BgL_l2z00_2440)
	{
		{	/* SawMill/expr.scm 209 */
			{
				obj_t BgL_l1z00_2431;
				obj_t BgL_l2z00_2432;

				if (NULLP(BgL_l1z00_2439))
					{	/* SawMill/expr.scm 205 */
						return ((bool_t) 0);
					}
				else
					{	/* SawMill/expr.scm 205 */
						if (NULLP(BgL_l2z00_2440))
							{	/* SawMill/expr.scm 206 */
								return ((bool_t) 0);
							}
						else
							{	/* SawMill/expr.scm 206 */
								if ((BgL_l1z00_2439 == ((obj_t) CNST_TABLE_REF(4))))
									{	/* SawMill/expr.scm 207 */
										return ((bool_t) 1);
									}
								else
									{	/* SawMill/expr.scm 207 */
										if ((BgL_l2z00_2440 == ((obj_t) CNST_TABLE_REF(4))))
											{	/* SawMill/expr.scm 208 */
												return ((bool_t) 1);
											}
										else
											{	/* SawMill/expr.scm 208 */
												BgL_l1z00_2431 = BgL_l1z00_2439;
												BgL_l2z00_2432 = BgL_l2z00_2440;
											BgL_zc3z04anonymousza31933ze3z87_2433:
												if (NULLP(BgL_l1z00_2431))
													{	/* SawMill/expr.scm 201 */
														return ((bool_t) 0);
													}
												else
													{	/* SawMill/expr.scm 201 */
														if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																(CAR(((obj_t) BgL_l1z00_2431)),
																	BgL_l2z00_2432)))
															{	/* SawMill/expr.scm 202 */
																return ((bool_t) 1);
															}
														else
															{
																obj_t BgL_l1z00_5176;

																BgL_l1z00_5176 = CDR(((obj_t) BgL_l1z00_2431));
																BgL_l1z00_2431 = BgL_l1z00_5176;
																goto BgL_zc3z04anonymousza31933ze3z87_2433;
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* manu-effect */
	obj_t BGl_manuzd2effectzd2zzsaw_exprz00(BgL_globalz00_bglt BgL_varz00_133)
	{
		{	/* SawMill/expr.scm 252 */
			{	/* SawMill/expr.scm 253 */
				BgL_valuez00_bglt BgL_funz00_2448;

				BgL_funz00_2448 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_133)))->BgL_valuez00);
				{	/* SawMill/expr.scm 254 */
					bool_t BgL_test2327z00_5181;

					{	/* SawMill/expr.scm 254 */
						obj_t BgL_classz00_3456;

						BgL_classz00_3456 = BGl_funz00zzast_varz00;
						{	/* SawMill/expr.scm 254 */
							BgL_objectz00_bglt BgL_arg1858z00_3458;

							{	/* SawMill/expr.scm 254 */
								obj_t BgL_tmpz00_5182;

								BgL_tmpz00_5182 =
									((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2448));
								BgL_arg1858z00_3458 = (BgL_objectz00_bglt) (BgL_tmpz00_5182);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawMill/expr.scm 254 */
									long BgL_idxz00_3464;

									BgL_idxz00_3464 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3458);
									BgL_test2327z00_5181 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3464 + 2L)) == BgL_classz00_3456);
								}
							else
								{	/* SawMill/expr.scm 254 */
									bool_t BgL_res2136z00_3489;

									{	/* SawMill/expr.scm 254 */
										obj_t BgL_oclassz00_3472;

										{	/* SawMill/expr.scm 254 */
											obj_t BgL_arg1866z00_3480;
											long BgL_arg1867z00_3481;

											BgL_arg1866z00_3480 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawMill/expr.scm 254 */
												long BgL_arg1869z00_3482;

												BgL_arg1869z00_3482 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3458);
												BgL_arg1867z00_3481 =
													(BgL_arg1869z00_3482 - OBJECT_TYPE);
											}
											BgL_oclassz00_3472 =
												VECTOR_REF(BgL_arg1866z00_3480, BgL_arg1867z00_3481);
										}
										{	/* SawMill/expr.scm 254 */
											bool_t BgL__ortest_1115z00_3473;

											BgL__ortest_1115z00_3473 =
												(BgL_classz00_3456 == BgL_oclassz00_3472);
											if (BgL__ortest_1115z00_3473)
												{	/* SawMill/expr.scm 254 */
													BgL_res2136z00_3489 = BgL__ortest_1115z00_3473;
												}
											else
												{	/* SawMill/expr.scm 254 */
													long BgL_odepthz00_3474;

													{	/* SawMill/expr.scm 254 */
														obj_t BgL_arg1855z00_3475;

														BgL_arg1855z00_3475 = (BgL_oclassz00_3472);
														BgL_odepthz00_3474 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3475);
													}
													if ((2L < BgL_odepthz00_3474))
														{	/* SawMill/expr.scm 254 */
															obj_t BgL_arg1853z00_3477;

															{	/* SawMill/expr.scm 254 */
																obj_t BgL_arg1854z00_3478;

																BgL_arg1854z00_3478 = (BgL_oclassz00_3472);
																BgL_arg1853z00_3477 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3478,
																	2L);
															}
															BgL_res2136z00_3489 =
																(BgL_arg1853z00_3477 == BgL_classz00_3456);
														}
													else
														{	/* SawMill/expr.scm 254 */
															BgL_res2136z00_3489 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2327z00_5181 = BgL_res2136z00_3489;
								}
						}
					}
					if (BgL_test2327z00_5181)
						{	/* SawMill/expr.scm 255 */
							obj_t BgL_effectz00_2450;

							BgL_effectz00_2450 =
								(((BgL_funz00_bglt) COBJECT(
										((BgL_funz00_bglt) BgL_funz00_2448)))->BgL_effectz00);
							{	/* SawMill/expr.scm 256 */
								bool_t BgL_test2331z00_5207;

								{	/* SawMill/expr.scm 256 */
									obj_t BgL_classz00_3491;

									BgL_classz00_3491 = BGl_feffectz00zzast_varz00;
									if (BGL_OBJECTP(BgL_effectz00_2450))
										{	/* SawMill/expr.scm 256 */
											BgL_objectz00_bglt BgL_arg1858z00_3493;

											BgL_arg1858z00_3493 =
												(BgL_objectz00_bglt) (BgL_effectz00_2450);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* SawMill/expr.scm 256 */
													long BgL_idxz00_3499;

													BgL_idxz00_3499 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3493);
													BgL_test2331z00_5207 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_3499 + 1L)) == BgL_classz00_3491);
												}
											else
												{	/* SawMill/expr.scm 256 */
													bool_t BgL_res2137z00_3524;

													{	/* SawMill/expr.scm 256 */
														obj_t BgL_oclassz00_3507;

														{	/* SawMill/expr.scm 256 */
															obj_t BgL_arg1866z00_3515;
															long BgL_arg1867z00_3516;

															BgL_arg1866z00_3515 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* SawMill/expr.scm 256 */
																long BgL_arg1869z00_3517;

																BgL_arg1869z00_3517 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3493);
																BgL_arg1867z00_3516 =
																	(BgL_arg1869z00_3517 - OBJECT_TYPE);
															}
															BgL_oclassz00_3507 =
																VECTOR_REF(BgL_arg1866z00_3515,
																BgL_arg1867z00_3516);
														}
														{	/* SawMill/expr.scm 256 */
															bool_t BgL__ortest_1115z00_3508;

															BgL__ortest_1115z00_3508 =
																(BgL_classz00_3491 == BgL_oclassz00_3507);
															if (BgL__ortest_1115z00_3508)
																{	/* SawMill/expr.scm 256 */
																	BgL_res2137z00_3524 =
																		BgL__ortest_1115z00_3508;
																}
															else
																{	/* SawMill/expr.scm 256 */
																	long BgL_odepthz00_3509;

																	{	/* SawMill/expr.scm 256 */
																		obj_t BgL_arg1855z00_3510;

																		BgL_arg1855z00_3510 = (BgL_oclassz00_3507);
																		BgL_odepthz00_3509 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_3510);
																	}
																	if ((1L < BgL_odepthz00_3509))
																		{	/* SawMill/expr.scm 256 */
																			obj_t BgL_arg1853z00_3512;

																			{	/* SawMill/expr.scm 256 */
																				obj_t BgL_arg1854z00_3513;

																				BgL_arg1854z00_3513 =
																					(BgL_oclassz00_3507);
																				BgL_arg1853z00_3512 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_3513, 1L);
																			}
																			BgL_res2137z00_3524 =
																				(BgL_arg1853z00_3512 ==
																				BgL_classz00_3491);
																		}
																	else
																		{	/* SawMill/expr.scm 256 */
																			BgL_res2137z00_3524 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2331z00_5207 = BgL_res2137z00_3524;
												}
										}
									else
										{	/* SawMill/expr.scm 256 */
											BgL_test2331z00_5207 = ((bool_t) 0);
										}
								}
								if (BgL_test2331z00_5207)
									{	/* SawMill/expr.scm 256 */
										return BgL_effectz00_2450;
									}
								else
									{	/* SawMill/expr.scm 256 */
										((obj_t) CNST_TABLE_REF(20));
										return ((obj_t) BGl_za2fullza2z00zzsaw_exprz00);
									}
							}
						}
					else
						{	/* SawMill/expr.scm 254 */
							return ((obj_t) BGl_za2fullza2z00zzsaw_exprz00);
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_exprz00(void)
	{
		{	/* SawMill/expr.scm 1 */
			{	/* SawMill/expr.scm 12 */
				obj_t BgL_arg1954z00_2456;
				obj_t BgL_arg1955z00_2457;

				{	/* SawMill/expr.scm 12 */
					obj_t BgL_v1535z00_2487;

					BgL_v1535z00_2487 = create_vector(2L);
					{	/* SawMill/expr.scm 12 */
						obj_t BgL_arg1968z00_2488;

						BgL_arg1968z00_2488 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(21)), BGl_proc2155z00zzsaw_exprz00,
							BGl_proc2154z00zzsaw_exprz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(22)));
						VECTOR_SET(BgL_v1535z00_2487, 0L, BgL_arg1968z00_2488);
					}
					{	/* SawMill/expr.scm 12 */
						obj_t BgL_arg1973z00_2498;

						BgL_arg1973z00_2498 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(23)), BGl_proc2157z00zzsaw_exprz00,
							BGl_proc2156z00zzsaw_exprz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(22)));
						VECTOR_SET(BgL_v1535z00_2487, 1L, BgL_arg1973z00_2498);
					}
					BgL_arg1954z00_2456 = BgL_v1535z00_2487;
				}
				{	/* SawMill/expr.scm 12 */
					obj_t BgL_v1536z00_2508;

					BgL_v1536z00_2508 = create_vector(0L);
					BgL_arg1955z00_2457 = BgL_v1536z00_2508;
				}
				BGl_iregz00zzsaw_exprz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(24)),
					((obj_t)
						CNST_TABLE_REF(25)), BGl_rtl_regz00zzsaw_defsz00, 43135L,
					BGl_proc2161z00zzsaw_exprz00, BGl_proc2160z00zzsaw_exprz00, BFALSE,
					BGl_proc2159z00zzsaw_exprz00, BGl_proc2158z00zzsaw_exprz00,
					BgL_arg1954z00_2456, BgL_arg1955z00_2457);
			}
			{	/* SawMill/expr.scm 13 */
				obj_t BgL_arg1982z00_2517;
				obj_t BgL_arg1983z00_2518;

				{	/* SawMill/expr.scm 13 */
					obj_t BgL_v1537z00_2548;

					BgL_v1537z00_2548 = create_vector(2L);
					{	/* SawMill/expr.scm 13 */
						obj_t BgL_arg1998z00_2549;

						BgL_arg1998z00_2549 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(21)), BGl_proc2163z00zzsaw_exprz00,
							BGl_proc2162z00zzsaw_exprz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(22)));
						VECTOR_SET(BgL_v1537z00_2548, 0L, BgL_arg1998z00_2549);
					}
					{	/* SawMill/expr.scm 13 */
						obj_t BgL_arg2003z00_2559;

						BgL_arg2003z00_2559 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(23)), BGl_proc2165z00zzsaw_exprz00,
							BGl_proc2164z00zzsaw_exprz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(22)));
						VECTOR_SET(BgL_v1537z00_2548, 1L, BgL_arg2003z00_2559);
					}
					BgL_arg1982z00_2517 = BgL_v1537z00_2548;
				}
				{	/* SawMill/expr.scm 13 */
					obj_t BgL_v1538z00_2569;

					BgL_v1538z00_2569 = create_vector(0L);
					BgL_arg1983z00_2518 = BgL_v1538z00_2569;
				}
				BGl_pregz00zzsaw_exprz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(26)),
					((obj_t)
						CNST_TABLE_REF(25)), BGl_rtl_regz00zzsaw_defsz00, 27384L,
					BGl_proc2169z00zzsaw_exprz00, BGl_proc2168z00zzsaw_exprz00, BFALSE,
					BGl_proc2167z00zzsaw_exprz00, BGl_proc2166z00zzsaw_exprz00,
					BgL_arg1982z00_2517, BgL_arg1983z00_2518);
			}
			{	/* SawMill/expr.scm 14 */
				obj_t BgL_arg2012z00_2578;
				obj_t BgL_arg2013z00_2579;

				{	/* SawMill/expr.scm 14 */
					obj_t BgL_v1539z00_2605;

					BgL_v1539z00_2605 = create_vector(0L);
					BgL_arg2012z00_2578 = BgL_v1539z00_2605;
				}
				{	/* SawMill/expr.scm 14 */
					obj_t BgL_v1540z00_2606;

					BgL_v1540z00_2606 = create_vector(0L);
					BgL_arg2013z00_2579 = BgL_v1540z00_2606;
				}
				return (BGl_inlinedz00zzsaw_exprz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(27)),
						((obj_t)
							CNST_TABLE_REF(25)), BGl_rtl_insz00zzsaw_defsz00, 5795L,
						BGl_proc2173z00zzsaw_exprz00, BGl_proc2172z00zzsaw_exprz00, BFALSE,
						BGl_proc2171z00zzsaw_exprz00, BGl_proc2170z00zzsaw_exprz00,
						BgL_arg2012z00_2578, BgL_arg2013z00_2579), BUNSPEC);
			}
		}

	}



/* &lambda2020 */
	BgL_rtl_insz00_bglt BGl_z62lambda2020z62zzsaw_exprz00(obj_t BgL_envz00_3894,
		obj_t BgL_o1192z00_3895)
	{
		{	/* SawMill/expr.scm 14 */
			{	/* SawMill/expr.scm 14 */
				long BgL_arg2021z00_4078;

				{	/* SawMill/expr.scm 14 */
					obj_t BgL_arg2022z00_4079;

					{	/* SawMill/expr.scm 14 */
						obj_t BgL_arg2023z00_4080;

						{	/* SawMill/expr.scm 14 */
							obj_t BgL_arg1866z00_4081;
							long BgL_arg1867z00_4082;

							BgL_arg1866z00_4081 = (BGl_za2classesza2z00zz__objectz00);
							{	/* SawMill/expr.scm 14 */
								long BgL_arg1869z00_4083;

								BgL_arg1869z00_4083 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_o1192z00_3895)));
								BgL_arg1867z00_4082 = (BgL_arg1869z00_4083 - OBJECT_TYPE);
							}
							BgL_arg2023z00_4080 =
								VECTOR_REF(BgL_arg1866z00_4081, BgL_arg1867z00_4082);
						}
						BgL_arg2022z00_4079 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2023z00_4080);
					}
					{	/* SawMill/expr.scm 14 */
						obj_t BgL_tmpz00_5286;

						BgL_tmpz00_5286 = ((obj_t) BgL_arg2022z00_4079);
						BgL_arg2021z00_4078 = BGL_CLASS_NUM(BgL_tmpz00_5286);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_rtl_insz00_bglt) BgL_o1192z00_3895)), BgL_arg2021z00_4078);
			}
			{	/* SawMill/expr.scm 14 */
				BgL_objectz00_bglt BgL_tmpz00_5292;

				BgL_tmpz00_5292 =
					((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1192z00_3895));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5292, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1192z00_3895));
			return ((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1192z00_3895));
		}

	}



/* &<@anonymous:2019> */
	obj_t BGl_z62zc3z04anonymousza32019ze3ze5zzsaw_exprz00(obj_t BgL_envz00_3896,
		obj_t BgL_new1191z00_3897)
	{
		{	/* SawMill/expr.scm 14 */
			{
				BgL_rtl_insz00_bglt BgL_auxz00_5300;

				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt)
									((BgL_rtl_insz00_bglt) BgL_new1191z00_3897))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_insz00_bglt)
							COBJECT(((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt)
										BgL_new1191z00_3897))))->BgL_z52spillz52) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_rtl_insz00_bglt)
							COBJECT(((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt)
										BgL_new1191z00_3897))))->BgL_destz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_rtl_funz00_bglt BgL_auxz00_5310;

					{	/* SawMill/expr.scm 14 */
						obj_t BgL_classz00_4085;

						BgL_classz00_4085 = BGl_rtl_funz00zzsaw_defsz00;
						{	/* SawMill/expr.scm 14 */
							obj_t BgL__ortest_1117z00_4086;

							BgL__ortest_1117z00_4086 = BGL_CLASS_NIL(BgL_classz00_4085);
							if (CBOOL(BgL__ortest_1117z00_4086))
								{	/* SawMill/expr.scm 14 */
									BgL_auxz00_5310 =
										((BgL_rtl_funz00_bglt) BgL__ortest_1117z00_4086);
								}
							else
								{	/* SawMill/expr.scm 14 */
									BgL_auxz00_5310 =
										((BgL_rtl_funz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4085));
								}
						}
					}
					((((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_new1191z00_3897))))->
							BgL_funz00) = ((BgL_rtl_funz00_bglt) BgL_auxz00_5310), BUNSPEC);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt)
									((BgL_rtl_insz00_bglt) BgL_new1191z00_3897))))->BgL_argsz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_5300 = ((BgL_rtl_insz00_bglt) BgL_new1191z00_3897);
				return ((obj_t) BgL_auxz00_5300);
			}
		}

	}



/* &lambda2017 */
	BgL_rtl_insz00_bglt BGl_z62lambda2017z62zzsaw_exprz00(obj_t BgL_envz00_3898,
		obj_t BgL_o1187z00_3899)
	{
		{	/* SawMill/expr.scm 14 */
			{	/* SawMill/expr.scm 14 */
				BgL_inlinedz00_bglt BgL_wide1189z00_4088;

				BgL_wide1189z00_4088 =
					((BgL_inlinedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_inlinedz00_bgl))));
				{	/* SawMill/expr.scm 14 */
					obj_t BgL_auxz00_5330;
					BgL_objectz00_bglt BgL_tmpz00_5326;

					BgL_auxz00_5330 = ((obj_t) BgL_wide1189z00_4088);
					BgL_tmpz00_5326 =
						((BgL_objectz00_bglt)
						((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1187z00_3899)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5326, BgL_auxz00_5330);
				}
				((BgL_objectz00_bglt)
					((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1187z00_3899)));
				{	/* SawMill/expr.scm 14 */
					long BgL_arg2018z00_4089;

					BgL_arg2018z00_4089 = BGL_CLASS_NUM(BGl_inlinedz00zzsaw_exprz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_rtl_insz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_o1187z00_3899))),
						BgL_arg2018z00_4089);
				}
				return
					((BgL_rtl_insz00_bglt)
					((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1187z00_3899)));
			}
		}

	}



/* &lambda2014 */
	BgL_rtl_insz00_bglt BGl_z62lambda2014z62zzsaw_exprz00(obj_t BgL_envz00_3900,
		obj_t BgL_loc1182z00_3901, obj_t BgL_z52spill1183z52_3902,
		obj_t BgL_dest1184z00_3903, obj_t BgL_fun1185z00_3904,
		obj_t BgL_args1186z00_3905)
	{
		{	/* SawMill/expr.scm 14 */
			{	/* SawMill/expr.scm 14 */
				BgL_rtl_insz00_bglt BgL_new1291z00_4093;

				{	/* SawMill/expr.scm 14 */
					BgL_rtl_insz00_bglt BgL_tmp1289z00_4094;
					BgL_inlinedz00_bglt BgL_wide1290z00_4095;

					{
						BgL_rtl_insz00_bglt BgL_auxz00_5344;

						{	/* SawMill/expr.scm 14 */
							BgL_rtl_insz00_bglt BgL_new1288z00_4096;

							BgL_new1288z00_4096 =
								((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_insz00_bgl))));
							{	/* SawMill/expr.scm 14 */
								long BgL_arg2016z00_4097;

								BgL_arg2016z00_4097 =
									BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1288z00_4096),
									BgL_arg2016z00_4097);
							}
							{	/* SawMill/expr.scm 14 */
								BgL_objectz00_bglt BgL_tmpz00_5349;

								BgL_tmpz00_5349 = ((BgL_objectz00_bglt) BgL_new1288z00_4096);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5349, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1288z00_4096);
							BgL_auxz00_5344 = BgL_new1288z00_4096;
						}
						BgL_tmp1289z00_4094 = ((BgL_rtl_insz00_bglt) BgL_auxz00_5344);
					}
					BgL_wide1290z00_4095 =
						((BgL_inlinedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_inlinedz00_bgl))));
					{	/* SawMill/expr.scm 14 */
						obj_t BgL_auxz00_5357;
						BgL_objectz00_bglt BgL_tmpz00_5355;

						BgL_auxz00_5357 = ((obj_t) BgL_wide1290z00_4095);
						BgL_tmpz00_5355 = ((BgL_objectz00_bglt) BgL_tmp1289z00_4094);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5355, BgL_auxz00_5357);
					}
					((BgL_objectz00_bglt) BgL_tmp1289z00_4094);
					{	/* SawMill/expr.scm 14 */
						long BgL_arg2015z00_4098;

						BgL_arg2015z00_4098 = BGL_CLASS_NUM(BGl_inlinedz00zzsaw_exprz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1289z00_4094), BgL_arg2015z00_4098);
					}
					BgL_new1291z00_4093 = ((BgL_rtl_insz00_bglt) BgL_tmp1289z00_4094);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_new1291z00_4093)))->BgL_locz00) =
					((obj_t) BgL_loc1182z00_3901), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1291z00_4093)))->BgL_z52spillz52) =
					((obj_t) ((obj_t) BgL_z52spill1183z52_3902)), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1291z00_4093)))->BgL_destz00) =
					((obj_t) BgL_dest1184z00_3903), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1291z00_4093)))->BgL_funz00) =
					((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt) BgL_fun1185z00_3904)),
					BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1291z00_4093)))->BgL_argsz00) =
					((obj_t) ((obj_t) BgL_args1186z00_3905)), BUNSPEC);
				return BgL_new1291z00_4093;
			}
		}

	}



/* &lambda1990 */
	BgL_rtl_regz00_bglt BGl_z62lambda1990z62zzsaw_exprz00(obj_t BgL_envz00_3906,
		obj_t BgL_o1179z00_3907)
	{
		{	/* SawMill/expr.scm 13 */
			{	/* SawMill/expr.scm 13 */
				long BgL_arg1991z00_4100;

				{	/* SawMill/expr.scm 13 */
					obj_t BgL_arg1994z00_4101;

					{	/* SawMill/expr.scm 13 */
						obj_t BgL_arg1995z00_4102;

						{	/* SawMill/expr.scm 13 */
							obj_t BgL_arg1866z00_4103;
							long BgL_arg1867z00_4104;

							BgL_arg1866z00_4103 = (BGl_za2classesza2z00zz__objectz00);
							{	/* SawMill/expr.scm 13 */
								long BgL_arg1869z00_4105;

								BgL_arg1869z00_4105 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_o1179z00_3907)));
								BgL_arg1867z00_4104 = (BgL_arg1869z00_4105 - OBJECT_TYPE);
							}
							BgL_arg1995z00_4102 =
								VECTOR_REF(BgL_arg1866z00_4103, BgL_arg1867z00_4104);
						}
						BgL_arg1994z00_4101 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1995z00_4102);
					}
					{	/* SawMill/expr.scm 13 */
						obj_t BgL_tmpz00_5385;

						BgL_tmpz00_5385 = ((obj_t) BgL_arg1994z00_4101);
						BgL_arg1991z00_4100 = BGL_CLASS_NUM(BgL_tmpz00_5385);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_rtl_regz00_bglt) BgL_o1179z00_3907)), BgL_arg1991z00_4100);
			}
			{	/* SawMill/expr.scm 13 */
				BgL_objectz00_bglt BgL_tmpz00_5391;

				BgL_tmpz00_5391 =
					((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1179z00_3907));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5391, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1179z00_3907));
			return ((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1179z00_3907));
		}

	}



/* &<@anonymous:1989> */
	obj_t BGl_z62zc3z04anonymousza31989ze3ze5zzsaw_exprz00(obj_t BgL_envz00_3908,
		obj_t BgL_new1178z00_3909)
	{
		{	/* SawMill/expr.scm 13 */
			{
				BgL_rtl_regz00_bglt BgL_auxz00_5399;

				{
					BgL_typez00_bglt BgL_auxz00_5400;

					{	/* SawMill/expr.scm 13 */
						obj_t BgL_classz00_4107;

						BgL_classz00_4107 = BGl_typez00zztype_typez00;
						{	/* SawMill/expr.scm 13 */
							obj_t BgL__ortest_1117z00_4108;

							BgL__ortest_1117z00_4108 = BGL_CLASS_NIL(BgL_classz00_4107);
							if (CBOOL(BgL__ortest_1117z00_4108))
								{	/* SawMill/expr.scm 13 */
									BgL_auxz00_5400 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_4108);
								}
							else
								{	/* SawMill/expr.scm 13 */
									BgL_auxz00_5400 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4107));
								}
						}
					}
					((((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_new1178z00_3909))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_5400), BUNSPEC);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt)
									((BgL_rtl_regz00_bglt) BgL_new1178z00_3909))))->BgL_varz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1178z00_3909))))->BgL_onexprzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1178z00_3909))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1178z00_3909))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1178z00_3909))))->BgL_debugnamez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1178z00_3909))))->BgL_hardwarez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_pregz00_bglt BgL_auxz00_5428;

					{
						obj_t BgL_auxz00_5429;

						{	/* SawMill/expr.scm 13 */
							BgL_objectz00_bglt BgL_tmpz00_5430;

							BgL_tmpz00_5430 =
								((BgL_objectz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_new1178z00_3909));
							BgL_auxz00_5429 = BGL_OBJECT_WIDENING(BgL_tmpz00_5430);
						}
						BgL_auxz00_5428 = ((BgL_pregz00_bglt) BgL_auxz00_5429);
					}
					((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_5428))->BgL_indexz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_pregz00_bglt BgL_auxz00_5436;

					{
						obj_t BgL_auxz00_5437;

						{	/* SawMill/expr.scm 13 */
							BgL_objectz00_bglt BgL_tmpz00_5438;

							BgL_tmpz00_5438 =
								((BgL_objectz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_new1178z00_3909));
							BgL_auxz00_5437 = BGL_OBJECT_WIDENING(BgL_tmpz00_5438);
						}
						BgL_auxz00_5436 = ((BgL_pregz00_bglt) BgL_auxz00_5437);
					}
					((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_5436))->BgL_statusz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_5399 = ((BgL_rtl_regz00_bglt) BgL_new1178z00_3909);
				return ((obj_t) BgL_auxz00_5399);
			}
		}

	}



/* &lambda1987 */
	BgL_rtl_regz00_bglt BGl_z62lambda1987z62zzsaw_exprz00(obj_t BgL_envz00_3910,
		obj_t BgL_o1174z00_3911)
	{
		{	/* SawMill/expr.scm 13 */
			{	/* SawMill/expr.scm 13 */
				BgL_pregz00_bglt BgL_wide1176z00_4110;

				BgL_wide1176z00_4110 =
					((BgL_pregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_pregz00_bgl))));
				{	/* SawMill/expr.scm 13 */
					obj_t BgL_auxz00_5451;
					BgL_objectz00_bglt BgL_tmpz00_5447;

					BgL_auxz00_5451 = ((obj_t) BgL_wide1176z00_4110);
					BgL_tmpz00_5447 =
						((BgL_objectz00_bglt)
						((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1174z00_3911)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5447, BgL_auxz00_5451);
				}
				((BgL_objectz00_bglt)
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1174z00_3911)));
				{	/* SawMill/expr.scm 13 */
					long BgL_arg1988z00_4111;

					BgL_arg1988z00_4111 = BGL_CLASS_NUM(BGl_pregz00zzsaw_exprz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_rtl_regz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_o1174z00_3911))),
						BgL_arg1988z00_4111);
				}
				return
					((BgL_rtl_regz00_bglt)
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1174z00_3911)));
			}
		}

	}



/* &lambda1984 */
	BgL_rtl_regz00_bglt BGl_z62lambda1984z62zzsaw_exprz00(obj_t BgL_envz00_3912,
		obj_t BgL_type1165z00_3913, obj_t BgL_var1166z00_3914,
		obj_t BgL_onexprzf31167zf3_3915, obj_t BgL_name1168z00_3916,
		obj_t BgL_key1169z00_3917, obj_t BgL_debugname1170z00_3918,
		obj_t BgL_hardware1171z00_3919, obj_t BgL_index1172z00_3920,
		obj_t BgL_status1173z00_3921)
	{
		{	/* SawMill/expr.scm 13 */
			{	/* SawMill/expr.scm 13 */
				BgL_rtl_regz00_bglt BgL_new1286z00_4113;

				{	/* SawMill/expr.scm 13 */
					BgL_rtl_regz00_bglt BgL_tmp1284z00_4114;
					BgL_pregz00_bglt BgL_wide1285z00_4115;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_5465;

						{	/* SawMill/expr.scm 13 */
							BgL_rtl_regz00_bglt BgL_new1283z00_4116;

							BgL_new1283z00_4116 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/expr.scm 13 */
								long BgL_arg1986z00_4117;

								BgL_arg1986z00_4117 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1283z00_4116),
									BgL_arg1986z00_4117);
							}
							{	/* SawMill/expr.scm 13 */
								BgL_objectz00_bglt BgL_tmpz00_5470;

								BgL_tmpz00_5470 = ((BgL_objectz00_bglt) BgL_new1283z00_4116);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5470, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1283z00_4116);
							BgL_auxz00_5465 = BgL_new1283z00_4116;
						}
						BgL_tmp1284z00_4114 = ((BgL_rtl_regz00_bglt) BgL_auxz00_5465);
					}
					BgL_wide1285z00_4115 =
						((BgL_pregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_pregz00_bgl))));
					{	/* SawMill/expr.scm 13 */
						obj_t BgL_auxz00_5478;
						BgL_objectz00_bglt BgL_tmpz00_5476;

						BgL_auxz00_5478 = ((obj_t) BgL_wide1285z00_4115);
						BgL_tmpz00_5476 = ((BgL_objectz00_bglt) BgL_tmp1284z00_4114);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5476, BgL_auxz00_5478);
					}
					((BgL_objectz00_bglt) BgL_tmp1284z00_4114);
					{	/* SawMill/expr.scm 13 */
						long BgL_arg1985z00_4118;

						BgL_arg1985z00_4118 = BGL_CLASS_NUM(BGl_pregz00zzsaw_exprz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1284z00_4114), BgL_arg1985z00_4118);
					}
					BgL_new1286z00_4113 = ((BgL_rtl_regz00_bglt) BgL_tmp1284z00_4114);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1286z00_4113)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1165z00_3913)),
					BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1286z00_4113)))->BgL_varz00) =
					((obj_t) BgL_var1166z00_3914), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1286z00_4113)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31167zf3_3915), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1286z00_4113)))->BgL_namez00) =
					((obj_t) BgL_name1168z00_3916), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1286z00_4113)))->BgL_keyz00) =
					((obj_t) BgL_key1169z00_3917), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1286z00_4113)))->BgL_debugnamez00) =
					((obj_t) BgL_debugname1170z00_3918), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1286z00_4113)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1171z00_3919), BUNSPEC);
				{
					BgL_pregz00_bglt BgL_auxz00_5501;

					{
						obj_t BgL_auxz00_5502;

						{	/* SawMill/expr.scm 13 */
							BgL_objectz00_bglt BgL_tmpz00_5503;

							BgL_tmpz00_5503 = ((BgL_objectz00_bglt) BgL_new1286z00_4113);
							BgL_auxz00_5502 = BGL_OBJECT_WIDENING(BgL_tmpz00_5503);
						}
						BgL_auxz00_5501 = ((BgL_pregz00_bglt) BgL_auxz00_5502);
					}
					((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_5501))->BgL_indexz00) =
						((obj_t) BgL_index1172z00_3920), BUNSPEC);
				}
				{
					BgL_pregz00_bglt BgL_auxz00_5508;

					{
						obj_t BgL_auxz00_5509;

						{	/* SawMill/expr.scm 13 */
							BgL_objectz00_bglt BgL_tmpz00_5510;

							BgL_tmpz00_5510 = ((BgL_objectz00_bglt) BgL_new1286z00_4113);
							BgL_auxz00_5509 = BGL_OBJECT_WIDENING(BgL_tmpz00_5510);
						}
						BgL_auxz00_5508 = ((BgL_pregz00_bglt) BgL_auxz00_5509);
					}
					((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_5508))->BgL_statusz00) =
						((obj_t) BgL_status1173z00_3921), BUNSPEC);
				}
				return BgL_new1286z00_4113;
			}
		}

	}



/* &lambda2007 */
	obj_t BGl_z62lambda2007z62zzsaw_exprz00(obj_t BgL_envz00_3922,
		obj_t BgL_oz00_3923, obj_t BgL_vz00_3924)
	{
		{	/* SawMill/expr.scm 13 */
			{
				BgL_pregz00_bglt BgL_auxz00_5515;

				{
					obj_t BgL_auxz00_5516;

					{	/* SawMill/expr.scm 13 */
						BgL_objectz00_bglt BgL_tmpz00_5517;

						BgL_tmpz00_5517 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_3923));
						BgL_auxz00_5516 = BGL_OBJECT_WIDENING(BgL_tmpz00_5517);
					}
					BgL_auxz00_5515 = ((BgL_pregz00_bglt) BgL_auxz00_5516);
				}
				return
					((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_5515))->BgL_statusz00) =
					((obj_t) BgL_vz00_3924), BUNSPEC);
			}
		}

	}



/* &lambda2006 */
	obj_t BGl_z62lambda2006z62zzsaw_exprz00(obj_t BgL_envz00_3925,
		obj_t BgL_oz00_3926)
	{
		{	/* SawMill/expr.scm 13 */
			{
				BgL_pregz00_bglt BgL_auxz00_5523;

				{
					obj_t BgL_auxz00_5524;

					{	/* SawMill/expr.scm 13 */
						BgL_objectz00_bglt BgL_tmpz00_5525;

						BgL_tmpz00_5525 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_3926));
						BgL_auxz00_5524 = BGL_OBJECT_WIDENING(BgL_tmpz00_5525);
					}
					BgL_auxz00_5523 = ((BgL_pregz00_bglt) BgL_auxz00_5524);
				}
				return (((BgL_pregz00_bglt) COBJECT(BgL_auxz00_5523))->BgL_statusz00);
			}
		}

	}



/* &lambda2002 */
	obj_t BGl_z62lambda2002z62zzsaw_exprz00(obj_t BgL_envz00_3927,
		obj_t BgL_oz00_3928, obj_t BgL_vz00_3929)
	{
		{	/* SawMill/expr.scm 13 */
			{
				BgL_pregz00_bglt BgL_auxz00_5531;

				{
					obj_t BgL_auxz00_5532;

					{	/* SawMill/expr.scm 13 */
						BgL_objectz00_bglt BgL_tmpz00_5533;

						BgL_tmpz00_5533 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_3928));
						BgL_auxz00_5532 = BGL_OBJECT_WIDENING(BgL_tmpz00_5533);
					}
					BgL_auxz00_5531 = ((BgL_pregz00_bglt) BgL_auxz00_5532);
				}
				return
					((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_5531))->BgL_indexz00) =
					((obj_t) BgL_vz00_3929), BUNSPEC);
			}
		}

	}



/* &lambda2001 */
	obj_t BGl_z62lambda2001z62zzsaw_exprz00(obj_t BgL_envz00_3930,
		obj_t BgL_oz00_3931)
	{
		{	/* SawMill/expr.scm 13 */
			{
				BgL_pregz00_bglt BgL_auxz00_5539;

				{
					obj_t BgL_auxz00_5540;

					{	/* SawMill/expr.scm 13 */
						BgL_objectz00_bglt BgL_tmpz00_5541;

						BgL_tmpz00_5541 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_3931));
						BgL_auxz00_5540 = BGL_OBJECT_WIDENING(BgL_tmpz00_5541);
					}
					BgL_auxz00_5539 = ((BgL_pregz00_bglt) BgL_auxz00_5540);
				}
				return (((BgL_pregz00_bglt) COBJECT(BgL_auxz00_5539))->BgL_indexz00);
			}
		}

	}



/* &lambda1964 */
	BgL_rtl_regz00_bglt BGl_z62lambda1964z62zzsaw_exprz00(obj_t BgL_envz00_3932,
		obj_t BgL_o1163z00_3933)
	{
		{	/* SawMill/expr.scm 12 */
			{	/* SawMill/expr.scm 12 */
				long BgL_arg1965z00_4124;

				{	/* SawMill/expr.scm 12 */
					obj_t BgL_arg1966z00_4125;

					{	/* SawMill/expr.scm 12 */
						obj_t BgL_arg1967z00_4126;

						{	/* SawMill/expr.scm 12 */
							obj_t BgL_arg1866z00_4127;
							long BgL_arg1867z00_4128;

							BgL_arg1866z00_4127 = (BGl_za2classesza2z00zz__objectz00);
							{	/* SawMill/expr.scm 12 */
								long BgL_arg1869z00_4129;

								BgL_arg1869z00_4129 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_o1163z00_3933)));
								BgL_arg1867z00_4128 = (BgL_arg1869z00_4129 - OBJECT_TYPE);
							}
							BgL_arg1967z00_4126 =
								VECTOR_REF(BgL_arg1866z00_4127, BgL_arg1867z00_4128);
						}
						BgL_arg1966z00_4125 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1967z00_4126);
					}
					{	/* SawMill/expr.scm 12 */
						obj_t BgL_tmpz00_5554;

						BgL_tmpz00_5554 = ((obj_t) BgL_arg1966z00_4125);
						BgL_arg1965z00_4124 = BGL_CLASS_NUM(BgL_tmpz00_5554);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_rtl_regz00_bglt) BgL_o1163z00_3933)), BgL_arg1965z00_4124);
			}
			{	/* SawMill/expr.scm 12 */
				BgL_objectz00_bglt BgL_tmpz00_5560;

				BgL_tmpz00_5560 =
					((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1163z00_3933));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5560, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1163z00_3933));
			return ((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1163z00_3933));
		}

	}



/* &<@anonymous:1963> */
	obj_t BGl_z62zc3z04anonymousza31963ze3ze5zzsaw_exprz00(obj_t BgL_envz00_3934,
		obj_t BgL_new1162z00_3935)
	{
		{	/* SawMill/expr.scm 12 */
			{
				BgL_rtl_regz00_bglt BgL_auxz00_5568;

				{
					BgL_typez00_bglt BgL_auxz00_5569;

					{	/* SawMill/expr.scm 12 */
						obj_t BgL_classz00_4131;

						BgL_classz00_4131 = BGl_typez00zztype_typez00;
						{	/* SawMill/expr.scm 12 */
							obj_t BgL__ortest_1117z00_4132;

							BgL__ortest_1117z00_4132 = BGL_CLASS_NIL(BgL_classz00_4131);
							if (CBOOL(BgL__ortest_1117z00_4132))
								{	/* SawMill/expr.scm 12 */
									BgL_auxz00_5569 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_4132);
								}
							else
								{	/* SawMill/expr.scm 12 */
									BgL_auxz00_5569 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4131));
								}
						}
					}
					((((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_new1162z00_3935))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_5569), BUNSPEC);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt)
									((BgL_rtl_regz00_bglt) BgL_new1162z00_3935))))->BgL_varz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1162z00_3935))))->BgL_onexprzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1162z00_3935))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1162z00_3935))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1162z00_3935))))->BgL_debugnamez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1162z00_3935))))->BgL_hardwarez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_iregz00_bglt BgL_auxz00_5597;

					{
						obj_t BgL_auxz00_5598;

						{	/* SawMill/expr.scm 12 */
							BgL_objectz00_bglt BgL_tmpz00_5599;

							BgL_tmpz00_5599 =
								((BgL_objectz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_new1162z00_3935));
							BgL_auxz00_5598 = BGL_OBJECT_WIDENING(BgL_tmpz00_5599);
						}
						BgL_auxz00_5597 = ((BgL_iregz00_bglt) BgL_auxz00_5598);
					}
					((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_5597))->BgL_indexz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_iregz00_bglt BgL_auxz00_5605;

					{
						obj_t BgL_auxz00_5606;

						{	/* SawMill/expr.scm 12 */
							BgL_objectz00_bglt BgL_tmpz00_5607;

							BgL_tmpz00_5607 =
								((BgL_objectz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_new1162z00_3935));
							BgL_auxz00_5606 = BGL_OBJECT_WIDENING(BgL_tmpz00_5607);
						}
						BgL_auxz00_5605 = ((BgL_iregz00_bglt) BgL_auxz00_5606);
					}
					((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_5605))->BgL_statusz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_5568 = ((BgL_rtl_regz00_bglt) BgL_new1162z00_3935);
				return ((obj_t) BgL_auxz00_5568);
			}
		}

	}



/* &lambda1961 */
	BgL_rtl_regz00_bglt BGl_z62lambda1961z62zzsaw_exprz00(obj_t BgL_envz00_3936,
		obj_t BgL_o1159z00_3937)
	{
		{	/* SawMill/expr.scm 12 */
			{	/* SawMill/expr.scm 12 */
				BgL_iregz00_bglt BgL_wide1161z00_4134;

				BgL_wide1161z00_4134 =
					((BgL_iregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_iregz00_bgl))));
				{	/* SawMill/expr.scm 12 */
					obj_t BgL_auxz00_5620;
					BgL_objectz00_bglt BgL_tmpz00_5616;

					BgL_auxz00_5620 = ((obj_t) BgL_wide1161z00_4134);
					BgL_tmpz00_5616 =
						((BgL_objectz00_bglt)
						((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1159z00_3937)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5616, BgL_auxz00_5620);
				}
				((BgL_objectz00_bglt)
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1159z00_3937)));
				{	/* SawMill/expr.scm 12 */
					long BgL_arg1962z00_4135;

					BgL_arg1962z00_4135 = BGL_CLASS_NUM(BGl_iregz00zzsaw_exprz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_rtl_regz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_o1159z00_3937))),
						BgL_arg1962z00_4135);
				}
				return
					((BgL_rtl_regz00_bglt)
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1159z00_3937)));
			}
		}

	}



/* &lambda1956 */
	BgL_rtl_regz00_bglt BGl_z62lambda1956z62zzsaw_exprz00(obj_t BgL_envz00_3938,
		obj_t BgL_type1150z00_3939, obj_t BgL_var1151z00_3940,
		obj_t BgL_onexprzf31152zf3_3941, obj_t BgL_name1153z00_3942,
		obj_t BgL_key1154z00_3943, obj_t BgL_debugname1155z00_3944,
		obj_t BgL_hardware1156z00_3945, obj_t BgL_index1157z00_3946,
		obj_t BgL_status1158z00_3947)
	{
		{	/* SawMill/expr.scm 12 */
			{	/* SawMill/expr.scm 12 */
				BgL_rtl_regz00_bglt BgL_new1281z00_4137;

				{	/* SawMill/expr.scm 12 */
					BgL_rtl_regz00_bglt BgL_tmp1279z00_4138;
					BgL_iregz00_bglt BgL_wide1280z00_4139;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_5634;

						{	/* SawMill/expr.scm 12 */
							BgL_rtl_regz00_bglt BgL_new1278z00_4140;

							BgL_new1278z00_4140 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/expr.scm 12 */
								long BgL_arg1960z00_4141;

								BgL_arg1960z00_4141 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1278z00_4140),
									BgL_arg1960z00_4141);
							}
							{	/* SawMill/expr.scm 12 */
								BgL_objectz00_bglt BgL_tmpz00_5639;

								BgL_tmpz00_5639 = ((BgL_objectz00_bglt) BgL_new1278z00_4140);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5639, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1278z00_4140);
							BgL_auxz00_5634 = BgL_new1278z00_4140;
						}
						BgL_tmp1279z00_4138 = ((BgL_rtl_regz00_bglt) BgL_auxz00_5634);
					}
					BgL_wide1280z00_4139 =
						((BgL_iregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_iregz00_bgl))));
					{	/* SawMill/expr.scm 12 */
						obj_t BgL_auxz00_5647;
						BgL_objectz00_bglt BgL_tmpz00_5645;

						BgL_auxz00_5647 = ((obj_t) BgL_wide1280z00_4139);
						BgL_tmpz00_5645 = ((BgL_objectz00_bglt) BgL_tmp1279z00_4138);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5645, BgL_auxz00_5647);
					}
					((BgL_objectz00_bglt) BgL_tmp1279z00_4138);
					{	/* SawMill/expr.scm 12 */
						long BgL_arg1957z00_4142;

						BgL_arg1957z00_4142 = BGL_CLASS_NUM(BGl_iregz00zzsaw_exprz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1279z00_4138), BgL_arg1957z00_4142);
					}
					BgL_new1281z00_4137 = ((BgL_rtl_regz00_bglt) BgL_tmp1279z00_4138);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1281z00_4137)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1150z00_3939)),
					BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1281z00_4137)))->BgL_varz00) =
					((obj_t) BgL_var1151z00_3940), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1281z00_4137)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31152zf3_3941), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1281z00_4137)))->BgL_namez00) =
					((obj_t) BgL_name1153z00_3942), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1281z00_4137)))->BgL_keyz00) =
					((obj_t) BgL_key1154z00_3943), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1281z00_4137)))->BgL_debugnamez00) =
					((obj_t) BgL_debugname1155z00_3944), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1281z00_4137)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1156z00_3945), BUNSPEC);
				{
					BgL_iregz00_bglt BgL_auxz00_5670;

					{
						obj_t BgL_auxz00_5671;

						{	/* SawMill/expr.scm 12 */
							BgL_objectz00_bglt BgL_tmpz00_5672;

							BgL_tmpz00_5672 = ((BgL_objectz00_bglt) BgL_new1281z00_4137);
							BgL_auxz00_5671 = BGL_OBJECT_WIDENING(BgL_tmpz00_5672);
						}
						BgL_auxz00_5670 = ((BgL_iregz00_bglt) BgL_auxz00_5671);
					}
					((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_5670))->BgL_indexz00) =
						((obj_t) BgL_index1157z00_3946), BUNSPEC);
				}
				{
					BgL_iregz00_bglt BgL_auxz00_5677;

					{
						obj_t BgL_auxz00_5678;

						{	/* SawMill/expr.scm 12 */
							BgL_objectz00_bglt BgL_tmpz00_5679;

							BgL_tmpz00_5679 = ((BgL_objectz00_bglt) BgL_new1281z00_4137);
							BgL_auxz00_5678 = BGL_OBJECT_WIDENING(BgL_tmpz00_5679);
						}
						BgL_auxz00_5677 = ((BgL_iregz00_bglt) BgL_auxz00_5678);
					}
					((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_5677))->BgL_statusz00) =
						((obj_t) BgL_status1158z00_3947), BUNSPEC);
				}
				return BgL_new1281z00_4137;
			}
		}

	}



/* &lambda1977 */
	obj_t BGl_z62lambda1977z62zzsaw_exprz00(obj_t BgL_envz00_3948,
		obj_t BgL_oz00_3949, obj_t BgL_vz00_3950)
	{
		{	/* SawMill/expr.scm 12 */
			{
				BgL_iregz00_bglt BgL_auxz00_5684;

				{
					obj_t BgL_auxz00_5685;

					{	/* SawMill/expr.scm 12 */
						BgL_objectz00_bglt BgL_tmpz00_5686;

						BgL_tmpz00_5686 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_3949));
						BgL_auxz00_5685 = BGL_OBJECT_WIDENING(BgL_tmpz00_5686);
					}
					BgL_auxz00_5684 = ((BgL_iregz00_bglt) BgL_auxz00_5685);
				}
				return
					((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_5684))->BgL_statusz00) =
					((obj_t) BgL_vz00_3950), BUNSPEC);
			}
		}

	}



/* &lambda1976 */
	obj_t BGl_z62lambda1976z62zzsaw_exprz00(obj_t BgL_envz00_3951,
		obj_t BgL_oz00_3952)
	{
		{	/* SawMill/expr.scm 12 */
			{
				BgL_iregz00_bglt BgL_auxz00_5692;

				{
					obj_t BgL_auxz00_5693;

					{	/* SawMill/expr.scm 12 */
						BgL_objectz00_bglt BgL_tmpz00_5694;

						BgL_tmpz00_5694 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_3952));
						BgL_auxz00_5693 = BGL_OBJECT_WIDENING(BgL_tmpz00_5694);
					}
					BgL_auxz00_5692 = ((BgL_iregz00_bglt) BgL_auxz00_5693);
				}
				return (((BgL_iregz00_bglt) COBJECT(BgL_auxz00_5692))->BgL_statusz00);
			}
		}

	}



/* &lambda1972 */
	obj_t BGl_z62lambda1972z62zzsaw_exprz00(obj_t BgL_envz00_3953,
		obj_t BgL_oz00_3954, obj_t BgL_vz00_3955)
	{
		{	/* SawMill/expr.scm 12 */
			{
				BgL_iregz00_bglt BgL_auxz00_5700;

				{
					obj_t BgL_auxz00_5701;

					{	/* SawMill/expr.scm 12 */
						BgL_objectz00_bglt BgL_tmpz00_5702;

						BgL_tmpz00_5702 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_3954));
						BgL_auxz00_5701 = BGL_OBJECT_WIDENING(BgL_tmpz00_5702);
					}
					BgL_auxz00_5700 = ((BgL_iregz00_bglt) BgL_auxz00_5701);
				}
				return
					((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_5700))->BgL_indexz00) =
					((obj_t) BgL_vz00_3955), BUNSPEC);
			}
		}

	}



/* &lambda1971 */
	obj_t BGl_z62lambda1971z62zzsaw_exprz00(obj_t BgL_envz00_3956,
		obj_t BgL_oz00_3957)
	{
		{	/* SawMill/expr.scm 12 */
			{
				BgL_iregz00_bglt BgL_auxz00_5708;

				{
					obj_t BgL_auxz00_5709;

					{	/* SawMill/expr.scm 12 */
						BgL_objectz00_bglt BgL_tmpz00_5710;

						BgL_tmpz00_5710 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_3957));
						BgL_auxz00_5709 = BGL_OBJECT_WIDENING(BgL_tmpz00_5710);
					}
					BgL_auxz00_5708 = ((BgL_iregz00_bglt) BgL_auxz00_5709);
				}
				return (((BgL_iregz00_bglt) COBJECT(BgL_auxz00_5708))->BgL_indexz00);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_exprz00(void)
	{
		{	/* SawMill/expr.scm 1 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_acceptzd2foldingzf3zd2envzf3zzsaw_exprz00,
				BGl_proc2174z00zzsaw_exprz00, BGl_backendz00zzbackend_backendz00,
				BGl_string2175z00zzsaw_exprz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_proc2176z00zzsaw_exprz00,
				BGl_rtl_funz00zzsaw_defsz00, BGl_string2177z00zzsaw_exprz00);
		}

	}



/* &effects1543 */
	obj_t BGl_z62effects1543z62zzsaw_exprz00(obj_t BgL_envz00_3960,
		obj_t BgL_funz00_3961)
	{
		{	/* SawMill/expr.scm 229 */
			return ((obj_t) BGl_za2noeffectza2z00zzsaw_exprz00);
		}

	}



/* &accept-folding?1541 */
	obj_t BGl_z62acceptzd2foldingzf31541z43zzsaw_exprz00(obj_t BgL_envz00_3962,
		obj_t BgL_bz00_3963, obj_t BgL_insz00_3964, obj_t BgL_treez00_3965)
	{
		{	/* SawMill/expr.scm 166 */
			return BBOOL(((bool_t) 1));
		}

	}



/* accept-folding? */
	BGL_EXPORTED_DEF obj_t
		BGl_acceptzd2foldingzf3z21zzsaw_exprz00(BgL_backendz00_bglt BgL_bz00_106,
		obj_t BgL_insz00_107, obj_t BgL_treez00_108)
	{
		{	/* SawMill/expr.scm 166 */
			{	/* SawMill/expr.scm 166 */
				obj_t BgL_method1542z00_2621;

				{	/* SawMill/expr.scm 166 */
					obj_t BgL_res2142z00_3656;

					{	/* SawMill/expr.scm 166 */
						long BgL_objzd2classzd2numz00_3627;

						BgL_objzd2classzd2numz00_3627 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_106));
						{	/* SawMill/expr.scm 166 */
							obj_t BgL_arg1862z00_3628;

							BgL_arg1862z00_3628 =
								PROCEDURE_REF(BGl_acceptzd2foldingzf3zd2envzf3zzsaw_exprz00,
								(int) (1L));
							{	/* SawMill/expr.scm 166 */
								int BgL_offsetz00_3631;

								BgL_offsetz00_3631 = (int) (BgL_objzd2classzd2numz00_3627);
								{	/* SawMill/expr.scm 166 */
									long BgL_offsetz00_3632;

									BgL_offsetz00_3632 =
										((long) (BgL_offsetz00_3631) - OBJECT_TYPE);
									{	/* SawMill/expr.scm 166 */
										long BgL_modz00_3633;

										BgL_modz00_3633 =
											(BgL_offsetz00_3632 >> (int) ((long) ((int) (4L))));
										{	/* SawMill/expr.scm 166 */
											long BgL_restz00_3635;

											BgL_restz00_3635 =
												(BgL_offsetz00_3632 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* SawMill/expr.scm 166 */

												{	/* SawMill/expr.scm 166 */
													obj_t BgL_bucketz00_3637;

													BgL_bucketz00_3637 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_3628), BgL_modz00_3633);
													BgL_res2142z00_3656 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3637), BgL_restz00_3635);
					}}}}}}}}
					BgL_method1542z00_2621 = BgL_res2142z00_3656;
				}
				return
					BGL_PROCEDURE_CALL3(BgL_method1542z00_2621,
					((obj_t) BgL_bz00_106), BgL_insz00_107, BgL_treez00_108);
			}
		}

	}



/* &accept-folding? */
	obj_t BGl_z62acceptzd2foldingzf3z43zzsaw_exprz00(obj_t BgL_envz00_3966,
		obj_t BgL_bz00_3967, obj_t BgL_insz00_3968, obj_t BgL_treez00_3969)
	{
		{	/* SawMill/expr.scm 166 */
			return
				BGl_acceptzd2foldingzf3z21zzsaw_exprz00(
				((BgL_backendz00_bglt) BgL_bz00_3967), BgL_insz00_3968,
				BgL_treez00_3969);
		}

	}



/* effects */
	obj_t BGl_effectsz00zzsaw_exprz00(BgL_rtl_funz00_bglt BgL_funz00_117)
	{
		{	/* SawMill/expr.scm 229 */
			{	/* SawMill/expr.scm 229 */
				obj_t BgL_method1544z00_2622;

				{	/* SawMill/expr.scm 229 */
					obj_t BgL_res2147z00_3687;

					{	/* SawMill/expr.scm 229 */
						long BgL_objzd2classzd2numz00_3658;

						BgL_objzd2classzd2numz00_3658 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_117));
						{	/* SawMill/expr.scm 229 */
							obj_t BgL_arg1862z00_3659;

							BgL_arg1862z00_3659 =
								PROCEDURE_REF(BGl_effectszd2envzd2zzsaw_exprz00, (int) (1L));
							{	/* SawMill/expr.scm 229 */
								int BgL_offsetz00_3662;

								BgL_offsetz00_3662 = (int) (BgL_objzd2classzd2numz00_3658);
								{	/* SawMill/expr.scm 229 */
									long BgL_offsetz00_3663;

									BgL_offsetz00_3663 =
										((long) (BgL_offsetz00_3662) - OBJECT_TYPE);
									{	/* SawMill/expr.scm 229 */
										long BgL_modz00_3664;

										BgL_modz00_3664 =
											(BgL_offsetz00_3663 >> (int) ((long) ((int) (4L))));
										{	/* SawMill/expr.scm 229 */
											long BgL_restz00_3666;

											BgL_restz00_3666 =
												(BgL_offsetz00_3663 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* SawMill/expr.scm 229 */

												{	/* SawMill/expr.scm 229 */
													obj_t BgL_bucketz00_3668;

													BgL_bucketz00_3668 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_3659), BgL_modz00_3664);
													BgL_res2147z00_3687 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3668), BgL_restz00_3666);
					}}}}}}}}
					BgL_method1544z00_2622 = BgL_res2147z00_3687;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1544z00_2622, ((obj_t) BgL_funz00_117));
			}
		}

	}



/* &effects */
	obj_t BGl_z62effectsz62zzsaw_exprz00(obj_t BgL_envz00_3970,
		obj_t BgL_funz00_3971)
	{
		{	/* SawMill/expr.scm 229 */
			return
				BGl_effectsz00zzsaw_exprz00(((BgL_rtl_funz00_bglt) BgL_funz00_3971));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_exprz00(void)
	{
		{	/* SawMill/expr.scm 1 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_loadgz00zzsaw_defsz00,
				BGl_proc2178z00zzsaw_exprz00, BGl_string2179z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_storegz00zzsaw_defsz00,
				BGl_proc2180z00zzsaw_exprz00, BGl_string2179z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_vrefz00zzsaw_defsz00,
				BGl_proc2181z00zzsaw_exprz00, BGl_string2179z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_vsetz00zzsaw_defsz00,
				BGl_proc2182z00zzsaw_exprz00, BGl_string2179z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_boxrefz00zzsaw_defsz00,
				BGl_proc2183z00zzsaw_exprz00, BGl_string2179z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_boxsetz00zzsaw_defsz00,
				BGl_proc2184z00zzsaw_exprz00, BGl_string2179z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_getfieldz00zzsaw_defsz00,
				BGl_proc2185z00zzsaw_exprz00, BGl_string2179z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_setfieldz00zzsaw_defsz00,
				BGl_proc2186z00zzsaw_exprz00, BGl_string2179z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_applyz00zzsaw_defsz00,
				BGl_proc2187z00zzsaw_exprz00, BGl_string2179z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00,
				BGl_rtl_lightfuncallz00zzsaw_defsz00, BGl_proc2188z00zzsaw_exprz00,
				BGl_string2179z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_funcallz00zzsaw_defsz00,
				BGl_proc2189z00zzsaw_exprz00, BGl_string2179z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_pragmaz00zzsaw_defsz00,
				BGl_proc2190z00zzsaw_exprz00, BGl_string2179z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_protectz00zzsaw_defsz00,
				BGl_proc2191z00zzsaw_exprz00, BGl_string2179z00zzsaw_exprz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_callz00zzsaw_defsz00,
				BGl_proc2192z00zzsaw_exprz00, BGl_string2179z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_call1572 */
	obj_t BGl_z62effectszd2rtl_call1572zb0zzsaw_exprz00(obj_t BgL_envz00_3986,
		obj_t BgL_funz00_3987)
	{
		{	/* SawMill/expr.scm 244 */
			{	/* SawMill/expr.scm 245 */
				BgL_globalz00_bglt BgL_varz00_4150;

				BgL_varz00_4150 =
					(((BgL_rtl_callz00_bglt) COBJECT(
							((BgL_rtl_callz00_bglt) BgL_funz00_3987)))->BgL_varz00);
				{	/* SawMill/expr.scm 246 */
					obj_t BgL__ortest_1254z00_4151;

					BgL__ortest_1254z00_4151 =
						BGl_getpropz00zz__r4_symbols_6_4z00(
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_4150)))->BgL_idz00),
						(((BgL_globalz00_bglt) COBJECT(BgL_varz00_4150))->BgL_modulez00));
					if (CBOOL(BgL__ortest_1254z00_4151))
						{	/* SawMill/expr.scm 246 */
							return BgL__ortest_1254z00_4151;
						}
					else
						{	/* SawMill/expr.scm 246 */
							return BGl_manuzd2effectzd2zzsaw_exprz00(BgL_varz00_4150);
						}
				}
			}
		}

	}



/* &effects-rtl_protect1570 */
	obj_t BGl_z62effectszd2rtl_protect1570zb0zzsaw_exprz00(obj_t BgL_envz00_3988,
		obj_t BgL_funz00_3989)
	{
		{	/* SawMill/expr.scm 242 */
			return ((obj_t) BGl_za2fullza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_pragma1568 */
	obj_t BGl_z62effectszd2rtl_pragma1568zb0zzsaw_exprz00(obj_t BgL_envz00_3990,
		obj_t BgL_funz00_3991)
	{
		{	/* SawMill/expr.scm 241 */
			return ((obj_t) BGl_za2fullza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_funcall1566 */
	obj_t BGl_z62effectszd2rtl_funcall1566zb0zzsaw_exprz00(obj_t BgL_envz00_3992,
		obj_t BgL_funz00_3993)
	{
		{	/* SawMill/expr.scm 240 */
			return ((obj_t) BGl_za2fullza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_lightfun1564 */
	obj_t BGl_z62effectszd2rtl_lightfun1564zb0zzsaw_exprz00(obj_t BgL_envz00_3994,
		obj_t BgL_funz00_3995)
	{
		{	/* SawMill/expr.scm 239 */
			return ((obj_t) BGl_za2fullza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_apply1562 */
	obj_t BGl_z62effectszd2rtl_apply1562zb0zzsaw_exprz00(obj_t BgL_envz00_3996,
		obj_t BgL_funz00_3997)
	{
		{	/* SawMill/expr.scm 238 */
			return ((obj_t) BGl_za2fullza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_setfield1560 */
	obj_t BGl_z62effectszd2rtl_setfield1560zb0zzsaw_exprz00(obj_t BgL_envz00_3998,
		obj_t BgL_funz00_3999)
	{
		{	/* SawMill/expr.scm 237 */
			return ((obj_t) BGl_za2setfza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_getfield1558 */
	obj_t BGl_z62effectszd2rtl_getfield1558zb0zzsaw_exprz00(obj_t BgL_envz00_4000,
		obj_t BgL_funz00_4001)
	{
		{	/* SawMill/expr.scm 236 */
			return ((obj_t) BGl_za2getfza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_boxset1556 */
	obj_t BGl_z62effectszd2rtl_boxset1556zb0zzsaw_exprz00(obj_t BgL_envz00_4002,
		obj_t BgL_funz00_4003)
	{
		{	/* SawMill/expr.scm 235 */
			return ((obj_t) BGl_za2boxsetza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_boxref1554 */
	obj_t BGl_z62effectszd2rtl_boxref1554zb0zzsaw_exprz00(obj_t BgL_envz00_4004,
		obj_t BgL_funz00_4005)
	{
		{	/* SawMill/expr.scm 234 */
			return ((obj_t) BGl_za2boxrefza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_vset1552 */
	obj_t BGl_z62effectszd2rtl_vset1552zb0zzsaw_exprz00(obj_t BgL_envz00_4006,
		obj_t BgL_funz00_4007)
	{
		{	/* SawMill/expr.scm 233 */
			return ((obj_t) BGl_za2vsetza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_vref1550 */
	obj_t BGl_z62effectszd2rtl_vref1550zb0zzsaw_exprz00(obj_t BgL_envz00_4008,
		obj_t BgL_funz00_4009)
	{
		{	/* SawMill/expr.scm 232 */
			return ((obj_t) BGl_za2vrefza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_storeg1548 */
	obj_t BGl_z62effectszd2rtl_storeg1548zb0zzsaw_exprz00(obj_t BgL_envz00_4010,
		obj_t BgL_funz00_4011)
	{
		{	/* SawMill/expr.scm 231 */
			return ((obj_t) BGl_za2storegza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_loadg1546 */
	obj_t BGl_z62effectszd2rtl_loadg1546zb0zzsaw_exprz00(obj_t BgL_envz00_4012,
		obj_t BgL_funz00_4013)
	{
		{	/* SawMill/expr.scm 230 */
			return ((obj_t) BGl_za2loadgza2z00zzsaw_exprz00);
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_exprz00(void)
	{
		{	/* SawMill/expr.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2193z00zzsaw_exprz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2193z00zzsaw_exprz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2193z00zzsaw_exprz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2193z00zzsaw_exprz00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(404844772L,
				BSTRING_TO_STRING(BGl_string2193z00zzsaw_exprz00));
			return
				BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2193z00zzsaw_exprz00));
		}

	}

#ifdef __cplusplus
}
#endif
