/*===========================================================================*/
/*   (SawMill/node2rtl.scm)                                                  */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawMill/node2rtl.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_SAW_NODE2RTL_TYPE_DEFINITIONS
#define BGL_SAW_NODE2RTL_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
		obj_t BgL_srfi0z00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_debugnamez00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                    *BgL_rtl_returnz00_bglt;

	typedef struct BgL_rtl_jumpexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                      *BgL_rtl_jumpexitz00_bglt;

	typedef struct BgL_rtl_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_failz00_bglt;

	typedef struct BgL_rtl_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                *BgL_rtl_ifz00_bglt;

	typedef struct BgL_rtl_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
	}                    *BgL_rtl_selectz00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_movz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_movz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_loadfunz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                     *BgL_rtl_loadfunz00_bglt;

	typedef struct BgL_rtl_globalrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                       *BgL_rtl_globalrefz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_rtl_vallocz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                     *BgL_rtl_vlengthz00_bglt;

	typedef struct BgL_rtl_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                        *BgL_rtl_instanceofz00_bglt;

	typedef struct BgL_rtl_makeboxz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_makeboxz00_bglt;

	typedef struct BgL_rtl_boxrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxrefz00_bglt;

	typedef struct BgL_rtl_storegz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                    *BgL_rtl_storegz00_bglt;

	typedef struct BgL_rtl_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_setfieldz00_bglt;

	typedef struct BgL_rtl_vsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vsetz00_bglt;

	typedef struct BgL_rtl_boxsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxsetz00_bglt;

	typedef struct BgL_rtl_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_constrz00;
	}                 *BgL_rtl_newz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_applyz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                   *BgL_rtl_applyz00_bglt;

	typedef struct BgL_rtl_lightfuncallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_funsz00;
		obj_t BgL_rettypez00;
	}                          *BgL_rtl_lightfuncallz00_bglt;

	typedef struct BgL_rtl_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_funcallz00_bglt;

	typedef struct BgL_rtl_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_formatz00;
		obj_t BgL_srfi0z00;
	}                    *BgL_rtl_pragmaz00_bglt;

	typedef struct BgL_rtl_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_totypez00;
		struct BgL_typez00_bgl *BgL_fromtypez00;
	}                  *BgL_rtl_castz00_bglt;

	typedef struct BgL_rtl_cast_nullz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                       *BgL_rtl_cast_nullz00_bglt;

	typedef struct BgL_rtl_protectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_protectz00_bglt;

	typedef struct BgL_rtl_protectedz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                       *BgL_rtl_protectedz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_areaz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_blockz00_bgl *BgL_entryz00;
		struct BgL_blockz00_bgl *BgL_exitz00;
	}              *BgL_areaz00_bglt;

	typedef struct BgL_reversedz00_bgl
	{
	}                  *BgL_reversedz00_bglt;

	typedef struct BgL_rlocalz00_bgl
	{
		obj_t BgL_regz00;
		obj_t BgL_codez00;
	}                *BgL_rlocalz00_bglt;

	typedef struct BgL_retblockzf2tozf2_bgl
	{
		struct BgL_blockz00_bgl *BgL_toz00;
		struct BgL_rtl_regz00_bgl *BgL_dstz00;
	}                       *BgL_retblockzf2tozf2_bglt;


#endif													// BGL_SAW_NODE2RTL_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(BgL_nodez00_bglt);
	static BgL_areaz00_bglt BGl_moveze70ze7zzsaw_node2rtlz00(BgL_rtl_regz00_bglt,
		BgL_localz00_bglt);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_globalzd2ze3rtlz31zzsaw_node2rtlz00(BgL_globalz00_bglt);
	extern obj_t BGl_rtl_funcallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_newz00zzsaw_defsz00;
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	extern obj_t BGl_rtl_pragmaz00zzsaw_defsz00;
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_node2rtlz00 = BUNSPEC;
	static obj_t BGl_imperativezf3zf3zzsaw_node2rtlz00(BgL_appz00_bglt,
		BgL_globalz00_bglt, obj_t);
	static BgL_areaz00_bglt BGl_z62predicatez62zzsaw_node2rtlz00(obj_t, obj_t,
		obj_t);
	static BgL_areaz00_bglt BGl_linkza2za2zzsaw_node2rtlz00(obj_t);
	static obj_t BGl_bdestinationz12z12zzsaw_node2rtlz00(BgL_blockz00_bglt,
		BgL_rtl_regz00_bglt);
	static BgL_areaz00_bglt BGl_callza2za2zzsaw_node2rtlz00(obj_t,
		BgL_rtl_funz00_bglt, obj_t);
	extern obj_t BGl_newz00zzast_nodez00;
	extern obj_t BGl_rtl_boxrefz00zzsaw_defsz00;
	extern obj_t BGl_vlengthz00zzast_nodez00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2sequence1730z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_retblockzf2tozf2zzsaw_node2rtlz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static BgL_areaz00_bglt
		BGl_compilezd2labelzd2callz00zzsaw_node2rtlz00(BgL_localz00_bglt, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2app1740z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_rtl_vrefz00zzsaw_defsz00;
	static obj_t BGl_toplevelzd2initzd2zzsaw_node2rtlz00(void);
	extern obj_t BGl_rtl_protectz00zzsaw_defsz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2vref1756z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_rtl_boxsetz00zzsaw_defsz00;
	extern obj_t BGl_rtl_vlengthz00zzsaw_defsz00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2vsetz121758z93zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt BGl_predicatez00zzsaw_node2rtlz00(BgL_nodez00_bglt,
		obj_t);
	extern obj_t BGl_rtl_makeboxz00zzsaw_defsz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_node2rtlz00(void);
	extern obj_t BGl_getfieldz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_vsetz00zzsaw_defsz00;
	static obj_t BGl_objectzd2initzd2zzsaw_node2rtlz00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	extern obj_t BGl_rtl_vallocz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2atom1722z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62globalzd2ze3rtlz53zzsaw_node2rtlz00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_cast_nullz00zzsaw_defsz00;
	extern obj_t BGl_rtl_loadfunz00zzsaw_defsz00;
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	static bool_t BGl_za2reversezd2callzd2argumentza2z00zzsaw_node2rtlz00;
	static obj_t BGl_z62zc3z04anonymousza32124ze3ze5zzsaw_node2rtlz00(obj_t,
		obj_t);
	static BgL_areaz00_bglt BGl_singleza2za2zzsaw_node2rtlz00(obj_t,
		BgL_rtl_funz00_bglt, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2instanceof1762z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62predicatezd2letzd2var1791z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_localzd2ze3codez31zzsaw_node2rtlz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_localzd2ze3regz31zzsaw_node2rtlz00(BgL_localz00_bglt);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2vlength1760z81zzsaw_node2rtlz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_reversedz00zzsaw_node2rtlz00 = BUNSPEC;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2letzd2fun1738z53zzsaw_node2rtlz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_nopz00zzsaw_defsz00;
	static obj_t BGl_methodzd2initzd2zzsaw_node2rtlz00(void);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2valloc1754z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt BGl_forkz00zzsaw_node2rtlz00(BgL_areaz00_bglt, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62localzd2ze3regz53zzsaw_node2rtlz00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_jumpexitz00zzsaw_defsz00;
	static obj_t BGl_z62nodezd2ze3rtl1718z53zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static BgL_areaz00_bglt BGl_linkz00zzsaw_node2rtlz00(BgL_areaz00_bglt,
		BgL_areaz00_bglt);
	extern obj_t BGl_rtl_instanceofz00zzsaw_defsz00;
	extern obj_t BGl_rtl_setfieldz00zzsaw_defsz00;
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	static obj_t BGl_joinz00zzsaw_node2rtlz00(obj_t, BgL_rtl_regz00_bglt);
	static BgL_areaz00_bglt BGl_forkzf2joinzf2zzsaw_node2rtlz00(BgL_areaz00_bglt,
		obj_t, BgL_rtl_regz00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2appzd2ly1742z53zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_argszd21ze70z35zzsaw_node2rtlz00(obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2retblock1781z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_rtl_ifz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_z62predicatezd2conditiona1789zb0zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_callz00zzsaw_defsz00;
	static obj_t BGl_z62zc3z04anonymousza32146ze3ze5zzsaw_node2rtlz00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_selectz00zzsaw_defsz00;
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza32163ze3ze5zzsaw_node2rtlz00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_storegz00zzsaw_defsz00;
	static obj_t BGl_z62predicate1784z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2getfield1748z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2switch1736z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_areaz00_bglt BGl_z62predicatezd2atom1787zb0zzsaw_node2rtlz00(obj_t,
		obj_t, obj_t);
	static BgL_areaz00_bglt BGl_z62lambda2120z62zzsaw_node2rtlz00(obj_t, obj_t,
		obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2conditiona1734z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt BGl_z62lambda2122z62zzsaw_node2rtlz00(obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda2203z62zzsaw_node2rtlz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2204z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_returnz00zzsaw_defsz00;
	static BgL_blockz00_bglt BGl_z62lambda2128z62zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2129z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_applyz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsync_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_blockz00_bglt BGl_z62lambda2133z62zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2134z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern BgL_nodez00_bglt
		BGl_synczd2ze3sequencez31zzsync_nodez00(BgL_syncz00_bglt);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2return1783z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2141z62zzsaw_node2rtlz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2144z62zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static BgL_blockz00_bglt BGl_z62lambda2147z62zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_rtl_loadgz00zzsaw_defsz00;
	static obj_t BGl_areaz00zzsaw_node2rtlz00 = BUNSPEC;
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2letzd2var1726z53zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_rtl_failz00zzsaw_defsz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static BgL_localz00_bglt BGl_z62lambda2157z62zzsaw_node2rtlz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_node2rtlz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_node2rtlz00(void);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2setq1728z81zzsaw_node2rtlz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static bool_t BGl_dfsze70ze7zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_node2rtlz00(void);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2setzd2exzd2it1769z81zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_node2rtlz00(void);
	static BgL_localz00_bglt BGl_z62lambda2161z62zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2setfield1750z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda2164z62zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_rtl_castz00zzsaw_defsz00;
	extern obj_t BGl_vallocz00zzast_nodez00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2funcall1744z81zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2171z62zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2172z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static obj_t BGl_z62lambda2176z62zzsaw_node2rtlz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_z62lambda2177z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	static obj_t BGl_rlocalz00zzsaw_node2rtlz00 = BUNSPEC;
	extern obj_t BGl_rtl_globalrefz00zzsaw_defsz00;
	static BgL_rtl_regz00_bglt
		BGl_newzd2uregzd2zzsaw_node2rtlz00(BgL_localz00_bglt);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2new1752z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2cast1764z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_retblockz00_bglt BGl_z62lambda2184z62zzsaw_node2rtlz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_retblockz00_bglt BGl_z62lambda2187z62zzsaw_node2rtlz00(obj_t,
		obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2sync1732z81zzsaw_node2rtlz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
	static BgL_retblockz00_bglt BGl_z62lambda2190z62zzsaw_node2rtlz00(obj_t,
		obj_t);
	static BgL_rtl_regz00_bglt
		BGl_newzd2regzd2zzsaw_node2rtlz00(BgL_nodez00_bglt);
	extern obj_t BGl_rtl_getfieldz00zzsaw_defsz00;
	static BgL_blockz00_bglt BGl_z62lambda2197z62zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2198z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2castzd2null1767z53zzsaw_node2rtlz00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	extern obj_t BGl_setfieldz00zzast_nodez00;
	static obj_t BGl_coercez00zzsaw_node2rtlz00(obj_t);
	extern obj_t BGl_castzd2nullzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32189ze3ze5zzsaw_node2rtlz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2boxzd2ref1777z53zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2fail1773z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt BGl_z62nodezd2ze3rtlz53zzsaw_node2rtlz00(obj_t,
		obj_t);
	extern obj_t
		BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(BgL_variablez00_bglt);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2boxzd2setz121779z41zzsaw_node2rtlz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2makezd2box1775z53zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2var1724z81zzsaw_node2rtlz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_rtl_protectedz00zzsaw_defsz00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_blockz00zzsaw_defsz00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_findzd2registerzd2zzsaw_node2rtlz00(obj_t,
		BgL_rtl_regz00_bglt);
	static BgL_globalz00_bglt
		BGl_getzd2globalzd2zzsaw_node2rtlz00(BgL_globalz00_bglt);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2pragma1746z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static BgL_areaz00_bglt BGl_unlinkz00zzsaw_node2rtlz00(BgL_areaz00_bglt);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2jumpzd2exzd2it1771z81zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t __cnst[19];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3003z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3018za7,
		BGl_z62nodezd2ze3rtlzd2setzd2exzd2it1769z81zzsaw_node2rtlz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3004z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3019za7,
		BGl_z62nodezd2ze3rtlzd2jumpzd2exzd2it1771z81zzsaw_node2rtlz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3005z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3020za7,
		BGl_z62nodezd2ze3rtlzd2fail1773z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3012z00zzsaw_node2rtlz00,
		BgL_bgl_string3012za700za7za7s3021za7, "predicate::area", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3006z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3022za7,
		BGl_z62nodezd2ze3rtlzd2makezd2box1775z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3007z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3023za7,
		BGl_z62nodezd2ze3rtlzd2boxzd2ref1777z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3008z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3024za7,
		BGl_z62nodezd2ze3rtlzd2boxzd2setz121779z41zzsaw_node2rtlz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string3015z00zzsaw_node2rtlz00,
		BgL_bgl_string3015za700za7za7s3025za7, "saw_node2rtl", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3009z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3026za7,
		BGl_z62nodezd2ze3rtlzd2retblock1781z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3016z00zzsaw_node2rtlz00,
		BgL_bgl_string3016za700za7za7s3027za7,
		"light elight node->rtl1718 _ retblock/to dst to rlocal code obj reg reversed saw_node2rtl area exit entry __evmeaning_address else procedure ",
		141);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3010z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3028za7,
		BGl_z62nodezd2ze3rtlzd2return1783z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3011z00zzsaw_node2rtlz00,
		BgL_bgl_za762predicateza7d2a3029z00,
		BGl_z62predicatezd2atom1787zb0zzsaw_node2rtlz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3013z00zzsaw_node2rtlz00,
		BgL_bgl_za762predicateza7d2c3030z00,
		BGl_z62predicatezd2conditiona1789zb0zzsaw_node2rtlz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3014z00zzsaw_node2rtlz00,
		BgL_bgl_za762predicateza7d2l3031z00,
		BGl_z62predicatezd2letzd2var1791z62zzsaw_node2rtlz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_predicatezd2envzd2zzsaw_node2rtlz00,
		BgL_bgl_za762predicateza762za73032za7, BGl_z62predicatez62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3033za7,
		BGl_z62nodezd2ze3rtlz53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2945z00zzsaw_node2rtlz00,
		BgL_bgl_string2945za700za7za7s3034za7, "switch", 6);
	      DEFINE_STRING(BGl_string2946z00zzsaw_node2rtlz00,
		BgL_bgl_string2946za700za7za7s3035za7, "bad constant", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2947z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2129za7623036z00, BGl_z62lambda2129z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2948z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2128za7623037z00, BGl_z62lambda2128z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2949z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2134za7623038z00, BGl_z62lambda2134z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2950z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2133za7623039z00, BGl_z62lambda2133z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2951z00zzsaw_node2rtlz00,
		BgL_bgl_za762za7c3za704anonymo3040za7,
		BGl_z62zc3z04anonymousza32124ze3ze5zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2952z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2122za7623041z00, BGl_z62lambda2122z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2953z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2120za7623042z00, BGl_z62lambda2120z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2954z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2147za7623043z00, BGl_z62lambda2147z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2955z00zzsaw_node2rtlz00,
		BgL_bgl_za762za7c3za704anonymo3044za7,
		BGl_z62zc3z04anonymousza32146ze3ze5zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2956z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2144za7623045z00, BGl_z62lambda2144z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2957z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2141za7623046z00, BGl_z62lambda2141z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2958z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2172za7623047z00, BGl_z62lambda2172z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2959z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2171za7623048z00, BGl_z62lambda2171z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2960z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2177za7623049z00, BGl_z62lambda2177z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2961z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2176za7623050z00, BGl_z62lambda2176z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2962z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2164za7623051z00, BGl_z62lambda2164z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2963z00zzsaw_node2rtlz00,
		BgL_bgl_za762za7c3za704anonymo3052za7,
		BGl_z62zc3z04anonymousza32163ze3ze5zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2964z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2161za7623053z00, BGl_z62lambda2161z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2965z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2157za7623054z00, BGl_z62lambda2157z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2966z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2198za7623055z00, BGl_z62lambda2198z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2967z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2197za7623056z00, BGl_z62lambda2197z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2968z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2204za7623057z00, BGl_z62lambda2204z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2975z00zzsaw_node2rtlz00,
		BgL_bgl_string2975za700za7za7s3058za7, "node->rtl1718", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2969z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2203za7623059z00, BGl_z62lambda2203z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2977z00zzsaw_node2rtlz00,
		BgL_bgl_string2977za700za7za7s3060za7, "predicate1784", 13);
	      DEFINE_STRING(BGl_string2978z00zzsaw_node2rtlz00,
		BgL_bgl_string2978za700za7za7s3061za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2970z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2190za7623062z00, BGl_z62lambda2190z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2971z00zzsaw_node2rtlz00,
		BgL_bgl_za762za7c3za704anonymo3063za7,
		BGl_z62zc3z04anonymousza32189ze3ze5zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2972z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2187za7623064z00, BGl_z62lambda2187z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2973z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2184za7623065z00, BGl_z62lambda2184z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string2980z00zzsaw_node2rtlz00,
		BgL_bgl_string2980za700za7za7s3066za7, "node->rtl::area", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2974z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3067za7,
		BGl_z62nodezd2ze3rtl1718z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2976z00zzsaw_node2rtlz00,
		BgL_bgl_za762predicate17843068za7, BGl_z62predicate1784z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2979z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3069za7,
		BGl_z62nodezd2ze3rtlzd2atom1722z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2ze3rtlzd2envze3zzsaw_node2rtlz00,
		BgL_bgl_za762globalza7d2za7e3r3070za7,
		BGl_z62globalzd2ze3rtlz53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2981z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3071za7,
		BGl_z62nodezd2ze3rtlzd2var1724z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2982z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3072za7,
		BGl_z62nodezd2ze3rtlzd2letzd2var1726z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2983z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3073za7,
		BGl_z62nodezd2ze3rtlzd2setq1728z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2984z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3074za7,
		BGl_z62nodezd2ze3rtlzd2sequence1730z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2985z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3075za7,
		BGl_z62nodezd2ze3rtlzd2sync1732z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2986z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3076za7,
		BGl_z62nodezd2ze3rtlzd2conditiona1734z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2987z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3077za7,
		BGl_z62nodezd2ze3rtlzd2switch1736z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2988z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3078za7,
		BGl_z62nodezd2ze3rtlzd2letzd2fun1738z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2989z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3079za7,
		BGl_z62nodezd2ze3rtlzd2app1740z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2990z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3080za7,
		BGl_z62nodezd2ze3rtlzd2appzd2ly1742z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2991z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3081za7,
		BGl_z62nodezd2ze3rtlzd2funcall1744z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2992z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3082za7,
		BGl_z62nodezd2ze3rtlzd2pragma1746z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2ze3regzd2envze3zzsaw_node2rtlz00,
		BgL_bgl_za762localza7d2za7e3re3083za7,
		BGl_z62localzd2ze3regz53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2993z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3084za7,
		BGl_z62nodezd2ze3rtlzd2getfield1748z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2994z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3085za7,
		BGl_z62nodezd2ze3rtlzd2setfield1750z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2995z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3086za7,
		BGl_z62nodezd2ze3rtlzd2new1752z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2996z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3087za7,
		BGl_z62nodezd2ze3rtlzd2valloc1754z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2997z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3088za7,
		BGl_z62nodezd2ze3rtlzd2vref1756z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2998z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3089za7,
		BGl_z62nodezd2ze3rtlzd2vsetz121758z93zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2999z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3090za7,
		BGl_z62nodezd2ze3rtlzd2vlength1760z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3000z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3091za7,
		BGl_z62nodezd2ze3rtlzd2instanceof1762z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3001z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3092za7,
		BGl_z62nodezd2ze3rtlzd2cast1764z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3002z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl3093za7,
		BGl_z62nodezd2ze3rtlzd2castzd2null1767z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_node2rtlz00));
		     ADD_ROOT((void *) (&BGl_retblockzf2tozf2zzsaw_node2rtlz00));
		     ADD_ROOT((void *) (&BGl_reversedz00zzsaw_node2rtlz00));
		     ADD_ROOT((void *) (&BGl_areaz00zzsaw_node2rtlz00));
		     ADD_ROOT((void *) (&BGl_rlocalz00zzsaw_node2rtlz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(long
		BgL_checksumz00_6579, char *BgL_fromz00_6580)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_node2rtlz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_node2rtlz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_node2rtlz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_node2rtlz00();
					BGl_cnstzd2initzd2zzsaw_node2rtlz00();
					BGl_importedzd2moduleszd2initz00zzsaw_node2rtlz00();
					BGl_objectzd2initzd2zzsaw_node2rtlz00();
					BGl_genericzd2initzd2zzsaw_node2rtlz00();
					BGl_methodzd2initzd2zzsaw_node2rtlz00();
					return BGl_toplevelzd2initzd2zzsaw_node2rtlz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_node2rtlz00(void)
	{
		{	/* SawMill/node2rtl.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L,
				"saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "saw_node2rtl");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_node2rtlz00(void)
	{
		{	/* SawMill/node2rtl.scm 1 */
			{	/* SawMill/node2rtl.scm 1 */
				obj_t BgL_cportz00_5942;

				{	/* SawMill/node2rtl.scm 1 */
					obj_t BgL_stringz00_5949;

					BgL_stringz00_5949 = BGl_string3016z00zzsaw_node2rtlz00;
					{	/* SawMill/node2rtl.scm 1 */
						obj_t BgL_startz00_5950;

						BgL_startz00_5950 = BINT(0L);
						{	/* SawMill/node2rtl.scm 1 */
							obj_t BgL_endz00_5951;

							BgL_endz00_5951 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_5949)));
							{	/* SawMill/node2rtl.scm 1 */

								BgL_cportz00_5942 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_5949, BgL_startz00_5950, BgL_endz00_5951);
				}}}}
				{
					long BgL_iz00_5943;

					BgL_iz00_5943 = 18L;
				BgL_loopz00_5944:
					if ((BgL_iz00_5943 == (-1L)))
						{	/* SawMill/node2rtl.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/node2rtl.scm 1 */
							{	/* SawMill/node2rtl.scm 1 */
								obj_t BgL_arg3017z00_5945;

								{	/* SawMill/node2rtl.scm 1 */

									{	/* SawMill/node2rtl.scm 1 */
										obj_t BgL_locationz00_5947;

										BgL_locationz00_5947 = BBOOL(((bool_t) 0));
										{	/* SawMill/node2rtl.scm 1 */

											BgL_arg3017z00_5945 =
												BGl_readz00zz__readerz00(BgL_cportz00_5942,
												BgL_locationz00_5947);
										}
									}
								}
								{	/* SawMill/node2rtl.scm 1 */
									int BgL_tmpz00_6614;

									BgL_tmpz00_6614 = (int) (BgL_iz00_5943);
									CNST_TABLE_SET(BgL_tmpz00_6614, BgL_arg3017z00_5945);
							}}
							{	/* SawMill/node2rtl.scm 1 */
								int BgL_auxz00_5948;

								BgL_auxz00_5948 = (int) ((BgL_iz00_5943 - 1L));
								{
									long BgL_iz00_6619;

									BgL_iz00_6619 = (long) (BgL_auxz00_5948);
									BgL_iz00_5943 = BgL_iz00_6619;
									goto BgL_loopz00_5944;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_node2rtlz00(void)
	{
		{	/* SawMill/node2rtl.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_node2rtlz00(void)
	{
		{	/* SawMill/node2rtl.scm 1 */
			BGl_za2reversezd2callzd2argumentza2z00zzsaw_node2rtlz00 = ((bool_t) 0);
			return BUNSPEC;
		}

	}



/* global->rtl */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_globalzd2ze3rtlz31zzsaw_node2rtlz00(BgL_globalz00_bglt BgL_varz00_96)
	{
		{	/* SawMill/node2rtl.scm 35 */
			{	/* SawMill/node2rtl.scm 36 */
				BgL_areaz00_bglt BgL_az00_2363;

				{	/* SawMill/node2rtl.scm 36 */
					BgL_rtl_returnz00_bglt BgL_arg1848z00_2386;
					obj_t BgL_arg1851z00_2387;

					{	/* SawMill/node2rtl.scm 36 */
						BgL_rtl_returnz00_bglt BgL_new1211z00_2389;

						{	/* SawMill/node2rtl.scm 36 */
							BgL_rtl_returnz00_bglt BgL_new1210z00_2390;

							BgL_new1210z00_2390 =
								((BgL_rtl_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_returnz00_bgl))));
							{	/* SawMill/node2rtl.scm 36 */
								long BgL_arg1856z00_2391;

								BgL_arg1856z00_2391 =
									BGL_CLASS_NUM(BGl_rtl_returnz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1210z00_2390),
									BgL_arg1856z00_2391);
							}
							BgL_new1211z00_2389 = BgL_new1210z00_2390;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1211z00_2389)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						((((BgL_rtl_returnz00_bglt) COBJECT(BgL_new1211z00_2389))->
								BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_variablez00_bglt)
										COBJECT(((BgL_variablez00_bglt) BgL_varz00_96)))->
									BgL_typez00)), BUNSPEC);
						BgL_arg1848z00_2386 = BgL_new1211z00_2389;
					}
					BgL_arg1851z00_2387 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_varz00_96)))->
										BgL_valuez00))))->BgL_bodyz00);
					{	/* SawMill/node2rtl.scm 36 */
						obj_t BgL_list1852z00_2388;

						BgL_list1852z00_2388 = MAKE_YOUNG_PAIR(BgL_arg1851z00_2387, BNIL);
						BgL_az00_2363 =
							BGl_callza2za2zzsaw_node2rtlz00(BFALSE,
							((BgL_rtl_funz00_bglt) BgL_arg1848z00_2386),
							BgL_list1852z00_2388);
				}}
				{	/* SawMill/node2rtl.scm 39 */
					struct bgl_unsafe_cell BgL_box3096_5939z00;
					BgL_blockz00_bglt BgL_rz00_2364;
					obj_t BgL_nz00_5939;

					BgL_rz00_2364 =
						(((BgL_areaz00_bglt) COBJECT(BgL_az00_2363))->BgL_entryz00);
					BgL_nz00_5939 =
						BGL_MAKE_UNSAFE_CELL_STACK(BINT(0L), BgL_box3096_5939z00);
					BGl_dfsze70ze7zzsaw_node2rtlz00(BgL_nz00_5939,
						((obj_t) BgL_rz00_2364));
					return BgL_rz00_2364;
				}
			}
		}

	}



/* dfs~0 */
	bool_t BGl_dfsze70ze7zzsaw_node2rtlz00(obj_t BgL_nz00_5937,
		obj_t BgL_bz00_2367)
	{
		{	/* SawMill/node2rtl.scm 40 */
			{	/* SawMill/node2rtl.scm 41 */
				BgL_reversedz00_bglt BgL_wide1214z00_2371;

				BgL_wide1214z00_2371 =
					((BgL_reversedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_reversedz00_bgl))));
				{	/* SawMill/node2rtl.scm 41 */
					obj_t BgL_auxz00_6647;
					BgL_objectz00_bglt BgL_tmpz00_6643;

					BgL_auxz00_6647 = ((obj_t) BgL_wide1214z00_2371);
					BgL_tmpz00_6643 =
						((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_2367)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6643, BgL_auxz00_6647);
				}
				((BgL_objectz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_2367)));
				{	/* SawMill/node2rtl.scm 41 */
					long BgL_arg1834z00_2372;

					BgL_arg1834z00_2372 = BGL_CLASS_NUM(BGl_reversedz00zzsaw_node2rtlz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_bz00_2367))), BgL_arg1834z00_2372);
				}
				((BgL_blockz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_2367)));
			}
			((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_2367));
			{	/* SawMill/node2rtl.scm 42 */
				int BgL_vz00_4090;

				BgL_vz00_4090 =
					CINT(((obj_t) ((obj_t) BGL_UNSAFE_CELL_REF(BgL_nz00_5937))));
				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_bz00_2367)))->BgL_labelz00) =
					((int) BgL_vz00_4090), BUNSPEC);
			}
			{	/* SawMill/node2rtl.scm 43 */
				obj_t BgL_auxz00_5938;

				BgL_auxz00_5938 =
					ADDFX(
					((obj_t) ((obj_t) BGL_UNSAFE_CELL_REF(BgL_nz00_5937))), BINT(1L));
				BGL_UNSAFE_CELL_SET(BgL_nz00_5937, BgL_auxz00_5938);
			}
			{	/* SawMill/node2rtl.scm 44 */
				obj_t BgL_g1622z00_2374;

				BgL_g1622z00_2374 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_bz00_2367)))->BgL_succsz00);
				{
					obj_t BgL_l1620z00_2376;

					BgL_l1620z00_2376 = BgL_g1622z00_2374;
				BgL_zc3z04anonymousza31835ze3z87_2377:
					if (PAIRP(BgL_l1620z00_2376))
						{	/* SawMill/node2rtl.scm 47 */
							{	/* SawMill/node2rtl.scm 45 */
								obj_t BgL_sz00_2379;

								BgL_sz00_2379 = CAR(BgL_l1620z00_2376);
								{	/* SawMill/node2rtl.scm 45 */
									obj_t BgL_arg1842z00_2380;

									{	/* SawMill/node2rtl.scm 45 */
										obj_t BgL_arg1845z00_2381;

										BgL_arg1845z00_2381 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt) BgL_sz00_2379)))->BgL_predsz00);
										BgL_arg1842z00_2380 =
											MAKE_YOUNG_PAIR(BgL_bz00_2367, BgL_arg1845z00_2381);
									}
									{	/* SawMill/node2rtl.scm 45 */
										obj_t BgL_vz00_4096;

										BgL_vz00_4096 = BgL_arg1842z00_2380;
										((((BgL_blockz00_bglt) COBJECT(
														((BgL_blockz00_bglt) BgL_sz00_2379)))->
												BgL_predsz00) = ((obj_t) BgL_vz00_4096), BUNSPEC);
									}
								}
								{	/* SawMill/node2rtl.scm 46 */
									bool_t BgL_test3098z00_6680;

									{	/* SawMill/node2rtl.scm 46 */
										obj_t BgL_classz00_4097;

										BgL_classz00_4097 = BGl_reversedz00zzsaw_node2rtlz00;
										if (BGL_OBJECTP(BgL_sz00_2379))
											{	/* SawMill/node2rtl.scm 46 */
												obj_t BgL_oclassz00_4099;

												{	/* SawMill/node2rtl.scm 46 */
													obj_t BgL_arg1866z00_4101;
													long BgL_arg1867z00_4102;

													BgL_arg1866z00_4101 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* SawMill/node2rtl.scm 46 */
														long BgL_arg1869z00_4103;

														BgL_arg1869z00_4103 =
															BGL_OBJECT_CLASS_NUM(
															((BgL_objectz00_bglt) BgL_sz00_2379));
														BgL_arg1867z00_4102 =
															(BgL_arg1869z00_4103 - OBJECT_TYPE);
													}
													BgL_oclassz00_4099 =
														VECTOR_REF(BgL_arg1866z00_4101,
														BgL_arg1867z00_4102);
												}
												BgL_test3098z00_6680 =
													(BgL_oclassz00_4099 == BgL_classz00_4097);
											}
										else
											{	/* SawMill/node2rtl.scm 46 */
												BgL_test3098z00_6680 = ((bool_t) 0);
											}
									}
									if (BgL_test3098z00_6680)
										{	/* SawMill/node2rtl.scm 46 */
											((bool_t) 0);
										}
									else
										{	/* SawMill/node2rtl.scm 46 */
											BGl_dfsze70ze7zzsaw_node2rtlz00(BgL_nz00_5937,
												BgL_sz00_2379);
										}
								}
							}
							{
								obj_t BgL_l1620z00_6690;

								BgL_l1620z00_6690 = CDR(BgL_l1620z00_2376);
								BgL_l1620z00_2376 = BgL_l1620z00_6690;
								goto BgL_zc3z04anonymousza31835ze3z87_2377;
							}
						}
					else
						{	/* SawMill/node2rtl.scm 47 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* &global->rtl */
	BgL_blockz00_bglt BGl_z62globalzd2ze3rtlz53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5708, obj_t BgL_varz00_5709)
	{
		{	/* SawMill/node2rtl.scm 35 */
			return
				BGl_globalzd2ze3rtlz31zzsaw_node2rtlz00(
				((BgL_globalz00_bglt) BgL_varz00_5709));
		}

	}



/* get-global */
	BgL_globalz00_bglt BGl_getzd2globalzd2zzsaw_node2rtlz00(BgL_globalz00_bglt
		BgL_varz00_97)
	{
		{	/* SawMill/node2rtl.scm 50 */
			BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_varz00_97));
			if (CBOOL((((BgL_globalz00_bglt) COBJECT(BgL_varz00_97))->BgL_aliasz00)))
				{	/* SawMill/node2rtl.scm 54 */
					obj_t BgL_unaliasz00_2395;

					{	/* SawMill/node2rtl.scm 54 */
						obj_t BgL_arg1865z00_2397;
						obj_t BgL_arg1872z00_2398;

						BgL_arg1865z00_2397 =
							(((BgL_globalz00_bglt) COBJECT(BgL_varz00_97))->BgL_aliasz00);
						BgL_arg1872z00_2398 =
							(((BgL_globalz00_bglt) COBJECT(BgL_varz00_97))->BgL_modulez00);
						{	/* SawMill/node2rtl.scm 54 */
							obj_t BgL_list1873z00_2399;

							BgL_list1873z00_2399 = MAKE_YOUNG_PAIR(BgL_arg1872z00_2398, BNIL);
							BgL_unaliasz00_2395 =
								BGl_findzd2globalzd2zzast_envz00(BgL_arg1865z00_2397,
								BgL_list1873z00_2399);
						}
					}
					{	/* SawMill/node2rtl.scm 55 */
						bool_t BgL_test3101z00_6703;

						{	/* SawMill/node2rtl.scm 55 */
							obj_t BgL_classz00_4110;

							BgL_classz00_4110 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_unaliasz00_2395))
								{	/* SawMill/node2rtl.scm 55 */
									BgL_objectz00_bglt BgL_arg1858z00_4112;

									BgL_arg1858z00_4112 =
										(BgL_objectz00_bglt) (BgL_unaliasz00_2395);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawMill/node2rtl.scm 55 */
											long BgL_idxz00_4118;

											BgL_idxz00_4118 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4112);
											BgL_test3101z00_6703 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4118 + 2L)) == BgL_classz00_4110);
										}
									else
										{	/* SawMill/node2rtl.scm 55 */
											bool_t BgL_res2902z00_4143;

											{	/* SawMill/node2rtl.scm 55 */
												obj_t BgL_oclassz00_4126;

												{	/* SawMill/node2rtl.scm 55 */
													obj_t BgL_arg1866z00_4134;
													long BgL_arg1867z00_4135;

													BgL_arg1866z00_4134 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* SawMill/node2rtl.scm 55 */
														long BgL_arg1869z00_4136;

														BgL_arg1869z00_4136 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4112);
														BgL_arg1867z00_4135 =
															(BgL_arg1869z00_4136 - OBJECT_TYPE);
													}
													BgL_oclassz00_4126 =
														VECTOR_REF(BgL_arg1866z00_4134,
														BgL_arg1867z00_4135);
												}
												{	/* SawMill/node2rtl.scm 55 */
													bool_t BgL__ortest_1115z00_4127;

													BgL__ortest_1115z00_4127 =
														(BgL_classz00_4110 == BgL_oclassz00_4126);
													if (BgL__ortest_1115z00_4127)
														{	/* SawMill/node2rtl.scm 55 */
															BgL_res2902z00_4143 = BgL__ortest_1115z00_4127;
														}
													else
														{	/* SawMill/node2rtl.scm 55 */
															long BgL_odepthz00_4128;

															{	/* SawMill/node2rtl.scm 55 */
																obj_t BgL_arg1855z00_4129;

																BgL_arg1855z00_4129 = (BgL_oclassz00_4126);
																BgL_odepthz00_4128 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_4129);
															}
															if ((2L < BgL_odepthz00_4128))
																{	/* SawMill/node2rtl.scm 55 */
																	obj_t BgL_arg1853z00_4131;

																	{	/* SawMill/node2rtl.scm 55 */
																		obj_t BgL_arg1854z00_4132;

																		BgL_arg1854z00_4132 = (BgL_oclassz00_4126);
																		BgL_arg1853z00_4131 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_4132, 2L);
																	}
																	BgL_res2902z00_4143 =
																		(BgL_arg1853z00_4131 == BgL_classz00_4110);
																}
															else
																{	/* SawMill/node2rtl.scm 55 */
																	BgL_res2902z00_4143 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test3101z00_6703 = BgL_res2902z00_4143;
										}
								}
							else
								{	/* SawMill/node2rtl.scm 55 */
									BgL_test3101z00_6703 = ((bool_t) 0);
								}
						}
						if (BgL_test3101z00_6703)
							{	/* SawMill/node2rtl.scm 55 */
								BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
									((BgL_variablez00_bglt) BgL_unaliasz00_2395));
								return ((BgL_globalz00_bglt) BgL_unaliasz00_2395);
							}
						else
							{	/* SawMill/node2rtl.scm 55 */
								return BgL_varz00_97;
							}
					}
				}
			else
				{	/* SawMill/node2rtl.scm 53 */
					return BgL_varz00_97;
				}
		}

	}



/* new-reg */
	BgL_rtl_regz00_bglt BGl_newzd2regzd2zzsaw_node2rtlz00(BgL_nodez00_bglt
		BgL_ez00_98)
	{
		{	/* SawMill/node2rtl.scm 65 */
			{	/* SawMill/node2rtl.scm 66 */
				bool_t BgL_test3106z00_6729;

				{	/* SawMill/node2rtl.scm 66 */
					obj_t BgL_classz00_4144;

					BgL_classz00_4144 = BGl_varz00zzast_nodez00;
					{	/* SawMill/node2rtl.scm 66 */
						BgL_objectz00_bglt BgL_arg1858z00_4146;

						{	/* SawMill/node2rtl.scm 66 */
							obj_t BgL_tmpz00_6730;

							BgL_tmpz00_6730 = ((obj_t) BgL_ez00_98);
							BgL_arg1858z00_4146 = (BgL_objectz00_bglt) (BgL_tmpz00_6730);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/node2rtl.scm 66 */
								long BgL_idxz00_4152;

								BgL_idxz00_4152 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4146);
								BgL_test3106z00_6729 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4152 + 2L)) == BgL_classz00_4144);
							}
						else
							{	/* SawMill/node2rtl.scm 66 */
								bool_t BgL_res2903z00_4177;

								{	/* SawMill/node2rtl.scm 66 */
									obj_t BgL_oclassz00_4160;

									{	/* SawMill/node2rtl.scm 66 */
										obj_t BgL_arg1866z00_4168;
										long BgL_arg1867z00_4169;

										BgL_arg1866z00_4168 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/node2rtl.scm 66 */
											long BgL_arg1869z00_4170;

											BgL_arg1869z00_4170 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4146);
											BgL_arg1867z00_4169 = (BgL_arg1869z00_4170 - OBJECT_TYPE);
										}
										BgL_oclassz00_4160 =
											VECTOR_REF(BgL_arg1866z00_4168, BgL_arg1867z00_4169);
									}
									{	/* SawMill/node2rtl.scm 66 */
										bool_t BgL__ortest_1115z00_4161;

										BgL__ortest_1115z00_4161 =
											(BgL_classz00_4144 == BgL_oclassz00_4160);
										if (BgL__ortest_1115z00_4161)
											{	/* SawMill/node2rtl.scm 66 */
												BgL_res2903z00_4177 = BgL__ortest_1115z00_4161;
											}
										else
											{	/* SawMill/node2rtl.scm 66 */
												long BgL_odepthz00_4162;

												{	/* SawMill/node2rtl.scm 66 */
													obj_t BgL_arg1855z00_4163;

													BgL_arg1855z00_4163 = (BgL_oclassz00_4160);
													BgL_odepthz00_4162 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_4163);
												}
												if ((2L < BgL_odepthz00_4162))
													{	/* SawMill/node2rtl.scm 66 */
														obj_t BgL_arg1853z00_4165;

														{	/* SawMill/node2rtl.scm 66 */
															obj_t BgL_arg1854z00_4166;

															BgL_arg1854z00_4166 = (BgL_oclassz00_4160);
															BgL_arg1853z00_4165 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4166,
																2L);
														}
														BgL_res2903z00_4177 =
															(BgL_arg1853z00_4165 == BgL_classz00_4144);
													}
												else
													{	/* SawMill/node2rtl.scm 66 */
														BgL_res2903z00_4177 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test3106z00_6729 = BgL_res2903z00_4177;
							}
					}
				}
				if (BgL_test3106z00_6729)
					{	/* SawMill/node2rtl.scm 67 */
						bool_t BgL_test3110z00_6752;

						{	/* SawMill/node2rtl.scm 67 */
							BgL_valuez00_bglt BgL_arg1891z00_2417;

							BgL_arg1891z00_2417 =
								(((BgL_variablez00_bglt) COBJECT(
										(((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_ez00_98)))->
											BgL_variablez00)))->BgL_valuez00);
							{	/* SawMill/node2rtl.scm 67 */
								obj_t BgL_classz00_4180;

								BgL_classz00_4180 = BGl_sfunz00zzast_varz00;
								{	/* SawMill/node2rtl.scm 67 */
									BgL_objectz00_bglt BgL_arg1858z00_4182;

									{	/* SawMill/node2rtl.scm 67 */
										obj_t BgL_tmpz00_6756;

										BgL_tmpz00_6756 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1891z00_2417));
										BgL_arg1858z00_4182 =
											(BgL_objectz00_bglt) (BgL_tmpz00_6756);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawMill/node2rtl.scm 67 */
											long BgL_idxz00_4188;

											BgL_idxz00_4188 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4182);
											BgL_test3110z00_6752 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4188 + 3L)) == BgL_classz00_4180);
										}
									else
										{	/* SawMill/node2rtl.scm 67 */
											bool_t BgL_res2904z00_4213;

											{	/* SawMill/node2rtl.scm 67 */
												obj_t BgL_oclassz00_4196;

												{	/* SawMill/node2rtl.scm 67 */
													obj_t BgL_arg1866z00_4204;
													long BgL_arg1867z00_4205;

													BgL_arg1866z00_4204 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* SawMill/node2rtl.scm 67 */
														long BgL_arg1869z00_4206;

														BgL_arg1869z00_4206 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4182);
														BgL_arg1867z00_4205 =
															(BgL_arg1869z00_4206 - OBJECT_TYPE);
													}
													BgL_oclassz00_4196 =
														VECTOR_REF(BgL_arg1866z00_4204,
														BgL_arg1867z00_4205);
												}
												{	/* SawMill/node2rtl.scm 67 */
													bool_t BgL__ortest_1115z00_4197;

													BgL__ortest_1115z00_4197 =
														(BgL_classz00_4180 == BgL_oclassz00_4196);
													if (BgL__ortest_1115z00_4197)
														{	/* SawMill/node2rtl.scm 67 */
															BgL_res2904z00_4213 = BgL__ortest_1115z00_4197;
														}
													else
														{	/* SawMill/node2rtl.scm 67 */
															long BgL_odepthz00_4198;

															{	/* SawMill/node2rtl.scm 67 */
																obj_t BgL_arg1855z00_4199;

																BgL_arg1855z00_4199 = (BgL_oclassz00_4196);
																BgL_odepthz00_4198 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_4199);
															}
															if ((3L < BgL_odepthz00_4198))
																{	/* SawMill/node2rtl.scm 67 */
																	obj_t BgL_arg1853z00_4201;

																	{	/* SawMill/node2rtl.scm 67 */
																		obj_t BgL_arg1854z00_4202;

																		BgL_arg1854z00_4202 = (BgL_oclassz00_4196);
																		BgL_arg1853z00_4201 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_4202, 3L);
																	}
																	BgL_res2904z00_4213 =
																		(BgL_arg1853z00_4201 == BgL_classz00_4180);
																}
															else
																{	/* SawMill/node2rtl.scm 67 */
																	BgL_res2904z00_4213 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test3110z00_6752 = BgL_res2904z00_4213;
										}
								}
							}
						}
						if (BgL_test3110z00_6752)
							{	/* SawMill/node2rtl.scm 68 */
								BgL_rtl_regz00_bglt BgL_new1219z00_2404;

								{	/* SawMill/node2rtl.scm 69 */
									BgL_rtl_regz00_bglt BgL_new1217z00_2408;

									BgL_new1217z00_2408 =
										((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_regz00_bgl))));
									{	/* SawMill/node2rtl.scm 69 */
										long BgL_arg1885z00_2409;

										BgL_arg1885z00_2409 =
											BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1217z00_2408),
											BgL_arg1885z00_2409);
									}
									{	/* SawMill/node2rtl.scm 69 */
										BgL_objectz00_bglt BgL_tmpz00_6783;

										BgL_tmpz00_6783 =
											((BgL_objectz00_bglt) BgL_new1217z00_2408);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6783, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1217z00_2408);
									BgL_new1219z00_2404 = BgL_new1217z00_2408;
								}
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1219z00_2404))->
										BgL_typez00) =
									((BgL_typez00_bglt) BGl_findzd2typezd2zztype_envz00(((obj_t)
												CNST_TABLE_REF(0)))), BUNSPEC);
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1219z00_2404))->
										BgL_varz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1219z00_2404))->
										BgL_onexprzf3zf3) = ((obj_t) BFALSE), BUNSPEC);
								{
									obj_t BgL_auxz00_6793;

									{	/* SawMill/node2rtl.scm 71 */

										{	/* SawMill/node2rtl.scm 71 */

											BgL_auxz00_6793 =
												BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
									}}
									((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1219z00_2404))->
											BgL_namez00) = ((obj_t) BgL_auxz00_6793), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_6796;

									{	/* SawMill/node2rtl.scm 71 */
										obj_t BgL_arg1882z00_2406;

										{	/* SawMill/node2rtl.scm 71 */
											obj_t BgL_arg1884z00_2407;

											{	/* SawMill/node2rtl.scm 71 */
												obj_t BgL_classz00_4218;

												BgL_classz00_4218 = BGl_rtl_regz00zzsaw_defsz00;
												BgL_arg1884z00_2407 =
													BGL_CLASS_ALL_FIELDS(BgL_classz00_4218);
											}
											BgL_arg1882z00_2406 = VECTOR_REF(BgL_arg1884z00_2407, 4L);
										}
										BgL_auxz00_6796 =
											BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
											(BgL_arg1882z00_2406);
									}
									((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1219z00_2404))->
											BgL_keyz00) = ((obj_t) BgL_auxz00_6796), BUNSPEC);
								}
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1219z00_2404))->
										BgL_debugnamez00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1219z00_2404))->
										BgL_hardwarez00) = ((obj_t) BFALSE), BUNSPEC);
								return BgL_new1219z00_2404;
							}
						else
							{	/* SawMill/node2rtl.scm 72 */
								BgL_rtl_regz00_bglt BgL_new1221z00_2410;

								{	/* SawMill/node2rtl.scm 73 */
									BgL_rtl_regz00_bglt BgL_new1220z00_2415;

									BgL_new1220z00_2415 =
										((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_regz00_bgl))));
									{	/* SawMill/node2rtl.scm 73 */
										long BgL_arg1890z00_2416;

										BgL_arg1890z00_2416 =
											BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1220z00_2415),
											BgL_arg1890z00_2416);
									}
									{	/* SawMill/node2rtl.scm 73 */
										BgL_objectz00_bglt BgL_tmpz00_6807;

										BgL_tmpz00_6807 =
											((BgL_objectz00_bglt) BgL_new1220z00_2415);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6807, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1220z00_2415);
									BgL_new1221z00_2410 = BgL_new1220z00_2415;
								}
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1221z00_2410))->
										BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_variablez00_bglt)
												COBJECT((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																	BgL_ez00_98)))->BgL_variablez00)))->
											BgL_typez00)), BUNSPEC);
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1221z00_2410))->
										BgL_varz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1221z00_2410))->
										BgL_onexprzf3zf3) = ((obj_t) BFALSE), BUNSPEC);
								{
									obj_t BgL_auxz00_6817;

									{	/* SawMill/node2rtl.scm 75 */

										{	/* SawMill/node2rtl.scm 75 */

											BgL_auxz00_6817 =
												BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
									}}
									((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1221z00_2410))->
											BgL_namez00) = ((obj_t) BgL_auxz00_6817), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_6820;

									{	/* SawMill/node2rtl.scm 75 */
										obj_t BgL_arg1887z00_2413;

										{	/* SawMill/node2rtl.scm 75 */
											obj_t BgL_arg1889z00_2414;

											{	/* SawMill/node2rtl.scm 75 */
												obj_t BgL_classz00_4226;

												BgL_classz00_4226 = BGl_rtl_regz00zzsaw_defsz00;
												BgL_arg1889z00_2414 =
													BGL_CLASS_ALL_FIELDS(BgL_classz00_4226);
											}
											BgL_arg1887z00_2413 = VECTOR_REF(BgL_arg1889z00_2414, 4L);
										}
										BgL_auxz00_6820 =
											BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
											(BgL_arg1887z00_2413);
									}
									((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1221z00_2410))->
											BgL_keyz00) = ((obj_t) BgL_auxz00_6820), BUNSPEC);
								}
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1221z00_2410))->
										BgL_debugnamez00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1221z00_2410))->
										BgL_hardwarez00) = ((obj_t) BFALSE), BUNSPEC);
								return BgL_new1221z00_2410;
							}
					}
				else
					{	/* SawMill/node2rtl.scm 76 */
						BgL_rtl_regz00_bglt BgL_new1223z00_2419;

						{	/* SawMill/node2rtl.scm 76 */
							BgL_rtl_regz00_bglt BgL_new1222z00_2423;

							BgL_new1222z00_2423 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/node2rtl.scm 76 */
								long BgL_arg1895z00_2424;

								BgL_arg1895z00_2424 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1222z00_2423),
									BgL_arg1895z00_2424);
							}
							{	/* SawMill/node2rtl.scm 76 */
								BgL_objectz00_bglt BgL_tmpz00_6831;

								BgL_tmpz00_6831 = ((BgL_objectz00_bglt) BgL_new1222z00_2423);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6831, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1222z00_2423);
							BgL_new1223z00_2419 = BgL_new1222z00_2423;
						}
						((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1223z00_2419))->
								BgL_typez00) =
							((BgL_typez00_bglt) BGl_getzd2typezd2zztype_typeofz00(BgL_ez00_98,
									((bool_t) 0))), BUNSPEC);
						((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1223z00_2419))->
								BgL_varz00) = ((obj_t) BFALSE), BUNSPEC);
						((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1223z00_2419))->
								BgL_onexprzf3zf3) = ((obj_t) BFALSE), BUNSPEC);
						{
							obj_t BgL_auxz00_6839;

							{	/* SawMill/node2rtl.scm 76 */

								{	/* SawMill/node2rtl.scm 76 */

									BgL_auxz00_6839 = BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
							}}
							((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1223z00_2419))->
									BgL_namez00) = ((obj_t) BgL_auxz00_6839), BUNSPEC);
						}
						{
							obj_t BgL_auxz00_6842;

							{	/* SawMill/node2rtl.scm 76 */
								obj_t BgL_arg1893z00_2421;

								{	/* SawMill/node2rtl.scm 76 */
									obj_t BgL_arg1894z00_2422;

									{	/* SawMill/node2rtl.scm 76 */
										obj_t BgL_classz00_4232;

										BgL_classz00_4232 = BGl_rtl_regz00zzsaw_defsz00;
										BgL_arg1894z00_2422 =
											BGL_CLASS_ALL_FIELDS(BgL_classz00_4232);
									}
									BgL_arg1893z00_2421 = VECTOR_REF(BgL_arg1894z00_2422, 4L);
								}
								BgL_auxz00_6842 =
									BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
									(BgL_arg1893z00_2421);
							}
							((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1223z00_2419))->
									BgL_keyz00) = ((obj_t) BgL_auxz00_6842), BUNSPEC);
						}
						((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1223z00_2419))->
								BgL_debugnamez00) = ((obj_t) BFALSE), BUNSPEC);
						((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1223z00_2419))->
								BgL_hardwarez00) = ((obj_t) BFALSE), BUNSPEC);
						return BgL_new1223z00_2419;
					}
			}
		}

	}



/* new-ureg */
	BgL_rtl_regz00_bglt BGl_newzd2uregzd2zzsaw_node2rtlz00(BgL_localz00_bglt
		BgL_varz00_99)
	{
		{	/* SawMill/node2rtl.scm 78 */
			{	/* SawMill/node2rtl.scm 79 */
				BgL_rtl_regz00_bglt BgL_new1225z00_2425;

				{	/* SawMill/node2rtl.scm 79 */
					BgL_rtl_regz00_bglt BgL_new1224z00_2430;

					BgL_new1224z00_2430 =
						((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regz00_bgl))));
					{	/* SawMill/node2rtl.scm 79 */
						long BgL_arg1900z00_2431;

						BgL_arg1900z00_2431 = BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1224z00_2430), BgL_arg1900z00_2431);
					}
					{	/* SawMill/node2rtl.scm 79 */
						BgL_objectz00_bglt BgL_tmpz00_6853;

						BgL_tmpz00_6853 = ((BgL_objectz00_bglt) BgL_new1224z00_2430);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6853, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1224z00_2430);
					BgL_new1225z00_2425 = BgL_new1224z00_2430;
				}
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1225z00_2425))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_variablez00_bglt)
								COBJECT(((BgL_variablez00_bglt) BgL_varz00_99)))->BgL_typez00)),
					BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1225z00_2425))->BgL_varz00) =
					((obj_t) ((obj_t) BgL_varz00_99)), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1225z00_2425))->
						BgL_onexprzf3zf3) = ((obj_t) BFALSE), BUNSPEC);
				{
					obj_t BgL_auxz00_6863;

					{	/* SawMill/node2rtl.scm 79 */
						obj_t BgL_arg1896z00_2426;

						{	/* SawMill/node2rtl.scm 79 */
							obj_t BgL_arg1897z00_2427;

							{	/* SawMill/node2rtl.scm 79 */
								obj_t BgL_classz00_4239;

								BgL_classz00_4239 = BGl_rtl_regz00zzsaw_defsz00;
								BgL_arg1897z00_2427 = BGL_CLASS_ALL_FIELDS(BgL_classz00_4239);
							}
							BgL_arg1896z00_2426 = VECTOR_REF(BgL_arg1897z00_2427, 3L);
						}
						BgL_auxz00_6863 =
							BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
							(BgL_arg1896z00_2426);
					}
					((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1225z00_2425))->BgL_namez00) =
						((obj_t) BgL_auxz00_6863), BUNSPEC);
				}
				{
					obj_t BgL_auxz00_6868;

					{	/* SawMill/node2rtl.scm 79 */
						obj_t BgL_arg1898z00_2428;

						{	/* SawMill/node2rtl.scm 79 */
							obj_t BgL_arg1899z00_2429;

							{	/* SawMill/node2rtl.scm 79 */
								obj_t BgL_classz00_4241;

								BgL_classz00_4241 = BGl_rtl_regz00zzsaw_defsz00;
								BgL_arg1899z00_2429 = BGL_CLASS_ALL_FIELDS(BgL_classz00_4241);
							}
							BgL_arg1898z00_2428 = VECTOR_REF(BgL_arg1899z00_2429, 4L);
						}
						BgL_auxz00_6868 =
							BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
							(BgL_arg1898z00_2428);
					}
					((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1225z00_2425))->BgL_keyz00) =
						((obj_t) BgL_auxz00_6868), BUNSPEC);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1225z00_2425))->
						BgL_debugnamez00) = ((obj_t) BFALSE), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1225z00_2425))->
						BgL_hardwarez00) = ((obj_t) BFALSE), BUNSPEC);
				return BgL_new1225z00_2425;
			}
		}

	}



/* local->reg */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_localzd2ze3regz31zzsaw_node2rtlz00(BgL_localz00_bglt BgL_varz00_100)
	{
		{	/* SawMill/node2rtl.scm 81 */
			{	/* SawMill/node2rtl.scm 82 */
				bool_t BgL_test3114z00_6875;

				{	/* SawMill/node2rtl.scm 82 */
					obj_t BgL_classz00_4243;

					BgL_classz00_4243 = BGl_rlocalz00zzsaw_node2rtlz00;
					{	/* SawMill/node2rtl.scm 82 */
						obj_t BgL_oclassz00_4245;

						{	/* SawMill/node2rtl.scm 82 */
							obj_t BgL_arg1866z00_4247;
							long BgL_arg1867z00_4248;

							BgL_arg1866z00_4247 = (BGl_za2classesza2z00zz__objectz00);
							{	/* SawMill/node2rtl.scm 82 */
								long BgL_arg1869z00_4249;

								BgL_arg1869z00_4249 =
									BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_varz00_100));
								BgL_arg1867z00_4248 = (BgL_arg1869z00_4249 - OBJECT_TYPE);
							}
							BgL_oclassz00_4245 =
								VECTOR_REF(BgL_arg1866z00_4247, BgL_arg1867z00_4248);
						}
						BgL_test3114z00_6875 = (BgL_oclassz00_4245 == BgL_classz00_4243);
				}}
				if (BgL_test3114z00_6875)
					{
						obj_t BgL_auxz00_6882;

						{
							BgL_rlocalz00_bglt BgL_auxz00_6883;

							{
								obj_t BgL_auxz00_6884;

								{	/* SawMill/node2rtl.scm 83 */
									BgL_objectz00_bglt BgL_tmpz00_6885;

									BgL_tmpz00_6885 =
										((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_varz00_100));
									BgL_auxz00_6884 = BGL_OBJECT_WIDENING(BgL_tmpz00_6885);
								}
								BgL_auxz00_6883 = ((BgL_rlocalz00_bglt) BgL_auxz00_6884);
							}
							BgL_auxz00_6882 =
								(((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_6883))->BgL_regz00);
						}
						return ((BgL_rtl_regz00_bglt) BgL_auxz00_6882);
					}
				else
					{	/* SawMill/node2rtl.scm 84 */
						BgL_rtl_regz00_bglt BgL_rz00_2433;

						BgL_rz00_2433 = BGl_newzd2uregzd2zzsaw_node2rtlz00(BgL_varz00_100);
						{	/* SawMill/node2rtl.scm 85 */
							BgL_rlocalz00_bglt BgL_wide1228z00_2436;

							BgL_wide1228z00_2436 =
								((BgL_rlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rlocalz00_bgl))));
							{	/* SawMill/node2rtl.scm 85 */
								obj_t BgL_auxz00_6897;
								BgL_objectz00_bglt BgL_tmpz00_6894;

								BgL_auxz00_6897 = ((obj_t) BgL_wide1228z00_2436);
								BgL_tmpz00_6894 =
									((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_varz00_100));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6894, BgL_auxz00_6897);
							}
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_varz00_100));
							{	/* SawMill/node2rtl.scm 85 */
								long BgL_arg1902z00_2437;

								BgL_arg1902z00_2437 =
									BGL_CLASS_NUM(BGl_rlocalz00zzsaw_node2rtlz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_varz00_100)), BgL_arg1902z00_2437);
							}
							((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_varz00_100));
						}
						{
							BgL_rlocalz00_bglt BgL_auxz00_6908;

							{
								obj_t BgL_auxz00_6909;

								{	/* SawMill/node2rtl.scm 85 */
									BgL_objectz00_bglt BgL_tmpz00_6910;

									BgL_tmpz00_6910 =
										((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_varz00_100));
									BgL_auxz00_6909 = BGL_OBJECT_WIDENING(BgL_tmpz00_6910);
								}
								BgL_auxz00_6908 = ((BgL_rlocalz00_bglt) BgL_auxz00_6909);
							}
							((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_6908))->BgL_regz00) =
								((obj_t) ((obj_t) BgL_rz00_2433)), BUNSPEC);
						}
						{
							BgL_rlocalz00_bglt BgL_auxz00_6917;

							{
								obj_t BgL_auxz00_6918;

								{	/* SawMill/node2rtl.scm 85 */
									BgL_objectz00_bglt BgL_tmpz00_6919;

									BgL_tmpz00_6919 =
										((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_varz00_100));
									BgL_auxz00_6918 = BGL_OBJECT_WIDENING(BgL_tmpz00_6919);
								}
								BgL_auxz00_6917 = ((BgL_rlocalz00_bglt) BgL_auxz00_6918);
							}
							((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_6917))->BgL_codez00) =
								((obj_t) BFALSE), BUNSPEC);
						}
						((BgL_localz00_bglt) BgL_varz00_100);
						return BgL_rz00_2433;
					}
			}
		}

	}



/* &local->reg */
	BgL_rtl_regz00_bglt BGl_z62localzd2ze3regz53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5710, obj_t BgL_varz00_5711)
	{
		{	/* SawMill/node2rtl.scm 81 */
			return
				BGl_localzd2ze3regz31zzsaw_node2rtlz00(
				((BgL_localz00_bglt) BgL_varz00_5711));
		}

	}



/* bdestination! */
	obj_t BGl_bdestinationz12z12zzsaw_node2rtlz00(BgL_blockz00_bglt BgL_bz00_103,
		BgL_rtl_regz00_bglt BgL_regz00_104)
	{
		{	/* SawMill/node2rtl.scm 94 */
			{	/* SawMill/node2rtl.scm 95 */
				obj_t BgL_insz00_2441;

				BgL_insz00_2441 =
					CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
						(((BgL_blockz00_bglt) COBJECT(BgL_bz00_103))->BgL_firstz00)));
				{	/* SawMill/node2rtl.scm 96 */
					bool_t BgL_test3115z00_6931;

					{	/* SawMill/node2rtl.scm 96 */
						bool_t BgL_test3116z00_6932;

						{	/* SawMill/node2rtl.scm 96 */
							BgL_rtl_funz00_bglt BgL_arg1917z00_2455;

							BgL_arg1917z00_2455 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_insz00_2441)))->BgL_funz00);
							{	/* SawMill/node2rtl.scm 96 */
								obj_t BgL_classz00_4271;

								BgL_classz00_4271 = BGl_rtl_movz00zzsaw_defsz00;
								{	/* SawMill/node2rtl.scm 96 */
									BgL_objectz00_bglt BgL_arg1858z00_4273;

									{	/* SawMill/node2rtl.scm 96 */
										obj_t BgL_tmpz00_6935;

										BgL_tmpz00_6935 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1917z00_2455));
										BgL_arg1858z00_4273 =
											(BgL_objectz00_bglt) (BgL_tmpz00_6935);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawMill/node2rtl.scm 96 */
											long BgL_idxz00_4279;

											BgL_idxz00_4279 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4273);
											BgL_test3116z00_6932 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4279 + 3L)) == BgL_classz00_4271);
										}
									else
										{	/* SawMill/node2rtl.scm 96 */
											bool_t BgL_res2905z00_4304;

											{	/* SawMill/node2rtl.scm 96 */
												obj_t BgL_oclassz00_4287;

												{	/* SawMill/node2rtl.scm 96 */
													obj_t BgL_arg1866z00_4295;
													long BgL_arg1867z00_4296;

													BgL_arg1866z00_4295 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* SawMill/node2rtl.scm 96 */
														long BgL_arg1869z00_4297;

														BgL_arg1869z00_4297 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4273);
														BgL_arg1867z00_4296 =
															(BgL_arg1869z00_4297 - OBJECT_TYPE);
													}
													BgL_oclassz00_4287 =
														VECTOR_REF(BgL_arg1866z00_4295,
														BgL_arg1867z00_4296);
												}
												{	/* SawMill/node2rtl.scm 96 */
													bool_t BgL__ortest_1115z00_4288;

													BgL__ortest_1115z00_4288 =
														(BgL_classz00_4271 == BgL_oclassz00_4287);
													if (BgL__ortest_1115z00_4288)
														{	/* SawMill/node2rtl.scm 96 */
															BgL_res2905z00_4304 = BgL__ortest_1115z00_4288;
														}
													else
														{	/* SawMill/node2rtl.scm 96 */
															long BgL_odepthz00_4289;

															{	/* SawMill/node2rtl.scm 96 */
																obj_t BgL_arg1855z00_4290;

																BgL_arg1855z00_4290 = (BgL_oclassz00_4287);
																BgL_odepthz00_4289 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_4290);
															}
															if ((3L < BgL_odepthz00_4289))
																{	/* SawMill/node2rtl.scm 96 */
																	obj_t BgL_arg1853z00_4292;

																	{	/* SawMill/node2rtl.scm 96 */
																		obj_t BgL_arg1854z00_4293;

																		BgL_arg1854z00_4293 = (BgL_oclassz00_4287);
																		BgL_arg1853z00_4292 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_4293, 3L);
																	}
																	BgL_res2905z00_4304 =
																		(BgL_arg1853z00_4292 == BgL_classz00_4271);
																}
															else
																{	/* SawMill/node2rtl.scm 96 */
																	BgL_res2905z00_4304 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test3116z00_6932 = BgL_res2905z00_4304;
										}
								}
							}
						}
						if (BgL_test3116z00_6932)
							{	/* SawMill/node2rtl.scm 97 */
								bool_t BgL_test3120z00_6958;

								{	/* SawMill/node2rtl.scm 97 */
									obj_t BgL_tmpz00_6959;

									{	/* SawMill/node2rtl.scm 97 */
										obj_t BgL_pairz00_4306;

										BgL_pairz00_4306 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_insz00_2441)))->
											BgL_argsz00);
										BgL_tmpz00_6959 = CAR(BgL_pairz00_4306);
									}
									BgL_test3120z00_6958 =
										(BgL_tmpz00_6959 == ((obj_t) BgL_regz00_104));
								}
								if (BgL_test3120z00_6958)
									{	/* SawMill/node2rtl.scm 97 */
										BgL_test3115z00_6931 = ((bool_t) 0);
									}
								else
									{	/* SawMill/node2rtl.scm 97 */
										BgL_test3115z00_6931 = ((bool_t) 1);
									}
							}
						else
							{	/* SawMill/node2rtl.scm 96 */
								BgL_test3115z00_6931 = ((bool_t) 1);
							}
					}
					if (BgL_test3115z00_6931)
						{	/* SawMill/node2rtl.scm 96 */
							return
								((((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_2441)))->BgL_destz00) =
								((obj_t) ((obj_t) BgL_regz00_104)), BUNSPEC);
						}
					else
						{	/* SawMill/node2rtl.scm 96 */
							return BFALSE;
						}
				}
			}
		}

	}



/* single* */
	BgL_areaz00_bglt BGl_singleza2za2zzsaw_node2rtlz00(obj_t BgL_ez00_105,
		BgL_rtl_funz00_bglt BgL_funz00_106, obj_t BgL_argsz00_107)
	{
		{	/* SawMill/node2rtl.scm 103 */
			{	/* SawMill/node2rtl.scm 104 */
				BgL_rtl_insz00_bglt BgL_insz00_2458;

				{	/* SawMill/node2rtl.scm 104 */
					BgL_rtl_insz00_bglt BgL_new1231z00_2470;

					{	/* SawMill/node2rtl.scm 104 */
						BgL_rtl_insz00_bglt BgL_new1230z00_2471;

						BgL_new1230z00_2471 =
							((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_insz00_bgl))));
						{	/* SawMill/node2rtl.scm 104 */
							long BgL_arg1926z00_2472;

							BgL_arg1926z00_2472 = BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1230z00_2471),
								BgL_arg1926z00_2472);
						}
						{	/* SawMill/node2rtl.scm 104 */
							BgL_objectz00_bglt BgL_tmpz00_6972;

							BgL_tmpz00_6972 = ((BgL_objectz00_bglt) BgL_new1230z00_2471);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6972, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1230z00_2471);
						BgL_new1231z00_2470 = BgL_new1230z00_2471;
					}
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1231z00_2470))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1231z00_2470))->
							BgL_z52spillz52) = ((obj_t) BNIL), BUNSPEC);
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1231z00_2470))->BgL_destz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1231z00_2470))->BgL_funz00) =
						((BgL_rtl_funz00_bglt) BgL_funz00_106), BUNSPEC);
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1231z00_2470))->BgL_argsz00) =
						((obj_t) BgL_argsz00_107), BUNSPEC);
					BgL_insz00_2458 = BgL_new1231z00_2470;
				}
				{	/* SawMill/node2rtl.scm 105 */
					bool_t BgL_test3121z00_6981;

					{	/* SawMill/node2rtl.scm 105 */
						obj_t BgL_classz00_4312;

						BgL_classz00_4312 = BGl_nodez00zzast_nodez00;
						if (BGL_OBJECTP(BgL_ez00_105))
							{	/* SawMill/node2rtl.scm 105 */
								BgL_objectz00_bglt BgL_arg1858z00_4314;

								BgL_arg1858z00_4314 = (BgL_objectz00_bglt) (BgL_ez00_105);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawMill/node2rtl.scm 105 */
										long BgL_idxz00_4320;

										BgL_idxz00_4320 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4314);
										BgL_test3121z00_6981 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4320 + 1L)) == BgL_classz00_4312);
									}
								else
									{	/* SawMill/node2rtl.scm 105 */
										bool_t BgL_res2906z00_4345;

										{	/* SawMill/node2rtl.scm 105 */
											obj_t BgL_oclassz00_4328;

											{	/* SawMill/node2rtl.scm 105 */
												obj_t BgL_arg1866z00_4336;
												long BgL_arg1867z00_4337;

												BgL_arg1866z00_4336 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawMill/node2rtl.scm 105 */
													long BgL_arg1869z00_4338;

													BgL_arg1869z00_4338 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4314);
													BgL_arg1867z00_4337 =
														(BgL_arg1869z00_4338 - OBJECT_TYPE);
												}
												BgL_oclassz00_4328 =
													VECTOR_REF(BgL_arg1866z00_4336, BgL_arg1867z00_4337);
											}
											{	/* SawMill/node2rtl.scm 105 */
												bool_t BgL__ortest_1115z00_4329;

												BgL__ortest_1115z00_4329 =
													(BgL_classz00_4312 == BgL_oclassz00_4328);
												if (BgL__ortest_1115z00_4329)
													{	/* SawMill/node2rtl.scm 105 */
														BgL_res2906z00_4345 = BgL__ortest_1115z00_4329;
													}
												else
													{	/* SawMill/node2rtl.scm 105 */
														long BgL_odepthz00_4330;

														{	/* SawMill/node2rtl.scm 105 */
															obj_t BgL_arg1855z00_4331;

															BgL_arg1855z00_4331 = (BgL_oclassz00_4328);
															BgL_odepthz00_4330 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_4331);
														}
														if ((1L < BgL_odepthz00_4330))
															{	/* SawMill/node2rtl.scm 105 */
																obj_t BgL_arg1853z00_4333;

																{	/* SawMill/node2rtl.scm 105 */
																	obj_t BgL_arg1854z00_4334;

																	BgL_arg1854z00_4334 = (BgL_oclassz00_4328);
																	BgL_arg1853z00_4333 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4334,
																		1L);
																}
																BgL_res2906z00_4345 =
																	(BgL_arg1853z00_4333 == BgL_classz00_4312);
															}
														else
															{	/* SawMill/node2rtl.scm 105 */
																BgL_res2906z00_4345 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test3121z00_6981 = BgL_res2906z00_4345;
									}
							}
						else
							{	/* SawMill/node2rtl.scm 105 */
								BgL_test3121z00_6981 = ((bool_t) 0);
							}
					}
					if (BgL_test3121z00_6981)
						{	/* SawMill/node2rtl.scm 105 */
							{	/* SawMill/node2rtl.scm 106 */
								obj_t BgL_arg1921z00_2460;

								BgL_arg1921z00_2460 =
									(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_ez00_105)))->BgL_locz00);
								((((BgL_rtl_funz00_bglt) COBJECT(BgL_funz00_106))->BgL_locz00) =
									((obj_t) BgL_arg1921z00_2460), BUNSPEC);
							}
							{	/* SawMill/node2rtl.scm 107 */
								obj_t BgL_arg1922z00_2461;

								BgL_arg1922z00_2461 =
									(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_ez00_105)))->BgL_locz00);
								((((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_2458))->
										BgL_locz00) = ((obj_t) BgL_arg1922z00_2461), BUNSPEC);
							}
						}
					else
						{	/* SawMill/node2rtl.scm 105 */
							BFALSE;
						}
				}
				{	/* SawMill/node2rtl.scm 108 */
					obj_t BgL_lz00_2462;

					BgL_lz00_2462 = MAKE_YOUNG_PAIR(((obj_t) BgL_insz00_2458), BNIL);
					{	/* SawMill/node2rtl.scm 109 */
						BgL_blockz00_bglt BgL_bz00_2463;

						{	/* SawMill/node2rtl.scm 109 */
							BgL_blockz00_bglt BgL_new1233z00_2467;

							{	/* SawMill/node2rtl.scm 109 */
								BgL_blockz00_bglt BgL_new1232z00_2468;

								BgL_new1232z00_2468 =
									((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_blockz00_bgl))));
								{	/* SawMill/node2rtl.scm 109 */
									long BgL_arg1924z00_2469;

									BgL_arg1924z00_2469 =
										BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1232z00_2468),
										BgL_arg1924z00_2469);
								}
								{	/* SawMill/node2rtl.scm 109 */
									BgL_objectz00_bglt BgL_tmpz00_7016;

									BgL_tmpz00_7016 = ((BgL_objectz00_bglt) BgL_new1232z00_2468);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7016, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1232z00_2468);
								BgL_new1233z00_2467 = BgL_new1232z00_2468;
							}
							((((BgL_blockz00_bglt) COBJECT(BgL_new1233z00_2467))->
									BgL_labelz00) = ((int) (int) (0L)), BUNSPEC);
							((((BgL_blockz00_bglt) COBJECT(BgL_new1233z00_2467))->
									BgL_predsz00) = ((obj_t) BNIL), BUNSPEC);
							((((BgL_blockz00_bglt) COBJECT(BgL_new1233z00_2467))->
									BgL_succsz00) = ((obj_t) BNIL), BUNSPEC);
							((((BgL_blockz00_bglt) COBJECT(BgL_new1233z00_2467))->
									BgL_firstz00) = ((obj_t) BgL_lz00_2462), BUNSPEC);
							BgL_bz00_2463 = BgL_new1233z00_2467;
						}
						{	/* SawMill/node2rtl.scm 110 */
							BgL_areaz00_bglt BgL_new1235z00_2464;

							{	/* SawMill/node2rtl.scm 110 */
								BgL_areaz00_bglt BgL_new1234z00_2465;

								BgL_new1234z00_2465 =
									((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_areaz00_bgl))));
								{	/* SawMill/node2rtl.scm 110 */
									long BgL_arg1923z00_2466;

									BgL_arg1923z00_2466 =
										BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1234z00_2465),
										BgL_arg1923z00_2466);
								}
								BgL_new1235z00_2464 = BgL_new1234z00_2465;
							}
							((((BgL_areaz00_bglt) COBJECT(BgL_new1235z00_2464))->
									BgL_entryz00) = ((BgL_blockz00_bglt) BgL_bz00_2463), BUNSPEC);
							((((BgL_areaz00_bglt) COBJECT(BgL_new1235z00_2464))->
									BgL_exitz00) = ((BgL_blockz00_bglt) BgL_bz00_2463), BUNSPEC);
							return BgL_new1235z00_2464;
						}
					}
				}
			}
		}

	}



/* unlink */
	BgL_areaz00_bglt BGl_unlinkz00zzsaw_node2rtlz00(BgL_areaz00_bglt BgL_az00_113)
	{
		{	/* SawMill/node2rtl.scm 118 */
			{	/* SawMill/node2rtl.scm 119 */
				BgL_areaz00_bglt BgL_new1237z00_2474;

				{	/* SawMill/node2rtl.scm 120 */
					BgL_areaz00_bglt BgL_new1236z00_2481;

					BgL_new1236z00_2481 =
						((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_areaz00_bgl))));
					{	/* SawMill/node2rtl.scm 120 */
						long BgL_arg1933z00_2482;

						BgL_arg1933z00_2482 = BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1236z00_2481), BgL_arg1933z00_2482);
					}
					BgL_new1237z00_2474 = BgL_new1236z00_2481;
				}
				((((BgL_areaz00_bglt) COBJECT(BgL_new1237z00_2474))->BgL_entryz00) =
					((BgL_blockz00_bglt) (((BgL_areaz00_bglt) COBJECT(BgL_az00_113))->
							BgL_entryz00)), BUNSPEC);
				{
					BgL_blockz00_bglt BgL_auxz00_7037;

					{	/* SawMill/node2rtl.scm 122 */
						BgL_areaz00_bglt BgL_arg1928z00_2475;

						{	/* SawMill/node2rtl.scm 122 */
							BgL_rtl_nopz00_bglt BgL_arg1929z00_2476;

							{	/* SawMill/node2rtl.scm 122 */
								BgL_rtl_nopz00_bglt BgL_new1239z00_2478;

								{	/* SawMill/node2rtl.scm 122 */
									BgL_rtl_nopz00_bglt BgL_new1238z00_2479;

									BgL_new1238z00_2479 =
										((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_nopz00_bgl))));
									{	/* SawMill/node2rtl.scm 122 */
										long BgL_arg1932z00_2480;

										{	/* SawMill/node2rtl.scm 122 */
											obj_t BgL_classz00_4363;

											BgL_classz00_4363 = BGl_rtl_nopz00zzsaw_defsz00;
											BgL_arg1932z00_2480 = BGL_CLASS_NUM(BgL_classz00_4363);
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1238z00_2479),
											BgL_arg1932z00_2480);
									}
									BgL_new1239z00_2478 = BgL_new1238z00_2479;
								}
								((((BgL_rtl_funz00_bglt) COBJECT(
												((BgL_rtl_funz00_bglt) BgL_new1239z00_2478)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								BgL_arg1929z00_2476 = BgL_new1239z00_2478;
							}
							BgL_arg1928z00_2475 =
								BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
								((BgL_rtl_funz00_bglt) BgL_arg1929z00_2476), BNIL);
						}
						BgL_auxz00_7037 =
							(((BgL_areaz00_bglt) COBJECT(BgL_arg1928z00_2475))->BgL_exitz00);
					}
					((((BgL_areaz00_bglt) COBJECT(BgL_new1237z00_2474))->BgL_exitz00) =
						((BgL_blockz00_bglt) BgL_auxz00_7037), BUNSPEC);
				}
				return BgL_new1237z00_2474;
			}
		}

	}



/* link */
	BgL_areaz00_bglt BGl_linkz00zzsaw_node2rtlz00(BgL_areaz00_bglt BgL_b1z00_114,
		BgL_areaz00_bglt BgL_b2z00_115)
	{
		{	/* SawMill/node2rtl.scm 124 */
			{	/* SawMill/node2rtl.scm 125 */
				BgL_blockz00_bglt BgL_arg1934z00_2483;
				BgL_blockz00_bglt BgL_arg1935z00_2484;

				BgL_arg1934z00_2483 =
					(((BgL_areaz00_bglt) COBJECT(BgL_b1z00_114))->BgL_exitz00);
				BgL_arg1935z00_2484 =
					(((BgL_areaz00_bglt) COBJECT(BgL_b2z00_115))->BgL_entryz00);
				{	/* SawMill/node2rtl.scm 92 */
					obj_t BgL_arg1903z00_4372;

					{	/* SawMill/node2rtl.scm 92 */
						obj_t BgL_arg1904z00_4373;

						BgL_arg1904z00_4373 =
							(((BgL_blockz00_bglt) COBJECT(BgL_arg1934z00_2483))->
							BgL_succsz00);
						BgL_arg1903z00_4372 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg1935z00_2484),
							BgL_arg1904z00_4373);
					}
					((((BgL_blockz00_bglt) COBJECT(BgL_arg1934z00_2483))->BgL_succsz00) =
						((obj_t) BgL_arg1903z00_4372), BUNSPEC);
				}
			}
			{	/* SawMill/node2rtl.scm 126 */
				BgL_areaz00_bglt BgL_new1241z00_2485;

				{	/* SawMill/node2rtl.scm 126 */
					BgL_areaz00_bglt BgL_new1240z00_2486;

					BgL_new1240z00_2486 =
						((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_areaz00_bgl))));
					{	/* SawMill/node2rtl.scm 126 */
						long BgL_arg1936z00_2487;

						BgL_arg1936z00_2487 = BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1240z00_2486), BgL_arg1936z00_2487);
					}
					BgL_new1241z00_2485 = BgL_new1240z00_2486;
				}
				((((BgL_areaz00_bglt) COBJECT(BgL_new1241z00_2485))->BgL_entryz00) =
					((BgL_blockz00_bglt) (((BgL_areaz00_bglt) COBJECT(BgL_b1z00_114))->
							BgL_entryz00)), BUNSPEC);
				((((BgL_areaz00_bglt) COBJECT(BgL_new1241z00_2485))->BgL_exitz00) =
					((BgL_blockz00_bglt) (((BgL_areaz00_bglt) COBJECT(BgL_b2z00_115))->
							BgL_exitz00)), BUNSPEC);
				return BgL_new1241z00_2485;
			}
		}

	}



/* link* */
	BgL_areaz00_bglt BGl_linkza2za2zzsaw_node2rtlz00(obj_t BgL_lz00_116)
	{
		{	/* SawMill/node2rtl.scm 128 */
			{
				BgL_areaz00_bglt BgL_rz00_2497;
				obj_t BgL_lz00_2498;

				if (NULLP(BgL_lz00_116))
					{	/* SawMill/node2rtl.scm 134 */
						BgL_rtl_nopz00_bglt BgL_arg1938z00_2490;

						{	/* SawMill/node2rtl.scm 134 */
							BgL_rtl_nopz00_bglt BgL_new1243z00_2492;

							{	/* SawMill/node2rtl.scm 134 */
								BgL_rtl_nopz00_bglt BgL_new1242z00_2493;

								BgL_new1242z00_2493 =
									((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_nopz00_bgl))));
								{	/* SawMill/node2rtl.scm 134 */
									long BgL_arg1940z00_2494;

									BgL_arg1940z00_2494 =
										BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1242z00_2493),
										BgL_arg1940z00_2494);
								}
								BgL_new1243z00_2492 = BgL_new1242z00_2493;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1243z00_2492)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg1938z00_2490 = BgL_new1243z00_2492;
						}
						return
							BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
							((BgL_rtl_funz00_bglt) BgL_arg1938z00_2490), BNIL);
					}
				else
					{	/* SawMill/node2rtl.scm 135 */
						obj_t BgL_arg1942z00_2495;
						obj_t BgL_arg1943z00_2496;

						BgL_arg1942z00_2495 = CAR(((obj_t) BgL_lz00_116));
						BgL_arg1943z00_2496 = CDR(((obj_t) BgL_lz00_116));
						BgL_rz00_2497 = ((BgL_areaz00_bglt) BgL_arg1942z00_2495);
						BgL_lz00_2498 = BgL_arg1943z00_2496;
					BgL_zc3z04anonymousza31944ze3z87_2499:
						if (NULLP(BgL_lz00_2498))
							{	/* SawMill/node2rtl.scm 130 */
								return BgL_rz00_2497;
							}
						else
							{	/* SawMill/node2rtl.scm 132 */
								BgL_areaz00_bglt BgL_arg1946z00_2501;
								obj_t BgL_arg1947z00_2502;

								{	/* SawMill/node2rtl.scm 132 */
									obj_t BgL_arg1948z00_2503;

									BgL_arg1948z00_2503 = CAR(((obj_t) BgL_lz00_2498));
									BgL_arg1946z00_2501 =
										BGl_linkz00zzsaw_node2rtlz00(BgL_rz00_2497,
										((BgL_areaz00_bglt) BgL_arg1948z00_2503));
								}
								BgL_arg1947z00_2502 = CDR(((obj_t) BgL_lz00_2498));
								{
									obj_t BgL_lz00_7085;
									BgL_areaz00_bglt BgL_rz00_7084;

									BgL_rz00_7084 = BgL_arg1946z00_2501;
									BgL_lz00_7085 = BgL_arg1947z00_2502;
									BgL_lz00_2498 = BgL_lz00_7085;
									BgL_rz00_2497 = BgL_rz00_7084;
									goto BgL_zc3z04anonymousza31944ze3z87_2499;
								}
							}
					}
			}
		}

	}



/* fork/join */
	BgL_areaz00_bglt BGl_forkzf2joinzf2zzsaw_node2rtlz00(BgL_areaz00_bglt
		BgL_headz00_117, obj_t BgL_contsz00_118, BgL_rtl_regz00_bglt BgL_rz00_119)
	{
		{	/* SawMill/node2rtl.scm 137 */
			{	/* SawMill/node2rtl.scm 139 */
				BgL_blockz00_bglt BgL_arg1950z00_2505;
				obj_t BgL_arg1953z00_2506;

				BgL_arg1950z00_2505 =
					(((BgL_areaz00_bglt) COBJECT(BgL_headz00_117))->BgL_exitz00);
				if (NULLP(BgL_contsz00_118))
					{	/* SawMill/node2rtl.scm 139 */
						BgL_arg1953z00_2506 = BNIL;
					}
				else
					{	/* SawMill/node2rtl.scm 139 */
						obj_t BgL_head1625z00_2509;

						{	/* SawMill/node2rtl.scm 139 */
							BgL_blockz00_bglt BgL_arg1962z00_2521;

							BgL_arg1962z00_2521 =
								(((BgL_areaz00_bglt) COBJECT(
										((BgL_areaz00_bglt)
											CAR(((obj_t) BgL_contsz00_118)))))->BgL_entryz00);
							BgL_head1625z00_2509 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg1962z00_2521), BNIL);
						}
						{	/* SawMill/node2rtl.scm 139 */
							obj_t BgL_g1628z00_2510;

							BgL_g1628z00_2510 = CDR(((obj_t) BgL_contsz00_118));
							{
								obj_t BgL_l1623z00_2512;
								obj_t BgL_tail1626z00_2513;

								BgL_l1623z00_2512 = BgL_g1628z00_2510;
								BgL_tail1626z00_2513 = BgL_head1625z00_2509;
							BgL_zc3z04anonymousza31955ze3z87_2514:
								if (NULLP(BgL_l1623z00_2512))
									{	/* SawMill/node2rtl.scm 139 */
										BgL_arg1953z00_2506 = BgL_head1625z00_2509;
									}
								else
									{	/* SawMill/node2rtl.scm 139 */
										obj_t BgL_newtail1627z00_2516;

										{	/* SawMill/node2rtl.scm 139 */
											BgL_blockz00_bglt BgL_arg1960z00_2518;

											BgL_arg1960z00_2518 =
												(((BgL_areaz00_bglt) COBJECT(
														((BgL_areaz00_bglt)
															CAR(
																((obj_t) BgL_l1623z00_2512)))))->BgL_entryz00);
											BgL_newtail1627z00_2516 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1960z00_2518), BNIL);
										}
										SET_CDR(BgL_tail1626z00_2513, BgL_newtail1627z00_2516);
										{	/* SawMill/node2rtl.scm 139 */
											obj_t BgL_arg1957z00_2517;

											BgL_arg1957z00_2517 = CDR(((obj_t) BgL_l1623z00_2512));
											{
												obj_t BgL_tail1626z00_7110;
												obj_t BgL_l1623z00_7109;

												BgL_l1623z00_7109 = BgL_arg1957z00_2517;
												BgL_tail1626z00_7110 = BgL_newtail1627z00_2516;
												BgL_tail1626z00_2513 = BgL_tail1626z00_7110;
												BgL_l1623z00_2512 = BgL_l1623z00_7109;
												goto BgL_zc3z04anonymousza31955ze3z87_2514;
											}
										}
									}
							}
						}
					}
				((((BgL_blockz00_bglt) COBJECT(BgL_arg1950z00_2505))->BgL_succsz00) =
					((obj_t) BgL_arg1953z00_2506), BUNSPEC);
			}
			{	/* SawMill/node2rtl.scm 141 */
				BgL_blockz00_bglt BgL_joinz00_2523;

				{	/* SawMill/node2rtl.scm 141 */
					BgL_areaz00_bglt BgL_arg1968z00_2535;

					{	/* SawMill/node2rtl.scm 141 */
						BgL_rtl_movz00_bglt BgL_arg1969z00_2536;

						{	/* SawMill/node2rtl.scm 141 */
							BgL_rtl_movz00_bglt BgL_new1247z00_2538;

							{	/* SawMill/node2rtl.scm 141 */
								BgL_rtl_movz00_bglt BgL_new1244z00_2539;

								BgL_new1244z00_2539 =
									((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_movz00_bgl))));
								{	/* SawMill/node2rtl.scm 141 */
									long BgL_arg1971z00_2540;

									BgL_arg1971z00_2540 =
										BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1244z00_2539),
										BgL_arg1971z00_2540);
								}
								BgL_new1247z00_2538 = BgL_new1244z00_2539;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1247z00_2538)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg1969z00_2536 = BgL_new1247z00_2538;
						}
						{	/* SawMill/node2rtl.scm 141 */
							obj_t BgL_list1970z00_2537;

							BgL_list1970z00_2537 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_rz00_119), BNIL);
							BgL_arg1968z00_2535 =
								BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
								((BgL_rtl_funz00_bglt) BgL_arg1969z00_2536),
								BgL_list1970z00_2537);
					}}
					BgL_joinz00_2523 =
						(((BgL_areaz00_bglt) COBJECT(BgL_arg1968z00_2535))->BgL_entryz00);
				}
				{
					obj_t BgL_l1629z00_2525;

					BgL_l1629z00_2525 = BgL_contsz00_118;
				BgL_zc3z04anonymousza31964ze3z87_2526:
					if (PAIRP(BgL_l1629z00_2525))
						{	/* SawMill/node2rtl.scm 142 */
							{	/* SawMill/node2rtl.scm 143 */
								BgL_areaz00_bglt BgL_az00_2528;

								BgL_az00_2528 = ((BgL_areaz00_bglt) CAR(BgL_l1629z00_2525));
								{	/* SawMill/node2rtl.scm 143 */
									BgL_blockz00_bglt BgL_bz00_2529;

									BgL_bz00_2529 =
										(((BgL_areaz00_bglt) COBJECT(BgL_az00_2528))->BgL_exitz00);
									{	/* SawMill/node2rtl.scm 92 */
										obj_t BgL_arg1903z00_4409;

										{	/* SawMill/node2rtl.scm 92 */
											obj_t BgL_arg1904z00_4410;

											BgL_arg1904z00_4410 =
												(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2529))->
												BgL_succsz00);
											BgL_arg1903z00_4409 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_joinz00_2523),
												BgL_arg1904z00_4410);
										}
										((((BgL_blockz00_bglt) COBJECT(BgL_bz00_2529))->
												BgL_succsz00) = ((obj_t) BgL_arg1903z00_4409), BUNSPEC);
									}
									BGl_bdestinationz12z12zzsaw_node2rtlz00(BgL_bz00_2529,
										BgL_rz00_119);
								}
							}
							{
								obj_t BgL_l1629z00_7133;

								BgL_l1629z00_7133 = CDR(BgL_l1629z00_2525);
								BgL_l1629z00_2525 = BgL_l1629z00_7133;
								goto BgL_zc3z04anonymousza31964ze3z87_2526;
							}
						}
					else
						{	/* SawMill/node2rtl.scm 142 */
							((bool_t) 1);
						}
				}
				{	/* SawMill/node2rtl.scm 148 */
					BgL_areaz00_bglt BgL_new1249z00_2532;

					{	/* SawMill/node2rtl.scm 148 */
						BgL_areaz00_bglt BgL_new1248z00_2533;

						BgL_new1248z00_2533 =
							((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_areaz00_bgl))));
						{	/* SawMill/node2rtl.scm 148 */
							long BgL_arg1967z00_2534;

							BgL_arg1967z00_2534 = BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1248z00_2533),
								BgL_arg1967z00_2534);
						}
						BgL_new1249z00_2532 = BgL_new1248z00_2533;
					}
					((((BgL_areaz00_bglt) COBJECT(BgL_new1249z00_2532))->BgL_entryz00) =
						((BgL_blockz00_bglt) (((BgL_areaz00_bglt)
									COBJECT(BgL_headz00_117))->BgL_entryz00)), BUNSPEC);
					((((BgL_areaz00_bglt) COBJECT(BgL_new1249z00_2532))->BgL_exitz00) =
						((BgL_blockz00_bglt) BgL_joinz00_2523), BUNSPEC);
					return BgL_new1249z00_2532;
				}
			}
		}

	}



/* join */
	obj_t BGl_joinz00zzsaw_node2rtlz00(obj_t BgL_contsz00_120,
		BgL_rtl_regz00_bglt BgL_xrz00_121)
	{
		{	/* SawMill/node2rtl.scm 150 */
			{	/* SawMill/node2rtl.scm 151 */
				obj_t BgL_rz00_2541;

				BgL_rz00_2541 =
					BGl_findzd2registerzd2zzsaw_node2rtlz00(BgL_contsz00_120,
					BgL_xrz00_121);
				{	/* SawMill/node2rtl.scm 153 */
					BgL_blockz00_bglt BgL_joinz00_2542;

					{	/* SawMill/node2rtl.scm 153 */
						BgL_areaz00_bglt BgL_arg1981z00_2567;

						{	/* SawMill/node2rtl.scm 153 */
							BgL_rtl_movz00_bglt BgL_arg1982z00_2568;

							{	/* SawMill/node2rtl.scm 153 */
								BgL_rtl_movz00_bglt BgL_new1251z00_2570;

								{	/* SawMill/node2rtl.scm 153 */
									BgL_rtl_movz00_bglt BgL_new1250z00_2571;

									BgL_new1250z00_2571 =
										((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_movz00_bgl))));
									{	/* SawMill/node2rtl.scm 153 */
										long BgL_arg1984z00_2572;

										BgL_arg1984z00_2572 =
											BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1250z00_2571),
											BgL_arg1984z00_2572);
									}
									BgL_new1251z00_2570 = BgL_new1250z00_2571;
								}
								((((BgL_rtl_funz00_bglt) COBJECT(
												((BgL_rtl_funz00_bglt) BgL_new1251z00_2570)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								BgL_arg1982z00_2568 = BgL_new1251z00_2570;
							}
							{	/* SawMill/node2rtl.scm 153 */
								obj_t BgL_list1983z00_2569;

								BgL_list1983z00_2569 = MAKE_YOUNG_PAIR(BgL_rz00_2541, BNIL);
								BgL_arg1981z00_2567 =
									BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
									((BgL_rtl_funz00_bglt) BgL_arg1982z00_2568),
									BgL_list1983z00_2569);
						}}
						BgL_joinz00_2542 =
							(((BgL_areaz00_bglt) COBJECT(BgL_arg1981z00_2567))->BgL_entryz00);
					}
					{
						obj_t BgL_l1631z00_2544;

						BgL_l1631z00_2544 = BgL_contsz00_120;
					BgL_zc3z04anonymousza31972ze3z87_2545:
						if (PAIRP(BgL_l1631z00_2544))
							{	/* SawMill/node2rtl.scm 154 */
								{	/* SawMill/node2rtl.scm 155 */
									BgL_areaz00_bglt BgL_az00_2547;

									BgL_az00_2547 = ((BgL_areaz00_bglt) CAR(BgL_l1631z00_2544));
									{	/* SawMill/node2rtl.scm 155 */
										BgL_blockz00_bglt BgL_bz00_2548;

										BgL_bz00_2548 =
											(((BgL_areaz00_bglt) COBJECT(BgL_az00_2547))->
											BgL_exitz00);
										{	/* SawMill/node2rtl.scm 92 */
											obj_t BgL_arg1903z00_4428;

											{	/* SawMill/node2rtl.scm 92 */
												obj_t BgL_arg1904z00_4429;

												BgL_arg1904z00_4429 =
													(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2548))->
													BgL_succsz00);
												BgL_arg1903z00_4428 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_joinz00_2542),
													BgL_arg1904z00_4429);
											}
											((((BgL_blockz00_bglt) COBJECT(BgL_bz00_2548))->
													BgL_succsz00) =
												((obj_t) BgL_arg1903z00_4428), BUNSPEC);
										}
										BGl_bdestinationz12z12zzsaw_node2rtlz00(BgL_bz00_2548,
											((BgL_rtl_regz00_bglt) BgL_rz00_2541));
									}
								}
								{
									obj_t BgL_l1631z00_7164;

									BgL_l1631z00_7164 = CDR(BgL_l1631z00_2544);
									BgL_l1631z00_2544 = BgL_l1631z00_7164;
									goto BgL_zc3z04anonymousza31972ze3z87_2545;
								}
							}
						else
							{	/* SawMill/node2rtl.scm 154 */
								((bool_t) 1);
							}
					}
					if (NULLP(BgL_contsz00_120))
						{	/* SawMill/node2rtl.scm 160 */
							return BNIL;
						}
					else
						{	/* SawMill/node2rtl.scm 160 */
							obj_t BgL_head1635z00_2553;

							BgL_head1635z00_2553 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1633z00_2555;
								obj_t BgL_tail1636z00_2556;

								BgL_l1633z00_2555 = BgL_contsz00_120;
								BgL_tail1636z00_2556 = BgL_head1635z00_2553;
							BgL_zc3z04anonymousza31976ze3z87_2557:
								if (NULLP(BgL_l1633z00_2555))
									{	/* SawMill/node2rtl.scm 160 */
										return CDR(BgL_head1635z00_2553);
									}
								else
									{	/* SawMill/node2rtl.scm 160 */
										obj_t BgL_newtail1637z00_2559;

										{	/* SawMill/node2rtl.scm 160 */
											BgL_areaz00_bglt BgL_arg1979z00_2561;

											{	/* SawMill/node2rtl.scm 160 */
												BgL_areaz00_bglt BgL_az00_2562;

												BgL_az00_2562 =
													((BgL_areaz00_bglt) CAR(((obj_t) BgL_l1633z00_2555)));
												{	/* SawMill/node2rtl.scm 161 */
													BgL_areaz00_bglt BgL_new1253z00_2563;

													{	/* SawMill/node2rtl.scm 161 */
														BgL_areaz00_bglt BgL_new1252z00_2564;

														BgL_new1252z00_2564 =
															((BgL_areaz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_areaz00_bgl))));
														{	/* SawMill/node2rtl.scm 161 */
															long BgL_arg1980z00_2565;

															BgL_arg1980z00_2565 =
																BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1252z00_2564),
																BgL_arg1980z00_2565);
														}
														BgL_new1253z00_2563 = BgL_new1252z00_2564;
													}
													((((BgL_areaz00_bglt) COBJECT(BgL_new1253z00_2563))->
															BgL_entryz00) =
														((BgL_blockz00_bglt) (((BgL_areaz00_bglt)
																	COBJECT(BgL_az00_2562))->BgL_entryz00)),
														BUNSPEC);
													((((BgL_areaz00_bglt) COBJECT(BgL_new1253z00_2563))->
															BgL_exitz00) =
														((BgL_blockz00_bglt) BgL_joinz00_2542), BUNSPEC);
													BgL_arg1979z00_2561 = BgL_new1253z00_2563;
											}}
											BgL_newtail1637z00_2559 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1979z00_2561), BNIL);
										}
										SET_CDR(BgL_tail1636z00_2556, BgL_newtail1637z00_2559);
										{	/* SawMill/node2rtl.scm 160 */
											obj_t BgL_arg1978z00_2560;

											BgL_arg1978z00_2560 = CDR(((obj_t) BgL_l1633z00_2555));
											{
												obj_t BgL_tail1636z00_7188;
												obj_t BgL_l1633z00_7187;

												BgL_l1633z00_7187 = BgL_arg1978z00_2560;
												BgL_tail1636z00_7188 = BgL_newtail1637z00_2559;
												BgL_tail1636z00_2556 = BgL_tail1636z00_7188;
												BgL_l1633z00_2555 = BgL_l1633z00_7187;
												goto BgL_zc3z04anonymousza31976ze3z87_2557;
											}
										}
									}
							}
						}
				}
			}
		}

	}



/* fork */
	BgL_areaz00_bglt BGl_forkz00zzsaw_node2rtlz00(BgL_areaz00_bglt
		BgL_headz00_122, obj_t BgL_joinedz00_123)
	{
		{	/* SawMill/node2rtl.scm 164 */
			{	/* SawMill/node2rtl.scm 166 */
				BgL_blockz00_bglt BgL_arg1985z00_2573;
				obj_t BgL_arg1986z00_2574;

				BgL_arg1985z00_2573 =
					(((BgL_areaz00_bglt) COBJECT(BgL_headz00_122))->BgL_exitz00);
				if (NULLP(BgL_joinedz00_123))
					{	/* SawMill/node2rtl.scm 166 */
						BgL_arg1986z00_2574 = BNIL;
					}
				else
					{	/* SawMill/node2rtl.scm 166 */
						obj_t BgL_head1640z00_2577;

						{	/* SawMill/node2rtl.scm 166 */
							BgL_blockz00_bglt BgL_arg1995z00_2589;

							BgL_arg1995z00_2589 =
								(((BgL_areaz00_bglt) COBJECT(
										((BgL_areaz00_bglt)
											CAR(((obj_t) BgL_joinedz00_123)))))->BgL_entryz00);
							BgL_head1640z00_2577 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg1995z00_2589), BNIL);
						}
						{	/* SawMill/node2rtl.scm 166 */
							obj_t BgL_g1643z00_2578;

							BgL_g1643z00_2578 = CDR(((obj_t) BgL_joinedz00_123));
							{
								obj_t BgL_l1638z00_2580;
								obj_t BgL_tail1641z00_2581;

								BgL_l1638z00_2580 = BgL_g1643z00_2578;
								BgL_tail1641z00_2581 = BgL_head1640z00_2577;
							BgL_zc3z04anonymousza31988ze3z87_2582:
								if (NULLP(BgL_l1638z00_2580))
									{	/* SawMill/node2rtl.scm 166 */
										BgL_arg1986z00_2574 = BgL_head1640z00_2577;
									}
								else
									{	/* SawMill/node2rtl.scm 166 */
										obj_t BgL_newtail1642z00_2584;

										{	/* SawMill/node2rtl.scm 166 */
											BgL_blockz00_bglt BgL_arg1991z00_2586;

											BgL_arg1991z00_2586 =
												(((BgL_areaz00_bglt) COBJECT(
														((BgL_areaz00_bglt)
															CAR(
																((obj_t) BgL_l1638z00_2580)))))->BgL_entryz00);
											BgL_newtail1642z00_2584 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1991z00_2586), BNIL);
										}
										SET_CDR(BgL_tail1641z00_2581, BgL_newtail1642z00_2584);
										{	/* SawMill/node2rtl.scm 166 */
											obj_t BgL_arg1990z00_2585;

											BgL_arg1990z00_2585 = CDR(((obj_t) BgL_l1638z00_2580));
											{
												obj_t BgL_tail1641z00_7212;
												obj_t BgL_l1638z00_7211;

												BgL_l1638z00_7211 = BgL_arg1990z00_2585;
												BgL_tail1641z00_7212 = BgL_newtail1642z00_2584;
												BgL_tail1641z00_2581 = BgL_tail1641z00_7212;
												BgL_l1638z00_2580 = BgL_l1638z00_7211;
												goto BgL_zc3z04anonymousza31988ze3z87_2582;
											}
										}
									}
							}
						}
					}
				((((BgL_blockz00_bglt) COBJECT(BgL_arg1985z00_2573))->BgL_succsz00) =
					((obj_t) BgL_arg1986z00_2574), BUNSPEC);
			}
			{	/* SawMill/node2rtl.scm 168 */
				BgL_areaz00_bglt BgL_new1255z00_2591;

				{	/* SawMill/node2rtl.scm 168 */
					BgL_areaz00_bglt BgL_new1254z00_2593;

					BgL_new1254z00_2593 =
						((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_areaz00_bgl))));
					{	/* SawMill/node2rtl.scm 168 */
						long BgL_arg2000z00_2594;

						BgL_arg2000z00_2594 = BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1254z00_2593), BgL_arg2000z00_2594);
					}
					BgL_new1255z00_2591 = BgL_new1254z00_2593;
				}
				((((BgL_areaz00_bglt) COBJECT(BgL_new1255z00_2591))->BgL_entryz00) =
					((BgL_blockz00_bglt) (((BgL_areaz00_bglt) COBJECT(BgL_headz00_122))->
							BgL_entryz00)), BUNSPEC);
				((((BgL_areaz00_bglt) COBJECT(BgL_new1255z00_2591))->BgL_exitz00) =
					((BgL_blockz00_bglt) (((BgL_areaz00_bglt) COBJECT(((BgL_areaz00_bglt)
										CAR(((obj_t) BgL_joinedz00_123)))))->BgL_exitz00)),
					BUNSPEC);
				return BgL_new1255z00_2591;
			}
		}

	}



/* find-register */
	obj_t BGl_findzd2registerzd2zzsaw_node2rtlz00(obj_t BgL_areasz00_124,
		BgL_rtl_regz00_bglt BgL_regz00_125)
	{
		{	/* SawMill/node2rtl.scm 171 */
			{
				obj_t BgL_az00_2604;

				{
					obj_t BgL_lz00_2597;

					BgL_lz00_2597 = BgL_areasz00_124;
				BgL_zc3z04anonymousza32001ze3z87_2598:
					if (NULLP(BgL_lz00_2597))
						{	/* SawMill/node2rtl.scm 181 */
							return ((obj_t) BgL_regz00_125);
						}
					else
						{	/* SawMill/node2rtl.scm 183 */
							obj_t BgL__ortest_1257z00_2600;

							{	/* SawMill/node2rtl.scm 183 */
								obj_t BgL_arg2004z00_2602;

								BgL_arg2004z00_2602 = CAR(((obj_t) BgL_lz00_2597));
								BgL_az00_2604 = BgL_arg2004z00_2602;
								{	/* SawMill/node2rtl.scm 173 */
									obj_t BgL_insz00_2606;

									BgL_insz00_2606 =
										CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
											(((BgL_blockz00_bglt) COBJECT(
														(((BgL_areaz00_bglt) COBJECT(
																	((BgL_areaz00_bglt) BgL_az00_2604)))->
															BgL_exitz00)))->BgL_firstz00)));
									{	/* SawMill/node2rtl.scm 174 */
										bool_t BgL_test3137z00_7235;

										{	/* SawMill/node2rtl.scm 174 */
											BgL_rtl_funz00_bglt BgL_arg2016z00_2621;

											BgL_arg2016z00_2621 =
												(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_insz00_2606)))->
												BgL_funz00);
											{	/* SawMill/node2rtl.scm 174 */
												obj_t BgL_classz00_4462;

												BgL_classz00_4462 = BGl_rtl_movz00zzsaw_defsz00;
												{	/* SawMill/node2rtl.scm 174 */
													BgL_objectz00_bglt BgL_arg1858z00_4464;

													{	/* SawMill/node2rtl.scm 174 */
														obj_t BgL_tmpz00_7238;

														BgL_tmpz00_7238 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_arg2016z00_2621));
														BgL_arg1858z00_4464 =
															(BgL_objectz00_bglt) (BgL_tmpz00_7238);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* SawMill/node2rtl.scm 174 */
															long BgL_idxz00_4470;

															BgL_idxz00_4470 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4464);
															BgL_test3137z00_7235 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_4470 + 3L)) == BgL_classz00_4462);
														}
													else
														{	/* SawMill/node2rtl.scm 174 */
															bool_t BgL_res2907z00_4495;

															{	/* SawMill/node2rtl.scm 174 */
																obj_t BgL_oclassz00_4478;

																{	/* SawMill/node2rtl.scm 174 */
																	obj_t BgL_arg1866z00_4486;
																	long BgL_arg1867z00_4487;

																	BgL_arg1866z00_4486 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* SawMill/node2rtl.scm 174 */
																		long BgL_arg1869z00_4488;

																		BgL_arg1869z00_4488 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4464);
																		BgL_arg1867z00_4487 =
																			(BgL_arg1869z00_4488 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_4478 =
																		VECTOR_REF(BgL_arg1866z00_4486,
																		BgL_arg1867z00_4487);
																}
																{	/* SawMill/node2rtl.scm 174 */
																	bool_t BgL__ortest_1115z00_4479;

																	BgL__ortest_1115z00_4479 =
																		(BgL_classz00_4462 == BgL_oclassz00_4478);
																	if (BgL__ortest_1115z00_4479)
																		{	/* SawMill/node2rtl.scm 174 */
																			BgL_res2907z00_4495 =
																				BgL__ortest_1115z00_4479;
																		}
																	else
																		{	/* SawMill/node2rtl.scm 174 */
																			long BgL_odepthz00_4480;

																			{	/* SawMill/node2rtl.scm 174 */
																				obj_t BgL_arg1855z00_4481;

																				BgL_arg1855z00_4481 =
																					(BgL_oclassz00_4478);
																				BgL_odepthz00_4480 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_4481);
																			}
																			if ((3L < BgL_odepthz00_4480))
																				{	/* SawMill/node2rtl.scm 174 */
																					obj_t BgL_arg1853z00_4483;

																					{	/* SawMill/node2rtl.scm 174 */
																						obj_t BgL_arg1854z00_4484;

																						BgL_arg1854z00_4484 =
																							(BgL_oclassz00_4478);
																						BgL_arg1853z00_4483 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_4484, 3L);
																					}
																					BgL_res2907z00_4495 =
																						(BgL_arg1853z00_4483 ==
																						BgL_classz00_4462);
																				}
																			else
																				{	/* SawMill/node2rtl.scm 174 */
																					BgL_res2907z00_4495 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test3137z00_7235 = BgL_res2907z00_4495;
														}
												}
											}
										}
										if (BgL_test3137z00_7235)
											{	/* SawMill/node2rtl.scm 175 */
												obj_t BgL_rz00_2608;

												{	/* SawMill/node2rtl.scm 175 */
													obj_t BgL_pairz00_4497;

													BgL_pairz00_4497 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_insz00_2606)))->
														BgL_argsz00);
													BgL_rz00_2608 = CAR(BgL_pairz00_4497);
												}
												{	/* SawMill/node2rtl.scm 176 */
													bool_t BgL_test3141z00_7264;

													if (CBOOL(
															(((BgL_rtl_regz00_bglt) COBJECT(
																		((BgL_rtl_regz00_bglt) BgL_rz00_2608)))->
																BgL_varz00)))
														{	/* SawMill/node2rtl.scm 176 */
															BgL_test3141z00_7264 = ((bool_t) 1);
														}
													else
														{	/* SawMill/node2rtl.scm 176 */
															if (
																(((obj_t)
																		(((BgL_rtl_regz00_bglt) COBJECT(
																					((BgL_rtl_regz00_bglt)
																						BgL_rz00_2608)))->BgL_typez00)) ==
																	((obj_t) (((BgL_rtl_regz00_bglt)
																				COBJECT(BgL_regz00_125))->
																			BgL_typez00))))
																{	/* SawMill/node2rtl.scm 177 */
																	BgL_test3141z00_7264 = ((bool_t) 0);
																}
															else
																{	/* SawMill/node2rtl.scm 177 */
																	BgL_test3141z00_7264 = ((bool_t) 1);
																}
														}
													if (BgL_test3141z00_7264)
														{	/* SawMill/node2rtl.scm 176 */
															BgL__ortest_1257z00_2600 = BFALSE;
														}
													else
														{	/* SawMill/node2rtl.scm 176 */
															BgL__ortest_1257z00_2600 = BgL_rz00_2608;
														}
												}
											}
										else
											{	/* SawMill/node2rtl.scm 174 */
												BgL__ortest_1257z00_2600 = BFALSE;
											}
									}
								}
							}
							if (CBOOL(BgL__ortest_1257z00_2600))
								{	/* SawMill/node2rtl.scm 183 */
									return BgL__ortest_1257z00_2600;
								}
							else
								{	/* SawMill/node2rtl.scm 184 */
									obj_t BgL_arg2003z00_2601;

									BgL_arg2003z00_2601 = CDR(((obj_t) BgL_lz00_2597));
									{
										obj_t BgL_lz00_7280;

										BgL_lz00_7280 = BgL_arg2003z00_2601;
										BgL_lz00_2597 = BgL_lz00_7280;
										goto BgL_zc3z04anonymousza32001ze3z87_2598;
									}
								}
						}
				}
			}
		}

	}



/* call* */
	BgL_areaz00_bglt BGl_callza2za2zzsaw_node2rtlz00(obj_t BgL_ez00_128,
		BgL_rtl_funz00_bglt BgL_funz00_129, obj_t BgL_exprsz00_130)
	{
		{	/* SawMill/node2rtl.scm 191 */
			{	/* SawMill/node2rtl.scm 192 */
				obj_t BgL_regsz00_2627;

				if (NULLP(BgL_exprsz00_130))
					{	/* SawMill/node2rtl.scm 192 */
						BgL_regsz00_2627 = BNIL;
					}
				else
					{	/* SawMill/node2rtl.scm 192 */
						obj_t BgL_head1646z00_2650;

						BgL_head1646z00_2650 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1644z00_2652;
							obj_t BgL_tail1647z00_2653;

							BgL_l1644z00_2652 = BgL_exprsz00_130;
							BgL_tail1647z00_2653 = BgL_head1646z00_2650;
						BgL_zc3z04anonymousza32032ze3z87_2654:
							if (NULLP(BgL_l1644z00_2652))
								{	/* SawMill/node2rtl.scm 192 */
									BgL_regsz00_2627 = CDR(BgL_head1646z00_2650);
								}
							else
								{	/* SawMill/node2rtl.scm 192 */
									obj_t BgL_newtail1648z00_2656;

									{	/* SawMill/node2rtl.scm 192 */
										BgL_rtl_regz00_bglt BgL_arg2035z00_2658;

										{	/* SawMill/node2rtl.scm 192 */
											obj_t BgL_ez00_2659;

											BgL_ez00_2659 = CAR(((obj_t) BgL_l1644z00_2652));
											BgL_arg2035z00_2658 =
												BGl_newzd2regzd2zzsaw_node2rtlz00(
												((BgL_nodez00_bglt) BgL_ez00_2659));
										}
										BgL_newtail1648z00_2656 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg2035z00_2658), BNIL);
									}
									SET_CDR(BgL_tail1647z00_2653, BgL_newtail1648z00_2656);
									{	/* SawMill/node2rtl.scm 192 */
										obj_t BgL_arg2034z00_2657;

										BgL_arg2034z00_2657 = CDR(((obj_t) BgL_l1644z00_2652));
										{
											obj_t BgL_tail1647z00_7297;
											obj_t BgL_l1644z00_7296;

											BgL_l1644z00_7296 = BgL_arg2034z00_2657;
											BgL_tail1647z00_7297 = BgL_newtail1648z00_2656;
											BgL_tail1647z00_2653 = BgL_tail1647z00_7297;
											BgL_l1644z00_2652 = BgL_l1644z00_7296;
											goto BgL_zc3z04anonymousza32032ze3z87_2654;
										}
									}
								}
						}
					}
				{	/* SawMill/node2rtl.scm 193 */
					BgL_areaz00_bglt BgL_arg2021z00_2628;
					BgL_areaz00_bglt BgL_arg2022z00_2629;

					{	/* SawMill/node2rtl.scm 193 */
						obj_t BgL_arg2023z00_2630;

						if (NULLP(BgL_exprsz00_130))
							{	/* SawMill/node2rtl.scm 193 */
								BgL_arg2023z00_2630 = BNIL;
							}
						else
							{	/* SawMill/node2rtl.scm 193 */
								obj_t BgL_head1651z00_2634;

								BgL_head1651z00_2634 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_ll1649z00_2636;
									obj_t BgL_ll1650z00_2637;
									obj_t BgL_tail1652z00_2638;

									BgL_ll1649z00_2636 = BgL_exprsz00_130;
									BgL_ll1650z00_2637 = BgL_regsz00_2627;
									BgL_tail1652z00_2638 = BgL_head1651z00_2634;
								BgL_zc3z04anonymousza32025ze3z87_2639:
									if (NULLP(BgL_ll1649z00_2636))
										{	/* SawMill/node2rtl.scm 193 */
											BgL_arg2023z00_2630 = CDR(BgL_head1651z00_2634);
										}
									else
										{	/* SawMill/node2rtl.scm 193 */
											obj_t BgL_newtail1653z00_2641;

											{	/* SawMill/node2rtl.scm 193 */
												BgL_areaz00_bglt BgL_arg2030z00_2644;

												{	/* SawMill/node2rtl.scm 193 */
													obj_t BgL_az00_2645;
													obj_t BgL_rz00_2646;

													BgL_az00_2645 = CAR(((obj_t) BgL_ll1649z00_2636));
													BgL_rz00_2646 = CAR(((obj_t) BgL_ll1650z00_2637));
													{	/* SawMill/node2rtl.scm 193 */
														BgL_areaz00_bglt BgL_res2908z00_4522;

														{	/* SawMill/node2rtl.scm 187 */
															BgL_areaz00_bglt BgL_az00_4517;

															BgL_az00_4517 =
																BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
																((BgL_nodez00_bglt) BgL_az00_2645));
															{	/* SawMill/node2rtl.scm 116 */
																BgL_blockz00_bglt BgL_arg1927z00_4520;

																BgL_arg1927z00_4520 =
																	(((BgL_areaz00_bglt) COBJECT(BgL_az00_4517))->
																	BgL_exitz00);
																BGl_bdestinationz12z12zzsaw_node2rtlz00
																	(BgL_arg1927z00_4520,
																	((BgL_rtl_regz00_bglt) BgL_rz00_2646));
															}
															BgL_res2908z00_4522 = BgL_az00_4517;
														}
														BgL_arg2030z00_2644 = BgL_res2908z00_4522;
													}
												}
												BgL_newtail1653z00_2641 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg2030z00_2644), BNIL);
											}
											SET_CDR(BgL_tail1652z00_2638, BgL_newtail1653z00_2641);
											{	/* SawMill/node2rtl.scm 193 */
												obj_t BgL_arg2027z00_2642;
												obj_t BgL_arg2028z00_2643;

												BgL_arg2027z00_2642 = CDR(((obj_t) BgL_ll1649z00_2636));
												BgL_arg2028z00_2643 = CDR(((obj_t) BgL_ll1650z00_2637));
												{
													obj_t BgL_tail1652z00_7322;
													obj_t BgL_ll1650z00_7321;
													obj_t BgL_ll1649z00_7320;

													BgL_ll1649z00_7320 = BgL_arg2027z00_2642;
													BgL_ll1650z00_7321 = BgL_arg2028z00_2643;
													BgL_tail1652z00_7322 = BgL_newtail1653z00_2641;
													BgL_tail1652z00_2638 = BgL_tail1652z00_7322;
													BgL_ll1650z00_2637 = BgL_ll1650z00_7321;
													BgL_ll1649z00_2636 = BgL_ll1649z00_7320;
													goto BgL_zc3z04anonymousza32025ze3z87_2639;
												}
											}
										}
								}
							}
						BgL_arg2021z00_2628 =
							BGl_linkza2za2zzsaw_node2rtlz00(BgL_arg2023z00_2630);
					}
					BgL_arg2022z00_2629 =
						BGl_singleza2za2zzsaw_node2rtlz00(BgL_ez00_128, BgL_funz00_129,
						BgL_regsz00_2627);
					return BGl_linkz00zzsaw_node2rtlz00(BgL_arg2021z00_2628,
						BgL_arg2022z00_2629);
				}
			}
		}

	}



/* coerce */
	obj_t BGl_coercez00zzsaw_node2rtlz00(obj_t BgL_clausesz00_146)
	{
		{	/* SawMill/node2rtl.scm 273 */
			if (NULLP(BgL_clausesz00_146))
				{	/* SawMill/node2rtl.scm 274 */
					return BNIL;
				}
			else
				{	/* SawMill/node2rtl.scm 274 */
					obj_t BgL_head1688z00_2698;

					BgL_head1688z00_2698 = MAKE_YOUNG_PAIR(BNIL, BNIL);
					{
						obj_t BgL_l1686z00_2700;
						obj_t BgL_tail1689z00_2701;

						BgL_l1686z00_2700 = BgL_clausesz00_146;
						BgL_tail1689z00_2701 = BgL_head1688z00_2698;
					BgL_zc3z04anonymousza32053ze3z87_2702:
						if (NULLP(BgL_l1686z00_2700))
							{	/* SawMill/node2rtl.scm 274 */
								return CDR(BgL_head1688z00_2698);
							}
						else
							{	/* SawMill/node2rtl.scm 274 */
								obj_t BgL_newtail1690z00_2704;

								{	/* SawMill/node2rtl.scm 274 */
									obj_t BgL_arg2056z00_2706;

									{	/* SawMill/node2rtl.scm 274 */
										obj_t BgL_cz00_2707;

										BgL_cz00_2707 = CAR(((obj_t) BgL_l1686z00_2700));
										{	/* SawMill/node2rtl.scm 275 */
											obj_t BgL_pz00_2708;

											BgL_pz00_2708 = CAR(((obj_t) BgL_cz00_2707));
											if ((BgL_pz00_2708 == ((obj_t) CNST_TABLE_REF(1))))
												{	/* SawMill/node2rtl.scm 276 */
													BgL_arg2056z00_2706 = BgL_pz00_2708;
												}
											else
												{	/* SawMill/node2rtl.scm 276 */
													if (NULLP(BgL_pz00_2708))
														{	/* SawMill/node2rtl.scm 278 */
															BgL_arg2056z00_2706 = BNIL;
														}
													else
														{	/* SawMill/node2rtl.scm 278 */
															obj_t BgL_head1683z00_2711;

															BgL_head1683z00_2711 =
																MAKE_YOUNG_PAIR(BNIL, BNIL);
															{
																obj_t BgL_l1681z00_2713;
																obj_t BgL_tail1684z00_2714;

																BgL_l1681z00_2713 = BgL_pz00_2708;
																BgL_tail1684z00_2714 = BgL_head1683z00_2711;
															BgL_zc3z04anonymousza32058ze3z87_2715:
																if (NULLP(BgL_l1681z00_2713))
																	{	/* SawMill/node2rtl.scm 278 */
																		BgL_arg2056z00_2706 =
																			CDR(BgL_head1683z00_2711);
																	}
																else
																	{	/* SawMill/node2rtl.scm 278 */
																		obj_t BgL_newtail1685z00_2717;

																		{	/* SawMill/node2rtl.scm 278 */
																			obj_t BgL_arg2061z00_2719;

																			{	/* SawMill/node2rtl.scm 278 */
																				obj_t BgL_nz00_2720;

																				BgL_nz00_2720 =
																					CAR(((obj_t) BgL_l1681z00_2713));
																				if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_nz00_2720))
																					{	/* SawMill/node2rtl.scm 279 */
																						BgL_arg2061z00_2719 = BgL_nz00_2720;
																					}
																				else
																					{	/* SawMill/node2rtl.scm 279 */
																						if (CHARP(BgL_nz00_2720))
																							{	/* SawMill/node2rtl.scm 280 */
																								BgL_arg2061z00_2719 =
																									BINT((CCHAR(BgL_nz00_2720)));
																							}
																						else
																							{	/* SawMill/node2rtl.scm 280 */
																								BgL_arg2061z00_2719 =
																									BGl_errorz00zz__errorz00
																									(BGl_string2945z00zzsaw_node2rtlz00,
																									BGl_string2946z00zzsaw_node2rtlz00,
																									BgL_nz00_2720);
																							}
																					}
																			}
																			BgL_newtail1685z00_2717 =
																				MAKE_YOUNG_PAIR(BgL_arg2061z00_2719,
																				BNIL);
																		}
																		SET_CDR(BgL_tail1684z00_2714,
																			BgL_newtail1685z00_2717);
																		{	/* SawMill/node2rtl.scm 278 */
																			obj_t BgL_arg2060z00_2718;

																			BgL_arg2060z00_2718 =
																				CDR(((obj_t) BgL_l1681z00_2713));
																			{
																				obj_t BgL_tail1684z00_7361;
																				obj_t BgL_l1681z00_7360;

																				BgL_l1681z00_7360 = BgL_arg2060z00_2718;
																				BgL_tail1684z00_7361 =
																					BgL_newtail1685z00_2717;
																				BgL_tail1684z00_2714 =
																					BgL_tail1684z00_7361;
																				BgL_l1681z00_2713 = BgL_l1681z00_7360;
																				goto
																					BgL_zc3z04anonymousza32058ze3z87_2715;
																			}
																		}
																	}
															}
														}
												}
										}
									}
									BgL_newtail1690z00_2704 =
										MAKE_YOUNG_PAIR(BgL_arg2056z00_2706, BNIL);
								}
								SET_CDR(BgL_tail1689z00_2701, BgL_newtail1690z00_2704);
								{	/* SawMill/node2rtl.scm 274 */
									obj_t BgL_arg2055z00_2705;

									BgL_arg2055z00_2705 = CDR(((obj_t) BgL_l1686z00_2700));
									{
										obj_t BgL_tail1689z00_7367;
										obj_t BgL_l1686z00_7366;

										BgL_l1686z00_7366 = BgL_arg2055z00_2705;
										BgL_tail1689z00_7367 = BgL_newtail1690z00_2704;
										BgL_tail1689z00_2701 = BgL_tail1689z00_7367;
										BgL_l1686z00_2700 = BgL_l1686z00_7366;
										goto BgL_zc3z04anonymousza32053ze3z87_2702;
									}
								}
							}
					}
				}
		}

	}



/* compile-label-call */
	BgL_areaz00_bglt
		BGl_compilezd2labelzd2callz00zzsaw_node2rtlz00(BgL_localz00_bglt
		BgL_vz00_148, obj_t BgL_argsz00_149)
	{
		{	/* SawMill/node2rtl.scm 291 */
			{	/* SawMill/node2rtl.scm 298 */
				obj_t BgL_regsz00_2726;

				if (NULLP(BgL_argsz00_149))
					{	/* SawMill/node2rtl.scm 298 */
						BgL_regsz00_2726 = BNIL;
					}
				else
					{	/* SawMill/node2rtl.scm 298 */
						obj_t BgL_head1693z00_2776;

						BgL_head1693z00_2776 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1691z00_2778;
							obj_t BgL_tail1694z00_2779;

							BgL_l1691z00_2778 = BgL_argsz00_149;
							BgL_tail1694z00_2779 = BgL_head1693z00_2776;
						BgL_zc3z04anonymousza32089ze3z87_2780:
							if (NULLP(BgL_l1691z00_2778))
								{	/* SawMill/node2rtl.scm 298 */
									BgL_regsz00_2726 = CDR(BgL_head1693z00_2776);
								}
							else
								{	/* SawMill/node2rtl.scm 298 */
									obj_t BgL_newtail1695z00_2782;

									{	/* SawMill/node2rtl.scm 298 */
										BgL_rtl_regz00_bglt BgL_arg2092z00_2784;

										{	/* SawMill/node2rtl.scm 298 */
											obj_t BgL_az00_2785;

											BgL_az00_2785 = CAR(((obj_t) BgL_l1691z00_2778));
											BgL_arg2092z00_2784 =
												BGl_newzd2regzd2zzsaw_node2rtlz00(
												((BgL_nodez00_bglt) BgL_az00_2785));
										}
										BgL_newtail1695z00_2782 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg2092z00_2784), BNIL);
									}
									SET_CDR(BgL_tail1694z00_2779, BgL_newtail1695z00_2782);
									{	/* SawMill/node2rtl.scm 298 */
										obj_t BgL_arg2091z00_2783;

										BgL_arg2091z00_2783 = CDR(((obj_t) BgL_l1691z00_2778));
										{
											obj_t BgL_tail1694z00_7384;
											obj_t BgL_l1691z00_7383;

											BgL_l1691z00_7383 = BgL_arg2091z00_2783;
											BgL_tail1694z00_7384 = BgL_newtail1695z00_2782;
											BgL_tail1694z00_2779 = BgL_tail1694z00_7384;
											BgL_l1691z00_2778 = BgL_l1691z00_7383;
											goto BgL_zc3z04anonymousza32089ze3z87_2780;
										}
									}
								}
						}
					}
				{	/* SawMill/node2rtl.scm 299 */
					obj_t BgL_paramsz00_2727;

					BgL_paramsz00_2727 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_vz00_148)))->
										BgL_valuez00))))->BgL_argsz00);
					{	/* SawMill/node2rtl.scm 301 */
						BgL_areaz00_bglt BgL_arg2064z00_2728;
						BgL_areaz00_bglt BgL_arg2065z00_2729;

						{	/* SawMill/node2rtl.scm 301 */
							obj_t BgL_arg2066z00_2730;

							if (NULLP(BgL_argsz00_149))
								{	/* SawMill/node2rtl.scm 301 */
									BgL_arg2066z00_2730 = BNIL;
								}
							else
								{	/* SawMill/node2rtl.scm 301 */
									obj_t BgL_head1698z00_2734;

									BgL_head1698z00_2734 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									{
										obj_t BgL_ll1696z00_2736;
										obj_t BgL_ll1697z00_2737;
										obj_t BgL_tail1699z00_2738;

										BgL_ll1696z00_2736 = BgL_argsz00_149;
										BgL_ll1697z00_2737 = BgL_regsz00_2726;
										BgL_tail1699z00_2738 = BgL_head1698z00_2734;
									BgL_zc3z04anonymousza32068ze3z87_2739:
										if (NULLP(BgL_ll1696z00_2736))
											{	/* SawMill/node2rtl.scm 301 */
												BgL_arg2066z00_2730 = CDR(BgL_head1698z00_2734);
											}
										else
											{	/* SawMill/node2rtl.scm 301 */
												obj_t BgL_newtail1700z00_2741;

												{	/* SawMill/node2rtl.scm 301 */
													BgL_areaz00_bglt BgL_arg2072z00_2744;

													{	/* SawMill/node2rtl.scm 301 */
														obj_t BgL_ez00_2745;
														obj_t BgL_rz00_2746;

														BgL_ez00_2745 = CAR(((obj_t) BgL_ll1696z00_2736));
														BgL_rz00_2746 = CAR(((obj_t) BgL_ll1697z00_2737));
														{	/* SawMill/node2rtl.scm 301 */
															BgL_areaz00_bglt BgL_res2910z00_4578;

															{	/* SawMill/node2rtl.scm 187 */
																BgL_areaz00_bglt BgL_az00_4573;

																BgL_az00_4573 =
																	BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
																	((BgL_nodez00_bglt) BgL_ez00_2745));
																{	/* SawMill/node2rtl.scm 116 */
																	BgL_blockz00_bglt BgL_arg1927z00_4576;

																	BgL_arg1927z00_4576 =
																		(((BgL_areaz00_bglt)
																			COBJECT(BgL_az00_4573))->BgL_exitz00);
																	BGl_bdestinationz12z12zzsaw_node2rtlz00
																		(BgL_arg1927z00_4576,
																		((BgL_rtl_regz00_bglt) BgL_rz00_2746));
																}
																BgL_res2910z00_4578 = BgL_az00_4573;
															}
															BgL_arg2072z00_2744 = BgL_res2910z00_4578;
														}
													}
													BgL_newtail1700z00_2741 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg2072z00_2744), BNIL);
												}
												SET_CDR(BgL_tail1699z00_2738, BgL_newtail1700z00_2741);
												{	/* SawMill/node2rtl.scm 301 */
													obj_t BgL_arg2070z00_2742;
													obj_t BgL_arg2071z00_2743;

													BgL_arg2070z00_2742 =
														CDR(((obj_t) BgL_ll1696z00_2736));
													BgL_arg2071z00_2743 =
														CDR(((obj_t) BgL_ll1697z00_2737));
													{
														obj_t BgL_tail1699z00_7413;
														obj_t BgL_ll1697z00_7412;
														obj_t BgL_ll1696z00_7411;

														BgL_ll1696z00_7411 = BgL_arg2070z00_2742;
														BgL_ll1697z00_7412 = BgL_arg2071z00_2743;
														BgL_tail1699z00_7413 = BgL_newtail1700z00_2741;
														BgL_tail1699z00_2738 = BgL_tail1699z00_7413;
														BgL_ll1697z00_2737 = BgL_ll1697z00_7412;
														BgL_ll1696z00_2736 = BgL_ll1696z00_7411;
														goto BgL_zc3z04anonymousza32068ze3z87_2739;
													}
												}
											}
									}
								}
							BgL_arg2064z00_2728 =
								BGl_linkza2za2zzsaw_node2rtlz00(BgL_arg2066z00_2730);
						}
						{	/* SawMill/node2rtl.scm 303 */
							BgL_areaz00_bglt BgL_arg2073z00_2748;
							BgL_areaz00_bglt BgL_arg2074z00_2749;

							{	/* SawMill/node2rtl.scm 303 */
								obj_t BgL_arg2075z00_2750;

								{	/* SawMill/node2rtl.scm 303 */
									obj_t BgL_ll1702z00_2751;
									obj_t BgL_ll1703z00_2752;

									BgL_ll1702z00_2751 = bgl_reverse(BgL_regsz00_2726);
									BgL_ll1703z00_2752 = bgl_reverse(BgL_paramsz00_2727);
									if (NULLP(BgL_ll1702z00_2751))
										{	/* SawMill/node2rtl.scm 303 */
											BgL_arg2075z00_2750 = BNIL;
										}
									else
										{	/* SawMill/node2rtl.scm 303 */
											obj_t BgL_head1704z00_2754;

											{	/* SawMill/node2rtl.scm 303 */
												BgL_areaz00_bglt BgL_arg2084z00_2770;

												{	/* SawMill/node2rtl.scm 303 */
													obj_t BgL_arg2085z00_2771;
													obj_t BgL_arg2086z00_2772;

													BgL_arg2085z00_2771 = CAR(BgL_ll1702z00_2751);
													BgL_arg2086z00_2772 =
														CAR(((obj_t) BgL_ll1703z00_2752));
													BgL_arg2084z00_2770 =
														BGl_moveze70ze7zzsaw_node2rtlz00(
														((BgL_rtl_regz00_bglt) BgL_arg2085z00_2771),
														((BgL_localz00_bglt) BgL_arg2086z00_2772));
												}
												BgL_head1704z00_2754 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg2084z00_2770), BNIL);
											}
											{	/* SawMill/node2rtl.scm 303 */
												obj_t BgL_g1708z00_2755;
												obj_t BgL_g1709z00_2756;

												BgL_g1708z00_2755 = CDR(BgL_ll1702z00_2751);
												BgL_g1709z00_2756 = CDR(((obj_t) BgL_ll1703z00_2752));
												{
													obj_t BgL_ll1702z00_2758;
													obj_t BgL_ll1703z00_2759;
													obj_t BgL_tail1705z00_2760;

													BgL_ll1702z00_2758 = BgL_g1708z00_2755;
													BgL_ll1703z00_2759 = BgL_g1709z00_2756;
													BgL_tail1705z00_2760 = BgL_head1704z00_2754;
												BgL_zc3z04anonymousza32077ze3z87_2761:
													if (NULLP(BgL_ll1702z00_2758))
														{	/* SawMill/node2rtl.scm 303 */
															BgL_arg2075z00_2750 = BgL_head1704z00_2754;
														}
													else
														{	/* SawMill/node2rtl.scm 303 */
															obj_t BgL_newtail1706z00_2763;

															{	/* SawMill/node2rtl.scm 303 */
																BgL_areaz00_bglt BgL_arg2081z00_2766;

																{	/* SawMill/node2rtl.scm 303 */
																	obj_t BgL_arg2082z00_2767;
																	obj_t BgL_arg2083z00_2768;

																	BgL_arg2082z00_2767 =
																		CAR(((obj_t) BgL_ll1702z00_2758));
																	BgL_arg2083z00_2768 =
																		CAR(((obj_t) BgL_ll1703z00_2759));
																	BgL_arg2081z00_2766 =
																		BGl_moveze70ze7zzsaw_node2rtlz00(
																		((BgL_rtl_regz00_bglt) BgL_arg2082z00_2767),
																		((BgL_localz00_bglt) BgL_arg2083z00_2768));
																}
																BgL_newtail1706z00_2763 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_arg2081z00_2766), BNIL);
															}
															SET_CDR(BgL_tail1705z00_2760,
																BgL_newtail1706z00_2763);
															{	/* SawMill/node2rtl.scm 303 */
																obj_t BgL_arg2079z00_2764;
																obj_t BgL_arg2080z00_2765;

																BgL_arg2079z00_2764 =
																	CDR(((obj_t) BgL_ll1702z00_2758));
																BgL_arg2080z00_2765 =
																	CDR(((obj_t) BgL_ll1703z00_2759));
																{
																	obj_t BgL_tail1705z00_7448;
																	obj_t BgL_ll1703z00_7447;
																	obj_t BgL_ll1702z00_7446;

																	BgL_ll1702z00_7446 = BgL_arg2079z00_2764;
																	BgL_ll1703z00_7447 = BgL_arg2080z00_2765;
																	BgL_tail1705z00_7448 =
																		BgL_newtail1706z00_2763;
																	BgL_tail1705z00_2760 = BgL_tail1705z00_7448;
																	BgL_ll1703z00_2759 = BgL_ll1703z00_7447;
																	BgL_ll1702z00_2758 = BgL_ll1702z00_7446;
																	goto BgL_zc3z04anonymousza32077ze3z87_2761;
																}
															}
														}
												}
											}
										}
								}
								BgL_arg2073z00_2748 =
									BGl_linkza2za2zzsaw_node2rtlz00(BgL_arg2075z00_2750);
							}
							BgL_arg2074z00_2749 =
								BGl_localzd2ze3codez31zzsaw_node2rtlz00(BgL_vz00_148);
							BgL_arg2065z00_2729 =
								BGl_linkz00zzsaw_node2rtlz00(BgL_arg2073z00_2748,
								BgL_arg2074z00_2749);
						}
						return
							BGl_linkz00zzsaw_node2rtlz00(BgL_arg2064z00_2728,
							BgL_arg2065z00_2729);
					}
				}
			}
		}

	}



/* move~0 */
	BgL_areaz00_bglt BGl_moveze70ze7zzsaw_node2rtlz00(BgL_rtl_regz00_bglt
		BgL_rz00_2787, BgL_localz00_bglt BgL_vz00_2788)
	{
		{	/* SawMill/node2rtl.scm 297 */
			{	/* SawMill/node2rtl.scm 295 */
				BgL_areaz00_bglt BgL_az00_2790;

				{	/* SawMill/node2rtl.scm 295 */
					BgL_rtl_movz00_bglt BgL_arg2095z00_2792;

					{	/* SawMill/node2rtl.scm 295 */
						BgL_rtl_movz00_bglt BgL_new1283z00_2794;

						{	/* SawMill/node2rtl.scm 295 */
							BgL_rtl_movz00_bglt BgL_new1282z00_2795;

							BgL_new1282z00_2795 =
								((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_movz00_bgl))));
							{	/* SawMill/node2rtl.scm 295 */
								long BgL_arg2097z00_2796;

								BgL_arg2097z00_2796 =
									BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1282z00_2795),
									BgL_arg2097z00_2796);
							}
							BgL_new1283z00_2794 = BgL_new1282z00_2795;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1283z00_2794)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2095z00_2792 = BgL_new1283z00_2794;
					}
					{	/* SawMill/node2rtl.scm 295 */
						obj_t BgL_list2096z00_2793;

						BgL_list2096z00_2793 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_rz00_2787), BNIL);
						BgL_az00_2790 =
							BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
							((BgL_rtl_funz00_bglt) BgL_arg2095z00_2792),
							BgL_list2096z00_2793);
				}}
				BGl_bdestinationz12z12zzsaw_node2rtlz00(
					(((BgL_areaz00_bglt) COBJECT(BgL_az00_2790))->BgL_exitz00),
					BGl_localzd2ze3regz31zzsaw_node2rtlz00(BgL_vz00_2788));
				return BgL_az00_2790;
			}
		}

	}



/* local->code */
	BgL_areaz00_bglt BGl_localzd2ze3codez31zzsaw_node2rtlz00(BgL_localz00_bglt
		BgL_vz00_150)
	{
		{	/* SawMill/node2rtl.scm 307 */
			{	/* SawMill/node2rtl.scm 308 */
				bool_t BgL_test3162z00_7466;

				{	/* SawMill/node2rtl.scm 308 */
					obj_t BgL_classz00_4591;

					BgL_classz00_4591 = BGl_rlocalz00zzsaw_node2rtlz00;
					{	/* SawMill/node2rtl.scm 308 */
						obj_t BgL_oclassz00_4593;

						{	/* SawMill/node2rtl.scm 308 */
							obj_t BgL_arg1866z00_4595;
							long BgL_arg1867z00_4596;

							BgL_arg1866z00_4595 = (BGl_za2classesza2z00zz__objectz00);
							{	/* SawMill/node2rtl.scm 308 */
								long BgL_arg1869z00_4597;

								BgL_arg1869z00_4597 =
									BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_vz00_150));
								BgL_arg1867z00_4596 = (BgL_arg1869z00_4597 - OBJECT_TYPE);
							}
							BgL_oclassz00_4593 =
								VECTOR_REF(BgL_arg1866z00_4595, BgL_arg1867z00_4596);
						}
						BgL_test3162z00_7466 = (BgL_oclassz00_4593 == BgL_classz00_4591);
				}}
				if (BgL_test3162z00_7466)
					{	/* SawMill/node2rtl.scm 317 */
						obj_t BgL_arg2099z00_2799;

						{
							BgL_rlocalz00_bglt BgL_auxz00_7473;

							{
								obj_t BgL_auxz00_7474;

								{	/* SawMill/node2rtl.scm 317 */
									BgL_objectz00_bglt BgL_tmpz00_7475;

									BgL_tmpz00_7475 =
										((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_vz00_150));
									BgL_auxz00_7474 = BGL_OBJECT_WIDENING(BgL_tmpz00_7475);
								}
								BgL_auxz00_7473 = ((BgL_rlocalz00_bglt) BgL_auxz00_7474);
							}
							BgL_arg2099z00_2799 =
								(((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7473))->BgL_codez00);
						}
						return
							BGl_unlinkz00zzsaw_node2rtlz00(
							((BgL_areaz00_bglt) BgL_arg2099z00_2799));
					}
				else
					{	/* SawMill/node2rtl.scm 310 */
						BgL_areaz00_bglt BgL_nopz00_2800;
						obj_t BgL_bodyz00_2801;

						{	/* SawMill/node2rtl.scm 310 */
							BgL_rtl_nopz00_bglt BgL_arg2102z00_2808;

							{	/* SawMill/node2rtl.scm 310 */
								BgL_rtl_nopz00_bglt BgL_new1286z00_2810;

								{	/* SawMill/node2rtl.scm 310 */
									BgL_rtl_nopz00_bglt BgL_new1285z00_2811;

									BgL_new1285z00_2811 =
										((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_nopz00_bgl))));
									{	/* SawMill/node2rtl.scm 310 */
										long BgL_arg2104z00_2812;

										BgL_arg2104z00_2812 =
											BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1285z00_2811),
											BgL_arg2104z00_2812);
									}
									BgL_new1286z00_2810 = BgL_new1285z00_2811;
								}
								((((BgL_rtl_funz00_bglt) COBJECT(
												((BgL_rtl_funz00_bglt) BgL_new1286z00_2810)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								BgL_arg2102z00_2808 = BgL_new1286z00_2810;
							}
							BgL_nopz00_2800 =
								BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
								((BgL_rtl_funz00_bglt) BgL_arg2102z00_2808), BNIL);
						}
						BgL_bodyz00_2801 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_vz00_150)))->
											BgL_valuez00))))->BgL_bodyz00);
						{	/* SawMill/node2rtl.scm 313 */
							BgL_rlocalz00_bglt BgL_wide1289z00_2804;

							BgL_wide1289z00_2804 =
								((BgL_rlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rlocalz00_bgl))));
							{	/* SawMill/node2rtl.scm 313 */
								obj_t BgL_auxz00_7499;
								BgL_objectz00_bglt BgL_tmpz00_7496;

								BgL_auxz00_7499 = ((obj_t) BgL_wide1289z00_2804);
								BgL_tmpz00_7496 =
									((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_vz00_150));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7496, BgL_auxz00_7499);
							}
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_vz00_150));
							{	/* SawMill/node2rtl.scm 313 */
								long BgL_arg2100z00_2805;

								BgL_arg2100z00_2805 =
									BGL_CLASS_NUM(BGl_rlocalz00zzsaw_node2rtlz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_vz00_150)), BgL_arg2100z00_2805);
							}
							((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_vz00_150));
						}
						{
							BgL_rlocalz00_bglt BgL_auxz00_7510;

							{
								obj_t BgL_auxz00_7511;

								{	/* SawMill/node2rtl.scm 313 */
									BgL_objectz00_bglt BgL_tmpz00_7512;

									BgL_tmpz00_7512 =
										((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_vz00_150));
									BgL_auxz00_7511 = BGL_OBJECT_WIDENING(BgL_tmpz00_7512);
								}
								BgL_auxz00_7510 = ((BgL_rlocalz00_bglt) BgL_auxz00_7511);
							}
							((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7510))->BgL_regz00) =
								((obj_t) BFALSE), BUNSPEC);
						}
						{
							BgL_rlocalz00_bglt BgL_auxz00_7518;

							{
								obj_t BgL_auxz00_7519;

								{	/* SawMill/node2rtl.scm 313 */
									BgL_objectz00_bglt BgL_tmpz00_7520;

									BgL_tmpz00_7520 =
										((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_vz00_150));
									BgL_auxz00_7519 = BGL_OBJECT_WIDENING(BgL_tmpz00_7520);
								}
								BgL_auxz00_7518 = ((BgL_rlocalz00_bglt) BgL_auxz00_7519);
							}
							((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7518))->BgL_codez00) =
								((obj_t) ((obj_t) BgL_nopz00_2800)), BUNSPEC);
						}
						((BgL_localz00_bglt) BgL_vz00_150);
						{	/* SawMill/node2rtl.scm 315 */
							BgL_areaz00_bglt BgL_arg2101z00_2807;

							BgL_arg2101z00_2807 =
								BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
								((BgL_nodez00_bglt) BgL_bodyz00_2801));
							return
								BGl_linkz00zzsaw_node2rtlz00(BgL_nopz00_2800,
								BgL_arg2101z00_2807);
						}
					}
			}
		}

	}



/* imperative? */
	obj_t BGl_imperativezf3zf3zzsaw_node2rtlz00(BgL_appz00_bglt BgL_ez00_152,
		BgL_globalz00_bglt BgL_vz00_153, obj_t BgL_argsz00_154)
	{
		{	/* SawMill/node2rtl.scm 330 */
			{	/* SawMill/node2rtl.scm 331 */
				obj_t BgL_idz00_2814;

				BgL_idz00_2814 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_vz00_153)))->BgL_idz00);
				if ((BgL_idz00_2814 == ((obj_t) CNST_TABLE_REF(2))))
					{	/* SawMill/node2rtl.scm 334 */
						obj_t BgL_az00_2815;

						{	/* SawMill/node2rtl.scm 334 */
							bool_t BgL_test3164z00_7537;

							{	/* SawMill/node2rtl.scm 334 */
								obj_t BgL_arg2114z00_2826;

								BgL_arg2114z00_2826 = CAR(((obj_t) BgL_argsz00_154));
								{	/* SawMill/node2rtl.scm 334 */
									obj_t BgL_classz00_4619;

									BgL_classz00_4619 = BGl_pragmaz00zzast_nodez00;
									if (BGL_OBJECTP(BgL_arg2114z00_2826))
										{	/* SawMill/node2rtl.scm 334 */
											BgL_objectz00_bglt BgL_arg1858z00_4621;

											BgL_arg1858z00_4621 =
												(BgL_objectz00_bglt) (BgL_arg2114z00_2826);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* SawMill/node2rtl.scm 334 */
													long BgL_idxz00_4627;

													BgL_idxz00_4627 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4621);
													BgL_test3164z00_7537 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_4627 + 4L)) == BgL_classz00_4619);
												}
											else
												{	/* SawMill/node2rtl.scm 334 */
													bool_t BgL_res2911z00_4652;

													{	/* SawMill/node2rtl.scm 334 */
														obj_t BgL_oclassz00_4635;

														{	/* SawMill/node2rtl.scm 334 */
															obj_t BgL_arg1866z00_4643;
															long BgL_arg1867z00_4644;

															BgL_arg1866z00_4643 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* SawMill/node2rtl.scm 334 */
																long BgL_arg1869z00_4645;

																BgL_arg1869z00_4645 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4621);
																BgL_arg1867z00_4644 =
																	(BgL_arg1869z00_4645 - OBJECT_TYPE);
															}
															BgL_oclassz00_4635 =
																VECTOR_REF(BgL_arg1866z00_4643,
																BgL_arg1867z00_4644);
														}
														{	/* SawMill/node2rtl.scm 334 */
															bool_t BgL__ortest_1115z00_4636;

															BgL__ortest_1115z00_4636 =
																(BgL_classz00_4619 == BgL_oclassz00_4635);
															if (BgL__ortest_1115z00_4636)
																{	/* SawMill/node2rtl.scm 334 */
																	BgL_res2911z00_4652 =
																		BgL__ortest_1115z00_4636;
																}
															else
																{	/* SawMill/node2rtl.scm 334 */
																	long BgL_odepthz00_4637;

																	{	/* SawMill/node2rtl.scm 334 */
																		obj_t BgL_arg1855z00_4638;

																		BgL_arg1855z00_4638 = (BgL_oclassz00_4635);
																		BgL_odepthz00_4637 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_4638);
																	}
																	if ((4L < BgL_odepthz00_4637))
																		{	/* SawMill/node2rtl.scm 334 */
																			obj_t BgL_arg1853z00_4640;

																			{	/* SawMill/node2rtl.scm 334 */
																				obj_t BgL_arg1854z00_4641;

																				BgL_arg1854z00_4641 =
																					(BgL_oclassz00_4635);
																				BgL_arg1853z00_4640 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_4641, 4L);
																			}
																			BgL_res2911z00_4652 =
																				(BgL_arg1853z00_4640 ==
																				BgL_classz00_4619);
																		}
																	else
																		{	/* SawMill/node2rtl.scm 334 */
																			BgL_res2911z00_4652 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test3164z00_7537 = BgL_res2911z00_4652;
												}
										}
									else
										{	/* SawMill/node2rtl.scm 334 */
											BgL_test3164z00_7537 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test3164z00_7537)
								{	/* SawMill/node2rtl.scm 335 */
									obj_t BgL_pairz00_4655;

									BgL_pairz00_4655 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt)
													((BgL_pragmaz00_bglt)
														CAR(((obj_t) BgL_argsz00_154))))))->BgL_exprza2za2);
									BgL_az00_2815 = CAR(BgL_pairz00_4655);
								}
							else
								{	/* SawMill/node2rtl.scm 334 */
									BgL_az00_2815 = CAR(((obj_t) BgL_argsz00_154));
								}
						}
						{	/* SawMill/node2rtl.scm 338 */
							BgL_rtl_globalrefz00_bglt BgL_arg2106z00_2816;

							{	/* SawMill/node2rtl.scm 338 */
								BgL_rtl_globalrefz00_bglt BgL_new1298z00_2818;

								{	/* SawMill/node2rtl.scm 338 */
									BgL_rtl_globalrefz00_bglt BgL_new1297z00_2820;

									BgL_new1297z00_2820 =
										((BgL_rtl_globalrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_globalrefz00_bgl))));
									{	/* SawMill/node2rtl.scm 338 */
										long BgL_arg2109z00_2821;

										BgL_arg2109z00_2821 =
											BGL_CLASS_NUM(BGl_rtl_globalrefz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1297z00_2820),
											BgL_arg2109z00_2821);
									}
									BgL_new1298z00_2818 = BgL_new1297z00_2820;
								}
								((((BgL_rtl_funz00_bglt) COBJECT(
												((BgL_rtl_funz00_bglt) BgL_new1298z00_2818)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								{
									BgL_globalz00_bglt BgL_auxz00_7576;

									{	/* SawMill/node2rtl.scm 339 */
										BgL_variablez00_bglt BgL_arg2108z00_2819;

										BgL_arg2108z00_2819 =
											(((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_az00_2815)))->BgL_variablez00);
										BgL_auxz00_7576 =
											BGl_getzd2globalzd2zzsaw_node2rtlz00(
											((BgL_globalz00_bglt) BgL_arg2108z00_2819));
									}
									((((BgL_rtl_globalrefz00_bglt) COBJECT(BgL_new1298z00_2818))->
											BgL_varz00) =
										((BgL_globalz00_bglt) BgL_auxz00_7576), BUNSPEC);
								}
								BgL_arg2106z00_2816 = BgL_new1298z00_2818;
							}
							return
								((obj_t)
								BGl_callza2za2zzsaw_node2rtlz00(
									((obj_t) BgL_ez00_152),
									((BgL_rtl_funz00_bglt) BgL_arg2106z00_2816), BNIL));
						}
					}
				else
					{	/* SawMill/node2rtl.scm 333 */
						return BFALSE;
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_node2rtlz00(void)
	{
		{	/* SawMill/node2rtl.scm 1 */
			{	/* SawMill/node2rtl.scm 20 */
				obj_t BgL_arg2118z00_2830;
				obj_t BgL_arg2119z00_2831;

				{	/* SawMill/node2rtl.scm 20 */
					obj_t BgL_v1710z00_2843;

					BgL_v1710z00_2843 = create_vector(2L);
					{	/* SawMill/node2rtl.scm 20 */
						obj_t BgL_arg2125z00_2844;

						BgL_arg2125z00_2844 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(3)), BGl_proc2948z00zzsaw_node2rtlz00,
							BGl_proc2947z00zzsaw_node2rtlz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_blockz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1710z00_2843, 0L, BgL_arg2125z00_2844);
					}
					{	/* SawMill/node2rtl.scm 20 */
						obj_t BgL_arg2130z00_2854;

						BgL_arg2130z00_2854 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc2950z00zzsaw_node2rtlz00,
							BGl_proc2949z00zzsaw_node2rtlz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_blockz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1710z00_2843, 1L, BgL_arg2130z00_2854);
					}
					BgL_arg2118z00_2830 = BgL_v1710z00_2843;
				}
				{	/* SawMill/node2rtl.scm 20 */
					obj_t BgL_v1711z00_2864;

					BgL_v1711z00_2864 = create_vector(0L);
					BgL_arg2119z00_2831 = BgL_v1711z00_2864;
				}
				BGl_areaz00zzsaw_node2rtlz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(5)),
					((obj_t)
						CNST_TABLE_REF(6)), BGl_objectz00zz__objectz00, 23170L,
					BGl_proc2953z00zzsaw_node2rtlz00, BGl_proc2952z00zzsaw_node2rtlz00,
					BFALSE, BGl_proc2951z00zzsaw_node2rtlz00, BFALSE, BgL_arg2118z00_2830,
					BgL_arg2119z00_2831);
			}
			{	/* SawMill/node2rtl.scm 21 */
				obj_t BgL_arg2139z00_2872;
				obj_t BgL_arg2140z00_2873;

				{	/* SawMill/node2rtl.scm 21 */
					obj_t BgL_v1712z00_2898;

					BgL_v1712z00_2898 = create_vector(0L);
					BgL_arg2139z00_2872 = BgL_v1712z00_2898;
				}
				{	/* SawMill/node2rtl.scm 21 */
					obj_t BgL_v1713z00_2899;

					BgL_v1713z00_2899 = create_vector(0L);
					BgL_arg2140z00_2873 = BgL_v1713z00_2899;
				}
				BGl_reversedz00zzsaw_node2rtlz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(7)),
					((obj_t)
						CNST_TABLE_REF(6)), BGl_blockz00zzsaw_defsz00, 28990L,
					BGl_proc2957z00zzsaw_node2rtlz00, BGl_proc2956z00zzsaw_node2rtlz00,
					BFALSE, BGl_proc2955z00zzsaw_node2rtlz00,
					BGl_proc2954z00zzsaw_node2rtlz00, BgL_arg2139z00_2872,
					BgL_arg2140z00_2873);
			}
			{	/* SawMill/node2rtl.scm 22 */
				obj_t BgL_arg2155z00_2908;
				obj_t BgL_arg2156z00_2909;

				{	/* SawMill/node2rtl.scm 22 */
					obj_t BgL_v1714z00_2945;

					BgL_v1714z00_2945 = create_vector(2L);
					{	/* SawMill/node2rtl.scm 22 */
						obj_t BgL_arg2168z00_2946;

						BgL_arg2168z00_2946 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc2959z00zzsaw_node2rtlz00,
							BGl_proc2958z00zzsaw_node2rtlz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(9)));
						VECTOR_SET(BgL_v1714z00_2945, 0L, BgL_arg2168z00_2946);
					}
					{	/* SawMill/node2rtl.scm 22 */
						obj_t BgL_arg2173z00_2956;

						BgL_arg2173z00_2956 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc2961z00zzsaw_node2rtlz00,
							BGl_proc2960z00zzsaw_node2rtlz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(9)));
						VECTOR_SET(BgL_v1714z00_2945, 1L, BgL_arg2173z00_2956);
					}
					BgL_arg2155z00_2908 = BgL_v1714z00_2945;
				}
				{	/* SawMill/node2rtl.scm 22 */
					obj_t BgL_v1715z00_2966;

					BgL_v1715z00_2966 = create_vector(0L);
					BgL_arg2156z00_2909 = BgL_v1715z00_2966;
				}
				BGl_rlocalz00zzsaw_node2rtlz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(11)),
					((obj_t)
						CNST_TABLE_REF(6)), BGl_localz00zzast_varz00, 58620L,
					BGl_proc2965z00zzsaw_node2rtlz00, BGl_proc2964z00zzsaw_node2rtlz00,
					BFALSE, BGl_proc2963z00zzsaw_node2rtlz00,
					BGl_proc2962z00zzsaw_node2rtlz00, BgL_arg2155z00_2908,
					BgL_arg2156z00_2909);
			}
			{	/* SawMill/node2rtl.scm 23 */
				obj_t BgL_arg2182z00_2975;
				obj_t BgL_arg2183z00_2976;

				{	/* SawMill/node2rtl.scm 23 */
					obj_t BgL_v1716z00_3002;

					BgL_v1716z00_3002 = create_vector(2L);
					{	/* SawMill/node2rtl.scm 23 */
						obj_t BgL_arg2194z00_3003;

						BgL_arg2194z00_3003 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(12)), BGl_proc2967z00zzsaw_node2rtlz00,
							BGl_proc2966z00zzsaw_node2rtlz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_blockz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1716z00_3002, 0L, BgL_arg2194z00_3003);
					}
					{	/* SawMill/node2rtl.scm 23 */
						obj_t BgL_arg2200z00_3013;

						BgL_arg2200z00_3013 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(13)), BGl_proc2969z00zzsaw_node2rtlz00,
							BGl_proc2968z00zzsaw_node2rtlz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_rtl_regz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1716z00_3002, 1L, BgL_arg2200z00_3013);
					}
					BgL_arg2182z00_2975 = BgL_v1716z00_3002;
				}
				{	/* SawMill/node2rtl.scm 23 */
					obj_t BgL_v1717z00_3023;

					BgL_v1717z00_3023 = create_vector(0L);
					BgL_arg2183z00_2976 = BgL_v1717z00_3023;
				}
				return (BGl_retblockzf2tozf2zzsaw_node2rtlz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(14)),
						((obj_t)
							CNST_TABLE_REF(6)), BGl_retblockz00zzast_nodez00, 53023L,
						BGl_proc2973z00zzsaw_node2rtlz00, BGl_proc2972z00zzsaw_node2rtlz00,
						BFALSE, BGl_proc2971z00zzsaw_node2rtlz00,
						BGl_proc2970z00zzsaw_node2rtlz00, BgL_arg2182z00_2975,
						BgL_arg2183z00_2976), BUNSPEC);
			}
		}

	}



/* &lambda2190 */
	BgL_retblockz00_bglt BGl_z62lambda2190z62zzsaw_node2rtlz00(obj_t
		BgL_envz00_5739, obj_t BgL_o1199z00_5740)
	{
		{	/* SawMill/node2rtl.scm 23 */
			{	/* SawMill/node2rtl.scm 23 */
				long BgL_arg2191z00_5954;

				{	/* SawMill/node2rtl.scm 23 */
					obj_t BgL_arg2192z00_5955;

					{	/* SawMill/node2rtl.scm 23 */
						obj_t BgL_arg2193z00_5956;

						{	/* SawMill/node2rtl.scm 23 */
							obj_t BgL_arg1866z00_5957;
							long BgL_arg1867z00_5958;

							BgL_arg1866z00_5957 = (BGl_za2classesza2z00zz__objectz00);
							{	/* SawMill/node2rtl.scm 23 */
								long BgL_arg1869z00_5959;

								BgL_arg1869z00_5959 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt) BgL_o1199z00_5740)));
								BgL_arg1867z00_5958 = (BgL_arg1869z00_5959 - OBJECT_TYPE);
							}
							BgL_arg2193z00_5956 =
								VECTOR_REF(BgL_arg1866z00_5957, BgL_arg1867z00_5958);
						}
						BgL_arg2192z00_5955 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2193z00_5956);
					}
					{	/* SawMill/node2rtl.scm 23 */
						obj_t BgL_tmpz00_7649;

						BgL_tmpz00_7649 = ((obj_t) BgL_arg2192z00_5955);
						BgL_arg2191z00_5954 = BGL_CLASS_NUM(BgL_tmpz00_7649);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_retblockz00_bglt) BgL_o1199z00_5740)), BgL_arg2191z00_5954);
			}
			{	/* SawMill/node2rtl.scm 23 */
				BgL_objectz00_bglt BgL_tmpz00_7655;

				BgL_tmpz00_7655 =
					((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_o1199z00_5740));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7655, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_o1199z00_5740));
			return
				((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_o1199z00_5740));
		}

	}



/* &<@anonymous:2189> */
	obj_t BGl_z62zc3z04anonymousza32189ze3ze5zzsaw_node2rtlz00(obj_t
		BgL_envz00_5741, obj_t BgL_new1198z00_5742)
	{
		{	/* SawMill/node2rtl.scm 23 */
			{
				BgL_retblockz00_bglt BgL_auxz00_7663;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_retblockz00_bglt) BgL_new1198z00_5742))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_7667;

					{	/* SawMill/node2rtl.scm 23 */
						obj_t BgL_classz00_5961;

						BgL_classz00_5961 = BGl_typez00zztype_typez00;
						{	/* SawMill/node2rtl.scm 23 */
							obj_t BgL__ortest_1117z00_5962;

							BgL__ortest_1117z00_5962 = BGL_CLASS_NIL(BgL_classz00_5961);
							if (CBOOL(BgL__ortest_1117z00_5962))
								{	/* SawMill/node2rtl.scm 23 */
									BgL_auxz00_7667 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_5962);
								}
							else
								{	/* SawMill/node2rtl.scm 23 */
									BgL_auxz00_7667 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5961));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_retblockz00_bglt) BgL_new1198z00_5742))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_7667), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_7677;

					{	/* SawMill/node2rtl.scm 23 */
						obj_t BgL_classz00_5963;

						BgL_classz00_5963 = BGl_nodez00zzast_nodez00;
						{	/* SawMill/node2rtl.scm 23 */
							obj_t BgL__ortest_1117z00_5964;

							BgL__ortest_1117z00_5964 = BGL_CLASS_NIL(BgL_classz00_5963);
							if (CBOOL(BgL__ortest_1117z00_5964))
								{	/* SawMill/node2rtl.scm 23 */
									BgL_auxz00_7677 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_5964);
								}
							else
								{	/* SawMill/node2rtl.scm 23 */
									BgL_auxz00_7677 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5963));
								}
						}
					}
					((((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt)
										((BgL_retblockz00_bglt) BgL_new1198z00_5742))))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_7677), BUNSPEC);
				}
				{
					BgL_blockz00_bglt BgL_auxz00_7694;
					BgL_retblockzf2tozf2_bglt BgL_auxz00_7687;

					{	/* SawMill/node2rtl.scm 23 */
						obj_t BgL_classz00_5965;

						BgL_classz00_5965 = BGl_blockz00zzsaw_defsz00;
						{	/* SawMill/node2rtl.scm 23 */
							obj_t BgL__ortest_1117z00_5966;

							BgL__ortest_1117z00_5966 = BGL_CLASS_NIL(BgL_classz00_5965);
							if (CBOOL(BgL__ortest_1117z00_5966))
								{	/* SawMill/node2rtl.scm 23 */
									BgL_auxz00_7694 =
										((BgL_blockz00_bglt) BgL__ortest_1117z00_5966);
								}
							else
								{	/* SawMill/node2rtl.scm 23 */
									BgL_auxz00_7694 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5965));
								}
						}
					}
					{
						obj_t BgL_auxz00_7688;

						{	/* SawMill/node2rtl.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_7689;

							BgL_tmpz00_7689 =
								((BgL_objectz00_bglt)
								((BgL_retblockz00_bglt) BgL_new1198z00_5742));
							BgL_auxz00_7688 = BGL_OBJECT_WIDENING(BgL_tmpz00_7689);
						}
						BgL_auxz00_7687 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_7688);
					}
					((((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_7687))->BgL_toz00) =
						((BgL_blockz00_bglt) BgL_auxz00_7694), BUNSPEC);
				}
				{
					BgL_rtl_regz00_bglt BgL_auxz00_7709;
					BgL_retblockzf2tozf2_bglt BgL_auxz00_7702;

					{	/* SawMill/node2rtl.scm 23 */
						obj_t BgL_classz00_5967;

						BgL_classz00_5967 = BGl_rtl_regz00zzsaw_defsz00;
						{	/* SawMill/node2rtl.scm 23 */
							obj_t BgL__ortest_1117z00_5968;

							BgL__ortest_1117z00_5968 = BGL_CLASS_NIL(BgL_classz00_5967);
							if (CBOOL(BgL__ortest_1117z00_5968))
								{	/* SawMill/node2rtl.scm 23 */
									BgL_auxz00_7709 =
										((BgL_rtl_regz00_bglt) BgL__ortest_1117z00_5968);
								}
							else
								{	/* SawMill/node2rtl.scm 23 */
									BgL_auxz00_7709 =
										((BgL_rtl_regz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5967));
								}
						}
					}
					{
						obj_t BgL_auxz00_7703;

						{	/* SawMill/node2rtl.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_7704;

							BgL_tmpz00_7704 =
								((BgL_objectz00_bglt)
								((BgL_retblockz00_bglt) BgL_new1198z00_5742));
							BgL_auxz00_7703 = BGL_OBJECT_WIDENING(BgL_tmpz00_7704);
						}
						BgL_auxz00_7702 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_7703);
					}
					((((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_7702))->
							BgL_dstz00) = ((BgL_rtl_regz00_bglt) BgL_auxz00_7709), BUNSPEC);
				}
				BgL_auxz00_7663 = ((BgL_retblockz00_bglt) BgL_new1198z00_5742);
				return ((obj_t) BgL_auxz00_7663);
			}
		}

	}



/* &lambda2187 */
	BgL_retblockz00_bglt BGl_z62lambda2187z62zzsaw_node2rtlz00(obj_t
		BgL_envz00_5743, obj_t BgL_o1195z00_5744)
	{
		{	/* SawMill/node2rtl.scm 23 */
			{	/* SawMill/node2rtl.scm 23 */
				BgL_retblockzf2tozf2_bglt BgL_wide1197z00_5970;

				BgL_wide1197z00_5970 =
					((BgL_retblockzf2tozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_retblockzf2tozf2_bgl))));
				{	/* SawMill/node2rtl.scm 23 */
					obj_t BgL_auxz00_7724;
					BgL_objectz00_bglt BgL_tmpz00_7720;

					BgL_auxz00_7724 = ((obj_t) BgL_wide1197z00_5970);
					BgL_tmpz00_7720 =
						((BgL_objectz00_bglt)
						((BgL_retblockz00_bglt)
							((BgL_retblockz00_bglt) BgL_o1195z00_5744)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7720, BgL_auxz00_7724);
				}
				((BgL_objectz00_bglt)
					((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_o1195z00_5744)));
				{	/* SawMill/node2rtl.scm 23 */
					long BgL_arg2188z00_5971;

					BgL_arg2188z00_5971 =
						BGL_CLASS_NUM(BGl_retblockzf2tozf2zzsaw_node2rtlz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_retblockz00_bglt)
								((BgL_retblockz00_bglt) BgL_o1195z00_5744))),
						BgL_arg2188z00_5971);
				}
				return
					((BgL_retblockz00_bglt)
					((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_o1195z00_5744)));
			}
		}

	}



/* &lambda2184 */
	BgL_retblockz00_bglt BGl_z62lambda2184z62zzsaw_node2rtlz00(obj_t
		BgL_envz00_5745, obj_t BgL_loc1190z00_5746, obj_t BgL_type1191z00_5747,
		obj_t BgL_body1192z00_5748, obj_t BgL_to1193z00_5749,
		obj_t BgL_dst1194z00_5750)
	{
		{	/* SawMill/node2rtl.scm 23 */
			{	/* SawMill/node2rtl.scm 23 */
				BgL_retblockz00_bglt BgL_new1403z00_5976;

				{	/* SawMill/node2rtl.scm 23 */
					BgL_retblockz00_bglt BgL_tmp1401z00_5977;
					BgL_retblockzf2tozf2_bglt BgL_wide1402z00_5978;

					{
						BgL_retblockz00_bglt BgL_auxz00_7738;

						{	/* SawMill/node2rtl.scm 23 */
							BgL_retblockz00_bglt BgL_new1400z00_5979;

							BgL_new1400z00_5979 =
								((BgL_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_retblockz00_bgl))));
							{	/* SawMill/node2rtl.scm 23 */
								long BgL_arg2186z00_5980;

								BgL_arg2186z00_5980 =
									BGL_CLASS_NUM(BGl_retblockz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1400z00_5979),
									BgL_arg2186z00_5980);
							}
							{	/* SawMill/node2rtl.scm 23 */
								BgL_objectz00_bglt BgL_tmpz00_7743;

								BgL_tmpz00_7743 = ((BgL_objectz00_bglt) BgL_new1400z00_5979);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7743, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1400z00_5979);
							BgL_auxz00_7738 = BgL_new1400z00_5979;
						}
						BgL_tmp1401z00_5977 = ((BgL_retblockz00_bglt) BgL_auxz00_7738);
					}
					BgL_wide1402z00_5978 =
						((BgL_retblockzf2tozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_retblockzf2tozf2_bgl))));
					{	/* SawMill/node2rtl.scm 23 */
						obj_t BgL_auxz00_7751;
						BgL_objectz00_bglt BgL_tmpz00_7749;

						BgL_auxz00_7751 = ((obj_t) BgL_wide1402z00_5978);
						BgL_tmpz00_7749 = ((BgL_objectz00_bglt) BgL_tmp1401z00_5977);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7749, BgL_auxz00_7751);
					}
					((BgL_objectz00_bglt) BgL_tmp1401z00_5977);
					{	/* SawMill/node2rtl.scm 23 */
						long BgL_arg2185z00_5981;

						BgL_arg2185z00_5981 =
							BGL_CLASS_NUM(BGl_retblockzf2tozf2zzsaw_node2rtlz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1401z00_5977), BgL_arg2185z00_5981);
					}
					BgL_new1403z00_5976 = ((BgL_retblockz00_bglt) BgL_tmp1401z00_5977);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1403z00_5976)))->BgL_locz00) =
					((obj_t) BgL_loc1190z00_5746), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1403z00_5976)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1191z00_5747)),
					BUNSPEC);
				((((BgL_retblockz00_bglt) COBJECT(((BgL_retblockz00_bglt)
									BgL_new1403z00_5976)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1192z00_5748)),
					BUNSPEC);
				{
					BgL_retblockzf2tozf2_bglt BgL_auxz00_7767;

					{
						obj_t BgL_auxz00_7768;

						{	/* SawMill/node2rtl.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_7769;

							BgL_tmpz00_7769 = ((BgL_objectz00_bglt) BgL_new1403z00_5976);
							BgL_auxz00_7768 = BGL_OBJECT_WIDENING(BgL_tmpz00_7769);
						}
						BgL_auxz00_7767 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_7768);
					}
					((((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_7767))->BgL_toz00) =
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_to1193z00_5749)),
						BUNSPEC);
				}
				{
					BgL_retblockzf2tozf2_bglt BgL_auxz00_7775;

					{
						obj_t BgL_auxz00_7776;

						{	/* SawMill/node2rtl.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_7777;

							BgL_tmpz00_7777 = ((BgL_objectz00_bglt) BgL_new1403z00_5976);
							BgL_auxz00_7776 = BGL_OBJECT_WIDENING(BgL_tmpz00_7777);
						}
						BgL_auxz00_7775 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_7776);
					}
					((((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_7775))->
							BgL_dstz00) =
						((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_dst1194z00_5750)),
						BUNSPEC);
				}
				return BgL_new1403z00_5976;
			}
		}

	}



/* &lambda2204 */
	obj_t BGl_z62lambda2204z62zzsaw_node2rtlz00(obj_t BgL_envz00_5751,
		obj_t BgL_oz00_5752, obj_t BgL_vz00_5753)
	{
		{	/* SawMill/node2rtl.scm 23 */
			{
				BgL_retblockzf2tozf2_bglt BgL_auxz00_7783;

				{
					obj_t BgL_auxz00_7784;

					{	/* SawMill/node2rtl.scm 23 */
						BgL_objectz00_bglt BgL_tmpz00_7785;

						BgL_tmpz00_7785 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_5752));
						BgL_auxz00_7784 = BGL_OBJECT_WIDENING(BgL_tmpz00_7785);
					}
					BgL_auxz00_7783 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_7784);
				}
				return
					((((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_7783))->
						BgL_dstz00) =
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_vz00_5753)),
					BUNSPEC);
			}
		}

	}



/* &lambda2203 */
	BgL_rtl_regz00_bglt BGl_z62lambda2203z62zzsaw_node2rtlz00(obj_t
		BgL_envz00_5754, obj_t BgL_oz00_5755)
	{
		{	/* SawMill/node2rtl.scm 23 */
			{
				BgL_retblockzf2tozf2_bglt BgL_auxz00_7792;

				{
					obj_t BgL_auxz00_7793;

					{	/* SawMill/node2rtl.scm 23 */
						BgL_objectz00_bglt BgL_tmpz00_7794;

						BgL_tmpz00_7794 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_5755));
						BgL_auxz00_7793 = BGL_OBJECT_WIDENING(BgL_tmpz00_7794);
					}
					BgL_auxz00_7792 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_7793);
				}
				return
					(((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_7792))->BgL_dstz00);
			}
		}

	}



/* &lambda2198 */
	obj_t BGl_z62lambda2198z62zzsaw_node2rtlz00(obj_t BgL_envz00_5756,
		obj_t BgL_oz00_5757, obj_t BgL_vz00_5758)
	{
		{	/* SawMill/node2rtl.scm 23 */
			{
				BgL_retblockzf2tozf2_bglt BgL_auxz00_7800;

				{
					obj_t BgL_auxz00_7801;

					{	/* SawMill/node2rtl.scm 23 */
						BgL_objectz00_bglt BgL_tmpz00_7802;

						BgL_tmpz00_7802 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_5757));
						BgL_auxz00_7801 = BGL_OBJECT_WIDENING(BgL_tmpz00_7802);
					}
					BgL_auxz00_7800 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_7801);
				}
				return
					((((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_7800))->BgL_toz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_5758)), BUNSPEC);
			}
		}

	}



/* &lambda2197 */
	BgL_blockz00_bglt BGl_z62lambda2197z62zzsaw_node2rtlz00(obj_t BgL_envz00_5759,
		obj_t BgL_oz00_5760)
	{
		{	/* SawMill/node2rtl.scm 23 */
			{
				BgL_retblockzf2tozf2_bglt BgL_auxz00_7809;

				{
					obj_t BgL_auxz00_7810;

					{	/* SawMill/node2rtl.scm 23 */
						BgL_objectz00_bglt BgL_tmpz00_7811;

						BgL_tmpz00_7811 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_5760));
						BgL_auxz00_7810 = BGL_OBJECT_WIDENING(BgL_tmpz00_7811);
					}
					BgL_auxz00_7809 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_7810);
				}
				return
					(((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_7809))->BgL_toz00);
			}
		}

	}



/* &lambda2164 */
	BgL_localz00_bglt BGl_z62lambda2164z62zzsaw_node2rtlz00(obj_t BgL_envz00_5761,
		obj_t BgL_o1188z00_5762)
	{
		{	/* SawMill/node2rtl.scm 22 */
			{	/* SawMill/node2rtl.scm 22 */
				long BgL_arg2165z00_5989;

				{	/* SawMill/node2rtl.scm 22 */
					obj_t BgL_arg2166z00_5990;

					{	/* SawMill/node2rtl.scm 22 */
						obj_t BgL_arg2167z00_5991;

						{	/* SawMill/node2rtl.scm 22 */
							obj_t BgL_arg1866z00_5992;
							long BgL_arg1867z00_5993;

							BgL_arg1866z00_5992 = (BGl_za2classesza2z00zz__objectz00);
							{	/* SawMill/node2rtl.scm 22 */
								long BgL_arg1869z00_5994;

								BgL_arg1869z00_5994 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1188z00_5762)));
								BgL_arg1867z00_5993 = (BgL_arg1869z00_5994 - OBJECT_TYPE);
							}
							BgL_arg2167z00_5991 =
								VECTOR_REF(BgL_arg1866z00_5992, BgL_arg1867z00_5993);
						}
						BgL_arg2166z00_5990 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2167z00_5991);
					}
					{	/* SawMill/node2rtl.scm 22 */
						obj_t BgL_tmpz00_7824;

						BgL_tmpz00_7824 = ((obj_t) BgL_arg2166z00_5990);
						BgL_arg2165z00_5989 = BGL_CLASS_NUM(BgL_tmpz00_7824);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1188z00_5762)), BgL_arg2165z00_5989);
			}
			{	/* SawMill/node2rtl.scm 22 */
				BgL_objectz00_bglt BgL_tmpz00_7830;

				BgL_tmpz00_7830 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1188z00_5762));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7830, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1188z00_5762));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1188z00_5762));
		}

	}



/* &<@anonymous:2163> */
	obj_t BGl_z62zc3z04anonymousza32163ze3ze5zzsaw_node2rtlz00(obj_t
		BgL_envz00_5763, obj_t BgL_new1187z00_5764)
	{
		{	/* SawMill/node2rtl.scm 22 */
			{
				BgL_localz00_bglt BgL_auxz00_7838;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1187z00_5764))))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(15))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1187z00_5764))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_7847;

					{	/* SawMill/node2rtl.scm 22 */
						obj_t BgL_classz00_5996;

						BgL_classz00_5996 = BGl_typez00zztype_typez00;
						{	/* SawMill/node2rtl.scm 22 */
							obj_t BgL__ortest_1117z00_5997;

							BgL__ortest_1117z00_5997 = BGL_CLASS_NIL(BgL_classz00_5996);
							if (CBOOL(BgL__ortest_1117z00_5997))
								{	/* SawMill/node2rtl.scm 22 */
									BgL_auxz00_7847 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_5997);
								}
							else
								{	/* SawMill/node2rtl.scm 22 */
									BgL_auxz00_7847 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5996));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1187z00_5764))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_7847), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_7857;

					{	/* SawMill/node2rtl.scm 22 */
						obj_t BgL_classz00_5998;

						BgL_classz00_5998 = BGl_valuez00zzast_varz00;
						{	/* SawMill/node2rtl.scm 22 */
							obj_t BgL__ortest_1117z00_5999;

							BgL__ortest_1117z00_5999 = BGL_CLASS_NIL(BgL_classz00_5998);
							if (CBOOL(BgL__ortest_1117z00_5999))
								{	/* SawMill/node2rtl.scm 22 */
									BgL_auxz00_7857 =
										((BgL_valuez00_bglt) BgL__ortest_1117z00_5999);
								}
							else
								{	/* SawMill/node2rtl.scm 22 */
									BgL_auxz00_7857 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5998));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1187z00_5764))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_7857), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1187z00_5764))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1187z00_5764))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1187z00_5764))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1187z00_5764))))->BgL_occurrencez00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1187z00_5764))))->BgL_occurrencewz00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1187z00_5764))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1187z00_5764))))->BgL_keyz00) =
					((long) 0L), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1187z00_5764))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1187z00_5764))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_rlocalz00_bglt BgL_auxz00_7894;

					{
						obj_t BgL_auxz00_7895;

						{	/* SawMill/node2rtl.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_7896;

							BgL_tmpz00_7896 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1187z00_5764));
							BgL_auxz00_7895 = BGL_OBJECT_WIDENING(BgL_tmpz00_7896);
						}
						BgL_auxz00_7894 = ((BgL_rlocalz00_bglt) BgL_auxz00_7895);
					}
					((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7894))->BgL_regz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_rlocalz00_bglt BgL_auxz00_7902;

					{
						obj_t BgL_auxz00_7903;

						{	/* SawMill/node2rtl.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_7904;

							BgL_tmpz00_7904 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1187z00_5764));
							BgL_auxz00_7903 = BGL_OBJECT_WIDENING(BgL_tmpz00_7904);
						}
						BgL_auxz00_7902 = ((BgL_rlocalz00_bglt) BgL_auxz00_7903);
					}
					((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7902))->BgL_codez00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_7838 = ((BgL_localz00_bglt) BgL_new1187z00_5764);
				return ((obj_t) BgL_auxz00_7838);
			}
		}

	}



/* &lambda2161 */
	BgL_localz00_bglt BGl_z62lambda2161z62zzsaw_node2rtlz00(obj_t BgL_envz00_5765,
		obj_t BgL_o1184z00_5766)
	{
		{	/* SawMill/node2rtl.scm 22 */
			{	/* SawMill/node2rtl.scm 22 */
				BgL_rlocalz00_bglt BgL_wide1186z00_6001;

				BgL_wide1186z00_6001 =
					((BgL_rlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rlocalz00_bgl))));
				{	/* SawMill/node2rtl.scm 22 */
					obj_t BgL_auxz00_7917;
					BgL_objectz00_bglt BgL_tmpz00_7913;

					BgL_auxz00_7917 = ((obj_t) BgL_wide1186z00_6001);
					BgL_tmpz00_7913 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1184z00_5766)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7913, BgL_auxz00_7917);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1184z00_5766)));
				{	/* SawMill/node2rtl.scm 22 */
					long BgL_arg2162z00_6002;

					BgL_arg2162z00_6002 = BGL_CLASS_NUM(BGl_rlocalz00zzsaw_node2rtlz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1184z00_5766))), BgL_arg2162z00_6002);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1184z00_5766)));
			}
		}

	}



/* &lambda2157 */
	BgL_localz00_bglt BGl_z62lambda2157z62zzsaw_node2rtlz00(obj_t BgL_envz00_5767,
		obj_t BgL_id1169z00_5768, obj_t BgL_name1170z00_5769,
		obj_t BgL_type1171z00_5770, obj_t BgL_value1172z00_5771,
		obj_t BgL_access1173z00_5772, obj_t BgL_fastzd2alpha1174zd2_5773,
		obj_t BgL_removable1175z00_5774, obj_t BgL_occurrence1176z00_5775,
		obj_t BgL_occurrencew1177z00_5776, obj_t BgL_userzf31178zf3_5777,
		obj_t BgL_key1179z00_5778, obj_t BgL_valzd2noescape1180zd2_5779,
		obj_t BgL_volatile1181z00_5780, obj_t BgL_reg1182z00_5781,
		obj_t BgL_code1183z00_5782)
	{
		{	/* SawMill/node2rtl.scm 22 */
			{	/* SawMill/node2rtl.scm 22 */
				long BgL_occurrence1176z00_6006;
				long BgL_occurrencew1177z00_6007;
				bool_t BgL_userzf31178zf3_6008;
				long BgL_key1179z00_6009;
				bool_t BgL_volatile1181z00_6010;

				BgL_occurrence1176z00_6006 = (long) CINT(BgL_occurrence1176z00_5775);
				BgL_occurrencew1177z00_6007 = (long) CINT(BgL_occurrencew1177z00_5776);
				BgL_userzf31178zf3_6008 = CBOOL(BgL_userzf31178zf3_5777);
				BgL_key1179z00_6009 = (long) CINT(BgL_key1179z00_5778);
				BgL_volatile1181z00_6010 = CBOOL(BgL_volatile1181z00_5780);
				{	/* SawMill/node2rtl.scm 22 */
					BgL_localz00_bglt BgL_new1398z00_6011;

					{	/* SawMill/node2rtl.scm 22 */
						BgL_localz00_bglt BgL_tmp1396z00_6012;
						BgL_rlocalz00_bglt BgL_wide1397z00_6013;

						{
							BgL_localz00_bglt BgL_auxz00_7936;

							{	/* SawMill/node2rtl.scm 22 */
								BgL_localz00_bglt BgL_new1395z00_6014;

								BgL_new1395z00_6014 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* SawMill/node2rtl.scm 22 */
									long BgL_arg2160z00_6015;

									BgL_arg2160z00_6015 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1395z00_6014),
										BgL_arg2160z00_6015);
								}
								{	/* SawMill/node2rtl.scm 22 */
									BgL_objectz00_bglt BgL_tmpz00_7941;

									BgL_tmpz00_7941 = ((BgL_objectz00_bglt) BgL_new1395z00_6014);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7941, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1395z00_6014);
								BgL_auxz00_7936 = BgL_new1395z00_6014;
							}
							BgL_tmp1396z00_6012 = ((BgL_localz00_bglt) BgL_auxz00_7936);
						}
						BgL_wide1397z00_6013 =
							((BgL_rlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rlocalz00_bgl))));
						{	/* SawMill/node2rtl.scm 22 */
							obj_t BgL_auxz00_7949;
							BgL_objectz00_bglt BgL_tmpz00_7947;

							BgL_auxz00_7949 = ((obj_t) BgL_wide1397z00_6013);
							BgL_tmpz00_7947 = ((BgL_objectz00_bglt) BgL_tmp1396z00_6012);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7947, BgL_auxz00_7949);
						}
						((BgL_objectz00_bglt) BgL_tmp1396z00_6012);
						{	/* SawMill/node2rtl.scm 22 */
							long BgL_arg2159z00_6016;

							BgL_arg2159z00_6016 =
								BGL_CLASS_NUM(BGl_rlocalz00zzsaw_node2rtlz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1396z00_6012),
								BgL_arg2159z00_6016);
						}
						BgL_new1398z00_6011 = ((BgL_localz00_bglt) BgL_tmp1396z00_6012);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1398z00_6011)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1169z00_5768)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1398z00_6011)))->BgL_namez00) =
						((obj_t) BgL_name1170z00_5769), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1398z00_6011)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1171z00_5770)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1398z00_6011)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1172z00_5771)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1398z00_6011)))->BgL_accessz00) =
						((obj_t) BgL_access1173z00_5772), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1398z00_6011)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1174zd2_5773), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1398z00_6011)))->BgL_removablez00) =
						((obj_t) BgL_removable1175z00_5774), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1398z00_6011)))->BgL_occurrencez00) =
						((long) BgL_occurrence1176z00_6006), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1398z00_6011)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1177z00_6007), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1398z00_6011)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31178zf3_6008), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1398z00_6011)))->BgL_keyz00) =
						((long) BgL_key1179z00_6009), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1398z00_6011)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1180zd2_5779), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1398z00_6011)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1181z00_6010), BUNSPEC);
					{
						BgL_rlocalz00_bglt BgL_auxz00_7986;

						{
							obj_t BgL_auxz00_7987;

							{	/* SawMill/node2rtl.scm 22 */
								BgL_objectz00_bglt BgL_tmpz00_7988;

								BgL_tmpz00_7988 = ((BgL_objectz00_bglt) BgL_new1398z00_6011);
								BgL_auxz00_7987 = BGL_OBJECT_WIDENING(BgL_tmpz00_7988);
							}
							BgL_auxz00_7986 = ((BgL_rlocalz00_bglt) BgL_auxz00_7987);
						}
						((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7986))->BgL_regz00) =
							((obj_t) BgL_reg1182z00_5781), BUNSPEC);
					}
					{
						BgL_rlocalz00_bglt BgL_auxz00_7993;

						{
							obj_t BgL_auxz00_7994;

							{	/* SawMill/node2rtl.scm 22 */
								BgL_objectz00_bglt BgL_tmpz00_7995;

								BgL_tmpz00_7995 = ((BgL_objectz00_bglt) BgL_new1398z00_6011);
								BgL_auxz00_7994 = BGL_OBJECT_WIDENING(BgL_tmpz00_7995);
							}
							BgL_auxz00_7993 = ((BgL_rlocalz00_bglt) BgL_auxz00_7994);
						}
						((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7993))->BgL_codez00) =
							((obj_t) BgL_code1183z00_5782), BUNSPEC);
					}
					return BgL_new1398z00_6011;
				}
			}
		}

	}



/* &lambda2177 */
	obj_t BGl_z62lambda2177z62zzsaw_node2rtlz00(obj_t BgL_envz00_5783,
		obj_t BgL_oz00_5784, obj_t BgL_vz00_5785)
	{
		{	/* SawMill/node2rtl.scm 22 */
			{
				BgL_rlocalz00_bglt BgL_auxz00_8000;

				{
					obj_t BgL_auxz00_8001;

					{	/* SawMill/node2rtl.scm 22 */
						BgL_objectz00_bglt BgL_tmpz00_8002;

						BgL_tmpz00_8002 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_5784));
						BgL_auxz00_8001 = BGL_OBJECT_WIDENING(BgL_tmpz00_8002);
					}
					BgL_auxz00_8000 = ((BgL_rlocalz00_bglt) BgL_auxz00_8001);
				}
				return
					((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_8000))->BgL_codez00) =
					((obj_t) BgL_vz00_5785), BUNSPEC);
			}
		}

	}



/* &lambda2176 */
	obj_t BGl_z62lambda2176z62zzsaw_node2rtlz00(obj_t BgL_envz00_5786,
		obj_t BgL_oz00_5787)
	{
		{	/* SawMill/node2rtl.scm 22 */
			{
				BgL_rlocalz00_bglt BgL_auxz00_8008;

				{
					obj_t BgL_auxz00_8009;

					{	/* SawMill/node2rtl.scm 22 */
						BgL_objectz00_bglt BgL_tmpz00_8010;

						BgL_tmpz00_8010 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_5787));
						BgL_auxz00_8009 = BGL_OBJECT_WIDENING(BgL_tmpz00_8010);
					}
					BgL_auxz00_8008 = ((BgL_rlocalz00_bglt) BgL_auxz00_8009);
				}
				return (((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_8008))->BgL_codez00);
			}
		}

	}



/* &lambda2172 */
	obj_t BGl_z62lambda2172z62zzsaw_node2rtlz00(obj_t BgL_envz00_5788,
		obj_t BgL_oz00_5789, obj_t BgL_vz00_5790)
	{
		{	/* SawMill/node2rtl.scm 22 */
			{
				BgL_rlocalz00_bglt BgL_auxz00_8016;

				{
					obj_t BgL_auxz00_8017;

					{	/* SawMill/node2rtl.scm 22 */
						BgL_objectz00_bglt BgL_tmpz00_8018;

						BgL_tmpz00_8018 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_5789));
						BgL_auxz00_8017 = BGL_OBJECT_WIDENING(BgL_tmpz00_8018);
					}
					BgL_auxz00_8016 = ((BgL_rlocalz00_bglt) BgL_auxz00_8017);
				}
				return
					((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_8016))->BgL_regz00) =
					((obj_t) BgL_vz00_5790), BUNSPEC);
			}
		}

	}



/* &lambda2171 */
	obj_t BGl_z62lambda2171z62zzsaw_node2rtlz00(obj_t BgL_envz00_5791,
		obj_t BgL_oz00_5792)
	{
		{	/* SawMill/node2rtl.scm 22 */
			{
				BgL_rlocalz00_bglt BgL_auxz00_8024;

				{
					obj_t BgL_auxz00_8025;

					{	/* SawMill/node2rtl.scm 22 */
						BgL_objectz00_bglt BgL_tmpz00_8026;

						BgL_tmpz00_8026 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_5792));
						BgL_auxz00_8025 = BGL_OBJECT_WIDENING(BgL_tmpz00_8026);
					}
					BgL_auxz00_8024 = ((BgL_rlocalz00_bglt) BgL_auxz00_8025);
				}
				return (((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_8024))->BgL_regz00);
			}
		}

	}



/* &lambda2147 */
	BgL_blockz00_bglt BGl_z62lambda2147z62zzsaw_node2rtlz00(obj_t BgL_envz00_5793,
		obj_t BgL_o1167z00_5794)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{	/* SawMill/node2rtl.scm 21 */
				long BgL_arg2148z00_6022;

				{	/* SawMill/node2rtl.scm 21 */
					obj_t BgL_arg2149z00_6023;

					{	/* SawMill/node2rtl.scm 21 */
						obj_t BgL_arg2150z00_6024;

						{	/* SawMill/node2rtl.scm 21 */
							obj_t BgL_arg1866z00_6025;
							long BgL_arg1867z00_6026;

							BgL_arg1866z00_6025 = (BGl_za2classesza2z00zz__objectz00);
							{	/* SawMill/node2rtl.scm 21 */
								long BgL_arg1869z00_6027;

								BgL_arg1869z00_6027 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_blockz00_bglt) BgL_o1167z00_5794)));
								BgL_arg1867z00_6026 = (BgL_arg1869z00_6027 - OBJECT_TYPE);
							}
							BgL_arg2150z00_6024 =
								VECTOR_REF(BgL_arg1866z00_6025, BgL_arg1867z00_6026);
						}
						BgL_arg2149z00_6023 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2150z00_6024);
					}
					{	/* SawMill/node2rtl.scm 21 */
						obj_t BgL_tmpz00_8039;

						BgL_tmpz00_8039 = ((obj_t) BgL_arg2149z00_6023);
						BgL_arg2148z00_6022 = BGL_CLASS_NUM(BgL_tmpz00_8039);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) BgL_o1167z00_5794)), BgL_arg2148z00_6022);
			}
			{	/* SawMill/node2rtl.scm 21 */
				BgL_objectz00_bglt BgL_tmpz00_8045;

				BgL_tmpz00_8045 =
					((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1167z00_5794));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8045, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1167z00_5794));
			return ((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1167z00_5794));
		}

	}



/* &<@anonymous:2146> */
	obj_t BGl_z62zc3z04anonymousza32146ze3ze5zzsaw_node2rtlz00(obj_t
		BgL_envz00_5795, obj_t BgL_new1166z00_5796)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{
				BgL_blockz00_bglt BgL_auxz00_8053;

				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_new1166z00_5796))))->BgL_labelz00) =
					((int) (int) (0L)), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1166z00_5796))))->BgL_predsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1166z00_5796))))->BgL_succsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1166z00_5796))))->BgL_firstz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_8053 = ((BgL_blockz00_bglt) BgL_new1166z00_5796);
				return ((obj_t) BgL_auxz00_8053);
			}
		}

	}



/* &lambda2144 */
	BgL_blockz00_bglt BGl_z62lambda2144z62zzsaw_node2rtlz00(obj_t BgL_envz00_5797,
		obj_t BgL_o1163z00_5798)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{	/* SawMill/node2rtl.scm 21 */
				BgL_reversedz00_bglt BgL_wide1165z00_6030;

				BgL_wide1165z00_6030 =
					((BgL_reversedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_reversedz00_bgl))));
				{	/* SawMill/node2rtl.scm 21 */
					obj_t BgL_auxz00_8074;
					BgL_objectz00_bglt BgL_tmpz00_8070;

					BgL_auxz00_8074 = ((obj_t) BgL_wide1165z00_6030);
					BgL_tmpz00_8070 =
						((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1163z00_5798)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8070, BgL_auxz00_8074);
				}
				((BgL_objectz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1163z00_5798)));
				{	/* SawMill/node2rtl.scm 21 */
					long BgL_arg2145z00_6031;

					BgL_arg2145z00_6031 = BGL_CLASS_NUM(BGl_reversedz00zzsaw_node2rtlz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_o1163z00_5798))), BgL_arg2145z00_6031);
				}
				return
					((BgL_blockz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1163z00_5798)));
			}
		}

	}



/* &lambda2141 */
	BgL_blockz00_bglt BGl_z62lambda2141z62zzsaw_node2rtlz00(obj_t BgL_envz00_5799,
		obj_t BgL_label1159z00_5800, obj_t BgL_preds1160z00_5801,
		obj_t BgL_succs1161z00_5802, obj_t BgL_first1162z00_5803)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{	/* SawMill/node2rtl.scm 21 */
				int BgL_label1159z00_6032;

				BgL_label1159z00_6032 = CINT(BgL_label1159z00_5800);
				{	/* SawMill/node2rtl.scm 21 */
					BgL_blockz00_bglt BgL_new1393z00_6036;

					{	/* SawMill/node2rtl.scm 21 */
						BgL_blockz00_bglt BgL_tmp1391z00_6037;
						BgL_reversedz00_bglt BgL_wide1392z00_6038;

						{
							BgL_blockz00_bglt BgL_auxz00_8089;

							{	/* SawMill/node2rtl.scm 21 */
								BgL_blockz00_bglt BgL_new1390z00_6039;

								BgL_new1390z00_6039 =
									((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_blockz00_bgl))));
								{	/* SawMill/node2rtl.scm 21 */
									long BgL_arg2143z00_6040;

									BgL_arg2143z00_6040 =
										BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1390z00_6039),
										BgL_arg2143z00_6040);
								}
								{	/* SawMill/node2rtl.scm 21 */
									BgL_objectz00_bglt BgL_tmpz00_8094;

									BgL_tmpz00_8094 = ((BgL_objectz00_bglt) BgL_new1390z00_6039);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8094, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1390z00_6039);
								BgL_auxz00_8089 = BgL_new1390z00_6039;
							}
							BgL_tmp1391z00_6037 = ((BgL_blockz00_bglt) BgL_auxz00_8089);
						}
						BgL_wide1392z00_6038 =
							((BgL_reversedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_reversedz00_bgl))));
						{	/* SawMill/node2rtl.scm 21 */
							obj_t BgL_auxz00_8102;
							BgL_objectz00_bglt BgL_tmpz00_8100;

							BgL_auxz00_8102 = ((obj_t) BgL_wide1392z00_6038);
							BgL_tmpz00_8100 = ((BgL_objectz00_bglt) BgL_tmp1391z00_6037);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8100, BgL_auxz00_8102);
						}
						((BgL_objectz00_bglt) BgL_tmp1391z00_6037);
						{	/* SawMill/node2rtl.scm 21 */
							long BgL_arg2142z00_6041;

							BgL_arg2142z00_6041 =
								BGL_CLASS_NUM(BGl_reversedz00zzsaw_node2rtlz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1391z00_6037),
								BgL_arg2142z00_6041);
						}
						BgL_new1393z00_6036 = ((BgL_blockz00_bglt) BgL_tmp1391z00_6037);
					}
					((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_new1393z00_6036)))->BgL_labelz00) =
						((int) BgL_label1159z00_6032), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1393z00_6036)))->BgL_predsz00) =
						((obj_t) ((obj_t) BgL_preds1160z00_5801)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1393z00_6036)))->BgL_succsz00) =
						((obj_t) ((obj_t) BgL_succs1161z00_5802)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1393z00_6036)))->BgL_firstz00) =
						((obj_t) ((obj_t) BgL_first1162z00_5803)), BUNSPEC);
					return BgL_new1393z00_6036;
				}
			}
		}

	}



/* &<@anonymous:2124> */
	obj_t BGl_z62zc3z04anonymousza32124ze3ze5zzsaw_node2rtlz00(obj_t
		BgL_envz00_5804, obj_t BgL_new1157z00_5805)
	{
		{	/* SawMill/node2rtl.scm 20 */
			{
				BgL_areaz00_bglt BgL_auxz00_8121;

				{
					BgL_blockz00_bglt BgL_auxz00_8122;

					{	/* SawMill/node2rtl.scm 20 */
						obj_t BgL_classz00_6043;

						BgL_classz00_6043 = BGl_blockz00zzsaw_defsz00;
						{	/* SawMill/node2rtl.scm 20 */
							obj_t BgL__ortest_1117z00_6044;

							BgL__ortest_1117z00_6044 = BGL_CLASS_NIL(BgL_classz00_6043);
							if (CBOOL(BgL__ortest_1117z00_6044))
								{	/* SawMill/node2rtl.scm 20 */
									BgL_auxz00_8122 =
										((BgL_blockz00_bglt) BgL__ortest_1117z00_6044);
								}
							else
								{	/* SawMill/node2rtl.scm 20 */
									BgL_auxz00_8122 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_6043));
								}
						}
					}
					((((BgL_areaz00_bglt) COBJECT(
									((BgL_areaz00_bglt) BgL_new1157z00_5805)))->BgL_entryz00) =
						((BgL_blockz00_bglt) BgL_auxz00_8122), BUNSPEC);
				}
				{
					BgL_blockz00_bglt BgL_auxz00_8131;

					{	/* SawMill/node2rtl.scm 20 */
						obj_t BgL_classz00_6045;

						BgL_classz00_6045 = BGl_blockz00zzsaw_defsz00;
						{	/* SawMill/node2rtl.scm 20 */
							obj_t BgL__ortest_1117z00_6046;

							BgL__ortest_1117z00_6046 = BGL_CLASS_NIL(BgL_classz00_6045);
							if (CBOOL(BgL__ortest_1117z00_6046))
								{	/* SawMill/node2rtl.scm 20 */
									BgL_auxz00_8131 =
										((BgL_blockz00_bglt) BgL__ortest_1117z00_6046);
								}
							else
								{	/* SawMill/node2rtl.scm 20 */
									BgL_auxz00_8131 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_6045));
								}
						}
					}
					((((BgL_areaz00_bglt) COBJECT(
									((BgL_areaz00_bglt) BgL_new1157z00_5805)))->BgL_exitz00) =
						((BgL_blockz00_bglt) BgL_auxz00_8131), BUNSPEC);
				}
				BgL_auxz00_8121 = ((BgL_areaz00_bglt) BgL_new1157z00_5805);
				return ((obj_t) BgL_auxz00_8121);
			}
		}

	}



/* &lambda2122 */
	BgL_areaz00_bglt BGl_z62lambda2122z62zzsaw_node2rtlz00(obj_t BgL_envz00_5806)
	{
		{	/* SawMill/node2rtl.scm 20 */
			{	/* SawMill/node2rtl.scm 20 */
				BgL_areaz00_bglt BgL_new1156z00_6047;

				BgL_new1156z00_6047 =
					((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_areaz00_bgl))));
				{	/* SawMill/node2rtl.scm 20 */
					long BgL_arg2123z00_6048;

					BgL_arg2123z00_6048 = BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1156z00_6047), BgL_arg2123z00_6048);
				}
				return BgL_new1156z00_6047;
			}
		}

	}



/* &lambda2120 */
	BgL_areaz00_bglt BGl_z62lambda2120z62zzsaw_node2rtlz00(obj_t BgL_envz00_5807,
		obj_t BgL_entry1154z00_5808, obj_t BgL_exit1155z00_5809)
	{
		{	/* SawMill/node2rtl.scm 20 */
			{	/* SawMill/node2rtl.scm 20 */
				BgL_areaz00_bglt BgL_new1389z00_6051;

				{	/* SawMill/node2rtl.scm 20 */
					BgL_areaz00_bglt BgL_new1388z00_6052;

					BgL_new1388z00_6052 =
						((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_areaz00_bgl))));
					{	/* SawMill/node2rtl.scm 20 */
						long BgL_arg2121z00_6053;

						BgL_arg2121z00_6053 = BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1388z00_6052), BgL_arg2121z00_6053);
					}
					BgL_new1389z00_6051 = BgL_new1388z00_6052;
				}
				((((BgL_areaz00_bglt) COBJECT(BgL_new1389z00_6051))->BgL_entryz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_entry1154z00_5808)),
					BUNSPEC);
				((((BgL_areaz00_bglt) COBJECT(BgL_new1389z00_6051))->BgL_exitz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_exit1155z00_5809)),
					BUNSPEC);
				return BgL_new1389z00_6051;
			}
		}

	}



/* &lambda2134 */
	obj_t BGl_z62lambda2134z62zzsaw_node2rtlz00(obj_t BgL_envz00_5810,
		obj_t BgL_oz00_5811, obj_t BgL_vz00_5812)
	{
		{	/* SawMill/node2rtl.scm 20 */
			return
				((((BgL_areaz00_bglt) COBJECT(
							((BgL_areaz00_bglt) BgL_oz00_5811)))->BgL_exitz00) =
				((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_5812)), BUNSPEC);
		}

	}



/* &lambda2133 */
	BgL_blockz00_bglt BGl_z62lambda2133z62zzsaw_node2rtlz00(obj_t BgL_envz00_5813,
		obj_t BgL_oz00_5814)
	{
		{	/* SawMill/node2rtl.scm 20 */
			return
				(((BgL_areaz00_bglt) COBJECT(
						((BgL_areaz00_bglt) BgL_oz00_5814)))->BgL_exitz00);
		}

	}



/* &lambda2129 */
	obj_t BGl_z62lambda2129z62zzsaw_node2rtlz00(obj_t BgL_envz00_5815,
		obj_t BgL_oz00_5816, obj_t BgL_vz00_5817)
	{
		{	/* SawMill/node2rtl.scm 20 */
			return
				((((BgL_areaz00_bglt) COBJECT(
							((BgL_areaz00_bglt) BgL_oz00_5816)))->BgL_entryz00) =
				((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_5817)), BUNSPEC);
		}

	}



/* &lambda2128 */
	BgL_blockz00_bglt BGl_z62lambda2128z62zzsaw_node2rtlz00(obj_t BgL_envz00_5818,
		obj_t BgL_oz00_5819)
	{
		{	/* SawMill/node2rtl.scm 20 */
			return
				(((BgL_areaz00_bglt) COBJECT(
						((BgL_areaz00_bglt) BgL_oz00_5819)))->BgL_entryz00);
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_node2rtlz00(void)
	{
		{	/* SawMill/node2rtl.scm 1 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_proc2974z00zzsaw_node2rtlz00, BGl_nodez00zzast_nodez00,
				BGl_string2975z00zzsaw_node2rtlz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_predicatezd2envzd2zzsaw_node2rtlz00,
				BGl_proc2976z00zzsaw_node2rtlz00, BGl_nodez00zzast_nodez00,
				BGl_string2977z00zzsaw_node2rtlz00);
		}

	}



/* &predicate1784 */
	obj_t BGl_z62predicate1784z62zzsaw_node2rtlz00(obj_t BgL_envz00_5822,
		obj_t BgL_ez00_5823, obj_t BgL_joinedz00_5824)
	{
		{	/* SawMill/node2rtl.scm 510 */
			{
				BgL_areaz00_bglt BgL_auxz00_8166;

				{	/* SawMill/node2rtl.scm 511 */
					BgL_areaz00_bglt BgL_arg2207z00_6061;

					{	/* SawMill/node2rtl.scm 511 */
						BgL_rtl_ifz00_bglt BgL_arg2208z00_6062;

						{	/* SawMill/node2rtl.scm 511 */
							BgL_rtl_ifz00_bglt BgL_new1382z00_6063;

							{	/* SawMill/node2rtl.scm 511 */
								BgL_rtl_ifz00_bglt BgL_new1381z00_6064;

								BgL_new1381z00_6064 =
									((BgL_rtl_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_ifz00_bgl))));
								{	/* SawMill/node2rtl.scm 511 */
									long BgL_arg2210z00_6065;

									BgL_arg2210z00_6065 =
										BGL_CLASS_NUM(BGl_rtl_ifz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1381z00_6064),
										BgL_arg2210z00_6065);
								}
								BgL_new1382z00_6063 = BgL_new1381z00_6064;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1382z00_6063)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg2208z00_6062 = BgL_new1382z00_6063;
						}
						{	/* SawMill/node2rtl.scm 511 */
							obj_t BgL_list2209z00_6066;

							BgL_list2209z00_6066 =
								MAKE_YOUNG_PAIR(
								((obj_t) ((BgL_nodez00_bglt) BgL_ez00_5823)), BNIL);
							BgL_arg2207z00_6061 =
								BGl_callza2za2zzsaw_node2rtlz00(
								((obj_t)
									((BgL_nodez00_bglt) BgL_ez00_5823)),
								((BgL_rtl_funz00_bglt) BgL_arg2208z00_6062),
								BgL_list2209z00_6066);
					}}
					BgL_auxz00_8166 =
						BGl_forkz00zzsaw_node2rtlz00(BgL_arg2207z00_6061,
						BgL_joinedz00_5824);
				}
				return ((obj_t) BgL_auxz00_8166);
			}
		}

	}



/* &node->rtl1718 */
	obj_t BGl_z62nodezd2ze3rtl1718z53zzsaw_node2rtlz00(obj_t BgL_envz00_5825,
		obj_t BgL_ez00_5826)
	{
		{	/* SawMill/node2rtl.scm 207 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(16)), BGl_string2978z00zzsaw_node2rtlz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_ez00_5826)));
		}

	}



/* node->rtl */
	BgL_areaz00_bglt BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(BgL_nodez00_bglt
		BgL_ez00_137)
	{
		{	/* SawMill/node2rtl.scm 207 */
			{	/* SawMill/node2rtl.scm 207 */
				obj_t BgL_method1720z00_3043;

				{	/* SawMill/node2rtl.scm 207 */
					obj_t BgL_res2916z00_4815;

					{	/* SawMill/node2rtl.scm 207 */
						long BgL_objzd2classzd2numz00_4786;

						BgL_objzd2classzd2numz00_4786 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_137));
						{	/* SawMill/node2rtl.scm 207 */
							obj_t BgL_arg1862z00_4787;

							BgL_arg1862z00_4787 =
								PROCEDURE_REF(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
								(int) (1L));
							{	/* SawMill/node2rtl.scm 207 */
								int BgL_offsetz00_4790;

								BgL_offsetz00_4790 = (int) (BgL_objzd2classzd2numz00_4786);
								{	/* SawMill/node2rtl.scm 207 */
									long BgL_offsetz00_4791;

									BgL_offsetz00_4791 =
										((long) (BgL_offsetz00_4790) - OBJECT_TYPE);
									{	/* SawMill/node2rtl.scm 207 */
										long BgL_modz00_4792;

										BgL_modz00_4792 =
											(BgL_offsetz00_4791 >> (int) ((long) ((int) (4L))));
										{	/* SawMill/node2rtl.scm 207 */
											long BgL_restz00_4794;

											BgL_restz00_4794 =
												(BgL_offsetz00_4791 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* SawMill/node2rtl.scm 207 */

												{	/* SawMill/node2rtl.scm 207 */
													obj_t BgL_bucketz00_4796;

													BgL_bucketz00_4796 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_4787), BgL_modz00_4792);
													BgL_res2916z00_4815 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4796), BgL_restz00_4794);
					}}}}}}}}
					BgL_method1720z00_3043 = BgL_res2916z00_4815;
				}
				return
					((BgL_areaz00_bglt)
					BGL_PROCEDURE_CALL1(BgL_method1720z00_3043, ((obj_t) BgL_ez00_137)));
			}
		}

	}



/* &node->rtl */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlz53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5827, obj_t BgL_ez00_5828)
	{
		{	/* SawMill/node2rtl.scm 207 */
			return
				BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
				((BgL_nodez00_bglt) BgL_ez00_5828));
		}

	}



/* predicate */
	BgL_areaz00_bglt BGl_predicatez00zzsaw_node2rtlz00(BgL_nodez00_bglt
		BgL_ez00_176, obj_t BgL_joinedz00_177)
	{
		{	/* SawMill/node2rtl.scm 510 */
			{	/* SawMill/node2rtl.scm 510 */
				obj_t BgL_method1785z00_3044;

				{	/* SawMill/node2rtl.scm 510 */
					obj_t BgL_res2921z00_4846;

					{	/* SawMill/node2rtl.scm 510 */
						long BgL_objzd2classzd2numz00_4817;

						BgL_objzd2classzd2numz00_4817 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_176));
						{	/* SawMill/node2rtl.scm 510 */
							obj_t BgL_arg1862z00_4818;

							BgL_arg1862z00_4818 =
								PROCEDURE_REF(BGl_predicatezd2envzd2zzsaw_node2rtlz00,
								(int) (1L));
							{	/* SawMill/node2rtl.scm 510 */
								int BgL_offsetz00_4821;

								BgL_offsetz00_4821 = (int) (BgL_objzd2classzd2numz00_4817);
								{	/* SawMill/node2rtl.scm 510 */
									long BgL_offsetz00_4822;

									BgL_offsetz00_4822 =
										((long) (BgL_offsetz00_4821) - OBJECT_TYPE);
									{	/* SawMill/node2rtl.scm 510 */
										long BgL_modz00_4823;

										BgL_modz00_4823 =
											(BgL_offsetz00_4822 >> (int) ((long) ((int) (4L))));
										{	/* SawMill/node2rtl.scm 510 */
											long BgL_restz00_4825;

											BgL_restz00_4825 =
												(BgL_offsetz00_4822 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* SawMill/node2rtl.scm 510 */

												{	/* SawMill/node2rtl.scm 510 */
													obj_t BgL_bucketz00_4827;

													BgL_bucketz00_4827 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_4818), BgL_modz00_4823);
													BgL_res2921z00_4846 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4827), BgL_restz00_4825);
					}}}}}}}}
					BgL_method1785z00_3044 = BgL_res2921z00_4846;
				}
				return
					((BgL_areaz00_bglt)
					BGL_PROCEDURE_CALL2(BgL_method1785z00_3044,
						((obj_t) BgL_ez00_176), BgL_joinedz00_177));
			}
		}

	}



/* &predicate */
	BgL_areaz00_bglt BGl_z62predicatez62zzsaw_node2rtlz00(obj_t BgL_envz00_5829,
		obj_t BgL_ez00_5830, obj_t BgL_joinedz00_5831)
	{
		{	/* SawMill/node2rtl.scm 510 */
			return
				BGl_predicatez00zzsaw_node2rtlz00(
				((BgL_nodez00_bglt) BgL_ez00_5830), BgL_joinedz00_5831);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_node2rtlz00(void)
	{
		{	/* SawMill/node2rtl.scm 1 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_atomz00zzast_nodez00,
				BGl_proc2979z00zzsaw_node2rtlz00, BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_varz00zzast_nodez00,
				BGl_proc2981z00zzsaw_node2rtlz00, BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2982z00zzsaw_node2rtlz00,
				BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_setqz00zzast_nodez00,
				BGl_proc2983z00zzsaw_node2rtlz00, BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2984z00zzsaw_node2rtlz00,
				BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_syncz00zzast_nodez00,
				BGl_proc2985z00zzsaw_node2rtlz00, BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2986z00zzsaw_node2rtlz00,
				BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_switchz00zzast_nodez00, BGl_proc2987z00zzsaw_node2rtlz00,
				BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2988z00zzsaw_node2rtlz00,
				BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_appz00zzast_nodez00,
				BGl_proc2989z00zzsaw_node2rtlz00, BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2990z00zzsaw_node2rtlz00,
				BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2991z00zzsaw_node2rtlz00,
				BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_pragmaz00zzast_nodez00, BGl_proc2992z00zzsaw_node2rtlz00,
				BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_getfieldz00zzast_nodez00, BGl_proc2993z00zzsaw_node2rtlz00,
				BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_setfieldz00zzast_nodez00, BGl_proc2994z00zzsaw_node2rtlz00,
				BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_newz00zzast_nodez00,
				BGl_proc2995z00zzsaw_node2rtlz00, BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_vallocz00zzast_nodez00, BGl_proc2996z00zzsaw_node2rtlz00,
				BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_vrefz00zzast_nodez00,
				BGl_proc2997z00zzsaw_node2rtlz00, BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_vsetz12z12zzast_nodez00, BGl_proc2998z00zzsaw_node2rtlz00,
				BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_vlengthz00zzast_nodez00, BGl_proc2999z00zzsaw_node2rtlz00,
				BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_instanceofz00zzast_nodez00, BGl_proc3000z00zzsaw_node2rtlz00,
				BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_castz00zzast_nodez00,
				BGl_proc3001z00zzsaw_node2rtlz00, BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_castzd2nullzd2zzast_nodez00, BGl_proc3002z00zzsaw_node2rtlz00,
				BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3003z00zzsaw_node2rtlz00,
				BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3004z00zzsaw_node2rtlz00,
				BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_failz00zzast_nodez00,
				BGl_proc3005z00zzsaw_node2rtlz00, BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3006z00zzsaw_node2rtlz00,
				BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3007z00zzsaw_node2rtlz00,
				BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3008z00zzsaw_node2rtlz00,
				BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_retblockz00zzast_nodez00, BGl_proc3009z00zzsaw_node2rtlz00,
				BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_returnz00zzast_nodez00, BGl_proc3010z00zzsaw_node2rtlz00,
				BGl_string2980z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_predicatezd2envzd2zzsaw_node2rtlz00, BGl_atomz00zzast_nodez00,
				BGl_proc3011z00zzsaw_node2rtlz00, BGl_string3012z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_predicatezd2envzd2zzsaw_node2rtlz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3013z00zzsaw_node2rtlz00,
				BGl_string3012z00zzsaw_node2rtlz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_predicatezd2envzd2zzsaw_node2rtlz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc3014z00zzsaw_node2rtlz00, BGl_string3012z00zzsaw_node2rtlz00);
		}

	}



/* &predicate-let-var1791 */
	BgL_areaz00_bglt BGl_z62predicatezd2letzd2var1791z62zzsaw_node2rtlz00(obj_t
		BgL_envz00_5866, obj_t BgL_ez00_5867, obj_t BgL_lz00_5868)
	{
		{	/* SawMill/node2rtl.scm 526 */
			{	/* SawMill/node2rtl.scm 530 */
				bool_t BgL_test3177z00_8288;

				if (NULLP(
						(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_ez00_5867)))->BgL_bindingsz00)))
					{	/* SawMill/node2rtl.scm 530 */
						BgL_test3177z00_8288 = ((bool_t) 0);
					}
				else
					{	/* SawMill/node2rtl.scm 530 */
						if (NULLP(CDR(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_ez00_5867)))->
										BgL_bindingsz00))))
							{	/* SawMill/node2rtl.scm 532 */
								bool_t BgL_test3180z00_8298;

								{	/* SawMill/node2rtl.scm 532 */
									BgL_nodez00_bglt BgL_arg2721z00_6069;

									BgL_arg2721z00_6069 =
										(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_ez00_5867)))->BgL_bodyz00);
									{	/* SawMill/node2rtl.scm 532 */
										obj_t BgL_classz00_6070;

										BgL_classz00_6070 = BGl_varz00zzast_nodez00;
										{	/* SawMill/node2rtl.scm 532 */
											BgL_objectz00_bglt BgL_arg1858z00_6071;

											{	/* SawMill/node2rtl.scm 532 */
												obj_t BgL_tmpz00_8301;

												BgL_tmpz00_8301 =
													((obj_t) ((BgL_objectz00_bglt) BgL_arg2721z00_6069));
												BgL_arg1858z00_6071 =
													(BgL_objectz00_bglt) (BgL_tmpz00_8301);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* SawMill/node2rtl.scm 532 */
													long BgL_idxz00_6072;

													BgL_idxz00_6072 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6071);
													BgL_test3180z00_8298 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_6072 + 2L)) == BgL_classz00_6070);
												}
											else
												{	/* SawMill/node2rtl.scm 532 */
													bool_t BgL_res2935z00_6075;

													{	/* SawMill/node2rtl.scm 532 */
														obj_t BgL_oclassz00_6076;

														{	/* SawMill/node2rtl.scm 532 */
															obj_t BgL_arg1866z00_6077;
															long BgL_arg1867z00_6078;

															BgL_arg1866z00_6077 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* SawMill/node2rtl.scm 532 */
																long BgL_arg1869z00_6079;

																BgL_arg1869z00_6079 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6071);
																BgL_arg1867z00_6078 =
																	(BgL_arg1869z00_6079 - OBJECT_TYPE);
															}
															BgL_oclassz00_6076 =
																VECTOR_REF(BgL_arg1866z00_6077,
																BgL_arg1867z00_6078);
														}
														{	/* SawMill/node2rtl.scm 532 */
															bool_t BgL__ortest_1115z00_6080;

															BgL__ortest_1115z00_6080 =
																(BgL_classz00_6070 == BgL_oclassz00_6076);
															if (BgL__ortest_1115z00_6080)
																{	/* SawMill/node2rtl.scm 532 */
																	BgL_res2935z00_6075 =
																		BgL__ortest_1115z00_6080;
																}
															else
																{	/* SawMill/node2rtl.scm 532 */
																	long BgL_odepthz00_6081;

																	{	/* SawMill/node2rtl.scm 532 */
																		obj_t BgL_arg1855z00_6082;

																		BgL_arg1855z00_6082 = (BgL_oclassz00_6076);
																		BgL_odepthz00_6081 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_6082);
																	}
																	if ((2L < BgL_odepthz00_6081))
																		{	/* SawMill/node2rtl.scm 532 */
																			obj_t BgL_arg1853z00_6083;

																			{	/* SawMill/node2rtl.scm 532 */
																				obj_t BgL_arg1854z00_6084;

																				BgL_arg1854z00_6084 =
																					(BgL_oclassz00_6076);
																				BgL_arg1853z00_6083 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_6084, 2L);
																			}
																			BgL_res2935z00_6075 =
																				(BgL_arg1853z00_6083 ==
																				BgL_classz00_6070);
																		}
																	else
																		{	/* SawMill/node2rtl.scm 532 */
																			BgL_res2935z00_6075 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test3180z00_8298 = BgL_res2935z00_6075;
												}
										}
									}
								}
								if (BgL_test3180z00_8298)
									{	/* SawMill/node2rtl.scm 533 */
										obj_t BgL_tmpz00_8324;

										{	/* SawMill/node2rtl.scm 533 */
											obj_t BgL_pairz00_6085;

											BgL_pairz00_6085 =
												(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_ez00_5867)))->
												BgL_bindingsz00);
											BgL_tmpz00_8324 = CAR(CAR(BgL_pairz00_6085));
										}
										BgL_test3177z00_8288 =
											(BgL_tmpz00_8324 ==
											((obj_t)
												(((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt)
																(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_ez00_5867)))->BgL_bodyz00))))->
													BgL_variablez00)));
									}
								else
									{	/* SawMill/node2rtl.scm 532 */
										BgL_test3177z00_8288 = ((bool_t) 0);
									}
							}
						else
							{	/* SawMill/node2rtl.scm 531 */
								BgL_test3177z00_8288 = ((bool_t) 0);
							}
					}
				if (BgL_test3177z00_8288)
					{	/* SawMill/node2rtl.scm 535 */
						obj_t BgL_arg2611z00_6086;

						{	/* SawMill/node2rtl.scm 535 */
							obj_t BgL_pairz00_6087;

							BgL_pairz00_6087 =
								(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_ez00_5867)))->BgL_bindingsz00);
							BgL_arg2611z00_6086 = CDR(CAR(BgL_pairz00_6087));
						}
						return
							BGl_predicatez00zzsaw_node2rtlz00(
							((BgL_nodez00_bglt) BgL_arg2611z00_6086), BgL_lz00_5868);
					}
				else
					{	/* SawMill/node2rtl.scm 536 */
						bool_t BgL_test3184z00_8341;

						{	/* SawMill/node2rtl.scm 536 */
							bool_t BgL_test3185z00_8342;

							{	/* SawMill/node2rtl.scm 536 */
								BgL_nodez00_bglt BgL_arg2712z00_6088;

								BgL_arg2712z00_6088 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_ez00_5867)))->BgL_bodyz00);
								{	/* SawMill/node2rtl.scm 536 */
									obj_t BgL_classz00_6089;

									BgL_classz00_6089 = BGl_conditionalz00zzast_nodez00;
									{	/* SawMill/node2rtl.scm 536 */
										BgL_objectz00_bglt BgL_arg1858z00_6090;

										{	/* SawMill/node2rtl.scm 536 */
											obj_t BgL_tmpz00_8345;

											BgL_tmpz00_8345 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg2712z00_6088));
											BgL_arg1858z00_6090 =
												(BgL_objectz00_bglt) (BgL_tmpz00_8345);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* SawMill/node2rtl.scm 536 */
												long BgL_idxz00_6091;

												BgL_idxz00_6091 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6090);
												BgL_test3185z00_8342 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_6091 + 3L)) == BgL_classz00_6089);
											}
										else
											{	/* SawMill/node2rtl.scm 536 */
												bool_t BgL_res2936z00_6094;

												{	/* SawMill/node2rtl.scm 536 */
													obj_t BgL_oclassz00_6095;

													{	/* SawMill/node2rtl.scm 536 */
														obj_t BgL_arg1866z00_6096;
														long BgL_arg1867z00_6097;

														BgL_arg1866z00_6096 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* SawMill/node2rtl.scm 536 */
															long BgL_arg1869z00_6098;

															BgL_arg1869z00_6098 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6090);
															BgL_arg1867z00_6097 =
																(BgL_arg1869z00_6098 - OBJECT_TYPE);
														}
														BgL_oclassz00_6095 =
															VECTOR_REF(BgL_arg1866z00_6096,
															BgL_arg1867z00_6097);
													}
													{	/* SawMill/node2rtl.scm 536 */
														bool_t BgL__ortest_1115z00_6099;

														BgL__ortest_1115z00_6099 =
															(BgL_classz00_6089 == BgL_oclassz00_6095);
														if (BgL__ortest_1115z00_6099)
															{	/* SawMill/node2rtl.scm 536 */
																BgL_res2936z00_6094 = BgL__ortest_1115z00_6099;
															}
														else
															{	/* SawMill/node2rtl.scm 536 */
																long BgL_odepthz00_6100;

																{	/* SawMill/node2rtl.scm 536 */
																	obj_t BgL_arg1855z00_6101;

																	BgL_arg1855z00_6101 = (BgL_oclassz00_6095);
																	BgL_odepthz00_6100 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_6101);
																}
																if ((3L < BgL_odepthz00_6100))
																	{	/* SawMill/node2rtl.scm 536 */
																		obj_t BgL_arg1853z00_6102;

																		{	/* SawMill/node2rtl.scm 536 */
																			obj_t BgL_arg1854z00_6103;

																			BgL_arg1854z00_6103 =
																				(BgL_oclassz00_6095);
																			BgL_arg1853z00_6102 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_6103, 3L);
																		}
																		BgL_res2936z00_6094 =
																			(BgL_arg1853z00_6102 ==
																			BgL_classz00_6089);
																	}
																else
																	{	/* SawMill/node2rtl.scm 536 */
																		BgL_res2936z00_6094 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test3185z00_8342 = BgL_res2936z00_6094;
											}
									}
								}
							}
							if (BgL_test3185z00_8342)
								{	/* SawMill/node2rtl.scm 536 */
									if (NULLP(
											(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_ez00_5867)))->
												BgL_bindingsz00)))
										{	/* SawMill/node2rtl.scm 537 */
											BgL_test3184z00_8341 = ((bool_t) 0);
										}
									else
										{	/* SawMill/node2rtl.scm 537 */
											if (NULLP(CDR(
														(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_ez00_5867)))->
															BgL_bindingsz00))))
												{	/* SawMill/node2rtl.scm 539 */
													bool_t BgL_test3191z00_8377;

													{	/* SawMill/node2rtl.scm 539 */
														BgL_nodez00_bglt BgL_arg2690z00_6104;

														BgL_arg2690z00_6104 =
															(((BgL_conditionalz00_bglt) COBJECT(
																	((BgL_conditionalz00_bglt)
																		(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_ez00_5867)))->BgL_bodyz00))))->
															BgL_testz00);
														{	/* SawMill/node2rtl.scm 539 */
															obj_t BgL_classz00_6105;

															BgL_classz00_6105 = BGl_varz00zzast_nodez00;
															{	/* SawMill/node2rtl.scm 539 */
																BgL_objectz00_bglt BgL_arg1858z00_6106;

																{	/* SawMill/node2rtl.scm 539 */
																	obj_t BgL_tmpz00_8382;

																	BgL_tmpz00_8382 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg2690z00_6104));
																	BgL_arg1858z00_6106 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_8382);
																}
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* SawMill/node2rtl.scm 539 */
																		long BgL_idxz00_6107;

																		BgL_idxz00_6107 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_6106);
																		BgL_test3191z00_8377 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_6107 + 2L)) ==
																			BgL_classz00_6105);
																	}
																else
																	{	/* SawMill/node2rtl.scm 539 */
																		bool_t BgL_res2937z00_6110;

																		{	/* SawMill/node2rtl.scm 539 */
																			obj_t BgL_oclassz00_6111;

																			{	/* SawMill/node2rtl.scm 539 */
																				obj_t BgL_arg1866z00_6112;
																				long BgL_arg1867z00_6113;

																				BgL_arg1866z00_6112 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* SawMill/node2rtl.scm 539 */
																					long BgL_arg1869z00_6114;

																					BgL_arg1869z00_6114 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_6106);
																					BgL_arg1867z00_6113 =
																						(BgL_arg1869z00_6114 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_6111 =
																					VECTOR_REF(BgL_arg1866z00_6112,
																					BgL_arg1867z00_6113);
																			}
																			{	/* SawMill/node2rtl.scm 539 */
																				bool_t BgL__ortest_1115z00_6115;

																				BgL__ortest_1115z00_6115 =
																					(BgL_classz00_6105 ==
																					BgL_oclassz00_6111);
																				if (BgL__ortest_1115z00_6115)
																					{	/* SawMill/node2rtl.scm 539 */
																						BgL_res2937z00_6110 =
																							BgL__ortest_1115z00_6115;
																					}
																				else
																					{	/* SawMill/node2rtl.scm 539 */
																						long BgL_odepthz00_6116;

																						{	/* SawMill/node2rtl.scm 539 */
																							obj_t BgL_arg1855z00_6117;

																							BgL_arg1855z00_6117 =
																								(BgL_oclassz00_6111);
																							BgL_odepthz00_6116 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_6117);
																						}
																						if ((2L < BgL_odepthz00_6116))
																							{	/* SawMill/node2rtl.scm 539 */
																								obj_t BgL_arg1853z00_6118;

																								{	/* SawMill/node2rtl.scm 539 */
																									obj_t BgL_arg1854z00_6119;

																									BgL_arg1854z00_6119 =
																										(BgL_oclassz00_6111);
																									BgL_arg1853z00_6118 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_6119, 2L);
																								}
																								BgL_res2937z00_6110 =
																									(BgL_arg1853z00_6118 ==
																									BgL_classz00_6105);
																							}
																						else
																							{	/* SawMill/node2rtl.scm 539 */
																								BgL_res2937z00_6110 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test3191z00_8377 = BgL_res2937z00_6110;
																	}
															}
														}
													}
													if (BgL_test3191z00_8377)
														{	/* SawMill/node2rtl.scm 540 */
															bool_t BgL_test3195z00_8405;

															{	/* SawMill/node2rtl.scm 540 */
																long BgL_tmpz00_8406;

																{
																	BgL_variablez00_bglt BgL_auxz00_8407;

																	{
																		BgL_localz00_bglt BgL_auxz00_8408;

																		{
																			obj_t BgL_auxz00_8409;

																			{	/* SawMill/node2rtl.scm 540 */
																				obj_t BgL_pairz00_6120;

																				BgL_pairz00_6120 =
																					(((BgL_letzd2varzd2_bglt) COBJECT(
																							((BgL_letzd2varzd2_bglt)
																								BgL_ez00_5867)))->
																					BgL_bindingsz00);
																				{	/* SawMill/node2rtl.scm 540 */
																					obj_t BgL_pairz00_6121;

																					BgL_pairz00_6121 =
																						CAR(BgL_pairz00_6120);
																					BgL_auxz00_8409 =
																						CAR(BgL_pairz00_6121);
																			}}
																			BgL_auxz00_8408 =
																				((BgL_localz00_bglt) BgL_auxz00_8409);
																		}
																		BgL_auxz00_8407 =
																			((BgL_variablez00_bglt) BgL_auxz00_8408);
																	}
																	BgL_tmpz00_8406 =
																		(((BgL_variablez00_bglt)
																			COBJECT(BgL_auxz00_8407))->
																		BgL_occurrencez00);
																}
																BgL_test3195z00_8405 = (1L == BgL_tmpz00_8406);
															}
															if (BgL_test3195z00_8405)
																{	/* SawMill/node2rtl.scm 541 */
																	obj_t BgL_tmpz00_8418;

																	{	/* SawMill/node2rtl.scm 541 */
																		obj_t BgL_pairz00_6122;

																		BgL_pairz00_6122 =
																			(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_ez00_5867)))->BgL_bindingsz00);
																		BgL_tmpz00_8418 =
																			CAR(CAR(BgL_pairz00_6122));
																	}
																	BgL_test3184z00_8341 =
																		(BgL_tmpz00_8418 ==
																		((obj_t)
																			(((BgL_varz00_bglt) COBJECT(
																						((BgL_varz00_bglt)
																							(((BgL_conditionalz00_bglt)
																									COBJECT((
																											(BgL_conditionalz00_bglt)
																											(((BgL_letzd2varzd2_bglt)
																													COBJECT((
																															(BgL_letzd2varzd2_bglt)
																															BgL_ez00_5867)))->
																												BgL_bodyz00))))->
																								BgL_testz00))))->
																				BgL_variablez00)));
																}
															else
																{	/* SawMill/node2rtl.scm 540 */
																	BgL_test3184z00_8341 = ((bool_t) 0);
																}
														}
													else
														{	/* SawMill/node2rtl.scm 539 */
															BgL_test3184z00_8341 = ((bool_t) 0);
														}
												}
											else
												{	/* SawMill/node2rtl.scm 538 */
													BgL_test3184z00_8341 = ((bool_t) 0);
												}
										}
								}
							else
								{	/* SawMill/node2rtl.scm 536 */
									BgL_test3184z00_8341 = ((bool_t) 0);
								}
						}
						if (BgL_test3184z00_8341)
							{	/* SawMill/node2rtl.scm 536 */
								{	/* SawMill/node2rtl.scm 543 */
									BgL_nodez00_bglt BgL_arg2665z00_6123;
									obj_t BgL_arg2666z00_6124;

									BgL_arg2665z00_6123 =
										(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_ez00_5867)))->BgL_bodyz00);
									{	/* SawMill/node2rtl.scm 543 */
										obj_t BgL_pairz00_6125;

										BgL_pairz00_6125 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_ez00_5867)))->
											BgL_bindingsz00);
										BgL_arg2666z00_6124 = CDR(CAR(BgL_pairz00_6125));
									}
									((((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_arg2665z00_6123)))->
											BgL_testz00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
												BgL_arg2666z00_6124)), BUNSPEC);
								}
								return
									BGl_predicatez00zzsaw_node2rtlz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_ez00_5867)))->BgL_bodyz00),
									BgL_lz00_5868);
							}
						else
							{	/* SawMill/node2rtl.scm 546 */
								BgL_areaz00_bglt BgL_arg2670z00_6126;

								{	/* SawMill/node2rtl.scm 546 */
									BgL_rtl_ifz00_bglt BgL_arg2671z00_6127;

									{	/* SawMill/node2rtl.scm 546 */
										BgL_rtl_ifz00_bglt BgL_new1387z00_6128;

										{	/* SawMill/node2rtl.scm 546 */
											BgL_rtl_ifz00_bglt BgL_new1386z00_6129;

											BgL_new1386z00_6129 =
												((BgL_rtl_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_ifz00_bgl))));
											{	/* SawMill/node2rtl.scm 546 */
												long BgL_arg2673z00_6130;

												BgL_arg2673z00_6130 =
													BGL_CLASS_NUM(BGl_rtl_ifz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1386z00_6129),
													BgL_arg2673z00_6130);
											}
											BgL_new1387z00_6128 = BgL_new1386z00_6129;
										}
										((((BgL_rtl_funz00_bglt) COBJECT(
														((BgL_rtl_funz00_bglt) BgL_new1387z00_6128)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										BgL_arg2671z00_6127 = BgL_new1387z00_6128;
									}
									{	/* SawMill/node2rtl.scm 546 */
										obj_t BgL_list2672z00_6131;

										BgL_list2672z00_6131 =
											MAKE_YOUNG_PAIR(
											((obj_t) ((BgL_letzd2varzd2_bglt) BgL_ez00_5867)), BNIL);
										BgL_arg2670z00_6126 =
											BGl_callza2za2zzsaw_node2rtlz00(
											((obj_t)
												((BgL_letzd2varzd2_bglt) BgL_ez00_5867)),
											((BgL_rtl_funz00_bglt) BgL_arg2671z00_6127),
											BgL_list2672z00_6131);
								}}
								return
									BGl_forkz00zzsaw_node2rtlz00(BgL_arg2670z00_6126,
									BgL_lz00_5868);
							}
					}
			}
		}

	}



/* &predicate-conditiona1789 */
	BgL_areaz00_bglt BGl_z62predicatezd2conditiona1789zb0zzsaw_node2rtlz00(obj_t
		BgL_envz00_5869, obj_t BgL_ez00_5870, obj_t BgL_lz00_5871)
	{
		{	/* SawMill/node2rtl.scm 521 */
			{	/* SawMill/node2rtl.scm 523 */
				BgL_nodez00_bglt BgL_arg2584z00_6133;
				obj_t BgL_arg2585z00_6134;

				BgL_arg2584z00_6133 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_ez00_5870)))->BgL_testz00);
				{	/* SawMill/node2rtl.scm 523 */
					BgL_areaz00_bglt BgL_arg2586z00_6135;
					BgL_areaz00_bglt BgL_arg2587z00_6136;

					BgL_arg2586z00_6135 =
						BGl_predicatez00zzsaw_node2rtlz00(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_ez00_5870)))->BgL_truez00),
						BgL_lz00_5871);
					BgL_arg2587z00_6136 =
						BGl_predicatez00zzsaw_node2rtlz00((((BgL_conditionalz00_bglt)
								COBJECT(((BgL_conditionalz00_bglt) BgL_ez00_5870)))->
							BgL_falsez00), BgL_lz00_5871);
					{	/* SawMill/node2rtl.scm 523 */
						obj_t BgL_list2588z00_6137;

						{	/* SawMill/node2rtl.scm 523 */
							obj_t BgL_arg2590z00_6138;

							BgL_arg2590z00_6138 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg2587z00_6136), BNIL);
							BgL_list2588z00_6137 =
								MAKE_YOUNG_PAIR(
								((obj_t) BgL_arg2586z00_6135), BgL_arg2590z00_6138);
						}
						BgL_arg2585z00_6134 = BgL_list2588z00_6137;
					}
				}
				return
					BGl_predicatez00zzsaw_node2rtlz00(BgL_arg2584z00_6133,
					BgL_arg2585z00_6134);
			}
		}

	}



/* &predicate-atom1787 */
	BgL_areaz00_bglt BGl_z62predicatezd2atom1787zb0zzsaw_node2rtlz00(obj_t
		BgL_envz00_5872, obj_t BgL_ez00_5873, obj_t BgL_lz00_5874)
	{
		{	/* SawMill/node2rtl.scm 514 */
			if (CBOOL(
					(((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt) BgL_ez00_5873)))->BgL_valuez00)))
				{	/* SawMill/node2rtl.scm 516 */
					return ((BgL_areaz00_bglt) CAR(((obj_t) BgL_lz00_5874)));
				}
			else
				{	/* SawMill/node2rtl.scm 518 */
					obj_t BgL_pairz00_6140;

					BgL_pairz00_6140 = CDR(((obj_t) BgL_lz00_5874));
					return ((BgL_areaz00_bglt) CAR(BgL_pairz00_6140));
				}
		}

	}



/* &node->rtl-return1783 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2return1783z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5875, obj_t BgL_ez00_5876)
	{
		{	/* SawMill/node2rtl.scm 496 */
			{	/* SawMill/node2rtl.scm 498 */
				BgL_retblockz00_bglt BgL_i1380z00_6142;

				BgL_i1380z00_6142 =
					((BgL_retblockz00_bglt)
					(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_ez00_5876)))->BgL_blockz00));
				{	/* SawMill/node2rtl.scm 499 */
					BgL_areaz00_bglt BgL_rz00_6143;

					{	/* SawMill/node2rtl.scm 499 */
						BgL_nodez00_bglt BgL_arg2581z00_6144;
						BgL_rtl_regz00_bglt BgL_arg2582z00_6145;

						BgL_arg2581z00_6144 =
							(((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_ez00_5876)))->BgL_valuez00);
						{
							BgL_retblockzf2tozf2_bglt BgL_auxz00_8486;

							{
								obj_t BgL_auxz00_8487;

								{	/* SawMill/node2rtl.scm 499 */
									BgL_objectz00_bglt BgL_tmpz00_8488;

									BgL_tmpz00_8488 = ((BgL_objectz00_bglt) BgL_i1380z00_6142);
									BgL_auxz00_8487 = BGL_OBJECT_WIDENING(BgL_tmpz00_8488);
								}
								BgL_auxz00_8486 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_8487);
							}
							BgL_arg2582z00_6145 =
								(((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_8486))->
								BgL_dstz00);
						}
						{	/* SawMill/node2rtl.scm 499 */
							BgL_areaz00_bglt BgL_res2933z00_6146;

							{	/* SawMill/node2rtl.scm 187 */
								BgL_areaz00_bglt BgL_az00_6147;

								BgL_az00_6147 =
									BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(BgL_arg2581z00_6144);
								BGl_bdestinationz12z12zzsaw_node2rtlz00(
									(((BgL_areaz00_bglt) COBJECT(BgL_az00_6147))->BgL_exitz00),
									BgL_arg2582z00_6145);
								BgL_res2933z00_6146 = BgL_az00_6147;
							}
							BgL_rz00_6143 = BgL_res2933z00_6146;
						}
					}
					{	/* SawMill/node2rtl.scm 500 */
						BgL_blockz00_bglt BgL_arg2579z00_6148;
						BgL_blockz00_bglt BgL_arg2580z00_6149;

						BgL_arg2579z00_6148 =
							(((BgL_areaz00_bglt) COBJECT(BgL_rz00_6143))->BgL_exitz00);
						{
							BgL_retblockzf2tozf2_bglt BgL_auxz00_8497;

							{
								obj_t BgL_auxz00_8498;

								{	/* SawMill/node2rtl.scm 500 */
									BgL_objectz00_bglt BgL_tmpz00_8499;

									BgL_tmpz00_8499 = ((BgL_objectz00_bglt) BgL_i1380z00_6142);
									BgL_auxz00_8498 = BGL_OBJECT_WIDENING(BgL_tmpz00_8499);
								}
								BgL_auxz00_8497 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_8498);
							}
							BgL_arg2580z00_6149 =
								(((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_8497))->
								BgL_toz00);
						}
						{	/* SawMill/node2rtl.scm 92 */
							obj_t BgL_arg1903z00_6150;

							{	/* SawMill/node2rtl.scm 92 */
								obj_t BgL_arg1904z00_6151;

								BgL_arg1904z00_6151 =
									(((BgL_blockz00_bglt) COBJECT(BgL_arg2579z00_6148))->
									BgL_succsz00);
								BgL_arg1903z00_6150 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg2580z00_6149),
									BgL_arg1904z00_6151);
							}
							((((BgL_blockz00_bglt) COBJECT(BgL_arg2579z00_6148))->
									BgL_succsz00) = ((obj_t) BgL_arg1903z00_6150), BUNSPEC);
						}
					}
					return BGl_unlinkz00zzsaw_node2rtlz00(BgL_rz00_6143);
				}
			}
		}

	}



/* &node->rtl-retblock1781 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2retblock1781z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5877, obj_t BgL_ez00_5878)
	{
		{	/* SawMill/node2rtl.scm 480 */
			{	/* SawMill/node2rtl.scm 483 */
				BgL_rtl_regz00_bglt BgL_dstz00_6153;

				BgL_dstz00_6153 =
					BGl_newzd2regzd2zzsaw_node2rtlz00(
					((BgL_nodez00_bglt) ((BgL_retblockz00_bglt) BgL_ez00_5878)));
				{	/* SawMill/node2rtl.scm 484 */
					BgL_areaz00_bglt BgL_joinz00_6154;

					{	/* SawMill/node2rtl.scm 484 */
						BgL_rtl_movz00_bglt BgL_arg2576z00_6155;

						{	/* SawMill/node2rtl.scm 484 */
							BgL_rtl_movz00_bglt BgL_new1374z00_6156;

							{	/* SawMill/node2rtl.scm 484 */
								BgL_rtl_movz00_bglt BgL_new1373z00_6157;

								BgL_new1373z00_6157 =
									((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_movz00_bgl))));
								{	/* SawMill/node2rtl.scm 484 */
									long BgL_arg2578z00_6158;

									BgL_arg2578z00_6158 =
										BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1373z00_6157),
										BgL_arg2578z00_6158);
								}
								BgL_new1374z00_6156 = BgL_new1373z00_6157;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1374z00_6156)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg2576z00_6155 = BgL_new1374z00_6156;
						}
						{	/* SawMill/node2rtl.scm 484 */
							obj_t BgL_list2577z00_6159;

							BgL_list2577z00_6159 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_dstz00_6153), BNIL);
							BgL_joinz00_6154 =
								BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
								((BgL_rtl_funz00_bglt) BgL_arg2576z00_6155),
								BgL_list2577z00_6159);
					}}
					{	/* SawMill/node2rtl.scm 485 */
						BgL_retblockzf2tozf2_bglt BgL_wide1377z00_6160;

						BgL_wide1377z00_6160 =
							((BgL_retblockzf2tozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_retblockzf2tozf2_bgl))));
						{	/* SawMill/node2rtl.scm 485 */
							obj_t BgL_auxz00_8527;
							BgL_objectz00_bglt BgL_tmpz00_8523;

							BgL_auxz00_8527 = ((obj_t) BgL_wide1377z00_6160);
							BgL_tmpz00_8523 =
								((BgL_objectz00_bglt)
								((BgL_retblockz00_bglt)
									((BgL_retblockz00_bglt) BgL_ez00_5878)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8523, BgL_auxz00_8527);
						}
						((BgL_objectz00_bglt)
							((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_ez00_5878)));
						{	/* SawMill/node2rtl.scm 485 */
							long BgL_arg2572z00_6161;

							BgL_arg2572z00_6161 =
								BGL_CLASS_NUM(BGl_retblockzf2tozf2zzsaw_node2rtlz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_retblockz00_bglt)
										((BgL_retblockz00_bglt) BgL_ez00_5878))),
								BgL_arg2572z00_6161);
						}
						((BgL_retblockz00_bglt)
							((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_ez00_5878)));
					}
					{
						BgL_retblockzf2tozf2_bglt BgL_auxz00_8541;

						{
							obj_t BgL_auxz00_8542;

							{	/* SawMill/node2rtl.scm 485 */
								BgL_objectz00_bglt BgL_tmpz00_8543;

								BgL_tmpz00_8543 =
									((BgL_objectz00_bglt)
									((BgL_retblockz00_bglt)
										((BgL_retblockz00_bglt) BgL_ez00_5878)));
								BgL_auxz00_8542 = BGL_OBJECT_WIDENING(BgL_tmpz00_8543);
							}
							BgL_auxz00_8541 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_8542);
						}
						((((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_8541))->
								BgL_toz00) =
							((BgL_blockz00_bglt) (((BgL_areaz00_bglt)
										COBJECT(BgL_joinz00_6154))->BgL_entryz00)), BUNSPEC);
					}
					{
						BgL_retblockzf2tozf2_bglt BgL_auxz00_8551;

						{
							obj_t BgL_auxz00_8552;

							{	/* SawMill/node2rtl.scm 485 */
								BgL_objectz00_bglt BgL_tmpz00_8553;

								BgL_tmpz00_8553 =
									((BgL_objectz00_bglt)
									((BgL_retblockz00_bglt)
										((BgL_retblockz00_bglt) BgL_ez00_5878)));
								BgL_auxz00_8552 = BGL_OBJECT_WIDENING(BgL_tmpz00_8553);
							}
							BgL_auxz00_8551 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_8552);
						}
						((((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_8551))->
								BgL_dstz00) = ((BgL_rtl_regz00_bglt) BgL_dstz00_6153), BUNSPEC);
					}
					((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_ez00_5878));
					{	/* SawMill/node2rtl.scm 486 */
						BgL_areaz00_bglt BgL_arg2573z00_6162;

						{	/* SawMill/node2rtl.scm 486 */
							BgL_nodez00_bglt BgL_arg2575z00_6163;

							BgL_arg2575z00_6163 =
								(((BgL_retblockz00_bglt) COBJECT(
										((BgL_retblockz00_bglt) BgL_ez00_5878)))->BgL_bodyz00);
							{	/* SawMill/node2rtl.scm 486 */
								BgL_areaz00_bglt BgL_res2932z00_6164;

								{	/* SawMill/node2rtl.scm 187 */
									BgL_areaz00_bglt BgL_az00_6165;

									BgL_az00_6165 =
										BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(BgL_arg2575z00_6163);
									BGl_bdestinationz12z12zzsaw_node2rtlz00(
										(((BgL_areaz00_bglt) COBJECT(BgL_az00_6165))->BgL_exitz00),
										BgL_dstz00_6153);
									BgL_res2932z00_6164 = BgL_az00_6165;
								}
								BgL_arg2573z00_6162 = BgL_res2932z00_6164;
						}}
						return
							BGl_linkz00zzsaw_node2rtlz00(BgL_arg2573z00_6162,
							BgL_joinz00_6154);
					}
				}
			}
		}

	}



/* &node->rtl-box-set!1779 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2boxzd2setz121779z41zzsaw_node2rtlz00(obj_t
		BgL_envz00_5879, obj_t BgL_ez00_5880)
	{
		{	/* SawMill/node2rtl.scm 474 */
			{	/* SawMill/node2rtl.scm 476 */
				BgL_areaz00_bglt BgL_arg2559z00_6167;
				BgL_areaz00_bglt BgL_arg2560z00_6168;

				{	/* SawMill/node2rtl.scm 476 */
					BgL_rtl_boxsetz00_bglt BgL_arg2561z00_6169;
					BgL_varz00_bglt BgL_arg2562z00_6170;
					BgL_nodez00_bglt BgL_arg2563z00_6171;

					{	/* SawMill/node2rtl.scm 476 */
						BgL_rtl_boxsetz00_bglt BgL_new1369z00_6172;

						{	/* SawMill/node2rtl.scm 476 */
							BgL_rtl_boxsetz00_bglt BgL_new1368z00_6173;

							BgL_new1368z00_6173 =
								((BgL_rtl_boxsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_boxsetz00_bgl))));
							{	/* SawMill/node2rtl.scm 476 */
								long BgL_arg2566z00_6174;

								BgL_arg2566z00_6174 =
									BGL_CLASS_NUM(BGl_rtl_boxsetz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1368z00_6173),
									BgL_arg2566z00_6174);
							}
							BgL_new1369z00_6172 = BgL_new1368z00_6173;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1369z00_6172)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2561z00_6169 = BgL_new1369z00_6172;
					}
					BgL_arg2562z00_6170 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_ez00_5880)))->BgL_varz00);
					BgL_arg2563z00_6171 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_ez00_5880)))->BgL_valuez00);
					{	/* SawMill/node2rtl.scm 476 */
						obj_t BgL_list2564z00_6175;

						{	/* SawMill/node2rtl.scm 476 */
							obj_t BgL_arg2565z00_6176;

							BgL_arg2565z00_6176 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg2563z00_6171), BNIL);
							BgL_list2564z00_6175 =
								MAKE_YOUNG_PAIR(
								((obj_t) BgL_arg2562z00_6170), BgL_arg2565z00_6176);
						}
						BgL_arg2559z00_6167 =
							BGl_callza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_boxzd2setz12zc0_bglt) BgL_ez00_5880)),
							((BgL_rtl_funz00_bglt) BgL_arg2561z00_6169),
							BgL_list2564z00_6175);
				}}
				{	/* SawMill/node2rtl.scm 477 */
					BgL_rtl_nopz00_bglt BgL_arg2568z00_6177;

					{	/* SawMill/node2rtl.scm 477 */
						BgL_rtl_nopz00_bglt BgL_new1371z00_6178;

						{	/* SawMill/node2rtl.scm 477 */
							BgL_rtl_nopz00_bglt BgL_new1370z00_6179;

							BgL_new1370z00_6179 =
								((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_nopz00_bgl))));
							{	/* SawMill/node2rtl.scm 477 */
								long BgL_arg2571z00_6180;

								BgL_arg2571z00_6180 =
									BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1370z00_6179),
									BgL_arg2571z00_6180);
							}
							BgL_new1371z00_6178 = BgL_new1370z00_6179;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1371z00_6178)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2568z00_6177 = BgL_new1371z00_6178;
					}
					BgL_arg2560z00_6168 =
						BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
						((BgL_rtl_funz00_bglt) BgL_arg2568z00_6177), BNIL);
				}
				return
					BGl_linkz00zzsaw_node2rtlz00(BgL_arg2559z00_6167,
					BgL_arg2560z00_6168);
			}
		}

	}



/* &node->rtl-box-ref1777 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2boxzd2ref1777z53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5881, obj_t BgL_ez00_5882)
	{
		{	/* SawMill/node2rtl.scm 469 */
			{	/* SawMill/node2rtl.scm 471 */
				BgL_rtl_boxrefz00_bglt BgL_arg2555z00_6182;
				BgL_varz00_bglt BgL_arg2556z00_6183;

				{	/* SawMill/node2rtl.scm 471 */
					BgL_rtl_boxrefz00_bglt BgL_new1366z00_6184;

					{	/* SawMill/node2rtl.scm 471 */
						BgL_rtl_boxrefz00_bglt BgL_new1365z00_6185;

						BgL_new1365z00_6185 =
							((BgL_rtl_boxrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_boxrefz00_bgl))));
						{	/* SawMill/node2rtl.scm 471 */
							long BgL_arg2558z00_6186;

							BgL_arg2558z00_6186 =
								BGL_CLASS_NUM(BGl_rtl_boxrefz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1365z00_6185),
								BgL_arg2558z00_6186);
						}
						BgL_new1366z00_6184 = BgL_new1365z00_6185;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1366z00_6184)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					BgL_arg2555z00_6182 = BgL_new1366z00_6184;
				}
				BgL_arg2556z00_6183 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_ez00_5882)))->BgL_varz00);
				{	/* SawMill/node2rtl.scm 471 */
					obj_t BgL_list2557z00_6187;

					BgL_list2557z00_6187 =
						MAKE_YOUNG_PAIR(((obj_t) BgL_arg2556z00_6183), BNIL);
					return
						BGl_callza2za2zzsaw_node2rtlz00(
						((obj_t)
							((BgL_boxzd2refzd2_bglt) BgL_ez00_5882)),
						((BgL_rtl_funz00_bglt) BgL_arg2555z00_6182), BgL_list2557z00_6187);
				}
			}
		}

	}



/* &node->rtl-make-box1775 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2makezd2box1775z53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5883, obj_t BgL_ez00_5884)
	{
		{	/* SawMill/node2rtl.scm 464 */
			{	/* SawMill/node2rtl.scm 466 */
				BgL_rtl_makeboxz00_bglt BgL_arg2551z00_6189;
				BgL_nodez00_bglt BgL_arg2552z00_6190;

				{	/* SawMill/node2rtl.scm 466 */
					BgL_rtl_makeboxz00_bglt BgL_new1363z00_6191;

					{	/* SawMill/node2rtl.scm 466 */
						BgL_rtl_makeboxz00_bglt BgL_new1362z00_6192;

						BgL_new1362z00_6192 =
							((BgL_rtl_makeboxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_makeboxz00_bgl))));
						{	/* SawMill/node2rtl.scm 466 */
							long BgL_arg2554z00_6193;

							BgL_arg2554z00_6193 =
								BGL_CLASS_NUM(BGl_rtl_makeboxz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1362z00_6192),
								BgL_arg2554z00_6193);
						}
						BgL_new1363z00_6191 = BgL_new1362z00_6192;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1363z00_6191)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					BgL_arg2551z00_6189 = BgL_new1363z00_6191;
				}
				BgL_arg2552z00_6190 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_ez00_5884)))->BgL_valuez00);
				{	/* SawMill/node2rtl.scm 466 */
					obj_t BgL_list2553z00_6194;

					BgL_list2553z00_6194 =
						MAKE_YOUNG_PAIR(((obj_t) BgL_arg2552z00_6190), BNIL);
					return
						BGl_callza2za2zzsaw_node2rtlz00(
						((obj_t)
							((BgL_makezd2boxzd2_bglt) BgL_ez00_5884)),
						((BgL_rtl_funz00_bglt) BgL_arg2551z00_6189), BgL_list2553z00_6194);
				}
			}
		}

	}



/* &node->rtl-fail1773 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2fail1773z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5885, obj_t BgL_ez00_5886)
	{
		{	/* SawMill/node2rtl.scm 459 */
			{	/* SawMill/node2rtl.scm 461 */
				BgL_areaz00_bglt BgL_arg2541z00_6196;

				{	/* SawMill/node2rtl.scm 461 */
					BgL_rtl_failz00_bglt BgL_arg2542z00_6197;
					BgL_nodez00_bglt BgL_arg2543z00_6198;
					BgL_nodez00_bglt BgL_arg2545z00_6199;
					BgL_nodez00_bglt BgL_arg2546z00_6200;

					{	/* SawMill/node2rtl.scm 461 */
						BgL_rtl_failz00_bglt BgL_new1360z00_6201;

						{	/* SawMill/node2rtl.scm 461 */
							BgL_rtl_failz00_bglt BgL_new1359z00_6202;

							BgL_new1359z00_6202 =
								((BgL_rtl_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_failz00_bgl))));
							{	/* SawMill/node2rtl.scm 461 */
								long BgL_arg2550z00_6203;

								BgL_arg2550z00_6203 =
									BGL_CLASS_NUM(BGl_rtl_failz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1359z00_6202),
									BgL_arg2550z00_6203);
							}
							BgL_new1360z00_6201 = BgL_new1359z00_6202;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1360z00_6201)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2542z00_6197 = BgL_new1360z00_6201;
					}
					BgL_arg2543z00_6198 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_ez00_5886)))->BgL_procz00);
					BgL_arg2545z00_6199 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_ez00_5886)))->BgL_msgz00);
					BgL_arg2546z00_6200 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_ez00_5886)))->BgL_objz00);
					{	/* SawMill/node2rtl.scm 461 */
						obj_t BgL_list2547z00_6204;

						{	/* SawMill/node2rtl.scm 461 */
							obj_t BgL_arg2548z00_6205;

							{	/* SawMill/node2rtl.scm 461 */
								obj_t BgL_arg2549z00_6206;

								BgL_arg2549z00_6206 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg2546z00_6200), BNIL);
								BgL_arg2548z00_6205 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_arg2545z00_6199), BgL_arg2549z00_6206);
							}
							BgL_list2547z00_6204 =
								MAKE_YOUNG_PAIR(
								((obj_t) BgL_arg2543z00_6198), BgL_arg2548z00_6205);
						}
						BgL_arg2541z00_6196 =
							BGl_callza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_failz00_bglt) BgL_ez00_5886)),
							((BgL_rtl_funz00_bglt) BgL_arg2542z00_6197),
							BgL_list2547z00_6204);
				}}
				return BGl_unlinkz00zzsaw_node2rtlz00(BgL_arg2541z00_6196);
			}
		}

	}



/* &node->rtl-jump-ex-it1771 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2jumpzd2exzd2it1771z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5887, obj_t BgL_ez00_5888)
	{
		{	/* SawMill/node2rtl.scm 454 */
			{	/* SawMill/node2rtl.scm 456 */
				BgL_areaz00_bglt BgL_arg2532z00_6208;

				{	/* SawMill/node2rtl.scm 456 */
					BgL_rtl_jumpexitz00_bglt BgL_arg2533z00_6209;
					BgL_nodez00_bglt BgL_arg2535z00_6210;
					BgL_nodez00_bglt BgL_arg2536z00_6211;

					{	/* SawMill/node2rtl.scm 456 */
						BgL_rtl_jumpexitz00_bglt BgL_new1357z00_6212;

						{	/* SawMill/node2rtl.scm 456 */
							BgL_rtl_jumpexitz00_bglt BgL_new1356z00_6213;

							BgL_new1356z00_6213 =
								((BgL_rtl_jumpexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_jumpexitz00_bgl))));
							{	/* SawMill/node2rtl.scm 456 */
								long BgL_arg2539z00_6214;

								BgL_arg2539z00_6214 =
									BGL_CLASS_NUM(BGl_rtl_jumpexitz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1356z00_6213),
									BgL_arg2539z00_6214);
							}
							BgL_new1357z00_6212 = BgL_new1356z00_6213;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1357z00_6212)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2533z00_6209 = BgL_new1357z00_6212;
					}
					BgL_arg2535z00_6210 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_ez00_5888)))->BgL_exitz00);
					BgL_arg2536z00_6211 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_ez00_5888)))->BgL_valuez00);
					{	/* SawMill/node2rtl.scm 456 */
						obj_t BgL_list2537z00_6215;

						{	/* SawMill/node2rtl.scm 456 */
							obj_t BgL_arg2538z00_6216;

							BgL_arg2538z00_6216 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg2536z00_6211), BNIL);
							BgL_list2537z00_6215 =
								MAKE_YOUNG_PAIR(
								((obj_t) BgL_arg2535z00_6210), BgL_arg2538z00_6216);
						}
						BgL_arg2532z00_6208 =
							BGl_callza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_ez00_5888)),
							((BgL_rtl_funz00_bglt) BgL_arg2533z00_6209),
							BgL_list2537z00_6215);
				}}
				return BGl_unlinkz00zzsaw_node2rtlz00(BgL_arg2532z00_6208);
			}
		}

	}



/* &node->rtl-set-ex-it1769 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2setzd2exzd2it1769z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5889, obj_t BgL_ez00_5890)
	{
		{	/* SawMill/node2rtl.scm 446 */
			{	/* SawMill/node2rtl.scm 448 */
				BgL_areaz00_bglt BgL_arg2514z00_6218;
				BgL_areaz00_bglt BgL_arg2515z00_6219;

				{	/* SawMill/node2rtl.scm 448 */
					BgL_areaz00_bglt BgL_az00_6220;

					{	/* SawMill/node2rtl.scm 448 */
						BgL_rtl_protectz00_bglt BgL_arg2522z00_6221;

						{	/* SawMill/node2rtl.scm 448 */
							BgL_rtl_protectz00_bglt BgL_new1352z00_6222;

							{	/* SawMill/node2rtl.scm 448 */
								BgL_rtl_protectz00_bglt BgL_new1351z00_6223;

								BgL_new1351z00_6223 =
									((BgL_rtl_protectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_protectz00_bgl))));
								{	/* SawMill/node2rtl.scm 448 */
									long BgL_arg2525z00_6224;

									BgL_arg2525z00_6224 =
										BGL_CLASS_NUM(BGl_rtl_protectz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1351z00_6223),
										BgL_arg2525z00_6224);
								}
								BgL_new1352z00_6222 = BgL_new1351z00_6223;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1352z00_6222)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg2522z00_6221 = BgL_new1352z00_6222;
						}
						BgL_az00_6220 =
							BGl_singleza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_setzd2exzd2itz00_bglt) BgL_ez00_5890)),
							((BgL_rtl_funz00_bglt) BgL_arg2522z00_6221), BNIL);
					}
					{	/* SawMill/node2rtl.scm 449 */
						BgL_rtl_regz00_bglt BgL_arg2519z00_6225;

						{	/* SawMill/node2rtl.scm 449 */
							BgL_variablez00_bglt BgL_arg2520z00_6226;

							BgL_arg2520z00_6226 =
								(((BgL_varz00_bglt) COBJECT(
										(((BgL_setzd2exzd2itz00_bglt) COBJECT(
													((BgL_setzd2exzd2itz00_bglt) BgL_ez00_5890)))->
											BgL_varz00)))->BgL_variablez00);
							BgL_arg2519z00_6225 =
								BGl_localzd2ze3regz31zzsaw_node2rtlz00(((BgL_localz00_bglt)
									BgL_arg2520z00_6226));
						}
						BGl_bdestinationz12z12zzsaw_node2rtlz00(
							(((BgL_areaz00_bglt) COBJECT(BgL_az00_6220))->BgL_exitz00),
							BgL_arg2519z00_6225);
					}
					BgL_arg2514z00_6218 = BgL_az00_6220;
				}
				{	/* SawMill/node2rtl.scm 451 */
					BgL_rtl_protectedz00_bglt BgL_arg2527z00_6227;
					BgL_nodez00_bglt BgL_arg2528z00_6228;

					{	/* SawMill/node2rtl.scm 451 */
						BgL_rtl_protectedz00_bglt BgL_new1354z00_6229;

						{	/* SawMill/node2rtl.scm 451 */
							BgL_rtl_protectedz00_bglt BgL_new1353z00_6230;

							BgL_new1353z00_6230 =
								((BgL_rtl_protectedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_protectedz00_bgl))));
							{	/* SawMill/node2rtl.scm 451 */
								long BgL_arg2530z00_6231;

								BgL_arg2530z00_6231 =
									BGL_CLASS_NUM(BGl_rtl_protectedz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1353z00_6230),
									BgL_arg2530z00_6231);
							}
							BgL_new1354z00_6229 = BgL_new1353z00_6230;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1354z00_6229)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2527z00_6227 = BgL_new1354z00_6229;
					}
					BgL_arg2528z00_6228 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_ez00_5890)))->BgL_bodyz00);
					{	/* SawMill/node2rtl.scm 451 */
						obj_t BgL_list2529z00_6232;

						BgL_list2529z00_6232 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg2528z00_6228), BNIL);
						BgL_arg2515z00_6219 =
							BGl_callza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_setzd2exzd2itz00_bglt) BgL_ez00_5890)),
							((BgL_rtl_funz00_bglt) BgL_arg2527z00_6227),
							BgL_list2529z00_6232);
				}}
				return
					BGl_linkz00zzsaw_node2rtlz00(BgL_arg2514z00_6218,
					BgL_arg2515z00_6219);
			}
		}

	}



/* &node->rtl-cast-null1767 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2castzd2null1767z53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5891, obj_t BgL_ez00_5892)
	{
		{	/* SawMill/node2rtl.scm 441 */
			{	/* SawMill/node2rtl.scm 443 */
				BgL_rtl_cast_nullz00_bglt BgL_arg2510z00_6234;

				{	/* SawMill/node2rtl.scm 443 */
					BgL_rtl_cast_nullz00_bglt BgL_new1349z00_6235;

					{	/* SawMill/node2rtl.scm 443 */
						BgL_rtl_cast_nullz00_bglt BgL_new1348z00_6236;

						BgL_new1348z00_6236 =
							((BgL_rtl_cast_nullz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_cast_nullz00_bgl))));
						{	/* SawMill/node2rtl.scm 443 */
							long BgL_arg2512z00_6237;

							BgL_arg2512z00_6237 =
								BGL_CLASS_NUM(BGl_rtl_cast_nullz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1348z00_6236),
								BgL_arg2512z00_6237);
						}
						BgL_new1349z00_6235 = BgL_new1348z00_6236;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1349z00_6235)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_cast_nullz00_bglt) COBJECT(BgL_new1349z00_6235))->
							BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_nodez00_bglt)
									COBJECT(((BgL_nodez00_bglt) ((BgL_castzd2nullzd2_bglt)
												BgL_ez00_5892))))->BgL_typez00)), BUNSPEC);
					BgL_arg2510z00_6234 = BgL_new1349z00_6235;
				}
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_castzd2nullzd2_bglt) BgL_ez00_5892)),
					((BgL_rtl_funz00_bglt) BgL_arg2510z00_6234), BNIL);
			}
		}

	}



/* &node->rtl-cast1764 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2cast1764z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5893, obj_t BgL_ez00_5894)
	{
		{	/* SawMill/node2rtl.scm 434 */
			{	/* SawMill/node2rtl.scm 436 */
				bool_t BgL_test3197z00_8711;

				{	/* SawMill/node2rtl.scm 436 */
					obj_t BgL_arg2509z00_6239;

					BgL_arg2509z00_6239 = BGl_thezd2backendzd2zzbackend_backendz00();
					BgL_test3197z00_8711 =
						(((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_arg2509z00_6239)))->
						BgL_strictzd2typezd2castz00);
				}
				if (BgL_test3197z00_8711)
					{	/* SawMill/node2rtl.scm 437 */
						BgL_rtl_castz00_bglt BgL_arg2503z00_6240;
						BgL_nodez00_bglt BgL_arg2504z00_6241;

						{	/* SawMill/node2rtl.scm 437 */
							BgL_rtl_castz00_bglt BgL_new1346z00_6242;

							{	/* SawMill/node2rtl.scm 437 */
								BgL_rtl_castz00_bglt BgL_new1345z00_6243;

								BgL_new1345z00_6243 =
									((BgL_rtl_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_castz00_bgl))));
								{	/* SawMill/node2rtl.scm 437 */
									long BgL_arg2507z00_6244;

									BgL_arg2507z00_6244 =
										BGL_CLASS_NUM(BGl_rtl_castz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1345z00_6243),
										BgL_arg2507z00_6244);
								}
								BgL_new1346z00_6242 = BgL_new1345z00_6243;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1346z00_6242)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							((((BgL_rtl_castz00_bglt) COBJECT(BgL_new1346z00_6242))->
									BgL_totypez00) =
								((BgL_typez00_bglt) (((BgL_nodez00_bglt)
											COBJECT(((BgL_nodez00_bglt) ((BgL_castz00_bglt)
														BgL_ez00_5894))))->BgL_typez00)), BUNSPEC);
							{
								BgL_typez00_bglt BgL_auxz00_8725;

								{	/* SawMill/node2rtl.scm 437 */
									BgL_nodez00_bglt BgL_arg2506z00_6245;

									BgL_arg2506z00_6245 =
										(((BgL_castz00_bglt) COBJECT(
												((BgL_castz00_bglt) BgL_ez00_5894)))->BgL_argz00);
									BgL_auxz00_8725 =
										BGl_getzd2typezd2zztype_typeofz00(BgL_arg2506z00_6245,
										((bool_t) 0));
								}
								((((BgL_rtl_castz00_bglt) COBJECT(BgL_new1346z00_6242))->
										BgL_fromtypez00) =
									((BgL_typez00_bglt) BgL_auxz00_8725), BUNSPEC);
							}
							BgL_arg2503z00_6240 = BgL_new1346z00_6242;
						}
						BgL_arg2504z00_6241 =
							(((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt) BgL_ez00_5894)))->BgL_argz00);
						{	/* SawMill/node2rtl.scm 437 */
							obj_t BgL_list2505z00_6246;

							BgL_list2505z00_6246 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg2504z00_6241), BNIL);
							return
								BGl_callza2za2zzsaw_node2rtlz00(
								((obj_t)
									((BgL_castz00_bglt) BgL_ez00_5894)),
								((BgL_rtl_funz00_bglt) BgL_arg2503z00_6240),
								BgL_list2505z00_6246);
						}
					}
				else
					{	/* SawMill/node2rtl.scm 436 */
						return
							BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
							(((BgL_castz00_bglt) COBJECT(
										((BgL_castz00_bglt) BgL_ez00_5894)))->BgL_argz00));
					}
			}
		}

	}



/* &node->rtl-instanceof1762 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2instanceof1762z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5895, obj_t BgL_ez00_5896)
	{
		{	/* SawMill/node2rtl.scm 429 */
			{	/* SawMill/node2rtl.scm 431 */
				BgL_rtl_instanceofz00_bglt BgL_arg2498z00_6248;
				obj_t BgL_arg2499z00_6249;

				{	/* SawMill/node2rtl.scm 431 */
					BgL_rtl_instanceofz00_bglt BgL_new1343z00_6250;

					{	/* SawMill/node2rtl.scm 431 */
						BgL_rtl_instanceofz00_bglt BgL_new1342z00_6251;

						BgL_new1342z00_6251 =
							((BgL_rtl_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_instanceofz00_bgl))));
						{	/* SawMill/node2rtl.scm 431 */
							long BgL_arg2500z00_6252;

							BgL_arg2500z00_6252 =
								BGL_CLASS_NUM(BGl_rtl_instanceofz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1342z00_6251),
								BgL_arg2500z00_6252);
						}
						BgL_new1343z00_6250 = BgL_new1342z00_6251;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1343z00_6250)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_instanceofz00_bglt) COBJECT(BgL_new1343z00_6250))->
							BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_instanceofz00_bglt)
									COBJECT(((BgL_instanceofz00_bglt) BgL_ez00_5896)))->
								BgL_classz00)), BUNSPEC);
					BgL_arg2498z00_6248 = BgL_new1343z00_6250;
				}
				BgL_arg2499z00_6249 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_instanceofz00_bglt) BgL_ez00_5896))))->BgL_exprza2za2);
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_instanceofz00_bglt) BgL_ez00_5896)),
					((BgL_rtl_funz00_bglt) BgL_arg2498z00_6248), BgL_arg2499z00_6249);
			}
		}

	}



/* &node->rtl-vlength1760 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2vlength1760z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5897, obj_t BgL_ez00_5898)
	{
		{	/* SawMill/node2rtl.scm 424 */
			{	/* SawMill/node2rtl.scm 426 */
				BgL_rtl_vlengthz00_bglt BgL_arg2495z00_6254;
				obj_t BgL_arg2496z00_6255;

				{	/* SawMill/node2rtl.scm 426 */
					BgL_rtl_vlengthz00_bglt BgL_new1340z00_6256;

					{	/* SawMill/node2rtl.scm 426 */
						BgL_rtl_vlengthz00_bglt BgL_new1339z00_6257;

						BgL_new1339z00_6257 =
							((BgL_rtl_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_vlengthz00_bgl))));
						{	/* SawMill/node2rtl.scm 426 */
							long BgL_arg2497z00_6258;

							BgL_arg2497z00_6258 =
								BGL_CLASS_NUM(BGl_rtl_vlengthz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1339z00_6257),
								BgL_arg2497z00_6258);
						}
						BgL_new1340z00_6256 = BgL_new1339z00_6257;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1340z00_6256)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_new1340z00_6256))->
							BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) (((BgL_vlengthz00_bglt)
										COBJECT(((BgL_vlengthz00_bglt) BgL_ez00_5898)))->
									BgL_ftypez00))), BUNSPEC);
					((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_new1340z00_6256))->
							BgL_vtypez00) =
						((BgL_typez00_bglt) (((BgL_vlengthz00_bglt)
									COBJECT(((BgL_vlengthz00_bglt) BgL_ez00_5898)))->
								BgL_vtypez00)), BUNSPEC);
					BgL_arg2495z00_6254 = BgL_new1340z00_6256;
				}
				BgL_arg2496z00_6255 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vlengthz00_bglt) BgL_ez00_5898))))->BgL_exprza2za2);
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_vlengthz00_bglt) BgL_ez00_5898)),
					((BgL_rtl_funz00_bglt) BgL_arg2495z00_6254), BgL_arg2496z00_6255);
			}
		}

	}



/* &node->rtl-vset!1758 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2vsetz121758z93zzsaw_node2rtlz00(obj_t
		BgL_envz00_5899, obj_t BgL_ez00_5900)
	{
		{	/* SawMill/node2rtl.scm 418 */
			{	/* SawMill/node2rtl.scm 420 */
				BgL_areaz00_bglt BgL_arg2485z00_6260;
				BgL_areaz00_bglt BgL_arg2487z00_6261;

				{	/* SawMill/node2rtl.scm 420 */
					BgL_rtl_vsetz00_bglt BgL_arg2488z00_6262;
					obj_t BgL_arg2489z00_6263;

					{	/* SawMill/node2rtl.scm 420 */
						BgL_rtl_vsetz00_bglt BgL_new1335z00_6264;

						{	/* SawMill/node2rtl.scm 420 */
							BgL_rtl_vsetz00_bglt BgL_new1334z00_6265;

							BgL_new1334z00_6265 =
								((BgL_rtl_vsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_vsetz00_bgl))));
							{	/* SawMill/node2rtl.scm 420 */
								long BgL_arg2490z00_6266;

								BgL_arg2490z00_6266 =
									BGL_CLASS_NUM(BGl_rtl_vsetz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1334z00_6265),
									BgL_arg2490z00_6266);
							}
							BgL_new1335z00_6264 = BgL_new1334z00_6265;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1335z00_6264)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_new1335z00_6264))->
								BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_vsetz12z12_bglt)
										COBJECT(((BgL_vsetz12z12_bglt) BgL_ez00_5900)))->
									BgL_ftypez00)), BUNSPEC);
						((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_new1335z00_6264))->
								BgL_vtypez00) =
							((BgL_typez00_bglt) (((BgL_vsetz12z12_bglt)
										COBJECT(((BgL_vsetz12z12_bglt) BgL_ez00_5900)))->
									BgL_vtypez00)), BUNSPEC);
						BgL_arg2488z00_6262 = BgL_new1335z00_6264;
					}
					BgL_arg2489z00_6263 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vsetz12z12_bglt) BgL_ez00_5900))))->BgL_exprza2za2);
					BgL_arg2485z00_6260 =
						BGl_callza2za2zzsaw_node2rtlz00(
						((obj_t)
							((BgL_vsetz12z12_bglt) BgL_ez00_5900)),
						((BgL_rtl_funz00_bglt) BgL_arg2488z00_6262), BgL_arg2489z00_6263);
				}
				{	/* SawMill/node2rtl.scm 421 */
					BgL_rtl_nopz00_bglt BgL_arg2491z00_6267;

					{	/* SawMill/node2rtl.scm 421 */
						BgL_rtl_nopz00_bglt BgL_new1337z00_6268;

						{	/* SawMill/node2rtl.scm 421 */
							BgL_rtl_nopz00_bglt BgL_new1336z00_6269;

							BgL_new1336z00_6269 =
								((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_nopz00_bgl))));
							{	/* SawMill/node2rtl.scm 421 */
								long BgL_arg2493z00_6270;

								BgL_arg2493z00_6270 =
									BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1336z00_6269),
									BgL_arg2493z00_6270);
							}
							BgL_new1337z00_6268 = BgL_new1336z00_6269;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1337z00_6268)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2491z00_6267 = BgL_new1337z00_6268;
					}
					BgL_arg2487z00_6261 =
						BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
						((BgL_rtl_funz00_bglt) BgL_arg2491z00_6267), BNIL);
				}
				return
					BGl_linkz00zzsaw_node2rtlz00(BgL_arg2485z00_6260,
					BgL_arg2487z00_6261);
			}
		}

	}



/* &node->rtl-vref1756 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2vref1756z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5901, obj_t BgL_ez00_5902)
	{
		{	/* SawMill/node2rtl.scm 413 */
			{	/* SawMill/node2rtl.scm 415 */
				BgL_rtl_vrefz00_bglt BgL_arg2480z00_6272;
				obj_t BgL_arg2481z00_6273;

				{	/* SawMill/node2rtl.scm 415 */
					BgL_rtl_vrefz00_bglt BgL_new1332z00_6274;

					{	/* SawMill/node2rtl.scm 415 */
						BgL_rtl_vrefz00_bglt BgL_new1331z00_6275;

						BgL_new1331z00_6275 =
							((BgL_rtl_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_vrefz00_bgl))));
						{	/* SawMill/node2rtl.scm 415 */
							long BgL_arg2482z00_6276;

							BgL_arg2482z00_6276 = BGL_CLASS_NUM(BGl_rtl_vrefz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1331z00_6275),
								BgL_arg2482z00_6276);
						}
						BgL_new1332z00_6274 = BgL_new1331z00_6275;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1332z00_6274)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_new1332z00_6274))->
							BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_vrefz00_bglt) COBJECT(((BgL_vrefz00_bglt)
											BgL_ez00_5902)))->BgL_ftypez00)), BUNSPEC);
					((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_new1332z00_6274))->
							BgL_vtypez00) =
						((BgL_typez00_bglt) (((BgL_vrefz00_bglt) COBJECT(((BgL_vrefz00_bglt)
											BgL_ez00_5902)))->BgL_vtypez00)), BUNSPEC);
					BgL_arg2480z00_6272 = BgL_new1332z00_6274;
				}
				BgL_arg2481z00_6273 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vrefz00_bglt) BgL_ez00_5902))))->BgL_exprza2za2);
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_vrefz00_bglt) BgL_ez00_5902)),
					((BgL_rtl_funz00_bglt) BgL_arg2480z00_6272), BgL_arg2481z00_6273);
			}
		}

	}



/* &node->rtl-valloc1754 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2valloc1754z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5903, obj_t BgL_ez00_5904)
	{
		{	/* SawMill/node2rtl.scm 407 */
			{	/* SawMill/node2rtl.scm 409 */
				BgL_rtl_vallocz00_bglt BgL_arg2477z00_6278;
				obj_t BgL_arg2478z00_6279;

				{	/* SawMill/node2rtl.scm 409 */
					BgL_rtl_vallocz00_bglt BgL_new1329z00_6280;

					{	/* SawMill/node2rtl.scm 409 */
						BgL_rtl_vallocz00_bglt BgL_new1328z00_6281;

						BgL_new1328z00_6281 =
							((BgL_rtl_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_vallocz00_bgl))));
						{	/* SawMill/node2rtl.scm 409 */
							long BgL_arg2479z00_6282;

							BgL_arg2479z00_6282 =
								BGL_CLASS_NUM(BGl_rtl_vallocz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1328z00_6281),
								BgL_arg2479z00_6282);
						}
						BgL_new1329z00_6280 = BgL_new1328z00_6281;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1329z00_6280)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_new1329z00_6280))->
							BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_vallocz00_bglt)
									COBJECT(((BgL_vallocz00_bglt) BgL_ez00_5904)))->
								BgL_ftypez00)), BUNSPEC);
					((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_new1329z00_6280))->
							BgL_vtypez00) =
						((BgL_typez00_bglt)
							BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
										(BgL_vallocz00_bglt) BgL_ez00_5904)), ((bool_t) 0))),
						BUNSPEC);
					BgL_arg2477z00_6278 = BgL_new1329z00_6280;
				}
				BgL_arg2478z00_6279 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vallocz00_bglt) BgL_ez00_5904))))->BgL_exprza2za2);
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_vallocz00_bglt) BgL_ez00_5904)),
					((BgL_rtl_funz00_bglt) BgL_arg2477z00_6278), BgL_arg2478z00_6279);
			}
		}

	}



/* &node->rtl-new1752 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2new1752z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5905, obj_t BgL_ez00_5906)
	{
		{	/* SawMill/node2rtl.scm 401 */
			{	/* SawMill/node2rtl.scm 403 */
				BgL_rtl_newz00_bglt BgL_arg2473z00_6284;
				obj_t BgL_arg2474z00_6285;

				{	/* SawMill/node2rtl.scm 403 */
					BgL_rtl_newz00_bglt BgL_new1326z00_6286;

					{	/* SawMill/node2rtl.scm 403 */
						BgL_rtl_newz00_bglt BgL_new1325z00_6287;

						BgL_new1325z00_6287 =
							((BgL_rtl_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_newz00_bgl))));
						{	/* SawMill/node2rtl.scm 403 */
							long BgL_arg2476z00_6288;

							BgL_arg2476z00_6288 = BGL_CLASS_NUM(BGl_rtl_newz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1325z00_6287),
								BgL_arg2476z00_6288);
						}
						BgL_new1326z00_6286 = BgL_new1325z00_6287;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1326z00_6286)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_newz00_bglt) COBJECT(BgL_new1326z00_6286))->BgL_typez00) =
						((BgL_typez00_bglt)
							BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
										(BgL_newz00_bglt) BgL_ez00_5906)), ((bool_t) 0))), BUNSPEC);
					((((BgL_rtl_newz00_bglt) COBJECT(BgL_new1326z00_6286))->
							BgL_constrz00) =
						((obj_t) (((BgL_newz00_bglt) COBJECT(((BgL_newz00_bglt)
											BgL_ez00_5906)))->BgL_argszd2typezd2)), BUNSPEC);
					BgL_arg2473z00_6284 = BgL_new1326z00_6286;
				}
				BgL_arg2474z00_6285 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_newz00_bglt) BgL_ez00_5906))))->BgL_exprza2za2);
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_newz00_bglt) BgL_ez00_5906)),
					((BgL_rtl_funz00_bglt) BgL_arg2473z00_6284), BgL_arg2474z00_6285);
			}
		}

	}



/* &node->rtl-setfield1750 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2setfield1750z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5907, obj_t BgL_ez00_5908)
	{
		{	/* SawMill/node2rtl.scm 392 */
			{	/* SawMill/node2rtl.scm 394 */
				BgL_areaz00_bglt BgL_arg2464z00_6290;
				BgL_areaz00_bglt BgL_arg2465z00_6291;

				{	/* SawMill/node2rtl.scm 394 */
					BgL_rtl_setfieldz00_bglt BgL_arg2466z00_6292;
					obj_t BgL_arg2467z00_6293;

					{	/* SawMill/node2rtl.scm 394 */
						BgL_rtl_setfieldz00_bglt BgL_new1321z00_6294;

						{	/* SawMill/node2rtl.scm 394 */
							BgL_rtl_setfieldz00_bglt BgL_new1320z00_6295;

							BgL_new1320z00_6295 =
								((BgL_rtl_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_setfieldz00_bgl))));
							{	/* SawMill/node2rtl.scm 394 */
								long BgL_arg2469z00_6296;

								BgL_arg2469z00_6296 =
									BGL_CLASS_NUM(BGl_rtl_setfieldz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1320z00_6295),
									BgL_arg2469z00_6296);
							}
							BgL_new1321z00_6294 = BgL_new1320z00_6295;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1321z00_6294)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1321z00_6294))->
								BgL_namez00) =
							((obj_t) (((BgL_setfieldz00_bglt) COBJECT(((BgL_setfieldz00_bglt)
												BgL_ez00_5908)))->BgL_fnamez00)), BUNSPEC);
						((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1321z00_6294))->
								BgL_objtypez00) =
							((BgL_typez00_bglt) (((BgL_setfieldz00_bglt)
										COBJECT(((BgL_setfieldz00_bglt) BgL_ez00_5908)))->
									BgL_otypez00)), BUNSPEC);
						((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1321z00_6294))->
								BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_setfieldz00_bglt)
										COBJECT(((BgL_setfieldz00_bglt) BgL_ez00_5908)))->
									BgL_ftypez00)), BUNSPEC);
						BgL_arg2466z00_6292 = BgL_new1321z00_6294;
					}
					BgL_arg2467z00_6293 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_setfieldz00_bglt) BgL_ez00_5908))))->BgL_exprza2za2);
					BgL_arg2464z00_6290 =
						BGl_callza2za2zzsaw_node2rtlz00(
						((obj_t)
							((BgL_setfieldz00_bglt) BgL_ez00_5908)),
						((BgL_rtl_funz00_bglt) BgL_arg2466z00_6292), BgL_arg2467z00_6293);
				}
				{	/* SawMill/node2rtl.scm 398 */
					BgL_rtl_nopz00_bglt BgL_arg2470z00_6297;

					{	/* SawMill/node2rtl.scm 398 */
						BgL_rtl_nopz00_bglt BgL_new1323z00_6298;

						{	/* SawMill/node2rtl.scm 398 */
							BgL_rtl_nopz00_bglt BgL_new1322z00_6299;

							BgL_new1322z00_6299 =
								((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_nopz00_bgl))));
							{	/* SawMill/node2rtl.scm 398 */
								long BgL_arg2472z00_6300;

								BgL_arg2472z00_6300 =
									BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1322z00_6299),
									BgL_arg2472z00_6300);
							}
							BgL_new1323z00_6298 = BgL_new1322z00_6299;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1323z00_6298)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2470z00_6297 = BgL_new1323z00_6298;
					}
					BgL_arg2465z00_6291 =
						BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
						((BgL_rtl_funz00_bglt) BgL_arg2470z00_6297), BNIL);
				}
				return
					BGl_linkz00zzsaw_node2rtlz00(BgL_arg2464z00_6290,
					BgL_arg2465z00_6291);
			}
		}

	}



/* &node->rtl-getfield1748 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2getfield1748z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5909, obj_t BgL_ez00_5910)
	{
		{	/* SawMill/node2rtl.scm 384 */
			{	/* SawMill/node2rtl.scm 386 */
				BgL_rtl_getfieldz00_bglt BgL_arg2459z00_6302;
				obj_t BgL_arg2461z00_6303;

				{	/* SawMill/node2rtl.scm 386 */
					BgL_rtl_getfieldz00_bglt BgL_new1318z00_6304;

					{	/* SawMill/node2rtl.scm 386 */
						BgL_rtl_getfieldz00_bglt BgL_new1317z00_6305;

						BgL_new1317z00_6305 =
							((BgL_rtl_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_getfieldz00_bgl))));
						{	/* SawMill/node2rtl.scm 386 */
							long BgL_arg2462z00_6306;

							BgL_arg2462z00_6306 =
								BGL_CLASS_NUM(BGl_rtl_getfieldz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1317z00_6305),
								BgL_arg2462z00_6306);
						}
						BgL_new1318z00_6304 = BgL_new1317z00_6305;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1318z00_6304)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1318z00_6304))->
							BgL_namez00) =
						((obj_t) (((BgL_getfieldz00_bglt) COBJECT(((BgL_getfieldz00_bglt)
											BgL_ez00_5910)))->BgL_fnamez00)), BUNSPEC);
					((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1318z00_6304))->
							BgL_objtypez00) =
						((BgL_typez00_bglt) (((BgL_getfieldz00_bglt)
									COBJECT(((BgL_getfieldz00_bglt) BgL_ez00_5910)))->
								BgL_otypez00)), BUNSPEC);
					((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1318z00_6304))->
							BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_getfieldz00_bglt)
									COBJECT(((BgL_getfieldz00_bglt) BgL_ez00_5910)))->
								BgL_ftypez00)), BUNSPEC);
					BgL_arg2459z00_6302 = BgL_new1318z00_6304;
				}
				BgL_arg2461z00_6303 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_getfieldz00_bglt) BgL_ez00_5910))))->BgL_exprza2za2);
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_getfieldz00_bglt) BgL_ez00_5910)),
					((BgL_rtl_funz00_bglt) BgL_arg2459z00_6302), BgL_arg2461z00_6303);
			}
		}

	}



/* &node->rtl-pragma1746 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2pragma1746z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5911, obj_t BgL_ez00_5912)
	{
		{	/* SawMill/node2rtl.scm 373 */
			{	/* SawMill/node2rtl.scm 375 */
				bool_t BgL_test3198z00_8917;

				if (
					(STRING_LENGTH(
							(((BgL_pragmaz00_bglt) COBJECT(
										((BgL_pragmaz00_bglt) BgL_ez00_5912)))->BgL_formatz00)) ==
						0L))
					{	/* SawMill/node2rtl.scm 375 */
						if (NULLP(
								(((BgL_externz00_bglt) COBJECT(
											((BgL_externz00_bglt)
												((BgL_pragmaz00_bglt) BgL_ez00_5912))))->
									BgL_exprza2za2)))
							{	/* SawMill/node2rtl.scm 376 */
								BgL_test3198z00_8917 = ((bool_t) 0);
							}
						else
							{	/* SawMill/node2rtl.scm 377 */
								bool_t BgL_test3201z00_8928;

								{	/* SawMill/node2rtl.scm 377 */
									obj_t BgL_tmpz00_8929;

									{	/* SawMill/node2rtl.scm 377 */
										obj_t BgL_pairz00_6308;

										BgL_pairz00_6308 =
											(((BgL_externz00_bglt) COBJECT(
													((BgL_externz00_bglt)
														((BgL_pragmaz00_bglt) BgL_ez00_5912))))->
											BgL_exprza2za2);
										BgL_tmpz00_8929 = CDR(BgL_pairz00_6308);
									}
									BgL_test3201z00_8928 = NULLP(BgL_tmpz00_8929);
								}
								if (BgL_test3201z00_8928)
									{	/* SawMill/node2rtl.scm 378 */
										obj_t BgL_arg2450z00_6309;

										{	/* SawMill/node2rtl.scm 378 */
											obj_t BgL_pairz00_6310;

											BgL_pairz00_6310 =
												(((BgL_externz00_bglt) COBJECT(
														((BgL_externz00_bglt)
															((BgL_pragmaz00_bglt) BgL_ez00_5912))))->
												BgL_exprza2za2);
											BgL_arg2450z00_6309 = CAR(BgL_pairz00_6310);
										}
										{	/* SawMill/node2rtl.scm 378 */
											obj_t BgL_classz00_6311;

											BgL_classz00_6311 = BGl_varz00zzast_nodez00;
											if (BGL_OBJECTP(BgL_arg2450z00_6309))
												{	/* SawMill/node2rtl.scm 378 */
													BgL_objectz00_bglt BgL_arg1858z00_6312;

													BgL_arg1858z00_6312 =
														(BgL_objectz00_bglt) (BgL_arg2450z00_6309);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* SawMill/node2rtl.scm 378 */
															long BgL_idxz00_6313;

															BgL_idxz00_6313 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6312);
															BgL_test3198z00_8917 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_6313 + 2L)) == BgL_classz00_6311);
														}
													else
														{	/* SawMill/node2rtl.scm 378 */
															bool_t BgL_res2931z00_6316;

															{	/* SawMill/node2rtl.scm 378 */
																obj_t BgL_oclassz00_6317;

																{	/* SawMill/node2rtl.scm 378 */
																	obj_t BgL_arg1866z00_6318;
																	long BgL_arg1867z00_6319;

																	BgL_arg1866z00_6318 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* SawMill/node2rtl.scm 378 */
																		long BgL_arg1869z00_6320;

																		BgL_arg1869z00_6320 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6312);
																		BgL_arg1867z00_6319 =
																			(BgL_arg1869z00_6320 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_6317 =
																		VECTOR_REF(BgL_arg1866z00_6318,
																		BgL_arg1867z00_6319);
																}
																{	/* SawMill/node2rtl.scm 378 */
																	bool_t BgL__ortest_1115z00_6321;

																	BgL__ortest_1115z00_6321 =
																		(BgL_classz00_6311 == BgL_oclassz00_6317);
																	if (BgL__ortest_1115z00_6321)
																		{	/* SawMill/node2rtl.scm 378 */
																			BgL_res2931z00_6316 =
																				BgL__ortest_1115z00_6321;
																		}
																	else
																		{	/* SawMill/node2rtl.scm 378 */
																			long BgL_odepthz00_6322;

																			{	/* SawMill/node2rtl.scm 378 */
																				obj_t BgL_arg1855z00_6323;

																				BgL_arg1855z00_6323 =
																					(BgL_oclassz00_6317);
																				BgL_odepthz00_6322 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_6323);
																			}
																			if ((2L < BgL_odepthz00_6322))
																				{	/* SawMill/node2rtl.scm 378 */
																					obj_t BgL_arg1853z00_6324;

																					{	/* SawMill/node2rtl.scm 378 */
																						obj_t BgL_arg1854z00_6325;

																						BgL_arg1854z00_6325 =
																							(BgL_oclassz00_6317);
																						BgL_arg1853z00_6324 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_6325, 2L);
																					}
																					BgL_res2931z00_6316 =
																						(BgL_arg1853z00_6324 ==
																						BgL_classz00_6311);
																				}
																			else
																				{	/* SawMill/node2rtl.scm 378 */
																					BgL_res2931z00_6316 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test3198z00_8917 = BgL_res2931z00_6316;
														}
												}
											else
												{	/* SawMill/node2rtl.scm 378 */
													BgL_test3198z00_8917 = ((bool_t) 0);
												}
										}
									}
								else
									{	/* SawMill/node2rtl.scm 377 */
										BgL_test3198z00_8917 = ((bool_t) 0);
									}
							}
					}
				else
					{	/* SawMill/node2rtl.scm 375 */
						BgL_test3198z00_8917 = ((bool_t) 0);
					}
				if (BgL_test3198z00_8917)
					{	/* SawMill/node2rtl.scm 379 */
						obj_t BgL_fmtz00_6326;

						{
							BgL_variablez00_bglt BgL_auxz00_8961;

							{
								BgL_varz00_bglt BgL_auxz00_8962;

								{	/* SawMill/node2rtl.scm 379 */
									obj_t BgL_pairz00_6327;

									BgL_pairz00_6327 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt)
													((BgL_pragmaz00_bglt) BgL_ez00_5912))))->
										BgL_exprza2za2);
									BgL_auxz00_8962 = ((BgL_varz00_bglt) CAR(BgL_pairz00_6327));
								}
								BgL_auxz00_8961 =
									(((BgL_varz00_bglt) COBJECT(BgL_auxz00_8962))->
									BgL_variablez00);
							}
							BgL_fmtz00_6326 =
								(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_8961))->
								BgL_namez00);
						}
						{	/* SawMill/node2rtl.scm 380 */
							BgL_rtl_pragmaz00_bglt BgL_arg2430z00_6328;
							obj_t BgL_arg2431z00_6329;

							{	/* SawMill/node2rtl.scm 380 */
								BgL_rtl_pragmaz00_bglt BgL_new1313z00_6330;

								{	/* SawMill/node2rtl.scm 380 */
									BgL_rtl_pragmaz00_bglt BgL_new1312z00_6331;

									BgL_new1312z00_6331 =
										((BgL_rtl_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_pragmaz00_bgl))));
									{	/* SawMill/node2rtl.scm 380 */
										long BgL_arg2437z00_6332;

										BgL_arg2437z00_6332 =
											BGL_CLASS_NUM(BGl_rtl_pragmaz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1312z00_6331),
											BgL_arg2437z00_6332);
									}
									BgL_new1313z00_6330 = BgL_new1312z00_6331;
								}
								((((BgL_rtl_funz00_bglt) COBJECT(
												((BgL_rtl_funz00_bglt) BgL_new1313z00_6330)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_new1313z00_6330))->
										BgL_formatz00) = ((obj_t) BgL_fmtz00_6326), BUNSPEC);
								((((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_new1313z00_6330))->
										BgL_srfi0z00) =
									((obj_t) (((BgL_pragmaz00_bglt) COBJECT(((BgL_pragmaz00_bglt)
														BgL_ez00_5912)))->BgL_srfi0z00)), BUNSPEC);
								BgL_arg2430z00_6328 = BgL_new1313z00_6330;
							}
							{	/* SawMill/node2rtl.scm 380 */
								obj_t BgL_pairz00_6333;

								BgL_pairz00_6333 =
									(((BgL_externz00_bglt) COBJECT(
											((BgL_externz00_bglt)
												((BgL_pragmaz00_bglt) BgL_ez00_5912))))->
									BgL_exprza2za2);
								BgL_arg2431z00_6329 = CDR(BgL_pairz00_6333);
							}
							return
								BGl_callza2za2zzsaw_node2rtlz00(
								((obj_t)
									((BgL_pragmaz00_bglt) BgL_ez00_5912)),
								((BgL_rtl_funz00_bglt) BgL_arg2430z00_6328),
								BgL_arg2431z00_6329);
						}
					}
				else
					{	/* SawMill/node2rtl.scm 381 */
						BgL_rtl_pragmaz00_bglt BgL_arg2443z00_6334;
						obj_t BgL_arg2448z00_6335;

						{	/* SawMill/node2rtl.scm 381 */
							BgL_rtl_pragmaz00_bglt BgL_new1315z00_6336;

							{	/* SawMill/node2rtl.scm 381 */
								BgL_rtl_pragmaz00_bglt BgL_new1314z00_6337;

								BgL_new1314z00_6337 =
									((BgL_rtl_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_pragmaz00_bgl))));
								{	/* SawMill/node2rtl.scm 381 */
									long BgL_arg2449z00_6338;

									BgL_arg2449z00_6338 =
										BGL_CLASS_NUM(BGl_rtl_pragmaz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1314z00_6337),
										BgL_arg2449z00_6338);
								}
								BgL_new1315z00_6336 = BgL_new1314z00_6337;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1315z00_6336)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							((((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_new1315z00_6336))->
									BgL_formatz00) =
								((obj_t) (((BgL_pragmaz00_bglt) COBJECT(((BgL_pragmaz00_bglt)
													BgL_ez00_5912)))->BgL_formatz00)), BUNSPEC);
							((((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_new1315z00_6336))->
									BgL_srfi0z00) =
								((obj_t) (((BgL_pragmaz00_bglt) COBJECT(((BgL_pragmaz00_bglt)
													BgL_ez00_5912)))->BgL_srfi0z00)), BUNSPEC);
							BgL_arg2443z00_6334 = BgL_new1315z00_6336;
						}
						BgL_arg2448z00_6335 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_pragmaz00_bglt) BgL_ez00_5912))))->BgL_exprza2za2);
						return
							BGl_callza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_pragmaz00_bglt) BgL_ez00_5912)),
							((BgL_rtl_funz00_bglt) BgL_arg2443z00_6334), BgL_arg2448z00_6335);
					}
			}
		}

	}



/* &node->rtl-funcall1744 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2funcall1744z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5913, obj_t BgL_ez00_5914)
	{
		{	/* SawMill/node2rtl.scm 348 */
			{	/* SawMill/node2rtl.scm 355 */
				obj_t BgL_argsz00_6340;

				BgL_argsz00_6340 =
					BGl_argszd21ze70z35zzsaw_node2rtlz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_ez00_5914)))->BgL_argsz00));
				{	/* SawMill/node2rtl.scm 356 */
					obj_t BgL_casezd2valuezd2_6341;

					BgL_casezd2valuezd2_6341 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_ez00_5914)))->BgL_strengthz00);
					if ((BgL_casezd2valuezd2_6341 == ((obj_t) CNST_TABLE_REF(17))))
						{	/* SawMill/node2rtl.scm 359 */
							BgL_rtl_callz00_bglt BgL_arg2385z00_6342;

							{	/* SawMill/node2rtl.scm 359 */
								BgL_rtl_callz00_bglt BgL_new1304z00_6343;

								{	/* SawMill/node2rtl.scm 359 */
									BgL_rtl_callz00_bglt BgL_new1303z00_6344;

									BgL_new1303z00_6344 =
										((BgL_rtl_callz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_callz00_bgl))));
									{	/* SawMill/node2rtl.scm 359 */
										long BgL_arg2389z00_6345;

										BgL_arg2389z00_6345 =
											BGL_CLASS_NUM(BGl_rtl_callz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1303z00_6344),
											BgL_arg2389z00_6345);
									}
									BgL_new1304z00_6343 = BgL_new1303z00_6344;
								}
								((((BgL_rtl_funz00_bglt) COBJECT(
												((BgL_rtl_funz00_bglt) BgL_new1304z00_6343)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								{
									BgL_globalz00_bglt BgL_auxz00_9022;

									{	/* SawMill/node2rtl.scm 359 */
										BgL_variablez00_bglt BgL_arg2387z00_6346;

										BgL_arg2387z00_6346 =
											(((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt)
														(((BgL_funcallz00_bglt) COBJECT(
																	((BgL_funcallz00_bglt) BgL_ez00_5914)))->
															BgL_funz00))))->BgL_variablez00);
										BgL_auxz00_9022 =
											BGl_getzd2globalzd2zzsaw_node2rtlz00(((BgL_globalz00_bglt)
												BgL_arg2387z00_6346));
									}
									((((BgL_rtl_callz00_bglt) COBJECT(BgL_new1304z00_6343))->
											BgL_varz00) =
										((BgL_globalz00_bglt) BgL_auxz00_9022), BUNSPEC);
								}
								BgL_arg2385z00_6342 = BgL_new1304z00_6343;
							}
							return
								BGl_callza2za2zzsaw_node2rtlz00(
								((obj_t)
									((BgL_funcallz00_bglt) BgL_ez00_5914)),
								((BgL_rtl_funz00_bglt) BgL_arg2385z00_6342), BgL_argsz00_6340);
						}
					else
						{	/* SawMill/node2rtl.scm 356 */
							if ((BgL_casezd2valuezd2_6341 == ((obj_t) CNST_TABLE_REF(18))))
								{	/* SawMill/node2rtl.scm 363 */
									BgL_rtl_lightfuncallz00_bglt BgL_arg2391z00_6347;

									{	/* SawMill/node2rtl.scm 363 */
										BgL_rtl_lightfuncallz00_bglt BgL_new1308z00_6348;

										{	/* SawMill/node2rtl.scm 363 */
											BgL_rtl_lightfuncallz00_bglt BgL_new1306z00_6349;

											BgL_new1306z00_6349 =
												((BgL_rtl_lightfuncallz00_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_lightfuncallz00_bgl))));
											{	/* SawMill/node2rtl.scm 363 */
												long BgL_arg2393z00_6350;

												BgL_arg2393z00_6350 =
													BGL_CLASS_NUM(BGl_rtl_lightfuncallz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1306z00_6349),
													BgL_arg2393z00_6350);
											}
											BgL_new1308z00_6348 = BgL_new1306z00_6349;
										}
										((((BgL_rtl_funz00_bglt) COBJECT(
														((BgL_rtl_funz00_bglt) BgL_new1308z00_6348)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										{
											obj_t BgL_auxz00_9044;

											{	/* SawMill/node2rtl.scm 365 */

												{	/* SawMill/node2rtl.scm 365 */

													BgL_auxz00_9044 =
														BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
											}}
											((((BgL_rtl_lightfuncallz00_bglt)
														COBJECT(BgL_new1308z00_6348))->BgL_namez00) =
												((obj_t) BgL_auxz00_9044), BUNSPEC);
										}
										((((BgL_rtl_lightfuncallz00_bglt)
													COBJECT(BgL_new1308z00_6348))->BgL_funsz00) =
											((obj_t) (((BgL_funcallz00_bglt)
														COBJECT(((BgL_funcallz00_bglt) BgL_ez00_5914)))->
													BgL_functionsz00)), BUNSPEC);
										((((BgL_rtl_lightfuncallz00_bglt)
													COBJECT(BgL_new1308z00_6348))->BgL_rettypez00) =
											((obj_t) ((obj_t)
													BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
															((BgL_funcallz00_bglt) BgL_ez00_5914)),
														((bool_t) 0)))), BUNSPEC);
										BgL_arg2391z00_6347 = BgL_new1308z00_6348;
									}
									return
										BGl_callza2za2zzsaw_node2rtlz00(
										((obj_t)
											((BgL_funcallz00_bglt) BgL_ez00_5914)),
										((BgL_rtl_funz00_bglt) BgL_arg2391z00_6347),
										BgL_argsz00_6340);
								}
							else
								{	/* SawMill/node2rtl.scm 370 */
									BgL_rtl_funcallz00_bglt BgL_arg2396z00_6351;

									{	/* SawMill/node2rtl.scm 370 */
										BgL_rtl_funcallz00_bglt BgL_new1310z00_6352;

										{	/* SawMill/node2rtl.scm 370 */
											BgL_rtl_funcallz00_bglt BgL_new1309z00_6353;

											BgL_new1309z00_6353 =
												((BgL_rtl_funcallz00_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_funcallz00_bgl))));
											{	/* SawMill/node2rtl.scm 370 */
												long BgL_arg2398z00_6354;

												BgL_arg2398z00_6354 =
													BGL_CLASS_NUM(BGl_rtl_funcallz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1309z00_6353),
													BgL_arg2398z00_6354);
											}
											BgL_new1310z00_6352 = BgL_new1309z00_6353;
										}
										((((BgL_rtl_funz00_bglt) COBJECT(
														((BgL_rtl_funz00_bglt) BgL_new1310z00_6352)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										BgL_arg2396z00_6351 = BgL_new1310z00_6352;
									}
									return
										BGl_callza2za2zzsaw_node2rtlz00(
										((obj_t)
											((BgL_funcallz00_bglt) BgL_ez00_5914)),
										((BgL_rtl_funz00_bglt) BgL_arg2396z00_6351),
										BgL_argsz00_6340);
								}
						}
				}
			}
		}

	}



/* args-1~0 */
	obj_t BGl_argszd21ze70z35zzsaw_node2rtlz00(obj_t BgL_argsz00_3322)
	{
		{	/* SawMill/node2rtl.scm 352 */
			if (NULLP(CDR(((obj_t) BgL_argsz00_3322))))
				{	/* SawMill/node2rtl.scm 350 */
					return BNIL;
				}
			else
				{	/* SawMill/node2rtl.scm 352 */
					obj_t BgL_arg2403z00_3326;
					obj_t BgL_arg2404z00_3327;

					BgL_arg2403z00_3326 = CAR(((obj_t) BgL_argsz00_3322));
					{	/* SawMill/node2rtl.scm 352 */
						obj_t BgL_arg2405z00_3328;

						BgL_arg2405z00_3328 = CDR(((obj_t) BgL_argsz00_3322));
						BgL_arg2404z00_3327 =
							BGl_argszd21ze70z35zzsaw_node2rtlz00(BgL_arg2405z00_3328);
					}
					return MAKE_YOUNG_PAIR(BgL_arg2403z00_3326, BgL_arg2404z00_3327);
				}
		}

	}



/* &node->rtl-app-ly1742 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2appzd2ly1742z53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5915, obj_t BgL_ez00_5916)
	{
		{	/* SawMill/node2rtl.scm 343 */
			{	/* SawMill/node2rtl.scm 345 */
				BgL_rtl_applyz00_bglt BgL_arg2377z00_6356;
				BgL_nodez00_bglt BgL_arg2379z00_6357;
				BgL_nodez00_bglt BgL_arg2380z00_6358;

				{	/* SawMill/node2rtl.scm 345 */
					BgL_rtl_applyz00_bglt BgL_new1301z00_6359;

					{	/* SawMill/node2rtl.scm 345 */
						BgL_rtl_applyz00_bglt BgL_new1300z00_6360;

						BgL_new1300z00_6360 =
							((BgL_rtl_applyz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_applyz00_bgl))));
						{	/* SawMill/node2rtl.scm 345 */
							long BgL_arg2383z00_6361;

							BgL_arg2383z00_6361 =
								BGL_CLASS_NUM(BGl_rtl_applyz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1300z00_6360),
								BgL_arg2383z00_6361);
						}
						BgL_new1301z00_6359 = BgL_new1300z00_6360;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1301z00_6359)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					BgL_arg2377z00_6356 = BgL_new1301z00_6359;
				}
				BgL_arg2379z00_6357 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_ez00_5916)))->BgL_funz00);
				BgL_arg2380z00_6358 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_ez00_5916)))->BgL_argz00);
				{	/* SawMill/node2rtl.scm 345 */
					obj_t BgL_list2381z00_6362;

					{	/* SawMill/node2rtl.scm 345 */
						obj_t BgL_arg2382z00_6363;

						BgL_arg2382z00_6363 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg2380z00_6358), BNIL);
						BgL_list2381z00_6362 =
							MAKE_YOUNG_PAIR(
							((obj_t) BgL_arg2379z00_6357), BgL_arg2382z00_6363);
					}
					return
						BGl_callza2za2zzsaw_node2rtlz00(
						((obj_t)
							((BgL_appzd2lyzd2_bglt) BgL_ez00_5916)),
						((BgL_rtl_funz00_bglt) BgL_arg2377z00_6356), BgL_list2381z00_6362);
				}
			}
		}

	}



/* &node->rtl-app1740 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2app1740z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5917, obj_t BgL_ez00_5918)
	{
		{	/* SawMill/node2rtl.scm 320 */
			{	/* SawMill/node2rtl.scm 322 */
				BgL_variablez00_bglt BgL_vz00_6365;

				BgL_vz00_6365 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_ez00_5918)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* SawMill/node2rtl.scm 323 */
					bool_t BgL_test3209z00_9100;

					{	/* SawMill/node2rtl.scm 323 */
						obj_t BgL_classz00_6366;

						BgL_classz00_6366 = BGl_localz00zzast_varz00;
						{	/* SawMill/node2rtl.scm 323 */
							BgL_objectz00_bglt BgL_arg1858z00_6367;

							{	/* SawMill/node2rtl.scm 323 */
								obj_t BgL_tmpz00_9101;

								BgL_tmpz00_9101 =
									((obj_t) ((BgL_objectz00_bglt) BgL_vz00_6365));
								BgL_arg1858z00_6367 = (BgL_objectz00_bglt) (BgL_tmpz00_9101);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawMill/node2rtl.scm 323 */
									long BgL_idxz00_6368;

									BgL_idxz00_6368 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6367);
									BgL_test3209z00_9100 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_6368 + 2L)) == BgL_classz00_6366);
								}
							else
								{	/* SawMill/node2rtl.scm 323 */
									bool_t BgL_res2930z00_6371;

									{	/* SawMill/node2rtl.scm 323 */
										obj_t BgL_oclassz00_6372;

										{	/* SawMill/node2rtl.scm 323 */
											obj_t BgL_arg1866z00_6373;
											long BgL_arg1867z00_6374;

											BgL_arg1866z00_6373 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawMill/node2rtl.scm 323 */
												long BgL_arg1869z00_6375;

												BgL_arg1869z00_6375 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6367);
												BgL_arg1867z00_6374 =
													(BgL_arg1869z00_6375 - OBJECT_TYPE);
											}
											BgL_oclassz00_6372 =
												VECTOR_REF(BgL_arg1866z00_6373, BgL_arg1867z00_6374);
										}
										{	/* SawMill/node2rtl.scm 323 */
											bool_t BgL__ortest_1115z00_6376;

											BgL__ortest_1115z00_6376 =
												(BgL_classz00_6366 == BgL_oclassz00_6372);
											if (BgL__ortest_1115z00_6376)
												{	/* SawMill/node2rtl.scm 323 */
													BgL_res2930z00_6371 = BgL__ortest_1115z00_6376;
												}
											else
												{	/* SawMill/node2rtl.scm 323 */
													long BgL_odepthz00_6377;

													{	/* SawMill/node2rtl.scm 323 */
														obj_t BgL_arg1855z00_6378;

														BgL_arg1855z00_6378 = (BgL_oclassz00_6372);
														BgL_odepthz00_6377 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_6378);
													}
													if ((2L < BgL_odepthz00_6377))
														{	/* SawMill/node2rtl.scm 323 */
															obj_t BgL_arg1853z00_6379;

															{	/* SawMill/node2rtl.scm 323 */
																obj_t BgL_arg1854z00_6380;

																BgL_arg1854z00_6380 = (BgL_oclassz00_6372);
																BgL_arg1853z00_6379 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_6380,
																	2L);
															}
															BgL_res2930z00_6371 =
																(BgL_arg1853z00_6379 == BgL_classz00_6366);
														}
													else
														{	/* SawMill/node2rtl.scm 323 */
															BgL_res2930z00_6371 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test3209z00_9100 = BgL_res2930z00_6371;
								}
						}
					}
					if (BgL_test3209z00_9100)
						{	/* SawMill/node2rtl.scm 324 */
							obj_t BgL_arg2364z00_6381;

							BgL_arg2364z00_6381 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_ez00_5918)))->BgL_argsz00);
							return
								BGl_compilezd2labelzd2callz00zzsaw_node2rtlz00(
								((BgL_localz00_bglt) BgL_vz00_6365), BgL_arg2364z00_6381);
						}
					else
						{	/* SawMill/node2rtl.scm 325 */
							obj_t BgL__ortest_1292z00_6382;

							{	/* SawMill/node2rtl.scm 325 */
								obj_t BgL_arg2374z00_6383;

								BgL_arg2374z00_6383 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_ez00_5918)))->BgL_argsz00);
								BgL__ortest_1292z00_6382 =
									BGl_imperativezf3zf3zzsaw_node2rtlz00(
									((BgL_appz00_bglt) BgL_ez00_5918),
									((BgL_globalz00_bglt) BgL_vz00_6365), BgL_arg2374z00_6383);
							}
							if (CBOOL(BgL__ortest_1292z00_6382))
								{	/* SawMill/node2rtl.scm 325 */
									return ((BgL_areaz00_bglt) BgL__ortest_1292z00_6382);
								}
							else
								{	/* SawMill/node2rtl.scm 328 */
									BgL_rtl_callz00_bglt BgL_arg2371z00_6384;
									obj_t BgL_arg2372z00_6385;

									{	/* SawMill/node2rtl.scm 328 */
										BgL_rtl_callz00_bglt BgL_new1296z00_6386;

										{	/* SawMill/node2rtl.scm 328 */
											BgL_rtl_callz00_bglt BgL_new1295z00_6387;

											BgL_new1295z00_6387 =
												((BgL_rtl_callz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_callz00_bgl))));
											{	/* SawMill/node2rtl.scm 328 */
												long BgL_arg2373z00_6388;

												BgL_arg2373z00_6388 =
													BGL_CLASS_NUM(BGl_rtl_callz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1295z00_6387),
													BgL_arg2373z00_6388);
											}
											BgL_new1296z00_6386 = BgL_new1295z00_6387;
										}
										((((BgL_rtl_funz00_bglt) COBJECT(
														((BgL_rtl_funz00_bglt) BgL_new1296z00_6386)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_rtl_callz00_bglt) COBJECT(BgL_new1296z00_6386))->
												BgL_varz00) =
											((BgL_globalz00_bglt)
												BGl_getzd2globalzd2zzsaw_node2rtlz00((
														(BgL_globalz00_bglt) BgL_vz00_6365))), BUNSPEC);
										BgL_arg2371z00_6384 = BgL_new1296z00_6386;
									}
									BgL_arg2372z00_6385 =
										(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_ez00_5918)))->BgL_argsz00);
									return
										BGl_callza2za2zzsaw_node2rtlz00(
										((obj_t)
											((BgL_appz00_bglt) BgL_ez00_5918)),
										((BgL_rtl_funz00_bglt) BgL_arg2371z00_6384),
										BgL_arg2372z00_6385);
								}
						}
				}
			}
		}

	}



/* &node->rtl-let-fun1738 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2letzd2fun1738z53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5919, obj_t BgL_ez00_5920)
	{
		{	/* SawMill/node2rtl.scm 286 */
			return
				BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_ez00_5920)))->BgL_bodyz00));
		}

	}



/* &node->rtl-switch1736 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2switch1736z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5921, obj_t BgL_ez00_5922)
	{
		{	/* SawMill/node2rtl.scm 265 */
			{	/* SawMill/node2rtl.scm 267 */
				BgL_areaz00_bglt BgL_arg2343z00_6391;
				obj_t BgL_arg2345z00_6392;
				BgL_rtl_regz00_bglt BgL_arg2346z00_6393;

				{	/* SawMill/node2rtl.scm 267 */
					BgL_rtl_selectz00_bglt BgL_arg2348z00_6394;
					BgL_nodez00_bglt BgL_arg2349z00_6395;

					{	/* SawMill/node2rtl.scm 267 */
						BgL_rtl_selectz00_bglt BgL_new1280z00_6396;

						{	/* SawMill/node2rtl.scm 267 */
							BgL_rtl_selectz00_bglt BgL_new1279z00_6397;

							BgL_new1279z00_6397 =
								((BgL_rtl_selectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_selectz00_bgl))));
							{	/* SawMill/node2rtl.scm 267 */
								long BgL_arg2353z00_6398;

								BgL_arg2353z00_6398 =
									BGL_CLASS_NUM(BGl_rtl_selectz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1279z00_6397),
									BgL_arg2353z00_6398);
							}
							BgL_new1280z00_6396 = BgL_new1279z00_6397;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1280z00_6396)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						((((BgL_rtl_selectz00_bglt) COBJECT(BgL_new1280z00_6396))->
								BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_switchz00_bglt)
										COBJECT(((BgL_switchz00_bglt) BgL_ez00_5922)))->
									BgL_itemzd2typezd2)), BUNSPEC);
						{
							obj_t BgL_auxz00_9163;

							{	/* SawMill/node2rtl.scm 268 */
								obj_t BgL_arg2351z00_6399;

								BgL_arg2351z00_6399 =
									(((BgL_switchz00_bglt) COBJECT(
											((BgL_switchz00_bglt) BgL_ez00_5922)))->BgL_clausesz00);
								BgL_auxz00_9163 =
									BGl_coercez00zzsaw_node2rtlz00(BgL_arg2351z00_6399);
							}
							((((BgL_rtl_selectz00_bglt) COBJECT(BgL_new1280z00_6396))->
									BgL_patternsz00) = ((obj_t) BgL_auxz00_9163), BUNSPEC);
						}
						BgL_arg2348z00_6394 = BgL_new1280z00_6396;
					}
					BgL_arg2349z00_6395 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_ez00_5922)))->BgL_testz00);
					{	/* SawMill/node2rtl.scm 267 */
						obj_t BgL_list2350z00_6400;

						BgL_list2350z00_6400 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg2349z00_6395), BNIL);
						BgL_arg2343z00_6391 =
							BGl_callza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_switchz00_bglt) BgL_ez00_5922)),
							((BgL_rtl_funz00_bglt) BgL_arg2348z00_6394),
							BgL_list2350z00_6400);
				}}
				{	/* SawMill/node2rtl.scm 270 */
					obj_t BgL_l1676z00_6401;

					BgL_l1676z00_6401 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_ez00_5922)))->BgL_clausesz00);
					if (NULLP(BgL_l1676z00_6401))
						{	/* SawMill/node2rtl.scm 270 */
							BgL_arg2345z00_6392 = BNIL;
						}
					else
						{	/* SawMill/node2rtl.scm 270 */
							obj_t BgL_head1678z00_6402;

							BgL_head1678z00_6402 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1676z00_6404;
								obj_t BgL_tail1679z00_6405;

								BgL_l1676z00_6404 = BgL_l1676z00_6401;
								BgL_tail1679z00_6405 = BgL_head1678z00_6402;
							BgL_zc3z04anonymousza32355ze3z87_6403:
								if (NULLP(BgL_l1676z00_6404))
									{	/* SawMill/node2rtl.scm 270 */
										BgL_arg2345z00_6392 = CDR(BgL_head1678z00_6402);
									}
								else
									{	/* SawMill/node2rtl.scm 270 */
										obj_t BgL_newtail1680z00_6406;

										{	/* SawMill/node2rtl.scm 270 */
											BgL_areaz00_bglt BgL_arg2359z00_6407;

											{	/* SawMill/node2rtl.scm 270 */
												obj_t BgL_cz00_6408;

												BgL_cz00_6408 = CAR(((obj_t) BgL_l1676z00_6404));
												{	/* SawMill/node2rtl.scm 270 */
													obj_t BgL_arg2360z00_6409;

													BgL_arg2360z00_6409 = CDR(((obj_t) BgL_cz00_6408));
													BgL_arg2359z00_6407 =
														BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
														((BgL_nodez00_bglt) BgL_arg2360z00_6409));
												}
											}
											BgL_newtail1680z00_6406 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg2359z00_6407), BNIL);
										}
										SET_CDR(BgL_tail1679z00_6405, BgL_newtail1680z00_6406);
										{	/* SawMill/node2rtl.scm 270 */
											obj_t BgL_arg2358z00_6410;

											BgL_arg2358z00_6410 = CDR(((obj_t) BgL_l1676z00_6404));
											{
												obj_t BgL_tail1679z00_9196;
												obj_t BgL_l1676z00_9195;

												BgL_l1676z00_9195 = BgL_arg2358z00_6410;
												BgL_tail1679z00_9196 = BgL_newtail1680z00_6406;
												BgL_tail1679z00_6405 = BgL_tail1679z00_9196;
												BgL_l1676z00_6404 = BgL_l1676z00_9195;
												goto BgL_zc3z04anonymousza32355ze3z87_6403;
											}
										}
									}
							}
						}
				}
				BgL_arg2346z00_6393 =
					BGl_newzd2regzd2zzsaw_node2rtlz00(
					((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_ez00_5922)));
				return
					BGl_forkzf2joinzf2zzsaw_node2rtlz00(BgL_arg2343z00_6391,
					BgL_arg2345z00_6392, BgL_arg2346z00_6393);
			}
		}

	}



/* &node->rtl-conditiona1734 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2conditiona1734z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5923, obj_t BgL_ez00_5924)
	{
		{	/* SawMill/node2rtl.scm 259 */
			{	/* SawMill/node2rtl.scm 261 */
				BgL_nodez00_bglt BgL_arg2331z00_6412;
				obj_t BgL_arg2334z00_6413;

				BgL_arg2331z00_6412 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_ez00_5924)))->BgL_testz00);
				{	/* SawMill/node2rtl.scm 261 */
					obj_t BgL_arg2335z00_6414;
					BgL_rtl_regz00_bglt BgL_arg2336z00_6415;

					{	/* SawMill/node2rtl.scm 261 */
						BgL_areaz00_bglt BgL_arg2337z00_6416;
						BgL_areaz00_bglt BgL_arg2338z00_6417;

						BgL_arg2337z00_6416 =
							BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_ez00_5924)))->BgL_truez00));
						BgL_arg2338z00_6417 =
							BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_ez00_5924)))->BgL_falsez00));
						{	/* SawMill/node2rtl.scm 261 */
							obj_t BgL_list2339z00_6418;

							{	/* SawMill/node2rtl.scm 261 */
								obj_t BgL_arg2340z00_6419;

								BgL_arg2340z00_6419 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg2338z00_6417), BNIL);
								BgL_list2339z00_6418 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_arg2337z00_6416), BgL_arg2340z00_6419);
							}
							BgL_arg2335z00_6414 = BgL_list2339z00_6418;
						}
					}
					BgL_arg2336z00_6415 =
						BGl_newzd2regzd2zzsaw_node2rtlz00(
						((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_ez00_5924)));
					BgL_arg2334z00_6413 =
						BGl_joinz00zzsaw_node2rtlz00(BgL_arg2335z00_6414,
						BgL_arg2336z00_6415);
				}
				return
					BGl_predicatez00zzsaw_node2rtlz00(BgL_arg2331z00_6412,
					BgL_arg2334z00_6413);
			}
		}

	}



/* &node->rtl-sync1732 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2sync1732z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5925, obj_t BgL_ez00_5926)
	{
		{	/* SawMill/node2rtl.scm 255 */
			return
				BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00
				(BGl_synczd2ze3sequencez31zzsync_nodez00(((BgL_syncz00_bglt)
						BgL_ez00_5926)));
		}

	}



/* &node->rtl-sequence1730 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2sequence1730z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5927, obj_t BgL_ez00_5928)
	{
		{	/* SawMill/node2rtl.scm 250 */
			{	/* SawMill/node2rtl.scm 252 */
				obj_t BgL_arg2323z00_6422;

				{	/* SawMill/node2rtl.scm 252 */
					obj_t BgL_l1671z00_6423;

					BgL_l1671z00_6423 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_ez00_5928)))->BgL_nodesz00);
					if (NULLP(BgL_l1671z00_6423))
						{	/* SawMill/node2rtl.scm 252 */
							BgL_arg2323z00_6422 = BNIL;
						}
					else
						{	/* SawMill/node2rtl.scm 252 */
							obj_t BgL_head1673z00_6424;

							BgL_head1673z00_6424 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1671z00_6426;
								obj_t BgL_tail1674z00_6427;

								BgL_l1671z00_6426 = BgL_l1671z00_6423;
								BgL_tail1674z00_6427 = BgL_head1673z00_6424;
							BgL_zc3z04anonymousza32325ze3z87_6425:
								if (NULLP(BgL_l1671z00_6426))
									{	/* SawMill/node2rtl.scm 252 */
										BgL_arg2323z00_6422 = CDR(BgL_head1673z00_6424);
									}
								else
									{	/* SawMill/node2rtl.scm 252 */
										obj_t BgL_newtail1675z00_6428;

										{	/* SawMill/node2rtl.scm 252 */
											BgL_areaz00_bglt BgL_arg2328z00_6429;

											{	/* SawMill/node2rtl.scm 252 */
												obj_t BgL_ez00_6430;

												BgL_ez00_6430 = CAR(((obj_t) BgL_l1671z00_6426));
												BgL_arg2328z00_6429 =
													BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
													((BgL_nodez00_bglt) BgL_ez00_6430));
											}
											BgL_newtail1675z00_6428 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg2328z00_6429), BNIL);
										}
										SET_CDR(BgL_tail1674z00_6427, BgL_newtail1675z00_6428);
										{	/* SawMill/node2rtl.scm 252 */
											obj_t BgL_arg2327z00_6431;

											BgL_arg2327z00_6431 = CDR(((obj_t) BgL_l1671z00_6426));
											{
												obj_t BgL_tail1674z00_9239;
												obj_t BgL_l1671z00_9238;

												BgL_l1671z00_9238 = BgL_arg2327z00_6431;
												BgL_tail1674z00_9239 = BgL_newtail1675z00_6428;
												BgL_tail1674z00_6427 = BgL_tail1674z00_9239;
												BgL_l1671z00_6426 = BgL_l1671z00_9238;
												goto BgL_zc3z04anonymousza32325ze3z87_6425;
											}
										}
									}
							}
						}
				}
				return BGl_linkza2za2zzsaw_node2rtlz00(BgL_arg2323z00_6422);
			}
		}

	}



/* &node->rtl-setq1728 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2setq1728z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5929, obj_t BgL_ez00_5930)
	{
		{	/* SawMill/node2rtl.scm 241 */
			{	/* SawMill/node2rtl.scm 243 */
				BgL_varz00_bglt BgL_i1271z00_6433;

				BgL_i1271z00_6433 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_ez00_5930)))->BgL_varz00);
				{	/* SawMill/node2rtl.scm 244 */
					BgL_areaz00_bglt BgL_arg2302z00_6434;
					BgL_areaz00_bglt BgL_arg2303z00_6435;

					{	/* SawMill/node2rtl.scm 244 */
						bool_t BgL_test3218z00_9243;

						{	/* SawMill/node2rtl.scm 244 */
							BgL_variablez00_bglt BgL_arg2318z00_6436;

							BgL_arg2318z00_6436 =
								(((BgL_varz00_bglt) COBJECT(BgL_i1271z00_6433))->
								BgL_variablez00);
							{	/* SawMill/node2rtl.scm 244 */
								obj_t BgL_classz00_6437;

								BgL_classz00_6437 = BGl_globalz00zzast_varz00;
								{	/* SawMill/node2rtl.scm 244 */
									BgL_objectz00_bglt BgL_arg1858z00_6438;

									{	/* SawMill/node2rtl.scm 244 */
										obj_t BgL_tmpz00_9245;

										BgL_tmpz00_9245 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg2318z00_6436));
										BgL_arg1858z00_6438 =
											(BgL_objectz00_bglt) (BgL_tmpz00_9245);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawMill/node2rtl.scm 244 */
											long BgL_idxz00_6439;

											BgL_idxz00_6439 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6438);
											BgL_test3218z00_9243 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_6439 + 2L)) == BgL_classz00_6437);
										}
									else
										{	/* SawMill/node2rtl.scm 244 */
											bool_t BgL_res2927z00_6442;

											{	/* SawMill/node2rtl.scm 244 */
												obj_t BgL_oclassz00_6443;

												{	/* SawMill/node2rtl.scm 244 */
													obj_t BgL_arg1866z00_6444;
													long BgL_arg1867z00_6445;

													BgL_arg1866z00_6444 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* SawMill/node2rtl.scm 244 */
														long BgL_arg1869z00_6446;

														BgL_arg1869z00_6446 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6438);
														BgL_arg1867z00_6445 =
															(BgL_arg1869z00_6446 - OBJECT_TYPE);
													}
													BgL_oclassz00_6443 =
														VECTOR_REF(BgL_arg1866z00_6444,
														BgL_arg1867z00_6445);
												}
												{	/* SawMill/node2rtl.scm 244 */
													bool_t BgL__ortest_1115z00_6447;

													BgL__ortest_1115z00_6447 =
														(BgL_classz00_6437 == BgL_oclassz00_6443);
													if (BgL__ortest_1115z00_6447)
														{	/* SawMill/node2rtl.scm 244 */
															BgL_res2927z00_6442 = BgL__ortest_1115z00_6447;
														}
													else
														{	/* SawMill/node2rtl.scm 244 */
															long BgL_odepthz00_6448;

															{	/* SawMill/node2rtl.scm 244 */
																obj_t BgL_arg1855z00_6449;

																BgL_arg1855z00_6449 = (BgL_oclassz00_6443);
																BgL_odepthz00_6448 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_6449);
															}
															if ((2L < BgL_odepthz00_6448))
																{	/* SawMill/node2rtl.scm 244 */
																	obj_t BgL_arg1853z00_6450;

																	{	/* SawMill/node2rtl.scm 244 */
																		obj_t BgL_arg1854z00_6451;

																		BgL_arg1854z00_6451 = (BgL_oclassz00_6443);
																		BgL_arg1853z00_6450 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_6451, 2L);
																	}
																	BgL_res2927z00_6442 =
																		(BgL_arg1853z00_6450 == BgL_classz00_6437);
																}
															else
																{	/* SawMill/node2rtl.scm 244 */
																	BgL_res2927z00_6442 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test3218z00_9243 = BgL_res2927z00_6442;
										}
								}
							}
						}
						if (BgL_test3218z00_9243)
							{	/* SawMill/node2rtl.scm 245 */
								BgL_rtl_storegz00_bglt BgL_arg2307z00_6452;
								BgL_nodez00_bglt BgL_arg2308z00_6453;

								{	/* SawMill/node2rtl.scm 245 */
									BgL_rtl_storegz00_bglt BgL_new1273z00_6454;

									{	/* SawMill/node2rtl.scm 245 */
										BgL_rtl_storegz00_bglt BgL_new1272z00_6455;

										BgL_new1272z00_6455 =
											((BgL_rtl_storegz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_rtl_storegz00_bgl))));
										{	/* SawMill/node2rtl.scm 245 */
											long BgL_arg2313z00_6456;

											BgL_arg2313z00_6456 =
												BGL_CLASS_NUM(BGl_rtl_storegz00zzsaw_defsz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1272z00_6455),
												BgL_arg2313z00_6456);
										}
										BgL_new1273z00_6454 = BgL_new1272z00_6455;
									}
									((((BgL_rtl_funz00_bglt) COBJECT(
													((BgL_rtl_funz00_bglt) BgL_new1273z00_6454)))->
											BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
									{
										BgL_globalz00_bglt BgL_auxz00_9274;

										{	/* SawMill/node2rtl.scm 245 */
											BgL_variablez00_bglt BgL_arg2311z00_6457;

											BgL_arg2311z00_6457 =
												(((BgL_varz00_bglt) COBJECT(BgL_i1271z00_6433))->
												BgL_variablez00);
											BgL_auxz00_9274 =
												BGl_getzd2globalzd2zzsaw_node2rtlz00((
													(BgL_globalz00_bglt) BgL_arg2311z00_6457));
										}
										((((BgL_rtl_storegz00_bglt) COBJECT(BgL_new1273z00_6454))->
												BgL_varz00) =
											((BgL_globalz00_bglt) BgL_auxz00_9274), BUNSPEC);
									}
									BgL_arg2307z00_6452 = BgL_new1273z00_6454;
								}
								BgL_arg2308z00_6453 =
									(((BgL_setqz00_bglt) COBJECT(
											((BgL_setqz00_bglt) BgL_ez00_5930)))->BgL_valuez00);
								{	/* SawMill/node2rtl.scm 245 */
									obj_t BgL_list2309z00_6458;

									BgL_list2309z00_6458 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg2308z00_6453), BNIL);
									BgL_arg2302z00_6434 =
										BGl_callza2za2zzsaw_node2rtlz00(
										((obj_t)
											((BgL_setqz00_bglt) BgL_ez00_5930)),
										((BgL_rtl_funz00_bglt) BgL_arg2307z00_6452),
										BgL_list2309z00_6458);
							}}
						else
							{	/* SawMill/node2rtl.scm 246 */
								BgL_nodez00_bglt BgL_arg2314z00_6459;
								BgL_rtl_regz00_bglt BgL_arg2315z00_6460;

								BgL_arg2314z00_6459 =
									(((BgL_setqz00_bglt) COBJECT(
											((BgL_setqz00_bglt) BgL_ez00_5930)))->BgL_valuez00);
								{	/* SawMill/node2rtl.scm 246 */
									BgL_variablez00_bglt BgL_arg2316z00_6461;

									BgL_arg2316z00_6461 =
										(((BgL_varz00_bglt) COBJECT(BgL_i1271z00_6433))->
										BgL_variablez00);
									BgL_arg2315z00_6460 =
										BGl_localzd2ze3regz31zzsaw_node2rtlz00(((BgL_localz00_bglt)
											BgL_arg2316z00_6461));
								}
								{	/* SawMill/node2rtl.scm 246 */
									BgL_areaz00_bglt BgL_res2928z00_6462;

									{	/* SawMill/node2rtl.scm 187 */
										BgL_areaz00_bglt BgL_az00_6463;

										BgL_az00_6463 =
											BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00
											(BgL_arg2314z00_6459);
										BGl_bdestinationz12z12zzsaw_node2rtlz00((((BgL_areaz00_bglt)
													COBJECT(BgL_az00_6463))->BgL_exitz00),
											BgL_arg2315z00_6460);
										BgL_res2928z00_6462 = BgL_az00_6463;
									}
									BgL_arg2302z00_6434 = BgL_res2928z00_6462;
								}
							}
					}
					{	/* SawMill/node2rtl.scm 247 */
						BgL_rtl_nopz00_bglt BgL_arg2319z00_6464;

						{	/* SawMill/node2rtl.scm 247 */
							BgL_rtl_nopz00_bglt BgL_new1275z00_6465;

							{	/* SawMill/node2rtl.scm 247 */
								BgL_rtl_nopz00_bglt BgL_new1274z00_6466;

								BgL_new1274z00_6466 =
									((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_nopz00_bgl))));
								{	/* SawMill/node2rtl.scm 247 */
									long BgL_arg2321z00_6467;

									BgL_arg2321z00_6467 =
										BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1274z00_6466),
										BgL_arg2321z00_6467);
								}
								BgL_new1275z00_6465 = BgL_new1274z00_6466;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1275z00_6465)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg2319z00_6464 = BgL_new1275z00_6465;
						}
						BgL_arg2303z00_6435 =
							BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
							((BgL_rtl_funz00_bglt) BgL_arg2319z00_6464), BNIL);
					}
					return
						BGl_linkz00zzsaw_node2rtlz00(BgL_arg2302z00_6434,
						BgL_arg2303z00_6435);
				}
			}
		}

	}



/* &node->rtl-let-var1726 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2letzd2var1726z53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5931, obj_t BgL_ez00_5932)
	{
		{	/* SawMill/node2rtl.scm 224 */
			{	/* SawMill/node2rtl.scm 227 */
				bool_t BgL_test3222z00_9304;

				{	/* SawMill/node2rtl.scm 227 */
					bool_t BgL_test3223z00_9305;

					{	/* SawMill/node2rtl.scm 227 */
						BgL_nodez00_bglt BgL_arg2301z00_6469;

						BgL_arg2301z00_6469 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_ez00_5932)))->BgL_bodyz00);
						{	/* SawMill/node2rtl.scm 227 */
							obj_t BgL_classz00_6470;

							BgL_classz00_6470 = BGl_conditionalz00zzast_nodez00;
							{	/* SawMill/node2rtl.scm 227 */
								BgL_objectz00_bglt BgL_arg1858z00_6471;

								{	/* SawMill/node2rtl.scm 227 */
									obj_t BgL_tmpz00_9308;

									BgL_tmpz00_9308 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg2301z00_6469));
									BgL_arg1858z00_6471 = (BgL_objectz00_bglt) (BgL_tmpz00_9308);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawMill/node2rtl.scm 227 */
										long BgL_idxz00_6472;

										BgL_idxz00_6472 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6471);
										BgL_test3223z00_9305 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_6472 + 3L)) == BgL_classz00_6470);
									}
								else
									{	/* SawMill/node2rtl.scm 227 */
										bool_t BgL_res2924z00_6475;

										{	/* SawMill/node2rtl.scm 227 */
											obj_t BgL_oclassz00_6476;

											{	/* SawMill/node2rtl.scm 227 */
												obj_t BgL_arg1866z00_6477;
												long BgL_arg1867z00_6478;

												BgL_arg1866z00_6477 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawMill/node2rtl.scm 227 */
													long BgL_arg1869z00_6479;

													BgL_arg1869z00_6479 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6471);
													BgL_arg1867z00_6478 =
														(BgL_arg1869z00_6479 - OBJECT_TYPE);
												}
												BgL_oclassz00_6476 =
													VECTOR_REF(BgL_arg1866z00_6477, BgL_arg1867z00_6478);
											}
											{	/* SawMill/node2rtl.scm 227 */
												bool_t BgL__ortest_1115z00_6480;

												BgL__ortest_1115z00_6480 =
													(BgL_classz00_6470 == BgL_oclassz00_6476);
												if (BgL__ortest_1115z00_6480)
													{	/* SawMill/node2rtl.scm 227 */
														BgL_res2924z00_6475 = BgL__ortest_1115z00_6480;
													}
												else
													{	/* SawMill/node2rtl.scm 227 */
														long BgL_odepthz00_6481;

														{	/* SawMill/node2rtl.scm 227 */
															obj_t BgL_arg1855z00_6482;

															BgL_arg1855z00_6482 = (BgL_oclassz00_6476);
															BgL_odepthz00_6481 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_6482);
														}
														if ((3L < BgL_odepthz00_6481))
															{	/* SawMill/node2rtl.scm 227 */
																obj_t BgL_arg1853z00_6483;

																{	/* SawMill/node2rtl.scm 227 */
																	obj_t BgL_arg1854z00_6484;

																	BgL_arg1854z00_6484 = (BgL_oclassz00_6476);
																	BgL_arg1853z00_6483 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_6484,
																		3L);
																}
																BgL_res2924z00_6475 =
																	(BgL_arg1853z00_6483 == BgL_classz00_6470);
															}
														else
															{	/* SawMill/node2rtl.scm 227 */
																BgL_res2924z00_6475 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test3223z00_9305 = BgL_res2924z00_6475;
									}
							}
						}
					}
					if (BgL_test3223z00_9305)
						{	/* SawMill/node2rtl.scm 227 */
							if (NULLP(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_ez00_5932)))->
										BgL_bindingsz00)))
								{	/* SawMill/node2rtl.scm 228 */
									BgL_test3222z00_9304 = ((bool_t) 0);
								}
							else
								{	/* SawMill/node2rtl.scm 228 */
									if (NULLP(CDR(
												(((BgL_letzd2varzd2_bglt) COBJECT(
															((BgL_letzd2varzd2_bglt) BgL_ez00_5932)))->
													BgL_bindingsz00))))
										{	/* SawMill/node2rtl.scm 230 */
											bool_t BgL_test3229z00_9340;

											{	/* SawMill/node2rtl.scm 230 */
												BgL_nodez00_bglt BgL_arg2293z00_6485;

												BgL_arg2293z00_6485 =
													(((BgL_conditionalz00_bglt) COBJECT(
															((BgL_conditionalz00_bglt)
																(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_ez00_5932)))->BgL_bodyz00))))->
													BgL_testz00);
												{	/* SawMill/node2rtl.scm 230 */
													obj_t BgL_classz00_6486;

													BgL_classz00_6486 = BGl_varz00zzast_nodez00;
													{	/* SawMill/node2rtl.scm 230 */
														BgL_objectz00_bglt BgL_arg1858z00_6487;

														{	/* SawMill/node2rtl.scm 230 */
															obj_t BgL_tmpz00_9345;

															BgL_tmpz00_9345 =
																((obj_t)
																((BgL_objectz00_bglt) BgL_arg2293z00_6485));
															BgL_arg1858z00_6487 =
																(BgL_objectz00_bglt) (BgL_tmpz00_9345);
														}
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* SawMill/node2rtl.scm 230 */
																long BgL_idxz00_6488;

																BgL_idxz00_6488 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_6487);
																BgL_test3229z00_9340 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_6488 + 2L)) ==
																	BgL_classz00_6486);
															}
														else
															{	/* SawMill/node2rtl.scm 230 */
																bool_t BgL_res2925z00_6491;

																{	/* SawMill/node2rtl.scm 230 */
																	obj_t BgL_oclassz00_6492;

																	{	/* SawMill/node2rtl.scm 230 */
																		obj_t BgL_arg1866z00_6493;
																		long BgL_arg1867z00_6494;

																		BgL_arg1866z00_6493 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* SawMill/node2rtl.scm 230 */
																			long BgL_arg1869z00_6495;

																			BgL_arg1869z00_6495 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_6487);
																			BgL_arg1867z00_6494 =
																				(BgL_arg1869z00_6495 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_6492 =
																			VECTOR_REF(BgL_arg1866z00_6493,
																			BgL_arg1867z00_6494);
																	}
																	{	/* SawMill/node2rtl.scm 230 */
																		bool_t BgL__ortest_1115z00_6496;

																		BgL__ortest_1115z00_6496 =
																			(BgL_classz00_6486 == BgL_oclassz00_6492);
																		if (BgL__ortest_1115z00_6496)
																			{	/* SawMill/node2rtl.scm 230 */
																				BgL_res2925z00_6491 =
																					BgL__ortest_1115z00_6496;
																			}
																		else
																			{	/* SawMill/node2rtl.scm 230 */
																				long BgL_odepthz00_6497;

																				{	/* SawMill/node2rtl.scm 230 */
																					obj_t BgL_arg1855z00_6498;

																					BgL_arg1855z00_6498 =
																						(BgL_oclassz00_6492);
																					BgL_odepthz00_6497 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_6498);
																				}
																				if ((2L < BgL_odepthz00_6497))
																					{	/* SawMill/node2rtl.scm 230 */
																						obj_t BgL_arg1853z00_6499;

																						{	/* SawMill/node2rtl.scm 230 */
																							obj_t BgL_arg1854z00_6500;

																							BgL_arg1854z00_6500 =
																								(BgL_oclassz00_6492);
																							BgL_arg1853z00_6499 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_6500, 2L);
																						}
																						BgL_res2925z00_6491 =
																							(BgL_arg1853z00_6499 ==
																							BgL_classz00_6486);
																					}
																				else
																					{	/* SawMill/node2rtl.scm 230 */
																						BgL_res2925z00_6491 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test3229z00_9340 = BgL_res2925z00_6491;
															}
													}
												}
											}
											if (BgL_test3229z00_9340)
												{	/* SawMill/node2rtl.scm 231 */
													bool_t BgL_test3233z00_9368;

													{	/* SawMill/node2rtl.scm 231 */
														long BgL_tmpz00_9369;

														{
															BgL_variablez00_bglt BgL_auxz00_9370;

															{
																BgL_localz00_bglt BgL_auxz00_9371;

																{
																	obj_t BgL_auxz00_9372;

																	{	/* SawMill/node2rtl.scm 231 */
																		obj_t BgL_pairz00_6501;

																		BgL_pairz00_6501 =
																			(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_ez00_5932)))->BgL_bindingsz00);
																		{	/* SawMill/node2rtl.scm 231 */
																			obj_t BgL_pairz00_6502;

																			BgL_pairz00_6502 = CAR(BgL_pairz00_6501);
																			BgL_auxz00_9372 = CAR(BgL_pairz00_6502);
																	}}
																	BgL_auxz00_9371 =
																		((BgL_localz00_bglt) BgL_auxz00_9372);
																}
																BgL_auxz00_9370 =
																	((BgL_variablez00_bglt) BgL_auxz00_9371);
															}
															BgL_tmpz00_9369 =
																(((BgL_variablez00_bglt)
																	COBJECT(BgL_auxz00_9370))->BgL_occurrencez00);
														}
														BgL_test3233z00_9368 = (1L == BgL_tmpz00_9369);
													}
													if (BgL_test3233z00_9368)
														{	/* SawMill/node2rtl.scm 232 */
															obj_t BgL_tmpz00_9381;

															{	/* SawMill/node2rtl.scm 232 */
																obj_t BgL_pairz00_6503;

																BgL_pairz00_6503 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_ez00_5932)))->BgL_bindingsz00);
																BgL_tmpz00_9381 = CAR(CAR(BgL_pairz00_6503));
															}
															BgL_test3222z00_9304 =
																(BgL_tmpz00_9381 ==
																((obj_t)
																	(((BgL_varz00_bglt) COBJECT(
																				((BgL_varz00_bglt)
																					(((BgL_conditionalz00_bglt) COBJECT(
																								((BgL_conditionalz00_bglt)
																									(((BgL_letzd2varzd2_bglt)
																											COBJECT((
																													(BgL_letzd2varzd2_bglt)
																													BgL_ez00_5932)))->
																										BgL_bodyz00))))->
																						BgL_testz00))))->BgL_variablez00)));
														}
													else
														{	/* SawMill/node2rtl.scm 231 */
															BgL_test3222z00_9304 = ((bool_t) 0);
														}
												}
											else
												{	/* SawMill/node2rtl.scm 230 */
													BgL_test3222z00_9304 = ((bool_t) 0);
												}
										}
									else
										{	/* SawMill/node2rtl.scm 229 */
											BgL_test3222z00_9304 = ((bool_t) 0);
										}
								}
						}
					else
						{	/* SawMill/node2rtl.scm 227 */
							BgL_test3222z00_9304 = ((bool_t) 0);
						}
				}
				if (BgL_test3222z00_9304)
					{	/* SawMill/node2rtl.scm 227 */
						{	/* SawMill/node2rtl.scm 233 */
							BgL_nodez00_bglt BgL_arg2266z00_6504;
							obj_t BgL_arg2267z00_6505;

							BgL_arg2266z00_6504 =
								(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_ez00_5932)))->BgL_bodyz00);
							{	/* SawMill/node2rtl.scm 233 */
								obj_t BgL_pairz00_6506;

								BgL_pairz00_6506 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_ez00_5932)))->
									BgL_bindingsz00);
								BgL_arg2267z00_6505 = CDR(CAR(BgL_pairz00_6506));
							}
							((((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_arg2266z00_6504)))->
									BgL_testz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg2267z00_6505)),
								BUNSPEC);
						}
						return
							BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
							(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_ez00_5932)))->BgL_bodyz00));
					}
				else
					{	/* SawMill/node2rtl.scm 236 */
						BgL_areaz00_bglt BgL_arg2270z00_6507;
						BgL_areaz00_bglt BgL_arg2271z00_6508;

						{	/* SawMill/node2rtl.scm 236 */
							obj_t BgL_arg2272z00_6509;

							{	/* SawMill/node2rtl.scm 236 */
								obj_t BgL_l1666z00_6510;

								BgL_l1666z00_6510 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_ez00_5932)))->
									BgL_bindingsz00);
								if (NULLP(BgL_l1666z00_6510))
									{	/* SawMill/node2rtl.scm 236 */
										BgL_arg2272z00_6509 = BNIL;
									}
								else
									{	/* SawMill/node2rtl.scm 236 */
										obj_t BgL_head1668z00_6511;

										BgL_head1668z00_6511 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1666z00_6513;
											obj_t BgL_tail1669z00_6514;

											BgL_l1666z00_6513 = BgL_l1666z00_6510;
											BgL_tail1669z00_6514 = BgL_head1668z00_6511;
										BgL_zc3z04anonymousza32274ze3z87_6512:
											if (NULLP(BgL_l1666z00_6513))
												{	/* SawMill/node2rtl.scm 236 */
													BgL_arg2272z00_6509 = CDR(BgL_head1668z00_6511);
												}
											else
												{	/* SawMill/node2rtl.scm 236 */
													obj_t BgL_newtail1670z00_6515;

													{	/* SawMill/node2rtl.scm 236 */
														BgL_areaz00_bglt BgL_arg2277z00_6516;

														{	/* SawMill/node2rtl.scm 236 */
															obj_t BgL_bz00_6517;

															BgL_bz00_6517 = CAR(((obj_t) BgL_l1666z00_6513));
															{	/* SawMill/node2rtl.scm 236 */
																obj_t BgL_arg2279z00_6518;
																BgL_rtl_regz00_bglt BgL_arg2280z00_6519;

																BgL_arg2279z00_6518 =
																	CDR(((obj_t) BgL_bz00_6517));
																{	/* SawMill/node2rtl.scm 236 */
																	obj_t BgL_arg2281z00_6520;

																	BgL_arg2281z00_6520 =
																		CAR(((obj_t) BgL_bz00_6517));
																	BgL_arg2280z00_6519 =
																		BGl_localzd2ze3regz31zzsaw_node2rtlz00(
																		((BgL_localz00_bglt) BgL_arg2281z00_6520));
																}
																{	/* SawMill/node2rtl.scm 236 */
																	BgL_areaz00_bglt BgL_res2926z00_6521;

																	{	/* SawMill/node2rtl.scm 187 */
																		BgL_areaz00_bglt BgL_az00_6522;

																		BgL_az00_6522 =
																			BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
																			((BgL_nodez00_bglt) BgL_arg2279z00_6518));
																		BGl_bdestinationz12z12zzsaw_node2rtlz00(
																			(((BgL_areaz00_bglt)
																					COBJECT(BgL_az00_6522))->BgL_exitz00),
																			BgL_arg2280z00_6519);
																		BgL_res2926z00_6521 = BgL_az00_6522;
																	}
																	BgL_arg2277z00_6516 = BgL_res2926z00_6521;
																}
															}
														}
														BgL_newtail1670z00_6515 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg2277z00_6516), BNIL);
													}
													SET_CDR(BgL_tail1669z00_6514,
														BgL_newtail1670z00_6515);
													{	/* SawMill/node2rtl.scm 236 */
														obj_t BgL_arg2276z00_6523;

														BgL_arg2276z00_6523 =
															CDR(((obj_t) BgL_l1666z00_6513));
														{
															obj_t BgL_tail1669z00_9432;
															obj_t BgL_l1666z00_9431;

															BgL_l1666z00_9431 = BgL_arg2276z00_6523;
															BgL_tail1669z00_9432 = BgL_newtail1670z00_6515;
															BgL_tail1669z00_6514 = BgL_tail1669z00_9432;
															BgL_l1666z00_6513 = BgL_l1666z00_9431;
															goto BgL_zc3z04anonymousza32274ze3z87_6512;
														}
													}
												}
										}
									}
							}
							BgL_arg2270z00_6507 =
								BGl_linkza2za2zzsaw_node2rtlz00(BgL_arg2272z00_6509);
						}
						BgL_arg2271z00_6508 =
							BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
							(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_ez00_5932)))->BgL_bodyz00));
						return
							BGl_linkz00zzsaw_node2rtlz00(BgL_arg2270z00_6507,
							BgL_arg2271z00_6508);
					}
			}
		}

	}



/* &node->rtl-var1724 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2var1724z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5933, obj_t BgL_ez00_5934)
	{
		{	/* SawMill/node2rtl.scm 214 */
			{	/* SawMill/node2rtl.scm 216 */
				bool_t BgL_test3236z00_9438;

				{	/* SawMill/node2rtl.scm 216 */
					BgL_variablez00_bglt BgL_arg2235z00_6525;

					BgL_arg2235z00_6525 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_ez00_5934)))->BgL_variablez00);
					{	/* SawMill/node2rtl.scm 216 */
						obj_t BgL_classz00_6526;

						BgL_classz00_6526 = BGl_localz00zzast_varz00;
						{	/* SawMill/node2rtl.scm 216 */
							BgL_objectz00_bglt BgL_arg1858z00_6527;

							{	/* SawMill/node2rtl.scm 216 */
								obj_t BgL_tmpz00_9441;

								BgL_tmpz00_9441 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg2235z00_6525));
								BgL_arg1858z00_6527 = (BgL_objectz00_bglt) (BgL_tmpz00_9441);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawMill/node2rtl.scm 216 */
									long BgL_idxz00_6528;

									BgL_idxz00_6528 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6527);
									BgL_test3236z00_9438 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_6528 + 2L)) == BgL_classz00_6526);
								}
							else
								{	/* SawMill/node2rtl.scm 216 */
									bool_t BgL_res2922z00_6531;

									{	/* SawMill/node2rtl.scm 216 */
										obj_t BgL_oclassz00_6532;

										{	/* SawMill/node2rtl.scm 216 */
											obj_t BgL_arg1866z00_6533;
											long BgL_arg1867z00_6534;

											BgL_arg1866z00_6533 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawMill/node2rtl.scm 216 */
												long BgL_arg1869z00_6535;

												BgL_arg1869z00_6535 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6527);
												BgL_arg1867z00_6534 =
													(BgL_arg1869z00_6535 - OBJECT_TYPE);
											}
											BgL_oclassz00_6532 =
												VECTOR_REF(BgL_arg1866z00_6533, BgL_arg1867z00_6534);
										}
										{	/* SawMill/node2rtl.scm 216 */
											bool_t BgL__ortest_1115z00_6536;

											BgL__ortest_1115z00_6536 =
												(BgL_classz00_6526 == BgL_oclassz00_6532);
											if (BgL__ortest_1115z00_6536)
												{	/* SawMill/node2rtl.scm 216 */
													BgL_res2922z00_6531 = BgL__ortest_1115z00_6536;
												}
											else
												{	/* SawMill/node2rtl.scm 216 */
													long BgL_odepthz00_6537;

													{	/* SawMill/node2rtl.scm 216 */
														obj_t BgL_arg1855z00_6538;

														BgL_arg1855z00_6538 = (BgL_oclassz00_6532);
														BgL_odepthz00_6537 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_6538);
													}
													if ((2L < BgL_odepthz00_6537))
														{	/* SawMill/node2rtl.scm 216 */
															obj_t BgL_arg1853z00_6539;

															{	/* SawMill/node2rtl.scm 216 */
																obj_t BgL_arg1854z00_6540;

																BgL_arg1854z00_6540 = (BgL_oclassz00_6532);
																BgL_arg1853z00_6539 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_6540,
																	2L);
															}
															BgL_res2922z00_6531 =
																(BgL_arg1853z00_6539 == BgL_classz00_6526);
														}
													else
														{	/* SawMill/node2rtl.scm 216 */
															BgL_res2922z00_6531 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test3236z00_9438 = BgL_res2922z00_6531;
								}
						}
					}
				}
				if (BgL_test3236z00_9438)
					{	/* SawMill/node2rtl.scm 217 */
						BgL_rtl_movz00_bglt BgL_arg2216z00_6541;
						BgL_rtl_regz00_bglt BgL_arg2217z00_6542;

						{	/* SawMill/node2rtl.scm 217 */
							BgL_rtl_movz00_bglt BgL_new1262z00_6543;

							{	/* SawMill/node2rtl.scm 217 */
								BgL_rtl_movz00_bglt BgL_new1261z00_6544;

								BgL_new1261z00_6544 =
									((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_movz00_bgl))));
								{	/* SawMill/node2rtl.scm 217 */
									long BgL_arg2219z00_6545;

									BgL_arg2219z00_6545 =
										BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1261z00_6544),
										BgL_arg2219z00_6545);
								}
								BgL_new1262z00_6543 = BgL_new1261z00_6544;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1262z00_6543)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg2216z00_6541 = BgL_new1262z00_6543;
						}
						{	/* SawMill/node2rtl.scm 217 */
							BgL_variablez00_bglt BgL_arg2220z00_6546;

							BgL_arg2220z00_6546 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_ez00_5934)))->BgL_variablez00);
							BgL_arg2217z00_6542 =
								BGl_localzd2ze3regz31zzsaw_node2rtlz00(
								((BgL_localz00_bglt) BgL_arg2220z00_6546));
						}
						{	/* SawMill/node2rtl.scm 217 */
							obj_t BgL_list2218z00_6547;

							BgL_list2218z00_6547 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg2217z00_6542), BNIL);
							return
								BGl_singleza2za2zzsaw_node2rtlz00(
								((obj_t)
									((BgL_varz00_bglt) BgL_ez00_5934)),
								((BgL_rtl_funz00_bglt) BgL_arg2216z00_6541),
								BgL_list2218z00_6547);
						}
					}
				else
					{	/* SawMill/node2rtl.scm 218 */
						bool_t BgL_test3240z00_9480;

						{	/* SawMill/node2rtl.scm 218 */
							BgL_valuez00_bglt BgL_arg2233z00_6548;

							BgL_arg2233z00_6548 =
								(((BgL_variablez00_bglt) COBJECT(
										(((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_ez00_5934)))->
											BgL_variablez00)))->BgL_valuez00);
							{	/* SawMill/node2rtl.scm 218 */
								obj_t BgL_classz00_6549;

								BgL_classz00_6549 = BGl_sfunz00zzast_varz00;
								{	/* SawMill/node2rtl.scm 218 */
									BgL_objectz00_bglt BgL_arg1858z00_6550;

									{	/* SawMill/node2rtl.scm 218 */
										obj_t BgL_tmpz00_9484;

										BgL_tmpz00_9484 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg2233z00_6548));
										BgL_arg1858z00_6550 =
											(BgL_objectz00_bglt) (BgL_tmpz00_9484);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawMill/node2rtl.scm 218 */
											long BgL_idxz00_6551;

											BgL_idxz00_6551 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6550);
											BgL_test3240z00_9480 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_6551 + 3L)) == BgL_classz00_6549);
										}
									else
										{	/* SawMill/node2rtl.scm 218 */
											bool_t BgL_res2923z00_6554;

											{	/* SawMill/node2rtl.scm 218 */
												obj_t BgL_oclassz00_6555;

												{	/* SawMill/node2rtl.scm 218 */
													obj_t BgL_arg1866z00_6556;
													long BgL_arg1867z00_6557;

													BgL_arg1866z00_6556 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* SawMill/node2rtl.scm 218 */
														long BgL_arg1869z00_6558;

														BgL_arg1869z00_6558 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6550);
														BgL_arg1867z00_6557 =
															(BgL_arg1869z00_6558 - OBJECT_TYPE);
													}
													BgL_oclassz00_6555 =
														VECTOR_REF(BgL_arg1866z00_6556,
														BgL_arg1867z00_6557);
												}
												{	/* SawMill/node2rtl.scm 218 */
													bool_t BgL__ortest_1115z00_6559;

													BgL__ortest_1115z00_6559 =
														(BgL_classz00_6549 == BgL_oclassz00_6555);
													if (BgL__ortest_1115z00_6559)
														{	/* SawMill/node2rtl.scm 218 */
															BgL_res2923z00_6554 = BgL__ortest_1115z00_6559;
														}
													else
														{	/* SawMill/node2rtl.scm 218 */
															long BgL_odepthz00_6560;

															{	/* SawMill/node2rtl.scm 218 */
																obj_t BgL_arg1855z00_6561;

																BgL_arg1855z00_6561 = (BgL_oclassz00_6555);
																BgL_odepthz00_6560 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_6561);
															}
															if ((3L < BgL_odepthz00_6560))
																{	/* SawMill/node2rtl.scm 218 */
																	obj_t BgL_arg1853z00_6562;

																	{	/* SawMill/node2rtl.scm 218 */
																		obj_t BgL_arg1854z00_6563;

																		BgL_arg1854z00_6563 = (BgL_oclassz00_6555);
																		BgL_arg1853z00_6562 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_6563, 3L);
																	}
																	BgL_res2923z00_6554 =
																		(BgL_arg1853z00_6562 == BgL_classz00_6549);
																}
															else
																{	/* SawMill/node2rtl.scm 218 */
																	BgL_res2923z00_6554 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test3240z00_9480 = BgL_res2923z00_6554;
										}
								}
							}
						}
						if (BgL_test3240z00_9480)
							{	/* SawMill/node2rtl.scm 219 */
								BgL_rtl_loadfunz00_bglt BgL_arg2224z00_6564;

								{	/* SawMill/node2rtl.scm 219 */
									BgL_rtl_loadfunz00_bglt BgL_new1265z00_6565;

									{	/* SawMill/node2rtl.scm 219 */
										BgL_rtl_loadfunz00_bglt BgL_new1264z00_6566;

										BgL_new1264z00_6566 =
											((BgL_rtl_loadfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_rtl_loadfunz00_bgl))));
										{	/* SawMill/node2rtl.scm 219 */
											long BgL_arg2227z00_6567;

											BgL_arg2227z00_6567 =
												BGL_CLASS_NUM(BGl_rtl_loadfunz00zzsaw_defsz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1264z00_6566),
												BgL_arg2227z00_6567);
										}
										BgL_new1265z00_6565 = BgL_new1264z00_6566;
									}
									((((BgL_rtl_funz00_bglt) COBJECT(
													((BgL_rtl_funz00_bglt) BgL_new1265z00_6565)))->
											BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
									{
										BgL_globalz00_bglt BgL_auxz00_9513;

										{	/* SawMill/node2rtl.scm 219 */
											BgL_variablez00_bglt BgL_arg2226z00_6568;

											BgL_arg2226z00_6568 =
												(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_ez00_5934)))->
												BgL_variablez00);
											BgL_auxz00_9513 =
												BGl_getzd2globalzd2zzsaw_node2rtlz00((
													(BgL_globalz00_bglt) BgL_arg2226z00_6568));
										}
										((((BgL_rtl_loadfunz00_bglt) COBJECT(BgL_new1265z00_6565))->
												BgL_varz00) =
											((BgL_globalz00_bglt) BgL_auxz00_9513), BUNSPEC);
									}
									BgL_arg2224z00_6564 = BgL_new1265z00_6565;
								}
								return
									BGl_singleza2za2zzsaw_node2rtlz00(
									((obj_t)
										((BgL_varz00_bglt) BgL_ez00_5934)),
									((BgL_rtl_funz00_bglt) BgL_arg2224z00_6564), BNIL);
							}
						else
							{	/* SawMill/node2rtl.scm 221 */
								BgL_rtl_loadgz00_bglt BgL_arg2228z00_6569;

								{	/* SawMill/node2rtl.scm 221 */
									BgL_rtl_loadgz00_bglt BgL_new1268z00_6570;

									{	/* SawMill/node2rtl.scm 221 */
										BgL_rtl_loadgz00_bglt BgL_new1266z00_6571;

										BgL_new1266z00_6571 =
											((BgL_rtl_loadgz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_rtl_loadgz00_bgl))));
										{	/* SawMill/node2rtl.scm 221 */
											long BgL_arg2231z00_6572;

											BgL_arg2231z00_6572 =
												BGL_CLASS_NUM(BGl_rtl_loadgz00zzsaw_defsz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1266z00_6571),
												BgL_arg2231z00_6572);
										}
										BgL_new1268z00_6570 = BgL_new1266z00_6571;
									}
									((((BgL_rtl_funz00_bglt) COBJECT(
													((BgL_rtl_funz00_bglt) BgL_new1268z00_6570)))->
											BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
									{
										BgL_globalz00_bglt BgL_auxz00_9529;

										{	/* SawMill/node2rtl.scm 221 */
											BgL_variablez00_bglt BgL_arg2230z00_6573;

											BgL_arg2230z00_6573 =
												(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_ez00_5934)))->
												BgL_variablez00);
											BgL_auxz00_9529 =
												BGl_getzd2globalzd2zzsaw_node2rtlz00((
													(BgL_globalz00_bglt) BgL_arg2230z00_6573));
										}
										((((BgL_rtl_loadgz00_bglt) COBJECT(BgL_new1268z00_6570))->
												BgL_varz00) =
											((BgL_globalz00_bglt) BgL_auxz00_9529), BUNSPEC);
									}
									BgL_arg2228z00_6569 = BgL_new1268z00_6570;
								}
								return
									BGl_singleza2za2zzsaw_node2rtlz00(
									((obj_t)
										((BgL_varz00_bglt) BgL_ez00_5934)),
									((BgL_rtl_funz00_bglt) BgL_arg2228z00_6569), BNIL);
							}
					}
			}
		}

	}



/* &node->rtl-atom1722 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2atom1722z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5935, obj_t BgL_ez00_5936)
	{
		{	/* SawMill/node2rtl.scm 210 */
			{	/* SawMill/node2rtl.scm 211 */
				BgL_rtl_loadiz00_bglt BgL_arg2211z00_6575;

				{	/* SawMill/node2rtl.scm 211 */
					BgL_rtl_loadiz00_bglt BgL_new1259z00_6576;

					{	/* SawMill/node2rtl.scm 211 */
						BgL_rtl_loadiz00_bglt BgL_new1258z00_6577;

						BgL_new1258z00_6577 =
							((BgL_rtl_loadiz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_loadiz00_bgl))));
						{	/* SawMill/node2rtl.scm 211 */
							long BgL_arg2213z00_6578;

							BgL_arg2213z00_6578 =
								BGL_CLASS_NUM(BGl_rtl_loadiz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1258z00_6577),
								BgL_arg2213z00_6578);
						}
						BgL_new1259z00_6576 = BgL_new1258z00_6577;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1259z00_6576)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_loadiz00_bglt) COBJECT(BgL_new1259z00_6576))->
							BgL_constantz00) =
						((BgL_atomz00_bglt) ((BgL_atomz00_bglt) BgL_ez00_5936)), BUNSPEC);
					BgL_arg2211z00_6575 = BgL_new1259z00_6576;
				}
				return
					BGl_singleza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_atomz00_bglt) BgL_ez00_5936)),
					((BgL_rtl_funz00_bglt) BgL_arg2211z00_6575), BNIL);
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_node2rtlz00(void)
	{
		{	/* SawMill/node2rtl.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string3015z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string3015z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string3015z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string3015z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string3015z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string3015z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(151271251L,
				BSTRING_TO_STRING(BGl_string3015z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzsync_nodez00(421078394L,
				BSTRING_TO_STRING(BGl_string3015z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string3015z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string3015z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(404844772L,
				BSTRING_TO_STRING(BGl_string3015z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzbackend_cplibz00(395792377L,
				BSTRING_TO_STRING(BGl_string3015z00zzsaw_node2rtlz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string3015z00zzsaw_node2rtlz00));
		}

	}

#ifdef __cplusplus
}
#endif
