/*===========================================================================*/
/*   (SawMill/regalloc.scm)                                                  */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawMill/regalloc.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BgL_SAW_REGISTERzd2ALLOCATIONzd2_TYPE_DEFINITIONS
#define BGL_BgL_SAW_REGISTERzd2ALLOCATIONzd2_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_debugnamez00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_rtl_regzf2razf2_bgl
	{
		int BgL_numz00;
		obj_t BgL_colorz00;
		obj_t BgL_coalescez00;
		int BgL_occurrencesz00;
		obj_t BgL_interferez00;
		obj_t BgL_interfere2z00;
	}                      *BgL_rtl_regzf2razf2_bglt;

	typedef struct BgL_regsetz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_lengthz00;
		int BgL_msiza7eza7;
		obj_t BgL_regvz00;
		obj_t BgL_reglz00;
		obj_t BgL_stringz00;
	}                *BgL_regsetz00_bglt;

	typedef struct BgL_blockzf2razf2_bgl
	{
		obj_t BgL_lastz00;
	}                    *BgL_blockzf2razf2_bglt;

	typedef struct BgL_rtl_inszf2razf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_outz00;
		obj_t BgL_inz00;
		obj_t BgL_spillz00;
	}                      *BgL_rtl_inszf2razf2_bglt;


#endif													// BGL_BgL_SAW_REGISTERzd2ALLOCATIONzd2_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	static obj_t
		BGl_z62zc3z04anonymousza32575ze3ze5zzsaw_registerzd2allocationzd2(obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32559ze3ze5zzsaw_registerzd2allocationzd2(obj_t);
	extern obj_t BGl_rtl_funz00zzsaw_defsz00;
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t
		BGl_registerzd2hardwarezd2coloringz00zzsaw_registerzd2allocationzd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_registerzd2allocationzd2 =
		BUNSPEC;
	extern bool_t BGl_regsetzd2addz12zc0zzsaw_regsetz00(BgL_regsetz00_bglt,
		BgL_rtl_regz00_bglt);
	static obj_t
		BGl_rtlzd2mapzd2registersz12z12zzsaw_registerzd2allocationzd2(obj_t, obj_t,
		obj_t);
	extern obj_t
		BGl_za2sawzd2registerzd2allocationzd2functionsza2zd2zzengine_paramz00;
	extern obj_t BGl_collectzd2registersz12zc0zzsaw_regutilsz00(obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static bool_t
		BGl_cleanupzd2movezd2treez12z12zzsaw_registerzd2allocationzd2(obj_t);
	static obj_t
		BGl_z62protectzd2interferencez12za2zzsaw_registerzd2allocationzd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_funcallzd2spillz12zc0zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_assocz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_registerzd2allocationzd2(void);
	extern obj_t BGl_rtl_protectz00zzsaw_defsz00;
	static obj_t
		BGl_simplifyzd2regz12zc0zzsaw_registerzd2allocationzd2(BgL_rtl_regz00_bglt);
	static obj_t
		BGl_z62zc3z04anonymousza32120ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32031ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t
		BGl_z62typezd2interferencez12za2zzsaw_registerzd2allocationzd2(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t
		BGl_z62registerzd2allocationzb0zzsaw_registerzd2allocationzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_registerzd2allocationzd2(void);
	static obj_t BGl_blockzf2razf2zzsaw_registerzd2allocationzd2 = BUNSPEC;
	static obj_t
		BGl_registerzd2stackzd2coloringz00zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_registerzd2allocationzd2(void);
	BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32114ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t
		BGl_z62zc3z04anonymousza31974ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static obj_t BGl_interferencez12z12zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	extern obj_t BGl_regsetzd2filterzd2zzsaw_regsetz00(obj_t, BgL_regsetz00_bglt);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t
		BGl_z62zc3z04anonymousza32123ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	extern bool_t BGl_regsetzd2removez12zc0zzsaw_regsetz00(BgL_regsetz00_bglt,
		BgL_rtl_regz00_bglt);
	BGL_IMPORT obj_t bgl_bignum_add(obj_t, obj_t);
	static bool_t
		BGl_inszd2hardwarezd2interferencez12ze70zf5zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt, BgL_rtl_insz00_bglt, obj_t, obj_t);
	static bool_t
		BGl_hardwarezd2mutualzd2interferencez12z12zzsaw_registerzd2allocationzd2
		(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t make_vector(long, obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32117ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32036ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	extern obj_t BGl_rtl_nopz00zzsaw_defsz00;
	static obj_t BGl_z62rtlzd2siza7ez17zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_registerzd2allocationzd2(void);
	extern bool_t BGl_regsetzd2unionza2z12z62zzsaw_regsetz00(BgL_regsetz00_bglt,
		obj_t);
	static bool_t
		BGl_hardwarezd2parameterszd2interferencez12z12zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt, obj_t);
	extern obj_t BGl_rtl_inszd2argsza2z70zzsaw_defsz00(BgL_rtl_insz00_bglt);
	static obj_t BGl_livenessz12z12zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_registerzd2allocationzd2zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt, BgL_globalz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_long_to_bignum(long);
	BGL_IMPORT obj_t BGl_zb2zb2zz__r4_numbers_6_5z00(obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32510ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static obj_t BGl_registerzd2coloringzd2zzsaw_registerzd2allocationzd2(obj_t,
		obj_t, obj_t);
	extern BgL_regsetz00_bglt BGl_listzd2ze3regsetz31zzsaw_regsetz00(obj_t,
		obj_t);
	static obj_t
		BGl_argszd2cleanupzd2movezd2treez12ze70z27zzsaw_registerzd2allocationzd2
		(obj_t);
	static obj_t BGl_cleanupzd2destz12zc0zzsaw_registerzd2allocationzd2(obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_appendzd2mapz12zc0zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32180ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62rtlzd2siza7ezd2rtl_ins1720zc5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
	static obj_t
		BGl_z62typezd2interferencez121712za2zzsaw_registerzd2allocationzd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_registerzd2allocationzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static bool_t
		BGl_z52registerzd2allocationz80zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt, BgL_globalz00_bglt, obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_usezd2registerz12zc0zzsaw_registerzd2allocationzd2(BgL_rtl_regz00_bglt);
	BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_typezd2interferencez12zc0zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt, obj_t);
	static obj_t
		BGl_z62protectzd2interference1710zb0zzsaw_registerzd2allocationzd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2sawzd2registerzd2allocationzf3za2zf3zzengine_paramz00;
	BGL_IMPORT obj_t BGl_vectorzd2fillz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t,
		long, long);
	static obj_t BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2(obj_t);
	static obj_t
		BGl_z62rtlzd2siza7ezd2block1718zc5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	extern obj_t BGl_regsetzd2ze3listz31zzsaw_regsetz00(BgL_regsetz00_bglt);
	static obj_t BGl_cnstzd2initzd2zzsaw_registerzd2allocationzd2(void);
	static obj_t
		BGl_libraryzd2moduleszd2initz00zzsaw_registerzd2allocationzd2(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_importedzd2moduleszd2initz00zzsaw_registerzd2allocationzd2(void);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_registerzd2allocationzd2(void);
	extern BgL_regsetz00_bglt
		BGl_duplicatezd2regsetzd2zzsaw_regsetz00(BgL_regsetz00_bglt);
	extern obj_t
		BGl_za2sawzd2nozd2registerzd2allocationzd2functionsza2z00zzengine_paramz00;
	BGL_IMPORT obj_t bgl_remq(obj_t, obj_t);
	extern obj_t BGl_regsetzd2forzd2eachz00zzsaw_regsetz00(obj_t,
		BgL_regsetz00_bglt);
	extern obj_t BGl_backendz00zzbackend_backendz00;
	static obj_t BGl_z62rtlzd2siza7e1714z17zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32194ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static obj_t BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2 = BUNSPEC;
	static bool_t BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static BgL_blockz00_bglt
		BGl_z62lambda2504z62zzsaw_registerzd2allocationzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32268ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static BgL_blockz00_bglt
		BGl_z62lambda2508z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	static bool_t
		BGl_inszd2funcallzd2spillz12ze70zf5zzsaw_registerzd2allocationzd2
		(BgL_rtl_insz00_bglt);
	static bool_t
		BGl_argszd2widenzd2raz12ze70zf5zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	static obj_t BGl_livenesszd2blockz12zc0zzsaw_registerzd2allocationzd2(obj_t);
	static BgL_blockz00_bglt
		BGl_z62lambda2511z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32552ze3ze5zzsaw_registerzd2allocationzd2(obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32439ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	extern obj_t
		BGl_backendzd2instrzd2resetzd2registerszd2zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	static obj_t BGl_z62lambda2522z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2523z62zzsaw_registerzd2allocationzd2(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static bool_t BGl_widenzd2raz12zc0zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	extern obj_t
		BGl_za2sawzd2registerzd2allocationzd2maxzd2siza7eza2za7zzengine_paramz00;
	extern bool_t BGl_regsetzd2unionz12zc0zzsaw_regsetz00(BgL_regsetz00_bglt,
		BgL_regsetz00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_rtl_insz00_bglt
		BGl_z62lambda2533z62zzsaw_registerzd2allocationzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_insz00_bglt
		BGl_z62lambda2537z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	static obj_t
		BGl_interferezd2insz12zc0zzsaw_registerzd2allocationzd2
		(BgL_rtl_insz00_bglt);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern BgL_regsetz00_bglt BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00(obj_t);
	extern obj_t BGl_rtl_regzf2razf2zzsaw_regsetz00;
	static obj_t
		BGl_z62dumpzd2rtl_inszf2ra1722z42zzsaw_registerzd2allocationzd2(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_rtl_insz00_bglt
		BGl_z62lambda2540z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static long BGl_removezd2blockz12ze70z27zzsaw_registerzd2allocationzd2(obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32539ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2550z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2551z62zzsaw_registerzd2allocationzd2(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32289ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2557z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2558z62zzsaw_registerzd2allocationzd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_blockz00zzsaw_defsz00;
	static obj_t
		BGl_removezd2nopzd2movez12z12zzsaw_registerzd2allocationzd2(obj_t);
	static bool_t
		BGl_hardwarezd2interferencez12zc0zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2564z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2565z62zzsaw_registerzd2allocationzd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_getzd2argsze70z35zzsaw_registerzd2allocationzd2(obj_t);
	static obj_t
		BGl_protectzd2interferencez12zc0zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32566ze3ze5zzsaw_registerzd2allocationzd2(obj_t);
	static obj_t BGl_z62lambda2573z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2574z62zzsaw_registerzd2allocationzd2(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[10];


	   
		 
		DEFINE_STATIC_BGL_GENERIC
		(BGl_protectzd2interferencez12zd2envz12zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762protectza7d2int2953z00,
		BGl_z62protectzd2interferencez12za2zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 2);
	extern obj_t BGl_dumpzd2envzd2zzsaw_defsz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_registerzd2allocationzd2envz00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762registerza7d2al2954z00,
		BGl_z62registerzd2allocationzb0zzsaw_registerzd2allocationzd2, 0L, BUNSPEC,
		4);
	      DEFINE_STRING(BGl_string2900z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2900za700za7za7s2955za7, "done\n", 5);
	      DEFINE_STRING(BGl_string2901z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2901za700za7za7s2956za7,
		"          removed useless dest. registers... ", 45);
	      DEFINE_STRING(BGl_string2903z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2903za700za7za7s2957za7, " registers\n", 11);
	      DEFINE_STRING(BGl_string2904z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2904za700za7za7s2958za7, ")", 1);
	      DEFINE_STRING(BGl_string2905z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2905za700za7za7s2959za7, " (of ", 5);
	      DEFINE_STRING(BGl_string2906z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2906za700za7za7s2960za7, "          stack coloring... ", 28);
	      DEFINE_STRING(BGl_string2907z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2907za700za7za7s2961za7, " spills", 7);
	      DEFINE_STRING(BGl_string2908z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2908za700za7za7s2962za7, " regs, ", 7);
	      DEFINE_STRING(BGl_string2909z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2909za700za7za7s2963za7, " temps -> ", 10);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2902z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762za7c3za704anonymo2964za7,
		BGl_z62zc3z04anonymousza32180ze3ze5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2910z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2910za700za7za7s2965za7, " h-regs, ", 9);
	      DEFINE_STRING(BGl_string2911z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2911za700za7za7s2966za7, "          register coloring... ",
		31);
	      DEFINE_STRING(BGl_string2912z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2912za700za7za7s2967za7, " removed\n", 9);
	      DEFINE_STRING(BGl_string2913z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2913za700za7za7s2968za7, "          move... ", 18);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2914z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2523za7622969z00,
		BGl_z62lambda2523z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2915z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2522za7622970z00,
		BGl_z62lambda2522z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2916z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2511za7622971z00,
		BGl_z62lambda2511z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2917z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762za7c3za704anonymo2972za7,
		BGl_z62zc3z04anonymousza32510ze3ze5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2918z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2508za7622973z00,
		BGl_z62lambda2508z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2919z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2504za7622974z00,
		BGl_z62lambda2504z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 5);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2920z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762za7c3za704anonymo2975za7,
		BGl_z62zc3z04anonymousza32552ze3ze5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2921z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2551za7622976z00,
		BGl_z62lambda2551z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2922z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2550za7622977z00,
		BGl_z62lambda2550z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2923z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762za7c3za704anonymo2978za7,
		BGl_z62zc3z04anonymousza32559ze3ze5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2924z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2558za7622979z00,
		BGl_z62lambda2558z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2925z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2557za7622980z00,
		BGl_z62lambda2557z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2926z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762za7c3za704anonymo2981za7,
		BGl_z62zc3z04anonymousza32566ze3ze5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2927z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2565za7622982z00,
		BGl_z62lambda2565z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2928z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2564za7622983z00,
		BGl_z62lambda2564z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2929z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762za7c3za704anonymo2984za7,
		BGl_z62zc3z04anonymousza32575ze3ze5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2937z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2937za700za7za7s2985za7, "protect-interference1710", 24);
	      DEFINE_STRING(BGl_string2939z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2939za700za7za7s2986za7, "type-interference!1712", 22);
	extern obj_t BGl_collectzd2registerz12zd2envz12zzsaw_regutilsz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2930z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2574za7622987z00,
		BGl_z62lambda2574z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2931z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2573za7622988z00,
		BGl_z62lambda2573z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2932z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2540za7622989z00,
		BGl_z62lambda2540z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2933z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762za7c3za704anonymo2990za7,
		BGl_z62zc3z04anonymousza32539ze3ze5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2934z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2537za7622991z00,
		BGl_z62lambda2537z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2941z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2941za700za7za7s2992za7, "rtl-size1714", 12);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2935z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2533za7622993z00,
		BGl_z62lambda2533z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 9);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2936z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762protectza7d2int2994z00,
		BGl_z62protectzd2interference1710zb0zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2943z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2943za700za7za7s2995za7, "rtl-size", 8);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2938z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762typeza7d2interf2996z00,
		BGl_z62typezd2interferencez121712za2zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2946z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2946za700za7za7s2997za7, "dump", 4);
	      DEFINE_STRING(BGl_string2947z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2947za700za7za7s2998za7, "saw_register-allocation", 23);
	      DEFINE_STRING(BGl_string2948z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2948za700za7za7s2999za7,
		"rtl_ins/ra spill in out obj def saw_register-allocation block/ra pair-nil last ",
		79);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2940z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762rtlza7d2siza7a7e13000za7,
		BGl_z62rtlzd2siza7e1714z17zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2942z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762rtlza7d2siza7a7eza73001z00,
		BGl_z62rtlzd2siza7ezd2block1718zc5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2944z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762rtlza7d2siza7a7eza73002z00,
		BGl_z62rtlzd2siza7ezd2rtl_ins1720zc5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2945z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762dumpza7d2rtl_in3003z00,
		BGl_z62dumpzd2rtl_inszf2ra1722z42zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2886z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2886za700za7za7s3004za7, "\n", 1);
	      DEFINE_STRING(BGl_string2887z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2887za700za7za7s3005za7, "        no reg. alloc. ", 23);
	      DEFINE_STRING(BGl_string2888z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2888za700za7za7s3006za7, "blacklist", 9);
	      DEFINE_STRING(BGl_string2889z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2889za700za7za7s3007za7, "too large [~a/~a]", 17);
	      DEFINE_STRING(BGl_string2890z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2890za700za7za7s3008za7, " instrs]:\n", 10);
	      DEFINE_STRING(BGl_string2891z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2891za700za7za7s3009za7, " [size=", 7);
	      DEFINE_STRING(BGl_string2892z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2892za700za7za7s3010za7, "        reg. alloc. ", 20);
	      DEFINE_STRING(BGl_string2893z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2893za700za7za7s3011za7, "          number of registers... ",
		33);
	      DEFINE_STRING(BGl_string2894z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2894za700za7za7s3012za7, "          number of parameters... ",
		34);
	      DEFINE_STRING(BGl_string2895z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2895za700za7za7s3013za7,
		"          number of temporaries... ", 35);
	      DEFINE_STRING(BGl_string2896z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2896za700za7za7s3014za7, "          liveness..", 20);
	      DEFINE_STRING(BGl_string2897z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2897za700za7za7s3015za7, ".", 1);
	      DEFINE_STRING(BGl_string2898z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2898za700za7za7s3016za7, " done\n", 6);
	      DEFINE_STRING(BGl_string2899z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2899za700za7za7s3017za7, "          graph interference... ",
		32);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_typezd2interferencez12zd2envz12zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762typeza7d2interf3018z00,
		BGl_z62typezd2interferencez12za2zzsaw_registerzd2allocationzd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_rtlzd2siza7ezd2envza7zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762rtlza7d2siza7a7eza73019z00,
		BGl_z62rtlzd2siza7ez17zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_registerzd2allocationzd2));
		     ADD_ROOT((void *) (&BGl_blockzf2razf2zzsaw_registerzd2allocationzd2));
		   
			 ADD_ROOT((void *) (&BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_registerzd2allocationzd2(long
		BgL_checksumz00_6274, char *BgL_fromz00_6275)
	{
		{
			if (CBOOL
				(BGl_requirezd2initializa7ationz75zzsaw_registerzd2allocationzd2))
				{
					BGl_requirezd2initializa7ationz75zzsaw_registerzd2allocationzd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_registerzd2allocationzd2();
					BGl_libraryzd2moduleszd2initz00zzsaw_registerzd2allocationzd2();
					BGl_cnstzd2initzd2zzsaw_registerzd2allocationzd2();
					BGl_importedzd2moduleszd2initz00zzsaw_registerzd2allocationzd2();
					BGl_objectzd2initzd2zzsaw_registerzd2allocationzd2();
					BGl_genericzd2initzd2zzsaw_registerzd2allocationzd2();
					BGl_methodzd2initzd2zzsaw_registerzd2allocationzd2();
					return BGl_toplevelzd2initzd2zzsaw_registerzd2allocationzd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_registerzd2allocationzd2(void)
	{
		{	/* SawMill/regalloc.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L,
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L,
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L,
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L,
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L,
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(0L,
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__bignumz00(0L,
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(0L,
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L,
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_register-allocation");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_registerzd2allocationzd2(void)
	{
		{	/* SawMill/regalloc.scm 15 */
			{	/* SawMill/regalloc.scm 15 */
				obj_t BgL_cportz00_6061;

				{	/* SawMill/regalloc.scm 15 */
					obj_t BgL_stringz00_6068;

					BgL_stringz00_6068 = BGl_string2948z00zzsaw_registerzd2allocationzd2;
					{	/* SawMill/regalloc.scm 15 */
						obj_t BgL_startz00_6069;

						BgL_startz00_6069 = BINT(0L);
						{	/* SawMill/regalloc.scm 15 */
							obj_t BgL_endz00_6070;

							BgL_endz00_6070 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_6068)));
							{	/* SawMill/regalloc.scm 15 */

								BgL_cportz00_6061 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_6068, BgL_startz00_6069, BgL_endz00_6070);
				}}}}
				{
					long BgL_iz00_6062;

					BgL_iz00_6062 = 9L;
				BgL_loopz00_6063:
					if ((BgL_iz00_6062 == (-1L)))
						{	/* SawMill/regalloc.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/regalloc.scm 15 */
							{	/* SawMill/regalloc.scm 15 */
								obj_t BgL_arg2952z00_6064;

								{	/* SawMill/regalloc.scm 15 */

									{	/* SawMill/regalloc.scm 15 */
										obj_t BgL_locationz00_6066;

										BgL_locationz00_6066 = BBOOL(((bool_t) 0));
										{	/* SawMill/regalloc.scm 15 */

											BgL_arg2952z00_6064 =
												BGl_readz00zz__readerz00(BgL_cportz00_6061,
												BgL_locationz00_6066);
										}
									}
								}
								{	/* SawMill/regalloc.scm 15 */
									int BgL_tmpz00_6314;

									BgL_tmpz00_6314 = (int) (BgL_iz00_6062);
									CNST_TABLE_SET(BgL_tmpz00_6314, BgL_arg2952z00_6064);
							}}
							{	/* SawMill/regalloc.scm 15 */
								int BgL_auxz00_6067;

								BgL_auxz00_6067 = (int) ((BgL_iz00_6062 - 1L));
								{
									long BgL_iz00_6319;

									BgL_iz00_6319 = (long) (BgL_auxz00_6067);
									BgL_iz00_6062 = BgL_iz00_6319;
									goto BgL_loopz00_6063;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_registerzd2allocationzd2(void)
	{
		{	/* SawMill/regalloc.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_registerzd2allocationzd2(void)
	{
		{	/* SawMill/regalloc.scm 15 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzsaw_registerzd2allocationzd2(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_2059;

					BgL_headz00_2059 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_2060;
						obj_t BgL_tailz00_2061;

						BgL_prevz00_2060 = BgL_headz00_2059;
						BgL_tailz00_2061 = BgL_l1z00_1;
					BgL_loopz00_2062:
						if (PAIRP(BgL_tailz00_2061))
							{
								obj_t BgL_newzd2prevzd2_2064;

								BgL_newzd2prevzd2_2064 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_2061), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_2060, BgL_newzd2prevzd2_2064);
								{
									obj_t BgL_tailz00_6331;
									obj_t BgL_prevz00_6330;

									BgL_prevz00_6330 = BgL_newzd2prevzd2_2064;
									BgL_tailz00_6331 = CDR(BgL_tailz00_2061);
									BgL_tailz00_2061 = BgL_tailz00_6331;
									BgL_prevz00_2060 = BgL_prevz00_6330;
									goto BgL_loopz00_2062;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_2059);
					}
				}
		}

	}



/* register-allocation */
	BGL_EXPORTED_DEF obj_t
		BGl_registerzd2allocationzd2zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt BgL_backz00_61, BgL_globalz00_bglt BgL_globalz00_62,
		obj_t BgL_paramsz00_63, obj_t BgL_blocksz00_64)
	{
		{	/* SawMill/regalloc.scm 50 */
			{
				obj_t BgL_msgz00_2091;

				{	/* SawMill/regalloc.scm 55 */
					obj_t BgL_idz00_2080;

					BgL_idz00_2080 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_62)))->BgL_idz00);
					if (CBOOL
						(BGl_za2sawzd2registerzd2allocationzf3za2zf3zzengine_paramz00))
						{	/* SawMill/regalloc.scm 56 */
							if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_2080,
										BGl_za2sawzd2nozd2registerzd2allocationzd2functionsza2z00zzengine_paramz00)))
								{	/* SawMill/regalloc.scm 58 */
									BgL_msgz00_2091 =
										BGl_string2888z00zzsaw_registerzd2allocationzd2;
								BgL_zc3z04anonymousza31777ze3z87_2092:
									{	/* SawMill/regalloc.scm 53 */
										obj_t BgL_list1778z00_2093;

										{	/* SawMill/regalloc.scm 53 */
											obj_t BgL_arg1782z00_2094;

											{	/* SawMill/regalloc.scm 53 */
												obj_t BgL_arg1783z00_2095;

												BgL_arg1783z00_2095 =
													MAKE_YOUNG_PAIR
													(BGl_string2886z00zzsaw_registerzd2allocationzd2,
													BNIL);
												BgL_arg1782z00_2094 =
													MAKE_YOUNG_PAIR(BgL_msgz00_2091, BgL_arg1783z00_2095);
											}
											BgL_list1778z00_2093 =
												MAKE_YOUNG_PAIR
												(BGl_string2887z00zzsaw_registerzd2allocationzd2,
												BgL_arg1782z00_2094);
										}
										BGl_verbosez00zztools_speekz00(BINT(2L),
											BgL_list1778z00_2093);
									}
								}
							else
								{	/* SawMill/regalloc.scm 58 */
									if (PAIRP
										(BGl_za2sawzd2registerzd2allocationzd2functionsza2zd2zzengine_paramz00))
										{	/* SawMill/regalloc.scm 60 */
											BBOOL
												(BGl_z52registerzd2allocationz80zzsaw_registerzd2allocationzd2
												(BgL_backz00_61, BgL_globalz00_62, BgL_paramsz00_63,
													BgL_blocksz00_64));
										}
									else
										{	/* SawMill/regalloc.scm 60 */
											if (
												((long)
													CINT
													(BGl_za2sawzd2registerzd2allocationzd2maxzd2siza7eza2za7zzengine_paramz00)
													< 0L))
												{	/* SawMill/regalloc.scm 62 */
													BBOOL
														(BGl_z52registerzd2allocationz80zzsaw_registerzd2allocationzd2
														(BgL_backz00_61, BgL_globalz00_62, BgL_paramsz00_63,
															BgL_blocksz00_64));
												}
											else
												{	/* SawMill/regalloc.scm 64 */
													bool_t BgL_test3028z00_6355;

													{	/* SawMill/regalloc.scm 64 */
														obj_t BgL_arg1776z00_2090;

														BgL_arg1776z00_2090 =
															BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2
															(BgL_blocksz00_64);
														BgL_test3028z00_6355 =
															((long) CINT(BgL_arg1776z00_2090) >=
															(long)
															CINT
															(BGl_za2sawzd2registerzd2allocationzd2maxzd2siza7eza2za7zzengine_paramz00));
													}
													if (BgL_test3028z00_6355)
														{	/* SawMill/regalloc.scm 67 */
															obj_t BgL_arg1768z00_2086;

															{	/* SawMill/regalloc.scm 67 */
																obj_t BgL_arg1770z00_2087;

																BgL_arg1770z00_2087 =
																	BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2
																	(BgL_blocksz00_64);
																{	/* SawMill/regalloc.scm 66 */
																	obj_t BgL_list1771z00_2088;

																	{	/* SawMill/regalloc.scm 66 */
																		obj_t BgL_arg1772z00_2089;

																		BgL_arg1772z00_2089 =
																			MAKE_YOUNG_PAIR
																			(BGl_za2sawzd2registerzd2allocationzd2maxzd2siza7eza2za7zzengine_paramz00,
																			BNIL);
																		BgL_list1771z00_2088 =
																			MAKE_YOUNG_PAIR(BgL_arg1770z00_2087,
																			BgL_arg1772z00_2089);
																	}
																	BgL_arg1768z00_2086 =
																		BGl_formatz00zz__r4_output_6_10_3z00
																		(BGl_string2889z00zzsaw_registerzd2allocationzd2,
																		BgL_list1771z00_2088);
																}
															}
															{
																obj_t BgL_msgz00_6364;

																BgL_msgz00_6364 = BgL_arg1768z00_2086;
																BgL_msgz00_2091 = BgL_msgz00_6364;
																goto BgL_zc3z04anonymousza31777ze3z87_2092;
															}
														}
													else
														{	/* SawMill/regalloc.scm 64 */
															BBOOL
																(BGl_z52registerzd2allocationz80zzsaw_registerzd2allocationzd2
																(BgL_backz00_61, BgL_globalz00_62,
																	BgL_paramsz00_63, BgL_blocksz00_64));
														}
												}
										}
								}
						}
					else
						{	/* SawMill/regalloc.scm 56 */
							BFALSE;
						}
					return BgL_blocksz00_64;
				}
			}
		}

	}



/* &register-allocation */
	obj_t BGl_z62registerzd2allocationzb0zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5880, obj_t BgL_backz00_5881, obj_t BgL_globalz00_5882,
		obj_t BgL_paramsz00_5883, obj_t BgL_blocksz00_5884)
	{
		{	/* SawMill/regalloc.scm 50 */
			return
				BGl_registerzd2allocationzd2zzsaw_registerzd2allocationzd2(
				((BgL_backendz00_bglt) BgL_backz00_5881),
				((BgL_globalz00_bglt) BgL_globalz00_5882), BgL_paramsz00_5883,
				BgL_blocksz00_5884);
		}

	}



/* %register-allocation */
	bool_t
		BGl_z52registerzd2allocationz80zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt BgL_backz00_65, BgL_globalz00_bglt BgL_globalz00_66,
		obj_t BgL_paramsz00_67, obj_t BgL_blocksz00_68)
	{
		{	/* SawMill/regalloc.scm 75 */
			{	/* SawMill/regalloc.scm 77 */
				obj_t BgL_arg1784z00_2097;
				obj_t BgL_arg1785z00_2098;

				BgL_arg1784z00_2097 =
					BGl_shapez00zztools_shapez00(((obj_t) BgL_globalz00_66));
				BgL_arg1785z00_2098 =
					BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2(BgL_blocksz00_68);
				{	/* SawMill/regalloc.scm 76 */
					obj_t BgL_list1786z00_2099;

					{	/* SawMill/regalloc.scm 76 */
						obj_t BgL_arg1789z00_2100;

						{	/* SawMill/regalloc.scm 76 */
							obj_t BgL_arg1790z00_2101;

							{	/* SawMill/regalloc.scm 76 */
								obj_t BgL_arg1796z00_2102;

								{	/* SawMill/regalloc.scm 76 */
									obj_t BgL_arg1797z00_2103;

									BgL_arg1797z00_2103 =
										MAKE_YOUNG_PAIR
										(BGl_string2890z00zzsaw_registerzd2allocationzd2, BNIL);
									BgL_arg1796z00_2102 =
										MAKE_YOUNG_PAIR(BgL_arg1785z00_2098, BgL_arg1797z00_2103);
								}
								BgL_arg1790z00_2101 =
									MAKE_YOUNG_PAIR
									(BGl_string2891z00zzsaw_registerzd2allocationzd2,
									BgL_arg1796z00_2102);
							}
							BgL_arg1789z00_2100 =
								MAKE_YOUNG_PAIR(BgL_arg1784z00_2097, BgL_arg1790z00_2101);
						}
						BgL_list1786z00_2099 =
							MAKE_YOUNG_PAIR(BGl_string2892z00zzsaw_registerzd2allocationzd2,
							BgL_arg1789z00_2100);
					}
					BGl_verbosez00zztools_speekz00(BINT(2L), BgL_list1786z00_2099);
				}
			}
			BGl_cleanupzd2movezd2treez12z12zzsaw_registerzd2allocationzd2
				(BgL_blocksz00_68);
			{	/* SawMill/regalloc.scm 81 */
				obj_t BgL_cregsz00_2104;

				BgL_cregsz00_2104 =
					BGl_collectzd2registersz12zc0zzsaw_regutilsz00(BgL_blocksz00_68);
				{	/* SawMill/regalloc.scm 81 */
					obj_t BgL_hregsz00_2105;

					{	/* SawMill/regalloc.scm 82 */
						obj_t BgL_arg1882z00_2166;

						BgL_arg1882z00_2166 =
							(((BgL_backendz00_bglt) COBJECT(BgL_backz00_65))->
							BgL_registersz00);
						{	/* SawMill/regalloc.scm 82 */
							obj_t BgL_list1883z00_2167;

							BgL_list1883z00_2167 = MAKE_YOUNG_PAIR(BgL_arg1882z00_2166, BNIL);
							BgL_hregsz00_2105 =
								BGl_appendzd2mapz12zc0zz__r4_control_features_6_9z00
								(BGl_collectzd2registerz12zd2envz12zzsaw_regutilsz00,
								BgL_list1883z00_2167);
						}
					}
					{	/* SawMill/regalloc.scm 82 */
						obj_t BgL_pregsz00_2106;

						{	/* SawMill/regalloc.scm 83 */
							obj_t BgL_hook1502z00_2152;

							BgL_hook1502z00_2152 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							{
								obj_t BgL_l1499z00_2154;
								obj_t BgL_h1500z00_2155;

								BgL_l1499z00_2154 = BgL_paramsz00_67;
								BgL_h1500z00_2155 = BgL_hook1502z00_2152;
							BgL_zc3z04anonymousza31858ze3z87_2156:
								if (NULLP(BgL_l1499z00_2154))
									{	/* SawMill/regalloc.scm 83 */
										BgL_pregsz00_2106 = CDR(BgL_hook1502z00_2152);
									}
								else
									{	/* SawMill/regalloc.scm 83 */
										bool_t BgL_test3030z00_6389;

										{	/* SawMill/regalloc.scm 83 */
											obj_t BgL_arg1878z00_2164;

											BgL_arg1878z00_2164 = CAR(((obj_t) BgL_l1499z00_2154));
											{	/* SawMill/regalloc.scm 83 */
												obj_t BgL_classz00_3862;

												BgL_classz00_3862 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
												if (BGL_OBJECTP(BgL_arg1878z00_2164))
													{	/* SawMill/regalloc.scm 83 */
														BgL_objectz00_bglt BgL_arg1858z00_3864;

														BgL_arg1858z00_3864 =
															(BgL_objectz00_bglt) (BgL_arg1878z00_2164);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* SawMill/regalloc.scm 83 */
																long BgL_idxz00_3870;

																BgL_idxz00_3870 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_3864);
																BgL_test3030z00_6389 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3870 + 2L)) ==
																	BgL_classz00_3862);
															}
														else
															{	/* SawMill/regalloc.scm 83 */
																bool_t BgL_res2834z00_3895;

																{	/* SawMill/regalloc.scm 83 */
																	obj_t BgL_oclassz00_3878;

																	{	/* SawMill/regalloc.scm 83 */
																		obj_t BgL_arg1866z00_3886;
																		long BgL_arg1867z00_3887;

																		BgL_arg1866z00_3886 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* SawMill/regalloc.scm 83 */
																			long BgL_arg1869z00_3888;

																			BgL_arg1869z00_3888 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_3864);
																			BgL_arg1867z00_3887 =
																				(BgL_arg1869z00_3888 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3878 =
																			VECTOR_REF(BgL_arg1866z00_3886,
																			BgL_arg1867z00_3887);
																	}
																	{	/* SawMill/regalloc.scm 83 */
																		bool_t BgL__ortest_1115z00_3879;

																		BgL__ortest_1115z00_3879 =
																			(BgL_classz00_3862 == BgL_oclassz00_3878);
																		if (BgL__ortest_1115z00_3879)
																			{	/* SawMill/regalloc.scm 83 */
																				BgL_res2834z00_3895 =
																					BgL__ortest_1115z00_3879;
																			}
																		else
																			{	/* SawMill/regalloc.scm 83 */
																				long BgL_odepthz00_3880;

																				{	/* SawMill/regalloc.scm 83 */
																					obj_t BgL_arg1855z00_3881;

																					BgL_arg1855z00_3881 =
																						(BgL_oclassz00_3878);
																					BgL_odepthz00_3880 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_3881);
																				}
																				if ((2L < BgL_odepthz00_3880))
																					{	/* SawMill/regalloc.scm 83 */
																						obj_t BgL_arg1853z00_3883;

																						{	/* SawMill/regalloc.scm 83 */
																							obj_t BgL_arg1854z00_3884;

																							BgL_arg1854z00_3884 =
																								(BgL_oclassz00_3878);
																							BgL_arg1853z00_3883 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_3884, 2L);
																						}
																						BgL_res2834z00_3895 =
																							(BgL_arg1853z00_3883 ==
																							BgL_classz00_3862);
																					}
																				else
																					{	/* SawMill/regalloc.scm 83 */
																						BgL_res2834z00_3895 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test3030z00_6389 = BgL_res2834z00_3895;
															}
													}
												else
													{	/* SawMill/regalloc.scm 83 */
														BgL_test3030z00_6389 = ((bool_t) 0);
													}
											}
										}
										if (BgL_test3030z00_6389)
											{	/* SawMill/regalloc.scm 83 */
												obj_t BgL_nh1501z00_2160;

												{	/* SawMill/regalloc.scm 83 */
													obj_t BgL_arg1873z00_2162;

													BgL_arg1873z00_2162 =
														CAR(((obj_t) BgL_l1499z00_2154));
													BgL_nh1501z00_2160 =
														MAKE_YOUNG_PAIR(BgL_arg1873z00_2162, BNIL);
												}
												SET_CDR(BgL_h1500z00_2155, BgL_nh1501z00_2160);
												{	/* SawMill/regalloc.scm 83 */
													obj_t BgL_arg1872z00_2161;

													BgL_arg1872z00_2161 =
														CDR(((obj_t) BgL_l1499z00_2154));
													{
														obj_t BgL_h1500z00_6421;
														obj_t BgL_l1499z00_6420;

														BgL_l1499z00_6420 = BgL_arg1872z00_2161;
														BgL_h1500z00_6421 = BgL_nh1501z00_2160;
														BgL_h1500z00_2155 = BgL_h1500z00_6421;
														BgL_l1499z00_2154 = BgL_l1499z00_6420;
														goto BgL_zc3z04anonymousza31858ze3z87_2156;
													}
												}
											}
										else
											{	/* SawMill/regalloc.scm 83 */
												obj_t BgL_arg1876z00_2163;

												BgL_arg1876z00_2163 = CDR(((obj_t) BgL_l1499z00_2154));
												{
													obj_t BgL_l1499z00_6424;

													BgL_l1499z00_6424 = BgL_arg1876z00_2163;
													BgL_l1499z00_2154 = BgL_l1499z00_6424;
													goto BgL_zc3z04anonymousza31858ze3z87_2156;
												}
											}
									}
							}
						}
						{	/* SawMill/regalloc.scm 83 */
							obj_t BgL_regsz00_2107;

							BgL_regsz00_2107 =
								BGl_appendzd221011zd2zzsaw_registerzd2allocationzd2
								(BgL_hregsz00_2105, BgL_cregsz00_2104);
							{	/* SawMill/regalloc.scm 84 */

								if (NULLP(BgL_cregsz00_2104))
									{	/* SawMill/regalloc.scm 85 */
										BFALSE;
									}
								else
									{	/* SawMill/regalloc.scm 85 */
										{
											obj_t BgL_l1503z00_2110;

											BgL_l1503z00_2110 = BgL_regsz00_2107;
										BgL_zc3z04anonymousza31799ze3z87_2111:
											if (PAIRP(BgL_l1503z00_2110))
												{	/* SawMill/regalloc.scm 87 */
													{	/* SawMill/regalloc.scm 88 */
														obj_t BgL_rz00_2113;

														BgL_rz00_2113 = CAR(BgL_l1503z00_2110);
														{
															BgL_rtl_regzf2razf2_bglt BgL_auxz00_6431;

															{
																obj_t BgL_auxz00_6432;

																{	/* SawMill/regalloc.scm 89 */
																	BgL_objectz00_bglt BgL_tmpz00_6433;

																	BgL_tmpz00_6433 =
																		((BgL_objectz00_bglt)
																		((BgL_rtl_regz00_bglt) BgL_rz00_2113));
																	BgL_auxz00_6432 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_6433);
																}
																BgL_auxz00_6431 =
																	((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6432);
															}
															((((BgL_rtl_regzf2razf2_bglt)
																		COBJECT(BgL_auxz00_6431))->
																	BgL_interferez00) =
																((obj_t) ((obj_t)
																		BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
																		(BgL_regsz00_2107))), BUNSPEC);
														}
													}
													{
														obj_t BgL_l1503z00_6441;

														BgL_l1503z00_6441 = CDR(BgL_l1503z00_2110);
														BgL_l1503z00_2110 = BgL_l1503z00_6441;
														goto BgL_zc3z04anonymousza31799ze3z87_2111;
													}
												}
											else
												{	/* SawMill/regalloc.scm 87 */
													((bool_t) 1);
												}
										}
										{	/* SawMill/regalloc.scm 91 */
											long BgL_arg1802z00_2117;

											BgL_arg1802z00_2117 = bgl_list_length(BgL_hregsz00_2105);
											{	/* SawMill/regalloc.scm 91 */
												obj_t BgL_list1803z00_2118;

												{	/* SawMill/regalloc.scm 91 */
													obj_t BgL_arg1804z00_2119;

													{	/* SawMill/regalloc.scm 91 */
														obj_t BgL_arg1810z00_2120;

														BgL_arg1810z00_2120 =
															MAKE_YOUNG_PAIR
															(BGl_string2886z00zzsaw_registerzd2allocationzd2,
															BNIL);
														BgL_arg1804z00_2119 =
															MAKE_YOUNG_PAIR(BINT(BgL_arg1802z00_2117),
															BgL_arg1810z00_2120);
													}
													BgL_list1803z00_2118 =
														MAKE_YOUNG_PAIR
														(BGl_string2893z00zzsaw_registerzd2allocationzd2,
														BgL_arg1804z00_2119);
												}
												BGl_verbosez00zztools_speekz00(BINT(3L),
													BgL_list1803z00_2118);
										}}
										{	/* SawMill/regalloc.scm 92 */
											long BgL_arg1811z00_2121;

											BgL_arg1811z00_2121 = bgl_list_length(BgL_pregsz00_2106);
											{	/* SawMill/regalloc.scm 92 */
												obj_t BgL_list1812z00_2122;

												{	/* SawMill/regalloc.scm 92 */
													obj_t BgL_arg1814z00_2123;

													{	/* SawMill/regalloc.scm 92 */
														obj_t BgL_arg1818z00_2124;

														BgL_arg1818z00_2124 =
															MAKE_YOUNG_PAIR
															(BGl_string2886z00zzsaw_registerzd2allocationzd2,
															BNIL);
														BgL_arg1814z00_2123 =
															MAKE_YOUNG_PAIR(BINT(BgL_arg1811z00_2121),
															BgL_arg1818z00_2124);
													}
													BgL_list1812z00_2122 =
														MAKE_YOUNG_PAIR
														(BGl_string2894z00zzsaw_registerzd2allocationzd2,
														BgL_arg1814z00_2123);
												}
												BGl_verbosez00zztools_speekz00(BINT(3L),
													BgL_list1812z00_2122);
										}}
										{	/* SawMill/regalloc.scm 93 */
											long BgL_arg1821z00_2125;

											BgL_arg1821z00_2125 = bgl_list_length(BgL_cregsz00_2104);
											{	/* SawMill/regalloc.scm 93 */
												obj_t BgL_list1822z00_2126;

												{	/* SawMill/regalloc.scm 93 */
													obj_t BgL_arg1825z00_2127;

													{	/* SawMill/regalloc.scm 93 */
														obj_t BgL_arg1829z00_2128;

														BgL_arg1829z00_2128 =
															MAKE_YOUNG_PAIR
															(BGl_string2886z00zzsaw_registerzd2allocationzd2,
															BNIL);
														BgL_arg1825z00_2127 =
															MAKE_YOUNG_PAIR(BINT(BgL_arg1821z00_2125),
															BgL_arg1829z00_2128);
													}
													BgL_list1822z00_2126 =
														MAKE_YOUNG_PAIR
														(BGl_string2895z00zzsaw_registerzd2allocationzd2,
														BgL_arg1825z00_2127);
												}
												BGl_verbosez00zztools_speekz00(BINT(3L),
													BgL_list1822z00_2126);
										}}
										BGl_protectzd2interferencez12zc0zzsaw_registerzd2allocationzd2
											(BgL_blocksz00_68, BgL_regsz00_2107);
										BGl_widenzd2raz12zc0zzsaw_registerzd2allocationzd2
											(BgL_blocksz00_68, BgL_regsz00_2107);
										BGl_livenessz12z12zzsaw_registerzd2allocationzd2
											(BgL_blocksz00_68, BgL_pregsz00_2106);
										BGl_hardwarezd2mutualzd2interferencez12z12zzsaw_registerzd2allocationzd2
											(BgL_hregsz00_2105);
										BGl_hardwarezd2parameterszd2interferencez12z12zzsaw_registerzd2allocationzd2
											(BgL_backz00_65, BgL_pregsz00_2106);
										BGl_hardwarezd2interferencez12zc0zzsaw_registerzd2allocationzd2
											(BgL_backz00_65, BgL_blocksz00_68);
										BGl_typezd2interferencez12zc0zzsaw_registerzd2allocationzd2
											(BgL_backz00_65, BgL_regsz00_2107);
										BGl_interferencez12z12zzsaw_registerzd2allocationzd2
											(BgL_blocksz00_68, BgL_regsz00_2107);
										BGl_cleanupzd2destz12zc0zzsaw_registerzd2allocationzd2
											(BgL_blocksz00_68);
										BGl_registerzd2coloringzd2zzsaw_registerzd2allocationzd2
											(BgL_pregsz00_2106, BgL_hregsz00_2105, BgL_cregsz00_2104);
										BGl_funcallzd2spillz12zc0zzsaw_registerzd2allocationzd2
											(BgL_hregsz00_2105, BgL_blocksz00_68);
										BGl_rtlzd2mapzd2registersz12z12zzsaw_registerzd2allocationzd2
											(BgL_pregsz00_2106, BgL_cregsz00_2104, BgL_blocksz00_68);
										if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) > 1L))
											{	/* SawMill/regalloc.scm 121 */
												BGl_removezd2nopzd2movez12z12zzsaw_registerzd2allocationzd2
													(BgL_blocksz00_68);
											}
										else
											{	/* SawMill/regalloc.scm 121 */
												BFALSE;
											}
									}
								{
									obj_t BgL_l1505z00_2131;

									BgL_l1505z00_2131 = BgL_regsz00_2107;
								BgL_zc3z04anonymousza31831ze3z87_2132:
									if (PAIRP(BgL_l1505z00_2131))
										{	/* SawMill/regalloc.scm 126 */
											{	/* SawMill/regalloc.scm 126 */
												obj_t BgL_o1507z00_2134;

												BgL_o1507z00_2134 = CAR(BgL_l1505z00_2131);
												{	/* SawMill/regalloc.scm 126 */
													long BgL_arg1834z00_2135;

													{	/* SawMill/regalloc.scm 126 */
														obj_t BgL_arg1842z00_2136;

														{	/* SawMill/regalloc.scm 126 */
															obj_t BgL_arg1845z00_2137;

															{	/* SawMill/regalloc.scm 126 */
																obj_t BgL_arg1866z00_3906;
																long BgL_arg1867z00_3907;

																BgL_arg1866z00_3906 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* SawMill/regalloc.scm 126 */
																	long BgL_arg1869z00_3908;

																	BgL_arg1869z00_3908 =
																		BGL_OBJECT_CLASS_NUM(
																		((BgL_objectz00_bglt) BgL_o1507z00_2134));
																	BgL_arg1867z00_3907 =
																		(BgL_arg1869z00_3908 - OBJECT_TYPE);
																}
																BgL_arg1845z00_2137 =
																	VECTOR_REF(BgL_arg1866z00_3906,
																	BgL_arg1867z00_3907);
															}
															BgL_arg1842z00_2136 =
																BGl_classzd2superzd2zz__objectz00
																(BgL_arg1845z00_2137);
														}
														{	/* SawMill/regalloc.scm 126 */
															obj_t BgL_tmpz00_6489;

															BgL_tmpz00_6489 = ((obj_t) BgL_arg1842z00_2136);
															BgL_arg1834z00_2135 =
																BGL_CLASS_NUM(BgL_tmpz00_6489);
													}}
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_o1507z00_2134),
														BgL_arg1834z00_2135);
												}
												{	/* SawMill/regalloc.scm 126 */
													BgL_objectz00_bglt BgL_tmpz00_6494;

													BgL_tmpz00_6494 =
														((BgL_objectz00_bglt) BgL_o1507z00_2134);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6494, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_o1507z00_2134);
												BgL_o1507z00_2134;
											}
											{
												obj_t BgL_l1505z00_6498;

												BgL_l1505z00_6498 = CDR(BgL_l1505z00_2131);
												BgL_l1505z00_2131 = BgL_l1505z00_6498;
												goto BgL_zc3z04anonymousza31831ze3z87_2132;
											}
										}
									else
										{	/* SawMill/regalloc.scm 126 */
											((bool_t) 1);
										}
								}
								{
									obj_t BgL_l1508z00_2141;

									BgL_l1508z00_2141 = BgL_pregsz00_2106;
								BgL_zc3z04anonymousza31848ze3z87_2142:
									if (PAIRP(BgL_l1508z00_2141))
										{	/* SawMill/regalloc.scm 127 */
											{	/* SawMill/regalloc.scm 127 */
												obj_t BgL_rz00_2144;

												BgL_rz00_2144 = CAR(BgL_l1508z00_2141);
												{	/* SawMill/regalloc.scm 127 */
													bool_t BgL_test3040z00_6503;

													{	/* SawMill/regalloc.scm 127 */
														obj_t BgL_classz00_3920;

														BgL_classz00_3920 =
															BGl_rtl_regzf2razf2zzsaw_regsetz00;
														if (BGL_OBJECTP(BgL_rz00_2144))
															{	/* SawMill/regalloc.scm 127 */
																BgL_objectz00_bglt BgL_arg1858z00_3922;

																BgL_arg1858z00_3922 =
																	(BgL_objectz00_bglt) (BgL_rz00_2144);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* SawMill/regalloc.scm 127 */
																		long BgL_idxz00_3928;

																		BgL_idxz00_3928 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_3922);
																		BgL_test3040z00_6503 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_3928 + 2L)) ==
																			BgL_classz00_3920);
																	}
																else
																	{	/* SawMill/regalloc.scm 127 */
																		bool_t BgL_res2835z00_3953;

																		{	/* SawMill/regalloc.scm 127 */
																			obj_t BgL_oclassz00_3936;

																			{	/* SawMill/regalloc.scm 127 */
																				obj_t BgL_arg1866z00_3944;
																				long BgL_arg1867z00_3945;

																				BgL_arg1866z00_3944 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* SawMill/regalloc.scm 127 */
																					long BgL_arg1869z00_3946;

																					BgL_arg1869z00_3946 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_3922);
																					BgL_arg1867z00_3945 =
																						(BgL_arg1869z00_3946 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_3936 =
																					VECTOR_REF(BgL_arg1866z00_3944,
																					BgL_arg1867z00_3945);
																			}
																			{	/* SawMill/regalloc.scm 127 */
																				bool_t BgL__ortest_1115z00_3937;

																				BgL__ortest_1115z00_3937 =
																					(BgL_classz00_3920 ==
																					BgL_oclassz00_3936);
																				if (BgL__ortest_1115z00_3937)
																					{	/* SawMill/regalloc.scm 127 */
																						BgL_res2835z00_3953 =
																							BgL__ortest_1115z00_3937;
																					}
																				else
																					{	/* SawMill/regalloc.scm 127 */
																						long BgL_odepthz00_3938;

																						{	/* SawMill/regalloc.scm 127 */
																							obj_t BgL_arg1855z00_3939;

																							BgL_arg1855z00_3939 =
																								(BgL_oclassz00_3936);
																							BgL_odepthz00_3938 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_3939);
																						}
																						if ((2L < BgL_odepthz00_3938))
																							{	/* SawMill/regalloc.scm 127 */
																								obj_t BgL_arg1853z00_3941;

																								{	/* SawMill/regalloc.scm 127 */
																									obj_t BgL_arg1854z00_3942;

																									BgL_arg1854z00_3942 =
																										(BgL_oclassz00_3936);
																									BgL_arg1853z00_3941 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_3942, 2L);
																								}
																								BgL_res2835z00_3953 =
																									(BgL_arg1853z00_3941 ==
																									BgL_classz00_3920);
																							}
																						else
																							{	/* SawMill/regalloc.scm 127 */
																								BgL_res2835z00_3953 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test3040z00_6503 = BgL_res2835z00_3953;
																	}
															}
														else
															{	/* SawMill/regalloc.scm 127 */
																BgL_test3040z00_6503 = ((bool_t) 0);
															}
													}
													if (BgL_test3040z00_6503)
														{	/* SawMill/regalloc.scm 127 */
															{	/* SawMill/regalloc.scm 127 */
																long BgL_arg1851z00_2147;

																{	/* SawMill/regalloc.scm 127 */
																	obj_t BgL_arg1852z00_2148;

																	{	/* SawMill/regalloc.scm 127 */
																		obj_t BgL_arg1856z00_2149;

																		{	/* SawMill/regalloc.scm 127 */
																			obj_t BgL_arg1866z00_3955;
																			long BgL_arg1867z00_3956;

																			BgL_arg1866z00_3955 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* SawMill/regalloc.scm 127 */
																				long BgL_arg1869z00_3957;

																				BgL_arg1869z00_3957 =
																					BGL_OBJECT_CLASS_NUM(
																					((BgL_objectz00_bglt) BgL_rz00_2144));
																				BgL_arg1867z00_3956 =
																					(BgL_arg1869z00_3957 - OBJECT_TYPE);
																			}
																			BgL_arg1856z00_2149 =
																				VECTOR_REF(BgL_arg1866z00_3955,
																				BgL_arg1867z00_3956);
																		}
																		BgL_arg1852z00_2148 =
																			BGl_classzd2superzd2zz__objectz00
																			(BgL_arg1856z00_2149);
																	}
																	{	/* SawMill/regalloc.scm 127 */
																		obj_t BgL_tmpz00_6532;

																		BgL_tmpz00_6532 =
																			((obj_t) BgL_arg1852z00_2148);
																		BgL_arg1851z00_2147 =
																			BGL_CLASS_NUM(BgL_tmpz00_6532);
																}}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_rz00_2144),
																	BgL_arg1851z00_2147);
															}
															{	/* SawMill/regalloc.scm 127 */
																BgL_objectz00_bglt BgL_tmpz00_6537;

																BgL_tmpz00_6537 =
																	((BgL_objectz00_bglt) BgL_rz00_2144);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6537,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_rz00_2144);
															BgL_rz00_2144;
														}
													else
														{	/* SawMill/regalloc.scm 127 */
															BFALSE;
														}
												}
											}
											{
												obj_t BgL_l1508z00_6541;

												BgL_l1508z00_6541 = CDR(BgL_l1508z00_2141);
												BgL_l1508z00_2141 = BgL_l1508z00_6541;
												goto BgL_zc3z04anonymousza31848ze3z87_2142;
											}
										}
									else
										{	/* SawMill/regalloc.scm 127 */
											return ((bool_t) 1);
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* widen-ra! */
	bool_t BGl_widenzd2raz12zc0zzsaw_registerzd2allocationzd2(obj_t BgL_oz00_69,
		obj_t BgL_regsz00_70)
	{
		{	/* SawMill/regalloc.scm 135 */
			{
				obj_t BgL_oz00_2230;
				obj_t BgL_oz00_2272;

				{
					obj_t BgL_l1537z00_2173;

					BgL_l1537z00_2173 = BgL_oz00_69;
				BgL_zc3z04anonymousza31884ze3z87_2174:
					if (PAIRP(BgL_l1537z00_2173))
						{	/* SawMill/regalloc.scm 163 */
							BgL_oz00_2272 = CAR(BgL_l1537z00_2173);
							{	/* SawMill/regalloc.scm 159 */
								obj_t BgL_lastz00_2275;

								BgL_lastz00_2275 =
									bgl_reverse(
									(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_oz00_2272)))->BgL_firstz00));
								{	/* SawMill/regalloc.scm 160 */
									obj_t BgL_g1536z00_2276;

									BgL_g1536z00_2276 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_oz00_2272)))->BgL_firstz00);
									{
										obj_t BgL_l1534z00_2278;

										BgL_l1534z00_2278 = BgL_g1536z00_2276;
									BgL_zc3z04anonymousza31941ze3z87_2279:
										if (PAIRP(BgL_l1534z00_2278))
											{	/* SawMill/regalloc.scm 160 */
												BgL_oz00_2230 = CAR(BgL_l1534z00_2278);
												{	/* SawMill/regalloc.scm 149 */
													BgL_rtl_inszf2razf2_bglt BgL_wide1202z00_2235;

													BgL_wide1202z00_2235 =
														((BgL_rtl_inszf2razf2_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_rtl_inszf2razf2_bgl))));
													{	/* SawMill/regalloc.scm 149 */
														obj_t BgL_auxz00_6557;
														BgL_objectz00_bglt BgL_tmpz00_6553;

														BgL_auxz00_6557 = ((obj_t) BgL_wide1202z00_2235);
														BgL_tmpz00_6553 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_oz00_2230)));
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6553,
															BgL_auxz00_6557);
													}
													((BgL_objectz00_bglt)
														((BgL_rtl_insz00_bglt)
															((BgL_rtl_insz00_bglt) BgL_oz00_2230)));
													{	/* SawMill/regalloc.scm 149 */
														long BgL_arg1915z00_2236;

														BgL_arg1915z00_2236 =
															BGL_CLASS_NUM
															(BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2);
														BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																	(BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt)
																		BgL_oz00_2230))), BgL_arg1915z00_2236);
													}
													((BgL_rtl_insz00_bglt)
														((BgL_rtl_insz00_bglt)
															((BgL_rtl_insz00_bglt) BgL_oz00_2230)));
												}
												{
													obj_t BgL_auxz00_6579;
													BgL_rtl_inszf2razf2_bglt BgL_auxz00_6571;

													{	/* SawMill/regalloc.scm 150 */
														bool_t BgL_test3047z00_6580;

														if (CBOOL(
																(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt) BgL_oz00_2230)))->
																	BgL_destz00)))
															{	/* SawMill/regalloc.scm 150 */
																BgL_test3047z00_6580 =
																	CBOOL(
																	(((BgL_rtl_regz00_bglt) COBJECT(
																				((BgL_rtl_regz00_bglt)
																					(((BgL_rtl_insz00_bglt) COBJECT(
																								((BgL_rtl_insz00_bglt)
																									BgL_oz00_2230)))->
																						BgL_destz00))))->BgL_onexprzf3zf3));
															}
														else
															{	/* SawMill/regalloc.scm 150 */
																BgL_test3047z00_6580 = ((bool_t) 1);
															}
														if (BgL_test3047z00_6580)
															{	/* SawMill/regalloc.scm 150 */
																BgL_auxz00_6579 =
																	((obj_t)
																	BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
																	(BgL_regsz00_70));
															}
														else
															{	/* SawMill/regalloc.scm 152 */
																obj_t BgL_arg1919z00_2241;

																{	/* SawMill/regalloc.scm 152 */
																	BgL_rtl_regz00_bglt BgL_arg1921z00_2242;

																	{	/* SawMill/regalloc.scm 152 */
																		obj_t BgL_arg1923z00_2244;

																		BgL_arg1923z00_2244 =
																			(((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_oz00_2230)))->BgL_destz00);
																		BgL_arg1921z00_2242 =
																			BGl_usezd2registerz12zc0zzsaw_registerzd2allocationzd2
																			(((BgL_rtl_regz00_bglt)
																				BgL_arg1923z00_2244));
																	}
																	{	/* SawMill/regalloc.scm 152 */
																		obj_t BgL_list1922z00_2243;

																		BgL_list1922z00_2243 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_arg1921z00_2242), BNIL);
																		BgL_arg1919z00_2241 = BgL_list1922z00_2243;
																	}
																}
																BgL_auxz00_6579 =
																	((obj_t)
																	BGl_listzd2ze3regsetz31zzsaw_regsetz00
																	(BgL_arg1919z00_2241, BgL_regsz00_70));
															}
													}
													{
														obj_t BgL_auxz00_6572;

														{	/* SawMill/regalloc.scm 150 */
															BgL_objectz00_bglt BgL_tmpz00_6573;

															BgL_tmpz00_6573 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_oz00_2230)));
															BgL_auxz00_6572 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_6573);
														}
														BgL_auxz00_6571 =
															((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6572);
													}
													((((BgL_rtl_inszf2razf2_bglt)
																COBJECT(BgL_auxz00_6571))->BgL_defz00) =
														((obj_t) BgL_auxz00_6579), BUNSPEC);
												}
												{
													BgL_rtl_inszf2razf2_bglt BgL_auxz00_6601;

													{
														obj_t BgL_auxz00_6602;

														{	/* SawMill/regalloc.scm 154 */
															BgL_objectz00_bglt BgL_tmpz00_6603;

															BgL_tmpz00_6603 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_oz00_2230)));
															BgL_auxz00_6602 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_6603);
														}
														BgL_auxz00_6601 =
															((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6602);
													}
													((((BgL_rtl_inszf2razf2_bglt)
																COBJECT(BgL_auxz00_6601))->BgL_outz00) =
														((obj_t) ((obj_t)
																BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
																(BgL_regsz00_70))), BUNSPEC);
												}
												{
													obj_t BgL_auxz00_6620;
													BgL_rtl_inszf2razf2_bglt BgL_auxz00_6612;

													{	/* SawMill/regalloc.scm 153 */
														obj_t BgL_arg1926z00_2247;

														{	/* SawMill/regalloc.scm 153 */
															obj_t BgL_l1525z00_2248;

															BgL_l1525z00_2248 =
																BGl_getzd2argsze70z35zzsaw_registerzd2allocationzd2
																(BgL_oz00_2230);
															if (NULLP(BgL_l1525z00_2248))
																{	/* SawMill/regalloc.scm 153 */
																	BgL_arg1926z00_2247 = BNIL;
																}
															else
																{	/* SawMill/regalloc.scm 153 */
																	obj_t BgL_head1527z00_2250;

																	{	/* SawMill/regalloc.scm 153 */
																		BgL_rtl_regz00_bglt BgL_arg1934z00_2262;

																		{	/* SawMill/regalloc.scm 153 */
																			obj_t BgL_arg1935z00_2263;

																			BgL_arg1935z00_2263 =
																				CAR(((obj_t) BgL_l1525z00_2248));
																			BgL_arg1934z00_2262 =
																				BGl_usezd2registerz12zc0zzsaw_registerzd2allocationzd2
																				(((BgL_rtl_regz00_bglt)
																					BgL_arg1935z00_2263));
																		}
																		BgL_head1527z00_2250 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_arg1934z00_2262), BNIL);
																	}
																	{	/* SawMill/regalloc.scm 153 */
																		obj_t BgL_g1530z00_2251;

																		BgL_g1530z00_2251 =
																			CDR(((obj_t) BgL_l1525z00_2248));
																		{
																			obj_t BgL_l1525z00_2253;
																			obj_t BgL_tail1528z00_2254;

																			BgL_l1525z00_2253 = BgL_g1530z00_2251;
																			BgL_tail1528z00_2254 =
																				BgL_head1527z00_2250;
																		BgL_zc3z04anonymousza31928ze3z87_2255:
																			if (NULLP(BgL_l1525z00_2253))
																				{	/* SawMill/regalloc.scm 153 */
																					BgL_arg1926z00_2247 =
																						BgL_head1527z00_2250;
																				}
																			else
																				{	/* SawMill/regalloc.scm 153 */
																					obj_t BgL_newtail1529z00_2257;

																					{	/* SawMill/regalloc.scm 153 */
																						BgL_rtl_regz00_bglt
																							BgL_arg1932z00_2259;
																						{	/* SawMill/regalloc.scm 153 */
																							obj_t BgL_arg1933z00_2260;

																							BgL_arg1933z00_2260 =
																								CAR(
																								((obj_t) BgL_l1525z00_2253));
																							BgL_arg1932z00_2259 =
																								BGl_usezd2registerz12zc0zzsaw_registerzd2allocationzd2
																								(((BgL_rtl_regz00_bglt)
																									BgL_arg1933z00_2260));
																						}
																						BgL_newtail1529z00_2257 =
																							MAKE_YOUNG_PAIR(
																							((obj_t) BgL_arg1932z00_2259),
																							BNIL);
																					}
																					SET_CDR(BgL_tail1528z00_2254,
																						BgL_newtail1529z00_2257);
																					{	/* SawMill/regalloc.scm 153 */
																						obj_t BgL_arg1930z00_2258;

																						BgL_arg1930z00_2258 =
																							CDR(((obj_t) BgL_l1525z00_2253));
																						{
																							obj_t BgL_tail1528z00_6644;
																							obj_t BgL_l1525z00_6643;

																							BgL_l1525z00_6643 =
																								BgL_arg1930z00_2258;
																							BgL_tail1528z00_6644 =
																								BgL_newtail1529z00_2257;
																							BgL_tail1528z00_2254 =
																								BgL_tail1528z00_6644;
																							BgL_l1525z00_2253 =
																								BgL_l1525z00_6643;
																							goto
																								BgL_zc3z04anonymousza31928ze3z87_2255;
																						}
																					}
																				}
																		}
																	}
																}
														}
														BgL_auxz00_6620 =
															((obj_t)
															BGl_listzd2ze3regsetz31zzsaw_regsetz00
															(BgL_arg1926z00_2247, BgL_regsz00_70));
													}
													{
														obj_t BgL_auxz00_6613;

														{	/* SawMill/regalloc.scm 153 */
															BgL_objectz00_bglt BgL_tmpz00_6614;

															BgL_tmpz00_6614 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_oz00_2230)));
															BgL_auxz00_6613 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_6614);
														}
														BgL_auxz00_6612 =
															((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6613);
													}
													((((BgL_rtl_inszf2razf2_bglt)
																COBJECT(BgL_auxz00_6612))->BgL_inz00) =
														((obj_t) BgL_auxz00_6620), BUNSPEC);
												}
												{
													BgL_rtl_inszf2razf2_bglt BgL_auxz00_6648;

													{
														obj_t BgL_auxz00_6649;

														{	/* SawMill/regalloc.scm 155 */
															BgL_objectz00_bglt BgL_tmpz00_6650;

															BgL_tmpz00_6650 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_oz00_2230)));
															BgL_auxz00_6649 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_6650);
														}
														BgL_auxz00_6648 =
															((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6649);
													}
													((((BgL_rtl_inszf2razf2_bglt)
																COBJECT(BgL_auxz00_6648))->BgL_spillz00) =
														((obj_t) ((obj_t)
																BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
																(BgL_regsz00_70))), BUNSPEC);
												}
												((BgL_rtl_insz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_oz00_2230));
												{	/* SawMill/regalloc.scm 156 */
													obj_t BgL_g1533z00_2264;

													BgL_g1533z00_2264 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_oz00_2230)))->
														BgL_argsz00);
													{
														obj_t BgL_l1531z00_2266;

														BgL_l1531z00_2266 = BgL_g1533z00_2264;
													BgL_zc3z04anonymousza31936ze3z87_2267:
														if (PAIRP(BgL_l1531z00_2266))
															{	/* SawMill/regalloc.scm 156 */
																BGl_argszd2widenzd2raz12ze70zf5zzsaw_registerzd2allocationzd2
																	(BgL_regsz00_70, CAR(BgL_l1531z00_2266));
																{
																	obj_t BgL_l1531z00_6667;

																	BgL_l1531z00_6667 = CDR(BgL_l1531z00_2266);
																	BgL_l1531z00_2266 = BgL_l1531z00_6667;
																	goto BgL_zc3z04anonymousza31936ze3z87_2267;
																}
															}
														else
															{	/* SawMill/regalloc.scm 156 */
																((bool_t) 1);
															}
													}
												}
												{
													obj_t BgL_l1534z00_6670;

													BgL_l1534z00_6670 = CDR(BgL_l1534z00_2278);
													BgL_l1534z00_2278 = BgL_l1534z00_6670;
													goto BgL_zc3z04anonymousza31941ze3z87_2279;
												}
											}
										else
											{	/* SawMill/regalloc.scm 160 */
												((bool_t) 1);
											}
									}
								}
								{	/* SawMill/regalloc.scm 161 */
									BgL_blockzf2razf2_bglt BgL_wide1207z00_2286;

									BgL_wide1207z00_2286 =
										((BgL_blockzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_blockzf2razf2_bgl))));
									{	/* SawMill/regalloc.scm 161 */
										obj_t BgL_auxz00_6677;
										BgL_objectz00_bglt BgL_tmpz00_6673;

										BgL_auxz00_6677 = ((obj_t) BgL_wide1207z00_2286);
										BgL_tmpz00_6673 =
											((BgL_objectz00_bglt)
											((BgL_blockz00_bglt)
												((BgL_blockz00_bglt) BgL_oz00_2272)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6673, BgL_auxz00_6677);
									}
									((BgL_objectz00_bglt)
										((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_2272)));
									{	/* SawMill/regalloc.scm 161 */
										long BgL_arg1945z00_2287;

										BgL_arg1945z00_2287 =
											BGL_CLASS_NUM
											(BGl_blockzf2razf2zzsaw_registerzd2allocationzd2);
										BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
													(BgL_blockz00_bglt) ((BgL_blockz00_bglt)
														BgL_oz00_2272))), BgL_arg1945z00_2287);
									}
									((BgL_blockz00_bglt)
										((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_2272)));
								}
								{
									BgL_blockzf2razf2_bglt BgL_auxz00_6691;

									{
										obj_t BgL_auxz00_6692;

										{	/* SawMill/regalloc.scm 162 */
											BgL_objectz00_bglt BgL_tmpz00_6693;

											BgL_tmpz00_6693 =
												((BgL_objectz00_bglt)
												((BgL_blockz00_bglt)
													((BgL_blockz00_bglt) BgL_oz00_2272)));
											BgL_auxz00_6692 = BGL_OBJECT_WIDENING(BgL_tmpz00_6693);
										}
										BgL_auxz00_6691 =
											((BgL_blockzf2razf2_bglt) BgL_auxz00_6692);
									}
									((((BgL_blockzf2razf2_bglt) COBJECT(BgL_auxz00_6691))->
											BgL_lastz00) = ((obj_t) BgL_lastz00_2275), BUNSPEC);
								}
								((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_2272));
							}
							{
								obj_t BgL_l1537z00_6703;

								BgL_l1537z00_6703 = CDR(BgL_l1537z00_2173);
								BgL_l1537z00_2173 = BgL_l1537z00_6703;
								goto BgL_zc3z04anonymousza31884ze3z87_2174;
							}
						}
					else
						{	/* SawMill/regalloc.scm 163 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* get-args~0 */
	obj_t BGl_getzd2argsze70z35zzsaw_registerzd2allocationzd2(obj_t BgL_oz00_2179)
	{
		{	/* SawMill/regalloc.scm 137 */
			{	/* SawMill/regalloc.scm 137 */
				obj_t BgL_hook1514z00_2181;

				BgL_hook1514z00_2181 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
				{	/* SawMill/regalloc.scm 137 */
					obj_t BgL_g1515z00_2182;

					BgL_g1515z00_2182 =
						BGl_rtl_inszd2argsza2z70zzsaw_defsz00(
						((BgL_rtl_insz00_bglt) BgL_oz00_2179));
					{
						obj_t BgL_l1511z00_2184;
						obj_t BgL_h1512z00_2185;

						BgL_l1511z00_2184 = BgL_g1515z00_2182;
						BgL_h1512z00_2185 = BgL_hook1514z00_2181;
					BgL_zc3z04anonymousza31889ze3z87_2186:
						if (NULLP(BgL_l1511z00_2184))
							{	/* SawMill/regalloc.scm 137 */
								return CDR(BgL_hook1514z00_2181);
							}
						else
							{	/* SawMill/regalloc.scm 137 */
								bool_t BgL_test3053z00_6711;

								{	/* SawMill/regalloc.scm 137 */
									obj_t BgL_arg1896z00_2194;

									BgL_arg1896z00_2194 = CAR(((obj_t) BgL_l1511z00_2184));
									{	/* SawMill/regalloc.scm 137 */
										obj_t BgL_classz00_3970;

										BgL_classz00_3970 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
										if (BGL_OBJECTP(BgL_arg1896z00_2194))
											{	/* SawMill/regalloc.scm 137 */
												BgL_objectz00_bglt BgL_arg1858z00_3972;

												BgL_arg1858z00_3972 =
													(BgL_objectz00_bglt) (BgL_arg1896z00_2194);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* SawMill/regalloc.scm 137 */
														long BgL_idxz00_3978;

														BgL_idxz00_3978 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3972);
														BgL_test3053z00_6711 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3978 + 2L)) == BgL_classz00_3970);
													}
												else
													{	/* SawMill/regalloc.scm 137 */
														bool_t BgL_res2836z00_4003;

														{	/* SawMill/regalloc.scm 137 */
															obj_t BgL_oclassz00_3986;

															{	/* SawMill/regalloc.scm 137 */
																obj_t BgL_arg1866z00_3994;
																long BgL_arg1867z00_3995;

																BgL_arg1866z00_3994 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* SawMill/regalloc.scm 137 */
																	long BgL_arg1869z00_3996;

																	BgL_arg1869z00_3996 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3972);
																	BgL_arg1867z00_3995 =
																		(BgL_arg1869z00_3996 - OBJECT_TYPE);
																}
																BgL_oclassz00_3986 =
																	VECTOR_REF(BgL_arg1866z00_3994,
																	BgL_arg1867z00_3995);
															}
															{	/* SawMill/regalloc.scm 137 */
																bool_t BgL__ortest_1115z00_3987;

																BgL__ortest_1115z00_3987 =
																	(BgL_classz00_3970 == BgL_oclassz00_3986);
																if (BgL__ortest_1115z00_3987)
																	{	/* SawMill/regalloc.scm 137 */
																		BgL_res2836z00_4003 =
																			BgL__ortest_1115z00_3987;
																	}
																else
																	{	/* SawMill/regalloc.scm 137 */
																		long BgL_odepthz00_3988;

																		{	/* SawMill/regalloc.scm 137 */
																			obj_t BgL_arg1855z00_3989;

																			BgL_arg1855z00_3989 =
																				(BgL_oclassz00_3986);
																			BgL_odepthz00_3988 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_3989);
																		}
																		if ((2L < BgL_odepthz00_3988))
																			{	/* SawMill/regalloc.scm 137 */
																				obj_t BgL_arg1853z00_3991;

																				{	/* SawMill/regalloc.scm 137 */
																					obj_t BgL_arg1854z00_3992;

																					BgL_arg1854z00_3992 =
																						(BgL_oclassz00_3986);
																					BgL_arg1853z00_3991 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_3992, 2L);
																				}
																				BgL_res2836z00_4003 =
																					(BgL_arg1853z00_3991 ==
																					BgL_classz00_3970);
																			}
																		else
																			{	/* SawMill/regalloc.scm 137 */
																				BgL_res2836z00_4003 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test3053z00_6711 = BgL_res2836z00_4003;
													}
											}
										else
											{	/* SawMill/regalloc.scm 137 */
												BgL_test3053z00_6711 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test3053z00_6711)
									{	/* SawMill/regalloc.scm 137 */
										obj_t BgL_nh1513z00_2190;

										{	/* SawMill/regalloc.scm 137 */
											obj_t BgL_arg1894z00_2192;

											BgL_arg1894z00_2192 = CAR(((obj_t) BgL_l1511z00_2184));
											BgL_nh1513z00_2190 =
												MAKE_YOUNG_PAIR(BgL_arg1894z00_2192, BNIL);
										}
										SET_CDR(BgL_h1512z00_2185, BgL_nh1513z00_2190);
										{	/* SawMill/regalloc.scm 137 */
											obj_t BgL_arg1893z00_2191;

											BgL_arg1893z00_2191 = CDR(((obj_t) BgL_l1511z00_2184));
											{
												obj_t BgL_h1512z00_6743;
												obj_t BgL_l1511z00_6742;

												BgL_l1511z00_6742 = BgL_arg1893z00_2191;
												BgL_h1512z00_6743 = BgL_nh1513z00_2190;
												BgL_h1512z00_2185 = BgL_h1512z00_6743;
												BgL_l1511z00_2184 = BgL_l1511z00_6742;
												goto BgL_zc3z04anonymousza31889ze3z87_2186;
											}
										}
									}
								else
									{	/* SawMill/regalloc.scm 137 */
										obj_t BgL_arg1895z00_2193;

										BgL_arg1895z00_2193 = CDR(((obj_t) BgL_l1511z00_2184));
										{
											obj_t BgL_l1511z00_6746;

											BgL_l1511z00_6746 = BgL_arg1895z00_2193;
											BgL_l1511z00_2184 = BgL_l1511z00_6746;
											goto BgL_zc3z04anonymousza31889ze3z87_2186;
										}
									}
							}
					}
				}
			}
		}

	}



/* args-widen-ra!~0 */
	bool_t BGl_argszd2widenzd2raz12ze70zf5zzsaw_registerzd2allocationzd2(obj_t
		BgL_regsz00_6059, obj_t BgL_oz00_2196)
	{
		{	/* SawMill/regalloc.scm 146 */
			{	/* SawMill/regalloc.scm 139 */
				bool_t BgL_test3058z00_6747;

				{	/* SawMill/regalloc.scm 139 */
					obj_t BgL_classz00_4008;

					BgL_classz00_4008 = BGl_rtl_insz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_oz00_2196))
						{	/* SawMill/regalloc.scm 139 */
							BgL_objectz00_bglt BgL_arg1858z00_4010;

							BgL_arg1858z00_4010 = (BgL_objectz00_bglt) (BgL_oz00_2196);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawMill/regalloc.scm 139 */
									long BgL_idxz00_4016;

									BgL_idxz00_4016 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4010);
									BgL_test3058z00_6747 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4016 + 1L)) == BgL_classz00_4008);
								}
							else
								{	/* SawMill/regalloc.scm 139 */
									bool_t BgL_res2837z00_4041;

									{	/* SawMill/regalloc.scm 139 */
										obj_t BgL_oclassz00_4024;

										{	/* SawMill/regalloc.scm 139 */
											obj_t BgL_arg1866z00_4032;
											long BgL_arg1867z00_4033;

											BgL_arg1866z00_4032 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawMill/regalloc.scm 139 */
												long BgL_arg1869z00_4034;

												BgL_arg1869z00_4034 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4010);
												BgL_arg1867z00_4033 =
													(BgL_arg1869z00_4034 - OBJECT_TYPE);
											}
											BgL_oclassz00_4024 =
												VECTOR_REF(BgL_arg1866z00_4032, BgL_arg1867z00_4033);
										}
										{	/* SawMill/regalloc.scm 139 */
											bool_t BgL__ortest_1115z00_4025;

											BgL__ortest_1115z00_4025 =
												(BgL_classz00_4008 == BgL_oclassz00_4024);
											if (BgL__ortest_1115z00_4025)
												{	/* SawMill/regalloc.scm 139 */
													BgL_res2837z00_4041 = BgL__ortest_1115z00_4025;
												}
											else
												{	/* SawMill/regalloc.scm 139 */
													long BgL_odepthz00_4026;

													{	/* SawMill/regalloc.scm 139 */
														obj_t BgL_arg1855z00_4027;

														BgL_arg1855z00_4027 = (BgL_oclassz00_4024);
														BgL_odepthz00_4026 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_4027);
													}
													if ((1L < BgL_odepthz00_4026))
														{	/* SawMill/regalloc.scm 139 */
															obj_t BgL_arg1853z00_4029;

															{	/* SawMill/regalloc.scm 139 */
																obj_t BgL_arg1854z00_4030;

																BgL_arg1854z00_4030 = (BgL_oclassz00_4024);
																BgL_arg1853z00_4029 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4030,
																	1L);
															}
															BgL_res2837z00_4041 =
																(BgL_arg1853z00_4029 == BgL_classz00_4008);
														}
													else
														{	/* SawMill/regalloc.scm 139 */
															BgL_res2837z00_4041 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test3058z00_6747 = BgL_res2837z00_4041;
								}
						}
					else
						{	/* SawMill/regalloc.scm 139 */
							BgL_test3058z00_6747 = ((bool_t) 0);
						}
				}
				if (BgL_test3058z00_6747)
					{	/* SawMill/regalloc.scm 139 */
						{	/* SawMill/regalloc.scm 141 */
							BgL_rtl_inszf2razf2_bglt BgL_wide1197z00_2202;

							BgL_wide1197z00_2202 =
								((BgL_rtl_inszf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_inszf2razf2_bgl))));
							{	/* SawMill/regalloc.scm 141 */
								obj_t BgL_auxz00_6775;
								BgL_objectz00_bglt BgL_tmpz00_6771;

								BgL_auxz00_6775 = ((obj_t) BgL_wide1197z00_2202);
								BgL_tmpz00_6771 =
									((BgL_objectz00_bglt)
									((BgL_rtl_insz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_oz00_2196)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6771, BgL_auxz00_6775);
							}
							((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_2196)));
							{	/* SawMill/regalloc.scm 141 */
								long BgL_arg1899z00_2203;

								BgL_arg1899z00_2203 =
									BGL_CLASS_NUM
									(BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2);
								BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
											(BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt)
												BgL_oz00_2196))), BgL_arg1899z00_2203);
							}
							((BgL_rtl_insz00_bglt)
								((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_2196)));
						}
						{
							BgL_rtl_inszf2razf2_bglt BgL_auxz00_6789;

							{
								obj_t BgL_auxz00_6790;

								{	/* SawMill/regalloc.scm 142 */
									BgL_objectz00_bglt BgL_tmpz00_6791;

									BgL_tmpz00_6791 =
										((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt)
											((BgL_rtl_insz00_bglt) BgL_oz00_2196)));
									BgL_auxz00_6790 = BGL_OBJECT_WIDENING(BgL_tmpz00_6791);
								}
								BgL_auxz00_6789 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6790);
							}
							((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6789))->
									BgL_defz00) =
								((obj_t) ((obj_t)
										BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
										(BgL_regsz00_6059))), BUNSPEC);
						}
						{
							BgL_rtl_inszf2razf2_bglt BgL_auxz00_6800;

							{
								obj_t BgL_auxz00_6801;

								{	/* SawMill/regalloc.scm 144 */
									BgL_objectz00_bglt BgL_tmpz00_6802;

									BgL_tmpz00_6802 =
										((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt)
											((BgL_rtl_insz00_bglt) BgL_oz00_2196)));
									BgL_auxz00_6801 = BGL_OBJECT_WIDENING(BgL_tmpz00_6802);
								}
								BgL_auxz00_6800 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6801);
							}
							((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6800))->
									BgL_outz00) =
								((obj_t) ((obj_t)
										BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
										(BgL_regsz00_6059))), BUNSPEC);
						}
						{
							obj_t BgL_auxz00_6819;
							BgL_rtl_inszf2razf2_bglt BgL_auxz00_6811;

							{	/* SawMill/regalloc.scm 143 */
								obj_t BgL_arg1900z00_2205;

								{	/* SawMill/regalloc.scm 143 */
									obj_t BgL_l1516z00_2206;

									BgL_l1516z00_2206 =
										BGl_getzd2argsze70z35zzsaw_registerzd2allocationzd2
										(BgL_oz00_2196);
									if (NULLP(BgL_l1516z00_2206))
										{	/* SawMill/regalloc.scm 143 */
											BgL_arg1900z00_2205 = BNIL;
										}
									else
										{	/* SawMill/regalloc.scm 143 */
											obj_t BgL_head1518z00_2208;

											{	/* SawMill/regalloc.scm 143 */
												BgL_rtl_regz00_bglt BgL_arg1907z00_2220;

												{	/* SawMill/regalloc.scm 143 */
													obj_t BgL_arg1908z00_2221;

													BgL_arg1908z00_2221 =
														CAR(((obj_t) BgL_l1516z00_2206));
													BgL_arg1907z00_2220 =
														BGl_usezd2registerz12zc0zzsaw_registerzd2allocationzd2
														(((BgL_rtl_regz00_bglt) BgL_arg1908z00_2221));
												}
												BgL_head1518z00_2208 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1907z00_2220), BNIL);
											}
											{	/* SawMill/regalloc.scm 143 */
												obj_t BgL_g1521z00_2209;

												BgL_g1521z00_2209 = CDR(((obj_t) BgL_l1516z00_2206));
												{
													obj_t BgL_l1516z00_2211;
													obj_t BgL_tail1519z00_2212;

													BgL_l1516z00_2211 = BgL_g1521z00_2209;
													BgL_tail1519z00_2212 = BgL_head1518z00_2208;
												BgL_zc3z04anonymousza31902ze3z87_2213:
													if (NULLP(BgL_l1516z00_2211))
														{	/* SawMill/regalloc.scm 143 */
															BgL_arg1900z00_2205 = BgL_head1518z00_2208;
														}
													else
														{	/* SawMill/regalloc.scm 143 */
															obj_t BgL_newtail1520z00_2215;

															{	/* SawMill/regalloc.scm 143 */
																BgL_rtl_regz00_bglt BgL_arg1905z00_2217;

																{	/* SawMill/regalloc.scm 143 */
																	obj_t BgL_arg1906z00_2218;

																	BgL_arg1906z00_2218 =
																		CAR(((obj_t) BgL_l1516z00_2211));
																	BgL_arg1905z00_2217 =
																		BGl_usezd2registerz12zc0zzsaw_registerzd2allocationzd2
																		(((BgL_rtl_regz00_bglt)
																			BgL_arg1906z00_2218));
																}
																BgL_newtail1520z00_2215 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_arg1905z00_2217), BNIL);
															}
															SET_CDR(BgL_tail1519z00_2212,
																BgL_newtail1520z00_2215);
															{	/* SawMill/regalloc.scm 143 */
																obj_t BgL_arg1904z00_2216;

																BgL_arg1904z00_2216 =
																	CDR(((obj_t) BgL_l1516z00_2211));
																{
																	obj_t BgL_tail1519z00_6843;
																	obj_t BgL_l1516z00_6842;

																	BgL_l1516z00_6842 = BgL_arg1904z00_2216;
																	BgL_tail1519z00_6843 =
																		BgL_newtail1520z00_2215;
																	BgL_tail1519z00_2212 = BgL_tail1519z00_6843;
																	BgL_l1516z00_2211 = BgL_l1516z00_6842;
																	goto BgL_zc3z04anonymousza31902ze3z87_2213;
																}
															}
														}
												}
											}
										}
								}
								BgL_auxz00_6819 =
									((obj_t)
									BGl_listzd2ze3regsetz31zzsaw_regsetz00(BgL_arg1900z00_2205,
										BgL_regsz00_6059));
							}
							{
								obj_t BgL_auxz00_6812;

								{	/* SawMill/regalloc.scm 143 */
									BgL_objectz00_bglt BgL_tmpz00_6813;

									BgL_tmpz00_6813 =
										((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt)
											((BgL_rtl_insz00_bglt) BgL_oz00_2196)));
									BgL_auxz00_6812 = BGL_OBJECT_WIDENING(BgL_tmpz00_6813);
								}
								BgL_auxz00_6811 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6812);
							}
							((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6811))->
									BgL_inz00) = ((obj_t) BgL_auxz00_6819), BUNSPEC);
						}
						{
							BgL_rtl_inszf2razf2_bglt BgL_auxz00_6847;

							{
								obj_t BgL_auxz00_6848;

								{	/* SawMill/regalloc.scm 145 */
									BgL_objectz00_bglt BgL_tmpz00_6849;

									BgL_tmpz00_6849 =
										((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt)
											((BgL_rtl_insz00_bglt) BgL_oz00_2196)));
									BgL_auxz00_6848 = BGL_OBJECT_WIDENING(BgL_tmpz00_6849);
								}
								BgL_auxz00_6847 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6848);
							}
							((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6847))->
									BgL_spillz00) =
								((obj_t) ((obj_t)
										BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
										(BgL_regsz00_6059))), BUNSPEC);
						}
						((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_2196));
						{	/* SawMill/regalloc.scm 146 */
							obj_t BgL_g1524z00_2222;

							BgL_g1524z00_2222 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_oz00_2196)))->BgL_argsz00);
							{
								obj_t BgL_l1522z00_2224;

								BgL_l1522z00_2224 = BgL_g1524z00_2222;
							BgL_zc3z04anonymousza31909ze3z87_2225:
								if (PAIRP(BgL_l1522z00_2224))
									{	/* SawMill/regalloc.scm 146 */
										BGl_argszd2widenzd2raz12ze70zf5zzsaw_registerzd2allocationzd2
											(BgL_regsz00_6059, CAR(BgL_l1522z00_2224));
										{
											obj_t BgL_l1522z00_6866;

											BgL_l1522z00_6866 = CDR(BgL_l1522z00_2224);
											BgL_l1522z00_2224 = BgL_l1522z00_6866;
											goto BgL_zc3z04anonymousza31909ze3z87_2225;
										}
									}
								else
									{	/* SawMill/regalloc.scm 146 */
										return ((bool_t) 1);
									}
							}
						}
					}
				else
					{	/* SawMill/regalloc.scm 139 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* liveness! */
	obj_t BGl_livenessz12z12zzsaw_registerzd2allocationzd2(obj_t BgL_blocksz00_71,
		obj_t BgL_argsz00_72)
	{
		{	/* SawMill/regalloc.scm 171 */
			{	/* SawMill/regalloc.scm 172 */
				obj_t BgL_list1947z00_2294;

				BgL_list1947z00_2294 =
					MAKE_YOUNG_PAIR(BGl_string2896z00zzsaw_registerzd2allocationzd2,
					BNIL);
				BGl_verbosez00zztools_speekz00(BINT(3L), BgL_list1947z00_2294);
			}
			if (NULLP(BgL_blocksz00_71))
				{	/* SawMill/regalloc.scm 175 */
					((bool_t) 0);
				}
			else
				{	/* SawMill/regalloc.scm 176 */
					obj_t BgL_inssz00_2296;

					BgL_inssz00_2296 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) CAR(BgL_blocksz00_71))))->BgL_firstz00);
					if (NULLP(BgL_inssz00_2296))
						{	/* SawMill/regalloc.scm 177 */
							((bool_t) 0);
						}
					else
						{	/* SawMill/regalloc.scm 178 */
							obj_t BgL_insz00_2298;

							BgL_insz00_2298 = CAR(BgL_inssz00_2296);
							{
								obj_t BgL_l1539z00_2301;

								BgL_l1539z00_2301 = BgL_argsz00_72;
							BgL_zc3z04anonymousza31950ze3z87_2302:
								if (PAIRP(BgL_l1539z00_2301))
									{	/* SawMill/regalloc.scm 180 */
										{	/* SawMill/regalloc.scm 180 */
											obj_t BgL_az00_2304;

											BgL_az00_2304 = CAR(BgL_l1539z00_2301);
											{	/* SawMill/regalloc.scm 180 */
												obj_t BgL_arg1953z00_2305;

												{
													BgL_rtl_inszf2razf2_bglt BgL_auxz00_6882;

													{
														obj_t BgL_auxz00_6883;

														{	/* SawMill/regalloc.scm 180 */
															BgL_objectz00_bglt BgL_tmpz00_6884;

															BgL_tmpz00_6884 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_insz00_2298));
															BgL_auxz00_6883 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_6884);
														}
														BgL_auxz00_6882 =
															((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6883);
													}
													BgL_arg1953z00_2305 =
														(((BgL_rtl_inszf2razf2_bglt)
															COBJECT(BgL_auxz00_6882))->BgL_inz00);
												}
												BGl_regsetzd2addz12zc0zzsaw_regsetz00(
													((BgL_regsetz00_bglt) BgL_arg1953z00_2305),
													((BgL_rtl_regz00_bglt) BgL_az00_2304));
											}
										}
										{
											obj_t BgL_l1539z00_6893;

											BgL_l1539z00_6893 = CDR(BgL_l1539z00_2301);
											BgL_l1539z00_2301 = BgL_l1539z00_6893;
											goto BgL_zc3z04anonymousza31950ze3z87_2302;
										}
									}
								else
									{	/* SawMill/regalloc.scm 180 */
										((bool_t) 1);
									}
							}
						}
				}
			{
				long BgL_iz00_2310;

				BgL_iz00_2310 = 0L;
			BgL_zc3z04anonymousza31956ze3z87_2311:
				{	/* SawMill/regalloc.scm 183 */
					obj_t BgL_list1957z00_2312;

					{	/* SawMill/regalloc.scm 183 */
						obj_t BgL_arg1960z00_2313;

						BgL_arg1960z00_2313 = MAKE_YOUNG_PAIR(BINT(BgL_iz00_2310), BNIL);
						BgL_list1957z00_2312 =
							MAKE_YOUNG_PAIR(BGl_string2897z00zzsaw_registerzd2allocationzd2,
							BgL_arg1960z00_2313);
					}
					BGl_verbosez00zztools_speekz00(BINT(3L), BgL_list1957z00_2312);
				}
				{
					obj_t BgL_bsz00_2315;
					obj_t BgL_tz00_2316;

					BgL_bsz00_2315 = BgL_blocksz00_71;
					BgL_tz00_2316 = BFALSE;
				BgL_zc3z04anonymousza31961ze3z87_2317:
					if (NULLP(BgL_bsz00_2315))
						{	/* SawMill/regalloc.scm 186 */
							if (CBOOL(BgL_tz00_2316))
								{
									long BgL_iz00_6904;

									BgL_iz00_6904 = (BgL_iz00_2310 + 1L);
									BgL_iz00_2310 = BgL_iz00_6904;
									goto BgL_zc3z04anonymousza31956ze3z87_2311;
								}
							else
								{	/* SawMill/regalloc.scm 187 */
									((bool_t) 0);
								}
						}
					else
						{	/* SawMill/regalloc.scm 190 */
							obj_t BgL_arg1965z00_2320;
							obj_t BgL_arg1966z00_2321;

							BgL_arg1965z00_2320 = CDR(((obj_t) BgL_bsz00_2315));
							{	/* SawMill/regalloc.scm 190 */
								obj_t BgL__ortest_1210z00_2322;

								{	/* SawMill/regalloc.scm 190 */
									obj_t BgL_arg1967z00_2323;

									BgL_arg1967z00_2323 = CAR(((obj_t) BgL_bsz00_2315));
									BgL__ortest_1210z00_2322 =
										BGl_livenesszd2blockz12zc0zzsaw_registerzd2allocationzd2
										(BgL_arg1967z00_2323);
								}
								if (CBOOL(BgL__ortest_1210z00_2322))
									{	/* SawMill/regalloc.scm 190 */
										BgL_arg1966z00_2321 = BgL__ortest_1210z00_2322;
									}
								else
									{	/* SawMill/regalloc.scm 190 */
										BgL_arg1966z00_2321 = BgL_tz00_2316;
									}
							}
							{
								obj_t BgL_tz00_6914;
								obj_t BgL_bsz00_6913;

								BgL_bsz00_6913 = BgL_arg1965z00_2320;
								BgL_tz00_6914 = BgL_arg1966z00_2321;
								BgL_tz00_2316 = BgL_tz00_6914;
								BgL_bsz00_2315 = BgL_bsz00_6913;
								goto BgL_zc3z04anonymousza31961ze3z87_2317;
							}
						}
				}
			}
			{	/* SawMill/regalloc.scm 191 */
				obj_t BgL_list1968z00_2326;

				BgL_list1968z00_2326 =
					MAKE_YOUNG_PAIR(BGl_string2898z00zzsaw_registerzd2allocationzd2,
					BNIL);
				return BGl_verbosez00zztools_speekz00(BINT(3L), BgL_list1968z00_2326);
			}
		}

	}



/* liveness-block! */
	obj_t BGl_livenesszd2blockz12zc0zzsaw_registerzd2allocationzd2(obj_t
		BgL_blockz00_73)
	{
		{	/* SawMill/regalloc.scm 196 */
			{	/* SawMill/regalloc.scm 198 */
				obj_t BgL_g1214z00_2328;

				{	/* SawMill/regalloc.scm 199 */
					obj_t BgL_l1541z00_2375;

					BgL_l1541z00_2375 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_blockz00_73))))->BgL_succsz00);
					if (NULLP(BgL_l1541z00_2375))
						{	/* SawMill/regalloc.scm 199 */
							BgL_g1214z00_2328 = BNIL;
						}
					else
						{	/* SawMill/regalloc.scm 199 */
							obj_t BgL_head1543z00_2377;

							BgL_head1543z00_2377 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1541z00_2379;
								obj_t BgL_tail1544z00_2380;

								BgL_l1541z00_2379 = BgL_l1541z00_2375;
								BgL_tail1544z00_2380 = BgL_head1543z00_2377;
							BgL_zc3z04anonymousza32002ze3z87_2381:
								if (NULLP(BgL_l1541z00_2379))
									{	/* SawMill/regalloc.scm 199 */
										BgL_g1214z00_2328 = CDR(BgL_head1543z00_2377);
									}
								else
									{	/* SawMill/regalloc.scm 199 */
										obj_t BgL_newtail1545z00_2383;

										{	/* SawMill/regalloc.scm 199 */
											obj_t BgL_arg2005z00_2385;

											{	/* SawMill/regalloc.scm 199 */
												obj_t BgL_pairz00_4095;

												BgL_pairz00_4095 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt)
																CAR(
																	((obj_t) BgL_l1541z00_2379)))))->
													BgL_firstz00);
												BgL_arg2005z00_2385 = CAR(BgL_pairz00_4095);
											}
											BgL_newtail1545z00_2383 =
												MAKE_YOUNG_PAIR(BgL_arg2005z00_2385, BNIL);
										}
										SET_CDR(BgL_tail1544z00_2380, BgL_newtail1545z00_2383);
										{	/* SawMill/regalloc.scm 199 */
											obj_t BgL_arg2004z00_2384;

											BgL_arg2004z00_2384 = CDR(((obj_t) BgL_l1541z00_2379));
											{
												obj_t BgL_tail1544z00_6937;
												obj_t BgL_l1541z00_6936;

												BgL_l1541z00_6936 = BgL_arg2004z00_2384;
												BgL_tail1544z00_6937 = BgL_newtail1545z00_2383;
												BgL_tail1544z00_2380 = BgL_tail1544z00_6937;
												BgL_l1541z00_2379 = BgL_l1541z00_6936;
												goto BgL_zc3z04anonymousza32002ze3z87_2381;
											}
										}
									}
							}
						}
				}
				{
					obj_t BgL_inssz00_2331;
					obj_t BgL_succz00_2332;
					obj_t BgL_tz00_2333;

					{	/* SawMill/regalloc.scm 198 */
						obj_t BgL_arg1969z00_2330;

						{
							BgL_blockzf2razf2_bglt BgL_auxz00_6938;

							{
								obj_t BgL_auxz00_6939;

								{	/* SawMill/regalloc.scm 198 */
									BgL_objectz00_bglt BgL_tmpz00_6940;

									BgL_tmpz00_6940 =
										((BgL_objectz00_bglt)
										((BgL_blockz00_bglt) BgL_blockz00_73));
									BgL_auxz00_6939 = BGL_OBJECT_WIDENING(BgL_tmpz00_6940);
								}
								BgL_auxz00_6938 = ((BgL_blockzf2razf2_bglt) BgL_auxz00_6939);
							}
							BgL_arg1969z00_2330 =
								(((BgL_blockzf2razf2_bglt) COBJECT(BgL_auxz00_6938))->
								BgL_lastz00);
						}
						BgL_inssz00_2331 = BgL_arg1969z00_2330;
						BgL_succz00_2332 = BgL_g1214z00_2328;
						BgL_tz00_2333 = BFALSE;
					BgL_zc3z04anonymousza31970ze3z87_2334:
						if (PAIRP(BgL_inssz00_2331))
							{	/* SawMill/regalloc.scm 202 */
								BgL_rtl_insz00_bglt BgL_i1215z00_2336;

								BgL_i1215z00_2336 =
									((BgL_rtl_insz00_bglt) CAR(BgL_inssz00_2331));
								{	/* SawMill/regalloc.scm 203 */
									obj_t BgL_uz00_5893;

									{	/* SawMill/regalloc.scm 204 */
										obj_t BgL_cellvalz00_6950;

										{	/* SawMill/regalloc.scm 204 */
											bool_t BgL_test3075z00_6951;

											{	/* SawMill/regalloc.scm 204 */
												obj_t BgL_classz00_4099;

												BgL_classz00_4099 = BGl_rtl_insz00zzsaw_defsz00;
												if (BGL_OBJECTP(BgL_succz00_2332))
													{	/* SawMill/regalloc.scm 204 */
														BgL_objectz00_bglt BgL_arg1858z00_4101;

														BgL_arg1858z00_4101 =
															(BgL_objectz00_bglt) (BgL_succz00_2332);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* SawMill/regalloc.scm 204 */
																long BgL_idxz00_4107;

																BgL_idxz00_4107 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_4101);
																BgL_test3075z00_6951 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_4107 + 1L)) ==
																	BgL_classz00_4099);
															}
														else
															{	/* SawMill/regalloc.scm 204 */
																bool_t BgL_res2839z00_4132;

																{	/* SawMill/regalloc.scm 204 */
																	obj_t BgL_oclassz00_4115;

																	{	/* SawMill/regalloc.scm 204 */
																		obj_t BgL_arg1866z00_4123;
																		long BgL_arg1867z00_4124;

																		BgL_arg1866z00_4123 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* SawMill/regalloc.scm 204 */
																			long BgL_arg1869z00_4125;

																			BgL_arg1869z00_4125 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_4101);
																			BgL_arg1867z00_4124 =
																				(BgL_arg1869z00_4125 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_4115 =
																			VECTOR_REF(BgL_arg1866z00_4123,
																			BgL_arg1867z00_4124);
																	}
																	{	/* SawMill/regalloc.scm 204 */
																		bool_t BgL__ortest_1115z00_4116;

																		BgL__ortest_1115z00_4116 =
																			(BgL_classz00_4099 == BgL_oclassz00_4115);
																		if (BgL__ortest_1115z00_4116)
																			{	/* SawMill/regalloc.scm 204 */
																				BgL_res2839z00_4132 =
																					BgL__ortest_1115z00_4116;
																			}
																		else
																			{	/* SawMill/regalloc.scm 204 */
																				long BgL_odepthz00_4117;

																				{	/* SawMill/regalloc.scm 204 */
																					obj_t BgL_arg1855z00_4118;

																					BgL_arg1855z00_4118 =
																						(BgL_oclassz00_4115);
																					BgL_odepthz00_4117 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_4118);
																				}
																				if ((1L < BgL_odepthz00_4117))
																					{	/* SawMill/regalloc.scm 204 */
																						obj_t BgL_arg1853z00_4120;

																						{	/* SawMill/regalloc.scm 204 */
																							obj_t BgL_arg1854z00_4121;

																							BgL_arg1854z00_4121 =
																								(BgL_oclassz00_4115);
																							BgL_arg1853z00_4120 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_4121, 1L);
																						}
																						BgL_res2839z00_4132 =
																							(BgL_arg1853z00_4120 ==
																							BgL_classz00_4099);
																					}
																				else
																					{	/* SawMill/regalloc.scm 204 */
																						BgL_res2839z00_4132 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test3075z00_6951 = BgL_res2839z00_4132;
															}
													}
												else
													{	/* SawMill/regalloc.scm 204 */
														BgL_test3075z00_6951 = ((bool_t) 0);
													}
											}
											if (BgL_test3075z00_6951)
												{	/* SawMill/regalloc.scm 205 */
													obj_t BgL_arg1984z00_2353;
													obj_t BgL_arg1985z00_2354;

													{
														BgL_rtl_inszf2razf2_bglt BgL_auxz00_6974;

														{
															obj_t BgL_auxz00_6975;

															{	/* SawMill/regalloc.scm 205 */
																BgL_objectz00_bglt BgL_tmpz00_6976;

																BgL_tmpz00_6976 =
																	((BgL_objectz00_bglt) BgL_i1215z00_2336);
																BgL_auxz00_6975 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6976);
															}
															BgL_auxz00_6974 =
																((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6975);
														}
														BgL_arg1984z00_2353 =
															(((BgL_rtl_inszf2razf2_bglt)
																COBJECT(BgL_auxz00_6974))->BgL_outz00);
													}
													{
														BgL_rtl_inszf2razf2_bglt BgL_auxz00_6981;

														{
															obj_t BgL_auxz00_6982;

															{	/* SawMill/regalloc.scm 205 */
																BgL_objectz00_bglt BgL_tmpz00_6983;

																BgL_tmpz00_6983 =
																	((BgL_objectz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_succz00_2332));
																BgL_auxz00_6982 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6983);
															}
															BgL_auxz00_6981 =
																((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6982);
														}
														BgL_arg1985z00_2354 =
															(((BgL_rtl_inszf2razf2_bglt)
																COBJECT(BgL_auxz00_6981))->BgL_inz00);
													}
													BgL_cellvalz00_6950 =
														BBOOL(BGl_regsetzd2unionz12zc0zzsaw_regsetz00(
															((BgL_regsetz00_bglt) BgL_arg1984z00_2353),
															((BgL_regsetz00_bglt) BgL_arg1985z00_2354)));
												}
											else
												{	/* SawMill/regalloc.scm 204 */
													if (PAIRP(BgL_succz00_2332))
														{	/* SawMill/regalloc.scm 207 */
															obj_t BgL_arg1987z00_2356;
															obj_t BgL_arg1988z00_2357;

															{
																BgL_rtl_inszf2razf2_bglt BgL_auxz00_6995;

																{
																	obj_t BgL_auxz00_6996;

																	{	/* SawMill/regalloc.scm 207 */
																		BgL_objectz00_bglt BgL_tmpz00_6997;

																		BgL_tmpz00_6997 =
																			((BgL_objectz00_bglt) BgL_i1215z00_2336);
																		BgL_auxz00_6996 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_6997);
																	}
																	BgL_auxz00_6995 =
																		((BgL_rtl_inszf2razf2_bglt)
																		BgL_auxz00_6996);
																}
																BgL_arg1987z00_2356 =
																	(((BgL_rtl_inszf2razf2_bglt)
																		COBJECT(BgL_auxz00_6995))->BgL_outz00);
															}
															{	/* SawMill/regalloc.scm 207 */
																obj_t BgL_head1548z00_2360;

																{	/* SawMill/regalloc.scm 207 */
																	obj_t BgL_arg1999z00_2372;

																	{	/* SawMill/regalloc.scm 207 */
																		BgL_rtl_insz00_bglt BgL_oz00_4138;

																		BgL_oz00_4138 =
																			((BgL_rtl_insz00_bglt)
																			CAR(BgL_succz00_2332));
																		{
																			BgL_rtl_inszf2razf2_bglt BgL_auxz00_7004;

																			{
																				obj_t BgL_auxz00_7005;

																				{	/* SawMill/regalloc.scm 207 */
																					BgL_objectz00_bglt BgL_tmpz00_7006;

																					BgL_tmpz00_7006 =
																						((BgL_objectz00_bglt)
																						BgL_oz00_4138);
																					BgL_auxz00_7005 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_7006);
																				}
																				BgL_auxz00_7004 =
																					((BgL_rtl_inszf2razf2_bglt)
																					BgL_auxz00_7005);
																			}
																			BgL_arg1999z00_2372 =
																				(((BgL_rtl_inszf2razf2_bglt)
																					COBJECT(BgL_auxz00_7004))->BgL_inz00);
																		}
																	}
																	BgL_head1548z00_2360 =
																		MAKE_YOUNG_PAIR(BgL_arg1999z00_2372, BNIL);
																}
																{	/* SawMill/regalloc.scm 207 */
																	obj_t BgL_g1551z00_2361;

																	BgL_g1551z00_2361 = CDR(BgL_succz00_2332);
																	{
																		obj_t BgL_l1546z00_2363;
																		obj_t BgL_tail1549z00_2364;

																		BgL_l1546z00_2363 = BgL_g1551z00_2361;
																		BgL_tail1549z00_2364 = BgL_head1548z00_2360;
																	BgL_zc3z04anonymousza31990ze3z87_2365:
																		if (NULLP(BgL_l1546z00_2363))
																			{	/* SawMill/regalloc.scm 207 */
																				BgL_arg1988z00_2357 =
																					BgL_head1548z00_2360;
																			}
																		else
																			{	/* SawMill/regalloc.scm 207 */
																				obj_t BgL_newtail1550z00_2367;

																				{	/* SawMill/regalloc.scm 207 */
																					obj_t BgL_arg1995z00_2369;

																					{	/* SawMill/regalloc.scm 207 */
																						BgL_rtl_insz00_bglt BgL_oz00_4142;

																						BgL_oz00_4142 =
																							((BgL_rtl_insz00_bglt)
																							CAR(((obj_t) BgL_l1546z00_2363)));
																						{
																							BgL_rtl_inszf2razf2_bglt
																								BgL_auxz00_7018;
																							{
																								obj_t BgL_auxz00_7019;

																								{	/* SawMill/regalloc.scm 207 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_7020;
																									BgL_tmpz00_7020 =
																										((BgL_objectz00_bglt)
																										BgL_oz00_4142);
																									BgL_auxz00_7019 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_7020);
																								}
																								BgL_auxz00_7018 =
																									((BgL_rtl_inszf2razf2_bglt)
																									BgL_auxz00_7019);
																							}
																							BgL_arg1995z00_2369 =
																								(((BgL_rtl_inszf2razf2_bglt)
																									COBJECT(BgL_auxz00_7018))->
																								BgL_inz00);
																						}
																					}
																					BgL_newtail1550z00_2367 =
																						MAKE_YOUNG_PAIR(BgL_arg1995z00_2369,
																						BNIL);
																				}
																				SET_CDR(BgL_tail1549z00_2364,
																					BgL_newtail1550z00_2367);
																				{	/* SawMill/regalloc.scm 207 */
																					obj_t BgL_arg1994z00_2368;

																					BgL_arg1994z00_2368 =
																						CDR(((obj_t) BgL_l1546z00_2363));
																					{
																						obj_t BgL_tail1549z00_7030;
																						obj_t BgL_l1546z00_7029;

																						BgL_l1546z00_7029 =
																							BgL_arg1994z00_2368;
																						BgL_tail1549z00_7030 =
																							BgL_newtail1550z00_2367;
																						BgL_tail1549z00_2364 =
																							BgL_tail1549z00_7030;
																						BgL_l1546z00_2363 =
																							BgL_l1546z00_7029;
																						goto
																							BgL_zc3z04anonymousza31990ze3z87_2365;
																					}
																				}
																			}
																	}
																}
															}
															BgL_cellvalz00_6950 =
																BBOOL(BGl_regsetzd2unionza2z12z62zzsaw_regsetz00
																(((BgL_regsetz00_bglt) BgL_arg1987z00_2356),
																	BgL_arg1988z00_2357));
														}
													else
														{	/* SawMill/regalloc.scm 206 */
															BgL_cellvalz00_6950 = BFALSE;
														}
												}
										}
										BgL_uz00_5893 = BGL_MAKE_UNSAFE_CELL(BgL_cellvalz00_6950);
									}
									{	/* SawMill/regalloc.scm 210 */
										obj_t BgL_arg1973z00_2339;

										{
											BgL_rtl_inszf2razf2_bglt BgL_auxz00_7034;

											{
												obj_t BgL_auxz00_7035;

												{	/* SawMill/regalloc.scm 210 */
													BgL_objectz00_bglt BgL_tmpz00_7036;

													BgL_tmpz00_7036 =
														((BgL_objectz00_bglt) BgL_i1215z00_2336);
													BgL_auxz00_7035 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7036);
												}
												BgL_auxz00_7034 =
													((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_7035);
											}
											BgL_arg1973z00_2339 =
												(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_7034))->
												BgL_outz00);
										}
										{	/* SawMill/regalloc.scm 211 */
											obj_t BgL_zc3z04anonymousza31974ze3z87_5887;

											BgL_zc3z04anonymousza31974ze3z87_5887 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31974ze3ze5zzsaw_registerzd2allocationzd2,
												(int) (1L), (int) (2L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31974ze3z87_5887,
												(int) (0L), ((obj_t) BgL_i1215z00_2336));
											PROCEDURE_SET(BgL_zc3z04anonymousza31974ze3z87_5887,
												(int) (1L), ((obj_t) BgL_uz00_5893));
											BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
												(BgL_zc3z04anonymousza31974ze3z87_5887,
												((BgL_regsetz00_bglt) BgL_arg1973z00_2339));
									}}
									{	/* SawMill/regalloc.scm 214 */
										obj_t BgL_arg1980z00_2348;
										obj_t BgL_arg1981z00_2349;
										obj_t BgL_arg1982z00_2350;

										BgL_arg1980z00_2348 = CDR(BgL_inssz00_2331);
										BgL_arg1981z00_2349 = CAR(BgL_inssz00_2331);
										if (CBOOL(BgL_tz00_2333))
											{	/* SawMill/regalloc.scm 214 */
												BgL_arg1982z00_2350 = BgL_tz00_2333;
											}
										else
											{	/* SawMill/regalloc.scm 214 */
												BgL_arg1982z00_2350 =
													BGL_UNSAFE_CELL_REF(BgL_uz00_5893);
											}
										{
											obj_t BgL_tz00_7058;
											obj_t BgL_succz00_7057;
											obj_t BgL_inssz00_7056;

											BgL_inssz00_7056 = BgL_arg1980z00_2348;
											BgL_succz00_7057 = BgL_arg1981z00_2349;
											BgL_tz00_7058 = BgL_arg1982z00_2350;
											BgL_tz00_2333 = BgL_tz00_7058;
											BgL_succz00_2332 = BgL_succz00_7057;
											BgL_inssz00_2331 = BgL_inssz00_7056;
											goto BgL_zc3z04anonymousza31970ze3z87_2334;
										}
									}
								}
							}
						else
							{	/* SawMill/regalloc.scm 201 */
								return BgL_tz00_2333;
							}
					}
				}
			}
		}

	}



/* &<@anonymous:1974> */
	obj_t BGl_z62zc3z04anonymousza31974ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5888, obj_t BgL_rz00_5891)
	{
		{	/* SawMill/regalloc.scm 210 */
			{	/* SawMill/regalloc.scm 211 */
				BgL_rtl_insz00_bglt BgL_i1215z00_5889;
				obj_t BgL_uz00_5890;

				BgL_i1215z00_5889 =
					((BgL_rtl_insz00_bglt) PROCEDURE_REF(BgL_envz00_5888, (int) (0L)));
				BgL_uz00_5890 = PROCEDURE_REF(BgL_envz00_5888, (int) (1L));
				{	/* SawMill/regalloc.scm 211 */
					bool_t BgL_test3083z00_7064;

					{	/* SawMill/regalloc.scm 211 */
						obj_t BgL_arg1979z00_6072;

						{
							BgL_rtl_inszf2razf2_bglt BgL_auxz00_7065;

							{
								obj_t BgL_auxz00_7066;

								{	/* SawMill/regalloc.scm 211 */
									BgL_objectz00_bglt BgL_tmpz00_7067;

									BgL_tmpz00_7067 = ((BgL_objectz00_bglt) BgL_i1215z00_5889);
									BgL_auxz00_7066 = BGL_OBJECT_WIDENING(BgL_tmpz00_7067);
								}
								BgL_auxz00_7065 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_7066);
							}
							BgL_arg1979z00_6072 =
								(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_7065))->
								BgL_defz00);
						}
						{	/* SawMill/regalloc.scm 211 */
							long BgL_basez00_6073;
							long BgL_bitz00_6074;

							{	/* SawMill/regalloc.scm 211 */
								int BgL_arg2655z00_6075;

								{
									BgL_rtl_regzf2razf2_bglt BgL_auxz00_7072;

									{
										obj_t BgL_auxz00_7073;

										{	/* SawMill/regalloc.scm 211 */
											BgL_objectz00_bglt BgL_tmpz00_7074;

											BgL_tmpz00_7074 =
												((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_rz00_5891));
											BgL_auxz00_7073 = BGL_OBJECT_WIDENING(BgL_tmpz00_7074);
										}
										BgL_auxz00_7072 =
											((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7073);
									}
									BgL_arg2655z00_6075 =
										(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7072))->
										BgL_numz00);
								}
								BgL_basez00_6073 = ((long) (BgL_arg2655z00_6075) / 8L);
							}
							{	/* SawMill/regalloc.scm 211 */
								int BgL_arg2656z00_6076;

								{
									BgL_rtl_regzf2razf2_bglt BgL_auxz00_7082;

									{
										obj_t BgL_auxz00_7083;

										{	/* SawMill/regalloc.scm 211 */
											BgL_objectz00_bglt BgL_tmpz00_7084;

											BgL_tmpz00_7084 =
												((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_rz00_5891));
											BgL_auxz00_7083 = BGL_OBJECT_WIDENING(BgL_tmpz00_7084);
										}
										BgL_auxz00_7082 =
											((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7083);
									}
									BgL_arg2656z00_6076 =
										(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7082))->
										BgL_numz00);
								}
								{	/* SawMill/regalloc.scm 211 */
									long BgL_n1z00_6077;
									long BgL_n2z00_6078;

									BgL_n1z00_6077 = (long) (BgL_arg2656z00_6076);
									BgL_n2z00_6078 = 8L;
									{	/* SawMill/regalloc.scm 211 */
										bool_t BgL_test3084z00_7091;

										{	/* SawMill/regalloc.scm 211 */
											long BgL_arg1375z00_6079;

											BgL_arg1375z00_6079 =
												(((BgL_n1z00_6077) | (BgL_n2z00_6078)) & -2147483648);
											BgL_test3084z00_7091 = (BgL_arg1375z00_6079 == 0L);
										}
										if (BgL_test3084z00_7091)
											{	/* SawMill/regalloc.scm 211 */
												int32_t BgL_arg1372z00_6080;

												{	/* SawMill/regalloc.scm 211 */
													int32_t BgL_arg1373z00_6081;
													int32_t BgL_arg1374z00_6082;

													BgL_arg1373z00_6081 = (int32_t) (BgL_n1z00_6077);
													BgL_arg1374z00_6082 = (int32_t) (BgL_n2z00_6078);
													BgL_arg1372z00_6080 =
														(BgL_arg1373z00_6081 % BgL_arg1374z00_6082);
												}
												{	/* SawMill/regalloc.scm 211 */
													long BgL_arg1477z00_6083;

													BgL_arg1477z00_6083 = (long) (BgL_arg1372z00_6080);
													BgL_bitz00_6074 = (long) (BgL_arg1477z00_6083);
											}}
										else
											{	/* SawMill/regalloc.scm 211 */
												BgL_bitz00_6074 = (BgL_n1z00_6077 % BgL_n2z00_6078);
											}
									}
								}
							}
							if (
								(BgL_basez00_6073 <
									STRING_LENGTH(
										(((BgL_regsetz00_bglt) COBJECT(
													((BgL_regsetz00_bglt) BgL_arg1979z00_6072)))->
											BgL_stringz00))))
								{	/* SawMill/regalloc.scm 211 */
									BgL_test3083z00_7064 =
										(
										((STRING_REF(
													(((BgL_regsetz00_bglt) COBJECT(
																((BgL_regsetz00_bglt) BgL_arg1979z00_6072)))->
														BgL_stringz00),
													BgL_basez00_6073)) & (1L << (int) (BgL_bitz00_6074)))
										> 0L);
								}
							else
								{	/* SawMill/regalloc.scm 211 */
									BgL_test3083z00_7064 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test3083z00_7064)
						{	/* SawMill/regalloc.scm 211 */
							return BFALSE;
						}
					else
						{	/* SawMill/regalloc.scm 212 */
							obj_t BgL_auxz00_6084;

							{	/* SawMill/regalloc.scm 212 */
								bool_t BgL__ortest_1216z00_6085;

								{	/* SawMill/regalloc.scm 212 */
									obj_t BgL_arg1978z00_6086;

									{
										BgL_rtl_inszf2razf2_bglt BgL_auxz00_7113;

										{
											obj_t BgL_auxz00_7114;

											{	/* SawMill/regalloc.scm 212 */
												BgL_objectz00_bglt BgL_tmpz00_7115;

												BgL_tmpz00_7115 =
													((BgL_objectz00_bglt) BgL_i1215z00_5889);
												BgL_auxz00_7114 = BGL_OBJECT_WIDENING(BgL_tmpz00_7115);
											}
											BgL_auxz00_7113 =
												((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_7114);
										}
										BgL_arg1978z00_6086 =
											(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_7113))->
											BgL_inz00);
									}
									BgL__ortest_1216z00_6085 =
										BGl_regsetzd2addz12zc0zzsaw_regsetz00(
										((BgL_regsetz00_bglt) BgL_arg1978z00_6086),
										((BgL_rtl_regz00_bglt) BgL_rz00_5891));
								}
								if (BgL__ortest_1216z00_6085)
									{	/* SawMill/regalloc.scm 212 */
										BgL_auxz00_6084 = BBOOL(BgL__ortest_1216z00_6085);
									}
								else
									{	/* SawMill/regalloc.scm 212 */
										BgL_auxz00_6084 = BGL_UNSAFE_CELL_REF(BgL_uz00_5890);
									}
							}
							return BGL_UNSAFE_CELL_SET(BgL_uz00_5890, BgL_auxz00_6084);
						}
				}
			}
		}

	}



/* hardware-mutual-interference! */
	bool_t
		BGl_hardwarezd2mutualzd2interferencez12z12zzsaw_registerzd2allocationzd2
		(obj_t BgL_regsz00_76)
	{
		{	/* SawMill/regalloc.scm 237 */
			{
				obj_t BgL_rz00_2390;

				BgL_rz00_2390 = BgL_regsz00_76;
			BgL_zc3z04anonymousza32007ze3z87_2391:
				if (PAIRP(BgL_rz00_2390))
					{	/* SawMill/regalloc.scm 240 */
						obj_t BgL_r1z00_2393;

						BgL_r1z00_2393 = CAR(BgL_rz00_2390);
						{	/* SawMill/regalloc.scm 241 */
							obj_t BgL_g1561z00_2394;

							BgL_g1561z00_2394 = CDR(BgL_rz00_2390);
							{
								obj_t BgL_l1559z00_2396;

								BgL_l1559z00_2396 = BgL_g1561z00_2394;
							BgL_zc3z04anonymousza32009ze3z87_2397:
								if (PAIRP(BgL_l1559z00_2396))
									{	/* SawMill/regalloc.scm 241 */
										BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
											(BgL_r1z00_2393, CAR(BgL_l1559z00_2396));
										{
											obj_t BgL_l1559z00_7133;

											BgL_l1559z00_7133 = CDR(BgL_l1559z00_2396);
											BgL_l1559z00_2396 = BgL_l1559z00_7133;
											goto BgL_zc3z04anonymousza32009ze3z87_2397;
										}
									}
								else
									{	/* SawMill/regalloc.scm 241 */
										((bool_t) 1);
									}
							}
						}
						{
							obj_t BgL_rz00_7135;

							BgL_rz00_7135 = CDR(BgL_rz00_2390);
							BgL_rz00_2390 = BgL_rz00_7135;
							goto BgL_zc3z04anonymousza32007ze3z87_2391;
						}
					}
				else
					{	/* SawMill/regalloc.scm 239 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* hardware-parameters-interference! */
	bool_t
		BGl_hardwarezd2parameterszd2interferencez12z12zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt BgL_backz00_77, obj_t BgL_pregsz00_78)
	{
		{	/* SawMill/regalloc.scm 254 */
			{	/* SawMill/regalloc.scm 256 */
				obj_t BgL_g1566z00_2405;

				BgL_g1566z00_2405 =
					(((BgL_backendz00_bglt) COBJECT(BgL_backz00_77))->BgL_registersz00);
				{
					obj_t BgL_l1564z00_2407;

					BgL_l1564z00_2407 = BgL_g1566z00_2405;
				BgL_zc3z04anonymousza32013ze3z87_2408:
					if (PAIRP(BgL_l1564z00_2407))
						{	/* SawMill/regalloc.scm 256 */
							{	/* SawMill/regalloc.scm 257 */
								obj_t BgL_rz00_2410;

								BgL_rz00_2410 = CAR(BgL_l1564z00_2407);
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
										(BgL_rz00_2410,
											(((BgL_backendz00_bglt) COBJECT(BgL_backz00_77))->
												BgL_pregistersz00))))
									{	/* SawMill/regalloc.scm 257 */
										((bool_t) 0);
									}
								else
									{
										obj_t BgL_l1562z00_2414;

										BgL_l1562z00_2414 = BgL_pregsz00_78;
									BgL_zc3z04anonymousza32017ze3z87_2415:
										if (PAIRP(BgL_l1562z00_2414))
											{	/* SawMill/regalloc.scm 258 */
												BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
													(CAR(BgL_l1562z00_2414), BgL_rz00_2410);
												{
													obj_t BgL_l1562z00_7149;

													BgL_l1562z00_7149 = CDR(BgL_l1562z00_2414);
													BgL_l1562z00_2414 = BgL_l1562z00_7149;
													goto BgL_zc3z04anonymousza32017ze3z87_2415;
												}
											}
										else
											{	/* SawMill/regalloc.scm 258 */
												((bool_t) 1);
											}
									}
							}
							{
								obj_t BgL_l1564z00_7151;

								BgL_l1564z00_7151 = CDR(BgL_l1564z00_2407);
								BgL_l1564z00_2407 = BgL_l1564z00_7151;
								goto BgL_zc3z04anonymousza32013ze3z87_2408;
							}
						}
					else
						{	/* SawMill/regalloc.scm 256 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* hardware-interference! */
	bool_t
		BGl_hardwarezd2interferencez12zc0zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt BgL_backz00_79, obj_t BgL_oz00_80)
	{
		{	/* SawMill/regalloc.scm 269 */
			{
				obj_t BgL_oz00_2552;

				{
					obj_t BgL_l1588z00_2426;

					BgL_l1588z00_2426 = BgL_oz00_80;
				BgL_zc3z04anonymousza32023ze3z87_2427:
					if (PAIRP(BgL_l1588z00_2426))
						{	/* SawMill/regalloc.scm 317 */
							BgL_oz00_2552 = CAR(BgL_l1588z00_2426);
							{	/* SawMill/regalloc.scm 313 */
								obj_t BgL_g1587z00_2554;

								BgL_g1587z00_2554 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_oz00_2552)))->BgL_firstz00);
								{
									obj_t BgL_l1585z00_2556;

									BgL_l1585z00_2556 = BgL_g1587z00_2554;
								BgL_zc3z04anonymousza32099ze3z87_2557:
									if (PAIRP(BgL_l1585z00_2556))
										{	/* SawMill/regalloc.scm 316 */
											{	/* SawMill/regalloc.scm 314 */
												obj_t BgL_oz00_2559;

												BgL_oz00_2559 = CAR(BgL_l1585z00_2556);
												{	/* SawMill/regalloc.scm 315 */
													obj_t BgL_arg2101z00_2561;
													obj_t BgL_arg2102z00_2562;

													{
														BgL_rtl_inszf2razf2_bglt BgL_auxz00_7160;

														{
															obj_t BgL_auxz00_7161;

															{	/* SawMill/regalloc.scm 315 */
																BgL_objectz00_bglt BgL_tmpz00_7162;

																BgL_tmpz00_7162 =
																	((BgL_objectz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_oz00_2559));
																BgL_auxz00_7161 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_7162);
															}
															BgL_auxz00_7160 =
																((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_7161);
														}
														BgL_arg2101z00_2561 =
															(((BgL_rtl_inszf2razf2_bglt)
																COBJECT(BgL_auxz00_7160))->BgL_inz00);
													}
													{
														BgL_rtl_inszf2razf2_bglt BgL_auxz00_7168;

														{
															obj_t BgL_auxz00_7169;

															{	/* SawMill/regalloc.scm 315 */
																BgL_objectz00_bglt BgL_tmpz00_7170;

																BgL_tmpz00_7170 =
																	((BgL_objectz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_oz00_2559));
																BgL_auxz00_7169 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_7170);
															}
															BgL_auxz00_7168 =
																((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_7169);
														}
														BgL_arg2102z00_2562 =
															(((BgL_rtl_inszf2razf2_bglt)
																COBJECT(BgL_auxz00_7168))->BgL_outz00);
													}
													BGl_inszd2hardwarezd2interferencez12ze70zf5zzsaw_registerzd2allocationzd2
														(BgL_backz00_79,
														((BgL_rtl_insz00_bglt) BgL_oz00_2559),
														BgL_arg2101z00_2561, BgL_arg2102z00_2562);
												}
											}
											{
												obj_t BgL_l1585z00_7178;

												BgL_l1585z00_7178 = CDR(BgL_l1585z00_2556);
												BgL_l1585z00_2556 = BgL_l1585z00_7178;
												goto BgL_zc3z04anonymousza32099ze3z87_2557;
											}
										}
									else
										{	/* SawMill/regalloc.scm 316 */
											((bool_t) 1);
										}
								}
							}
							{
								obj_t BgL_l1588z00_7181;

								BgL_l1588z00_7181 = CDR(BgL_l1588z00_2426);
								BgL_l1588z00_2426 = BgL_l1588z00_7181;
								goto BgL_zc3z04anonymousza32023ze3z87_2427;
							}
						}
					else
						{	/* SawMill/regalloc.scm 317 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* ins-hardware-interference!~0 */
	bool_t
		BGl_inszd2hardwarezd2interferencez12ze70zf5zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt BgL_backz00_6058, BgL_rtl_insz00_bglt BgL_oz00_2432,
		obj_t BgL_inz00_2433, obj_t BgL_outz00_2434)
	{
		{	/* SawMill/regalloc.scm 311 */
			{	/* SawMill/regalloc.scm 271 */
				obj_t BgL_resetz00_2436;

				BgL_resetz00_2436 =
					BGl_backendzd2instrzd2resetzd2registerszd2zzbackend_backendz00
					(BgL_backz00_6058, ((obj_t) BgL_oz00_2432));
				{	/* SawMill/regalloc.scm 272 */
					obj_t BgL_spillz00_2437;
					obj_t BgL_rdestz00_2438;
					obj_t BgL_a0z00_2439;
					obj_t BgL_a1z00_2440;

					{	/* SawMill/regalloc.scm 281 */
						obj_t BgL_tmpz00_4204;

						{	/* SawMill/regalloc.scm 281 */
							int BgL_tmpz00_7185;

							BgL_tmpz00_7185 = (int) (1L);
							BgL_tmpz00_4204 = BGL_MVALUES_VAL(BgL_tmpz00_7185);
						}
						{	/* SawMill/regalloc.scm 281 */
							int BgL_tmpz00_7188;

							BgL_tmpz00_7188 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_7188, BUNSPEC);
						}
						BgL_spillz00_2437 = BgL_tmpz00_4204;
					}
					{	/* SawMill/regalloc.scm 281 */
						obj_t BgL_tmpz00_4205;

						{	/* SawMill/regalloc.scm 281 */
							int BgL_tmpz00_7191;

							BgL_tmpz00_7191 = (int) (2L);
							BgL_tmpz00_4205 = BGL_MVALUES_VAL(BgL_tmpz00_7191);
						}
						{	/* SawMill/regalloc.scm 281 */
							int BgL_tmpz00_7194;

							BgL_tmpz00_7194 = (int) (2L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_7194, BUNSPEC);
						}
						BgL_rdestz00_2438 = BgL_tmpz00_4205;
					}
					{	/* SawMill/regalloc.scm 281 */
						obj_t BgL_tmpz00_4206;

						{	/* SawMill/regalloc.scm 281 */
							int BgL_tmpz00_7197;

							BgL_tmpz00_7197 = (int) (3L);
							BgL_tmpz00_4206 = BGL_MVALUES_VAL(BgL_tmpz00_7197);
						}
						{	/* SawMill/regalloc.scm 281 */
							int BgL_tmpz00_7200;

							BgL_tmpz00_7200 = (int) (3L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_7200, BUNSPEC);
						}
						BgL_a0z00_2439 = BgL_tmpz00_4206;
					}
					{	/* SawMill/regalloc.scm 281 */
						obj_t BgL_tmpz00_4207;

						{	/* SawMill/regalloc.scm 281 */
							int BgL_tmpz00_7203;

							BgL_tmpz00_7203 = (int) (4L);
							BgL_tmpz00_4207 = BGL_MVALUES_VAL(BgL_tmpz00_7203);
						}
						{	/* SawMill/regalloc.scm 281 */
							int BgL_tmpz00_7206;

							BgL_tmpz00_7206 = (int) (4L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_7206, BUNSPEC);
						}
						BgL_a1z00_2440 = BgL_tmpz00_4207;
					}
					if (NULLP(BgL_resetz00_2436))
						{	/* SawMill/regalloc.scm 273 */
							BFALSE;
						}
					else
						{	/* SawMill/regalloc.scm 273 */
							{	/* SawMill/regalloc.scm 275 */
								obj_t BgL_zc3z04anonymousza32031ze3z87_5896;

								BgL_zc3z04anonymousza32031ze3z87_5896 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32031ze3ze5zzsaw_registerzd2allocationzd2,
									(int) (1L), (int) (1L));
								PROCEDURE_SET(BgL_zc3z04anonymousza32031ze3z87_5896, (int) (0L),
									BgL_resetz00_2436);
								BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
									(BgL_zc3z04anonymousza32031ze3z87_5896,
									((BgL_regsetz00_bglt) BgL_inz00_2433));
							}
							{	/* SawMill/regalloc.scm 279 */
								obj_t BgL_zc3z04anonymousza32036ze3z87_5895;

								BgL_zc3z04anonymousza32036ze3z87_5895 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32036ze3ze5zzsaw_registerzd2allocationzd2,
									(int) (1L), (int) (1L));
								PROCEDURE_SET(BgL_zc3z04anonymousza32036ze3z87_5895, (int) (0L),
									BgL_resetz00_2436);
								BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
									(BgL_zc3z04anonymousza32036ze3z87_5895,
									((BgL_regsetz00_bglt) BgL_outz00_2434));
						}}
					{	/* SawMill/regalloc.scm 285 */
						bool_t BgL_test3095z00_7225;

						if (PAIRP(BgL_rdestz00_2438))
							{	/* SawMill/regalloc.scm 285 */
								obj_t BgL_arg2049z00_2480;

								BgL_arg2049z00_2480 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_oz00_2432)))->BgL_destz00);
								{	/* SawMill/regalloc.scm 285 */
									obj_t BgL_classz00_4212;

									BgL_classz00_4212 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
									if (BGL_OBJECTP(BgL_arg2049z00_2480))
										{	/* SawMill/regalloc.scm 285 */
											BgL_objectz00_bglt BgL_arg1858z00_4214;

											BgL_arg1858z00_4214 =
												(BgL_objectz00_bglt) (BgL_arg2049z00_2480);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* SawMill/regalloc.scm 285 */
													long BgL_idxz00_4220;

													BgL_idxz00_4220 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4214);
													BgL_test3095z00_7225 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_4220 + 2L)) == BgL_classz00_4212);
												}
											else
												{	/* SawMill/regalloc.scm 285 */
													bool_t BgL_res2840z00_4245;

													{	/* SawMill/regalloc.scm 285 */
														obj_t BgL_oclassz00_4228;

														{	/* SawMill/regalloc.scm 285 */
															obj_t BgL_arg1866z00_4236;
															long BgL_arg1867z00_4237;

															BgL_arg1866z00_4236 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* SawMill/regalloc.scm 285 */
																long BgL_arg1869z00_4238;

																BgL_arg1869z00_4238 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4214);
																BgL_arg1867z00_4237 =
																	(BgL_arg1869z00_4238 - OBJECT_TYPE);
															}
															BgL_oclassz00_4228 =
																VECTOR_REF(BgL_arg1866z00_4236,
																BgL_arg1867z00_4237);
														}
														{	/* SawMill/regalloc.scm 285 */
															bool_t BgL__ortest_1115z00_4229;

															BgL__ortest_1115z00_4229 =
																(BgL_classz00_4212 == BgL_oclassz00_4228);
															if (BgL__ortest_1115z00_4229)
																{	/* SawMill/regalloc.scm 285 */
																	BgL_res2840z00_4245 =
																		BgL__ortest_1115z00_4229;
																}
															else
																{	/* SawMill/regalloc.scm 285 */
																	long BgL_odepthz00_4230;

																	{	/* SawMill/regalloc.scm 285 */
																		obj_t BgL_arg1855z00_4231;

																		BgL_arg1855z00_4231 = (BgL_oclassz00_4228);
																		BgL_odepthz00_4230 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_4231);
																	}
																	if ((2L < BgL_odepthz00_4230))
																		{	/* SawMill/regalloc.scm 285 */
																			obj_t BgL_arg1853z00_4233;

																			{	/* SawMill/regalloc.scm 285 */
																				obj_t BgL_arg1854z00_4234;

																				BgL_arg1854z00_4234 =
																					(BgL_oclassz00_4228);
																				BgL_arg1853z00_4233 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_4234, 2L);
																			}
																			BgL_res2840z00_4245 =
																				(BgL_arg1853z00_4233 ==
																				BgL_classz00_4212);
																		}
																	else
																		{	/* SawMill/regalloc.scm 285 */
																			BgL_res2840z00_4245 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test3095z00_7225 = BgL_res2840z00_4245;
												}
										}
									else
										{	/* SawMill/regalloc.scm 285 */
											BgL_test3095z00_7225 = ((bool_t) 0);
										}
								}
							}
						else
							{	/* SawMill/regalloc.scm 285 */
								BgL_test3095z00_7225 = ((bool_t) 0);
							}
						if (BgL_test3095z00_7225)
							{	/* SawMill/regalloc.scm 286 */
								obj_t BgL_g1573z00_2469;

								BgL_g1573z00_2469 =
									(((BgL_backendz00_bglt) COBJECT(BgL_backz00_6058))->
									BgL_registersz00);
								{
									obj_t BgL_l1571z00_2471;

									BgL_l1571z00_2471 = BgL_g1573z00_2469;
								BgL_zc3z04anonymousza32043ze3z87_2472:
									if (PAIRP(BgL_l1571z00_2471))
										{	/* SawMill/regalloc.scm 286 */
											{	/* SawMill/regalloc.scm 287 */
												obj_t BgL_rz00_2474;

												BgL_rz00_2474 = CAR(BgL_l1571z00_2471);
												if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_rz00_2474, BgL_rdestz00_2438)))
													{	/* SawMill/regalloc.scm 287 */
														((bool_t) 0);
													}
												else
													{	/* SawMill/regalloc.scm 288 */
														obj_t BgL_arg2046z00_2476;

														BgL_arg2046z00_2476 =
															(((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt) BgL_oz00_2432)))->
															BgL_destz00);
														BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
															(BgL_arg2046z00_2476, BgL_rz00_2474);
													}
											}
											{
												obj_t BgL_l1571z00_7262;

												BgL_l1571z00_7262 = CDR(BgL_l1571z00_2471);
												BgL_l1571z00_2471 = BgL_l1571z00_7262;
												goto BgL_zc3z04anonymousza32043ze3z87_2472;
											}
										}
									else
										{	/* SawMill/regalloc.scm 286 */
											((bool_t) 1);
										}
								}
							}
						else
							{	/* SawMill/regalloc.scm 285 */
								((bool_t) 0);
							}
					}
					{	/* SawMill/regalloc.scm 291 */
						bool_t BgL_test3103z00_7264;

						if (PAIRP(BgL_a0z00_2439))
							{	/* SawMill/regalloc.scm 291 */
								if (NULLP(
										(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_oz00_2432)))->
											BgL_argsz00)))
									{	/* SawMill/regalloc.scm 291 */
										BgL_test3103z00_7264 = ((bool_t) 0);
									}
								else
									{	/* SawMill/regalloc.scm 291 */
										obj_t BgL_arg2064z00_2501;

										{	/* SawMill/regalloc.scm 291 */
											obj_t BgL_pairz00_4248;

											BgL_pairz00_4248 =
												(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_oz00_2432)))->
												BgL_argsz00);
											BgL_arg2064z00_2501 = CAR(BgL_pairz00_4248);
										}
										{	/* SawMill/regalloc.scm 291 */
											obj_t BgL_classz00_4249;

											BgL_classz00_4249 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
											if (BGL_OBJECTP(BgL_arg2064z00_2501))
												{	/* SawMill/regalloc.scm 291 */
													BgL_objectz00_bglt BgL_arg1858z00_4251;

													BgL_arg1858z00_4251 =
														(BgL_objectz00_bglt) (BgL_arg2064z00_2501);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* SawMill/regalloc.scm 291 */
															long BgL_idxz00_4257;

															BgL_idxz00_4257 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4251);
															BgL_test3103z00_7264 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_4257 + 2L)) == BgL_classz00_4249);
														}
													else
														{	/* SawMill/regalloc.scm 291 */
															bool_t BgL_res2841z00_4282;

															{	/* SawMill/regalloc.scm 291 */
																obj_t BgL_oclassz00_4265;

																{	/* SawMill/regalloc.scm 291 */
																	obj_t BgL_arg1866z00_4273;
																	long BgL_arg1867z00_4274;

																	BgL_arg1866z00_4273 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* SawMill/regalloc.scm 291 */
																		long BgL_arg1869z00_4275;

																		BgL_arg1869z00_4275 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4251);
																		BgL_arg1867z00_4274 =
																			(BgL_arg1869z00_4275 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_4265 =
																		VECTOR_REF(BgL_arg1866z00_4273,
																		BgL_arg1867z00_4274);
																}
																{	/* SawMill/regalloc.scm 291 */
																	bool_t BgL__ortest_1115z00_4266;

																	BgL__ortest_1115z00_4266 =
																		(BgL_classz00_4249 == BgL_oclassz00_4265);
																	if (BgL__ortest_1115z00_4266)
																		{	/* SawMill/regalloc.scm 291 */
																			BgL_res2841z00_4282 =
																				BgL__ortest_1115z00_4266;
																		}
																	else
																		{	/* SawMill/regalloc.scm 291 */
																			long BgL_odepthz00_4267;

																			{	/* SawMill/regalloc.scm 291 */
																				obj_t BgL_arg1855z00_4268;

																				BgL_arg1855z00_4268 =
																					(BgL_oclassz00_4265);
																				BgL_odepthz00_4267 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_4268);
																			}
																			if ((2L < BgL_odepthz00_4267))
																				{	/* SawMill/regalloc.scm 291 */
																					obj_t BgL_arg1853z00_4270;

																					{	/* SawMill/regalloc.scm 291 */
																						obj_t BgL_arg1854z00_4271;

																						BgL_arg1854z00_4271 =
																							(BgL_oclassz00_4265);
																						BgL_arg1853z00_4270 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_4271, 2L);
																					}
																					BgL_res2841z00_4282 =
																						(BgL_arg1853z00_4270 ==
																						BgL_classz00_4249);
																				}
																			else
																				{	/* SawMill/regalloc.scm 291 */
																					BgL_res2841z00_4282 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test3103z00_7264 = BgL_res2841z00_4282;
														}
												}
											else
												{	/* SawMill/regalloc.scm 291 */
													BgL_test3103z00_7264 = ((bool_t) 0);
												}
										}
									}
							}
						else
							{	/* SawMill/regalloc.scm 291 */
								BgL_test3103z00_7264 = ((bool_t) 0);
							}
						if (BgL_test3103z00_7264)
							{	/* SawMill/regalloc.scm 292 */
								obj_t BgL_g1576z00_2488;

								BgL_g1576z00_2488 =
									(((BgL_backendz00_bglt) COBJECT(BgL_backz00_6058))->
									BgL_registersz00);
								{
									obj_t BgL_l1574z00_2490;

									BgL_l1574z00_2490 = BgL_g1576z00_2488;
								BgL_zc3z04anonymousza32057ze3z87_2491:
									if (PAIRP(BgL_l1574z00_2490))
										{	/* SawMill/regalloc.scm 292 */
											{	/* SawMill/regalloc.scm 293 */
												obj_t BgL_rz00_2493;

												BgL_rz00_2493 = CAR(BgL_l1574z00_2490);
												if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_rz00_2493, BgL_a0z00_2439)))
													{	/* SawMill/regalloc.scm 293 */
														((bool_t) 0);
													}
												else
													{	/* SawMill/regalloc.scm 294 */
														obj_t BgL_arg2060z00_2495;

														{	/* SawMill/regalloc.scm 294 */
															obj_t BgL_pairz00_4284;

															BgL_pairz00_4284 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_oz00_2432)))->
																BgL_argsz00);
															BgL_arg2060z00_2495 = CAR(BgL_pairz00_4284);
														}
														BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
															(BgL_rz00_2493, BgL_arg2060z00_2495);
													}
											}
											{
												obj_t BgL_l1574z00_7307;

												BgL_l1574z00_7307 = CDR(BgL_l1574z00_2490);
												BgL_l1574z00_2490 = BgL_l1574z00_7307;
												goto BgL_zc3z04anonymousza32057ze3z87_2491;
											}
										}
									else
										{	/* SawMill/regalloc.scm 292 */
											((bool_t) 1);
										}
								}
							}
						else
							{	/* SawMill/regalloc.scm 291 */
								((bool_t) 0);
							}
					}
					{	/* SawMill/regalloc.scm 297 */
						bool_t BgL_test3112z00_7309;

						if (PAIRP(BgL_a1z00_2440))
							{	/* SawMill/regalloc.scm 297 */
								if (NULLP(
										(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_oz00_2432)))->
											BgL_argsz00)))
									{	/* SawMill/regalloc.scm 298 */
										BgL_test3112z00_7309 = ((bool_t) 0);
									}
								else
									{	/* SawMill/regalloc.scm 298 */
										bool_t BgL_test3115z00_7316;

										{	/* SawMill/regalloc.scm 298 */
											obj_t BgL_tmpz00_7317;

											{	/* SawMill/regalloc.scm 298 */
												obj_t BgL_pairz00_4286;

												BgL_pairz00_4286 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_oz00_2432)))->
													BgL_argsz00);
												BgL_tmpz00_7317 = CDR(BgL_pairz00_4286);
											}
											BgL_test3115z00_7316 = PAIRP(BgL_tmpz00_7317);
										}
										if (BgL_test3115z00_7316)
											{	/* SawMill/regalloc.scm 299 */
												obj_t BgL_arg2085z00_2530;

												{	/* SawMill/regalloc.scm 299 */
													obj_t BgL_pairz00_4287;

													BgL_pairz00_4287 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_oz00_2432)))->
														BgL_argsz00);
													BgL_arg2085z00_2530 = CAR(CDR(BgL_pairz00_4287));
												}
												{	/* SawMill/regalloc.scm 299 */
													obj_t BgL_classz00_4291;

													BgL_classz00_4291 =
														BGl_rtl_regzf2razf2zzsaw_regsetz00;
													if (BGL_OBJECTP(BgL_arg2085z00_2530))
														{	/* SawMill/regalloc.scm 299 */
															BgL_objectz00_bglt BgL_arg1858z00_4293;

															BgL_arg1858z00_4293 =
																(BgL_objectz00_bglt) (BgL_arg2085z00_2530);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* SawMill/regalloc.scm 299 */
																	long BgL_idxz00_4299;

																	BgL_idxz00_4299 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_4293);
																	BgL_test3112z00_7309 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4299 + 2L)) ==
																		BgL_classz00_4291);
																}
															else
																{	/* SawMill/regalloc.scm 299 */
																	bool_t BgL_res2842z00_4324;

																	{	/* SawMill/regalloc.scm 299 */
																		obj_t BgL_oclassz00_4307;

																		{	/* SawMill/regalloc.scm 299 */
																			obj_t BgL_arg1866z00_4315;
																			long BgL_arg1867z00_4316;

																			BgL_arg1866z00_4315 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* SawMill/regalloc.scm 299 */
																				long BgL_arg1869z00_4317;

																				BgL_arg1869z00_4317 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_4293);
																				BgL_arg1867z00_4316 =
																					(BgL_arg1869z00_4317 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4307 =
																				VECTOR_REF(BgL_arg1866z00_4315,
																				BgL_arg1867z00_4316);
																		}
																		{	/* SawMill/regalloc.scm 299 */
																			bool_t BgL__ortest_1115z00_4308;

																			BgL__ortest_1115z00_4308 =
																				(BgL_classz00_4291 ==
																				BgL_oclassz00_4307);
																			if (BgL__ortest_1115z00_4308)
																				{	/* SawMill/regalloc.scm 299 */
																					BgL_res2842z00_4324 =
																						BgL__ortest_1115z00_4308;
																				}
																			else
																				{	/* SawMill/regalloc.scm 299 */
																					long BgL_odepthz00_4309;

																					{	/* SawMill/regalloc.scm 299 */
																						obj_t BgL_arg1855z00_4310;

																						BgL_arg1855z00_4310 =
																							(BgL_oclassz00_4307);
																						BgL_odepthz00_4309 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_4310);
																					}
																					if ((2L < BgL_odepthz00_4309))
																						{	/* SawMill/regalloc.scm 299 */
																							obj_t BgL_arg1853z00_4312;

																							{	/* SawMill/regalloc.scm 299 */
																								obj_t BgL_arg1854z00_4313;

																								BgL_arg1854z00_4313 =
																									(BgL_oclassz00_4307);
																								BgL_arg1853z00_4312 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_4313, 2L);
																							}
																							BgL_res2842z00_4324 =
																								(BgL_arg1853z00_4312 ==
																								BgL_classz00_4291);
																						}
																					else
																						{	/* SawMill/regalloc.scm 299 */
																							BgL_res2842z00_4324 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test3112z00_7309 = BgL_res2842z00_4324;
																}
														}
													else
														{	/* SawMill/regalloc.scm 299 */
															BgL_test3112z00_7309 = ((bool_t) 0);
														}
												}
											}
										else
											{	/* SawMill/regalloc.scm 298 */
												BgL_test3112z00_7309 = ((bool_t) 0);
											}
									}
							}
						else
							{	/* SawMill/regalloc.scm 297 */
								BgL_test3112z00_7309 = ((bool_t) 0);
							}
						if (BgL_test3112z00_7309)
							{	/* SawMill/regalloc.scm 300 */
								obj_t BgL_g1579z00_2516;

								BgL_g1579z00_2516 =
									(((BgL_backendz00_bglt) COBJECT(BgL_backz00_6058))->
									BgL_registersz00);
								{
									obj_t BgL_l1577z00_2518;

									BgL_l1577z00_2518 = BgL_g1579z00_2516;
								BgL_zc3z04anonymousza32079ze3z87_2519:
									if (PAIRP(BgL_l1577z00_2518))
										{	/* SawMill/regalloc.scm 300 */
											{	/* SawMill/regalloc.scm 301 */
												obj_t BgL_rz00_2521;

												BgL_rz00_2521 = CAR(BgL_l1577z00_2518);
												if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_rz00_2521, BgL_a1z00_2440)))
													{	/* SawMill/regalloc.scm 301 */
														((bool_t) 0);
													}
												else
													{	/* SawMill/regalloc.scm 302 */
														obj_t BgL_arg2082z00_2523;

														{	/* SawMill/regalloc.scm 302 */
															obj_t BgL_pairz00_4326;

															BgL_pairz00_4326 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_oz00_2432)))->
																BgL_argsz00);
															BgL_arg2082z00_2523 = CAR(CDR(BgL_pairz00_4326));
														}
														BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
															(BgL_rz00_2521, BgL_arg2082z00_2523);
													}
											}
											{
												obj_t BgL_l1577z00_7360;

												BgL_l1577z00_7360 = CDR(BgL_l1577z00_2518);
												BgL_l1577z00_2518 = BgL_l1577z00_7360;
												goto BgL_zc3z04anonymousza32079ze3z87_2519;
											}
										}
									else
										{	/* SawMill/regalloc.scm 300 */
											((bool_t) 1);
										}
								}
							}
						else
							{	/* SawMill/regalloc.scm 297 */
								((bool_t) 0);
							}
					}
					{	/* SawMill/regalloc.scm 305 */
						obj_t BgL_g1582z00_2535;

						BgL_g1582z00_2535 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_oz00_2432)))->BgL_argsz00);
						{
							obj_t BgL_l1580z00_2537;

							BgL_l1580z00_2537 = BgL_g1582z00_2535;
						BgL_zc3z04anonymousza32090ze3z87_2538:
							if (PAIRP(BgL_l1580z00_2537))
								{	/* SawMill/regalloc.scm 305 */
									{	/* SawMill/regalloc.scm 306 */
										obj_t BgL_az00_2540;

										BgL_az00_2540 = CAR(BgL_l1580z00_2537);
										{	/* SawMill/regalloc.scm 306 */
											bool_t BgL_test3123z00_7367;

											{	/* SawMill/regalloc.scm 306 */
												obj_t BgL_classz00_4332;

												BgL_classz00_4332 = BGl_rtl_insz00zzsaw_defsz00;
												if (BGL_OBJECTP(BgL_az00_2540))
													{	/* SawMill/regalloc.scm 306 */
														BgL_objectz00_bglt BgL_arg1858z00_4334;

														BgL_arg1858z00_4334 =
															(BgL_objectz00_bglt) (BgL_az00_2540);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* SawMill/regalloc.scm 306 */
																long BgL_idxz00_4340;

																BgL_idxz00_4340 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_4334);
																BgL_test3123z00_7367 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_4340 + 1L)) ==
																	BgL_classz00_4332);
															}
														else
															{	/* SawMill/regalloc.scm 306 */
																bool_t BgL_res2843z00_4365;

																{	/* SawMill/regalloc.scm 306 */
																	obj_t BgL_oclassz00_4348;

																	{	/* SawMill/regalloc.scm 306 */
																		obj_t BgL_arg1866z00_4356;
																		long BgL_arg1867z00_4357;

																		BgL_arg1866z00_4356 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* SawMill/regalloc.scm 306 */
																			long BgL_arg1869z00_4358;

																			BgL_arg1869z00_4358 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_4334);
																			BgL_arg1867z00_4357 =
																				(BgL_arg1869z00_4358 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_4348 =
																			VECTOR_REF(BgL_arg1866z00_4356,
																			BgL_arg1867z00_4357);
																	}
																	{	/* SawMill/regalloc.scm 306 */
																		bool_t BgL__ortest_1115z00_4349;

																		BgL__ortest_1115z00_4349 =
																			(BgL_classz00_4332 == BgL_oclassz00_4348);
																		if (BgL__ortest_1115z00_4349)
																			{	/* SawMill/regalloc.scm 306 */
																				BgL_res2843z00_4365 =
																					BgL__ortest_1115z00_4349;
																			}
																		else
																			{	/* SawMill/regalloc.scm 306 */
																				long BgL_odepthz00_4350;

																				{	/* SawMill/regalloc.scm 306 */
																					obj_t BgL_arg1855z00_4351;

																					BgL_arg1855z00_4351 =
																						(BgL_oclassz00_4348);
																					BgL_odepthz00_4350 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_4351);
																				}
																				if ((1L < BgL_odepthz00_4350))
																					{	/* SawMill/regalloc.scm 306 */
																						obj_t BgL_arg1853z00_4353;

																						{	/* SawMill/regalloc.scm 306 */
																							obj_t BgL_arg1854z00_4354;

																							BgL_arg1854z00_4354 =
																								(BgL_oclassz00_4348);
																							BgL_arg1853z00_4353 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_4354, 1L);
																						}
																						BgL_res2843z00_4365 =
																							(BgL_arg1853z00_4353 ==
																							BgL_classz00_4332);
																					}
																				else
																					{	/* SawMill/regalloc.scm 306 */
																						BgL_res2843z00_4365 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test3123z00_7367 = BgL_res2843z00_4365;
															}
													}
												else
													{	/* SawMill/regalloc.scm 306 */
														BgL_test3123z00_7367 = ((bool_t) 0);
													}
											}
											if (BgL_test3123z00_7367)
												{	/* SawMill/regalloc.scm 306 */
													BGl_inszd2hardwarezd2interferencez12ze70zf5zzsaw_registerzd2allocationzd2
														(BgL_backz00_6058,
														((BgL_rtl_insz00_bglt) BgL_az00_2540),
														BgL_inz00_2433, BgL_outz00_2434);
												}
											else
												{	/* SawMill/regalloc.scm 306 */
													((bool_t) 0);
												}
										}
									}
									{
										obj_t BgL_l1580z00_7392;

										BgL_l1580z00_7392 = CDR(BgL_l1580z00_2537);
										BgL_l1580z00_2537 = BgL_l1580z00_7392;
										goto BgL_zc3z04anonymousza32090ze3z87_2538;
									}
								}
							else
								{	/* SawMill/regalloc.scm 305 */
									((bool_t) 1);
								}
						}
					}
					{
						obj_t BgL_l1583z00_2545;

						BgL_l1583z00_2545 = BgL_spillz00_2437;
					BgL_zc3z04anonymousza32094ze3z87_2546:
						if (PAIRP(BgL_l1583z00_2545))
							{	/* SawMill/regalloc.scm 309 */
								{	/* SawMill/regalloc.scm 310 */
									obj_t BgL_rz00_2548;

									BgL_rz00_2548 = CAR(BgL_l1583z00_2545);
									{	/* SawMill/regalloc.scm 310 */
										obj_t BgL_arg2096z00_2549;

										{
											BgL_rtl_inszf2razf2_bglt BgL_auxz00_7397;

											{
												obj_t BgL_auxz00_7398;

												{	/* SawMill/regalloc.scm 310 */
													BgL_objectz00_bglt BgL_tmpz00_7399;

													BgL_tmpz00_7399 =
														((BgL_objectz00_bglt) BgL_oz00_2432);
													BgL_auxz00_7398 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7399);
												}
												BgL_auxz00_7397 =
													((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_7398);
											}
											BgL_arg2096z00_2549 =
												(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_7397))->
												BgL_spillz00);
										}
										BGl_regsetzd2addz12zc0zzsaw_regsetz00(
											((BgL_regsetz00_bglt) BgL_arg2096z00_2549),
											((BgL_rtl_regz00_bglt) BgL_rz00_2548));
									}
								}
								{
									obj_t BgL_l1583z00_7407;

									BgL_l1583z00_7407 = CDR(BgL_l1583z00_2545);
									BgL_l1583z00_2545 = BgL_l1583z00_7407;
									goto BgL_zc3z04anonymousza32094ze3z87_2546;
								}
							}
						else
							{	/* SawMill/regalloc.scm 309 */
								return ((bool_t) 1);
							}
					}
				}
			}
		}

	}



/* &<@anonymous:2036> */
	obj_t BGl_z62zc3z04anonymousza32036ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5897, obj_t BgL_r1z00_5899)
	{
		{	/* SawMill/regalloc.scm 278 */
			{	/* SawMill/regalloc.scm 279 */
				obj_t BgL_resetz00_5898;

				BgL_resetz00_5898 =
					((obj_t) PROCEDURE_REF(BgL_envz00_5897, (int) (0L)));
				{	/* SawMill/regalloc.scm 279 */
					bool_t BgL_tmpz00_7412;

					{
						obj_t BgL_l1569z00_6088;

						BgL_l1569z00_6088 = BgL_resetz00_5898;
					BgL_zc3z04anonymousza32037ze3z87_6087:
						if (PAIRP(BgL_l1569z00_6088))
							{	/* SawMill/regalloc.scm 279 */
								BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
									(BgL_r1z00_5899, CAR(BgL_l1569z00_6088));
								{
									obj_t BgL_l1569z00_7417;

									BgL_l1569z00_7417 = CDR(BgL_l1569z00_6088);
									BgL_l1569z00_6088 = BgL_l1569z00_7417;
									goto BgL_zc3z04anonymousza32037ze3z87_6087;
								}
							}
						else
							{	/* SawMill/regalloc.scm 279 */
								BgL_tmpz00_7412 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_tmpz00_7412);
				}
			}
		}

	}



/* &<@anonymous:2031> */
	obj_t BGl_z62zc3z04anonymousza32031ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5900, obj_t BgL_r1z00_5902)
	{
		{	/* SawMill/regalloc.scm 274 */
			{	/* SawMill/regalloc.scm 275 */
				obj_t BgL_resetz00_5901;

				BgL_resetz00_5901 =
					((obj_t) PROCEDURE_REF(BgL_envz00_5900, (int) (0L)));
				{	/* SawMill/regalloc.scm 275 */
					bool_t BgL_tmpz00_7423;

					{
						obj_t BgL_l1567z00_6090;

						BgL_l1567z00_6090 = BgL_resetz00_5901;
					BgL_zc3z04anonymousza32032ze3z87_6089:
						if (PAIRP(BgL_l1567z00_6090))
							{	/* SawMill/regalloc.scm 275 */
								BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
									(BgL_r1z00_5902, CAR(BgL_l1567z00_6090));
								{
									obj_t BgL_l1567z00_7428;

									BgL_l1567z00_7428 = CDR(BgL_l1567z00_6090);
									BgL_l1567z00_6090 = BgL_l1567z00_7428;
									goto BgL_zc3z04anonymousza32032ze3z87_6089;
								}
							}
						else
							{	/* SawMill/regalloc.scm 275 */
								BgL_tmpz00_7423 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_tmpz00_7423);
				}
			}
		}

	}



/* interference! */
	obj_t BGl_interferencez12z12zzsaw_registerzd2allocationzd2(obj_t
		BgL_blocksz00_83, obj_t BgL_regsz00_84)
	{
		{	/* SawMill/regalloc.scm 350 */
			{	/* SawMill/regalloc.scm 351 */
				obj_t BgL_list2104z00_2567;

				BgL_list2104z00_2567 =
					MAKE_YOUNG_PAIR(BGl_string2899z00zzsaw_registerzd2allocationzd2,
					BNIL);
				BGl_verbosez00zztools_speekz00(BINT(3L), BgL_list2104z00_2567);
			}
			{
				obj_t BgL_l1596z00_2569;

				BgL_l1596z00_2569 = BgL_blocksz00_83;
			BgL_zc3z04anonymousza32105ze3z87_2570:
				if (PAIRP(BgL_l1596z00_2569))
					{	/* SawMill/regalloc.scm 353 */
						{	/* SawMill/regalloc.scm 354 */
							obj_t BgL_bz00_2572;

							BgL_bz00_2572 = CAR(BgL_l1596z00_2569);
							{	/* SawMill/regalloc.scm 354 */
								obj_t BgL_g1595z00_2573;

								BgL_g1595z00_2573 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_bz00_2572)))->BgL_firstz00);
								{
									obj_t BgL_l1593z00_2575;

									BgL_l1593z00_2575 = BgL_g1595z00_2573;
								BgL_zc3z04anonymousza32107ze3z87_2576:
									if (PAIRP(BgL_l1593z00_2575))
										{	/* SawMill/regalloc.scm 354 */
											{	/* SawMill/regalloc.scm 354 */
												obj_t BgL_iz00_2578;

												BgL_iz00_2578 = CAR(BgL_l1593z00_2575);
												BGl_interferezd2insz12zc0zzsaw_registerzd2allocationzd2(
													((BgL_rtl_insz00_bglt) BgL_iz00_2578));
											}
											{
												obj_t BgL_l1593z00_7444;

												BgL_l1593z00_7444 = CDR(BgL_l1593z00_2575);
												BgL_l1593z00_2575 = BgL_l1593z00_7444;
												goto BgL_zc3z04anonymousza32107ze3z87_2576;
											}
										}
									else
										{	/* SawMill/regalloc.scm 354 */
											((bool_t) 1);
										}
								}
							}
						}
						{
							obj_t BgL_l1596z00_7446;

							BgL_l1596z00_7446 = CDR(BgL_l1596z00_2569);
							BgL_l1596z00_2569 = BgL_l1596z00_7446;
							goto BgL_zc3z04anonymousza32105ze3z87_2570;
						}
					}
				else
					{	/* SawMill/regalloc.scm 353 */
						((bool_t) 1);
					}
			}
			{	/* SawMill/regalloc.scm 356 */
				obj_t BgL_list2111z00_2583;

				BgL_list2111z00_2583 =
					MAKE_YOUNG_PAIR(BGl_string2900z00zzsaw_registerzd2allocationzd2,
					BNIL);
				return BGl_verbosez00zztools_speekz00(BINT(3L), BgL_list2111z00_2583);
			}
		}

	}



/* interfere-ins! */
	obj_t
		BGl_interferezd2insz12zc0zzsaw_registerzd2allocationzd2(BgL_rtl_insz00_bglt
		BgL_iz00_85)
	{
		{	/* SawMill/regalloc.scm 361 */
			{	/* SawMill/regalloc.scm 364 */
				obj_t BgL_arg2113z00_2586;

				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_7451;

					{
						obj_t BgL_auxz00_7452;

						{	/* SawMill/regalloc.scm 363 */
							BgL_objectz00_bglt BgL_tmpz00_7453;

							BgL_tmpz00_7453 = ((BgL_objectz00_bglt) BgL_iz00_85);
							BgL_auxz00_7452 = BGL_OBJECT_WIDENING(BgL_tmpz00_7453);
						}
						BgL_auxz00_7451 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_7452);
					}
					BgL_arg2113z00_2586 =
						(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_7451))->BgL_inz00);
				}
				{	/* SawMill/regalloc.scm 366 */
					obj_t BgL_zc3z04anonymousza32114ze3z87_5906;

					BgL_zc3z04anonymousza32114ze3z87_5906 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza32114ze3ze5zzsaw_registerzd2allocationzd2,
						(int) (1L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza32114ze3z87_5906, (int) (0L),
						((obj_t) BgL_iz00_85));
					BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
						(BgL_zc3z04anonymousza32114ze3z87_5906,
						((BgL_regsetz00_bglt) BgL_arg2113z00_2586));
			}}
			{	/* SawMill/regalloc.scm 371 */
				obj_t BgL_arg2119z00_2596;

				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_7466;

					{
						obj_t BgL_auxz00_7467;

						{	/* SawMill/regalloc.scm 370 */
							BgL_objectz00_bglt BgL_tmpz00_7468;

							BgL_tmpz00_7468 = ((BgL_objectz00_bglt) BgL_iz00_85);
							BgL_auxz00_7467 = BGL_OBJECT_WIDENING(BgL_tmpz00_7468);
						}
						BgL_auxz00_7466 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_7467);
					}
					BgL_arg2119z00_2596 =
						(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_7466))->BgL_outz00);
				}
				{	/* SawMill/regalloc.scm 373 */
					obj_t BgL_zc3z04anonymousza32120ze3z87_5904;

					BgL_zc3z04anonymousza32120ze3z87_5904 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza32120ze3ze5zzsaw_registerzd2allocationzd2,
						(int) (1L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza32120ze3z87_5904, (int) (0L),
						((obj_t) BgL_iz00_85));
					return
						BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
						(BgL_zc3z04anonymousza32120ze3z87_5904,
						((BgL_regsetz00_bglt) BgL_arg2119z00_2596));
				}
			}
		}

	}



/* &<@anonymous:2120> */
	obj_t BGl_z62zc3z04anonymousza32120ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5907, obj_t BgL_r1z00_5909)
	{
		{	/* SawMill/regalloc.scm 371 */
			{	/* SawMill/regalloc.scm 373 */
				BgL_rtl_insz00_bglt BgL_i1224z00_5908;

				BgL_i1224z00_5908 =
					((BgL_rtl_insz00_bglt) PROCEDURE_REF(BgL_envz00_5907, (int) (0L)));
				{	/* SawMill/regalloc.scm 373 */
					obj_t BgL_arg2122z00_6091;

					{
						BgL_rtl_inszf2razf2_bglt BgL_auxz00_7484;

						{
							obj_t BgL_auxz00_7485;

							{	/* SawMill/regalloc.scm 372 */
								BgL_objectz00_bglt BgL_tmpz00_7486;

								BgL_tmpz00_7486 = ((BgL_objectz00_bglt) BgL_i1224z00_5908);
								BgL_auxz00_7485 = BGL_OBJECT_WIDENING(BgL_tmpz00_7486);
							}
							BgL_auxz00_7484 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_7485);
						}
						BgL_arg2122z00_6091 =
							(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_7484))->
							BgL_outz00);
					}
					{	/* SawMill/regalloc.scm 374 */
						obj_t BgL_zc3z04anonymousza32123ze3z87_6092;

						BgL_zc3z04anonymousza32123ze3z87_6092 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza32123ze3ze5zzsaw_registerzd2allocationzd2,
							(int) (1L), (int) (1L));
						PROCEDURE_SET(BgL_zc3z04anonymousza32123ze3z87_6092, (int) (0L),
							BgL_r1z00_5909);
						return
							BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
							(BgL_zc3z04anonymousza32123ze3z87_6092,
							((BgL_regsetz00_bglt) BgL_arg2122z00_6091));
					}
				}
			}
		}

	}



/* &<@anonymous:2123> */
	obj_t BGl_z62zc3z04anonymousza32123ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5910, obj_t BgL_r2z00_5912)
	{
		{	/* SawMill/regalloc.scm 373 */
			{	/* SawMill/regalloc.scm 374 */
				obj_t BgL_r1z00_5911;

				BgL_r1z00_5911 = PROCEDURE_REF(BgL_envz00_5910, (int) (0L));
				return
					BBOOL(BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
					(BgL_r1z00_5911, BgL_r2z00_5912));
			}
		}

	}



/* &<@anonymous:2114> */
	obj_t BGl_z62zc3z04anonymousza32114ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5913, obj_t BgL_r1z00_5915)
	{
		{	/* SawMill/regalloc.scm 364 */
			{	/* SawMill/regalloc.scm 366 */
				BgL_rtl_insz00_bglt BgL_i1224z00_5914;

				BgL_i1224z00_5914 =
					((BgL_rtl_insz00_bglt) PROCEDURE_REF(BgL_envz00_5913, (int) (0L)));
				{	/* SawMill/regalloc.scm 366 */
					obj_t BgL_arg2116z00_6093;

					{
						BgL_rtl_inszf2razf2_bglt BgL_auxz00_7505;

						{
							obj_t BgL_auxz00_7506;

							{	/* SawMill/regalloc.scm 365 */
								BgL_objectz00_bglt BgL_tmpz00_7507;

								BgL_tmpz00_7507 = ((BgL_objectz00_bglt) BgL_i1224z00_5914);
								BgL_auxz00_7506 = BGL_OBJECT_WIDENING(BgL_tmpz00_7507);
							}
							BgL_auxz00_7505 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_7506);
						}
						BgL_arg2116z00_6093 =
							(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_7505))->
							BgL_inz00);
					}
					{	/* SawMill/regalloc.scm 367 */
						obj_t BgL_zc3z04anonymousza32117ze3z87_6094;

						BgL_zc3z04anonymousza32117ze3z87_6094 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza32117ze3ze5zzsaw_registerzd2allocationzd2,
							(int) (1L), (int) (1L));
						PROCEDURE_SET(BgL_zc3z04anonymousza32117ze3z87_6094, (int) (0L),
							BgL_r1z00_5915);
						return
							BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
							(BgL_zc3z04anonymousza32117ze3z87_6094,
							((BgL_regsetz00_bglt) BgL_arg2116z00_6093));
					}
				}
			}
		}

	}



/* &<@anonymous:2117> */
	obj_t BGl_z62zc3z04anonymousza32117ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5916, obj_t BgL_r2z00_5918)
	{
		{	/* SawMill/regalloc.scm 366 */
			{	/* SawMill/regalloc.scm 367 */
				obj_t BgL_r1z00_5917;

				BgL_r1z00_5917 = PROCEDURE_REF(BgL_envz00_5916, (int) (0L));
				return
					BBOOL(BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
					(BgL_r1z00_5917, BgL_r2z00_5918));
			}
		}

	}



/* interfere-reg! */
	bool_t BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2(obj_t
		BgL_r1z00_86, obj_t BgL_r2z00_87)
	{
		{	/* SawMill/regalloc.scm 381 */
			{	/* SawMill/regalloc.scm 382 */
				bool_t BgL_test3133z00_7523;

				if ((BgL_r1z00_86 == BgL_r2z00_87))
					{	/* SawMill/regalloc.scm 382 */
						BgL_test3133z00_7523 = ((bool_t) 1);
					}
				else
					{	/* SawMill/regalloc.scm 382 */
						obj_t BgL_arg2128z00_2609;

						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_7526;

							{
								obj_t BgL_auxz00_7527;

								{	/* SawMill/regalloc.scm 382 */
									BgL_objectz00_bglt BgL_tmpz00_7528;

									BgL_tmpz00_7528 =
										((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_r1z00_86));
									BgL_auxz00_7527 = BGL_OBJECT_WIDENING(BgL_tmpz00_7528);
								}
								BgL_auxz00_7526 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7527);
							}
							BgL_arg2128z00_2609 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7526))->
								BgL_interferez00);
						}
						{	/* SawMill/regalloc.scm 382 */
							long BgL_basez00_4392;
							long BgL_bitz00_4393;

							{	/* SawMill/regalloc.scm 382 */
								int BgL_arg2655z00_4394;

								{
									BgL_rtl_regzf2razf2_bglt BgL_auxz00_7534;

									{
										obj_t BgL_auxz00_7535;

										{	/* SawMill/regalloc.scm 382 */
											BgL_objectz00_bglt BgL_tmpz00_7536;

											BgL_tmpz00_7536 =
												((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_r2z00_87));
											BgL_auxz00_7535 = BGL_OBJECT_WIDENING(BgL_tmpz00_7536);
										}
										BgL_auxz00_7534 =
											((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7535);
									}
									BgL_arg2655z00_4394 =
										(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7534))->
										BgL_numz00);
								}
								BgL_basez00_4392 = ((long) (BgL_arg2655z00_4394) / 8L);
							}
							{	/* SawMill/regalloc.scm 382 */
								int BgL_arg2656z00_4395;

								{
									BgL_rtl_regzf2razf2_bglt BgL_auxz00_7544;

									{
										obj_t BgL_auxz00_7545;

										{	/* SawMill/regalloc.scm 382 */
											BgL_objectz00_bglt BgL_tmpz00_7546;

											BgL_tmpz00_7546 =
												((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_r2z00_87));
											BgL_auxz00_7545 = BGL_OBJECT_WIDENING(BgL_tmpz00_7546);
										}
										BgL_auxz00_7544 =
											((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7545);
									}
									BgL_arg2656z00_4395 =
										(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7544))->
										BgL_numz00);
								}
								{	/* SawMill/regalloc.scm 382 */
									long BgL_n1z00_4405;
									long BgL_n2z00_4406;

									BgL_n1z00_4405 = (long) (BgL_arg2656z00_4395);
									BgL_n2z00_4406 = 8L;
									{	/* SawMill/regalloc.scm 382 */
										bool_t BgL_test3135z00_7553;

										{	/* SawMill/regalloc.scm 382 */
											long BgL_arg1375z00_4408;

											BgL_arg1375z00_4408 =
												(((BgL_n1z00_4405) | (BgL_n2z00_4406)) & -2147483648);
											BgL_test3135z00_7553 = (BgL_arg1375z00_4408 == 0L);
										}
										if (BgL_test3135z00_7553)
											{	/* SawMill/regalloc.scm 382 */
												int32_t BgL_arg1372z00_4409;

												{	/* SawMill/regalloc.scm 382 */
													int32_t BgL_arg1373z00_4410;
													int32_t BgL_arg1374z00_4411;

													BgL_arg1373z00_4410 = (int32_t) (BgL_n1z00_4405);
													BgL_arg1374z00_4411 = (int32_t) (BgL_n2z00_4406);
													BgL_arg1372z00_4409 =
														(BgL_arg1373z00_4410 % BgL_arg1374z00_4411);
												}
												{	/* SawMill/regalloc.scm 382 */
													long BgL_arg1477z00_4416;

													BgL_arg1477z00_4416 = (long) (BgL_arg1372z00_4409);
													BgL_bitz00_4393 = (long) (BgL_arg1477z00_4416);
											}}
										else
											{	/* SawMill/regalloc.scm 382 */
												BgL_bitz00_4393 = (BgL_n1z00_4405 % BgL_n2z00_4406);
											}
									}
								}
							}
							if (
								(BgL_basez00_4392 <
									STRING_LENGTH(
										(((BgL_regsetz00_bglt) COBJECT(
													((BgL_regsetz00_bglt) BgL_arg2128z00_2609)))->
											BgL_stringz00))))
								{	/* SawMill/regalloc.scm 382 */
									BgL_test3133z00_7523 =
										(
										((STRING_REF(
													(((BgL_regsetz00_bglt) COBJECT(
																((BgL_regsetz00_bglt) BgL_arg2128z00_2609)))->
														BgL_stringz00),
													BgL_basez00_4392)) & (1L << (int) (BgL_bitz00_4393)))
										> 0L);
								}
							else
								{	/* SawMill/regalloc.scm 382 */
									BgL_test3133z00_7523 = ((bool_t) 0);
								}
						}
					}
				if (BgL_test3133z00_7523)
					{	/* SawMill/regalloc.scm 382 */
						return ((bool_t) 0);
					}
				else
					{	/* SawMill/regalloc.scm 382 */
						{	/* SawMill/regalloc.scm 383 */
							obj_t BgL_arg2126z00_2607;

							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_7575;

								{
									obj_t BgL_auxz00_7576;

									{	/* SawMill/regalloc.scm 383 */
										BgL_objectz00_bglt BgL_tmpz00_7577;

										BgL_tmpz00_7577 =
											((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_r1z00_86));
										BgL_auxz00_7576 = BGL_OBJECT_WIDENING(BgL_tmpz00_7577);
									}
									BgL_auxz00_7575 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7576);
								}
								BgL_arg2126z00_2607 =
									(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7575))->
									BgL_interferez00);
							}
							BGl_regsetzd2addz12zc0zzsaw_regsetz00(
								((BgL_regsetz00_bglt) BgL_arg2126z00_2607),
								((BgL_rtl_regz00_bglt) BgL_r2z00_87));
						}
						{	/* SawMill/regalloc.scm 384 */
							obj_t BgL_arg2127z00_2608;

							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_7586;

								{
									obj_t BgL_auxz00_7587;

									{	/* SawMill/regalloc.scm 384 */
										BgL_objectz00_bglt BgL_tmpz00_7588;

										BgL_tmpz00_7588 =
											((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_r2z00_87));
										BgL_auxz00_7587 = BGL_OBJECT_WIDENING(BgL_tmpz00_7588);
									}
									BgL_auxz00_7586 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7587);
								}
								BgL_arg2127z00_2608 =
									(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7586))->
									BgL_interferez00);
							}
							return
								BGl_regsetzd2addz12zc0zzsaw_regsetz00(
								((BgL_regsetz00_bglt) BgL_arg2127z00_2608),
								((BgL_rtl_regz00_bglt) BgL_r1z00_86));
						}
					}
			}
		}

	}



/* cleanup-dest! */
	obj_t BGl_cleanupzd2destz12zc0zzsaw_registerzd2allocationzd2(obj_t
		BgL_blocksz00_88)
	{
		{	/* SawMill/regalloc.scm 389 */
			{	/* SawMill/regalloc.scm 390 */
				obj_t BgL_list2129z00_2610;

				BgL_list2129z00_2610 =
					MAKE_YOUNG_PAIR(BGl_string2901z00zzsaw_registerzd2allocationzd2,
					BNIL);
				BGl_verbosez00zztools_speekz00(BINT(3L), BgL_list2129z00_2610);
			}
			{	/* SawMill/regalloc.scm 391 */
				long BgL_nz00_2611;

				BgL_nz00_2611 = 0L;
				{
					obj_t BgL_l1601z00_2613;

					BgL_l1601z00_2613 = BgL_blocksz00_88;
				BgL_zc3z04anonymousza32130ze3z87_2614:
					if (PAIRP(BgL_l1601z00_2613))
						{	/* SawMill/regalloc.scm 392 */
							{	/* SawMill/regalloc.scm 393 */
								obj_t BgL_bz00_2616;

								BgL_bz00_2616 = CAR(BgL_l1601z00_2613);
								{	/* SawMill/regalloc.scm 393 */
									obj_t BgL_g1600z00_2617;

									BgL_g1600z00_2617 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_bz00_2616)))->BgL_firstz00);
									{
										obj_t BgL_l1598z00_2619;

										BgL_l1598z00_2619 = BgL_g1600z00_2617;
									BgL_zc3z04anonymousza32132ze3z87_2620:
										if (PAIRP(BgL_l1598z00_2619))
											{	/* SawMill/regalloc.scm 399 */
												{	/* SawMill/regalloc.scm 394 */
													obj_t BgL_iz00_2622;

													BgL_iz00_2622 = CAR(BgL_l1598z00_2619);
													{	/* SawMill/regalloc.scm 395 */
														bool_t BgL_test3139z00_7608;

														{	/* SawMill/regalloc.scm 395 */
															obj_t BgL_arg2141z00_2631;

															BgL_arg2141z00_2631 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_iz00_2622))))->
																BgL_destz00);
															{	/* SawMill/regalloc.scm 395 */
																obj_t BgL_classz00_4439;

																BgL_classz00_4439 =
																	BGl_rtl_regzf2razf2zzsaw_regsetz00;
																if (BGL_OBJECTP(BgL_arg2141z00_2631))
																	{	/* SawMill/regalloc.scm 395 */
																		BgL_objectz00_bglt BgL_arg1858z00_4441;

																		BgL_arg1858z00_4441 =
																			(BgL_objectz00_bglt)
																			(BgL_arg2141z00_2631);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* SawMill/regalloc.scm 395 */
																				long BgL_idxz00_4447;

																				BgL_idxz00_4447 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1858z00_4441);
																				BgL_test3139z00_7608 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_4447 + 2L)) ==
																					BgL_classz00_4439);
																			}
																		else
																			{	/* SawMill/regalloc.scm 395 */
																				bool_t BgL_res2844z00_4472;

																				{	/* SawMill/regalloc.scm 395 */
																					obj_t BgL_oclassz00_4455;

																					{	/* SawMill/regalloc.scm 395 */
																						obj_t BgL_arg1866z00_4463;
																						long BgL_arg1867z00_4464;

																						BgL_arg1866z00_4463 =
																							(BGl_za2classesza2z00zz__objectz00);
																						{	/* SawMill/regalloc.scm 395 */
																							long BgL_arg1869z00_4465;

																							BgL_arg1869z00_4465 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1858z00_4441);
																							BgL_arg1867z00_4464 =
																								(BgL_arg1869z00_4465 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_4455 =
																							VECTOR_REF(BgL_arg1866z00_4463,
																							BgL_arg1867z00_4464);
																					}
																					{	/* SawMill/regalloc.scm 395 */
																						bool_t BgL__ortest_1115z00_4456;

																						BgL__ortest_1115z00_4456 =
																							(BgL_classz00_4439 ==
																							BgL_oclassz00_4455);
																						if (BgL__ortest_1115z00_4456)
																							{	/* SawMill/regalloc.scm 395 */
																								BgL_res2844z00_4472 =
																									BgL__ortest_1115z00_4456;
																							}
																						else
																							{	/* SawMill/regalloc.scm 395 */
																								long BgL_odepthz00_4457;

																								{	/* SawMill/regalloc.scm 395 */
																									obj_t BgL_arg1855z00_4458;

																									BgL_arg1855z00_4458 =
																										(BgL_oclassz00_4455);
																									BgL_odepthz00_4457 =
																										BGL_CLASS_DEPTH
																										(BgL_arg1855z00_4458);
																								}
																								if ((2L < BgL_odepthz00_4457))
																									{	/* SawMill/regalloc.scm 395 */
																										obj_t BgL_arg1853z00_4460;

																										{	/* SawMill/regalloc.scm 395 */
																											obj_t BgL_arg1854z00_4461;

																											BgL_arg1854z00_4461 =
																												(BgL_oclassz00_4455);
																											BgL_arg1853z00_4460 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_arg1854z00_4461,
																												2L);
																										}
																										BgL_res2844z00_4472 =
																											(BgL_arg1853z00_4460 ==
																											BgL_classz00_4439);
																									}
																								else
																									{	/* SawMill/regalloc.scm 395 */
																										BgL_res2844z00_4472 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test3139z00_7608 =
																					BgL_res2844z00_4472;
																			}
																	}
																else
																	{	/* SawMill/regalloc.scm 395 */
																		BgL_test3139z00_7608 = ((bool_t) 0);
																	}
															}
														}
														if (BgL_test3139z00_7608)
															{	/* SawMill/regalloc.scm 396 */
																bool_t BgL_test3144z00_7634;

																{	/* SawMill/regalloc.scm 396 */
																	obj_t BgL_arg2139z00_2629;
																	obj_t BgL_arg2140z00_2630;

																	BgL_arg2139z00_2629 =
																		(((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_2622))))->BgL_destz00);
																	{
																		BgL_rtl_inszf2razf2_bglt BgL_auxz00_7638;

																		{
																			obj_t BgL_auxz00_7639;

																			{	/* SawMill/regalloc.scm 396 */
																				BgL_objectz00_bglt BgL_tmpz00_7640;

																				BgL_tmpz00_7640 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_2622));
																				BgL_auxz00_7639 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_7640);
																			}
																			BgL_auxz00_7638 =
																				((BgL_rtl_inszf2razf2_bglt)
																				BgL_auxz00_7639);
																		}
																		BgL_arg2140z00_2630 =
																			(((BgL_rtl_inszf2razf2_bglt)
																				COBJECT(BgL_auxz00_7638))->BgL_outz00);
																	}
																	{	/* SawMill/regalloc.scm 396 */
																		long BgL_basez00_4477;
																		long BgL_bitz00_4478;

																		{	/* SawMill/regalloc.scm 396 */
																			int BgL_arg2655z00_4479;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_7646;
																				{
																					obj_t BgL_auxz00_7647;

																					{	/* SawMill/regalloc.scm 396 */
																						BgL_objectz00_bglt BgL_tmpz00_7648;

																						BgL_tmpz00_7648 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_arg2139z00_2629));
																						BgL_auxz00_7647 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_7648);
																					}
																					BgL_auxz00_7646 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_7647);
																				}
																				BgL_arg2655z00_4479 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_7646))->
																					BgL_numz00);
																			}
																			BgL_basez00_4477 =
																				((long) (BgL_arg2655z00_4479) / 8L);
																		}
																		{	/* SawMill/regalloc.scm 396 */
																			int BgL_arg2656z00_4480;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_7656;
																				{
																					obj_t BgL_auxz00_7657;

																					{	/* SawMill/regalloc.scm 396 */
																						BgL_objectz00_bglt BgL_tmpz00_7658;

																						BgL_tmpz00_7658 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_arg2139z00_2629));
																						BgL_auxz00_7657 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_7658);
																					}
																					BgL_auxz00_7656 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_7657);
																				}
																				BgL_arg2656z00_4480 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_7656))->
																					BgL_numz00);
																			}
																			{	/* SawMill/regalloc.scm 396 */
																				long BgL_n1z00_4490;
																				long BgL_n2z00_4491;

																				BgL_n1z00_4490 =
																					(long) (BgL_arg2656z00_4480);
																				BgL_n2z00_4491 = 8L;
																				{	/* SawMill/regalloc.scm 396 */
																					bool_t BgL_test3145z00_7665;

																					{	/* SawMill/regalloc.scm 396 */
																						long BgL_arg1375z00_4493;

																						BgL_arg1375z00_4493 =
																							(((BgL_n1z00_4490) |
																								(BgL_n2z00_4491)) &
																							-2147483648);
																						BgL_test3145z00_7665 =
																							(BgL_arg1375z00_4493 == 0L);
																					}
																					if (BgL_test3145z00_7665)
																						{	/* SawMill/regalloc.scm 396 */
																							int32_t BgL_arg1372z00_4494;

																							{	/* SawMill/regalloc.scm 396 */
																								int32_t BgL_arg1373z00_4495;
																								int32_t BgL_arg1374z00_4496;

																								BgL_arg1373z00_4495 =
																									(int32_t) (BgL_n1z00_4490);
																								BgL_arg1374z00_4496 =
																									(int32_t) (BgL_n2z00_4491);
																								BgL_arg1372z00_4494 =
																									(BgL_arg1373z00_4495 %
																									BgL_arg1374z00_4496);
																							}
																							{	/* SawMill/regalloc.scm 396 */
																								long BgL_arg1477z00_4501;

																								BgL_arg1477z00_4501 =
																									(long) (BgL_arg1372z00_4494);
																								BgL_bitz00_4478 =
																									(long) (BgL_arg1477z00_4501);
																						}}
																					else
																						{	/* SawMill/regalloc.scm 396 */
																							BgL_bitz00_4478 =
																								(BgL_n1z00_4490 %
																								BgL_n2z00_4491);
																						}
																				}
																			}
																		}
																		if (
																			(BgL_basez00_4477 <
																				STRING_LENGTH(
																					(((BgL_regsetz00_bglt) COBJECT(
																								((BgL_regsetz00_bglt)
																									BgL_arg2140z00_2630)))->
																						BgL_stringz00))))
																			{	/* SawMill/regalloc.scm 396 */
																				BgL_test3144z00_7634 =
																					(
																					((STRING_REF(
																								(((BgL_regsetz00_bglt) COBJECT(
																											((BgL_regsetz00_bglt)
																												BgL_arg2140z00_2630)))->
																									BgL_stringz00),
																								BgL_basez00_4477)) & (1L <<
																							(int) (BgL_bitz00_4478))) > 0L);
																			}
																		else
																			{	/* SawMill/regalloc.scm 396 */
																				BgL_test3144z00_7634 = ((bool_t) 0);
																			}
																	}
																}
																if (BgL_test3144z00_7634)
																	{	/* SawMill/regalloc.scm 396 */
																		BFALSE;
																	}
																else
																	{	/* SawMill/regalloc.scm 396 */
																		BgL_nz00_2611 = (BgL_nz00_2611 + 1L);
																		((((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_2622))))->
																				BgL_destz00) =
																			((obj_t) BFALSE), BUNSPEC);
																	}
															}
														else
															{	/* SawMill/regalloc.scm 395 */
																BFALSE;
															}
													}
												}
												{
													obj_t BgL_l1598z00_7691;

													BgL_l1598z00_7691 = CDR(BgL_l1598z00_2619);
													BgL_l1598z00_2619 = BgL_l1598z00_7691;
													goto BgL_zc3z04anonymousza32132ze3z87_2620;
												}
											}
										else
											{	/* SawMill/regalloc.scm 399 */
												((bool_t) 1);
											}
									}
								}
							}
							{
								obj_t BgL_l1601z00_7693;

								BgL_l1601z00_7693 = CDR(BgL_l1601z00_2613);
								BgL_l1601z00_2613 = BgL_l1601z00_7693;
								goto BgL_zc3z04anonymousza32130ze3z87_2614;
							}
						}
					else
						{	/* SawMill/regalloc.scm 392 */
							((bool_t) 1);
						}
				}
				{	/* SawMill/regalloc.scm 401 */
					obj_t BgL_list2144z00_2636;

					{	/* SawMill/regalloc.scm 401 */
						obj_t BgL_arg2145z00_2637;

						BgL_arg2145z00_2637 =
							MAKE_YOUNG_PAIR(BGl_string2886z00zzsaw_registerzd2allocationzd2,
							BNIL);
						BgL_list2144z00_2636 =
							MAKE_YOUNG_PAIR(BINT(BgL_nz00_2611), BgL_arg2145z00_2637);
					}
					return BGl_verbosez00zztools_speekz00(BINT(3L), BgL_list2144z00_2636);
				}
			}
		}

	}



/* register-coloring */
	obj_t BGl_registerzd2coloringzd2zzsaw_registerzd2allocationzd2(obj_t
		BgL_pregsz00_89, obj_t BgL_hregsz00_90, obj_t BgL_cregsz00_91)
	{
		{	/* SawMill/regalloc.scm 406 */
			{	/* SawMill/regalloc.scm 408 */
				obj_t BgL_g1605z00_2638;

				{	/* SawMill/regalloc.scm 411 */
					obj_t BgL_list2150z00_2648;

					{	/* SawMill/regalloc.scm 411 */
						obj_t BgL_arg2151z00_2649;

						{	/* SawMill/regalloc.scm 411 */
							obj_t BgL_arg2152z00_2650;

							BgL_arg2152z00_2650 = MAKE_YOUNG_PAIR(BgL_cregsz00_91, BNIL);
							BgL_arg2151z00_2649 =
								MAKE_YOUNG_PAIR(BgL_hregsz00_90, BgL_arg2152z00_2650);
						}
						BgL_list2150z00_2648 =
							MAKE_YOUNG_PAIR(BgL_pregsz00_89, BgL_arg2151z00_2649);
					}
					BgL_g1605z00_2638 =
						BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2150z00_2648);
				}
				{
					obj_t BgL_l1603z00_2640;

					BgL_l1603z00_2640 = BgL_g1605z00_2638;
				BgL_zc3z04anonymousza32146ze3z87_2641:
					if (PAIRP(BgL_l1603z00_2640))
						{	/* SawMill/regalloc.scm 411 */
							{	/* SawMill/regalloc.scm 409 */
								obj_t BgL_rz00_2643;

								BgL_rz00_2643 = CAR(BgL_l1603z00_2640);
								{
									obj_t BgL_auxz00_7714;
									BgL_rtl_regzf2razf2_bglt BgL_auxz00_7707;

									{	/* SawMill/regalloc.scm 410 */
										obj_t BgL_arg2148z00_2645;

										{
											BgL_rtl_regzf2razf2_bglt BgL_auxz00_7715;

											{
												obj_t BgL_auxz00_7716;

												{	/* SawMill/regalloc.scm 410 */
													BgL_objectz00_bglt BgL_tmpz00_7717;

													BgL_tmpz00_7717 =
														((BgL_objectz00_bglt)
														((BgL_rtl_regz00_bglt) BgL_rz00_2643));
													BgL_auxz00_7716 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7717);
												}
												BgL_auxz00_7715 =
													((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7716);
											}
											BgL_arg2148z00_2645 =
												(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7715))->
												BgL_interferez00);
										}
										BgL_auxz00_7714 =
											((obj_t)
											BGl_duplicatezd2regsetzd2zzsaw_regsetz00(
												((BgL_regsetz00_bglt) BgL_arg2148z00_2645)));
									}
									{
										obj_t BgL_auxz00_7708;

										{	/* SawMill/regalloc.scm 410 */
											BgL_objectz00_bglt BgL_tmpz00_7709;

											BgL_tmpz00_7709 =
												((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_rz00_2643));
											BgL_auxz00_7708 = BGL_OBJECT_WIDENING(BgL_tmpz00_7709);
										}
										BgL_auxz00_7707 =
											((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7708);
									}
									((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7707))->
											BgL_interfere2z00) = ((obj_t) BgL_auxz00_7714), BUNSPEC);
								}
							}
							{
								obj_t BgL_l1603z00_7727;

								BgL_l1603z00_7727 = CDR(BgL_l1603z00_2640);
								BgL_l1603z00_2640 = BgL_l1603z00_7727;
								goto BgL_zc3z04anonymousza32146ze3z87_2641;
							}
						}
					else
						{	/* SawMill/regalloc.scm 411 */
							((bool_t) 1);
						}
				}
			}
			{	/* SawMill/regalloc.scm 413 */
				obj_t BgL_cregsz00_2651;

				{	/* SawMill/regalloc.scm 413 */
					obj_t BgL_hook1610z00_2655;

					BgL_hook1610z00_2655 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
					{
						obj_t BgL_l1607z00_2657;
						obj_t BgL_h1608z00_2658;

						BgL_l1607z00_2657 = BgL_cregsz00_91;
						BgL_h1608z00_2658 = BgL_hook1610z00_2655;
					BgL_zc3z04anonymousza32156ze3z87_2659:
						if (NULLP(BgL_l1607z00_2657))
							{	/* SawMill/regalloc.scm 413 */
								BgL_cregsz00_2651 = CDR(BgL_hook1610z00_2655);
							}
						else
							{	/* SawMill/regalloc.scm 413 */
								bool_t BgL_test3149z00_7733;

								{	/* SawMill/regalloc.scm 413 */
									obj_t BgL_arg2164z00_2669;

									{	/* SawMill/regalloc.scm 413 */
										BgL_rtl_regz00_bglt BgL_oz00_4526;

										BgL_oz00_4526 =
											((BgL_rtl_regz00_bglt) CAR(((obj_t) BgL_l1607z00_2657)));
										{
											BgL_rtl_regzf2razf2_bglt BgL_auxz00_7737;

											{
												obj_t BgL_auxz00_7738;

												{	/* SawMill/regalloc.scm 413 */
													BgL_objectz00_bglt BgL_tmpz00_7739;

													BgL_tmpz00_7739 =
														((BgL_objectz00_bglt) BgL_oz00_4526);
													BgL_auxz00_7738 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7739);
												}
												BgL_auxz00_7737 =
													((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7738);
											}
											BgL_arg2164z00_2669 =
												(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7737))->
												BgL_colorz00);
										}
									}
									BgL_test3149z00_7733 = (BgL_arg2164z00_2669 == BFALSE);
								}
								if (BgL_test3149z00_7733)
									{	/* SawMill/regalloc.scm 413 */
										obj_t BgL_nh1609z00_2664;

										{	/* SawMill/regalloc.scm 413 */
											obj_t BgL_arg2162z00_2666;

											BgL_arg2162z00_2666 = CAR(((obj_t) BgL_l1607z00_2657));
											BgL_nh1609z00_2664 =
												MAKE_YOUNG_PAIR(BgL_arg2162z00_2666, BNIL);
										}
										SET_CDR(BgL_h1608z00_2658, BgL_nh1609z00_2664);
										{	/* SawMill/regalloc.scm 413 */
											obj_t BgL_arg2161z00_2665;

											BgL_arg2161z00_2665 = CDR(((obj_t) BgL_l1607z00_2657));
											{
												obj_t BgL_h1608z00_7752;
												obj_t BgL_l1607z00_7751;

												BgL_l1607z00_7751 = BgL_arg2161z00_2665;
												BgL_h1608z00_7752 = BgL_nh1609z00_2664;
												BgL_h1608z00_2658 = BgL_h1608z00_7752;
												BgL_l1607z00_2657 = BgL_l1607z00_7751;
												goto BgL_zc3z04anonymousza32156ze3z87_2659;
											}
										}
									}
								else
									{	/* SawMill/regalloc.scm 413 */
										obj_t BgL_arg2163z00_2667;

										BgL_arg2163z00_2667 = CDR(((obj_t) BgL_l1607z00_2657));
										{
											obj_t BgL_l1607z00_7755;

											BgL_l1607z00_7755 = BgL_arg2163z00_2667;
											BgL_l1607z00_2657 = BgL_l1607z00_7755;
											goto BgL_zc3z04anonymousza32156ze3z87_2659;
										}
									}
							}
					}
				}
				if (PAIRP(BgL_cregsz00_2651))
					{	/* SawMill/regalloc.scm 414 */
						if (NULLP(BgL_hregsz00_90))
							{	/* SawMill/regalloc.scm 416 */
								return
									BGl_registerzd2stackzd2coloringz00zzsaw_registerzd2allocationzd2
									(BgL_pregsz00_89, BgL_cregsz00_2651);
							}
						else
							{	/* SawMill/regalloc.scm 416 */
								return
									BGl_registerzd2hardwarezd2coloringz00zzsaw_registerzd2allocationzd2
									(BgL_pregsz00_89, BgL_hregsz00_90, BgL_cregsz00_2651);
							}
					}
				else
					{	/* SawMill/regalloc.scm 414 */
						return BFALSE;
					}
			}
		}

	}



/* register-stack-coloring */
	obj_t BGl_registerzd2stackzd2coloringz00zzsaw_registerzd2allocationzd2(obj_t
		BgL_pregsz00_92, obj_t BgL_cregsz00_93)
	{
		{	/* SawMill/regalloc.scm 424 */
			{
				obj_t BgL_registersz00_2760;
				obj_t BgL_siza7eza7_2761;

				{	/* SawMill/regalloc.scm 451 */
					obj_t BgL_colorsz00_2672;

					BgL_colorsz00_2672 =
						make_vector(bgl_list_length
						(BGl_appendzd221011zd2zzsaw_registerzd2allocationzd2
							(BgL_pregsz00_92, BgL_cregsz00_93)), BFALSE);
					{
						obj_t BgL_interferez00_2732;
						long BgL_maxz00_2733;

						{
							long BgL_minz00_2715;
							obj_t BgL_stackz00_2716;

							{	/* SawMill/regalloc.scm 474 */
								long BgL_nz00_2675;

								BgL_nz00_2675 = 0L;
								{
									obj_t BgL_l1620z00_2677;

									BgL_l1620z00_2677 = BgL_pregsz00_92;
								BgL_zc3z04anonymousza32165ze3z87_2678:
									if (PAIRP(BgL_l1620z00_2677))
										{	/* SawMill/regalloc.scm 475 */
											{	/* SawMill/regalloc.scm 476 */
												obj_t BgL_rz00_2680;

												BgL_rz00_2680 = CAR(BgL_l1620z00_2677);
												BGl_simplifyzd2regz12zc0zzsaw_registerzd2allocationzd2(
													((BgL_rtl_regz00_bglt) BgL_rz00_2680));
												{	/* SawMill/regalloc.scm 477 */
													obj_t BgL_vz00_4606;

													BgL_vz00_4606 = BINT(BgL_nz00_2675);
													{
														BgL_rtl_regzf2razf2_bglt BgL_auxz00_7771;

														{
															obj_t BgL_auxz00_7772;

															{	/* SawMill/regalloc.scm 477 */
																BgL_objectz00_bglt BgL_tmpz00_7773;

																BgL_tmpz00_7773 =
																	((BgL_objectz00_bglt)
																	((BgL_rtl_regz00_bglt) BgL_rz00_2680));
																BgL_auxz00_7772 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_7773);
															}
															BgL_auxz00_7771 =
																((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7772);
														}
														((((BgL_rtl_regzf2razf2_bglt)
																	COBJECT(BgL_auxz00_7771))->BgL_colorz00) =
															((obj_t) BgL_vz00_4606), BUNSPEC);
													}
												}
												BgL_nz00_2675 = (BgL_nz00_2675 + 1L);
											}
											{
												obj_t BgL_l1620z00_7780;

												BgL_l1620z00_7780 = CDR(BgL_l1620z00_2677);
												BgL_l1620z00_2677 = BgL_l1620z00_7780;
												goto BgL_zc3z04anonymousza32165ze3z87_2678;
											}
										}
									else
										{	/* SawMill/regalloc.scm 475 */
											((bool_t) 1);
										}
								}
							}
							{	/* SawMill/regalloc.scm 481 */
								long BgL_minz00_2683;
								obj_t BgL_sregsz00_2684;

								BgL_minz00_2683 = bgl_list_length(BgL_pregsz00_92);
								BgL_sregsz00_2684 =
									BGl_sortz00zz__r4_vectors_6_8z00(BgL_cregsz00_93,
									BGl_proc2902z00zzsaw_registerzd2allocationzd2);
								{
									obj_t BgL_regsz00_2687;
									obj_t BgL_stackz00_2688;
									obj_t BgL_siza7eza7_2689;

									BgL_regsz00_2687 = BgL_sregsz00_2684;
									BgL_stackz00_2688 = BNIL;
									BgL_siza7eza7_2689 = BINT(0L);
								BgL_zc3z04anonymousza32168ze3z87_2690:
									if (NULLP(BgL_regsz00_2687))
										{	/* SawMill/regalloc.scm 490 */
											long BgL_nz00_2692;

											BgL_minz00_2715 = BgL_minz00_2683;
											BgL_stackz00_2716 = BgL_stackz00_2688;
											{
												obj_t BgL_stackz00_2719;
												long BgL_maxz00_2720;

												BgL_stackz00_2719 = BgL_stackz00_2716;
												BgL_maxz00_2720 = BgL_minz00_2715;
											BgL_zc3z04anonymousza32184ze3z87_2721:
												if (PAIRP(BgL_stackz00_2719))
													{	/* SawMill/regalloc.scm 469 */
														BgL_rtl_regz00_bglt BgL_i1229z00_2723;

														BgL_i1229z00_2723 =
															((BgL_rtl_regz00_bglt) CAR(BgL_stackz00_2719));
														{
															obj_t BgL_auxz00_7796;
															BgL_rtl_regzf2razf2_bglt BgL_auxz00_7790;

															{	/* SawMill/regalloc.scm 470 */
																obj_t BgL_arg2186z00_2724;

																{
																	BgL_rtl_regzf2razf2_bglt BgL_auxz00_7797;

																	{
																		obj_t BgL_auxz00_7798;

																		{	/* SawMill/regalloc.scm 470 */
																			BgL_objectz00_bglt BgL_tmpz00_7799;

																			BgL_tmpz00_7799 =
																				((BgL_objectz00_bglt)
																				BgL_i1229z00_2723);
																			BgL_auxz00_7798 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_7799);
																		}
																		BgL_auxz00_7797 =
																			((BgL_rtl_regzf2razf2_bglt)
																			BgL_auxz00_7798);
																	}
																	BgL_arg2186z00_2724 =
																		(((BgL_rtl_regzf2razf2_bglt)
																			COBJECT(BgL_auxz00_7797))->
																		BgL_interferez00);
																}
																{	/* SawMill/regalloc.scm 470 */
																	long BgL_tmpz00_7804;

																	BgL_interferez00_2732 = BgL_arg2186z00_2724;
																	BgL_maxz00_2733 = BgL_maxz00_2720;
																	{	/* SawMill/regalloc.scm 453 */

																		BGl_vectorzd2fillz12zc0zz__r4_vectors_6_8z00
																			(BgL_colorsz00_2672, BFALSE, 0L,
																			VECTOR_LENGTH(BgL_colorsz00_2672));
																	}
																	{	/* SawMill/regalloc.scm 455 */
																		obj_t BgL_zc3z04anonymousza32194ze3z87_5920;

																		BgL_zc3z04anonymousza32194ze3z87_5920 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3z04anonymousza32194ze3ze5zzsaw_registerzd2allocationzd2,
																			(int) (1L), (int) (1L));
																		PROCEDURE_SET
																			(BgL_zc3z04anonymousza32194ze3z87_5920,
																			(int) (0L), BgL_colorsz00_2672);
																		BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
																			(BgL_zc3z04anonymousza32194ze3z87_5920,
																			((BgL_regsetz00_bglt)
																				BgL_interferez00_2732));
																	}
																	if (
																		(VECTOR_LENGTH(BgL_colorsz00_2672) ==
																			BgL_maxz00_2733))
																		{	/* SawMill/regalloc.scm 459 */
																			BgL_tmpz00_7804 = BgL_maxz00_2733;
																		}
																	else
																		{
																			long BgL_iz00_4590;

																			BgL_iz00_4590 = 0L;
																		BgL_loopz00_4589:
																			if (CBOOL(VECTOR_REF(BgL_colorsz00_2672,
																						BgL_iz00_4590)))
																				{
																					long BgL_iz00_7820;

																					BgL_iz00_7820 = (BgL_iz00_4590 + 1L);
																					BgL_iz00_4590 = BgL_iz00_7820;
																					goto BgL_loopz00_4589;
																				}
																			else
																				{	/* SawMill/regalloc.scm 462 */
																					BgL_tmpz00_7804 = BgL_iz00_4590;
																				}
																		}
																	BgL_auxz00_7796 = BINT(BgL_tmpz00_7804);
																}
															}
															{
																obj_t BgL_auxz00_7791;

																{	/* SawMill/regalloc.scm 470 */
																	BgL_objectz00_bglt BgL_tmpz00_7792;

																	BgL_tmpz00_7792 =
																		((BgL_objectz00_bglt) BgL_i1229z00_2723);
																	BgL_auxz00_7791 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_7792);
																}
																BgL_auxz00_7790 =
																	((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7791);
															}
															((((BgL_rtl_regzf2razf2_bglt)
																		COBJECT(BgL_auxz00_7790))->BgL_colorz00) =
																((obj_t) BgL_auxz00_7796), BUNSPEC);
														}
														{	/* SawMill/regalloc.scm 471 */
															obj_t BgL_arg2187z00_2725;
															long BgL_arg2188z00_2726;

															BgL_arg2187z00_2725 = CDR(BgL_stackz00_2719);
															{	/* SawMill/regalloc.scm 471 */
																bool_t BgL_test3157z00_7825;

																{	/* SawMill/regalloc.scm 471 */
																	obj_t BgL_arg2191z00_2729;

																	{
																		BgL_rtl_regzf2razf2_bglt BgL_auxz00_7826;

																		{
																			obj_t BgL_auxz00_7827;

																			{	/* SawMill/regalloc.scm 471 */
																				BgL_objectz00_bglt BgL_tmpz00_7828;

																				BgL_tmpz00_7828 =
																					((BgL_objectz00_bglt)
																					BgL_i1229z00_2723);
																				BgL_auxz00_7827 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_7828);
																			}
																			BgL_auxz00_7826 =
																				((BgL_rtl_regzf2razf2_bglt)
																				BgL_auxz00_7827);
																		}
																		BgL_arg2191z00_2729 =
																			(((BgL_rtl_regzf2razf2_bglt)
																				COBJECT(BgL_auxz00_7826))->
																			BgL_colorz00);
																	}
																	BgL_test3157z00_7825 =
																		(
																		(long) CINT(BgL_arg2191z00_2729) ==
																		BgL_maxz00_2720);
																}
																if (BgL_test3157z00_7825)
																	{	/* SawMill/regalloc.scm 471 */
																		BgL_arg2188z00_2726 =
																			(BgL_maxz00_2720 + 1L);
																	}
																else
																	{	/* SawMill/regalloc.scm 471 */
																		BgL_arg2188z00_2726 = BgL_maxz00_2720;
																	}
															}
															{
																long BgL_maxz00_7837;
																obj_t BgL_stackz00_7836;

																BgL_stackz00_7836 = BgL_arg2187z00_2725;
																BgL_maxz00_7837 = BgL_arg2188z00_2726;
																BgL_maxz00_2720 = BgL_maxz00_7837;
																BgL_stackz00_2719 = BgL_stackz00_7836;
																goto BgL_zc3z04anonymousza32184ze3z87_2721;
															}
														}
													}
												else
													{	/* SawMill/regalloc.scm 468 */
														BgL_nz00_2692 = BgL_maxz00_2720;
													}
											}
											{	/* SawMill/regalloc.scm 492 */
												obj_t BgL_arg2170z00_2693;

												{	/* SawMill/regalloc.scm 492 */
													long BgL_a1622z00_2700;

													BgL_a1622z00_2700 = bgl_list_length(BgL_pregsz00_92);
													{	/* SawMill/regalloc.scm 492 */
														long BgL_b1623z00_2701;

														BgL_b1623z00_2701 =
															bgl_list_length(BgL_cregsz00_93);
														{	/* SawMill/regalloc.scm 492 */

															{	/* SawMill/regalloc.scm 492 */
																obj_t BgL_za71za7_4624;
																obj_t BgL_za72za7_4625;

																BgL_za71za7_4624 = BINT(BgL_a1622z00_2700);
																BgL_za72za7_4625 = BINT(BgL_b1623z00_2701);
																{	/* SawMill/regalloc.scm 492 */
																	obj_t BgL_tmpz00_4626;

																	BgL_tmpz00_4626 = BINT(0L);
																	if (BGL_ADDFX_OV(BgL_za71za7_4624,
																			BgL_za72za7_4625, BgL_tmpz00_4626))
																		{	/* SawMill/regalloc.scm 492 */
																			BgL_arg2170z00_2693 =
																				bgl_bignum_add(bgl_long_to_bignum(
																					(long) CINT(BgL_za71za7_4624)),
																				bgl_long_to_bignum(
																					(long) CINT(BgL_za72za7_4625)));
																		}
																	else
																		{	/* SawMill/regalloc.scm 492 */
																			BgL_arg2170z00_2693 = BgL_tmpz00_4626;
																		}
																}
															}
														}
													}
												}
												{	/* SawMill/regalloc.scm 491 */
													obj_t BgL_list2171z00_2694;

													{	/* SawMill/regalloc.scm 491 */
														obj_t BgL_arg2172z00_2695;

														{	/* SawMill/regalloc.scm 491 */
															obj_t BgL_arg2173z00_2696;

															{	/* SawMill/regalloc.scm 491 */
																obj_t BgL_arg2174z00_2697;

																{	/* SawMill/regalloc.scm 491 */
																	obj_t BgL_arg2175z00_2698;

																	{	/* SawMill/regalloc.scm 491 */
																		obj_t BgL_arg2176z00_2699;

																		BgL_arg2176z00_2699 =
																			MAKE_YOUNG_PAIR
																			(BGl_string2903z00zzsaw_registerzd2allocationzd2,
																			BNIL);
																		BgL_arg2175z00_2698 =
																			MAKE_YOUNG_PAIR
																			(BGl_string2904z00zzsaw_registerzd2allocationzd2,
																			BgL_arg2176z00_2699);
																	}
																	BgL_arg2174z00_2697 =
																		MAKE_YOUNG_PAIR(BgL_arg2170z00_2693,
																		BgL_arg2175z00_2698);
																}
																BgL_arg2173z00_2696 =
																	MAKE_YOUNG_PAIR
																	(BGl_string2905z00zzsaw_registerzd2allocationzd2,
																	BgL_arg2174z00_2697);
															}
															BgL_arg2172z00_2695 =
																MAKE_YOUNG_PAIR(BINT(BgL_nz00_2692),
																BgL_arg2173z00_2696);
														}
														BgL_list2171z00_2694 =
															MAKE_YOUNG_PAIR
															(BGl_string2906z00zzsaw_registerzd2allocationzd2,
															BgL_arg2172z00_2695);
													}
													return
														BGl_verbosez00zztools_speekz00(BINT(3L),
														BgL_list2171z00_2694);
												}
											}
										}
									else
										{	/* SawMill/regalloc.scm 494 */
											obj_t BgL_regz00_2703;

											BgL_registersz00_2760 = BgL_regsz00_2687;
											BgL_siza7eza7_2761 = BgL_siza7eza7_2689;
											{	/* SawMill/regalloc.scm 426 */
												long BgL_g1227z00_2763;

												{	/* SawMill/regalloc.scm 428 */
													int BgL_arg2228z00_2800;

													{	/* SawMill/regalloc.scm 428 */
														BgL_rtl_regz00_bglt BgL_regz00_4533;

														BgL_regz00_4533 =
															((BgL_rtl_regz00_bglt)
															CAR(((obj_t) BgL_registersz00_2760)));
														{	/* SawMill/regalloc.scm 591 */
															obj_t BgL_arg2286z00_4534;

															{
																BgL_rtl_regzf2razf2_bglt BgL_auxz00_7862;

																{
																	obj_t BgL_auxz00_7863;

																	{	/* SawMill/regalloc.scm 591 */
																		BgL_objectz00_bglt BgL_tmpz00_7864;

																		BgL_tmpz00_7864 =
																			((BgL_objectz00_bglt) BgL_regz00_4533);
																		BgL_auxz00_7863 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_7864);
																	}
																	BgL_auxz00_7862 =
																		((BgL_rtl_regzf2razf2_bglt)
																		BgL_auxz00_7863);
																}
																BgL_arg2286z00_4534 =
																	(((BgL_rtl_regzf2razf2_bglt)
																		COBJECT(BgL_auxz00_7862))->
																	BgL_interfere2z00);
															}
															BgL_arg2228z00_2800 =
																(((BgL_regsetz00_bglt) COBJECT(
																		((BgL_regsetz00_bglt)
																			BgL_arg2286z00_4534)))->BgL_lengthz00);
													}}
													BgL_g1227z00_2763 =
														((long) (BgL_arg2228z00_2800) + 1L);
												}
												{
													obj_t BgL_regsz00_2765;
													obj_t BgL_minz00_2766;
													long BgL_mvalz00_2767;
													obj_t BgL_prevz00_2768;

													BgL_regsz00_2765 = BgL_registersz00_2760;
													BgL_minz00_2766 = BFALSE;
													BgL_mvalz00_2767 = BgL_g1227z00_2763;
													BgL_prevz00_2768 = BFALSE;
												BgL_zc3z04anonymousza32209ze3z87_2769:
													if (NULLP(BgL_regsz00_2765))
														{	/* SawMill/regalloc.scm 432 */
															int BgL_val1_1612z00_2772;
															obj_t BgL_val2_1613z00_2773;

															{	/* SawMill/regalloc.scm 591 */
																obj_t BgL_arg2286z00_4540;

																{
																	BgL_rtl_regzf2razf2_bglt BgL_auxz00_7875;

																	{
																		obj_t BgL_auxz00_7876;

																		{	/* SawMill/regalloc.scm 591 */
																			BgL_objectz00_bglt BgL_tmpz00_7877;

																			BgL_tmpz00_7877 =
																				((BgL_objectz00_bglt)
																				((BgL_rtl_regz00_bglt)
																					BgL_minz00_2766));
																			BgL_auxz00_7876 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_7877);
																		}
																		BgL_auxz00_7875 =
																			((BgL_rtl_regzf2razf2_bglt)
																			BgL_auxz00_7876);
																	}
																	BgL_arg2286z00_4540 =
																		(((BgL_rtl_regzf2razf2_bglt)
																			COBJECT(BgL_auxz00_7875))->
																		BgL_interfere2z00);
																}
																BgL_val1_1612z00_2772 =
																	(((BgL_regsetz00_bglt) COBJECT(
																			((BgL_regsetz00_bglt)
																				BgL_arg2286z00_4540)))->BgL_lengthz00);
															}
															BgL_val2_1613z00_2773 =
																bgl_remq_bang(BgL_minz00_2766,
																BgL_registersz00_2760);
															{	/* SawMill/regalloc.scm 432 */
																int BgL_tmpz00_7886;

																BgL_tmpz00_7886 = (int) (3L);
																BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7886);
															}
															{	/* SawMill/regalloc.scm 432 */
																obj_t BgL_auxz00_7891;
																int BgL_tmpz00_7889;

																BgL_auxz00_7891 = BINT(BgL_val1_1612z00_2772);
																BgL_tmpz00_7889 = (int) (1L);
																BGL_MVALUES_VAL_SET(BgL_tmpz00_7889,
																	BgL_auxz00_7891);
															}
															{	/* SawMill/regalloc.scm 432 */
																int BgL_tmpz00_7894;

																BgL_tmpz00_7894 = (int) (2L);
																BGL_MVALUES_VAL_SET(BgL_tmpz00_7894,
																	BgL_val2_1613z00_2773);
															}
															BgL_regz00_2703 = BgL_minz00_2766;
														}
													else
														{	/* SawMill/regalloc.scm 433 */
															bool_t BgL_test3160z00_7897;

															{	/* SawMill/regalloc.scm 433 */
																int BgL_arg2226z00_2797;

																{	/* SawMill/regalloc.scm 433 */
																	BgL_rtl_regz00_bglt BgL_regz00_4545;

																	BgL_regz00_4545 =
																		((BgL_rtl_regz00_bglt)
																		CAR(((obj_t) BgL_regsz00_2765)));
																	{	/* SawMill/regalloc.scm 591 */
																		obj_t BgL_arg2286z00_4546;

																		{
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_7901;

																			{
																				obj_t BgL_auxz00_7902;

																				{	/* SawMill/regalloc.scm 591 */
																					BgL_objectz00_bglt BgL_tmpz00_7903;

																					BgL_tmpz00_7903 =
																						((BgL_objectz00_bglt)
																						BgL_regz00_4545);
																					BgL_auxz00_7902 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_7903);
																				}
																				BgL_auxz00_7901 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_7902);
																			}
																			BgL_arg2286z00_4546 =
																				(((BgL_rtl_regzf2razf2_bglt)
																					COBJECT(BgL_auxz00_7901))->
																				BgL_interfere2z00);
																		}
																		BgL_arg2226z00_2797 =
																			(((BgL_regsetz00_bglt) COBJECT(
																					((BgL_regsetz00_bglt)
																						BgL_arg2286z00_4546)))->
																			BgL_lengthz00);
																}}
																BgL_test3160z00_7897 =
																	(
																	(long) (BgL_arg2226z00_2797) <
																	(long) CINT(BgL_siza7eza7_2761));
															}
															if (BgL_test3160z00_7897)
																{	/* SawMill/regalloc.scm 434 */
																	obj_t BgL_regz00_2777;

																	BgL_regz00_2777 =
																		CAR(((obj_t) BgL_regsz00_2765));
																	{	/* SawMill/regalloc.scm 434 */
																		int BgL_sza7za7_2778;

																		{	/* SawMill/regalloc.scm 591 */
																			obj_t BgL_arg2286z00_4554;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_7915;
																				{
																					obj_t BgL_auxz00_7916;

																					{	/* SawMill/regalloc.scm 591 */
																						BgL_objectz00_bglt BgL_tmpz00_7917;

																						BgL_tmpz00_7917 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_regz00_2777));
																						BgL_auxz00_7916 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_7917);
																					}
																					BgL_auxz00_7915 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_7916);
																				}
																				BgL_arg2286z00_4554 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_7915))->
																					BgL_interfere2z00);
																			}
																			BgL_sza7za7_2778 =
																				(((BgL_regsetz00_bglt) COBJECT(
																						((BgL_regsetz00_bglt)
																							BgL_arg2286z00_4554)))->
																				BgL_lengthz00);
																		}
																		{	/* SawMill/regalloc.scm 435 */

																			if (PAIRP(BgL_prevz00_2768))
																				{	/* SawMill/regalloc.scm 436 */
																					{	/* SawMill/regalloc.scm 438 */
																						obj_t BgL_arg2215z00_2780;

																						BgL_arg2215z00_2780 =
																							CDR(((obj_t) BgL_regsz00_2765));
																						SET_CDR(BgL_prevz00_2768,
																							BgL_arg2215z00_2780);
																					}
																					{	/* SawMill/regalloc.scm 439 */
																						int BgL_tmpz00_7930;

																						BgL_tmpz00_7930 = (int) (3L);
																						BGL_MVALUES_NUMBER_SET
																							(BgL_tmpz00_7930);
																					}
																					{	/* SawMill/regalloc.scm 439 */
																						obj_t BgL_auxz00_7935;
																						int BgL_tmpz00_7933;

																						BgL_auxz00_7935 =
																							BINT(BgL_sza7za7_2778);
																						BgL_tmpz00_7933 = (int) (1L);
																						BGL_MVALUES_VAL_SET(BgL_tmpz00_7933,
																							BgL_auxz00_7935);
																					}
																					{	/* SawMill/regalloc.scm 439 */
																						int BgL_tmpz00_7938;

																						BgL_tmpz00_7938 = (int) (2L);
																						BGL_MVALUES_VAL_SET(BgL_tmpz00_7938,
																							BgL_registersz00_2760);
																					}
																					BgL_regz00_2703 = BgL_regz00_2777;
																				}
																			else
																				{	/* SawMill/regalloc.scm 440 */
																					obj_t BgL_val2_1619z00_2786;

																					BgL_val2_1619z00_2786 =
																						CDR(((obj_t) BgL_regsz00_2765));
																					{	/* SawMill/regalloc.scm 440 */
																						int BgL_tmpz00_7943;

																						BgL_tmpz00_7943 = (int) (3L);
																						BGL_MVALUES_NUMBER_SET
																							(BgL_tmpz00_7943);
																					}
																					{	/* SawMill/regalloc.scm 440 */
																						obj_t BgL_auxz00_7948;
																						int BgL_tmpz00_7946;

																						BgL_auxz00_7948 =
																							BINT(BgL_sza7za7_2778);
																						BgL_tmpz00_7946 = (int) (1L);
																						BGL_MVALUES_VAL_SET(BgL_tmpz00_7946,
																							BgL_auxz00_7948);
																					}
																					{	/* SawMill/regalloc.scm 440 */
																						int BgL_tmpz00_7951;

																						BgL_tmpz00_7951 = (int) (2L);
																						BGL_MVALUES_VAL_SET(BgL_tmpz00_7951,
																							BgL_val2_1619z00_2786);
																					}
																					BgL_regz00_2703 = BgL_regz00_2777;
																}}}}
															else
																{	/* SawMill/regalloc.scm 441 */
																	bool_t BgL_test3162z00_7954;

																	{	/* SawMill/regalloc.scm 441 */
																		int BgL_arg2224z00_2795;

																		{	/* SawMill/regalloc.scm 441 */
																			BgL_rtl_regz00_bglt BgL_regz00_4562;

																			BgL_regz00_4562 =
																				((BgL_rtl_regz00_bglt)
																				CAR(((obj_t) BgL_regsz00_2765)));
																			{	/* SawMill/regalloc.scm 591 */
																				obj_t BgL_arg2286z00_4563;

																				{
																					BgL_rtl_regzf2razf2_bglt
																						BgL_auxz00_7958;
																					{
																						obj_t BgL_auxz00_7959;

																						{	/* SawMill/regalloc.scm 591 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_7960;
																							BgL_tmpz00_7960 =
																								((BgL_objectz00_bglt)
																								BgL_regz00_4562);
																							BgL_auxz00_7959 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_7960);
																						}
																						BgL_auxz00_7958 =
																							((BgL_rtl_regzf2razf2_bglt)
																							BgL_auxz00_7959);
																					}
																					BgL_arg2286z00_4563 =
																						(((BgL_rtl_regzf2razf2_bglt)
																							COBJECT(BgL_auxz00_7958))->
																						BgL_interfere2z00);
																				}
																				BgL_arg2224z00_2795 =
																					(((BgL_regsetz00_bglt) COBJECT(
																							((BgL_regsetz00_bglt)
																								BgL_arg2286z00_4563)))->
																					BgL_lengthz00);
																		}}
																		BgL_test3162z00_7954 =
																			(
																			(long) (BgL_arg2224z00_2795) <
																			BgL_mvalz00_2767);
																	}
																	if (BgL_test3162z00_7954)
																		{	/* SawMill/regalloc.scm 442 */
																			obj_t BgL_arg2219z00_2790;
																			obj_t BgL_arg2220z00_2791;
																			int BgL_arg2221z00_2792;

																			BgL_arg2219z00_2790 =
																				CDR(((obj_t) BgL_regsz00_2765));
																			BgL_arg2220z00_2791 =
																				CAR(((obj_t) BgL_regsz00_2765));
																			{	/* SawMill/regalloc.scm 444 */
																				BgL_rtl_regz00_bglt BgL_regz00_4572;

																				BgL_regz00_4572 =
																					((BgL_rtl_regz00_bglt)
																					CAR(((obj_t) BgL_regsz00_2765)));
																				{	/* SawMill/regalloc.scm 591 */
																					obj_t BgL_arg2286z00_4573;

																					{
																						BgL_rtl_regzf2razf2_bglt
																							BgL_auxz00_7976;
																						{
																							obj_t BgL_auxz00_7977;

																							{	/* SawMill/regalloc.scm 591 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_7978;
																								BgL_tmpz00_7978 =
																									((BgL_objectz00_bglt)
																									BgL_regz00_4572);
																								BgL_auxz00_7977 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_7978);
																							}
																							BgL_auxz00_7976 =
																								((BgL_rtl_regzf2razf2_bglt)
																								BgL_auxz00_7977);
																						}
																						BgL_arg2286z00_4573 =
																							(((BgL_rtl_regzf2razf2_bglt)
																								COBJECT(BgL_auxz00_7976))->
																							BgL_interfere2z00);
																					}
																					BgL_arg2221z00_2792 =
																						(((BgL_regsetz00_bglt) COBJECT(
																								((BgL_regsetz00_bglt)
																									BgL_arg2286z00_4573)))->
																						BgL_lengthz00);
																			}}
																			{
																				obj_t BgL_prevz00_7989;
																				long BgL_mvalz00_7987;
																				obj_t BgL_minz00_7986;
																				obj_t BgL_regsz00_7985;

																				BgL_regsz00_7985 = BgL_arg2219z00_2790;
																				BgL_minz00_7986 = BgL_arg2220z00_2791;
																				BgL_mvalz00_7987 =
																					(long) (BgL_arg2221z00_2792);
																				BgL_prevz00_7989 = BgL_regsz00_2765;
																				BgL_prevz00_2768 = BgL_prevz00_7989;
																				BgL_mvalz00_2767 = BgL_mvalz00_7987;
																				BgL_minz00_2766 = BgL_minz00_7986;
																				BgL_regsz00_2765 = BgL_regsz00_7985;
																				goto
																					BgL_zc3z04anonymousza32209ze3z87_2769;
																			}
																		}
																	else
																		{	/* SawMill/regalloc.scm 447 */
																			obj_t BgL_arg2223z00_2794;

																			BgL_arg2223z00_2794 =
																				CDR(((obj_t) BgL_regsz00_2765));
																			{
																				obj_t BgL_prevz00_7993;
																				obj_t BgL_regsz00_7992;

																				BgL_regsz00_7992 = BgL_arg2223z00_2794;
																				BgL_prevz00_7993 = BgL_regsz00_2765;
																				BgL_prevz00_2768 = BgL_prevz00_7993;
																				BgL_regsz00_2765 = BgL_regsz00_7992;
																				goto
																					BgL_zc3z04anonymousza32209ze3z87_2769;
																			}
																		}
																}
														}
												}
											}
											{	/* SawMill/regalloc.scm 495 */
												obj_t BgL_nsiza7eza7_2704;
												obj_t BgL_regsz00_2705;

												{	/* SawMill/regalloc.scm 496 */
													obj_t BgL_tmpz00_4634;

													{	/* SawMill/regalloc.scm 496 */
														int BgL_tmpz00_7994;

														BgL_tmpz00_7994 = (int) (1L);
														BgL_tmpz00_4634 = BGL_MVALUES_VAL(BgL_tmpz00_7994);
													}
													{	/* SawMill/regalloc.scm 496 */
														int BgL_tmpz00_7997;

														BgL_tmpz00_7997 = (int) (1L);
														BGL_MVALUES_VAL_SET(BgL_tmpz00_7997, BUNSPEC);
													}
													BgL_nsiza7eza7_2704 = BgL_tmpz00_4634;
												}
												{	/* SawMill/regalloc.scm 496 */
													obj_t BgL_tmpz00_4635;

													{	/* SawMill/regalloc.scm 496 */
														int BgL_tmpz00_8000;

														BgL_tmpz00_8000 = (int) (2L);
														BgL_tmpz00_4635 = BGL_MVALUES_VAL(BgL_tmpz00_8000);
													}
													{	/* SawMill/regalloc.scm 496 */
														int BgL_tmpz00_8003;

														BgL_tmpz00_8003 = (int) (2L);
														BGL_MVALUES_VAL_SET(BgL_tmpz00_8003, BUNSPEC);
													}
													BgL_regsz00_2705 = BgL_tmpz00_4635;
												}
												BGl_simplifyzd2regz12zc0zzsaw_registerzd2allocationzd2(
													((BgL_rtl_regz00_bglt) BgL_regz00_2703));
												{	/* SawMill/regalloc.scm 497 */
													obj_t BgL_arg2178z00_2706;

													BgL_arg2178z00_2706 =
														MAKE_YOUNG_PAIR(BgL_regz00_2703, BgL_stackz00_2688);
													{
														obj_t BgL_siza7eza7_8011;
														obj_t BgL_stackz00_8010;
														obj_t BgL_regsz00_8009;

														BgL_regsz00_8009 = BgL_regsz00_2705;
														BgL_stackz00_8010 = BgL_arg2178z00_2706;
														BgL_siza7eza7_8011 = BgL_nsiza7eza7_2704;
														BgL_siza7eza7_2689 = BgL_siza7eza7_8011;
														BgL_stackz00_2688 = BgL_stackz00_8010;
														BgL_regsz00_2687 = BgL_regsz00_8009;
														goto BgL_zc3z04anonymousza32168ze3z87_2690;
													}
												}
											}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2180> */
	obj_t BGl_z62zc3z04anonymousza32180ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5921, obj_t BgL_r1z00_5922, obj_t BgL_r2z00_5923)
	{
		{	/* SawMill/regalloc.scm 483 */
			{	/* SawMill/regalloc.scm 484 */
				bool_t BgL_tmpz00_8013;

				{	/* SawMill/regalloc.scm 484 */
					int BgL_arg2181z00_6095;
					int BgL_arg2182z00_6096;

					{	/* SawMill/regalloc.scm 591 */
						obj_t BgL_arg2286z00_6097;

						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_8014;

							{
								obj_t BgL_auxz00_8015;

								{	/* SawMill/regalloc.scm 591 */
									BgL_objectz00_bglt BgL_tmpz00_8016;

									BgL_tmpz00_8016 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_r1z00_5922));
									BgL_auxz00_8015 = BGL_OBJECT_WIDENING(BgL_tmpz00_8016);
								}
								BgL_auxz00_8014 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8015);
							}
							BgL_arg2286z00_6097 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8014))->
								BgL_interfere2z00);
						}
						BgL_arg2181z00_6095 =
							(((BgL_regsetz00_bglt) COBJECT(
									((BgL_regsetz00_bglt) BgL_arg2286z00_6097)))->BgL_lengthz00);
					}
					{	/* SawMill/regalloc.scm 591 */
						obj_t BgL_arg2286z00_6098;

						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_8024;

							{
								obj_t BgL_auxz00_8025;

								{	/* SawMill/regalloc.scm 591 */
									BgL_objectz00_bglt BgL_tmpz00_8026;

									BgL_tmpz00_8026 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_r2z00_5923));
									BgL_auxz00_8025 = BGL_OBJECT_WIDENING(BgL_tmpz00_8026);
								}
								BgL_auxz00_8024 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8025);
							}
							BgL_arg2286z00_6098 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8024))->
								BgL_interfere2z00);
						}
						BgL_arg2182z00_6096 =
							(((BgL_regsetz00_bglt) COBJECT(
									((BgL_regsetz00_bglt) BgL_arg2286z00_6098)))->BgL_lengthz00);
					}
					BgL_tmpz00_8013 =
						((long) (BgL_arg2181z00_6095) < (long) (BgL_arg2182z00_6096));
				}
				return BBOOL(BgL_tmpz00_8013);
			}
		}

	}



/* &<@anonymous:2194> */
	obj_t BGl_z62zc3z04anonymousza32194ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5924, obj_t BgL_rz00_5926)
	{
		{	/* SawMill/regalloc.scm 454 */
			{	/* SawMill/regalloc.scm 455 */
				obj_t BgL_colorsz00_5925;

				BgL_colorsz00_5925 =
					((obj_t) PROCEDURE_REF(BgL_envz00_5924, (int) (0L)));
				{	/* SawMill/regalloc.scm 456 */
					bool_t BgL_test3163z00_8041;

					{	/* SawMill/regalloc.scm 456 */
						obj_t BgL_arg2198z00_6099;

						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_8042;

							{
								obj_t BgL_auxz00_8043;

								{	/* SawMill/regalloc.scm 456 */
									BgL_objectz00_bglt BgL_tmpz00_8044;

									BgL_tmpz00_8044 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_rz00_5926));
									BgL_auxz00_8043 = BGL_OBJECT_WIDENING(BgL_tmpz00_8044);
								}
								BgL_auxz00_8042 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8043);
							}
							BgL_arg2198z00_6099 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8042))->
								BgL_colorz00);
						}
						BgL_test3163z00_8041 = INTEGERP(BgL_arg2198z00_6099);
					}
					if (BgL_test3163z00_8041)
						{	/* SawMill/regalloc.scm 457 */
							obj_t BgL_arg2197z00_6100;

							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_8051;

								{
									obj_t BgL_auxz00_8052;

									{	/* SawMill/regalloc.scm 457 */
										BgL_objectz00_bglt BgL_tmpz00_8053;

										BgL_tmpz00_8053 =
											((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_5926));
										BgL_auxz00_8052 = BGL_OBJECT_WIDENING(BgL_tmpz00_8053);
									}
									BgL_auxz00_8051 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8052);
								}
								BgL_arg2197z00_6100 =
									(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8051))->
									BgL_colorz00);
							}
							{	/* SawMill/regalloc.scm 457 */
								long BgL_kz00_6101;

								BgL_kz00_6101 = (long) CINT(BgL_arg2197z00_6100);
								return
									VECTOR_SET(
									((obj_t) BgL_colorsz00_5925), BgL_kz00_6101, BTRUE);
							}
						}
					else
						{	/* SawMill/regalloc.scm 456 */
							return BFALSE;
						}
				}
			}
		}

	}



/* register-hardware-coloring */
	obj_t
		BGl_registerzd2hardwarezd2coloringz00zzsaw_registerzd2allocationzd2(obj_t
		BgL_pregsz00_94, obj_t BgL_hregsz00_95, obj_t BgL_cregsz00_96)
	{
		{	/* SawMill/regalloc.scm 502 */
			{
				obj_t BgL_stackz00_2906;
				obj_t BgL_rz00_2872;
				obj_t BgL_regsz00_2850;
				obj_t BgL_regsz00_2836;
				int BgL_kz00_2837;

				{	/* SawMill/regalloc.scm 542 */
					long BgL_kz00_2807;

					BgL_kz00_2807 = bgl_list_length(BgL_hregsz00_95);
					{
						obj_t BgL_regsz00_2810;
						obj_t BgL_stackz00_2811;
						long BgL_sz00_2812;
						long BgL_nz00_2813;

						BgL_regsz00_2810 = BgL_cregsz00_96;
						BgL_stackz00_2811 = BNIL;
						BgL_sz00_2812 = 0L;
						BgL_nz00_2813 = 0L;
					BgL_zc3z04anonymousza32231ze3z87_2814:
						if (NULLP(BgL_regsz00_2810))
							{	/* SawMill/regalloc.scm 565 */
								BgL_stackz00_2906 = BgL_stackz00_2811;
								{
									obj_t BgL_l1634z00_2909;

									BgL_l1634z00_2909 = BgL_stackz00_2906;
								BgL_zc3z04anonymousza32282ze3z87_2910:
									if (PAIRP(BgL_l1634z00_2909))
										{	/* SawMill/regalloc.scm 541 */
											BgL_rz00_2872 = CAR(BgL_l1634z00_2909);
											{	/* SawMill/regalloc.scm 526 */
												obj_t BgL_nrz00_2875;

												{
													obj_t BgL_l1631z00_2883;

													BgL_l1631z00_2883 = BgL_hregsz00_95;
												BgL_zc3z04anonymousza32270ze3z87_2884:
													if (NULLP(BgL_l1631z00_2883))
														{	/* SawMill/regalloc.scm 526 */
															BgL_nrz00_2875 = BFALSE;
														}
													else
														{	/* SawMill/regalloc.scm 527 */
															obj_t BgL__ortest_1633z00_2886;

															{	/* SawMill/regalloc.scm 527 */
																obj_t BgL_regz00_2888;

																BgL_regz00_2888 =
																	CAR(((obj_t) BgL_l1631z00_2883));
																{	/* SawMill/regalloc.scm 527 */
																	bool_t BgL_test3167z00_8071;

																	{	/* SawMill/regalloc.scm 527 */
																		obj_t BgL_arg2280z00_2904;

																		{
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_8072;

																			{
																				obj_t BgL_auxz00_8073;

																				{	/* SawMill/regalloc.scm 527 */
																					BgL_objectz00_bglt BgL_tmpz00_8074;

																					BgL_tmpz00_8074 =
																						((BgL_objectz00_bglt)
																						((BgL_rtl_regz00_bglt)
																							BgL_rz00_2872));
																					BgL_auxz00_8073 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_8074);
																				}
																				BgL_auxz00_8072 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_8073);
																			}
																			BgL_arg2280z00_2904 =
																				(((BgL_rtl_regzf2razf2_bglt)
																					COBJECT(BgL_auxz00_8072))->
																				BgL_interferez00);
																		}
																		{	/* SawMill/regalloc.scm 527 */
																			long BgL_basez00_4667;
																			long BgL_bitz00_4668;

																			{	/* SawMill/regalloc.scm 527 */
																				int BgL_arg2655z00_4669;

																				{
																					BgL_rtl_regzf2razf2_bglt
																						BgL_auxz00_8080;
																					{
																						obj_t BgL_auxz00_8081;

																						{	/* SawMill/regalloc.scm 527 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_8082;
																							BgL_tmpz00_8082 =
																								((BgL_objectz00_bglt) (
																									(BgL_rtl_regz00_bglt)
																									BgL_regz00_2888));
																							BgL_auxz00_8081 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_8082);
																						}
																						BgL_auxz00_8080 =
																							((BgL_rtl_regzf2razf2_bglt)
																							BgL_auxz00_8081);
																					}
																					BgL_arg2655z00_4669 =
																						(((BgL_rtl_regzf2razf2_bglt)
																							COBJECT(BgL_auxz00_8080))->
																						BgL_numz00);
																				}
																				BgL_basez00_4667 =
																					((long) (BgL_arg2655z00_4669) / 8L);
																			}
																			{	/* SawMill/regalloc.scm 527 */
																				int BgL_arg2656z00_4670;

																				{
																					BgL_rtl_regzf2razf2_bglt
																						BgL_auxz00_8090;
																					{
																						obj_t BgL_auxz00_8091;

																						{	/* SawMill/regalloc.scm 527 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_8092;
																							BgL_tmpz00_8092 =
																								((BgL_objectz00_bglt) (
																									(BgL_rtl_regz00_bglt)
																									BgL_regz00_2888));
																							BgL_auxz00_8091 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_8092);
																						}
																						BgL_auxz00_8090 =
																							((BgL_rtl_regzf2razf2_bglt)
																							BgL_auxz00_8091);
																					}
																					BgL_arg2656z00_4670 =
																						(((BgL_rtl_regzf2razf2_bglt)
																							COBJECT(BgL_auxz00_8090))->
																						BgL_numz00);
																				}
																				{	/* SawMill/regalloc.scm 527 */
																					long BgL_n1z00_4680;
																					long BgL_n2z00_4681;

																					BgL_n1z00_4680 =
																						(long) (BgL_arg2656z00_4670);
																					BgL_n2z00_4681 = 8L;
																					{	/* SawMill/regalloc.scm 527 */
																						bool_t BgL_test3168z00_8099;

																						{	/* SawMill/regalloc.scm 527 */
																							long BgL_arg1375z00_4683;

																							BgL_arg1375z00_4683 =
																								(((BgL_n1z00_4680) |
																									(BgL_n2z00_4681)) &
																								-2147483648);
																							BgL_test3168z00_8099 =
																								(BgL_arg1375z00_4683 == 0L);
																						}
																						if (BgL_test3168z00_8099)
																							{	/* SawMill/regalloc.scm 527 */
																								int32_t BgL_arg1372z00_4684;

																								{	/* SawMill/regalloc.scm 527 */
																									int32_t BgL_arg1373z00_4685;
																									int32_t BgL_arg1374z00_4686;

																									BgL_arg1373z00_4685 =
																										(int32_t) (BgL_n1z00_4680);
																									BgL_arg1374z00_4686 =
																										(int32_t) (BgL_n2z00_4681);
																									BgL_arg1372z00_4684 =
																										(BgL_arg1373z00_4685 %
																										BgL_arg1374z00_4686);
																								}
																								{	/* SawMill/regalloc.scm 527 */
																									long BgL_arg1477z00_4691;

																									BgL_arg1477z00_4691 =
																										(long)
																										(BgL_arg1372z00_4684);
																									BgL_bitz00_4668 =
																										(long)
																										(BgL_arg1477z00_4691);
																							}}
																						else
																							{	/* SawMill/regalloc.scm 527 */
																								BgL_bitz00_4668 =
																									(BgL_n1z00_4680 %
																									BgL_n2z00_4681);
																							}
																					}
																				}
																			}
																			if (
																				(BgL_basez00_4667 <
																					STRING_LENGTH(
																						(((BgL_regsetz00_bglt) COBJECT(
																									((BgL_regsetz00_bglt)
																										BgL_arg2280z00_2904)))->
																							BgL_stringz00))))
																				{	/* SawMill/regalloc.scm 527 */
																					BgL_test3167z00_8071 =
																						(
																						((STRING_REF(
																									(((BgL_regsetz00_bglt)
																											COBJECT((
																													(BgL_regsetz00_bglt)
																													BgL_arg2280z00_2904)))->
																										BgL_stringz00),
																									BgL_basez00_4667)) & (1L <<
																								(int) (BgL_bitz00_4668))) > 0L);
																				}
																			else
																				{	/* SawMill/regalloc.scm 527 */
																					BgL_test3167z00_8071 = ((bool_t) 0);
																				}
																		}
																	}
																	if (BgL_test3167z00_8071)
																		{	/* SawMill/regalloc.scm 527 */
																			BgL__ortest_1633z00_2886 = BFALSE;
																		}
																	else
																		{	/* SawMill/regalloc.scm 528 */
																			bool_t BgL_test3170z00_8121;

																			{	/* SawMill/regalloc.scm 528 */
																				obj_t BgL_g1629z00_2893;

																				{	/* SawMill/regalloc.scm 530 */
																					obj_t BgL_arg2279z00_2903;

																					{
																						BgL_rtl_regzf2razf2_bglt
																							BgL_auxz00_8122;
																						{
																							obj_t BgL_auxz00_8123;

																							{	/* SawMill/regalloc.scm 530 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_8124;
																								BgL_tmpz00_8124 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_regz00_bglt)
																										BgL_rz00_2872));
																								BgL_auxz00_8123 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_8124);
																							}
																							BgL_auxz00_8122 =
																								((BgL_rtl_regzf2razf2_bglt)
																								BgL_auxz00_8123);
																						}
																						BgL_arg2279z00_2903 =
																							(((BgL_rtl_regzf2razf2_bglt)
																								COBJECT(BgL_auxz00_8122))->
																							BgL_interferez00);
																					}
																					BgL_g1629z00_2893 =
																						BGl_regsetzd2ze3listz31zzsaw_regsetz00
																						(((BgL_regsetz00_bglt)
																							BgL_arg2279z00_2903));
																				}
																				{
																					obj_t BgL_l1627z00_2895;

																					BgL_l1627z00_2895 = BgL_g1629z00_2893;
																				BgL_zc3z04anonymousza32274ze3z87_2896:
																					if (NULLP(BgL_l1627z00_2895))
																						{	/* SawMill/regalloc.scm 530 */
																							BgL_test3170z00_8121 =
																								((bool_t) 0);
																						}
																					else
																						{	/* SawMill/regalloc.scm 529 */
																							bool_t BgL__ortest_1630z00_2898;

																							{	/* SawMill/regalloc.scm 529 */
																								obj_t BgL_arg2277z00_2901;

																								{	/* SawMill/regalloc.scm 529 */
																									BgL_rtl_regz00_bglt
																										BgL_oz00_4709;
																									BgL_oz00_4709 =
																										((BgL_rtl_regz00_bglt)
																										CAR(((obj_t)
																												BgL_l1627z00_2895)));
																									{
																										BgL_rtl_regzf2razf2_bglt
																											BgL_auxz00_8137;
																										{
																											obj_t BgL_auxz00_8138;

																											{	/* SawMill/regalloc.scm 529 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_8139;
																												BgL_tmpz00_8139 =
																													((BgL_objectz00_bglt)
																													BgL_oz00_4709);
																												BgL_auxz00_8138 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_8139);
																											}
																											BgL_auxz00_8137 =
																												(
																												(BgL_rtl_regzf2razf2_bglt)
																												BgL_auxz00_8138);
																										}
																										BgL_arg2277z00_2901 =
																											(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8137))->BgL_colorz00);
																									}
																								}
																								BgL__ortest_1630z00_2898 =
																									(BgL_arg2277z00_2901 ==
																									BgL_regz00_2888);
																							}
																							if (BgL__ortest_1630z00_2898)
																								{	/* SawMill/regalloc.scm 530 */
																									BgL_test3170z00_8121 =
																										BgL__ortest_1630z00_2898;
																								}
																							else
																								{	/* SawMill/regalloc.scm 530 */
																									obj_t BgL_arg2276z00_2899;

																									BgL_arg2276z00_2899 =
																										CDR(
																										((obj_t)
																											BgL_l1627z00_2895));
																									{
																										obj_t BgL_l1627z00_8148;

																										BgL_l1627z00_8148 =
																											BgL_arg2276z00_2899;
																										BgL_l1627z00_2895 =
																											BgL_l1627z00_8148;
																										goto
																											BgL_zc3z04anonymousza32274ze3z87_2896;
																									}
																								}
																						}
																				}
																			}
																			if (BgL_test3170z00_8121)
																				{	/* SawMill/regalloc.scm 528 */
																					BgL__ortest_1633z00_2886 = BFALSE;
																				}
																			else
																				{	/* SawMill/regalloc.scm 531 */
																					bool_t BgL_test3173z00_8149;

																					{	/* SawMill/regalloc.scm 533 */
																						obj_t BgL_arg2273z00_2892;

																						{
																							BgL_rtl_regzf2razf2_bglt
																								BgL_auxz00_8150;
																							{
																								obj_t BgL_auxz00_8151;

																								{	/* SawMill/regalloc.scm 533 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_8152;
																									BgL_tmpz00_8152 =
																										((BgL_objectz00_bglt) (
																											(BgL_rtl_regz00_bglt)
																											BgL_regz00_2888));
																									BgL_auxz00_8151 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_8152);
																								}
																								BgL_auxz00_8150 =
																									((BgL_rtl_regzf2razf2_bglt)
																									BgL_auxz00_8151);
																							}
																							BgL_arg2273z00_2892 =
																								(((BgL_rtl_regzf2razf2_bglt)
																									COBJECT(BgL_auxz00_8150))->
																								BgL_interfere2z00);
																						}
																						{	/* SawMill/regalloc.scm 531 */
																							long BgL_basez00_4717;
																							long BgL_bitz00_4718;

																							{	/* SawMill/regalloc.scm 531 */
																								int BgL_arg2655z00_4719;

																								{
																									BgL_rtl_regzf2razf2_bglt
																										BgL_auxz00_8158;
																									{
																										obj_t BgL_auxz00_8159;

																										{	/* SawMill/regalloc.scm 531 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_8160;
																											BgL_tmpz00_8160 =
																												((BgL_objectz00_bglt) (
																													(BgL_rtl_regz00_bglt)
																													BgL_rz00_2872));
																											BgL_auxz00_8159 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_8160);
																										}
																										BgL_auxz00_8158 =
																											(
																											(BgL_rtl_regzf2razf2_bglt)
																											BgL_auxz00_8159);
																									}
																									BgL_arg2655z00_4719 =
																										(((BgL_rtl_regzf2razf2_bglt)
																											COBJECT
																											(BgL_auxz00_8158))->
																										BgL_numz00);
																								}
																								BgL_basez00_4717 =
																									(
																									(long) (BgL_arg2655z00_4719) /
																									8L);
																							}
																							{	/* SawMill/regalloc.scm 531 */
																								int BgL_arg2656z00_4720;

																								{
																									BgL_rtl_regzf2razf2_bglt
																										BgL_auxz00_8168;
																									{
																										obj_t BgL_auxz00_8169;

																										{	/* SawMill/regalloc.scm 531 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_8170;
																											BgL_tmpz00_8170 =
																												((BgL_objectz00_bglt) (
																													(BgL_rtl_regz00_bglt)
																													BgL_rz00_2872));
																											BgL_auxz00_8169 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_8170);
																										}
																										BgL_auxz00_8168 =
																											(
																											(BgL_rtl_regzf2razf2_bglt)
																											BgL_auxz00_8169);
																									}
																									BgL_arg2656z00_4720 =
																										(((BgL_rtl_regzf2razf2_bglt)
																											COBJECT
																											(BgL_auxz00_8168))->
																										BgL_numz00);
																								}
																								{	/* SawMill/regalloc.scm 531 */
																									long BgL_n1z00_4730;
																									long BgL_n2z00_4731;

																									BgL_n1z00_4730 =
																										(long)
																										(BgL_arg2656z00_4720);
																									BgL_n2z00_4731 = 8L;
																									{	/* SawMill/regalloc.scm 531 */
																										bool_t BgL_test3174z00_8177;

																										{	/* SawMill/regalloc.scm 531 */
																											long BgL_arg1375z00_4733;

																											BgL_arg1375z00_4733 =
																												(((BgL_n1z00_4730) |
																													(BgL_n2z00_4731)) &
																												-2147483648);
																											BgL_test3174z00_8177 =
																												(BgL_arg1375z00_4733 ==
																												0L);
																										}
																										if (BgL_test3174z00_8177)
																											{	/* SawMill/regalloc.scm 531 */
																												int32_t
																													BgL_arg1372z00_4734;
																												{	/* SawMill/regalloc.scm 531 */
																													int32_t
																														BgL_arg1373z00_4735;
																													int32_t
																														BgL_arg1374z00_4736;
																													BgL_arg1373z00_4735 =
																														(int32_t)
																														(BgL_n1z00_4730);
																													BgL_arg1374z00_4736 =
																														(int32_t)
																														(BgL_n2z00_4731);
																													BgL_arg1372z00_4734 =
																														(BgL_arg1373z00_4735
																														%
																														BgL_arg1374z00_4736);
																												}
																												{	/* SawMill/regalloc.scm 531 */
																													long
																														BgL_arg1477z00_4741;
																													BgL_arg1477z00_4741 =
																														(long)
																														(BgL_arg1372z00_4734);
																													BgL_bitz00_4718 =
																														(long)
																														(BgL_arg1477z00_4741);
																											}}
																										else
																											{	/* SawMill/regalloc.scm 531 */
																												BgL_bitz00_4718 =
																													(BgL_n1z00_4730 %
																													BgL_n2z00_4731);
																											}
																									}
																								}
																							}
																							if (
																								(BgL_basez00_4717 <
																									STRING_LENGTH(
																										(((BgL_regsetz00_bglt)
																												COBJECT((
																														(BgL_regsetz00_bglt)
																														BgL_arg2273z00_2892)))->
																											BgL_stringz00))))
																								{	/* SawMill/regalloc.scm 531 */
																									BgL_test3173z00_8149 =
																										(
																										((STRING_REF(
																													(((BgL_regsetz00_bglt)
																															COBJECT((
																																	(BgL_regsetz00_bglt)
																																	BgL_arg2273z00_2892)))->
																														BgL_stringz00),
																													BgL_basez00_4717)) &
																											(1L <<
																												(int)
																												(BgL_bitz00_4718))) >
																										0L);
																								}
																							else
																								{	/* SawMill/regalloc.scm 531 */
																									BgL_test3173z00_8149 =
																										((bool_t) 0);
																								}
																						}
																					}
																					if (BgL_test3173z00_8149)
																						{	/* SawMill/regalloc.scm 531 */
																							BgL__ortest_1633z00_2886 = BFALSE;
																						}
																					else
																						{	/* SawMill/regalloc.scm 531 */
																							BgL__ortest_1633z00_2886 =
																								BgL_regz00_2888;
																						}
																				}
																		}
																}
															}
															if (CBOOL(BgL__ortest_1633z00_2886))
																{	/* SawMill/regalloc.scm 526 */
																	BgL_nrz00_2875 = BgL__ortest_1633z00_2886;
																}
															else
																{	/* SawMill/regalloc.scm 526 */
																	obj_t BgL_arg2272z00_2887;

																	BgL_arg2272z00_2887 =
																		CDR(((obj_t) BgL_l1631z00_2883));
																	{
																		obj_t BgL_l1631z00_8203;

																		BgL_l1631z00_8203 = BgL_arg2272z00_2887;
																		BgL_l1631z00_2883 = BgL_l1631z00_8203;
																		goto BgL_zc3z04anonymousza32270ze3z87_2884;
																	}
																}
														}
												}
												{	/* SawMill/regalloc.scm 536 */
													obj_t BgL_arg2267z00_2877;

													{
														BgL_rtl_regzf2razf2_bglt BgL_auxz00_8204;

														{
															obj_t BgL_auxz00_8205;

															{	/* SawMill/regalloc.scm 538 */
																BgL_objectz00_bglt BgL_tmpz00_8206;

																BgL_tmpz00_8206 =
																	((BgL_objectz00_bglt)
																	((BgL_rtl_regz00_bglt) BgL_rz00_2872));
																BgL_auxz00_8205 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_8206);
															}
															BgL_auxz00_8204 =
																((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8205);
														}
														BgL_arg2267z00_2877 =
															(((BgL_rtl_regzf2razf2_bglt)
																COBJECT(BgL_auxz00_8204))->BgL_interferez00);
													}
													{	/* SawMill/regalloc.scm 537 */
														obj_t BgL_zc3z04anonymousza32268ze3z87_5927;

														BgL_zc3z04anonymousza32268ze3z87_5927 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3z04anonymousza32268ze3ze5zzsaw_registerzd2allocationzd2,
															(int) (1L), (int) (1L));
														PROCEDURE_SET(BgL_zc3z04anonymousza32268ze3z87_5927,
															(int) (0L), BgL_nrz00_2875);
														BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
															(BgL_zc3z04anonymousza32268ze3z87_5927,
															((BgL_regsetz00_bglt) BgL_arg2267z00_2877));
												}}
												{
													BgL_rtl_regzf2razf2_bglt BgL_auxz00_8219;

													{
														obj_t BgL_auxz00_8220;

														{	/* SawMill/regalloc.scm 539 */
															BgL_objectz00_bglt BgL_tmpz00_8221;

															BgL_tmpz00_8221 =
																((BgL_objectz00_bglt)
																((BgL_rtl_regz00_bglt) BgL_rz00_2872));
															BgL_auxz00_8220 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_8221);
														}
														BgL_auxz00_8219 =
															((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8220);
													}
													((((BgL_rtl_regzf2razf2_bglt)
																COBJECT(BgL_auxz00_8219))->BgL_colorz00) =
														((obj_t) BgL_nrz00_2875), BUNSPEC);
											}}
											{
												obj_t BgL_l1634z00_8228;

												BgL_l1634z00_8228 = CDR(BgL_l1634z00_2909);
												BgL_l1634z00_2909 = BgL_l1634z00_8228;
												goto BgL_zc3z04anonymousza32282ze3z87_2910;
											}
										}
									else
										{	/* SawMill/regalloc.scm 541 */
											((bool_t) 1);
										}
								}
								{	/* SawMill/regalloc.scm 570 */
									long BgL_arg2233z00_2816;

									BgL_arg2233z00_2816 = bgl_list_length(BgL_cregsz00_96);
									{	/* SawMill/regalloc.scm 568 */
										obj_t BgL_list2234z00_2817;

										{	/* SawMill/regalloc.scm 568 */
											obj_t BgL_arg2235z00_2818;

											{	/* SawMill/regalloc.scm 568 */
												obj_t BgL_arg2236z00_2819;

												{	/* SawMill/regalloc.scm 568 */
													obj_t BgL_arg2237z00_2820;

													{	/* SawMill/regalloc.scm 568 */
														obj_t BgL_arg2238z00_2821;

														{	/* SawMill/regalloc.scm 568 */
															obj_t BgL_arg2239z00_2822;

															{	/* SawMill/regalloc.scm 568 */
																obj_t BgL_arg2240z00_2823;

																{	/* SawMill/regalloc.scm 568 */
																	obj_t BgL_arg2241z00_2824;

																	{	/* SawMill/regalloc.scm 568 */
																		obj_t BgL_arg2242z00_2825;

																		{	/* SawMill/regalloc.scm 568 */
																			obj_t BgL_arg2243z00_2826;

																			BgL_arg2243z00_2826 =
																				MAKE_YOUNG_PAIR
																				(BGl_string2886z00zzsaw_registerzd2allocationzd2,
																				BNIL);
																			BgL_arg2242z00_2825 =
																				MAKE_YOUNG_PAIR
																				(BGl_string2907z00zzsaw_registerzd2allocationzd2,
																				BgL_arg2243z00_2826);
																		}
																		BgL_arg2241z00_2824 =
																			MAKE_YOUNG_PAIR(BINT(BgL_sz00_2812),
																			BgL_arg2242z00_2825);
																	}
																	BgL_arg2240z00_2823 =
																		MAKE_YOUNG_PAIR
																		(BGl_string2908z00zzsaw_registerzd2allocationzd2,
																		BgL_arg2241z00_2824);
																}
																BgL_arg2239z00_2822 =
																	MAKE_YOUNG_PAIR(BINT(BgL_nz00_2813),
																	BgL_arg2240z00_2823);
															}
															BgL_arg2238z00_2821 =
																MAKE_YOUNG_PAIR
																(BGl_string2909z00zzsaw_registerzd2allocationzd2,
																BgL_arg2239z00_2822);
														}
														BgL_arg2237z00_2820 =
															MAKE_YOUNG_PAIR(BINT(BgL_arg2233z00_2816),
															BgL_arg2238z00_2821);
													}
													BgL_arg2236z00_2819 =
														MAKE_YOUNG_PAIR
														(BGl_string2910z00zzsaw_registerzd2allocationzd2,
														BgL_arg2237z00_2820);
												}
												BgL_arg2235z00_2818 =
													MAKE_YOUNG_PAIR(BINT(BgL_kz00_2807),
													BgL_arg2236z00_2819);
											}
											BgL_list2234z00_2817 =
												MAKE_YOUNG_PAIR
												(BGl_string2911z00zzsaw_registerzd2allocationzd2,
												BgL_arg2235z00_2818);
										}
										return
											BGl_verbosez00zztools_speekz00(BINT(3L),
											BgL_list2234z00_2817);
									}
								}
							}
						else
							{	/* SawMill/regalloc.scm 573 */
								obj_t BgL_srz00_2827;

								BgL_regsz00_2836 = BgL_regsz00_2810;
								BgL_kz00_2837 = (int) (BgL_kz00_2807);
								{
									obj_t BgL_l1624z00_2840;

									BgL_l1624z00_2840 = BgL_regsz00_2836;
								BgL_zc3z04anonymousza32250ze3z87_2841:
									if (NULLP(BgL_l1624z00_2840))
										{	/* SawMill/regalloc.scm 504 */
											BgL_srz00_2827 = BFALSE;
										}
									else
										{	/* SawMill/regalloc.scm 505 */
											obj_t BgL__ortest_1626z00_2843;

											{	/* SawMill/regalloc.scm 505 */
												obj_t BgL_rz00_2845;

												BgL_rz00_2845 = CAR(((obj_t) BgL_l1624z00_2840));
												{	/* SawMill/regalloc.scm 505 */
													obj_t BgL__andtest_1231z00_2846;

													BgL__andtest_1231z00_2846 =
														(((BgL_rtl_regz00_bglt) COBJECT(
																((BgL_rtl_regz00_bglt) BgL_rz00_2845)))->
														BgL_hardwarez00);
													if (CBOOL(BgL__andtest_1231z00_2846))
														{	/* SawMill/regalloc.scm 505 */
															BgL__ortest_1626z00_2843 = BFALSE;
														}
													else
														{	/* SawMill/regalloc.scm 506 */
															bool_t BgL_test3179z00_8255;

															{	/* SawMill/regalloc.scm 506 */
																int BgL_arg2253z00_2848;

																{	/* SawMill/regalloc.scm 591 */
																	obj_t BgL_arg2286z00_4639;

																	{
																		BgL_rtl_regzf2razf2_bglt BgL_auxz00_8256;

																		{
																			obj_t BgL_auxz00_8257;

																			{	/* SawMill/regalloc.scm 591 */
																				BgL_objectz00_bglt BgL_tmpz00_8258;

																				BgL_tmpz00_8258 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_regz00_bglt)
																						BgL_rz00_2845));
																				BgL_auxz00_8257 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_8258);
																			}
																			BgL_auxz00_8256 =
																				((BgL_rtl_regzf2razf2_bglt)
																				BgL_auxz00_8257);
																		}
																		BgL_arg2286z00_4639 =
																			(((BgL_rtl_regzf2razf2_bglt)
																				COBJECT(BgL_auxz00_8256))->
																			BgL_interfere2z00);
																	}
																	BgL_arg2253z00_2848 =
																		(((BgL_regsetz00_bglt) COBJECT(
																				((BgL_regsetz00_bglt)
																					BgL_arg2286z00_4639)))->
																		BgL_lengthz00);
																}
																BgL_test3179z00_8255 =
																	(
																	(long) (BgL_arg2253z00_2848) <
																	(long) (BgL_kz00_2837));
															}
															if (BgL_test3179z00_8255)
																{	/* SawMill/regalloc.scm 506 */
																	BgL__ortest_1626z00_2843 = BgL_rz00_2845;
																}
															else
																{	/* SawMill/regalloc.scm 506 */
																	BgL__ortest_1626z00_2843 = BFALSE;
																}
														}
												}
											}
											if (CBOOL(BgL__ortest_1626z00_2843))
												{	/* SawMill/regalloc.scm 504 */
													BgL_srz00_2827 = BgL__ortest_1626z00_2843;
												}
											else
												{	/* SawMill/regalloc.scm 504 */
													obj_t BgL_arg2252z00_2844;

													BgL_arg2252z00_2844 =
														CDR(((obj_t) BgL_l1624z00_2840));
													{
														obj_t BgL_l1624z00_8273;

														BgL_l1624z00_8273 = BgL_arg2252z00_2844;
														BgL_l1624z00_2840 = BgL_l1624z00_8273;
														goto BgL_zc3z04anonymousza32250ze3z87_2841;
													}
												}
										}
								}
								if (CBOOL(BgL_srz00_2827))
									{	/* SawMill/regalloc.scm 574 */
										BGl_simplifyzd2regz12zc0zzsaw_registerzd2allocationzd2(
											((BgL_rtl_regz00_bglt) BgL_srz00_2827));
										{	/* SawMill/regalloc.scm 578 */
											obj_t BgL_arg2244z00_2828;
											obj_t BgL_arg2245z00_2829;
											long BgL_arg2246z00_2830;

											BgL_arg2244z00_2828 =
												bgl_remq(BgL_srz00_2827, BgL_regsz00_2810);
											BgL_arg2245z00_2829 =
												MAKE_YOUNG_PAIR(BgL_srz00_2827, BgL_stackz00_2811);
											BgL_arg2246z00_2830 = (1L + BgL_nz00_2813);
											{
												long BgL_nz00_8284;
												obj_t BgL_stackz00_8283;
												obj_t BgL_regsz00_8282;

												BgL_regsz00_8282 = BgL_arg2244z00_2828;
												BgL_stackz00_8283 = BgL_arg2245z00_2829;
												BgL_nz00_8284 = BgL_arg2246z00_2830;
												BgL_nz00_2813 = BgL_nz00_8284;
												BgL_stackz00_2811 = BgL_stackz00_8283;
												BgL_regsz00_2810 = BgL_regsz00_8282;
												goto BgL_zc3z04anonymousza32231ze3z87_2814;
											}
										}
									}
								else
									{	/* SawMill/regalloc.scm 580 */
										BgL_rtl_regz00_bglt BgL_rz00_2831;

										BgL_regsz00_2850 = BgL_regsz00_2810;
										{
											obj_t BgL_regz00_2865;

											{
												obj_t BgL_regsz00_2854;
												obj_t BgL_regz00_2855;
												double BgL_msz00_2856;

												{
													obj_t BgL_auxz00_8285;

													BgL_regsz00_2854 = BgL_regsz00_2850;
													BgL_regz00_2855 = BUNSPEC;
													BgL_msz00_2856 = ((double) 0.0);
												BgL_zc3z04anonymousza32255ze3z87_2857:
													if (NULLP(BgL_regsz00_2854))
														{	/* SawMill/regalloc.scm 517 */
															BgL_auxz00_8285 = BgL_regz00_2855;
														}
													else
														{	/* SawMill/regalloc.scm 519 */
															obj_t BgL_rz00_2859;

															BgL_rz00_2859 = CAR(((obj_t) BgL_regsz00_2854));
															{	/* SawMill/regalloc.scm 519 */
																double BgL_sz00_2860;

																BgL_regz00_2865 = BgL_rz00_2859;
																{	/* SawMill/regalloc.scm 512 */
																	double BgL_arg2261z00_2867;
																	double BgL_arg2262z00_2868;

																	{	/* SawMill/regalloc.scm 512 */
																		int BgL_arg2263z00_2869;

																		{
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_8290;

																			{
																				obj_t BgL_auxz00_8291;

																				{	/* SawMill/regalloc.scm 512 */
																					BgL_objectz00_bglt BgL_tmpz00_8292;

																					BgL_tmpz00_8292 =
																						((BgL_objectz00_bglt)
																						((BgL_rtl_regz00_bglt)
																							BgL_regz00_2865));
																					BgL_auxz00_8291 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_8292);
																				}
																				BgL_auxz00_8290 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_8291);
																			}
																			BgL_arg2263z00_2869 =
																				(((BgL_rtl_regzf2razf2_bglt)
																					COBJECT(BgL_auxz00_8290))->
																				BgL_occurrencesz00);
																		}
																		BgL_arg2261z00_2867 =
																			(double) ((long) (BgL_arg2263z00_2869));
																	}
																	{	/* SawMill/regalloc.scm 513 */
																		int BgL_arg2264z00_2870;

																		{	/* SawMill/regalloc.scm 591 */
																			obj_t BgL_arg2286z00_4650;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_8300;
																				{
																					obj_t BgL_auxz00_8301;

																					{	/* SawMill/regalloc.scm 591 */
																						BgL_objectz00_bglt BgL_tmpz00_8302;

																						BgL_tmpz00_8302 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_regz00_2865));
																						BgL_auxz00_8301 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_8302);
																					}
																					BgL_auxz00_8300 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_8301);
																				}
																				BgL_arg2286z00_4650 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8300))->
																					BgL_interfere2z00);
																			}
																			BgL_arg2264z00_2870 =
																				(((BgL_regsetz00_bglt) COBJECT(
																						((BgL_regsetz00_bglt)
																							BgL_arg2286z00_4650)))->
																				BgL_lengthz00);
																		}
																		BgL_arg2262z00_2868 =
																			(double) ((long) (BgL_arg2264z00_2870));
																	}
																	BgL_sz00_2860 =
																		(BgL_arg2261z00_2867 / BgL_arg2262z00_2868);
																}
																{	/* SawMill/regalloc.scm 520 */

																	if ((BgL_sz00_2860 > BgL_msz00_2856))
																		{	/* SawMill/regalloc.scm 522 */
																			obj_t BgL_arg2258z00_2862;

																			BgL_arg2258z00_2862 =
																				CDR(((obj_t) BgL_regsz00_2854));
																			{
																				double BgL_msz00_8319;
																				obj_t BgL_regz00_8318;
																				obj_t BgL_regsz00_8317;

																				BgL_regsz00_8317 = BgL_arg2258z00_2862;
																				BgL_regz00_8318 = BgL_rz00_2859;
																				BgL_msz00_8319 = BgL_sz00_2860;
																				BgL_msz00_2856 = BgL_msz00_8319;
																				BgL_regz00_2855 = BgL_regz00_8318;
																				BgL_regsz00_2854 = BgL_regsz00_8317;
																				goto
																					BgL_zc3z04anonymousza32255ze3z87_2857;
																			}
																		}
																	else
																		{	/* SawMill/regalloc.scm 523 */
																			obj_t BgL_arg2259z00_2863;

																			BgL_arg2259z00_2863 =
																				CDR(((obj_t) BgL_regsz00_2854));
																			{
																				obj_t BgL_regsz00_8322;

																				BgL_regsz00_8322 = BgL_arg2259z00_2863;
																				BgL_regsz00_2854 = BgL_regsz00_8322;
																				goto
																					BgL_zc3z04anonymousza32255ze3z87_2857;
																			}
																		}
																}
															}
														}
													BgL_rz00_2831 =
														((BgL_rtl_regz00_bglt) BgL_auxz00_8285);
												}
											}
										}
										{
											BgL_rtl_regzf2razf2_bglt BgL_auxz00_8324;

											{
												obj_t BgL_auxz00_8325;

												{	/* SawMill/regalloc.scm 582 */
													BgL_objectz00_bglt BgL_tmpz00_8326;

													BgL_tmpz00_8326 =
														((BgL_objectz00_bglt) BgL_rz00_2831);
													BgL_auxz00_8325 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8326);
												}
												BgL_auxz00_8324 =
													((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8325);
											}
											((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8324))->
													BgL_colorz00) = ((obj_t) BUNSPEC), BUNSPEC);
										}
										{	/* SawMill/regalloc.scm 583 */
											obj_t BgL_arg2247z00_2833;
											long BgL_arg2248z00_2834;

											BgL_arg2247z00_2833 =
												bgl_remq(((obj_t) BgL_rz00_2831), BgL_regsz00_2810);
											BgL_arg2248z00_2834 = (1L + BgL_sz00_2812);
											{
												long BgL_sz00_8335;
												obj_t BgL_regsz00_8334;

												BgL_regsz00_8334 = BgL_arg2247z00_2833;
												BgL_sz00_8335 = BgL_arg2248z00_2834;
												BgL_sz00_2812 = BgL_sz00_8335;
												BgL_regsz00_2810 = BgL_regsz00_8334;
												goto BgL_zc3z04anonymousza32231ze3z87_2814;
											}
										}
									}
							}
					}
				}
			}
		}

	}



/* &<@anonymous:2268> */
	obj_t BGl_z62zc3z04anonymousza32268ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5928, obj_t BgL_riz00_5930)
	{
		{	/* SawMill/regalloc.scm 536 */
			{	/* SawMill/regalloc.scm 537 */
				obj_t BgL_nrz00_5929;

				BgL_nrz00_5929 = PROCEDURE_REF(BgL_envz00_5928, (int) (0L));
				{	/* SawMill/regalloc.scm 537 */
					bool_t BgL_tmpz00_8338;

					{	/* SawMill/regalloc.scm 537 */
						obj_t BgL_arg2269z00_6102;

						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_8339;

							{
								obj_t BgL_auxz00_8340;

								{	/* SawMill/regalloc.scm 537 */
									BgL_objectz00_bglt BgL_tmpz00_8341;

									BgL_tmpz00_8341 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_nrz00_5929));
									BgL_auxz00_8340 = BGL_OBJECT_WIDENING(BgL_tmpz00_8341);
								}
								BgL_auxz00_8339 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8340);
							}
							BgL_arg2269z00_6102 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8339))->
								BgL_interfere2z00);
						}
						BgL_tmpz00_8338 =
							BGl_regsetzd2addz12zc0zzsaw_regsetz00(
							((BgL_regsetz00_bglt) BgL_arg2269z00_6102),
							((BgL_rtl_regz00_bglt) BgL_riz00_5930));
					}
					return BBOOL(BgL_tmpz00_8338);
				}
			}
		}

	}



/* simplify-reg! */
	obj_t
		BGl_simplifyzd2regz12zc0zzsaw_registerzd2allocationzd2(BgL_rtl_regz00_bglt
		BgL_rz00_98)
	{
		{	/* SawMill/regalloc.scm 599 */
			{	/* SawMill/regalloc.scm 601 */
				obj_t BgL_arg2288z00_2922;

				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_8351;

					{
						obj_t BgL_auxz00_8352;

						{	/* SawMill/regalloc.scm 601 */
							BgL_objectz00_bglt BgL_tmpz00_8353;

							BgL_tmpz00_8353 = ((BgL_objectz00_bglt) BgL_rz00_98);
							BgL_auxz00_8352 = BGL_OBJECT_WIDENING(BgL_tmpz00_8353);
						}
						BgL_auxz00_8351 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8352);
					}
					BgL_arg2288z00_2922 =
						(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8351))->
						BgL_interfere2z00);
				}
				{	/* SawMill/regalloc.scm 602 */
					obj_t BgL_zc3z04anonymousza32289ze3z87_5931;

					BgL_zc3z04anonymousza32289ze3z87_5931 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza32289ze3ze5zzsaw_registerzd2allocationzd2,
						(int) (1L), (int) (2L));
					PROCEDURE_SET(BgL_zc3z04anonymousza32289ze3z87_5931, (int) (0L),
						((obj_t) BgL_rz00_98));
					PROCEDURE_SET(BgL_zc3z04anonymousza32289ze3z87_5931, (int) (1L),
						((obj_t) BgL_rz00_98));
					return
						BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
						(BgL_zc3z04anonymousza32289ze3z87_5931,
						((BgL_regsetz00_bglt) BgL_arg2288z00_2922));
				}
			}
		}

	}



/* &<@anonymous:2289> */
	obj_t BGl_z62zc3z04anonymousza32289ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5932, obj_t BgL_r2z00_5935)
	{
		{	/* SawMill/regalloc.scm 601 */
			{	/* SawMill/regalloc.scm 602 */
				BgL_rtl_regz00_bglt BgL_rz00_5933;
				BgL_rtl_regz00_bglt BgL_i1239z00_5934;

				BgL_rz00_5933 =
					((BgL_rtl_regz00_bglt) PROCEDURE_REF(BgL_envz00_5932, (int) (0L)));
				BgL_i1239z00_5934 =
					((BgL_rtl_regz00_bglt) PROCEDURE_REF(BgL_envz00_5932, (int) (1L)));
				{	/* SawMill/regalloc.scm 602 */
					bool_t BgL_tmpz00_8375;

					{	/* SawMill/regalloc.scm 602 */
						obj_t BgL_arg2291z00_6103;

						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_8376;

							{
								obj_t BgL_auxz00_8377;

								{	/* SawMill/regalloc.scm 602 */
									BgL_objectz00_bglt BgL_tmpz00_8378;

									BgL_tmpz00_8378 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_r2z00_5935));
									BgL_auxz00_8377 = BGL_OBJECT_WIDENING(BgL_tmpz00_8378);
								}
								BgL_auxz00_8376 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8377);
							}
							BgL_arg2291z00_6103 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8376))->
								BgL_interfere2z00);
						}
						BGl_regsetzd2removez12zc0zzsaw_regsetz00(
							((BgL_regsetz00_bglt) BgL_arg2291z00_6103), BgL_rz00_5933);
					}
					{	/* SawMill/regalloc.scm 603 */
						obj_t BgL_arg2292z00_6104;

						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_8386;

							{
								obj_t BgL_auxz00_8387;

								{	/* SawMill/regalloc.scm 603 */
									BgL_objectz00_bglt BgL_tmpz00_8388;

									BgL_tmpz00_8388 = ((BgL_objectz00_bglt) BgL_i1239z00_5934);
									BgL_auxz00_8387 = BGL_OBJECT_WIDENING(BgL_tmpz00_8388);
								}
								BgL_auxz00_8386 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8387);
							}
							BgL_arg2292z00_6104 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8386))->
								BgL_interfere2z00);
						}
						BgL_tmpz00_8375 =
							BGl_regsetzd2removez12zc0zzsaw_regsetz00(
							((BgL_regsetz00_bglt) BgL_arg2292z00_6104),
							((BgL_rtl_regz00_bglt) BgL_r2z00_5935));
					}
					return BBOOL(BgL_tmpz00_8375);
				}
			}
		}

	}



/* rtl-map-registers! */
	obj_t BGl_rtlzd2mapzd2registersz12z12zzsaw_registerzd2allocationzd2(obj_t
		BgL_pregsz00_99, obj_t BgL_cregsz00_100, obj_t BgL_blocksz00_101)
	{
		{	/* SawMill/regalloc.scm 614 */
			{	/* SawMill/regalloc.scm 615 */
				obj_t BgL_colorsz00_2928;

				BgL_colorsz00_2928 =
					make_vector(
					(bgl_list_length(BgL_pregsz00_99) +
						bgl_list_length(BgL_cregsz00_100)), BUNSPEC);
				{	/* SawMill/regalloc.scm 621 */
					struct bgl_unsafe_cell BgL_box3184_6056z00;
					obj_t BgL_mappingz00_6056;

					BgL_mappingz00_6056 =
						BGL_MAKE_UNSAFE_CELL_STACK(BNIL, BgL_box3184_6056z00);
					{	/* SawMill/regalloc.scm 616 */
						obj_t BgL_g1651z00_2932;

						BgL_g1651z00_2932 =
							BGl_appendzd221011zd2zzsaw_registerzd2allocationzd2
							(BgL_cregsz00_100, BgL_pregsz00_99);
						{
							obj_t BgL_l1649z00_2934;

							BgL_l1649z00_2934 = BgL_g1651z00_2932;
						BgL_zc3z04anonymousza32293ze3z87_2935:
							if (PAIRP(BgL_l1649z00_2934))
								{	/* SawMill/regalloc.scm 620 */
									{	/* SawMill/regalloc.scm 617 */
										obj_t BgL_rz00_2937;

										BgL_rz00_2937 = CAR(BgL_l1649z00_2934);
										{	/* SawMill/regalloc.scm 618 */
											bool_t BgL_test3186z00_8405;

											{	/* SawMill/regalloc.scm 618 */
												obj_t BgL_arg2300z00_2942;

												{
													BgL_rtl_regzf2razf2_bglt BgL_auxz00_8406;

													{
														obj_t BgL_auxz00_8407;

														{	/* SawMill/regalloc.scm 618 */
															BgL_objectz00_bglt BgL_tmpz00_8408;

															BgL_tmpz00_8408 =
																((BgL_objectz00_bglt)
																((BgL_rtl_regz00_bglt) BgL_rz00_2937));
															BgL_auxz00_8407 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_8408);
														}
														BgL_auxz00_8406 =
															((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8407);
													}
													BgL_arg2300z00_2942 =
														(((BgL_rtl_regzf2razf2_bglt)
															COBJECT(BgL_auxz00_8406))->BgL_colorz00);
												}
												BgL_test3186z00_8405 = INTEGERP(BgL_arg2300z00_2942);
											}
											if (BgL_test3186z00_8405)
												{	/* SawMill/regalloc.scm 619 */
													obj_t BgL_arg2298z00_2941;

													{
														BgL_rtl_regzf2razf2_bglt BgL_auxz00_8415;

														{
															obj_t BgL_auxz00_8416;

															{	/* SawMill/regalloc.scm 619 */
																BgL_objectz00_bglt BgL_tmpz00_8417;

																BgL_tmpz00_8417 =
																	((BgL_objectz00_bglt)
																	((BgL_rtl_regz00_bglt) BgL_rz00_2937));
																BgL_auxz00_8416 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_8417);
															}
															BgL_auxz00_8415 =
																((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8416);
														}
														BgL_arg2298z00_2941 =
															(((BgL_rtl_regzf2razf2_bglt)
																COBJECT(BgL_auxz00_8415))->BgL_colorz00);
													}
													VECTOR_SET(BgL_colorsz00_2928,
														(long) CINT(BgL_arg2298z00_2941), BgL_rz00_2937);
												}
											else
												{	/* SawMill/regalloc.scm 618 */
													BFALSE;
												}
										}
									}
									{
										obj_t BgL_l1649z00_8425;

										BgL_l1649z00_8425 = CDR(BgL_l1649z00_2934);
										BgL_l1649z00_2934 = BgL_l1649z00_8425;
										goto BgL_zc3z04anonymousza32293ze3z87_2935;
									}
								}
							else
								{	/* SawMill/regalloc.scm 620 */
									((bool_t) 1);
								}
						}
					}
					{
						obj_t BgL_l1667z00_2946;

						BgL_l1667z00_2946 = BgL_blocksz00_101;
					BgL_zc3z04anonymousza32302ze3z87_2947:
						if (PAIRP(BgL_l1667z00_2946))
							{	/* SawMill/regalloc.scm 660 */
								{	/* SawMill/regalloc.scm 661 */
									obj_t BgL_bz00_2949;

									BgL_bz00_2949 = CAR(BgL_l1667z00_2946);
									{	/* SawMill/regalloc.scm 661 */
										obj_t BgL_g1666z00_2950;

										BgL_g1666z00_2950 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt) BgL_bz00_2949)))->BgL_firstz00);
										{
											obj_t BgL_l1664z00_2952;

											BgL_l1664z00_2952 = BgL_g1666z00_2950;
										BgL_zc3z04anonymousza32304ze3z87_2953:
											if (PAIRP(BgL_l1664z00_2952))
												{	/* SawMill/regalloc.scm 667 */
													{	/* SawMill/regalloc.scm 662 */
														obj_t BgL_iz00_2955;

														BgL_iz00_2955 = CAR(BgL_l1664z00_2952);
														{	/* SawMill/regalloc.scm 663 */
															bool_t BgL_test3189z00_8435;

															{	/* SawMill/regalloc.scm 663 */
																obj_t BgL_arg2311z00_2960;

																BgL_arg2311z00_2960 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_iz00_2955))))->BgL_destz00);
																{	/* SawMill/regalloc.scm 663 */
																	obj_t BgL_classz00_4965;

																	BgL_classz00_4965 =
																		BGl_rtl_regzf2razf2zzsaw_regsetz00;
																	if (BGL_OBJECTP(BgL_arg2311z00_2960))
																		{	/* SawMill/regalloc.scm 663 */
																			BgL_objectz00_bglt BgL_arg1858z00_4967;

																			BgL_arg1858z00_4967 =
																				(BgL_objectz00_bglt)
																				(BgL_arg2311z00_2960);
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* SawMill/regalloc.scm 663 */
																					long BgL_idxz00_4973;

																					BgL_idxz00_4973 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_4967);
																					BgL_test3189z00_8435 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_4973 + 2L)) ==
																						BgL_classz00_4965);
																				}
																			else
																				{	/* SawMill/regalloc.scm 663 */
																					bool_t BgL_res2850z00_4998;

																					{	/* SawMill/regalloc.scm 663 */
																						obj_t BgL_oclassz00_4981;

																						{	/* SawMill/regalloc.scm 663 */
																							obj_t BgL_arg1866z00_4989;
																							long BgL_arg1867z00_4990;

																							BgL_arg1866z00_4989 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* SawMill/regalloc.scm 663 */
																								long BgL_arg1869z00_4991;

																								BgL_arg1869z00_4991 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_4967);
																								BgL_arg1867z00_4990 =
																									(BgL_arg1869z00_4991 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_4981 =
																								VECTOR_REF(BgL_arg1866z00_4989,
																								BgL_arg1867z00_4990);
																						}
																						{	/* SawMill/regalloc.scm 663 */
																							bool_t BgL__ortest_1115z00_4982;

																							BgL__ortest_1115z00_4982 =
																								(BgL_classz00_4965 ==
																								BgL_oclassz00_4981);
																							if (BgL__ortest_1115z00_4982)
																								{	/* SawMill/regalloc.scm 663 */
																									BgL_res2850z00_4998 =
																										BgL__ortest_1115z00_4982;
																								}
																							else
																								{	/* SawMill/regalloc.scm 663 */
																									long BgL_odepthz00_4983;

																									{	/* SawMill/regalloc.scm 663 */
																										obj_t BgL_arg1855z00_4984;

																										BgL_arg1855z00_4984 =
																											(BgL_oclassz00_4981);
																										BgL_odepthz00_4983 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_4984);
																									}
																									if ((2L < BgL_odepthz00_4983))
																										{	/* SawMill/regalloc.scm 663 */
																											obj_t BgL_arg1853z00_4986;

																											{	/* SawMill/regalloc.scm 663 */
																												obj_t
																													BgL_arg1854z00_4987;
																												BgL_arg1854z00_4987 =
																													(BgL_oclassz00_4981);
																												BgL_arg1853z00_4986 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_4987,
																													2L);
																											}
																											BgL_res2850z00_4998 =
																												(BgL_arg1853z00_4986 ==
																												BgL_classz00_4965);
																										}
																									else
																										{	/* SawMill/regalloc.scm 663 */
																											BgL_res2850z00_4998 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test3189z00_8435 =
																						BgL_res2850z00_4998;
																				}
																		}
																	else
																		{	/* SawMill/regalloc.scm 663 */
																			BgL_test3189z00_8435 = ((bool_t) 0);
																		}
																}
															}
															if (BgL_test3189z00_8435)
																{
																	obj_t BgL_auxz00_8461;

																	{	/* SawMill/regalloc.scm 664 */
																		obj_t BgL_arg2309z00_2959;

																		BgL_arg2309z00_2959 =
																			(((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							BgL_iz00_2955))))->BgL_destz00);
																		BgL_auxz00_8461 =
																			BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																			(BgL_colorsz00_2928, BgL_mappingz00_6056,
																			BgL_arg2309z00_2959);
																	}
																	((((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							BgL_iz00_2955))))->BgL_destz00) =
																		((obj_t) BgL_auxz00_8461), BUNSPEC);
																}
															else
																{	/* SawMill/regalloc.scm 663 */
																	BFALSE;
																}
														}
														{
															obj_t BgL_auxz00_8469;

															{	/* SawMill/regalloc.scm 665 */
																obj_t BgL_l1652z00_2961;

																BgL_l1652z00_2961 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_iz00_2955))))->BgL_z52spillz52);
																if (NULLP(BgL_l1652z00_2961))
																	{	/* SawMill/regalloc.scm 665 */
																		BgL_auxz00_8469 = BNIL;
																	}
																else
																	{	/* SawMill/regalloc.scm 665 */
																		obj_t BgL_head1654z00_2963;

																		{	/* SawMill/regalloc.scm 665 */
																			obj_t BgL_arg2319z00_2975;

																			{	/* SawMill/regalloc.scm 665 */
																				obj_t BgL_arg2320z00_2976;

																				BgL_arg2320z00_2976 =
																					CAR(BgL_l1652z00_2961);
																				BgL_arg2319z00_2975 =
																					BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																					(BgL_colorsz00_2928,
																					BgL_mappingz00_6056,
																					BgL_arg2320z00_2976);
																			}
																			BgL_head1654z00_2963 =
																				MAKE_YOUNG_PAIR(BgL_arg2319z00_2975,
																				BNIL);
																		}
																		{	/* SawMill/regalloc.scm 665 */
																			obj_t BgL_g1657z00_2964;

																			BgL_g1657z00_2964 =
																				CDR(BgL_l1652z00_2961);
																			{
																				obj_t BgL_l1652z00_2966;
																				obj_t BgL_tail1655z00_2967;

																				BgL_l1652z00_2966 = BgL_g1657z00_2964;
																				BgL_tail1655z00_2967 =
																					BgL_head1654z00_2963;
																			BgL_zc3z04anonymousza32313ze3z87_2968:
																				if (NULLP(BgL_l1652z00_2966))
																					{	/* SawMill/regalloc.scm 665 */
																						BgL_auxz00_8469 =
																							BgL_head1654z00_2963;
																					}
																				else
																					{	/* SawMill/regalloc.scm 665 */
																						obj_t BgL_newtail1656z00_2970;

																						{	/* SawMill/regalloc.scm 665 */
																							obj_t BgL_arg2316z00_2972;

																							{	/* SawMill/regalloc.scm 665 */
																								obj_t BgL_arg2318z00_2973;

																								BgL_arg2318z00_2973 =
																									CAR(
																									((obj_t) BgL_l1652z00_2966));
																								BgL_arg2316z00_2972 =
																									BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																									(BgL_colorsz00_2928,
																									BgL_mappingz00_6056,
																									BgL_arg2318z00_2973);
																							}
																							BgL_newtail1656z00_2970 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2316z00_2972, BNIL);
																						}
																						SET_CDR(BgL_tail1655z00_2967,
																							BgL_newtail1656z00_2970);
																						{	/* SawMill/regalloc.scm 665 */
																							obj_t BgL_arg2315z00_2971;

																							BgL_arg2315z00_2971 =
																								CDR(
																								((obj_t) BgL_l1652z00_2966));
																							{
																								obj_t BgL_tail1655z00_8491;
																								obj_t BgL_l1652z00_8490;

																								BgL_l1652z00_8490 =
																									BgL_arg2315z00_2971;
																								BgL_tail1655z00_8491 =
																									BgL_newtail1656z00_2970;
																								BgL_tail1655z00_2967 =
																									BgL_tail1655z00_8491;
																								BgL_l1652z00_2966 =
																									BgL_l1652z00_8490;
																								goto
																									BgL_zc3z04anonymousza32313ze3z87_2968;
																							}
																						}
																					}
																			}
																		}
																	}
															}
															((((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_iz00_2955))))->BgL_z52spillz52) =
																((obj_t) BgL_auxz00_8469), BUNSPEC);
														}
														{
															obj_t BgL_auxz00_8493;

															{	/* SawMill/regalloc.scm 666 */
																obj_t BgL_l1658z00_2977;

																BgL_l1658z00_2977 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_iz00_2955))))->BgL_argsz00);
																if (NULLP(BgL_l1658z00_2977))
																	{	/* SawMill/regalloc.scm 666 */
																		BgL_auxz00_8493 = BNIL;
																	}
																else
																	{	/* SawMill/regalloc.scm 666 */
																		obj_t BgL_head1660z00_2979;

																		{	/* SawMill/regalloc.scm 666 */
																			obj_t BgL_arg2327z00_2991;

																			{	/* SawMill/regalloc.scm 666 */
																				obj_t BgL_arg2328z00_2992;

																				BgL_arg2328z00_2992 =
																					CAR(BgL_l1658z00_2977);
																				BgL_arg2327z00_2991 =
																					BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																					(BgL_colorsz00_2928,
																					BgL_mappingz00_6056,
																					BgL_arg2328z00_2992);
																			}
																			BgL_head1660z00_2979 =
																				MAKE_YOUNG_PAIR(BgL_arg2327z00_2991,
																				BNIL);
																		}
																		{	/* SawMill/regalloc.scm 666 */
																			obj_t BgL_g1663z00_2980;

																			BgL_g1663z00_2980 =
																				CDR(BgL_l1658z00_2977);
																			{
																				obj_t BgL_l1658z00_2982;
																				obj_t BgL_tail1661z00_2983;

																				BgL_l1658z00_2982 = BgL_g1663z00_2980;
																				BgL_tail1661z00_2983 =
																					BgL_head1660z00_2979;
																			BgL_zc3z04anonymousza32322ze3z87_2984:
																				if (NULLP(BgL_l1658z00_2982))
																					{	/* SawMill/regalloc.scm 666 */
																						BgL_auxz00_8493 =
																							BgL_head1660z00_2979;
																					}
																				else
																					{	/* SawMill/regalloc.scm 666 */
																						obj_t BgL_newtail1662z00_2986;

																						{	/* SawMill/regalloc.scm 666 */
																							obj_t BgL_arg2325z00_2988;

																							{	/* SawMill/regalloc.scm 666 */
																								obj_t BgL_arg2326z00_2989;

																								BgL_arg2326z00_2989 =
																									CAR(
																									((obj_t) BgL_l1658z00_2982));
																								BgL_arg2325z00_2988 =
																									BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																									(BgL_colorsz00_2928,
																									BgL_mappingz00_6056,
																									BgL_arg2326z00_2989);
																							}
																							BgL_newtail1662z00_2986 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2325z00_2988, BNIL);
																						}
																						SET_CDR(BgL_tail1661z00_2983,
																							BgL_newtail1662z00_2986);
																						{	/* SawMill/regalloc.scm 666 */
																							obj_t BgL_arg2324z00_2987;

																							BgL_arg2324z00_2987 =
																								CDR(
																								((obj_t) BgL_l1658z00_2982));
																							{
																								obj_t BgL_tail1661z00_8515;
																								obj_t BgL_l1658z00_8514;

																								BgL_l1658z00_8514 =
																									BgL_arg2324z00_2987;
																								BgL_tail1661z00_8515 =
																									BgL_newtail1662z00_2986;
																								BgL_tail1661z00_2983 =
																									BgL_tail1661z00_8515;
																								BgL_l1658z00_2982 =
																									BgL_l1658z00_8514;
																								goto
																									BgL_zc3z04anonymousza32322ze3z87_2984;
																							}
																						}
																					}
																			}
																		}
																	}
															}
															((((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_iz00_2955))))->BgL_argsz00) =
																((obj_t) BgL_auxz00_8493), BUNSPEC);
														}
													}
													{
														obj_t BgL_l1664z00_8517;

														BgL_l1664z00_8517 = CDR(BgL_l1664z00_2952);
														BgL_l1664z00_2952 = BgL_l1664z00_8517;
														goto BgL_zc3z04anonymousza32304ze3z87_2953;
													}
												}
											else
												{	/* SawMill/regalloc.scm 667 */
													((bool_t) 1);
												}
										}
									}
								}
								{
									obj_t BgL_l1667z00_8519;

									BgL_l1667z00_8519 = CDR(BgL_l1667z00_2946);
									BgL_l1667z00_2946 = BgL_l1667z00_8519;
									goto BgL_zc3z04anonymousza32302ze3z87_2947;
								}
							}
						else
							{	/* SawMill/regalloc.scm 660 */
								((bool_t) 1);
							}
					}
					return BgL_blocksz00_101;
				}
			}
		}

	}



/* map-register~0 */
	obj_t BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2(obj_t
		BgL_colorsz00_6054, obj_t BgL_mappingz00_6053, obj_t BgL_oz00_3021)
	{
		{	/* SawMill/regalloc.scm 659 */
			{
				BgL_typez00_bglt BgL_tyz00_2997;
				BgL_rtl_regz00_bglt BgL_rz00_2998;

				{	/* SawMill/regalloc.scm 642 */
					bool_t BgL_test3198z00_8521;

					{	/* SawMill/regalloc.scm 642 */
						obj_t BgL_classz00_4836;

						BgL_classz00_4836 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
						if (BGL_OBJECTP(BgL_oz00_3021))
							{	/* SawMill/regalloc.scm 642 */
								BgL_objectz00_bglt BgL_arg1858z00_4838;

								BgL_arg1858z00_4838 = (BgL_objectz00_bglt) (BgL_oz00_3021);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawMill/regalloc.scm 642 */
										long BgL_idxz00_4844;

										BgL_idxz00_4844 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4838);
										BgL_test3198z00_8521 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4844 + 2L)) == BgL_classz00_4836);
									}
								else
									{	/* SawMill/regalloc.scm 642 */
										bool_t BgL_res2847z00_4869;

										{	/* SawMill/regalloc.scm 642 */
											obj_t BgL_oclassz00_4852;

											{	/* SawMill/regalloc.scm 642 */
												obj_t BgL_arg1866z00_4860;
												long BgL_arg1867z00_4861;

												BgL_arg1866z00_4860 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawMill/regalloc.scm 642 */
													long BgL_arg1869z00_4862;

													BgL_arg1869z00_4862 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4838);
													BgL_arg1867z00_4861 =
														(BgL_arg1869z00_4862 - OBJECT_TYPE);
												}
												BgL_oclassz00_4852 =
													VECTOR_REF(BgL_arg1866z00_4860, BgL_arg1867z00_4861);
											}
											{	/* SawMill/regalloc.scm 642 */
												bool_t BgL__ortest_1115z00_4853;

												BgL__ortest_1115z00_4853 =
													(BgL_classz00_4836 == BgL_oclassz00_4852);
												if (BgL__ortest_1115z00_4853)
													{	/* SawMill/regalloc.scm 642 */
														BgL_res2847z00_4869 = BgL__ortest_1115z00_4853;
													}
												else
													{	/* SawMill/regalloc.scm 642 */
														long BgL_odepthz00_4854;

														{	/* SawMill/regalloc.scm 642 */
															obj_t BgL_arg1855z00_4855;

															BgL_arg1855z00_4855 = (BgL_oclassz00_4852);
															BgL_odepthz00_4854 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_4855);
														}
														if ((2L < BgL_odepthz00_4854))
															{	/* SawMill/regalloc.scm 642 */
																obj_t BgL_arg1853z00_4857;

																{	/* SawMill/regalloc.scm 642 */
																	obj_t BgL_arg1854z00_4858;

																	BgL_arg1854z00_4858 = (BgL_oclassz00_4852);
																	BgL_arg1853z00_4857 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4858,
																		2L);
																}
																BgL_res2847z00_4869 =
																	(BgL_arg1853z00_4857 == BgL_classz00_4836);
															}
														else
															{	/* SawMill/regalloc.scm 642 */
																BgL_res2847z00_4869 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test3198z00_8521 = BgL_res2847z00_4869;
									}
							}
						else
							{	/* SawMill/regalloc.scm 642 */
								BgL_test3198z00_8521 = ((bool_t) 0);
							}
					}
					if (BgL_test3198z00_8521)
						{	/* SawMill/regalloc.scm 644 */
							BgL_typez00_bglt BgL_arg2341z00_3024;
							obj_t BgL_arg2342z00_3025;

							BgL_arg2341z00_3024 =
								(((BgL_rtl_regz00_bglt) COBJECT(
										((BgL_rtl_regz00_bglt) BgL_oz00_3021)))->BgL_typez00);
							{	/* SawMill/regalloc.scm 647 */
								bool_t BgL_test3203z00_8546;

								{	/* SawMill/regalloc.scm 647 */
									obj_t BgL_arg2349z00_3033;

									{
										BgL_rtl_regzf2razf2_bglt BgL_auxz00_8547;

										{
											obj_t BgL_auxz00_8548;

											{	/* SawMill/regalloc.scm 647 */
												BgL_objectz00_bglt BgL_tmpz00_8549;

												BgL_tmpz00_8549 =
													((BgL_objectz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_oz00_3021));
												BgL_auxz00_8548 = BGL_OBJECT_WIDENING(BgL_tmpz00_8549);
											}
											BgL_auxz00_8547 =
												((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8548);
										}
										BgL_arg2349z00_3033 =
											(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8547))->
											BgL_colorz00);
									}
									BgL_test3203z00_8546 = INTEGERP(BgL_arg2349z00_3033);
								}
								if (BgL_test3203z00_8546)
									{	/* SawMill/regalloc.scm 648 */
										obj_t BgL_arg2345z00_3029;

										{
											BgL_rtl_regzf2razf2_bglt BgL_auxz00_8556;

											{
												obj_t BgL_auxz00_8557;

												{	/* SawMill/regalloc.scm 648 */
													BgL_objectz00_bglt BgL_tmpz00_8558;

													BgL_tmpz00_8558 =
														((BgL_objectz00_bglt)
														((BgL_rtl_regz00_bglt) BgL_oz00_3021));
													BgL_auxz00_8557 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8558);
												}
												BgL_auxz00_8556 =
													((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8557);
											}
											BgL_arg2345z00_3029 =
												(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8556))->
												BgL_colorz00);
										}
										BgL_arg2342z00_3025 =
											VECTOR_REF(BgL_colorsz00_6054,
											(long) CINT(BgL_arg2345z00_3029));
									}
								else
									{	/* SawMill/regalloc.scm 649 */
										bool_t BgL_test3204z00_8566;

										{	/* SawMill/regalloc.scm 649 */
											obj_t BgL_arg2348z00_3032;

											{
												BgL_rtl_regzf2razf2_bglt BgL_auxz00_8567;

												{
													obj_t BgL_auxz00_8568;

													{	/* SawMill/regalloc.scm 649 */
														BgL_objectz00_bglt BgL_tmpz00_8569;

														BgL_tmpz00_8569 =
															((BgL_objectz00_bglt)
															((BgL_rtl_regz00_bglt) BgL_oz00_3021));
														BgL_auxz00_8568 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_8569);
													}
													BgL_auxz00_8567 =
														((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8568);
												}
												BgL_arg2348z00_3032 =
													(((BgL_rtl_regzf2razf2_bglt)
														COBJECT(BgL_auxz00_8567))->BgL_colorz00);
											}
											{	/* SawMill/regalloc.scm 649 */
												obj_t BgL_classz00_4876;

												BgL_classz00_4876 = BGl_rtl_regz00zzsaw_defsz00;
												if (BGL_OBJECTP(BgL_arg2348z00_3032))
													{	/* SawMill/regalloc.scm 649 */
														BgL_objectz00_bglt BgL_arg1858z00_4878;

														BgL_arg1858z00_4878 =
															(BgL_objectz00_bglt) (BgL_arg2348z00_3032);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* SawMill/regalloc.scm 649 */
																long BgL_idxz00_4884;

																BgL_idxz00_4884 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_4878);
																BgL_test3204z00_8566 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_4884 + 1L)) ==
																	BgL_classz00_4876);
															}
														else
															{	/* SawMill/regalloc.scm 649 */
																bool_t BgL_res2848z00_4909;

																{	/* SawMill/regalloc.scm 649 */
																	obj_t BgL_oclassz00_4892;

																	{	/* SawMill/regalloc.scm 649 */
																		obj_t BgL_arg1866z00_4900;
																		long BgL_arg1867z00_4901;

																		BgL_arg1866z00_4900 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* SawMill/regalloc.scm 649 */
																			long BgL_arg1869z00_4902;

																			BgL_arg1869z00_4902 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_4878);
																			BgL_arg1867z00_4901 =
																				(BgL_arg1869z00_4902 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_4892 =
																			VECTOR_REF(BgL_arg1866z00_4900,
																			BgL_arg1867z00_4901);
																	}
																	{	/* SawMill/regalloc.scm 649 */
																		bool_t BgL__ortest_1115z00_4893;

																		BgL__ortest_1115z00_4893 =
																			(BgL_classz00_4876 == BgL_oclassz00_4892);
																		if (BgL__ortest_1115z00_4893)
																			{	/* SawMill/regalloc.scm 649 */
																				BgL_res2848z00_4909 =
																					BgL__ortest_1115z00_4893;
																			}
																		else
																			{	/* SawMill/regalloc.scm 649 */
																				long BgL_odepthz00_4894;

																				{	/* SawMill/regalloc.scm 649 */
																					obj_t BgL_arg1855z00_4895;

																					BgL_arg1855z00_4895 =
																						(BgL_oclassz00_4892);
																					BgL_odepthz00_4894 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_4895);
																				}
																				if ((1L < BgL_odepthz00_4894))
																					{	/* SawMill/regalloc.scm 649 */
																						obj_t BgL_arg1853z00_4897;

																						{	/* SawMill/regalloc.scm 649 */
																							obj_t BgL_arg1854z00_4898;

																							BgL_arg1854z00_4898 =
																								(BgL_oclassz00_4892);
																							BgL_arg1853z00_4897 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_4898, 1L);
																						}
																						BgL_res2848z00_4909 =
																							(BgL_arg1853z00_4897 ==
																							BgL_classz00_4876);
																					}
																				else
																					{	/* SawMill/regalloc.scm 649 */
																						BgL_res2848z00_4909 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test3204z00_8566 = BgL_res2848z00_4909;
															}
													}
												else
													{	/* SawMill/regalloc.scm 649 */
														BgL_test3204z00_8566 = ((bool_t) 0);
													}
											}
										}
										if (BgL_test3204z00_8566)
											{
												BgL_rtl_regzf2razf2_bglt BgL_auxz00_8597;

												{
													obj_t BgL_auxz00_8598;

													{	/* SawMill/regalloc.scm 650 */
														BgL_objectz00_bglt BgL_tmpz00_8599;

														BgL_tmpz00_8599 =
															((BgL_objectz00_bglt)
															((BgL_rtl_regz00_bglt) BgL_oz00_3021));
														BgL_auxz00_8598 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_8599);
													}
													BgL_auxz00_8597 =
														((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8598);
												}
												BgL_arg2342z00_3025 =
													(((BgL_rtl_regzf2razf2_bglt)
														COBJECT(BgL_auxz00_8597))->BgL_colorz00);
											}
										else
											{	/* SawMill/regalloc.scm 649 */
												BgL_arg2342z00_3025 = BgL_oz00_3021;
											}
									}
							}
							BgL_tyz00_2997 = BgL_arg2341z00_3024;
							BgL_rz00_2998 = ((BgL_rtl_regz00_bglt) BgL_arg2342z00_3025);
							{	/* SawMill/regalloc.scm 624 */
								bool_t BgL_test3209z00_8605;

								{	/* SawMill/regalloc.scm 624 */
									obj_t BgL_classz00_4780;

									BgL_classz00_4780 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
									{	/* SawMill/regalloc.scm 624 */
										BgL_objectz00_bglt BgL_arg1858z00_4782;

										{	/* SawMill/regalloc.scm 624 */
											obj_t BgL_tmpz00_8606;

											BgL_tmpz00_8606 = ((obj_t) BgL_rz00_2998);
											BgL_arg1858z00_4782 =
												(BgL_objectz00_bglt) (BgL_tmpz00_8606);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* SawMill/regalloc.scm 624 */
												long BgL_idxz00_4788;

												BgL_idxz00_4788 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4782);
												BgL_test3209z00_8605 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4788 + 2L)) == BgL_classz00_4780);
											}
										else
											{	/* SawMill/regalloc.scm 624 */
												bool_t BgL_res2846z00_4813;

												{	/* SawMill/regalloc.scm 624 */
													obj_t BgL_oclassz00_4796;

													{	/* SawMill/regalloc.scm 624 */
														obj_t BgL_arg1866z00_4804;
														long BgL_arg1867z00_4805;

														BgL_arg1866z00_4804 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* SawMill/regalloc.scm 624 */
															long BgL_arg1869z00_4806;

															BgL_arg1869z00_4806 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4782);
															BgL_arg1867z00_4805 =
																(BgL_arg1869z00_4806 - OBJECT_TYPE);
														}
														BgL_oclassz00_4796 =
															VECTOR_REF(BgL_arg1866z00_4804,
															BgL_arg1867z00_4805);
													}
													{	/* SawMill/regalloc.scm 624 */
														bool_t BgL__ortest_1115z00_4797;

														BgL__ortest_1115z00_4797 =
															(BgL_classz00_4780 == BgL_oclassz00_4796);
														if (BgL__ortest_1115z00_4797)
															{	/* SawMill/regalloc.scm 624 */
																BgL_res2846z00_4813 = BgL__ortest_1115z00_4797;
															}
														else
															{	/* SawMill/regalloc.scm 624 */
																long BgL_odepthz00_4798;

																{	/* SawMill/regalloc.scm 624 */
																	obj_t BgL_arg1855z00_4799;

																	BgL_arg1855z00_4799 = (BgL_oclassz00_4796);
																	BgL_odepthz00_4798 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_4799);
																}
																if ((2L < BgL_odepthz00_4798))
																	{	/* SawMill/regalloc.scm 624 */
																		obj_t BgL_arg1853z00_4801;

																		{	/* SawMill/regalloc.scm 624 */
																			obj_t BgL_arg1854z00_4802;

																			BgL_arg1854z00_4802 =
																				(BgL_oclassz00_4796);
																			BgL_arg1853z00_4801 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_4802, 2L);
																		}
																		BgL_res2846z00_4813 =
																			(BgL_arg1853z00_4801 ==
																			BgL_classz00_4780);
																	}
																else
																	{	/* SawMill/regalloc.scm 624 */
																		BgL_res2846z00_4813 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test3209z00_8605 = BgL_res2846z00_4813;
											}
									}
								}
								if (BgL_test3209z00_8605)
									{	/* SawMill/regalloc.scm 624 */
										if (CBOOL(
												(((BgL_rtl_regz00_bglt) COBJECT(BgL_rz00_2998))->
													BgL_hardwarez00)))
											{	/* SawMill/regalloc.scm 626 */
												if (
													(((obj_t) BgL_tyz00_2997) ==
														BGl_za2objza2z00zztype_cachez00))
													{	/* SawMill/regalloc.scm 628 */
														return ((obj_t) BgL_rz00_2998);
													}
												else
													{	/* SawMill/regalloc.scm 631 */
														obj_t BgL_kz00_3002;

														BgL_kz00_3002 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_rz00_2998),
															((obj_t) BgL_tyz00_2997));
														{	/* SawMill/regalloc.scm 632 */
															obj_t BgL_cz00_3003;

															BgL_cz00_3003 =
																BGl_assocz00zz__r4_pairs_and_lists_6_3z00
																(BgL_kz00_3002,
																((obj_t) ((obj_t)
																		BGL_UNSAFE_CELL_REF(BgL_mappingz00_6053))));
															if (PAIRP(BgL_cz00_3003))
																{	/* SawMill/regalloc.scm 633 */
																	return CDR(BgL_cz00_3003);
																}
															else
																{	/* SawMill/regalloc.scm 635 */
																	BgL_rtl_regz00_bglt BgL_newrz00_3005;

																	{	/* SawMill/regalloc.scm 635 */
																		BgL_rtl_regz00_bglt BgL_new1241z00_3008;

																		{	/* SawMill/regalloc.scm 637 */
																			BgL_rtl_regz00_bglt BgL_tmp1251z00_3016;
																			BgL_rtl_regzf2razf2_bglt
																				BgL_wide1252z00_3017;
																			{
																				BgL_rtl_regz00_bglt BgL_auxz00_8643;

																				{	/* SawMill/regalloc.scm 637 */
																					BgL_rtl_regz00_bglt
																						BgL_new1250z00_3019;
																					BgL_new1250z00_3019 =
																						((BgL_rtl_regz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_rtl_regz00_bgl))));
																					{	/* SawMill/regalloc.scm 637 */
																						long BgL_arg2338z00_3020;

																						BgL_arg2338z00_3020 =
																							BGL_CLASS_NUM
																							(BGl_rtl_regz00zzsaw_defsz00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new1250z00_3019),
																							BgL_arg2338z00_3020);
																					}
																					{	/* SawMill/regalloc.scm 637 */
																						BgL_objectz00_bglt BgL_tmpz00_8648;

																						BgL_tmpz00_8648 =
																							((BgL_objectz00_bglt)
																							BgL_new1250z00_3019);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_8648, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1250z00_3019);
																					BgL_auxz00_8643 = BgL_new1250z00_3019;
																				}
																				BgL_tmp1251z00_3016 =
																					((BgL_rtl_regz00_bglt)
																					BgL_auxz00_8643);
																			}
																			BgL_wide1252z00_3017 =
																				((BgL_rtl_regzf2razf2_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_regzf2razf2_bgl))));
																			{	/* SawMill/regalloc.scm 637 */
																				obj_t BgL_auxz00_8656;
																				BgL_objectz00_bglt BgL_tmpz00_8654;

																				BgL_auxz00_8656 =
																					((obj_t) BgL_wide1252z00_3017);
																				BgL_tmpz00_8654 =
																					((BgL_objectz00_bglt)
																					BgL_tmp1251z00_3016);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8654,
																					BgL_auxz00_8656);
																			}
																			((BgL_objectz00_bglt)
																				BgL_tmp1251z00_3016);
																			{	/* SawMill/regalloc.scm 637 */
																				long BgL_arg2337z00_3018;

																				BgL_arg2337z00_3018 =
																					BGL_CLASS_NUM
																					(BGl_rtl_regzf2razf2zzsaw_regsetz00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_tmp1251z00_3016),
																					BgL_arg2337z00_3018);
																			}
																			BgL_new1241z00_3008 =
																				((BgL_rtl_regz00_bglt)
																				BgL_tmp1251z00_3016);
																		}
																		((((BgL_rtl_regz00_bglt) COBJECT(
																						((BgL_rtl_regz00_bglt)
																							BgL_new1241z00_3008)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_tyz00_2997),
																			BUNSPEC);
																		((((BgL_rtl_regz00_bglt)
																					COBJECT(((BgL_rtl_regz00_bglt)
																							BgL_new1241z00_3008)))->
																				BgL_varz00) =
																			((obj_t) (((BgL_rtl_regz00_bglt)
																						COBJECT(BgL_rz00_2998))->
																					BgL_varz00)), BUNSPEC);
																		((((BgL_rtl_regz00_bglt)
																					COBJECT(((BgL_rtl_regz00_bglt)
																							BgL_new1241z00_3008)))->
																				BgL_onexprzf3zf3) =
																			((obj_t) (((BgL_rtl_regz00_bglt)
																						COBJECT(BgL_rz00_2998))->
																					BgL_onexprzf3zf3)), BUNSPEC);
																		((((BgL_rtl_regz00_bglt)
																					COBJECT(((BgL_rtl_regz00_bglt)
																							BgL_new1241z00_3008)))->
																				BgL_namez00) =
																			((obj_t) (((BgL_rtl_regz00_bglt)
																						COBJECT(BgL_rz00_2998))->
																					BgL_namez00)), BUNSPEC);
																		{
																			obj_t BgL_auxz00_8675;

																			{	/* SawMill/regalloc.scm 636 */

																				{	/* SawMill/regalloc.scm 636 */

																					BgL_auxz00_8675 =
																						BGl_gensymz00zz__r4_symbols_6_4z00
																						(BFALSE);
																			}}
																			((((BgL_rtl_regz00_bglt) COBJECT(
																							((BgL_rtl_regz00_bglt)
																								BgL_new1241z00_3008)))->
																					BgL_keyz00) =
																				((obj_t) BgL_auxz00_8675), BUNSPEC);
																		}
																		((((BgL_rtl_regz00_bglt) COBJECT(
																						((BgL_rtl_regz00_bglt)
																							BgL_new1241z00_3008)))->
																				BgL_debugnamez00) =
																			((obj_t) (((BgL_rtl_regz00_bglt)
																						COBJECT(BgL_rz00_2998))->
																					BgL_debugnamez00)), BUNSPEC);
																		((((BgL_rtl_regz00_bglt)
																					COBJECT(((BgL_rtl_regz00_bglt)
																							BgL_new1241z00_3008)))->
																				BgL_hardwarez00) =
																			((obj_t) (((BgL_rtl_regz00_bglt)
																						COBJECT(BgL_rz00_2998))->
																					BgL_hardwarez00)), BUNSPEC);
																		{
																			int BgL_auxz00_8691;
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_8685;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_8692;
																				{
																					obj_t BgL_auxz00_8693;

																					{	/* SawMill/regalloc.scm 636 */
																						BgL_objectz00_bglt BgL_tmpz00_8694;

																						BgL_tmpz00_8694 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_rz00_2998));
																						BgL_auxz00_8693 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_8694);
																					}
																					BgL_auxz00_8692 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_8693);
																				}
																				BgL_auxz00_8691 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8692))->
																					BgL_numz00);
																			}
																			{
																				obj_t BgL_auxz00_8686;

																				{	/* SawMill/regalloc.scm 636 */
																					BgL_objectz00_bglt BgL_tmpz00_8687;

																					BgL_tmpz00_8687 =
																						((BgL_objectz00_bglt)
																						BgL_new1241z00_3008);
																					BgL_auxz00_8686 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_8687);
																				}
																				BgL_auxz00_8685 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_8686);
																			}
																			((((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8685))->
																					BgL_numz00) =
																				((int) BgL_auxz00_8691), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_8707;
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_8701;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_8708;
																				{
																					obj_t BgL_auxz00_8709;

																					{	/* SawMill/regalloc.scm 636 */
																						BgL_objectz00_bglt BgL_tmpz00_8710;

																						BgL_tmpz00_8710 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_rz00_2998));
																						BgL_auxz00_8709 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_8710);
																					}
																					BgL_auxz00_8708 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_8709);
																				}
																				BgL_auxz00_8707 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8708))->
																					BgL_colorz00);
																			}
																			{
																				obj_t BgL_auxz00_8702;

																				{	/* SawMill/regalloc.scm 636 */
																					BgL_objectz00_bglt BgL_tmpz00_8703;

																					BgL_tmpz00_8703 =
																						((BgL_objectz00_bglt)
																						BgL_new1241z00_3008);
																					BgL_auxz00_8702 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_8703);
																				}
																				BgL_auxz00_8701 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_8702);
																			}
																			((((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8701))->
																					BgL_colorz00) =
																				((obj_t) BgL_auxz00_8707), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_8723;
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_8717;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_8724;
																				{
																					obj_t BgL_auxz00_8725;

																					{	/* SawMill/regalloc.scm 636 */
																						BgL_objectz00_bglt BgL_tmpz00_8726;

																						BgL_tmpz00_8726 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_rz00_2998));
																						BgL_auxz00_8725 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_8726);
																					}
																					BgL_auxz00_8724 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_8725);
																				}
																				BgL_auxz00_8723 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8724))->
																					BgL_coalescez00);
																			}
																			{
																				obj_t BgL_auxz00_8718;

																				{	/* SawMill/regalloc.scm 636 */
																					BgL_objectz00_bglt BgL_tmpz00_8719;

																					BgL_tmpz00_8719 =
																						((BgL_objectz00_bglt)
																						BgL_new1241z00_3008);
																					BgL_auxz00_8718 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_8719);
																				}
																				BgL_auxz00_8717 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_8718);
																			}
																			((((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8717))->
																					BgL_coalescez00) =
																				((obj_t) BgL_auxz00_8723), BUNSPEC);
																		}
																		{
																			int BgL_auxz00_8739;
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_8733;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_8740;
																				{
																					obj_t BgL_auxz00_8741;

																					{	/* SawMill/regalloc.scm 636 */
																						BgL_objectz00_bglt BgL_tmpz00_8742;

																						BgL_tmpz00_8742 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_rz00_2998));
																						BgL_auxz00_8741 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_8742);
																					}
																					BgL_auxz00_8740 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_8741);
																				}
																				BgL_auxz00_8739 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8740))->
																					BgL_occurrencesz00);
																			}
																			{
																				obj_t BgL_auxz00_8734;

																				{	/* SawMill/regalloc.scm 636 */
																					BgL_objectz00_bglt BgL_tmpz00_8735;

																					BgL_tmpz00_8735 =
																						((BgL_objectz00_bglt)
																						BgL_new1241z00_3008);
																					BgL_auxz00_8734 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_8735);
																				}
																				BgL_auxz00_8733 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_8734);
																			}
																			((((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8733))->
																					BgL_occurrencesz00) =
																				((int) BgL_auxz00_8739), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_8755;
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_8749;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_8756;
																				{
																					obj_t BgL_auxz00_8757;

																					{	/* SawMill/regalloc.scm 636 */
																						BgL_objectz00_bglt BgL_tmpz00_8758;

																						BgL_tmpz00_8758 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_rz00_2998));
																						BgL_auxz00_8757 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_8758);
																					}
																					BgL_auxz00_8756 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_8757);
																				}
																				BgL_auxz00_8755 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8756))->
																					BgL_interferez00);
																			}
																			{
																				obj_t BgL_auxz00_8750;

																				{	/* SawMill/regalloc.scm 636 */
																					BgL_objectz00_bglt BgL_tmpz00_8751;

																					BgL_tmpz00_8751 =
																						((BgL_objectz00_bglt)
																						BgL_new1241z00_3008);
																					BgL_auxz00_8750 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_8751);
																				}
																				BgL_auxz00_8749 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_8750);
																			}
																			((((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8749))->
																					BgL_interferez00) =
																				((obj_t) BgL_auxz00_8755), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_8771;
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_8765;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_8772;
																				{
																					obj_t BgL_auxz00_8773;

																					{	/* SawMill/regalloc.scm 636 */
																						BgL_objectz00_bglt BgL_tmpz00_8774;

																						BgL_tmpz00_8774 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_rz00_2998));
																						BgL_auxz00_8773 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_8774);
																					}
																					BgL_auxz00_8772 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_8773);
																				}
																				BgL_auxz00_8771 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8772))->
																					BgL_interfere2z00);
																			}
																			{
																				obj_t BgL_auxz00_8766;

																				{	/* SawMill/regalloc.scm 636 */
																					BgL_objectz00_bglt BgL_tmpz00_8767;

																					BgL_tmpz00_8767 =
																						((BgL_objectz00_bglt)
																						BgL_new1241z00_3008);
																					BgL_auxz00_8766 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_8767);
																				}
																				BgL_auxz00_8765 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_8766);
																			}
																			((((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8765))->
																					BgL_interfere2z00) =
																				((obj_t) BgL_auxz00_8771), BUNSPEC);
																		}
																		BgL_newrz00_3005 = BgL_new1241z00_3008;
																	}
																	{	/* SawMill/regalloc.scm 638 */
																		obj_t BgL_auxz00_6055;

																		{	/* SawMill/regalloc.scm 638 */
																			obj_t BgL_arg2336z00_3006;

																			BgL_arg2336z00_3006 =
																				MAKE_YOUNG_PAIR(BgL_kz00_3002,
																				((obj_t) BgL_newrz00_3005));
																			BgL_auxz00_6055 =
																				MAKE_YOUNG_PAIR(BgL_arg2336z00_3006,
																				((obj_t)
																					((obj_t)
																						BGL_UNSAFE_CELL_REF
																						(BgL_mappingz00_6053))));
																		}
																		BGL_UNSAFE_CELL_SET(BgL_mappingz00_6053,
																			BgL_auxz00_6055);
																	}
																	return ((obj_t) BgL_newrz00_3005);
																}
														}
													}
											}
										else
											{	/* SawMill/regalloc.scm 626 */
												return ((obj_t) BgL_rz00_2998);
											}
									}
								else
									{	/* SawMill/regalloc.scm 624 */
										return ((obj_t) BgL_rz00_2998);
									}
							}
						}
					else
						{	/* SawMill/regalloc.scm 653 */
							bool_t BgL_test3216z00_8789;

							{	/* SawMill/regalloc.scm 653 */
								obj_t BgL_classz00_4911;

								BgL_classz00_4911 = BGl_rtl_insz00zzsaw_defsz00;
								if (BGL_OBJECTP(BgL_oz00_3021))
									{	/* SawMill/regalloc.scm 653 */
										BgL_objectz00_bglt BgL_arg1858z00_4913;

										BgL_arg1858z00_4913 = (BgL_objectz00_bglt) (BgL_oz00_3021);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* SawMill/regalloc.scm 653 */
												long BgL_idxz00_4919;

												BgL_idxz00_4919 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4913);
												BgL_test3216z00_8789 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4919 + 1L)) == BgL_classz00_4911);
											}
										else
											{	/* SawMill/regalloc.scm 653 */
												bool_t BgL_res2849z00_4944;

												{	/* SawMill/regalloc.scm 653 */
													obj_t BgL_oclassz00_4927;

													{	/* SawMill/regalloc.scm 653 */
														obj_t BgL_arg1866z00_4935;
														long BgL_arg1867z00_4936;

														BgL_arg1866z00_4935 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* SawMill/regalloc.scm 653 */
															long BgL_arg1869z00_4937;

															BgL_arg1869z00_4937 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4913);
															BgL_arg1867z00_4936 =
																(BgL_arg1869z00_4937 - OBJECT_TYPE);
														}
														BgL_oclassz00_4927 =
															VECTOR_REF(BgL_arg1866z00_4935,
															BgL_arg1867z00_4936);
													}
													{	/* SawMill/regalloc.scm 653 */
														bool_t BgL__ortest_1115z00_4928;

														BgL__ortest_1115z00_4928 =
															(BgL_classz00_4911 == BgL_oclassz00_4927);
														if (BgL__ortest_1115z00_4928)
															{	/* SawMill/regalloc.scm 653 */
																BgL_res2849z00_4944 = BgL__ortest_1115z00_4928;
															}
														else
															{	/* SawMill/regalloc.scm 653 */
																long BgL_odepthz00_4929;

																{	/* SawMill/regalloc.scm 653 */
																	obj_t BgL_arg1855z00_4930;

																	BgL_arg1855z00_4930 = (BgL_oclassz00_4927);
																	BgL_odepthz00_4929 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_4930);
																}
																if ((1L < BgL_odepthz00_4929))
																	{	/* SawMill/regalloc.scm 653 */
																		obj_t BgL_arg1853z00_4932;

																		{	/* SawMill/regalloc.scm 653 */
																			obj_t BgL_arg1854z00_4933;

																			BgL_arg1854z00_4933 =
																				(BgL_oclassz00_4927);
																			BgL_arg1853z00_4932 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_4933, 1L);
																		}
																		BgL_res2849z00_4944 =
																			(BgL_arg1853z00_4932 ==
																			BgL_classz00_4911);
																	}
																else
																	{	/* SawMill/regalloc.scm 653 */
																		BgL_res2849z00_4944 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test3216z00_8789 = BgL_res2849z00_4944;
											}
									}
								else
									{	/* SawMill/regalloc.scm 653 */
										BgL_test3216z00_8789 = ((bool_t) 0);
									}
							}
							if (BgL_test3216z00_8789)
								{	/* SawMill/regalloc.scm 653 */
									{
										obj_t BgL_auxz00_8812;

										{	/* SawMill/regalloc.scm 655 */
											obj_t BgL_l1636z00_3036;

											BgL_l1636z00_3036 =
												(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_oz00_3021)))->
												BgL_z52spillz52);
											if (NULLP(BgL_l1636z00_3036))
												{	/* SawMill/regalloc.scm 655 */
													BgL_auxz00_8812 = BNIL;
												}
											else
												{	/* SawMill/regalloc.scm 655 */
													obj_t BgL_head1638z00_3038;

													{	/* SawMill/regalloc.scm 655 */
														obj_t BgL_arg2358z00_3050;

														{	/* SawMill/regalloc.scm 655 */
															obj_t BgL_arg2359z00_3051;

															BgL_arg2359z00_3051 = CAR(BgL_l1636z00_3036);
															BgL_arg2358z00_3050 =
																BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																(BgL_colorsz00_6054, BgL_mappingz00_6053,
																BgL_arg2359z00_3051);
														}
														BgL_head1638z00_3038 =
															MAKE_YOUNG_PAIR(BgL_arg2358z00_3050, BNIL);
													}
													{	/* SawMill/regalloc.scm 655 */
														obj_t BgL_g1642z00_3039;

														BgL_g1642z00_3039 = CDR(BgL_l1636z00_3036);
														{
															obj_t BgL_l1636z00_3041;
															obj_t BgL_tail1639z00_3042;

															BgL_l1636z00_3041 = BgL_g1642z00_3039;
															BgL_tail1639z00_3042 = BgL_head1638z00_3038;
														BgL_zc3z04anonymousza32352ze3z87_3043:
															if (NULLP(BgL_l1636z00_3041))
																{	/* SawMill/regalloc.scm 655 */
																	BgL_auxz00_8812 = BgL_head1638z00_3038;
																}
															else
																{	/* SawMill/regalloc.scm 655 */
																	obj_t BgL_newtail1640z00_3045;

																	{	/* SawMill/regalloc.scm 655 */
																		obj_t BgL_arg2355z00_3047;

																		{	/* SawMill/regalloc.scm 655 */
																			obj_t BgL_arg2356z00_3048;

																			BgL_arg2356z00_3048 =
																				CAR(((obj_t) BgL_l1636z00_3041));
																			BgL_arg2355z00_3047 =
																				BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																				(BgL_colorsz00_6054,
																				BgL_mappingz00_6053,
																				BgL_arg2356z00_3048);
																		}
																		BgL_newtail1640z00_3045 =
																			MAKE_YOUNG_PAIR(BgL_arg2355z00_3047,
																			BNIL);
																	}
																	SET_CDR(BgL_tail1639z00_3042,
																		BgL_newtail1640z00_3045);
																	{	/* SawMill/regalloc.scm 655 */
																		obj_t BgL_arg2354z00_3046;

																		BgL_arg2354z00_3046 =
																			CDR(((obj_t) BgL_l1636z00_3041));
																		{
																			obj_t BgL_tail1639z00_8832;
																			obj_t BgL_l1636z00_8831;

																			BgL_l1636z00_8831 = BgL_arg2354z00_3046;
																			BgL_tail1639z00_8832 =
																				BgL_newtail1640z00_3045;
																			BgL_tail1639z00_3042 =
																				BgL_tail1639z00_8832;
																			BgL_l1636z00_3041 = BgL_l1636z00_8831;
																			goto
																				BgL_zc3z04anonymousza32352ze3z87_3043;
																		}
																	}
																}
														}
													}
												}
										}
										((((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_oz00_3021)))->
												BgL_z52spillz52) = ((obj_t) BgL_auxz00_8812), BUNSPEC);
									}
									{
										obj_t BgL_auxz00_8834;

										{	/* SawMill/regalloc.scm 656 */
											obj_t BgL_l1643z00_3052;

											BgL_l1643z00_3052 =
												(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_oz00_3021)))->
												BgL_argsz00);
											if (NULLP(BgL_l1643z00_3052))
												{	/* SawMill/regalloc.scm 656 */
													BgL_auxz00_8834 = BNIL;
												}
											else
												{	/* SawMill/regalloc.scm 656 */
													obj_t BgL_head1645z00_3054;

													{	/* SawMill/regalloc.scm 656 */
														obj_t BgL_arg2369z00_3066;

														{	/* SawMill/regalloc.scm 656 */
															obj_t BgL_arg2371z00_3067;

															BgL_arg2371z00_3067 = CAR(BgL_l1643z00_3052);
															BgL_arg2369z00_3066 =
																BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																(BgL_colorsz00_6054, BgL_mappingz00_6053,
																BgL_arg2371z00_3067);
														}
														BgL_head1645z00_3054 =
															MAKE_YOUNG_PAIR(BgL_arg2369z00_3066, BNIL);
													}
													{	/* SawMill/regalloc.scm 656 */
														obj_t BgL_g1648z00_3055;

														BgL_g1648z00_3055 = CDR(BgL_l1643z00_3052);
														{
															obj_t BgL_l1643z00_3057;
															obj_t BgL_tail1646z00_3058;

															BgL_l1643z00_3057 = BgL_g1648z00_3055;
															BgL_tail1646z00_3058 = BgL_head1645z00_3054;
														BgL_zc3z04anonymousza32361ze3z87_3059:
															if (NULLP(BgL_l1643z00_3057))
																{	/* SawMill/regalloc.scm 656 */
																	BgL_auxz00_8834 = BgL_head1645z00_3054;
																}
															else
																{	/* SawMill/regalloc.scm 656 */
																	obj_t BgL_newtail1647z00_3061;

																	{	/* SawMill/regalloc.scm 656 */
																		obj_t BgL_arg2365z00_3063;

																		{	/* SawMill/regalloc.scm 656 */
																			obj_t BgL_arg2366z00_3064;

																			BgL_arg2366z00_3064 =
																				CAR(((obj_t) BgL_l1643z00_3057));
																			BgL_arg2365z00_3063 =
																				BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																				(BgL_colorsz00_6054,
																				BgL_mappingz00_6053,
																				BgL_arg2366z00_3064);
																		}
																		BgL_newtail1647z00_3061 =
																			MAKE_YOUNG_PAIR(BgL_arg2365z00_3063,
																			BNIL);
																	}
																	SET_CDR(BgL_tail1646z00_3058,
																		BgL_newtail1647z00_3061);
																	{	/* SawMill/regalloc.scm 656 */
																		obj_t BgL_arg2364z00_3062;

																		BgL_arg2364z00_3062 =
																			CDR(((obj_t) BgL_l1643z00_3057));
																		{
																			obj_t BgL_tail1646z00_8854;
																			obj_t BgL_l1643z00_8853;

																			BgL_l1643z00_8853 = BgL_arg2364z00_3062;
																			BgL_tail1646z00_8854 =
																				BgL_newtail1647z00_3061;
																			BgL_tail1646z00_3058 =
																				BgL_tail1646z00_8854;
																			BgL_l1643z00_3057 = BgL_l1643z00_8853;
																			goto
																				BgL_zc3z04anonymousza32361ze3z87_3059;
																		}
																	}
																}
														}
													}
												}
										}
										((((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_oz00_3021)))->
												BgL_argsz00) = ((obj_t) BgL_auxz00_8834), BUNSPEC);
									}
									return BgL_oz00_3021;
								}
							else
								{	/* SawMill/regalloc.scm 653 */
									return BgL_oz00_3021;
								}
						}
				}
			}
		}

	}



/* remove-nop-move! */
	obj_t BGl_removezd2nopzd2movez12z12zzsaw_registerzd2allocationzd2(obj_t
		BgL_blocksz00_102)
	{
		{	/* SawMill/regalloc.scm 676 */
			{	/* SawMill/regalloc.scm 704 */
				obj_t BgL_nz00_3076;

				{	/* SawMill/regalloc.scm 704 */
					obj_t BgL_runner2390z00_3096;

					if (NULLP(BgL_blocksz00_102))
						{	/* SawMill/regalloc.scm 704 */
							BgL_runner2390z00_3096 = BNIL;
						}
					else
						{	/* SawMill/regalloc.scm 704 */
							obj_t BgL_head1671z00_3082;

							{	/* SawMill/regalloc.scm 704 */
								long BgL_arg2388z00_3094;

								{	/* SawMill/regalloc.scm 704 */
									obj_t BgL_arg2389z00_3095;

									BgL_arg2389z00_3095 = CAR(((obj_t) BgL_blocksz00_102));
									BgL_arg2388z00_3094 =
										BGl_removezd2blockz12ze70z27zzsaw_registerzd2allocationzd2
										(BgL_arg2389z00_3095);
								}
								BgL_head1671z00_3082 =
									MAKE_YOUNG_PAIR(BINT(BgL_arg2388z00_3094), BNIL);
							}
							{	/* SawMill/regalloc.scm 704 */
								obj_t BgL_g1674z00_3083;

								BgL_g1674z00_3083 = CDR(((obj_t) BgL_blocksz00_102));
								{
									obj_t BgL_l1669z00_3085;
									obj_t BgL_tail1672z00_3086;

									BgL_l1669z00_3085 = BgL_g1674z00_3083;
									BgL_tail1672z00_3086 = BgL_head1671z00_3082;
								BgL_zc3z04anonymousza32381ze3z87_3087:
									if (NULLP(BgL_l1669z00_3085))
										{	/* SawMill/regalloc.scm 704 */
											BgL_runner2390z00_3096 = BgL_head1671z00_3082;
										}
									else
										{	/* SawMill/regalloc.scm 704 */
											obj_t BgL_newtail1673z00_3089;

											{	/* SawMill/regalloc.scm 704 */
												long BgL_arg2385z00_3091;

												{	/* SawMill/regalloc.scm 704 */
													obj_t BgL_arg2387z00_3092;

													BgL_arg2387z00_3092 =
														CAR(((obj_t) BgL_l1669z00_3085));
													BgL_arg2385z00_3091 =
														BGl_removezd2blockz12ze70z27zzsaw_registerzd2allocationzd2
														(BgL_arg2387z00_3092);
												}
												BgL_newtail1673z00_3089 =
													MAKE_YOUNG_PAIR(BINT(BgL_arg2385z00_3091), BNIL);
											}
											SET_CDR(BgL_tail1672z00_3086, BgL_newtail1673z00_3089);
											{	/* SawMill/regalloc.scm 704 */
												obj_t BgL_arg2383z00_3090;

												BgL_arg2383z00_3090 = CDR(((obj_t) BgL_l1669z00_3085));
												{
													obj_t BgL_tail1672z00_8876;
													obj_t BgL_l1669z00_8875;

													BgL_l1669z00_8875 = BgL_arg2383z00_3090;
													BgL_tail1672z00_8876 = BgL_newtail1673z00_3089;
													BgL_tail1672z00_3086 = BgL_tail1672z00_8876;
													BgL_l1669z00_3085 = BgL_l1669z00_8875;
													goto BgL_zc3z04anonymousza32381ze3z87_3087;
												}
											}
										}
								}
							}
						}
					BgL_nz00_3076 =
						BGl_zb2zb2zz__r4_numbers_6_5z00(BgL_runner2390z00_3096);
				}
				{	/* SawMill/regalloc.scm 705 */
					obj_t BgL_list2376z00_3077;

					{	/* SawMill/regalloc.scm 705 */
						obj_t BgL_arg2377z00_3078;

						{	/* SawMill/regalloc.scm 705 */
							obj_t BgL_arg2379z00_3079;

							BgL_arg2379z00_3079 =
								MAKE_YOUNG_PAIR(BGl_string2912z00zzsaw_registerzd2allocationzd2,
								BNIL);
							BgL_arg2377z00_3078 =
								MAKE_YOUNG_PAIR(BgL_nz00_3076, BgL_arg2379z00_3079);
						}
						BgL_list2376z00_3077 =
							MAKE_YOUNG_PAIR(BGl_string2913z00zzsaw_registerzd2allocationzd2,
							BgL_arg2377z00_3078);
					}
					return BGl_verbosez00zztools_speekz00(BINT(3L), BgL_list2376z00_3077);
				}
			}
		}

	}



/* remove-block!~0 */
	long BGl_removezd2blockz12ze70z27zzsaw_registerzd2allocationzd2(obj_t
		BgL_bz00_3110)
	{
		{	/* SawMill/regalloc.scm 703 */
			{
				obj_t BgL_iz00_3097;

				{	/* SawMill/regalloc.scm 684 */
					obj_t BgL_g1260z00_3112;

					BgL_g1260z00_3112 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_bz00_3110)))->BgL_firstz00);
					{
						obj_t BgL_insz00_3114;
						obj_t BgL_prevz00_3115;
						long BgL_nz00_3116;

						BgL_insz00_3114 = BgL_g1260z00_3112;
						BgL_prevz00_3115 = BFALSE;
						BgL_nz00_3116 = 0L;
					BgL_zc3z04anonymousza32405ze3z87_3117:
						if (PAIRP(BgL_insz00_3114))
							{	/* SawMill/regalloc.scm 688 */
								bool_t BgL_test3228z00_8887;

								BgL_iz00_3097 = CAR(BgL_insz00_3114);
								{	/* SawMill/regalloc.scm 679 */
									bool_t BgL_test3229z00_8888;

									{	/* SawMill/regalloc.scm 679 */
										BgL_rtl_funz00_bglt BgL_arg2403z00_3109;

										BgL_arg2403z00_3109 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt)
														((BgL_rtl_insz00_bglt) BgL_iz00_3097))))->
											BgL_funz00);
										{	/* SawMill/regalloc.scm 679 */
											obj_t BgL_classz00_5011;

											BgL_classz00_5011 = BGl_rtl_movz00zzsaw_defsz00;
											{	/* SawMill/regalloc.scm 679 */
												BgL_objectz00_bglt BgL_arg1858z00_5013;

												{	/* SawMill/regalloc.scm 679 */
													obj_t BgL_tmpz00_8892;

													BgL_tmpz00_8892 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg2403z00_3109));
													BgL_arg1858z00_5013 =
														(BgL_objectz00_bglt) (BgL_tmpz00_8892);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* SawMill/regalloc.scm 679 */
														long BgL_idxz00_5019;

														BgL_idxz00_5019 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5013);
														BgL_test3229z00_8888 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_5019 + 3L)) == BgL_classz00_5011);
													}
												else
													{	/* SawMill/regalloc.scm 679 */
														bool_t BgL_res2851z00_5044;

														{	/* SawMill/regalloc.scm 679 */
															obj_t BgL_oclassz00_5027;

															{	/* SawMill/regalloc.scm 679 */
																obj_t BgL_arg1866z00_5035;
																long BgL_arg1867z00_5036;

																BgL_arg1866z00_5035 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* SawMill/regalloc.scm 679 */
																	long BgL_arg1869z00_5037;

																	BgL_arg1869z00_5037 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5013);
																	BgL_arg1867z00_5036 =
																		(BgL_arg1869z00_5037 - OBJECT_TYPE);
																}
																BgL_oclassz00_5027 =
																	VECTOR_REF(BgL_arg1866z00_5035,
																	BgL_arg1867z00_5036);
															}
															{	/* SawMill/regalloc.scm 679 */
																bool_t BgL__ortest_1115z00_5028;

																BgL__ortest_1115z00_5028 =
																	(BgL_classz00_5011 == BgL_oclassz00_5027);
																if (BgL__ortest_1115z00_5028)
																	{	/* SawMill/regalloc.scm 679 */
																		BgL_res2851z00_5044 =
																			BgL__ortest_1115z00_5028;
																	}
																else
																	{	/* SawMill/regalloc.scm 679 */
																		long BgL_odepthz00_5029;

																		{	/* SawMill/regalloc.scm 679 */
																			obj_t BgL_arg1855z00_5030;

																			BgL_arg1855z00_5030 =
																				(BgL_oclassz00_5027);
																			BgL_odepthz00_5029 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_5030);
																		}
																		if ((3L < BgL_odepthz00_5029))
																			{	/* SawMill/regalloc.scm 679 */
																				obj_t BgL_arg1853z00_5032;

																				{	/* SawMill/regalloc.scm 679 */
																					obj_t BgL_arg1854z00_5033;

																					BgL_arg1854z00_5033 =
																						(BgL_oclassz00_5027);
																					BgL_arg1853z00_5032 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_5033, 3L);
																				}
																				BgL_res2851z00_5044 =
																					(BgL_arg1853z00_5032 ==
																					BgL_classz00_5011);
																			}
																		else
																			{	/* SawMill/regalloc.scm 679 */
																				BgL_res2851z00_5044 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test3229z00_8888 = BgL_res2851z00_5044;
													}
											}
										}
									}
									if (BgL_test3229z00_8888)
										{	/* SawMill/regalloc.scm 679 */
											if (NULLP(
													(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_iz00_3097))))->
														BgL_argsz00)))
												{	/* SawMill/regalloc.scm 680 */
													BgL_test3228z00_8887 = ((bool_t) 0);
												}
											else
												{	/* SawMill/regalloc.scm 681 */
													bool_t BgL_test3234z00_8920;

													{	/* SawMill/regalloc.scm 681 */
														obj_t BgL_tmpz00_8921;

														{	/* SawMill/regalloc.scm 681 */
															obj_t BgL_pairz00_5045;

															BgL_pairz00_5045 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_iz00_3097))))->
																BgL_argsz00);
															BgL_tmpz00_8921 = CDR(BgL_pairz00_5045);
														}
														BgL_test3234z00_8920 = NULLP(BgL_tmpz00_8921);
													}
													if (BgL_test3234z00_8920)
														{	/* SawMill/regalloc.scm 682 */
															obj_t BgL_tmpz00_8927;

															{	/* SawMill/regalloc.scm 682 */
																obj_t BgL_pairz00_5046;

																BgL_pairz00_5046 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_iz00_3097))))->BgL_argsz00);
																BgL_tmpz00_8927 = CAR(BgL_pairz00_5046);
															}
															BgL_test3228z00_8887 =
																(
																(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_iz00_3097))))->BgL_destz00) ==
																BgL_tmpz00_8927);
														}
													else
														{	/* SawMill/regalloc.scm 681 */
															BgL_test3228z00_8887 = ((bool_t) 0);
														}
												}
										}
									else
										{	/* SawMill/regalloc.scm 679 */
											BgL_test3228z00_8887 = ((bool_t) 0);
										}
								}
								if (BgL_test3228z00_8887)
									{	/* SawMill/regalloc.scm 689 */
										BgL_rtl_insz00_bglt BgL_i1261z00_3121;

										BgL_i1261z00_3121 =
											((BgL_rtl_insz00_bglt) CAR(BgL_insz00_3114));
										if (PAIRP(BgL_prevz00_3115))
											{	/* SawMill/regalloc.scm 691 */
												{	/* SawMill/regalloc.scm 692 */
													obj_t BgL_tmpz00_8941;

													BgL_tmpz00_8941 = CDR(BgL_insz00_3114);
													SET_CDR(BgL_prevz00_3115, BgL_tmpz00_8941);
												}
												{
													long BgL_nz00_8946;
													obj_t BgL_insz00_8944;

													BgL_insz00_8944 = CDR(BgL_insz00_3114);
													BgL_nz00_8946 = (1L + BgL_nz00_3116);
													BgL_nz00_3116 = BgL_nz00_8946;
													BgL_insz00_3114 = BgL_insz00_8944;
													goto BgL_zc3z04anonymousza32405ze3z87_3117;
												}
											}
										else
											{	/* SawMill/regalloc.scm 691 */
												if (NULLP(CDR(BgL_insz00_3114)))
													{	/* SawMill/regalloc.scm 694 */
														{
															BgL_rtl_funz00_bglt BgL_auxz00_8951;

															{	/* SawMill/regalloc.scm 695 */
																BgL_rtl_nopz00_bglt BgL_new1264z00_3128;

																{	/* SawMill/regalloc.scm 695 */
																	BgL_rtl_nopz00_bglt BgL_new1262z00_3129;

																	BgL_new1262z00_3129 =
																		((BgL_rtl_nopz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_rtl_nopz00_bgl))));
																	{	/* SawMill/regalloc.scm 695 */
																		long BgL_arg2417z00_3130;

																		{	/* SawMill/regalloc.scm 695 */
																			obj_t BgL_classz00_5055;

																			BgL_classz00_5055 =
																				BGl_rtl_nopz00zzsaw_defsz00;
																			BgL_arg2417z00_3130 =
																				BGL_CLASS_NUM(BgL_classz00_5055);
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1262z00_3129),
																			BgL_arg2417z00_3130);
																	}
																	BgL_new1264z00_3128 = BgL_new1262z00_3129;
																}
																((((BgL_rtl_funz00_bglt) COBJECT(
																				((BgL_rtl_funz00_bglt)
																					BgL_new1264z00_3128)))->BgL_locz00) =
																	((obj_t) BFALSE), BUNSPEC);
																BgL_auxz00_8951 =
																	((BgL_rtl_funz00_bglt) BgL_new1264z00_3128);
															}
															((((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_i1261z00_3121)))->BgL_funz00) =
																((BgL_rtl_funz00_bglt) BgL_auxz00_8951),
																BUNSPEC);
														}
														((((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt)
																			BgL_i1261z00_3121)))->BgL_destz00) =
															((obj_t) BFALSE), BUNSPEC);
														((((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_i1261z00_3121)))->BgL_argsz00) =
															((obj_t) BNIL), BUNSPEC);
														return (1L + BgL_nz00_3116);
													}
												else
													{	/* SawMill/regalloc.scm 694 */
														{	/* SawMill/regalloc.scm 700 */
															obj_t BgL_arg2418z00_3131;

															BgL_arg2418z00_3131 = CDR(BgL_insz00_3114);
															((((BgL_blockz00_bglt) COBJECT(
																			((BgL_blockz00_bglt) BgL_bz00_3110)))->
																	BgL_firstz00) =
																((obj_t) ((obj_t) BgL_arg2418z00_3131)),
																BUNSPEC);
														}
														{
															long BgL_nz00_8972;
															obj_t BgL_insz00_8970;

															BgL_insz00_8970 = CDR(BgL_insz00_3114);
															BgL_nz00_8972 = (1L + BgL_nz00_3116);
															BgL_nz00_3116 = BgL_nz00_8972;
															BgL_insz00_3114 = BgL_insz00_8970;
															goto BgL_zc3z04anonymousza32405ze3z87_3117;
														}
													}
											}
									}
								else
									{
										obj_t BgL_prevz00_8976;
										obj_t BgL_insz00_8974;

										BgL_insz00_8974 = CDR(BgL_insz00_3114);
										BgL_prevz00_8976 = BgL_insz00_3114;
										BgL_prevz00_3115 = BgL_prevz00_8976;
										BgL_insz00_3114 = BgL_insz00_8974;
										goto BgL_zc3z04anonymousza32405ze3z87_3117;
									}
							}
						else
							{	/* SawMill/regalloc.scm 687 */
								return BgL_nz00_3116;
							}
					}
				}
			}
		}

	}



/* funcall-spill! */
	obj_t BGl_funcallzd2spillz12zc0zzsaw_registerzd2allocationzd2(obj_t
		BgL_hregsz00_103, obj_t BgL_blocksz00_104)
	{
		{	/* SawMill/regalloc.scm 715 */
			{
				obj_t BgL_bz00_3179;

				if (NULLP(BgL_hregsz00_103))
					{	/* SawMill/regalloc.scm 734 */
						return BgL_blocksz00_104;
					}
				else
					{
						obj_t BgL_l1681z00_3145;

						{	/* SawMill/regalloc.scm 736 */
							bool_t BgL_tmpz00_8979;

							BgL_l1681z00_3145 = BgL_blocksz00_104;
						BgL_zc3z04anonymousza32427ze3z87_3146:
							if (PAIRP(BgL_l1681z00_3145))
								{	/* SawMill/regalloc.scm 736 */
									BgL_bz00_3179 = CAR(BgL_l1681z00_3145);
									{	/* SawMill/regalloc.scm 733 */
										obj_t BgL_g1680z00_3182;

										BgL_g1680z00_3182 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt) BgL_bz00_3179)))->BgL_firstz00);
										{
											obj_t BgL_l1678z00_3184;

											BgL_l1678z00_3184 = BgL_g1680z00_3182;
										BgL_zc3z04anonymousza32454ze3z87_3185:
											if (PAIRP(BgL_l1678z00_3184))
												{	/* SawMill/regalloc.scm 733 */
													{	/* SawMill/regalloc.scm 733 */
														obj_t BgL_arg2457z00_3187;

														BgL_arg2457z00_3187 = CAR(BgL_l1678z00_3184);
														BGl_inszd2funcallzd2spillz12ze70zf5zzsaw_registerzd2allocationzd2
															(((BgL_rtl_insz00_bglt) BgL_arg2457z00_3187));
													}
													{
														obj_t BgL_l1678z00_8989;

														BgL_l1678z00_8989 = CDR(BgL_l1678z00_3184);
														BgL_l1678z00_3184 = BgL_l1678z00_8989;
														goto BgL_zc3z04anonymousza32454ze3z87_3185;
													}
												}
											else
												{	/* SawMill/regalloc.scm 733 */
													((bool_t) 1);
												}
										}
									}
									{
										obj_t BgL_l1681z00_8992;

										BgL_l1681z00_8992 = CDR(BgL_l1681z00_3145);
										BgL_l1681z00_3145 = BgL_l1681z00_8992;
										goto BgL_zc3z04anonymousza32427ze3z87_3146;
									}
								}
							else
								{	/* SawMill/regalloc.scm 736 */
									BgL_tmpz00_8979 = ((bool_t) 1);
								}
							return BBOOL(BgL_tmpz00_8979);
						}
					}
			}
		}

	}



/* ins-funcall-spill!~0 */
	bool_t
		BGl_inszd2funcallzd2spillz12ze70zf5zzsaw_registerzd2allocationzd2
		(BgL_rtl_insz00_bglt BgL_iz00_3154)
	{
		{	/* SawMill/regalloc.scm 730 */
			{	/* SawMill/regalloc.scm 721 */
				obj_t BgL_aspillz00_3157;

				{	/* SawMill/regalloc.scm 722 */
					obj_t BgL_arg2438z00_3160;

					{
						BgL_rtl_inszf2razf2_bglt BgL_auxz00_8995;

						{
							obj_t BgL_auxz00_8996;

							{	/* SawMill/regalloc.scm 721 */
								BgL_objectz00_bglt BgL_tmpz00_8997;

								BgL_tmpz00_8997 = ((BgL_objectz00_bglt) BgL_iz00_3154);
								BgL_auxz00_8996 = BGL_OBJECT_WIDENING(BgL_tmpz00_8997);
							}
							BgL_auxz00_8995 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8996);
						}
						BgL_arg2438z00_3160 =
							(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8995))->
							BgL_outz00);
					}
					{	/* SawMill/regalloc.scm 723 */
						obj_t BgL_zc3z04anonymousza32439ze3z87_5936;

						BgL_zc3z04anonymousza32439ze3z87_5936 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza32439ze3ze5zzsaw_registerzd2allocationzd2,
							(int) (1L), (int) (1L));
						PROCEDURE_SET(BgL_zc3z04anonymousza32439ze3z87_5936, (int) (0L),
							((obj_t) BgL_iz00_3154));
						BgL_aspillz00_3157 =
							BGl_regsetzd2filterzd2zzsaw_regsetz00
							(BgL_zc3z04anonymousza32439ze3z87_5936,
							((BgL_regsetz00_bglt) BgL_arg2438z00_3160));
				}}
				if (NULLP(BgL_aspillz00_3157))
					{	/* SawMill/regalloc.scm 728 */
						BFALSE;
					}
				else
					{	/* SawMill/regalloc.scm 729 */
						obj_t BgL_vz00_5231;

						BgL_vz00_5231 = BgL_aspillz00_3157;
						((((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_iz00_3154)))->BgL_z52spillz52) =
							((obj_t) BgL_vz00_5231), BUNSPEC);
					}
			}
			{	/* SawMill/regalloc.scm 730 */
				obj_t BgL_g1677z00_3171;

				BgL_g1677z00_3171 =
					(((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_iz00_3154)))->BgL_argsz00);
				{
					obj_t BgL_l1675z00_3173;

					BgL_l1675z00_3173 = BgL_g1677z00_3171;
				BgL_zc3z04anonymousza32449ze3z87_3174:
					if (PAIRP(BgL_l1675z00_3173))
						{	/* SawMill/regalloc.scm 730 */
							{	/* SawMill/regalloc.scm 730 */
								obj_t BgL_arg2451z00_3176;

								BgL_arg2451z00_3176 = CAR(BgL_l1675z00_3173);
								{	/* SawMill/regalloc.scm 717 */
									bool_t BgL_test3242z00_9019;

									{	/* SawMill/regalloc.scm 717 */
										obj_t BgL_classz00_5234;

										BgL_classz00_5234 = BGl_rtl_insz00zzsaw_defsz00;
										if (BGL_OBJECTP(BgL_arg2451z00_3176))
											{	/* SawMill/regalloc.scm 717 */
												BgL_objectz00_bglt BgL_arg1858z00_5236;

												BgL_arg1858z00_5236 =
													(BgL_objectz00_bglt) (BgL_arg2451z00_3176);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* SawMill/regalloc.scm 717 */
														long BgL_idxz00_5242;

														BgL_idxz00_5242 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5236);
														BgL_test3242z00_9019 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_5242 + 1L)) == BgL_classz00_5234);
													}
												else
													{	/* SawMill/regalloc.scm 717 */
														bool_t BgL_res2854z00_5267;

														{	/* SawMill/regalloc.scm 717 */
															obj_t BgL_oclassz00_5250;

															{	/* SawMill/regalloc.scm 717 */
																obj_t BgL_arg1866z00_5258;
																long BgL_arg1867z00_5259;

																BgL_arg1866z00_5258 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* SawMill/regalloc.scm 717 */
																	long BgL_arg1869z00_5260;

																	BgL_arg1869z00_5260 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5236);
																	BgL_arg1867z00_5259 =
																		(BgL_arg1869z00_5260 - OBJECT_TYPE);
																}
																BgL_oclassz00_5250 =
																	VECTOR_REF(BgL_arg1866z00_5258,
																	BgL_arg1867z00_5259);
															}
															{	/* SawMill/regalloc.scm 717 */
																bool_t BgL__ortest_1115z00_5251;

																BgL__ortest_1115z00_5251 =
																	(BgL_classz00_5234 == BgL_oclassz00_5250);
																if (BgL__ortest_1115z00_5251)
																	{	/* SawMill/regalloc.scm 717 */
																		BgL_res2854z00_5267 =
																			BgL__ortest_1115z00_5251;
																	}
																else
																	{	/* SawMill/regalloc.scm 717 */
																		long BgL_odepthz00_5252;

																		{	/* SawMill/regalloc.scm 717 */
																			obj_t BgL_arg1855z00_5253;

																			BgL_arg1855z00_5253 =
																				(BgL_oclassz00_5250);
																			BgL_odepthz00_5252 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_5253);
																		}
																		if ((1L < BgL_odepthz00_5252))
																			{	/* SawMill/regalloc.scm 717 */
																				obj_t BgL_arg1853z00_5255;

																				{	/* SawMill/regalloc.scm 717 */
																					obj_t BgL_arg1854z00_5256;

																					BgL_arg1854z00_5256 =
																						(BgL_oclassz00_5250);
																					BgL_arg1853z00_5255 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_5256, 1L);
																				}
																				BgL_res2854z00_5267 =
																					(BgL_arg1853z00_5255 ==
																					BgL_classz00_5234);
																			}
																		else
																			{	/* SawMill/regalloc.scm 717 */
																				BgL_res2854z00_5267 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test3242z00_9019 = BgL_res2854z00_5267;
													}
											}
										else
											{	/* SawMill/regalloc.scm 717 */
												BgL_test3242z00_9019 = ((bool_t) 0);
											}
									}
									if (BgL_test3242z00_9019)
										{	/* SawMill/regalloc.scm 717 */
											BGl_inszd2funcallzd2spillz12ze70zf5zzsaw_registerzd2allocationzd2
												(((BgL_rtl_insz00_bglt) BgL_arg2451z00_3176));
										}
									else
										{	/* SawMill/regalloc.scm 717 */
											((bool_t) 0);
										}
								}
							}
							{
								obj_t BgL_l1675z00_9044;

								BgL_l1675z00_9044 = CDR(BgL_l1675z00_3173);
								BgL_l1675z00_3173 = BgL_l1675z00_9044;
								goto BgL_zc3z04anonymousza32449ze3z87_3174;
							}
						}
					else
						{	/* SawMill/regalloc.scm 730 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* &<@anonymous:2439> */
	obj_t BGl_z62zc3z04anonymousza32439ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5937, obj_t BgL_rz00_5939)
	{
		{	/* SawMill/regalloc.scm 722 */
			{	/* SawMill/regalloc.scm 723 */
				BgL_rtl_insz00_bglt BgL_i1265z00_5938;

				BgL_i1265z00_5938 =
					((BgL_rtl_insz00_bglt) PROCEDURE_REF(BgL_envz00_5937, (int) (0L)));
				{	/* SawMill/regalloc.scm 723 */
					bool_t BgL_tmpz00_9049;

					{	/* SawMill/regalloc.scm 723 */
						bool_t BgL_test3247z00_9050;

						{	/* SawMill/regalloc.scm 723 */
							obj_t BgL_arg2448z00_6105;

							{
								BgL_rtl_inszf2razf2_bglt BgL_auxz00_9051;

								{
									obj_t BgL_auxz00_9052;

									{	/* SawMill/regalloc.scm 723 */
										BgL_objectz00_bglt BgL_tmpz00_9053;

										BgL_tmpz00_9053 = ((BgL_objectz00_bglt) BgL_i1265z00_5938);
										BgL_auxz00_9052 = BGL_OBJECT_WIDENING(BgL_tmpz00_9053);
									}
									BgL_auxz00_9051 =
										((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_9052);
								}
								BgL_arg2448z00_6105 =
									(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_9051))->
									BgL_defz00);
							}
							{	/* SawMill/regalloc.scm 723 */
								long BgL_basez00_6106;
								long BgL_bitz00_6107;

								{	/* SawMill/regalloc.scm 723 */
									int BgL_arg2655z00_6108;

									{
										BgL_rtl_regzf2razf2_bglt BgL_auxz00_9058;

										{
											obj_t BgL_auxz00_9059;

											{	/* SawMill/regalloc.scm 723 */
												BgL_objectz00_bglt BgL_tmpz00_9060;

												BgL_tmpz00_9060 =
													((BgL_objectz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_rz00_5939));
												BgL_auxz00_9059 = BGL_OBJECT_WIDENING(BgL_tmpz00_9060);
											}
											BgL_auxz00_9058 =
												((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_9059);
										}
										BgL_arg2655z00_6108 =
											(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_9058))->
											BgL_numz00);
									}
									BgL_basez00_6106 = ((long) (BgL_arg2655z00_6108) / 8L);
								}
								{	/* SawMill/regalloc.scm 723 */
									int BgL_arg2656z00_6109;

									{
										BgL_rtl_regzf2razf2_bglt BgL_auxz00_9068;

										{
											obj_t BgL_auxz00_9069;

											{	/* SawMill/regalloc.scm 723 */
												BgL_objectz00_bglt BgL_tmpz00_9070;

												BgL_tmpz00_9070 =
													((BgL_objectz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_rz00_5939));
												BgL_auxz00_9069 = BGL_OBJECT_WIDENING(BgL_tmpz00_9070);
											}
											BgL_auxz00_9068 =
												((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_9069);
										}
										BgL_arg2656z00_6109 =
											(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_9068))->
											BgL_numz00);
									}
									{	/* SawMill/regalloc.scm 723 */
										long BgL_n1z00_6110;
										long BgL_n2z00_6111;

										BgL_n1z00_6110 = (long) (BgL_arg2656z00_6109);
										BgL_n2z00_6111 = 8L;
										{	/* SawMill/regalloc.scm 723 */
											bool_t BgL_test3248z00_9077;

											{	/* SawMill/regalloc.scm 723 */
												long BgL_arg1375z00_6112;

												BgL_arg1375z00_6112 =
													(((BgL_n1z00_6110) | (BgL_n2z00_6111)) & -2147483648);
												BgL_test3248z00_9077 = (BgL_arg1375z00_6112 == 0L);
											}
											if (BgL_test3248z00_9077)
												{	/* SawMill/regalloc.scm 723 */
													int32_t BgL_arg1372z00_6113;

													{	/* SawMill/regalloc.scm 723 */
														int32_t BgL_arg1373z00_6114;
														int32_t BgL_arg1374z00_6115;

														BgL_arg1373z00_6114 = (int32_t) (BgL_n1z00_6110);
														BgL_arg1374z00_6115 = (int32_t) (BgL_n2z00_6111);
														BgL_arg1372z00_6113 =
															(BgL_arg1373z00_6114 % BgL_arg1374z00_6115);
													}
													{	/* SawMill/regalloc.scm 723 */
														long BgL_arg1477z00_6116;

														BgL_arg1477z00_6116 = (long) (BgL_arg1372z00_6113);
														BgL_bitz00_6107 = (long) (BgL_arg1477z00_6116);
												}}
											else
												{	/* SawMill/regalloc.scm 723 */
													BgL_bitz00_6107 = (BgL_n1z00_6110 % BgL_n2z00_6111);
												}
										}
									}
								}
								if (
									(BgL_basez00_6106 <
										STRING_LENGTH(
											(((BgL_regsetz00_bglt) COBJECT(
														((BgL_regsetz00_bglt) BgL_arg2448z00_6105)))->
												BgL_stringz00))))
									{	/* SawMill/regalloc.scm 723 */
										BgL_test3247z00_9050 =
											(
											((STRING_REF(
														(((BgL_regsetz00_bglt) COBJECT(
																	((BgL_regsetz00_bglt) BgL_arg2448z00_6105)))->
															BgL_stringz00),
														BgL_basez00_6106)) & (1L <<
													(int) (BgL_bitz00_6107))) > 0L);
									}
								else
									{	/* SawMill/regalloc.scm 723 */
										BgL_test3247z00_9050 = ((bool_t) 0);
									}
							}
						}
						if (BgL_test3247z00_9050)
							{	/* SawMill/regalloc.scm 723 */
								BgL_tmpz00_9049 = ((bool_t) 0);
							}
						else
							{	/* SawMill/regalloc.scm 725 */
								bool_t BgL_test3250z00_9099;

								{	/* SawMill/regalloc.scm 725 */
									obj_t BgL_arg2443z00_6117;

									{
										BgL_rtl_regzf2razf2_bglt BgL_auxz00_9100;

										{
											obj_t BgL_auxz00_9101;

											{	/* SawMill/regalloc.scm 725 */
												BgL_objectz00_bglt BgL_tmpz00_9102;

												BgL_tmpz00_9102 =
													((BgL_objectz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_rz00_5939));
												BgL_auxz00_9101 = BGL_OBJECT_WIDENING(BgL_tmpz00_9102);
											}
											BgL_auxz00_9100 =
												((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_9101);
										}
										BgL_arg2443z00_6117 =
											(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_9100))->
											BgL_colorz00);
									}
									{	/* SawMill/regalloc.scm 725 */
										obj_t BgL_classz00_6118;

										BgL_classz00_6118 = BGl_rtl_regz00zzsaw_defsz00;
										if (BGL_OBJECTP(BgL_arg2443z00_6117))
											{	/* SawMill/regalloc.scm 725 */
												BgL_objectz00_bglt BgL_arg1858z00_6119;

												BgL_arg1858z00_6119 =
													(BgL_objectz00_bglt) (BgL_arg2443z00_6117);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* SawMill/regalloc.scm 725 */
														long BgL_idxz00_6120;

														BgL_idxz00_6120 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6119);
														BgL_test3250z00_9099 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_6120 + 1L)) == BgL_classz00_6118);
													}
												else
													{	/* SawMill/regalloc.scm 725 */
														bool_t BgL_res2853z00_6123;

														{	/* SawMill/regalloc.scm 725 */
															obj_t BgL_oclassz00_6124;

															{	/* SawMill/regalloc.scm 725 */
																obj_t BgL_arg1866z00_6125;
																long BgL_arg1867z00_6126;

																BgL_arg1866z00_6125 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* SawMill/regalloc.scm 725 */
																	long BgL_arg1869z00_6127;

																	BgL_arg1869z00_6127 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6119);
																	BgL_arg1867z00_6126 =
																		(BgL_arg1869z00_6127 - OBJECT_TYPE);
																}
																BgL_oclassz00_6124 =
																	VECTOR_REF(BgL_arg1866z00_6125,
																	BgL_arg1867z00_6126);
															}
															{	/* SawMill/regalloc.scm 725 */
																bool_t BgL__ortest_1115z00_6128;

																BgL__ortest_1115z00_6128 =
																	(BgL_classz00_6118 == BgL_oclassz00_6124);
																if (BgL__ortest_1115z00_6128)
																	{	/* SawMill/regalloc.scm 725 */
																		BgL_res2853z00_6123 =
																			BgL__ortest_1115z00_6128;
																	}
																else
																	{	/* SawMill/regalloc.scm 725 */
																		long BgL_odepthz00_6129;

																		{	/* SawMill/regalloc.scm 725 */
																			obj_t BgL_arg1855z00_6130;

																			BgL_arg1855z00_6130 =
																				(BgL_oclassz00_6124);
																			BgL_odepthz00_6129 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_6130);
																		}
																		if ((1L < BgL_odepthz00_6129))
																			{	/* SawMill/regalloc.scm 725 */
																				obj_t BgL_arg1853z00_6131;

																				{	/* SawMill/regalloc.scm 725 */
																					obj_t BgL_arg1854z00_6132;

																					BgL_arg1854z00_6132 =
																						(BgL_oclassz00_6124);
																					BgL_arg1853z00_6131 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_6132, 1L);
																				}
																				BgL_res2853z00_6123 =
																					(BgL_arg1853z00_6131 ==
																					BgL_classz00_6118);
																			}
																		else
																			{	/* SawMill/regalloc.scm 725 */
																				BgL_res2853z00_6123 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test3250z00_9099 = BgL_res2853z00_6123;
													}
											}
										else
											{	/* SawMill/regalloc.scm 725 */
												BgL_test3250z00_9099 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test3250z00_9099)
									{	/* SawMill/regalloc.scm 726 */
										obj_t BgL_arg2440z00_6133;
										obj_t BgL_arg2441z00_6134;

										{
											BgL_rtl_regzf2razf2_bglt BgL_auxz00_9130;

											{
												obj_t BgL_auxz00_9131;

												{	/* SawMill/regalloc.scm 726 */
													BgL_objectz00_bglt BgL_tmpz00_9132;

													BgL_tmpz00_9132 =
														((BgL_objectz00_bglt)
														((BgL_rtl_regz00_bglt) BgL_rz00_5939));
													BgL_auxz00_9131 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_9132);
												}
												BgL_auxz00_9130 =
													((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_9131);
											}
											BgL_arg2440z00_6133 =
												(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_9130))->
												BgL_colorz00);
										}
										{
											BgL_rtl_inszf2razf2_bglt BgL_auxz00_9138;

											{
												obj_t BgL_auxz00_9139;

												{	/* SawMill/regalloc.scm 726 */
													BgL_objectz00_bglt BgL_tmpz00_9140;

													BgL_tmpz00_9140 =
														((BgL_objectz00_bglt) BgL_i1265z00_5938);
													BgL_auxz00_9139 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_9140);
												}
												BgL_auxz00_9138 =
													((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_9139);
											}
											BgL_arg2441z00_6134 =
												(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_9138))->
												BgL_spillz00);
										}
										{	/* SawMill/regalloc.scm 726 */
											long BgL_basez00_6135;
											long BgL_bitz00_6136;

											{	/* SawMill/regalloc.scm 726 */
												int BgL_arg2655z00_6137;

												{
													BgL_rtl_regzf2razf2_bglt BgL_auxz00_9145;

													{
														obj_t BgL_auxz00_9146;

														{	/* SawMill/regalloc.scm 726 */
															BgL_objectz00_bglt BgL_tmpz00_9147;

															BgL_tmpz00_9147 =
																((BgL_objectz00_bglt)
																((BgL_rtl_regz00_bglt) BgL_arg2440z00_6133));
															BgL_auxz00_9146 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_9147);
														}
														BgL_auxz00_9145 =
															((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_9146);
													}
													BgL_arg2655z00_6137 =
														(((BgL_rtl_regzf2razf2_bglt)
															COBJECT(BgL_auxz00_9145))->BgL_numz00);
												}
												BgL_basez00_6135 = ((long) (BgL_arg2655z00_6137) / 8L);
											}
											{	/* SawMill/regalloc.scm 726 */
												int BgL_arg2656z00_6138;

												{
													BgL_rtl_regzf2razf2_bglt BgL_auxz00_9155;

													{
														obj_t BgL_auxz00_9156;

														{	/* SawMill/regalloc.scm 726 */
															BgL_objectz00_bglt BgL_tmpz00_9157;

															BgL_tmpz00_9157 =
																((BgL_objectz00_bglt)
																((BgL_rtl_regz00_bglt) BgL_arg2440z00_6133));
															BgL_auxz00_9156 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_9157);
														}
														BgL_auxz00_9155 =
															((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_9156);
													}
													BgL_arg2656z00_6138 =
														(((BgL_rtl_regzf2razf2_bglt)
															COBJECT(BgL_auxz00_9155))->BgL_numz00);
												}
												{	/* SawMill/regalloc.scm 726 */
													long BgL_n1z00_6139;
													long BgL_n2z00_6140;

													BgL_n1z00_6139 = (long) (BgL_arg2656z00_6138);
													BgL_n2z00_6140 = 8L;
													{	/* SawMill/regalloc.scm 726 */
														bool_t BgL_test3255z00_9164;

														{	/* SawMill/regalloc.scm 726 */
															long BgL_arg1375z00_6141;

															BgL_arg1375z00_6141 =
																(((BgL_n1z00_6139) | (BgL_n2z00_6140)) &
																-2147483648);
															BgL_test3255z00_9164 =
																(BgL_arg1375z00_6141 == 0L);
														}
														if (BgL_test3255z00_9164)
															{	/* SawMill/regalloc.scm 726 */
																int32_t BgL_arg1372z00_6142;

																{	/* SawMill/regalloc.scm 726 */
																	int32_t BgL_arg1373z00_6143;
																	int32_t BgL_arg1374z00_6144;

																	BgL_arg1373z00_6143 =
																		(int32_t) (BgL_n1z00_6139);
																	BgL_arg1374z00_6144 =
																		(int32_t) (BgL_n2z00_6140);
																	BgL_arg1372z00_6142 =
																		(BgL_arg1373z00_6143 % BgL_arg1374z00_6144);
																}
																{	/* SawMill/regalloc.scm 726 */
																	long BgL_arg1477z00_6145;

																	BgL_arg1477z00_6145 =
																		(long) (BgL_arg1372z00_6142);
																	BgL_bitz00_6136 =
																		(long) (BgL_arg1477z00_6145);
															}}
														else
															{	/* SawMill/regalloc.scm 726 */
																BgL_bitz00_6136 =
																	(BgL_n1z00_6139 % BgL_n2z00_6140);
															}
													}
												}
											}
											if (
												(BgL_basez00_6135 <
													STRING_LENGTH(
														(((BgL_regsetz00_bglt) COBJECT(
																	((BgL_regsetz00_bglt) BgL_arg2441z00_6134)))->
															BgL_stringz00))))
												{	/* SawMill/regalloc.scm 726 */
													BgL_tmpz00_9049 =
														(
														((STRING_REF(
																	(((BgL_regsetz00_bglt) COBJECT(
																				((BgL_regsetz00_bglt)
																					BgL_arg2441z00_6134)))->
																		BgL_stringz00),
																	BgL_basez00_6135)) & (1L <<
																(int) (BgL_bitz00_6136))) > 0L);
												}
											else
												{	/* SawMill/regalloc.scm 726 */
													BgL_tmpz00_9049 = ((bool_t) 0);
												}
										}
									}
								else
									{	/* SawMill/regalloc.scm 725 */
										BgL_tmpz00_9049 = ((bool_t) 0);
									}
							}
					}
					return BBOOL(BgL_tmpz00_9049);
				}
			}
		}

	}



/* cleanup-move-tree! */
	bool_t BGl_cleanupzd2movezd2treez12z12zzsaw_registerzd2allocationzd2(obj_t
		BgL_blocksz00_105)
	{
		{	/* SawMill/regalloc.scm 743 */
			{
				obj_t BgL_iz00_3232;
				obj_t BgL_bz00_3251;

				{
					obj_t BgL_l1698z00_3198;

					BgL_l1698z00_3198 = BgL_blocksz00_105;
				BgL_zc3z04anonymousza32460ze3z87_3199:
					if (PAIRP(BgL_l1698z00_3198))
						{	/* SawMill/regalloc.scm 767 */
							BgL_bz00_3251 = CAR(BgL_l1698z00_3198);
							{	/* SawMill/regalloc.scm 765 */
								obj_t BgL_g1697z00_3254;

								BgL_g1697z00_3254 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_bz00_3251)))->BgL_firstz00);
								{
									obj_t BgL_l1695z00_3256;

									BgL_l1695z00_3256 = BgL_g1697z00_3254;
								BgL_zc3z04anonymousza32493ze3z87_3257:
									if (PAIRP(BgL_l1695z00_3256))
										{	/* SawMill/regalloc.scm 765 */
											BgL_iz00_3232 = CAR(BgL_l1695z00_3256);
											{
												obj_t BgL_auxz00_9193;

												{	/* SawMill/regalloc.scm 760 */
													obj_t BgL_l1689z00_3235;

													BgL_l1689z00_3235 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_iz00_3232)))->
														BgL_argsz00);
													if (NULLP(BgL_l1689z00_3235))
														{	/* SawMill/regalloc.scm 760 */
															BgL_auxz00_9193 = BNIL;
														}
													else
														{	/* SawMill/regalloc.scm 760 */
															obj_t BgL_head1691z00_3237;

															{	/* SawMill/regalloc.scm 760 */
																obj_t BgL_arg2490z00_3249;

																{	/* SawMill/regalloc.scm 760 */
																	obj_t BgL_arg2491z00_3250;

																	BgL_arg2491z00_3250 = CAR(BgL_l1689z00_3235);
																	BgL_arg2490z00_3249 =
																		BGl_argszd2cleanupzd2movezd2treez12ze70z27zzsaw_registerzd2allocationzd2
																		(BgL_arg2491z00_3250);
																}
																BgL_head1691z00_3237 =
																	MAKE_YOUNG_PAIR(BgL_arg2490z00_3249, BNIL);
															}
															{	/* SawMill/regalloc.scm 760 */
																obj_t BgL_g1694z00_3238;

																BgL_g1694z00_3238 = CDR(BgL_l1689z00_3235);
																{
																	obj_t BgL_l1689z00_3240;
																	obj_t BgL_tail1692z00_3241;

																	BgL_l1689z00_3240 = BgL_g1694z00_3238;
																	BgL_tail1692z00_3241 = BgL_head1691z00_3237;
																BgL_zc3z04anonymousza32485ze3z87_3242:
																	if (NULLP(BgL_l1689z00_3240))
																		{	/* SawMill/regalloc.scm 760 */
																			BgL_auxz00_9193 = BgL_head1691z00_3237;
																		}
																	else
																		{	/* SawMill/regalloc.scm 760 */
																			obj_t BgL_newtail1693z00_3244;

																			{	/* SawMill/regalloc.scm 760 */
																				obj_t BgL_arg2488z00_3246;

																				{	/* SawMill/regalloc.scm 760 */
																					obj_t BgL_arg2489z00_3247;

																					BgL_arg2489z00_3247 =
																						CAR(((obj_t) BgL_l1689z00_3240));
																					BgL_arg2488z00_3246 =
																						BGl_argszd2cleanupzd2movezd2treez12ze70z27zzsaw_registerzd2allocationzd2
																						(BgL_arg2489z00_3247);
																				}
																				BgL_newtail1693z00_3244 =
																					MAKE_YOUNG_PAIR(BgL_arg2488z00_3246,
																					BNIL);
																			}
																			SET_CDR(BgL_tail1692z00_3241,
																				BgL_newtail1693z00_3244);
																			{	/* SawMill/regalloc.scm 760 */
																				obj_t BgL_arg2487z00_3245;

																				BgL_arg2487z00_3245 =
																					CDR(((obj_t) BgL_l1689z00_3240));
																				{
																					obj_t BgL_tail1692z00_9213;
																					obj_t BgL_l1689z00_9212;

																					BgL_l1689z00_9212 =
																						BgL_arg2487z00_3245;
																					BgL_tail1692z00_9213 =
																						BgL_newtail1693z00_3244;
																					BgL_tail1692z00_3241 =
																						BgL_tail1692z00_9213;
																					BgL_l1689z00_3240 = BgL_l1689z00_9212;
																					goto
																						BgL_zc3z04anonymousza32485ze3z87_3242;
																				}
																			}
																		}
																}
															}
														}
												}
												((((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_iz00_3232)))->
														BgL_argsz00) = ((obj_t) BgL_auxz00_9193), BUNSPEC);
											}
											BgL_iz00_3232;
											{
												obj_t BgL_l1695z00_9216;

												BgL_l1695z00_9216 = CDR(BgL_l1695z00_3256);
												BgL_l1695z00_3256 = BgL_l1695z00_9216;
												goto BgL_zc3z04anonymousza32493ze3z87_3257;
											}
										}
									else
										{	/* SawMill/regalloc.scm 765 */
											((bool_t) 1);
										}
								}
							}
							{
								obj_t BgL_l1698z00_9219;

								BgL_l1698z00_9219 = CDR(BgL_l1698z00_3198);
								BgL_l1698z00_3198 = BgL_l1698z00_9219;
								goto BgL_zc3z04anonymousza32460ze3z87_3199;
							}
						}
					else
						{	/* SawMill/regalloc.scm 767 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* args-cleanup-move-tree!~0 */
	obj_t
		BGl_argszd2cleanupzd2movezd2treez12ze70z27zzsaw_registerzd2allocationzd2
		(obj_t BgL_az00_3208)
	{
		{	/* SawMill/regalloc.scm 756 */
			{	/* SawMill/regalloc.scm 750 */
				bool_t BgL_test3261z00_9221;

				{	/* SawMill/regalloc.scm 750 */
					obj_t BgL_classz00_5273;

					BgL_classz00_5273 = BGl_rtl_insz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_az00_3208))
						{	/* SawMill/regalloc.scm 750 */
							BgL_objectz00_bglt BgL_arg1858z00_5275;

							BgL_arg1858z00_5275 = (BgL_objectz00_bglt) (BgL_az00_3208);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawMill/regalloc.scm 750 */
									long BgL_idxz00_5281;

									BgL_idxz00_5281 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5275);
									BgL_test3261z00_9221 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5281 + 1L)) == BgL_classz00_5273);
								}
							else
								{	/* SawMill/regalloc.scm 750 */
									bool_t BgL_res2855z00_5306;

									{	/* SawMill/regalloc.scm 750 */
										obj_t BgL_oclassz00_5289;

										{	/* SawMill/regalloc.scm 750 */
											obj_t BgL_arg1866z00_5297;
											long BgL_arg1867z00_5298;

											BgL_arg1866z00_5297 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawMill/regalloc.scm 750 */
												long BgL_arg1869z00_5299;

												BgL_arg1869z00_5299 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5275);
												BgL_arg1867z00_5298 =
													(BgL_arg1869z00_5299 - OBJECT_TYPE);
											}
											BgL_oclassz00_5289 =
												VECTOR_REF(BgL_arg1866z00_5297, BgL_arg1867z00_5298);
										}
										{	/* SawMill/regalloc.scm 750 */
											bool_t BgL__ortest_1115z00_5290;

											BgL__ortest_1115z00_5290 =
												(BgL_classz00_5273 == BgL_oclassz00_5289);
											if (BgL__ortest_1115z00_5290)
												{	/* SawMill/regalloc.scm 750 */
													BgL_res2855z00_5306 = BgL__ortest_1115z00_5290;
												}
											else
												{	/* SawMill/regalloc.scm 750 */
													long BgL_odepthz00_5291;

													{	/* SawMill/regalloc.scm 750 */
														obj_t BgL_arg1855z00_5292;

														BgL_arg1855z00_5292 = (BgL_oclassz00_5289);
														BgL_odepthz00_5291 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_5292);
													}
													if ((1L < BgL_odepthz00_5291))
														{	/* SawMill/regalloc.scm 750 */
															obj_t BgL_arg1853z00_5294;

															{	/* SawMill/regalloc.scm 750 */
																obj_t BgL_arg1854z00_5295;

																BgL_arg1854z00_5295 = (BgL_oclassz00_5289);
																BgL_arg1853z00_5294 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5295,
																	1L);
															}
															BgL_res2855z00_5306 =
																(BgL_arg1853z00_5294 == BgL_classz00_5273);
														}
													else
														{	/* SawMill/regalloc.scm 750 */
															BgL_res2855z00_5306 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test3261z00_9221 = BgL_res2855z00_5306;
								}
						}
					else
						{	/* SawMill/regalloc.scm 750 */
							BgL_test3261z00_9221 = ((bool_t) 0);
						}
				}
				if (BgL_test3261z00_9221)
					{	/* SawMill/regalloc.scm 750 */
						{
							obj_t BgL_auxz00_9244;

							{	/* SawMill/regalloc.scm 752 */
								obj_t BgL_l1683z00_3212;

								BgL_l1683z00_3212 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_az00_3208)))->BgL_argsz00);
								if (NULLP(BgL_l1683z00_3212))
									{	/* SawMill/regalloc.scm 752 */
										BgL_auxz00_9244 = BNIL;
									}
								else
									{	/* SawMill/regalloc.scm 752 */
										obj_t BgL_head1685z00_3214;

										{	/* SawMill/regalloc.scm 752 */
											obj_t BgL_arg2477z00_3226;

											{	/* SawMill/regalloc.scm 752 */
												obj_t BgL_arg2478z00_3227;

												BgL_arg2478z00_3227 = CAR(BgL_l1683z00_3212);
												BgL_arg2477z00_3226 =
													BGl_argszd2cleanupzd2movezd2treez12ze70z27zzsaw_registerzd2allocationzd2
													(BgL_arg2478z00_3227);
											}
											BgL_head1685z00_3214 =
												MAKE_YOUNG_PAIR(BgL_arg2477z00_3226, BNIL);
										}
										{	/* SawMill/regalloc.scm 752 */
											obj_t BgL_g1688z00_3215;

											BgL_g1688z00_3215 = CDR(BgL_l1683z00_3212);
											{
												obj_t BgL_l1683z00_3217;
												obj_t BgL_tail1686z00_3218;

												BgL_l1683z00_3217 = BgL_g1688z00_3215;
												BgL_tail1686z00_3218 = BgL_head1685z00_3214;
											BgL_zc3z04anonymousza32471ze3z87_3219:
												if (NULLP(BgL_l1683z00_3217))
													{	/* SawMill/regalloc.scm 752 */
														BgL_auxz00_9244 = BgL_head1685z00_3214;
													}
												else
													{	/* SawMill/regalloc.scm 752 */
														obj_t BgL_newtail1687z00_3221;

														{	/* SawMill/regalloc.scm 752 */
															obj_t BgL_arg2474z00_3223;

															{	/* SawMill/regalloc.scm 752 */
																obj_t BgL_arg2476z00_3224;

																BgL_arg2476z00_3224 =
																	CAR(((obj_t) BgL_l1683z00_3217));
																BgL_arg2474z00_3223 =
																	BGl_argszd2cleanupzd2movezd2treez12ze70z27zzsaw_registerzd2allocationzd2
																	(BgL_arg2476z00_3224);
															}
															BgL_newtail1687z00_3221 =
																MAKE_YOUNG_PAIR(BgL_arg2474z00_3223, BNIL);
														}
														SET_CDR(BgL_tail1686z00_3218,
															BgL_newtail1687z00_3221);
														{	/* SawMill/regalloc.scm 752 */
															obj_t BgL_arg2473z00_3222;

															BgL_arg2473z00_3222 =
																CDR(((obj_t) BgL_l1683z00_3217));
															{
																obj_t BgL_tail1686z00_9264;
																obj_t BgL_l1683z00_9263;

																BgL_l1683z00_9263 = BgL_arg2473z00_3222;
																BgL_tail1686z00_9264 = BgL_newtail1687z00_3221;
																BgL_tail1686z00_3218 = BgL_tail1686z00_9264;
																BgL_l1683z00_3217 = BgL_l1683z00_9263;
																goto BgL_zc3z04anonymousza32471ze3z87_3219;
															}
														}
													}
											}
										}
									}
							}
							((((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_az00_3208)))->BgL_argsz00) =
								((obj_t) BgL_auxz00_9244), BUNSPEC);
						}
						{	/* SawMill/regalloc.scm 753 */
							bool_t BgL_test3268z00_9266;

							{	/* SawMill/regalloc.scm 753 */
								BgL_rtl_funz00_bglt BgL_arg2482z00_3231;

								BgL_arg2482z00_3231 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_az00_3208)))->BgL_funz00);
								{	/* SawMill/regalloc.scm 753 */
									obj_t BgL_classz00_5312;

									BgL_classz00_5312 = BGl_rtl_movz00zzsaw_defsz00;
									{	/* SawMill/regalloc.scm 753 */
										BgL_objectz00_bglt BgL_arg1858z00_5314;

										{	/* SawMill/regalloc.scm 753 */
											obj_t BgL_tmpz00_9269;

											BgL_tmpz00_9269 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg2482z00_3231));
											BgL_arg1858z00_5314 =
												(BgL_objectz00_bglt) (BgL_tmpz00_9269);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* SawMill/regalloc.scm 753 */
												long BgL_idxz00_5320;

												BgL_idxz00_5320 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5314);
												BgL_test3268z00_9266 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5320 + 3L)) == BgL_classz00_5312);
											}
										else
											{	/* SawMill/regalloc.scm 753 */
												bool_t BgL_res2856z00_5345;

												{	/* SawMill/regalloc.scm 753 */
													obj_t BgL_oclassz00_5328;

													{	/* SawMill/regalloc.scm 753 */
														obj_t BgL_arg1866z00_5336;
														long BgL_arg1867z00_5337;

														BgL_arg1866z00_5336 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* SawMill/regalloc.scm 753 */
															long BgL_arg1869z00_5338;

															BgL_arg1869z00_5338 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5314);
															BgL_arg1867z00_5337 =
																(BgL_arg1869z00_5338 - OBJECT_TYPE);
														}
														BgL_oclassz00_5328 =
															VECTOR_REF(BgL_arg1866z00_5336,
															BgL_arg1867z00_5337);
													}
													{	/* SawMill/regalloc.scm 753 */
														bool_t BgL__ortest_1115z00_5329;

														BgL__ortest_1115z00_5329 =
															(BgL_classz00_5312 == BgL_oclassz00_5328);
														if (BgL__ortest_1115z00_5329)
															{	/* SawMill/regalloc.scm 753 */
																BgL_res2856z00_5345 = BgL__ortest_1115z00_5329;
															}
														else
															{	/* SawMill/regalloc.scm 753 */
																long BgL_odepthz00_5330;

																{	/* SawMill/regalloc.scm 753 */
																	obj_t BgL_arg1855z00_5331;

																	BgL_arg1855z00_5331 = (BgL_oclassz00_5328);
																	BgL_odepthz00_5330 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_5331);
																}
																if ((3L < BgL_odepthz00_5330))
																	{	/* SawMill/regalloc.scm 753 */
																		obj_t BgL_arg1853z00_5333;

																		{	/* SawMill/regalloc.scm 753 */
																			obj_t BgL_arg1854z00_5334;

																			BgL_arg1854z00_5334 =
																				(BgL_oclassz00_5328);
																			BgL_arg1853z00_5333 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_5334, 3L);
																		}
																		BgL_res2856z00_5345 =
																			(BgL_arg1853z00_5333 ==
																			BgL_classz00_5312);
																	}
																else
																	{	/* SawMill/regalloc.scm 753 */
																		BgL_res2856z00_5345 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test3268z00_9266 = BgL_res2856z00_5345;
											}
									}
								}
							}
							if (BgL_test3268z00_9266)
								{	/* SawMill/regalloc.scm 754 */
									obj_t BgL_pairz00_5346;

									BgL_pairz00_5346 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_az00_3208)))->BgL_argsz00);
									return CAR(BgL_pairz00_5346);
								}
							else
								{	/* SawMill/regalloc.scm 753 */
									return BgL_az00_3208;
								}
						}
					}
				else
					{	/* SawMill/regalloc.scm 750 */
						return BgL_az00_3208;
					}
			}
		}

	}



/* use-register! */
	BgL_rtl_regz00_bglt
		BGl_usezd2registerz12zc0zzsaw_registerzd2allocationzd2(BgL_rtl_regz00_bglt
		BgL_regz00_106)
	{
		{	/* SawMill/regalloc.scm 776 */
			{
				int BgL_auxz00_9301;
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_9295;

				{	/* SawMill/regalloc.scm 778 */
					int BgL_arg2497z00_3267;

					{
						BgL_rtl_regzf2razf2_bglt BgL_auxz00_9302;

						{
							obj_t BgL_auxz00_9303;

							{	/* SawMill/regalloc.scm 778 */
								BgL_objectz00_bglt BgL_tmpz00_9304;

								BgL_tmpz00_9304 = ((BgL_objectz00_bglt) BgL_regz00_106);
								BgL_auxz00_9303 = BGL_OBJECT_WIDENING(BgL_tmpz00_9304);
							}
							BgL_auxz00_9302 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_9303);
						}
						BgL_arg2497z00_3267 =
							(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_9302))->
							BgL_occurrencesz00);
					}
					BgL_auxz00_9301 = (int) ((1L + (long) (BgL_arg2497z00_3267)));
				}
				{
					obj_t BgL_auxz00_9296;

					{	/* SawMill/regalloc.scm 778 */
						BgL_objectz00_bglt BgL_tmpz00_9297;

						BgL_tmpz00_9297 = ((BgL_objectz00_bglt) BgL_regz00_106);
						BgL_auxz00_9296 = BGL_OBJECT_WIDENING(BgL_tmpz00_9297);
					}
					BgL_auxz00_9295 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_9296);
				}
				((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_9295))->
						BgL_occurrencesz00) = ((int) BgL_auxz00_9301), BUNSPEC);
			}
			return BgL_regz00_106;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_registerzd2allocationzd2(void)
	{
		{	/* SawMill/regalloc.scm 15 */
			{	/* SawMill/regalloc.scm 34 */
				obj_t BgL_arg2502z00_3272;
				obj_t BgL_arg2503z00_3273;

				{	/* SawMill/regalloc.scm 34 */
					obj_t BgL_v1706z00_3299;

					BgL_v1706z00_3299 = create_vector(1L);
					{	/* SawMill/regalloc.scm 34 */
						obj_t BgL_arg2519z00_3300;

						BgL_arg2519z00_3300 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(0)),
							BGl_proc2915z00zzsaw_registerzd2allocationzd2,
							BGl_proc2914z00zzsaw_registerzd2allocationzd2, ((bool_t) 0),
							((bool_t) 0), BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1706z00_3299, 0L, BgL_arg2519z00_3300);
					}
					BgL_arg2502z00_3272 = BgL_v1706z00_3299;
				}
				{	/* SawMill/regalloc.scm 34 */
					obj_t BgL_v1707z00_3310;

					BgL_v1707z00_3310 = create_vector(0L);
					BgL_arg2503z00_3273 = BgL_v1707z00_3310;
				}
				BGl_blockzf2razf2zzsaw_registerzd2allocationzd2 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(2)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_blockz00zzsaw_defsz00, 29229L,
					BGl_proc2919z00zzsaw_registerzd2allocationzd2,
					BGl_proc2918z00zzsaw_registerzd2allocationzd2, BFALSE,
					BGl_proc2917z00zzsaw_registerzd2allocationzd2,
					BGl_proc2916z00zzsaw_registerzd2allocationzd2, BgL_arg2502z00_3272,
					BgL_arg2503z00_3273);
			}
			{	/* SawMill/regalloc.scm 37 */
				obj_t BgL_arg2530z00_3319;
				obj_t BgL_arg2532z00_3320;

				{	/* SawMill/regalloc.scm 37 */
					obj_t BgL_v1708z00_3350;

					BgL_v1708z00_3350 = create_vector(4L);
					{	/* SawMill/regalloc.scm 37 */
						obj_t BgL_arg2545z00_3351;

						BgL_arg2545z00_3351 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)),
							BGl_proc2922z00zzsaw_registerzd2allocationzd2,
							BGl_proc2921z00zzsaw_registerzd2allocationzd2, ((bool_t) 0),
							((bool_t) 0), BFALSE,
							BGl_proc2920z00zzsaw_registerzd2allocationzd2,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1708z00_3350, 0L, BgL_arg2545z00_3351);
					}
					{	/* SawMill/regalloc.scm 37 */
						obj_t BgL_arg2553z00_3364;

						BgL_arg2553z00_3364 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)),
							BGl_proc2925z00zzsaw_registerzd2allocationzd2,
							BGl_proc2924z00zzsaw_registerzd2allocationzd2, ((bool_t) 0),
							((bool_t) 0), BFALSE,
							BGl_proc2923z00zzsaw_registerzd2allocationzd2,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1708z00_3350, 1L, BgL_arg2553z00_3364);
					}
					{	/* SawMill/regalloc.scm 37 */
						obj_t BgL_arg2560z00_3377;

						BgL_arg2560z00_3377 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)),
							BGl_proc2928z00zzsaw_registerzd2allocationzd2,
							BGl_proc2927z00zzsaw_registerzd2allocationzd2, ((bool_t) 0),
							((bool_t) 0), BFALSE,
							BGl_proc2926z00zzsaw_registerzd2allocationzd2,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1708z00_3350, 2L, BgL_arg2560z00_3377);
					}
					{	/* SawMill/regalloc.scm 37 */
						obj_t BgL_arg2568z00_3390;

						BgL_arg2568z00_3390 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)),
							BGl_proc2931z00zzsaw_registerzd2allocationzd2,
							BGl_proc2930z00zzsaw_registerzd2allocationzd2, ((bool_t) 0),
							((bool_t) 0), BFALSE,
							BGl_proc2929z00zzsaw_registerzd2allocationzd2,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1708z00_3350, 3L, BgL_arg2568z00_3390);
					}
					BgL_arg2530z00_3319 = BgL_v1708z00_3350;
				}
				{	/* SawMill/regalloc.scm 37 */
					obj_t BgL_v1709z00_3403;

					BgL_v1709z00_3403 = create_vector(0L);
					BgL_arg2532z00_3320 = BgL_v1709z00_3403;
				}
				return (BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(9)),
						((obj_t)
							CNST_TABLE_REF(3)), BGl_rtl_insz00zzsaw_defsz00, 22325L,
						BGl_proc2935z00zzsaw_registerzd2allocationzd2,
						BGl_proc2934z00zzsaw_registerzd2allocationzd2, BFALSE,
						BGl_proc2933z00zzsaw_registerzd2allocationzd2,
						BGl_proc2932z00zzsaw_registerzd2allocationzd2, BgL_arg2530z00_3319,
						BgL_arg2532z00_3320), BUNSPEC);
			}
		}

	}



/* &lambda2540 */
	BgL_rtl_insz00_bglt BGl_z62lambda2540z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5962, obj_t BgL_o1176z00_5963)
	{
		{	/* SawMill/regalloc.scm 37 */
			{	/* SawMill/regalloc.scm 37 */
				long BgL_arg2541z00_6147;

				{	/* SawMill/regalloc.scm 37 */
					obj_t BgL_arg2542z00_6148;

					{	/* SawMill/regalloc.scm 37 */
						obj_t BgL_arg2543z00_6149;

						{	/* SawMill/regalloc.scm 37 */
							obj_t BgL_arg1866z00_6150;
							long BgL_arg1867z00_6151;

							BgL_arg1866z00_6150 = (BGl_za2classesza2z00zz__objectz00);
							{	/* SawMill/regalloc.scm 37 */
								long BgL_arg1869z00_6152;

								BgL_arg1869z00_6152 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_o1176z00_5963)));
								BgL_arg1867z00_6151 = (BgL_arg1869z00_6152 - OBJECT_TYPE);
							}
							BgL_arg2543z00_6149 =
								VECTOR_REF(BgL_arg1866z00_6150, BgL_arg1867z00_6151);
						}
						BgL_arg2542z00_6148 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2543z00_6149);
					}
					{	/* SawMill/regalloc.scm 37 */
						obj_t BgL_tmpz00_9364;

						BgL_tmpz00_9364 = ((obj_t) BgL_arg2542z00_6148);
						BgL_arg2541z00_6147 = BGL_CLASS_NUM(BgL_tmpz00_9364);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_rtl_insz00_bglt) BgL_o1176z00_5963)), BgL_arg2541z00_6147);
			}
			{	/* SawMill/regalloc.scm 37 */
				BgL_objectz00_bglt BgL_tmpz00_9370;

				BgL_tmpz00_9370 =
					((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1176z00_5963));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9370, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1176z00_5963));
			return ((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1176z00_5963));
		}

	}



/* &<@anonymous:2539> */
	obj_t BGl_z62zc3z04anonymousza32539ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5964, obj_t BgL_new1175z00_5965)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_insz00_bglt BgL_auxz00_9378;

				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt)
									((BgL_rtl_insz00_bglt) BgL_new1175z00_5965))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_insz00_bglt)
							COBJECT(((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt)
										BgL_new1175z00_5965))))->BgL_z52spillz52) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_rtl_insz00_bglt)
							COBJECT(((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt)
										BgL_new1175z00_5965))))->BgL_destz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_rtl_funz00_bglt BgL_auxz00_9388;

					{	/* SawMill/regalloc.scm 37 */
						obj_t BgL_classz00_6154;

						BgL_classz00_6154 = BGl_rtl_funz00zzsaw_defsz00;
						{	/* SawMill/regalloc.scm 37 */
							obj_t BgL__ortest_1117z00_6155;

							BgL__ortest_1117z00_6155 = BGL_CLASS_NIL(BgL_classz00_6154);
							if (CBOOL(BgL__ortest_1117z00_6155))
								{	/* SawMill/regalloc.scm 37 */
									BgL_auxz00_9388 =
										((BgL_rtl_funz00_bglt) BgL__ortest_1117z00_6155);
								}
							else
								{	/* SawMill/regalloc.scm 37 */
									BgL_auxz00_9388 =
										((BgL_rtl_funz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_6154));
								}
						}
					}
					((((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_new1175z00_5965))))->
							BgL_funz00) = ((BgL_rtl_funz00_bglt) BgL_auxz00_9388), BUNSPEC);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt)
									((BgL_rtl_insz00_bglt) BgL_new1175z00_5965))))->BgL_argsz00) =
					((obj_t) BNIL), BUNSPEC);
				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_9401;

					{
						obj_t BgL_auxz00_9402;

						{	/* SawMill/regalloc.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_9403;

							BgL_tmpz00_9403 =
								((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_new1175z00_5965));
							BgL_auxz00_9402 = BGL_OBJECT_WIDENING(BgL_tmpz00_9403);
						}
						BgL_auxz00_9401 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_9402);
					}
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_9401))->BgL_defz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_9409;

					{
						obj_t BgL_auxz00_9410;

						{	/* SawMill/regalloc.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_9411;

							BgL_tmpz00_9411 =
								((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_new1175z00_5965));
							BgL_auxz00_9410 = BGL_OBJECT_WIDENING(BgL_tmpz00_9411);
						}
						BgL_auxz00_9409 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_9410);
					}
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_9409))->BgL_outz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_9417;

					{
						obj_t BgL_auxz00_9418;

						{	/* SawMill/regalloc.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_9419;

							BgL_tmpz00_9419 =
								((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_new1175z00_5965));
							BgL_auxz00_9418 = BGL_OBJECT_WIDENING(BgL_tmpz00_9419);
						}
						BgL_auxz00_9417 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_9418);
					}
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_9417))->BgL_inz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_9425;

					{
						obj_t BgL_auxz00_9426;

						{	/* SawMill/regalloc.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_9427;

							BgL_tmpz00_9427 =
								((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_new1175z00_5965));
							BgL_auxz00_9426 = BGL_OBJECT_WIDENING(BgL_tmpz00_9427);
						}
						BgL_auxz00_9425 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_9426);
					}
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_9425))->
							BgL_spillz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_9378 = ((BgL_rtl_insz00_bglt) BgL_new1175z00_5965);
				return ((obj_t) BgL_auxz00_9378);
			}
		}

	}



/* &lambda2537 */
	BgL_rtl_insz00_bglt BGl_z62lambda2537z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5966, obj_t BgL_o1172z00_5967)
	{
		{	/* SawMill/regalloc.scm 37 */
			{	/* SawMill/regalloc.scm 37 */
				BgL_rtl_inszf2razf2_bglt BgL_wide1174z00_6157;

				BgL_wide1174z00_6157 =
					((BgL_rtl_inszf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_inszf2razf2_bgl))));
				{	/* SawMill/regalloc.scm 37 */
					obj_t BgL_auxz00_9440;
					BgL_objectz00_bglt BgL_tmpz00_9436;

					BgL_auxz00_9440 = ((obj_t) BgL_wide1174z00_6157);
					BgL_tmpz00_9436 =
						((BgL_objectz00_bglt)
						((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1172z00_5967)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9436, BgL_auxz00_9440);
				}
				((BgL_objectz00_bglt)
					((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1172z00_5967)));
				{	/* SawMill/regalloc.scm 37 */
					long BgL_arg2538z00_6158;

					BgL_arg2538z00_6158 =
						BGL_CLASS_NUM(BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_rtl_insz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_o1172z00_5967))),
						BgL_arg2538z00_6158);
				}
				return
					((BgL_rtl_insz00_bglt)
					((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1172z00_5967)));
			}
		}

	}



/* &lambda2533 */
	BgL_rtl_insz00_bglt BGl_z62lambda2533z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5968, obj_t BgL_loc1163z00_5969, obj_t BgL_z52spill1164z52_5970,
		obj_t BgL_dest1165z00_5971, obj_t BgL_fun1166z00_5972,
		obj_t BgL_args1167z00_5973, obj_t BgL_def1168z00_5974,
		obj_t BgL_out1169z00_5975, obj_t BgL_in1170z00_5976,
		obj_t BgL_spill1171z00_5977)
	{
		{	/* SawMill/regalloc.scm 37 */
			{	/* SawMill/regalloc.scm 37 */
				BgL_rtl_insz00_bglt BgL_new1285z00_6162;

				{	/* SawMill/regalloc.scm 37 */
					BgL_rtl_insz00_bglt BgL_tmp1282z00_6163;
					BgL_rtl_inszf2razf2_bglt BgL_wide1283z00_6164;

					{
						BgL_rtl_insz00_bglt BgL_auxz00_9454;

						{	/* SawMill/regalloc.scm 37 */
							BgL_rtl_insz00_bglt BgL_new1281z00_6165;

							BgL_new1281z00_6165 =
								((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_insz00_bgl))));
							{	/* SawMill/regalloc.scm 37 */
								long BgL_arg2536z00_6166;

								BgL_arg2536z00_6166 =
									BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1281z00_6165),
									BgL_arg2536z00_6166);
							}
							{	/* SawMill/regalloc.scm 37 */
								BgL_objectz00_bglt BgL_tmpz00_9459;

								BgL_tmpz00_9459 = ((BgL_objectz00_bglt) BgL_new1281z00_6165);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9459, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1281z00_6165);
							BgL_auxz00_9454 = BgL_new1281z00_6165;
						}
						BgL_tmp1282z00_6163 = ((BgL_rtl_insz00_bglt) BgL_auxz00_9454);
					}
					BgL_wide1283z00_6164 =
						((BgL_rtl_inszf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_inszf2razf2_bgl))));
					{	/* SawMill/regalloc.scm 37 */
						obj_t BgL_auxz00_9467;
						BgL_objectz00_bglt BgL_tmpz00_9465;

						BgL_auxz00_9467 = ((obj_t) BgL_wide1283z00_6164);
						BgL_tmpz00_9465 = ((BgL_objectz00_bglt) BgL_tmp1282z00_6163);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9465, BgL_auxz00_9467);
					}
					((BgL_objectz00_bglt) BgL_tmp1282z00_6163);
					{	/* SawMill/regalloc.scm 37 */
						long BgL_arg2535z00_6167;

						BgL_arg2535z00_6167 =
							BGL_CLASS_NUM(BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1282z00_6163), BgL_arg2535z00_6167);
					}
					BgL_new1285z00_6162 = ((BgL_rtl_insz00_bglt) BgL_tmp1282z00_6163);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_new1285z00_6162)))->BgL_locz00) =
					((obj_t) BgL_loc1163z00_5969), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1285z00_6162)))->BgL_z52spillz52) =
					((obj_t) ((obj_t) BgL_z52spill1164z52_5970)), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1285z00_6162)))->BgL_destz00) =
					((obj_t) BgL_dest1165z00_5971), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1285z00_6162)))->BgL_funz00) =
					((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt) BgL_fun1166z00_5972)),
					BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1285z00_6162)))->BgL_argsz00) =
					((obj_t) ((obj_t) BgL_args1167z00_5973)), BUNSPEC);
				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_9488;

					{
						obj_t BgL_auxz00_9489;

						{	/* SawMill/regalloc.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_9490;

							BgL_tmpz00_9490 = ((BgL_objectz00_bglt) BgL_new1285z00_6162);
							BgL_auxz00_9489 = BGL_OBJECT_WIDENING(BgL_tmpz00_9490);
						}
						BgL_auxz00_9488 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_9489);
					}
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_9488))->BgL_defz00) =
						((obj_t) BgL_def1168z00_5974), BUNSPEC);
				}
				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_9495;

					{
						obj_t BgL_auxz00_9496;

						{	/* SawMill/regalloc.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_9497;

							BgL_tmpz00_9497 = ((BgL_objectz00_bglt) BgL_new1285z00_6162);
							BgL_auxz00_9496 = BGL_OBJECT_WIDENING(BgL_tmpz00_9497);
						}
						BgL_auxz00_9495 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_9496);
					}
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_9495))->BgL_outz00) =
						((obj_t) BgL_out1169z00_5975), BUNSPEC);
				}
				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_9502;

					{
						obj_t BgL_auxz00_9503;

						{	/* SawMill/regalloc.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_9504;

							BgL_tmpz00_9504 = ((BgL_objectz00_bglt) BgL_new1285z00_6162);
							BgL_auxz00_9503 = BGL_OBJECT_WIDENING(BgL_tmpz00_9504);
						}
						BgL_auxz00_9502 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_9503);
					}
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_9502))->BgL_inz00) =
						((obj_t) BgL_in1170z00_5976), BUNSPEC);
				}
				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_9509;

					{
						obj_t BgL_auxz00_9510;

						{	/* SawMill/regalloc.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_9511;

							BgL_tmpz00_9511 = ((BgL_objectz00_bglt) BgL_new1285z00_6162);
							BgL_auxz00_9510 = BGL_OBJECT_WIDENING(BgL_tmpz00_9511);
						}
						BgL_auxz00_9509 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_9510);
					}
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_9509))->
							BgL_spillz00) = ((obj_t) BgL_spill1171z00_5977), BUNSPEC);
				}
				return BgL_new1285z00_6162;
			}
		}

	}



/* &<@anonymous:2575> */
	obj_t BGl_z62zc3z04anonymousza32575ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5978)
	{
		{	/* SawMill/regalloc.scm 37 */
			return BUNSPEC;
		}

	}



/* &lambda2574 */
	obj_t BGl_z62lambda2574z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5979, obj_t BgL_oz00_5980, obj_t BgL_vz00_5981)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_inszf2razf2_bglt BgL_auxz00_9516;

				{
					obj_t BgL_auxz00_9517;

					{	/* SawMill/regalloc.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_9518;

						BgL_tmpz00_9518 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_5980));
						BgL_auxz00_9517 = BGL_OBJECT_WIDENING(BgL_tmpz00_9518);
					}
					BgL_auxz00_9516 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_9517);
				}
				return
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_9516))->
						BgL_spillz00) = ((obj_t) BgL_vz00_5981), BUNSPEC);
			}
		}

	}



/* &lambda2573 */
	obj_t BGl_z62lambda2573z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5982, obj_t BgL_oz00_5983)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_inszf2razf2_bglt BgL_auxz00_9524;

				{
					obj_t BgL_auxz00_9525;

					{	/* SawMill/regalloc.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_9526;

						BgL_tmpz00_9526 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_5983));
						BgL_auxz00_9525 = BGL_OBJECT_WIDENING(BgL_tmpz00_9526);
					}
					BgL_auxz00_9524 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_9525);
				}
				return
					(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_9524))->BgL_spillz00);
			}
		}

	}



/* &<@anonymous:2566> */
	obj_t BGl_z62zc3z04anonymousza32566ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5984)
	{
		{	/* SawMill/regalloc.scm 37 */
			return BUNSPEC;
		}

	}



/* &lambda2565 */
	obj_t BGl_z62lambda2565z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5985, obj_t BgL_oz00_5986, obj_t BgL_vz00_5987)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_inszf2razf2_bglt BgL_auxz00_9532;

				{
					obj_t BgL_auxz00_9533;

					{	/* SawMill/regalloc.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_9534;

						BgL_tmpz00_9534 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_5986));
						BgL_auxz00_9533 = BGL_OBJECT_WIDENING(BgL_tmpz00_9534);
					}
					BgL_auxz00_9532 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_9533);
				}
				return
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_9532))->BgL_inz00) =
					((obj_t) BgL_vz00_5987), BUNSPEC);
			}
		}

	}



/* &lambda2564 */
	obj_t BGl_z62lambda2564z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5988, obj_t BgL_oz00_5989)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_inszf2razf2_bglt BgL_auxz00_9540;

				{
					obj_t BgL_auxz00_9541;

					{	/* SawMill/regalloc.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_9542;

						BgL_tmpz00_9542 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_5989));
						BgL_auxz00_9541 = BGL_OBJECT_WIDENING(BgL_tmpz00_9542);
					}
					BgL_auxz00_9540 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_9541);
				}
				return
					(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_9540))->BgL_inz00);
			}
		}

	}



/* &<@anonymous:2559> */
	obj_t BGl_z62zc3z04anonymousza32559ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5990)
	{
		{	/* SawMill/regalloc.scm 37 */
			return BUNSPEC;
		}

	}



/* &lambda2558 */
	obj_t BGl_z62lambda2558z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5991, obj_t BgL_oz00_5992, obj_t BgL_vz00_5993)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_inszf2razf2_bglt BgL_auxz00_9548;

				{
					obj_t BgL_auxz00_9549;

					{	/* SawMill/regalloc.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_9550;

						BgL_tmpz00_9550 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_5992));
						BgL_auxz00_9549 = BGL_OBJECT_WIDENING(BgL_tmpz00_9550);
					}
					BgL_auxz00_9548 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_9549);
				}
				return
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_9548))->BgL_outz00) =
					((obj_t) BgL_vz00_5993), BUNSPEC);
			}
		}

	}



/* &lambda2557 */
	obj_t BGl_z62lambda2557z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5994, obj_t BgL_oz00_5995)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_inszf2razf2_bglt BgL_auxz00_9556;

				{
					obj_t BgL_auxz00_9557;

					{	/* SawMill/regalloc.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_9558;

						BgL_tmpz00_9558 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_5995));
						BgL_auxz00_9557 = BGL_OBJECT_WIDENING(BgL_tmpz00_9558);
					}
					BgL_auxz00_9556 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_9557);
				}
				return
					(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_9556))->BgL_outz00);
			}
		}

	}



/* &<@anonymous:2552> */
	obj_t BGl_z62zc3z04anonymousza32552ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5996)
	{
		{	/* SawMill/regalloc.scm 37 */
			return BUNSPEC;
		}

	}



/* &lambda2551 */
	obj_t BGl_z62lambda2551z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5997, obj_t BgL_oz00_5998, obj_t BgL_vz00_5999)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_inszf2razf2_bglt BgL_auxz00_9564;

				{
					obj_t BgL_auxz00_9565;

					{	/* SawMill/regalloc.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_9566;

						BgL_tmpz00_9566 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_5998));
						BgL_auxz00_9565 = BGL_OBJECT_WIDENING(BgL_tmpz00_9566);
					}
					BgL_auxz00_9564 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_9565);
				}
				return
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_9564))->BgL_defz00) =
					((obj_t) BgL_vz00_5999), BUNSPEC);
			}
		}

	}



/* &lambda2550 */
	obj_t BGl_z62lambda2550z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_6000, obj_t BgL_oz00_6001)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_inszf2razf2_bglt BgL_auxz00_9572;

				{
					obj_t BgL_auxz00_9573;

					{	/* SawMill/regalloc.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_9574;

						BgL_tmpz00_9574 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_6001));
						BgL_auxz00_9573 = BGL_OBJECT_WIDENING(BgL_tmpz00_9574);
					}
					BgL_auxz00_9572 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_9573);
				}
				return
					(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_9572))->BgL_defz00);
			}
		}

	}



/* &lambda2511 */
	BgL_blockz00_bglt BGl_z62lambda2511z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_6002, obj_t BgL_o1161z00_6003)
	{
		{	/* SawMill/regalloc.scm 34 */
			{	/* SawMill/regalloc.scm 34 */
				long BgL_arg2512z00_6177;

				{	/* SawMill/regalloc.scm 34 */
					obj_t BgL_arg2514z00_6178;

					{	/* SawMill/regalloc.scm 34 */
						obj_t BgL_arg2515z00_6179;

						{	/* SawMill/regalloc.scm 34 */
							obj_t BgL_arg1866z00_6180;
							long BgL_arg1867z00_6181;

							BgL_arg1866z00_6180 = (BGl_za2classesza2z00zz__objectz00);
							{	/* SawMill/regalloc.scm 34 */
								long BgL_arg1869z00_6182;

								BgL_arg1869z00_6182 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_blockz00_bglt) BgL_o1161z00_6003)));
								BgL_arg1867z00_6181 = (BgL_arg1869z00_6182 - OBJECT_TYPE);
							}
							BgL_arg2515z00_6179 =
								VECTOR_REF(BgL_arg1866z00_6180, BgL_arg1867z00_6181);
						}
						BgL_arg2514z00_6178 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2515z00_6179);
					}
					{	/* SawMill/regalloc.scm 34 */
						obj_t BgL_tmpz00_9587;

						BgL_tmpz00_9587 = ((obj_t) BgL_arg2514z00_6178);
						BgL_arg2512z00_6177 = BGL_CLASS_NUM(BgL_tmpz00_9587);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) BgL_o1161z00_6003)), BgL_arg2512z00_6177);
			}
			{	/* SawMill/regalloc.scm 34 */
				BgL_objectz00_bglt BgL_tmpz00_9593;

				BgL_tmpz00_9593 =
					((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1161z00_6003));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9593, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1161z00_6003));
			return ((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1161z00_6003));
		}

	}



/* &<@anonymous:2510> */
	obj_t BGl_z62zc3z04anonymousza32510ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_6004, obj_t BgL_new1160z00_6005)
	{
		{	/* SawMill/regalloc.scm 34 */
			{
				BgL_blockz00_bglt BgL_auxz00_9601;

				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_new1160z00_6005))))->BgL_labelz00) =
					((int) (int) (0L)), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1160z00_6005))))->BgL_predsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1160z00_6005))))->BgL_succsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1160z00_6005))))->BgL_firstz00) =
					((obj_t) BNIL), BUNSPEC);
				{
					BgL_blockzf2razf2_bglt BgL_auxz00_9615;

					{
						obj_t BgL_auxz00_9616;

						{	/* SawMill/regalloc.scm 34 */
							BgL_objectz00_bglt BgL_tmpz00_9617;

							BgL_tmpz00_9617 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1160z00_6005));
							BgL_auxz00_9616 = BGL_OBJECT_WIDENING(BgL_tmpz00_9617);
						}
						BgL_auxz00_9615 = ((BgL_blockzf2razf2_bglt) BgL_auxz00_9616);
					}
					((((BgL_blockzf2razf2_bglt) COBJECT(BgL_auxz00_9615))->BgL_lastz00) =
						((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_9601 = ((BgL_blockz00_bglt) BgL_new1160z00_6005);
				return ((obj_t) BgL_auxz00_9601);
			}
		}

	}



/* &lambda2508 */
	BgL_blockz00_bglt BGl_z62lambda2508z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_6006, obj_t BgL_o1157z00_6007)
	{
		{	/* SawMill/regalloc.scm 34 */
			{	/* SawMill/regalloc.scm 34 */
				BgL_blockzf2razf2_bglt BgL_wide1159z00_6185;

				BgL_wide1159z00_6185 =
					((BgL_blockzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_blockzf2razf2_bgl))));
				{	/* SawMill/regalloc.scm 34 */
					obj_t BgL_auxz00_9630;
					BgL_objectz00_bglt BgL_tmpz00_9626;

					BgL_auxz00_9630 = ((obj_t) BgL_wide1159z00_6185);
					BgL_tmpz00_9626 =
						((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1157z00_6007)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9626, BgL_auxz00_9630);
				}
				((BgL_objectz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1157z00_6007)));
				{	/* SawMill/regalloc.scm 34 */
					long BgL_arg2509z00_6186;

					BgL_arg2509z00_6186 =
						BGL_CLASS_NUM(BGl_blockzf2razf2zzsaw_registerzd2allocationzd2);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_o1157z00_6007))), BgL_arg2509z00_6186);
				}
				return
					((BgL_blockz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1157z00_6007)));
			}
		}

	}



/* &lambda2504 */
	BgL_blockz00_bglt BGl_z62lambda2504z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_6008, obj_t BgL_label1152z00_6009, obj_t BgL_preds1153z00_6010,
		obj_t BgL_succs1154z00_6011, obj_t BgL_first1155z00_6012,
		obj_t BgL_last1156z00_6013)
	{
		{	/* SawMill/regalloc.scm 34 */
			{	/* SawMill/regalloc.scm 34 */
				int BgL_label1152z00_6187;

				BgL_label1152z00_6187 = CINT(BgL_label1152z00_6009);
				{	/* SawMill/regalloc.scm 34 */
					BgL_blockz00_bglt BgL_new1279z00_6192;

					{	/* SawMill/regalloc.scm 34 */
						BgL_blockz00_bglt BgL_tmp1277z00_6193;
						BgL_blockzf2razf2_bglt BgL_wide1278z00_6194;

						{
							BgL_blockz00_bglt BgL_auxz00_9645;

							{	/* SawMill/regalloc.scm 34 */
								BgL_blockz00_bglt BgL_new1276z00_6195;

								BgL_new1276z00_6195 =
									((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_blockz00_bgl))));
								{	/* SawMill/regalloc.scm 34 */
									long BgL_arg2507z00_6196;

									BgL_arg2507z00_6196 =
										BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1276z00_6195),
										BgL_arg2507z00_6196);
								}
								{	/* SawMill/regalloc.scm 34 */
									BgL_objectz00_bglt BgL_tmpz00_9650;

									BgL_tmpz00_9650 = ((BgL_objectz00_bglt) BgL_new1276z00_6195);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9650, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1276z00_6195);
								BgL_auxz00_9645 = BgL_new1276z00_6195;
							}
							BgL_tmp1277z00_6193 = ((BgL_blockz00_bglt) BgL_auxz00_9645);
						}
						BgL_wide1278z00_6194 =
							((BgL_blockzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_blockzf2razf2_bgl))));
						{	/* SawMill/regalloc.scm 34 */
							obj_t BgL_auxz00_9658;
							BgL_objectz00_bglt BgL_tmpz00_9656;

							BgL_auxz00_9658 = ((obj_t) BgL_wide1278z00_6194);
							BgL_tmpz00_9656 = ((BgL_objectz00_bglt) BgL_tmp1277z00_6193);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9656, BgL_auxz00_9658);
						}
						((BgL_objectz00_bglt) BgL_tmp1277z00_6193);
						{	/* SawMill/regalloc.scm 34 */
							long BgL_arg2506z00_6197;

							BgL_arg2506z00_6197 =
								BGL_CLASS_NUM(BGl_blockzf2razf2zzsaw_registerzd2allocationzd2);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1277z00_6193),
								BgL_arg2506z00_6197);
						}
						BgL_new1279z00_6192 = ((BgL_blockz00_bglt) BgL_tmp1277z00_6193);
					}
					((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_new1279z00_6192)))->BgL_labelz00) =
						((int) BgL_label1152z00_6187), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1279z00_6192)))->BgL_predsz00) =
						((obj_t) ((obj_t) BgL_preds1153z00_6010)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1279z00_6192)))->BgL_succsz00) =
						((obj_t) ((obj_t) BgL_succs1154z00_6011)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1279z00_6192)))->BgL_firstz00) =
						((obj_t) ((obj_t) BgL_first1155z00_6012)), BUNSPEC);
					{
						BgL_blockzf2razf2_bglt BgL_auxz00_9677;

						{
							obj_t BgL_auxz00_9678;

							{	/* SawMill/regalloc.scm 34 */
								BgL_objectz00_bglt BgL_tmpz00_9679;

								BgL_tmpz00_9679 = ((BgL_objectz00_bglt) BgL_new1279z00_6192);
								BgL_auxz00_9678 = BGL_OBJECT_WIDENING(BgL_tmpz00_9679);
							}
							BgL_auxz00_9677 = ((BgL_blockzf2razf2_bglt) BgL_auxz00_9678);
						}
						((((BgL_blockzf2razf2_bglt) COBJECT(BgL_auxz00_9677))->
								BgL_lastz00) =
							((obj_t) ((obj_t) BgL_last1156z00_6013)), BUNSPEC);
					}
					return BgL_new1279z00_6192;
				}
			}
		}

	}



/* &lambda2523 */
	obj_t BGl_z62lambda2523z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_6014, obj_t BgL_oz00_6015, obj_t BgL_vz00_6016)
	{
		{	/* SawMill/regalloc.scm 34 */
			{
				BgL_blockzf2razf2_bglt BgL_auxz00_9685;

				{
					obj_t BgL_auxz00_9686;

					{	/* SawMill/regalloc.scm 34 */
						BgL_objectz00_bglt BgL_tmpz00_9687;

						BgL_tmpz00_9687 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_6015));
						BgL_auxz00_9686 = BGL_OBJECT_WIDENING(BgL_tmpz00_9687);
					}
					BgL_auxz00_9685 = ((BgL_blockzf2razf2_bglt) BgL_auxz00_9686);
				}
				return
					((((BgL_blockzf2razf2_bglt) COBJECT(BgL_auxz00_9685))->BgL_lastz00) =
					((obj_t) ((obj_t) BgL_vz00_6016)), BUNSPEC);
			}
		}

	}



/* &lambda2522 */
	obj_t BGl_z62lambda2522z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_6017, obj_t BgL_oz00_6018)
	{
		{	/* SawMill/regalloc.scm 34 */
			{
				BgL_blockzf2razf2_bglt BgL_auxz00_9694;

				{
					obj_t BgL_auxz00_9695;

					{	/* SawMill/regalloc.scm 34 */
						BgL_objectz00_bglt BgL_tmpz00_9696;

						BgL_tmpz00_9696 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_6018));
						BgL_auxz00_9695 = BGL_OBJECT_WIDENING(BgL_tmpz00_9696);
					}
					BgL_auxz00_9694 = ((BgL_blockzf2razf2_bglt) BgL_auxz00_9695);
				}
				return
					(((BgL_blockzf2razf2_bglt) COBJECT(BgL_auxz00_9694))->BgL_lastz00);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_registerzd2allocationzd2(void)
	{
		{	/* SawMill/regalloc.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_protectzd2interferencez12zd2envz12zzsaw_registerzd2allocationzd2,
				BGl_proc2936z00zzsaw_registerzd2allocationzd2, BFALSE,
				BGl_string2937z00zzsaw_registerzd2allocationzd2);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2interferencez12zd2envz12zzsaw_registerzd2allocationzd2,
				BGl_proc2938z00zzsaw_registerzd2allocationzd2,
				BGl_backendz00zzbackend_backendz00,
				BGl_string2939z00zzsaw_registerzd2allocationzd2);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_rtlzd2siza7ezd2envza7zzsaw_registerzd2allocationzd2,
				BGl_proc2940z00zzsaw_registerzd2allocationzd2, BFALSE,
				BGl_string2941z00zzsaw_registerzd2allocationzd2);
		}

	}



/* &rtl-size1714 */
	obj_t BGl_z62rtlzd2siza7e1714z17zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_6022, obj_t BgL_oz00_6023)
	{
		{	/* SawMill/regalloc.scm 784 */
			if (PAIRP(BgL_oz00_6023))
				{	/* SawMill/regalloc.scm 786 */
					obj_t BgL_runner2625z00_6201;

					{	/* SawMill/regalloc.scm 786 */
						obj_t BgL_head1702z00_6202;

						BgL_head1702z00_6202 =
							MAKE_YOUNG_PAIR(BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2
							(CAR(BgL_oz00_6023)), BNIL);
						{	/* SawMill/regalloc.scm 786 */
							obj_t BgL_g1705z00_6203;

							BgL_g1705z00_6203 = CDR(BgL_oz00_6023);
							{
								obj_t BgL_l1700z00_6205;
								obj_t BgL_tail1703z00_6206;

								BgL_l1700z00_6205 = BgL_g1705z00_6203;
								BgL_tail1703z00_6206 = BgL_head1702z00_6202;
							BgL_zc3z04anonymousza32612ze3z87_6204:
								if (NULLP(BgL_l1700z00_6205))
									{	/* SawMill/regalloc.scm 786 */
										BgL_runner2625z00_6201 = BgL_head1702z00_6202;
									}
								else
									{	/* SawMill/regalloc.scm 786 */
										obj_t BgL_newtail1704z00_6207;

										{	/* SawMill/regalloc.scm 786 */
											obj_t BgL_arg2617z00_6208;

											{	/* SawMill/regalloc.scm 786 */
												obj_t BgL_arg2621z00_6209;

												BgL_arg2621z00_6209 = CAR(((obj_t) BgL_l1700z00_6205));
												BgL_arg2617z00_6208 =
													BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2
													(BgL_arg2621z00_6209);
											}
											BgL_newtail1704z00_6207 =
												MAKE_YOUNG_PAIR(BgL_arg2617z00_6208, BNIL);
										}
										SET_CDR(BgL_tail1703z00_6206, BgL_newtail1704z00_6207);
										{	/* SawMill/regalloc.scm 786 */
											obj_t BgL_arg2615z00_6210;

											BgL_arg2615z00_6210 = CDR(((obj_t) BgL_l1700z00_6205));
											{
												obj_t BgL_tail1703z00_9721;
												obj_t BgL_l1700z00_9720;

												BgL_l1700z00_9720 = BgL_arg2615z00_6210;
												BgL_tail1703z00_9721 = BgL_newtail1704z00_6207;
												BgL_tail1703z00_6206 = BgL_tail1703z00_9721;
												BgL_l1700z00_6205 = BgL_l1700z00_9720;
												goto BgL_zc3z04anonymousza32612ze3z87_6204;
											}
										}
									}
							}
						}
					}
					return BGl_zb2zb2zz__r4_numbers_6_5z00(BgL_runner2625z00_6201);
				}
			else
				{	/* SawMill/regalloc.scm 785 */
					return BINT(1L);
				}
		}

	}



/* &type-interference!1712 */
	obj_t BGl_z62typezd2interferencez121712za2zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_6024, obj_t BgL_backz00_6025, obj_t BgL_regsz00_6026)
	{
		{	/* SawMill/regalloc.scm 326 */
			{	/* SawMill/regalloc.scm 327 */
				bool_t BgL_tmpz00_9724;

				if (NULLP(((obj_t) BgL_regsz00_6026)))
					{	/* SawMill/regalloc.scm 327 */
						BgL_tmpz00_9724 = ((bool_t) 0);
					}
				else
					{
						obj_t BgL_regsz00_6214;

						BgL_regsz00_6214 = ((obj_t) BgL_regsz00_6026);
					BgL_loopz00_6213:
						{	/* SawMill/regalloc.scm 329 */
							bool_t BgL_test3276z00_9728;

							{	/* SawMill/regalloc.scm 329 */
								obj_t BgL_tmpz00_9729;

								BgL_tmpz00_9729 = CDR(((obj_t) BgL_regsz00_6214));
								BgL_test3276z00_9728 = PAIRP(BgL_tmpz00_9729);
							}
							if (BgL_test3276z00_9728)
								{	/* SawMill/regalloc.scm 330 */
									obj_t BgL_r1z00_6215;

									BgL_r1z00_6215 = CAR(((obj_t) BgL_regsz00_6214));
									{	/* SawMill/regalloc.scm 330 */
										obj_t BgL_t1z00_6216;

										BgL_t1z00_6216 =
											((obj_t)
											(((BgL_rtl_regz00_bglt) COBJECT(
														((BgL_rtl_regz00_bglt) BgL_r1z00_6215)))->
												BgL_typez00));
										{	/* SawMill/regalloc.scm 331 */

											{	/* SawMill/regalloc.scm 332 */
												bool_t BgL_test3277z00_9738;

												{	/* SawMill/regalloc.scm 332 */
													obj_t BgL_classz00_6217;

													BgL_classz00_6217 = BGl_typez00zztype_typez00;
													if (BGL_OBJECTP(BgL_t1z00_6216))
														{	/* SawMill/regalloc.scm 332 */
															BgL_objectz00_bglt BgL_arg1858z00_6218;

															BgL_arg1858z00_6218 =
																(BgL_objectz00_bglt) (BgL_t1z00_6216);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* SawMill/regalloc.scm 332 */
																	long BgL_idxz00_6219;

																	BgL_idxz00_6219 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_6218);
																	BgL_test3277z00_9738 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_6219 + 1L)) ==
																		BgL_classz00_6217);
																}
															else
																{	/* SawMill/regalloc.scm 332 */
																	bool_t BgL_res2858z00_6222;

																	{	/* SawMill/regalloc.scm 332 */
																		obj_t BgL_oclassz00_6223;

																		{	/* SawMill/regalloc.scm 332 */
																			obj_t BgL_arg1866z00_6224;
																			long BgL_arg1867z00_6225;

																			BgL_arg1866z00_6224 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* SawMill/regalloc.scm 332 */
																				long BgL_arg1869z00_6226;

																				BgL_arg1869z00_6226 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_6218);
																				BgL_arg1867z00_6225 =
																					(BgL_arg1869z00_6226 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_6223 =
																				VECTOR_REF(BgL_arg1866z00_6224,
																				BgL_arg1867z00_6225);
																		}
																		{	/* SawMill/regalloc.scm 332 */
																			bool_t BgL__ortest_1115z00_6227;

																			BgL__ortest_1115z00_6227 =
																				(BgL_classz00_6217 ==
																				BgL_oclassz00_6223);
																			if (BgL__ortest_1115z00_6227)
																				{	/* SawMill/regalloc.scm 332 */
																					BgL_res2858z00_6222 =
																						BgL__ortest_1115z00_6227;
																				}
																			else
																				{	/* SawMill/regalloc.scm 332 */
																					long BgL_odepthz00_6228;

																					{	/* SawMill/regalloc.scm 332 */
																						obj_t BgL_arg1855z00_6229;

																						BgL_arg1855z00_6229 =
																							(BgL_oclassz00_6223);
																						BgL_odepthz00_6228 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_6229);
																					}
																					if ((1L < BgL_odepthz00_6228))
																						{	/* SawMill/regalloc.scm 332 */
																							obj_t BgL_arg1853z00_6230;

																							{	/* SawMill/regalloc.scm 332 */
																								obj_t BgL_arg1854z00_6231;

																								BgL_arg1854z00_6231 =
																									(BgL_oclassz00_6223);
																								BgL_arg1853z00_6230 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_6231, 1L);
																							}
																							BgL_res2858z00_6222 =
																								(BgL_arg1853z00_6230 ==
																								BgL_classz00_6217);
																						}
																					else
																						{	/* SawMill/regalloc.scm 332 */
																							BgL_res2858z00_6222 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test3277z00_9738 = BgL_res2858z00_6222;
																}
														}
													else
														{	/* SawMill/regalloc.scm 332 */
															BgL_test3277z00_9738 = ((bool_t) 0);
														}
												}
												if (BgL_test3277z00_9738)
													{	/* SawMill/regalloc.scm 333 */
														obj_t BgL_g1592z00_6232;

														BgL_g1592z00_6232 = CDR(((obj_t) BgL_regsz00_6214));
														{
															obj_t BgL_l1590z00_6234;

															BgL_l1590z00_6234 = BgL_g1592z00_6232;
														BgL_zc3z04anonymousza32602ze3z87_6233:
															if (PAIRP(BgL_l1590z00_6234))
																{	/* SawMill/regalloc.scm 341 */
																	{	/* SawMill/regalloc.scm 334 */
																		obj_t BgL_r2z00_6235;

																		BgL_r2z00_6235 = CAR(BgL_l1590z00_6234);
																		{	/* SawMill/regalloc.scm 334 */
																			obj_t BgL_t2z00_6236;

																			BgL_t2z00_6236 =
																				((obj_t)
																				(((BgL_rtl_regz00_bglt) COBJECT(
																							((BgL_rtl_regz00_bglt)
																								BgL_r2z00_6235)))->
																					BgL_typez00));
																			{	/* SawMill/regalloc.scm 335 */
																				bool_t BgL_test3283z00_9769;

																				if ((BgL_t1z00_6216 == BgL_t2z00_6236))
																					{	/* SawMill/regalloc.scm 335 */
																						BgL_test3283z00_9769 = ((bool_t) 1);
																					}
																				else
																					{	/* SawMill/regalloc.scm 336 */
																						bool_t BgL_test3285z00_9772;

																						if (
																							(BgL_t1z00_6216 ==
																								BGl_za2objza2z00zztype_cachez00))
																							{	/* SawMill/regalloc.scm 336 */
																								BgL_test3285z00_9772 =
																									BGl_bigloozd2typezf3z21zztype_typez00
																									(((BgL_typez00_bglt)
																										BgL_t2z00_6236));
																							}
																						else
																							{	/* SawMill/regalloc.scm 336 */
																								BgL_test3285z00_9772 =
																									((bool_t) 0);
																							}
																						if (BgL_test3285z00_9772)
																							{	/* SawMill/regalloc.scm 336 */
																								BgL_test3283z00_9769 =
																									((bool_t) 1);
																							}
																						else
																							{	/* SawMill/regalloc.scm 336 */
																								if (
																									(BgL_t2z00_6236 ==
																										BGl_za2objza2z00zztype_cachez00))
																									{	/* SawMill/regalloc.scm 338 */
																										BgL_test3283z00_9769 =
																											BGl_bigloozd2typezf3z21zztype_typez00
																											(((BgL_typez00_bglt)
																												BgL_t1z00_6216));
																									}
																								else
																									{	/* SawMill/regalloc.scm 338 */
																										BgL_test3283z00_9769 =
																											((bool_t) 0);
																									}
																							}
																					}
																				if (BgL_test3283z00_9769)
																					{	/* SawMill/regalloc.scm 335 */
																						((bool_t) 0);
																					}
																				else
																					{	/* SawMill/regalloc.scm 335 */
																						BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
																							(BgL_r1z00_6215, BgL_r2z00_6235);
																					}
																			}
																		}
																	}
																	{
																		obj_t BgL_l1590z00_9782;

																		BgL_l1590z00_9782 = CDR(BgL_l1590z00_6234);
																		BgL_l1590z00_6234 = BgL_l1590z00_9782;
																		goto BgL_zc3z04anonymousza32602ze3z87_6233;
																	}
																}
															else
																{	/* SawMill/regalloc.scm 341 */
																	((bool_t) 1);
																}
														}
													}
												else
													{	/* SawMill/regalloc.scm 332 */
														((bool_t) 0);
													}
											}
											{	/* SawMill/regalloc.scm 342 */
												obj_t BgL_arg2607z00_6237;

												BgL_arg2607z00_6237 = CDR(((obj_t) BgL_regsz00_6214));
												{
													obj_t BgL_regsz00_9786;

													BgL_regsz00_9786 = BgL_arg2607z00_6237;
													BgL_regsz00_6214 = BgL_regsz00_9786;
													goto BgL_loopz00_6213;
												}
											}
										}
									}
								}
							else
								{	/* SawMill/regalloc.scm 329 */
									BgL_tmpz00_9724 = ((bool_t) 0);
								}
						}
					}
				return BBOOL(BgL_tmpz00_9724);
			}
		}

	}



/* &protect-interference1710 */
	obj_t BGl_z62protectzd2interference1710zb0zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_6027, obj_t BgL_oz00_6028, obj_t BgL_regsz00_6029)
	{
		{	/* SawMill/regalloc.scm 222 */
			{	/* SawMill/regalloc.scm 224 */
				bool_t BgL_tmpz00_9789;

				{
					obj_t BgL_oz00_6245;
					obj_t BgL_oz00_6241;

					{
						obj_t BgL_l1557z00_6267;

						BgL_l1557z00_6267 = BgL_oz00_6028;
					BgL_zc3z04anonymousza32577ze3z87_6266:
						if (PAIRP(BgL_l1557z00_6267))
							{	/* SawMill/regalloc.scm 230 */
								BgL_oz00_6241 = CAR(BgL_l1557z00_6267);
								{	/* SawMill/regalloc.scm 229 */
									obj_t BgL_g1556z00_6242;

									BgL_g1556z00_6242 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_oz00_6241)))->BgL_firstz00);
									{
										obj_t BgL_l1554z00_6244;

										BgL_l1554z00_6244 = BgL_g1556z00_6242;
									BgL_zc3z04anonymousza32590ze3z87_6243:
										if (PAIRP(BgL_l1554z00_6244))
											{	/* SawMill/regalloc.scm 229 */
												BgL_oz00_6245 = CAR(BgL_l1554z00_6244);
												{	/* SawMill/regalloc.scm 225 */
													bool_t BgL_test3290z00_9796;

													{	/* SawMill/regalloc.scm 225 */
														BgL_rtl_funz00_bglt BgL_arg2588z00_6246;

														BgL_arg2588z00_6246 =
															(((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt) BgL_oz00_6245)))->
															BgL_funz00);
														{	/* SawMill/regalloc.scm 225 */
															obj_t BgL_classz00_6247;

															BgL_classz00_6247 =
																BGl_rtl_protectz00zzsaw_defsz00;
															{	/* SawMill/regalloc.scm 225 */
																BgL_objectz00_bglt BgL_arg1858z00_6248;

																{	/* SawMill/regalloc.scm 225 */
																	obj_t BgL_tmpz00_9799;

																	BgL_tmpz00_9799 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg2588z00_6246));
																	BgL_arg1858z00_6248 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_9799);
																}
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* SawMill/regalloc.scm 225 */
																		long BgL_idxz00_6249;

																		BgL_idxz00_6249 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_6248);
																		BgL_test3290z00_9796 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_6249 + 2L)) ==
																			BgL_classz00_6247);
																	}
																else
																	{	/* SawMill/regalloc.scm 225 */
																		bool_t BgL_res2857z00_6252;

																		{	/* SawMill/regalloc.scm 225 */
																			obj_t BgL_oclassz00_6253;

																			{	/* SawMill/regalloc.scm 225 */
																				obj_t BgL_arg1866z00_6254;
																				long BgL_arg1867z00_6255;

																				BgL_arg1866z00_6254 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* SawMill/regalloc.scm 225 */
																					long BgL_arg1869z00_6256;

																					BgL_arg1869z00_6256 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_6248);
																					BgL_arg1867z00_6255 =
																						(BgL_arg1869z00_6256 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_6253 =
																					VECTOR_REF(BgL_arg1866z00_6254,
																					BgL_arg1867z00_6255);
																			}
																			{	/* SawMill/regalloc.scm 225 */
																				bool_t BgL__ortest_1115z00_6257;

																				BgL__ortest_1115z00_6257 =
																					(BgL_classz00_6247 ==
																					BgL_oclassz00_6253);
																				if (BgL__ortest_1115z00_6257)
																					{	/* SawMill/regalloc.scm 225 */
																						BgL_res2857z00_6252 =
																							BgL__ortest_1115z00_6257;
																					}
																				else
																					{	/* SawMill/regalloc.scm 225 */
																						long BgL_odepthz00_6258;

																						{	/* SawMill/regalloc.scm 225 */
																							obj_t BgL_arg1855z00_6259;

																							BgL_arg1855z00_6259 =
																								(BgL_oclassz00_6253);
																							BgL_odepthz00_6258 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_6259);
																						}
																						if ((2L < BgL_odepthz00_6258))
																							{	/* SawMill/regalloc.scm 225 */
																								obj_t BgL_arg1853z00_6260;

																								{	/* SawMill/regalloc.scm 225 */
																									obj_t BgL_arg1854z00_6261;

																									BgL_arg1854z00_6261 =
																										(BgL_oclassz00_6253);
																									BgL_arg1853z00_6260 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_6261, 2L);
																								}
																								BgL_res2857z00_6252 =
																									(BgL_arg1853z00_6260 ==
																									BgL_classz00_6247);
																							}
																						else
																							{	/* SawMill/regalloc.scm 225 */
																								BgL_res2857z00_6252 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test3290z00_9796 = BgL_res2857z00_6252;
																	}
															}
														}
													}
													if (BgL_test3290z00_9796)
														{
															obj_t BgL_l1552z00_6263;

															BgL_l1552z00_6263 = ((obj_t) BgL_regsz00_6029);
														BgL_zc3z04anonymousza32584ze3z87_6262:
															if (PAIRP(BgL_l1552z00_6263))
																{	/* SawMill/regalloc.scm 227 */
																	{	/* SawMill/regalloc.scm 227 */
																		obj_t BgL_rz00_6264;

																		BgL_rz00_6264 = CAR(BgL_l1552z00_6263);
																		{	/* SawMill/regalloc.scm 227 */
																			obj_t BgL_arg2586z00_6265;

																			BgL_arg2586z00_6265 =
																				(((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							BgL_oz00_6245)))->BgL_destz00);
																			BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
																				(BgL_arg2586z00_6265, BgL_rz00_6264);
																		}
																	}
																	{
																		obj_t BgL_l1552z00_9828;

																		BgL_l1552z00_9828 = CDR(BgL_l1552z00_6263);
																		BgL_l1552z00_6263 = BgL_l1552z00_9828;
																		goto BgL_zc3z04anonymousza32584ze3z87_6262;
																	}
																}
															else
																{	/* SawMill/regalloc.scm 227 */
																	((bool_t) 1);
																}
														}
													else
														{	/* SawMill/regalloc.scm 225 */
															((bool_t) 0);
														}
												}
												{
													obj_t BgL_l1554z00_9832;

													BgL_l1554z00_9832 = CDR(BgL_l1554z00_6244);
													BgL_l1554z00_6244 = BgL_l1554z00_9832;
													goto BgL_zc3z04anonymousza32590ze3z87_6243;
												}
											}
										else
											{	/* SawMill/regalloc.scm 229 */
												((bool_t) 1);
											}
									}
								}
								{
									obj_t BgL_l1557z00_9835;

									BgL_l1557z00_9835 = CDR(BgL_l1557z00_6267);
									BgL_l1557z00_6267 = BgL_l1557z00_9835;
									goto BgL_zc3z04anonymousza32577ze3z87_6266;
								}
							}
						else
							{	/* SawMill/regalloc.scm 230 */
								BgL_tmpz00_9789 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_9789);
			}
		}

	}



/* protect-interference! */
	obj_t BGl_protectzd2interferencez12zc0zzsaw_registerzd2allocationzd2(obj_t
		BgL_oz00_74, obj_t BgL_regsz00_75)
	{
		{	/* SawMill/regalloc.scm 222 */
			if (BGL_OBJECTP(BgL_oz00_74))
				{	/* SawMill/regalloc.scm 222 */
					obj_t BgL_method1711z00_3502;

					{	/* SawMill/regalloc.scm 222 */
						obj_t BgL_res2863z00_5554;

						{	/* SawMill/regalloc.scm 222 */
							long BgL_objzd2classzd2numz00_5525;

							BgL_objzd2classzd2numz00_5525 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_oz00_74));
							{	/* SawMill/regalloc.scm 222 */
								obj_t BgL_arg1862z00_5526;

								BgL_arg1862z00_5526 =
									PROCEDURE_REF
									(BGl_protectzd2interferencez12zd2envz12zzsaw_registerzd2allocationzd2,
									(int) (1L));
								{	/* SawMill/regalloc.scm 222 */
									int BgL_offsetz00_5529;

									BgL_offsetz00_5529 = (int) (BgL_objzd2classzd2numz00_5525);
									{	/* SawMill/regalloc.scm 222 */
										long BgL_offsetz00_5530;

										BgL_offsetz00_5530 =
											((long) (BgL_offsetz00_5529) - OBJECT_TYPE);
										{	/* SawMill/regalloc.scm 222 */
											long BgL_modz00_5531;

											BgL_modz00_5531 =
												(BgL_offsetz00_5530 >> (int) ((long) ((int) (4L))));
											{	/* SawMill/regalloc.scm 222 */
												long BgL_restz00_5533;

												BgL_restz00_5533 =
													(BgL_offsetz00_5530 &
													(long) (
														(int) (
															((long) (
																	(int) (
																		(1L <<
																			(int) ((long) ((int) (4L)))))) - 1L))));
												{	/* SawMill/regalloc.scm 222 */

													{	/* SawMill/regalloc.scm 222 */
														obj_t BgL_bucketz00_5535;

														BgL_bucketz00_5535 =
															VECTOR_REF(
															((obj_t) BgL_arg1862z00_5526), BgL_modz00_5531);
														BgL_res2863z00_5554 =
															VECTOR_REF(
															((obj_t) BgL_bucketz00_5535), BgL_restz00_5533);
						}}}}}}}}
						BgL_method1711z00_3502 = BgL_res2863z00_5554;
					}
					return
						BGL_PROCEDURE_CALL2(BgL_method1711z00_3502, BgL_oz00_74,
						BgL_regsz00_75);
				}
			else
				{	/* SawMill/regalloc.scm 222 */
					obj_t BgL_fun2627z00_3503;

					BgL_fun2627z00_3503 =
						PROCEDURE_REF
						(BGl_protectzd2interferencez12zd2envz12zzsaw_registerzd2allocationzd2,
						(int) (0L));
					return BGL_PROCEDURE_CALL2(BgL_fun2627z00_3503, BgL_oz00_74,
						BgL_regsz00_75);
				}
		}

	}



/* &protect-interference! */
	obj_t BGl_z62protectzd2interferencez12za2zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_6030, obj_t BgL_oz00_6031, obj_t BgL_regsz00_6032)
	{
		{	/* SawMill/regalloc.scm 222 */
			return
				BGl_protectzd2interferencez12zc0zzsaw_registerzd2allocationzd2
				(BgL_oz00_6031, BgL_regsz00_6032);
		}

	}



/* type-interference! */
	BGL_EXPORTED_DEF obj_t
		BGl_typezd2interferencez12zc0zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt BgL_backz00_81, obj_t BgL_regsz00_82)
	{
		{	/* SawMill/regalloc.scm 326 */
			{	/* SawMill/regalloc.scm 326 */
				obj_t BgL_method1713z00_3504;

				{	/* SawMill/regalloc.scm 326 */
					obj_t BgL_res2869z00_5586;

					{	/* SawMill/regalloc.scm 326 */
						long BgL_objzd2classzd2numz00_5557;

						BgL_objzd2classzd2numz00_5557 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_backz00_81));
						{	/* SawMill/regalloc.scm 326 */
							obj_t BgL_arg1862z00_5558;

							BgL_arg1862z00_5558 =
								PROCEDURE_REF
								(BGl_typezd2interferencez12zd2envz12zzsaw_registerzd2allocationzd2,
								(int) (1L));
							{	/* SawMill/regalloc.scm 326 */
								int BgL_offsetz00_5561;

								BgL_offsetz00_5561 = (int) (BgL_objzd2classzd2numz00_5557);
								{	/* SawMill/regalloc.scm 326 */
									long BgL_offsetz00_5562;

									BgL_offsetz00_5562 =
										((long) (BgL_offsetz00_5561) - OBJECT_TYPE);
									{	/* SawMill/regalloc.scm 326 */
										long BgL_modz00_5563;

										BgL_modz00_5563 =
											(BgL_offsetz00_5562 >> (int) ((long) ((int) (4L))));
										{	/* SawMill/regalloc.scm 326 */
											long BgL_restz00_5565;

											BgL_restz00_5565 =
												(BgL_offsetz00_5562 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* SawMill/regalloc.scm 326 */

												{	/* SawMill/regalloc.scm 326 */
													obj_t BgL_bucketz00_5567;

													BgL_bucketz00_5567 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_5558), BgL_modz00_5563);
													BgL_res2869z00_5586 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_5567), BgL_restz00_5565);
					}}}}}}}}
					BgL_method1713z00_3504 = BgL_res2869z00_5586;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1713z00_3504,
					((obj_t) BgL_backz00_81), BgL_regsz00_82);
			}
		}

	}



/* &type-interference! */
	obj_t BGl_z62typezd2interferencez12za2zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_6033, obj_t BgL_backz00_6034, obj_t BgL_regsz00_6035)
	{
		{	/* SawMill/regalloc.scm 326 */
			return
				BGl_typezd2interferencez12zc0zzsaw_registerzd2allocationzd2(
				((BgL_backendz00_bglt) BgL_backz00_6034), BgL_regsz00_6035);
		}

	}



/* rtl-size */
	obj_t BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2(obj_t BgL_oz00_107)
	{
		{	/* SawMill/regalloc.scm 784 */
			if (BGL_OBJECTP(BgL_oz00_107))
				{	/* SawMill/regalloc.scm 784 */
					obj_t BgL_method1716z00_3506;

					{	/* SawMill/regalloc.scm 784 */
						obj_t BgL_res2874z00_5617;

						{	/* SawMill/regalloc.scm 784 */
							long BgL_objzd2classzd2numz00_5588;

							BgL_objzd2classzd2numz00_5588 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_oz00_107));
							{	/* SawMill/regalloc.scm 784 */
								obj_t BgL_arg1862z00_5589;

								BgL_arg1862z00_5589 =
									PROCEDURE_REF
									(BGl_rtlzd2siza7ezd2envza7zzsaw_registerzd2allocationzd2,
									(int) (1L));
								{	/* SawMill/regalloc.scm 784 */
									int BgL_offsetz00_5592;

									BgL_offsetz00_5592 = (int) (BgL_objzd2classzd2numz00_5588);
									{	/* SawMill/regalloc.scm 784 */
										long BgL_offsetz00_5593;

										BgL_offsetz00_5593 =
											((long) (BgL_offsetz00_5592) - OBJECT_TYPE);
										{	/* SawMill/regalloc.scm 784 */
											long BgL_modz00_5594;

											BgL_modz00_5594 =
												(BgL_offsetz00_5593 >> (int) ((long) ((int) (4L))));
											{	/* SawMill/regalloc.scm 784 */
												long BgL_restz00_5596;

												BgL_restz00_5596 =
													(BgL_offsetz00_5593 &
													(long) (
														(int) (
															((long) (
																	(int) (
																		(1L <<
																			(int) ((long) ((int) (4L)))))) - 1L))));
												{	/* SawMill/regalloc.scm 784 */

													{	/* SawMill/regalloc.scm 784 */
														obj_t BgL_bucketz00_5598;

														BgL_bucketz00_5598 =
															VECTOR_REF(
															((obj_t) BgL_arg1862z00_5589), BgL_modz00_5594);
														BgL_res2874z00_5617 =
															VECTOR_REF(
															((obj_t) BgL_bucketz00_5598), BgL_restz00_5596);
						}}}}}}}}
						BgL_method1716z00_3506 = BgL_res2874z00_5617;
					}
					return BGL_PROCEDURE_CALL1(BgL_method1716z00_3506, BgL_oz00_107);
				}
			else
				{	/* SawMill/regalloc.scm 784 */
					obj_t BgL_fun2629z00_3507;

					BgL_fun2629z00_3507 =
						PROCEDURE_REF
						(BGl_rtlzd2siza7ezd2envza7zzsaw_registerzd2allocationzd2,
						(int) (0L));
					return BGL_PROCEDURE_CALL1(BgL_fun2629z00_3507, BgL_oz00_107);
				}
		}

	}



/* &rtl-size */
	obj_t BGl_z62rtlzd2siza7ez17zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_6036, obj_t BgL_oz00_6037)
	{
		{	/* SawMill/regalloc.scm 784 */
			return BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2(BgL_oz00_6037);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_registerzd2allocationzd2(void)
	{
		{	/* SawMill/regalloc.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_rtlzd2siza7ezd2envza7zzsaw_registerzd2allocationzd2,
				BGl_blockz00zzsaw_defsz00,
				BGl_proc2942z00zzsaw_registerzd2allocationzd2,
				BGl_string2943z00zzsaw_registerzd2allocationzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_rtlzd2siza7ezd2envza7zzsaw_registerzd2allocationzd2,
				BGl_rtl_insz00zzsaw_defsz00,
				BGl_proc2944z00zzsaw_registerzd2allocationzd2,
				BGl_string2943z00zzsaw_registerzd2allocationzd2);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2envzd2zzsaw_defsz00,
				BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2,
				BGl_proc2945z00zzsaw_registerzd2allocationzd2,
				BGl_string2946z00zzsaw_registerzd2allocationzd2);
		}

	}



/* &dump-rtl_ins/ra1722 */
	obj_t BGl_z62dumpzd2rtl_inszf2ra1722z42zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_6045, obj_t BgL_oz00_6046, obj_t BgL_pz00_6047,
		obj_t BgL_mz00_6048)
	{
		{	/* SawMill/regalloc.scm 801 */
			{

				{	/* SawMill/regalloc.scm 801 */
					obj_t BgL_nextzd2method1721zd2_6270;

					BgL_nextzd2method1721zd2_6270 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_rtl_insz00_bglt) BgL_oz00_6046)),
						BGl_dumpzd2envzd2zzsaw_defsz00,
						BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2);
					BGL_PROCEDURE_CALL3(BgL_nextzd2method1721zd2_6270,
						((obj_t) ((BgL_rtl_insz00_bglt) BgL_oz00_6046)), BgL_pz00_6047,
						BgL_mz00_6048);
				}
				return BNIL;
			}
		}

	}



/* &rtl-size-rtl_ins1720 */
	obj_t BGl_z62rtlzd2siza7ezd2rtl_ins1720zc5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_6049, obj_t BgL_oz00_6050)
	{
		{	/* SawMill/regalloc.scm 794 */
			{	/* SawMill/regalloc.scm 795 */
				long BgL_tmpz00_9963;

				{	/* SawMill/regalloc.scm 796 */
					obj_t BgL_arg2631z00_6272;

					BgL_arg2631z00_6272 =
						BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2(
						(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_oz00_6050)))->BgL_argsz00));
					BgL_tmpz00_9963 = (1L + (long) CINT(BgL_arg2631z00_6272));
				}
				return BINT(BgL_tmpz00_9963);
			}
		}

	}



/* &rtl-size-block1718 */
	obj_t BGl_z62rtlzd2siza7ezd2block1718zc5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_6051, obj_t BgL_oz00_6052)
	{
		{	/* SawMill/regalloc.scm 790 */
			return
				BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2(
				(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_6052)))->BgL_firstz00));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_registerzd2allocationzd2(void)
	{
		{	/* SawMill/regalloc.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2947z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2947z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2947z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2947z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2947z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2947z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2947z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2947z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2947z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(57049157L,
				BSTRING_TO_STRING(BGl_string2947z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(404844772L,
				BSTRING_TO_STRING(BGl_string2947z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(20930040L,
				BSTRING_TO_STRING(BGl_string2947z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zzsaw_regsetz00(358079690L,
				BSTRING_TO_STRING(BGl_string2947z00zzsaw_registerzd2allocationzd2));
			return
				BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(237915200L,
				BSTRING_TO_STRING(BGl_string2947z00zzsaw_registerzd2allocationzd2));
		}

	}

#ifdef __cplusplus
}
#endif
