/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Eval/evaluate_types.scm -indent -o objs/obj_u/Eval/evaluate_types.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___EVALUATE_TYPES_TYPE_DEFINITIONS
#define BGL___EVALUATE_TYPES_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


#endif													// BGL___EVALUATE_TYPES_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62lambda1687z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1688z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2720z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2641z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2561z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2725z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2484z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2566z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2488z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31862ze3ze5zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1931z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letz00_bglt BGl_z62lambda1851z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31676ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1771z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letz00_bglt BGl_z62lambda1853z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1773z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1936z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1694z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1937z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1695z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1779z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2730z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2650z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2735z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2655z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2493z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_symbol2575z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2579z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2498z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1860z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31855ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1780z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1861z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_gotoz00_bglt BGl_z62lambda1945z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1784z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1785z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_gotoz00_bglt BGl_z62lambda1947z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_letza2za2_bglt BGl_z62lambda1868z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2743z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2745z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2665z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2586z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31880ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31872ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31775ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_letza2za2_bglt BGl_z62lambda1870z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31597ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62lambda1793z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1955z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1956z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62lambda1795z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1878z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1879z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2671z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2592z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2675z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2596z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31938ze3ze5zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_varz00_bglt BGl_z62lambda1962z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1963z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letrecz00_bglt BGl_z62lambda1886z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1968z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1969z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letrecz00_bglt BGl_z62lambda1888z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2682z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00(void);
	static obj_t BGl_symbol2688z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31890ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1973z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1974z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_labelsz00_bglt BGl_z62lambda1896z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1898z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2694z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2699z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_appz00_bglt BGl_z62lambda1981z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_appz00_bglt BGl_z62lambda1983z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00(void);
	static obj_t BGl_z62lambda1989z62zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00(void);
	static obj_t BGl_z62lambda1990z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31949ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1996z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1997z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32017ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31797ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
		BUNSPEC;
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31985ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00(void);
	static obj_t BGl_z62zc3z04anonymousza32061ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32053ze3ze5zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2001z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2002z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2006z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2007z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_absz00_bglt BGl_z62lambda2013z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31506ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_absz00_bglt BGl_z62lambda2015z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda2022z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2023z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2027z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2028z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31710ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31524ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2033z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32083ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda2034z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2039z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2040z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda2044z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32076ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda2045z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31461ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda2051z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2052z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31437ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32069ze3ze5zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2059z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2060z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2067z62zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2068z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31900ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_littz00_bglt BGl_z62lambda1502z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_littz00_bglt BGl_z62lambda1504z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31447ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2074z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2075z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00(void);
	extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00(void);
	static obj_t BGl_z62lambda1510z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1511z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00(void);
	static BgL_ev_exprz00_bglt BGl_z62lambda1433z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda2081z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2082z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1435z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_ifz00_bglt BGl_z62lambda1517z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
		BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_ifz00_bglt BGl_z62lambda1520z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31724ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1443z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1606z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1445z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1607z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_objectz00zz__objectz00;
	static BgL_ev_exprz00_bglt BGl_z62lambda1531z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1451z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1532z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1613z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1452z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31555ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1614z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1536z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1537z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1459z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol2419z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1460z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1541z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1542z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1625z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31629ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1706z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1465z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1627z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1708z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1466z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2421z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2503z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2425z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2507z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2427z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31751ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_listz00_bglt BGl_z62lambda1551z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31573ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1633z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31646ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_globalz00_bglt BGl_z62lambda1472z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31476ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_listz00_bglt BGl_z62lambda1553z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1634z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_globalz00_bglt BGl_z62lambda1474z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1719z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1559z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol2511z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2432z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2434z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2516z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2438z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1721z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1802z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1560z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1803z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_trapz00_bglt BGl_z62lambda1642z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1482z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_trapz00_bglt BGl_z62lambda1644z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1483z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1807z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1808z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1488z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_orz00_bglt BGl_z62lambda1569z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1489z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2603z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2523z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2443z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2607z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2528z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2447z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_varz00_bglt BGl_z62lambda1730z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1731z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1812z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1813z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_orz00_bglt BGl_z62lambda1571z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1654z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1493z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1817z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1494z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1656z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1818z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1738z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1739z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_andz00_bglt BGl_z62lambda1579z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2611z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2532z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2453z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2618z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2537z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2458z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1904z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1905z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_andz00_bglt BGl_z62lambda1582z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_binderz00_bglt BGl_z62lambda1825z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1664z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1665z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_binderz00_bglt BGl_z62lambda1827z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1747z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1909z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2623z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2705z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2462z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2709z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2628z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2548z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2467z00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1910z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1671z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1833z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31658ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1834z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1916z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1593z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1674z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1755z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1917z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1756z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1595z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1839z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol2471z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2553z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2636z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2718z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2475z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2557z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2479z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1840z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1760z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31926ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1680z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1761z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31918ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31586ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1681z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31829ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1924z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1844z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1925z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1845z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2420z00zz__evaluate_typesz00,
		BgL_bgl_string2420za700za7za7_2747za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string2422z00zz__evaluate_typesz00,
		BgL_bgl_string2422za700za7za7_2748za7, "__evaluate_types", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2416z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2749za7,
		BGl_z62zc3z04anonymousza31437ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2504z00zz__evaluate_typesz00,
		BgL_bgl_string2504za700za7za7_2750za7, "ev_and", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2417z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1435za7622751z00,
		BGl_z62lambda1435z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2418z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1433za7622752z00,
		BGl_z62lambda1433z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2426z00zz__evaluate_typesz00,
		BgL_bgl_string2426za700za7za7_2753za7, "name", 4);
	      DEFINE_STRING(BGl_string2508z00zz__evaluate_typesz00,
		BgL_bgl_string2508za700za7za7_2754za7, "e1", 2);
	      DEFINE_STRING(BGl_string2428z00zz__evaluate_typesz00,
		BgL_bgl_string2428za700za7za7_2755za7, "symbol", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2500z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2756za7,
		BGl_z62zc3z04anonymousza31586ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2501z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1582za7622757z00,
		BGl_z62lambda1582z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2502z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1579za7622758z00,
		BGl_z62lambda1579z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2423z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1452za7622759z00,
		BGl_z62lambda1452z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2505z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1607za7622760z00,
		BGl_z62lambda1607z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2424z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1451za7622761z00,
		BGl_z62lambda1451z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2512z00zz__evaluate_typesz00,
		BgL_bgl_string2512za700za7za7_2762za7, "e2", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2506z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1606za7622763z00,
		BGl_z62lambda1606z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2433z00zz__evaluate_typesz00,
		BgL_bgl_string2433za700za7za7_2764za7, "eff", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2509z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1614za7622765z00,
		BGl_z62lambda1614z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2435z00zz__evaluate_typesz00,
		BgL_bgl_string2435za700za7za7_2766za7, "obj", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2429z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2767za7,
		BGl_z62zc3z04anonymousza31461ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2517z00zz__evaluate_typesz00,
		BgL_bgl_string2517za700za7za7_2768za7, "ev_prog2", 8);
	      DEFINE_STRING(BGl_string2439z00zz__evaluate_typesz00,
		BgL_bgl_string2439za700za7za7_2769za7, "type", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2510z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1613za7622770z00,
		BGl_z62lambda1613z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2430z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1460za7622771z00,
		BGl_z62lambda1460z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2431z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1459za7622772z00,
		BGl_z62lambda1459z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2513z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2773za7,
		BGl_z62zc3z04anonymousza31597ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2514z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1595za7622774z00,
		BGl_z62lambda1595z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2515z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1593za7622775z00,
		BGl_z62lambda1593z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2604z00zz__evaluate_typesz00,
		BgL_bgl_string2604za700za7za7_2776za7, "ev_synchronize", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2436z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1466za7622777z00,
		BGl_z62lambda1466z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2524z00zz__evaluate_typesz00,
		BgL_bgl_string2524za700za7za7_2778za7, "ev_hook", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2518z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1634za7622779z00,
		BGl_z62lambda1634z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2437z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1465za7622780z00,
		BGl_z62lambda1465z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2519z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1633za7622781z00,
		BGl_z62lambda1633z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2444z00zz__evaluate_typesz00,
		BgL_bgl_string2444za700za7za7_2782za7, "ev_var", 6);
	      DEFINE_STRING(BGl_string2608z00zz__evaluate_typesz00,
		BgL_bgl_string2608za700za7za7_2783za7, "vars", 4);
	      DEFINE_STRING(BGl_string2529z00zz__evaluate_typesz00,
		BgL_bgl_string2529za700za7za7_2784za7, "ev_trap", 7);
	      DEFINE_STRING(BGl_string2448z00zz__evaluate_typesz00,
		BgL_bgl_string2448za700za7za7_2785za7, "loc", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2600z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2786za7,
		BGl_z62zc3z04anonymousza31797ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2601z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1795za7622787z00,
		BGl_z62lambda1795z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2520z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2788za7,
		BGl_z62zc3z04anonymousza31629ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2602z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1793za7622789z00,
		BGl_z62lambda1793z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2521z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1627za7622790z00,
		BGl_z62lambda1627z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2440z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2791za7,
		BGl_z62zc3z04anonymousza31447ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2522z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1625za7622792z00,
		BGl_z62lambda1625z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2441z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1445za7622793z00,
		BGl_z62lambda1445z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2442z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1443za7622794z00,
		BGl_z62lambda1443z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2605z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1834za7622795z00,
		BGl_z62lambda1834z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2612z00zz__evaluate_typesz00,
		BgL_bgl_string2612za700za7za7_2796za7, "vals", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2606z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1833za7622797z00,
		BGl_z62lambda1833z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2525z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2798za7,
		BGl_z62zc3z04anonymousza31646ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2526z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1644za7622799z00,
		BGl_z62lambda1644z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2445z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1483za7622800z00,
		BGl_z62lambda1483z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2533z00zz__evaluate_typesz00,
		BgL_bgl_string2533za700za7za7_2801za7, "v", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2527z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1642za7622802z00,
		BGl_z62lambda1642z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2446z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1482za7622803z00,
		BGl_z62lambda1482z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2609z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1840za7622804z00,
		BGl_z62lambda1840z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2454z00zz__evaluate_typesz00,
		BgL_bgl_string2454za700za7za7_2805za7, "mod", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2449z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1489za7622806z00,
		BGl_z62lambda1489z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2619z00zz__evaluate_typesz00,
		BgL_bgl_string2619za700za7za7_2807za7, "ev_binder", 9);
	      DEFINE_STRING(BGl_string2538z00zz__evaluate_typesz00,
		BgL_bgl_string2538za700za7za7_2808za7, "ev_setlocal", 11);
	      DEFINE_STRING(BGl_string2459z00zz__evaluate_typesz00,
		BgL_bgl_string2459za700za7za7_2809za7, "ev_global", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2610z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1839za7622810z00,
		BGl_z62lambda1839z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2530z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1665za7622811z00,
		BGl_z62lambda1665z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2531z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1664za7622812z00,
		BGl_z62lambda1664z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2450z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1488za7622813z00,
		BGl_z62lambda1488z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2700z00zz__evaluate_typesz00,
		BgL_bgl_string2700za700za7za7_2814za7, "ev_app", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2613z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1845za7622815z00,
		BGl_z62lambda1845z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2451z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1494za7622816z00,
		BGl_z62lambda1494z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2614z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1844za7622817z00,
		BGl_z62lambda1844z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2452z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1493za7622818z00,
		BGl_z62lambda1493z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2615z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2819za7,
		BGl_z62zc3z04anonymousza31829ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2534z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2820za7,
		BGl_z62zc3z04anonymousza31658ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2616z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1827za7622821z00,
		BGl_z62lambda1827z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2535z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1656za7622822z00,
		BGl_z62lambda1656z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2617z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1825za7622823z00,
		BGl_z62lambda1825z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2536z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1654za7622824z00,
		BGl_z62lambda1654z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2455z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2825za7,
		BGl_z62zc3z04anonymousza31476ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2624z00zz__evaluate_typesz00,
		BgL_bgl_string2624za700za7za7_2826za7, "boxes", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2456z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1474za7622827z00,
		BGl_z62lambda1474z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2706z00zz__evaluate_typesz00,
		BgL_bgl_string2706za700za7za7_2828za7, "where", 5);
	      DEFINE_STRING(BGl_string2463z00zz__evaluate_typesz00,
		BgL_bgl_string2463za700za7za7_2829za7, "value", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2457z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1472za7622830z00,
		BGl_z62lambda1472z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2539z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1681za7622831z00,
		BGl_z62lambda1681z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2629z00zz__evaluate_typesz00,
		BgL_bgl_string2629za700za7za7_2832za7, "ev_let", 6);
	      DEFINE_STRING(BGl_string2549z00zz__evaluate_typesz00,
		BgL_bgl_string2549za700za7za7_2833za7, "ev_setglobal", 12);
	      DEFINE_STRING(BGl_string2468z00zz__evaluate_typesz00,
		BgL_bgl_string2468za700za7za7_2834za7, "ev_litt", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2701z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2023za7622835z00,
		BGl_z62lambda2023z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2620z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2836za7,
		BGl_z62zc3z04anonymousza31862ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2702z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2022za7622837z00,
		BGl_z62lambda2022z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2621z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1861za7622838z00,
		BGl_z62lambda1861z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2540z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1680za7622839z00,
		BGl_z62lambda1680z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2703z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2028za7622840z00,
		BGl_z62lambda2028z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2622z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1860za7622841z00,
		BGl_z62lambda1860z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2541z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1688za7622842z00,
		BGl_z62lambda1688z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2460z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1511za7622843z00,
		BGl_z62lambda1511z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2710z00zz__evaluate_typesz00,
		BgL_bgl_string2710za700za7za7_2844za7, "arity", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2704z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2027za7622845z00,
		BGl_z62lambda2027z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2542z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1687za7622846z00,
		BGl_z62lambda1687z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2461z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1510za7622847z00,
		BGl_z62lambda1510z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2543z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1695za7622848z00,
		BGl_z62lambda1695z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2625z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2849za7,
		BGl_z62zc3z04anonymousza31855ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2544z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1694za7622850z00,
		BGl_z62lambda1694z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2707z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2034za7622851z00,
		BGl_z62lambda2034z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2626z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1853za7622852z00,
		BGl_z62lambda1853z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2545z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2853za7,
		BGl_z62zc3z04anonymousza31676ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2464z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2854za7,
		BGl_z62zc3z04anonymousza31506ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2708z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2033za7622855z00,
		BGl_z62lambda2033z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2627z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1851za7622856z00,
		BGl_z62lambda1851z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2546z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1674za7622857z00,
		BGl_z62lambda1674z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2465z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1504za7622858z00,
		BGl_z62lambda1504z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2547z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1671za7622859z00,
		BGl_z62lambda1671z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2472z00zz__evaluate_typesz00,
		BgL_bgl_string2472za700za7za7_2860za7, "p", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2466z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1502za7622861z00,
		BGl_z62lambda1502z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2554z00zz__evaluate_typesz00,
		BgL_bgl_string2554za700za7za7_2862za7, "ev_defglobal", 12);
	      DEFINE_STRING(BGl_string2637z00zz__evaluate_typesz00,
		BgL_bgl_string2637za700za7za7_2863za7, "ev_let*", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2469z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1532za7622864z00,
		BGl_z62lambda1532z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2719z00zz__evaluate_typesz00,
		BgL_bgl_string2719za700za7za7_2865za7, "size", 4);
	      DEFINE_STRING(BGl_string2476z00zz__evaluate_typesz00,
		BgL_bgl_string2476za700za7za7_2866za7, "t", 1);
	      DEFINE_STRING(BGl_string2558z00zz__evaluate_typesz00,
		BgL_bgl_string2558za700za7za7_2867za7, "var", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2711z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2040za7622868z00,
		BGl_z62lambda2040z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2630z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2869za7,
		BGl_z62zc3z04anonymousza31880ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2712z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2039za7622870z00,
		BGl_z62lambda2039z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2631z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1879za7622871z00,
		BGl_z62lambda1879z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2550z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2872za7,
		BGl_z62zc3z04anonymousza31710ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2713z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2045za7622873z00,
		BGl_z62lambda2045z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2632z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1878za7622874z00,
		BGl_z62lambda1878z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2551z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1708za7622875z00,
		BGl_z62lambda1708z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2470z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1531za7622876z00,
		BGl_z62lambda1531z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2714z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2044za7622877z00,
		BGl_z62lambda2044z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2633z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2878za7,
		BGl_z62zc3z04anonymousza31872ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2552z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1706za7622879z00,
		BGl_z62lambda1706z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2721z00zz__evaluate_typesz00,
		BgL_bgl_string2721za700za7za7_2880za7, "int", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2715z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2881za7,
		BGl_z62zc3z04anonymousza32053ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2634z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1870za7622882z00,
		BGl_z62lambda1870z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2716z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2052za7622883z00,
		BGl_z62lambda2052z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2635z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1868za7622884z00,
		BGl_z62lambda1868z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2473z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1537za7622885z00,
		BGl_z62lambda1537z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2717z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2051za7622886z00,
		BGl_z62lambda2051z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2642z00zz__evaluate_typesz00,
		BgL_bgl_string2642za700za7za7_2887za7, "ev_letrec", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2555z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1731za7622888z00,
		BGl_z62lambda1731z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2480z00zz__evaluate_typesz00,
		BgL_bgl_string2480za700za7za7_2889za7, "e", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2474z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1536za7622890z00,
		BGl_z62lambda1536z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2562z00zz__evaluate_typesz00,
		BgL_bgl_string2562za700za7za7_2891za7, "body", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2556z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1730za7622892z00,
		BGl_z62lambda1730z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2638z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2893za7,
		BGl_z62zc3z04anonymousza31890ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2726z00zz__evaluate_typesz00,
		BgL_bgl_string2726za700za7za7_2894za7, "bind", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2639z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1888za7622895z00,
		BGl_z62lambda1888z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2477z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1542za7622896z00,
		BGl_z62lambda1542z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2559z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1739za7622897z00,
		BGl_z62lambda1739z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2478z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1541za7622898z00,
		BGl_z62lambda1541z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2485z00zz__evaluate_typesz00,
		BgL_bgl_string2485za700za7za7_2899za7, "ev_if", 5);
	      DEFINE_STRING(BGl_string2567z00zz__evaluate_typesz00,
		BgL_bgl_string2567za700za7za7_2900za7, "ev_bind-exit", 12);
	      DEFINE_STRING(BGl_string2489z00zz__evaluate_typesz00,
		BgL_bgl_string2489za700za7za7_2901za7, "args", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2640z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1886za7622902z00,
		BGl_z62lambda1886z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2722z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2903za7,
		BGl_z62zc3z04anonymousza32061ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2560z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1738za7622904z00,
		BGl_z62lambda1738z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2723z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2060za7622905z00,
		BGl_z62lambda2060z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2724z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2059za7622906z00,
		BGl_z62lambda2059z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2643z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1905za7622907z00,
		BGl_z62lambda1905z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2481z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2908za7,
		BGl_z62zc3z04anonymousza31524ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2731z00zz__evaluate_typesz00,
		BgL_bgl_string2731za700za7za7_2909za7, "free", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2644z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1904za7622910z00,
		BGl_z62lambda1904z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2563z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2911za7,
		BGl_z62zc3z04anonymousza31724ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2482z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1520za7622912z00,
		BGl_z62lambda1520z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2651z00zz__evaluate_typesz00,
		BgL_bgl_string2651za700za7za7_2913za7, "env", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2645z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1910za7622914z00,
		BGl_z62lambda1910z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2564z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1721za7622915z00,
		BGl_z62lambda1721z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2483z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1517za7622916z00,
		BGl_z62lambda1517z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2727z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2917za7,
		BGl_z62zc3z04anonymousza32069ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2646z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1909za7622918z00,
		BGl_z62lambda1909z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2565z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1719za7622919z00,
		BGl_z62lambda1719z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2728z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2068za7622920z00,
		BGl_z62lambda2068z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2647z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2921za7,
		BGl_z62zc3z04anonymousza31918ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2729z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2067za7622922z00,
		BGl_z62lambda2067z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2648z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1917za7622923z00,
		BGl_z62lambda1917z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2486z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1560za7622924z00,
		BGl_z62lambda1560z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2736z00zz__evaluate_typesz00,
		BgL_bgl_string2736za700za7za7_2925za7, "inner", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2649z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1916za7622926z00,
		BGl_z62lambda1916z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2568z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1756za7622927z00,
		BGl_z62lambda1756z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2487z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1559za7622928z00,
		BGl_z62lambda1559z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2656z00zz__evaluate_typesz00,
		BgL_bgl_string2656za700za7za7_2929za7, "stk", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2569z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1755za7622930z00,
		BGl_z62lambda1755z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2494z00zz__evaluate_typesz00,
		BgL_bgl_string2494za700za7za7_2931za7, "ev_list", 7);
	      DEFINE_STRING(BGl_string2576z00zz__evaluate_typesz00,
		BgL_bgl_string2576za700za7za7_2932za7, "ev_unwind-protect", 17);
	      DEFINE_STRING(BGl_string2499z00zz__evaluate_typesz00,
		BgL_bgl_string2499za700za7za7_2933za7, "ev_or", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2732z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2934za7,
		BGl_z62zc3z04anonymousza32076ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2570z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1761za7622935z00,
		BGl_z62lambda1761z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2733z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2075za7622936z00,
		BGl_z62lambda2075z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2652z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2937za7,
		BGl_z62zc3z04anonymousza31926ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2571z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1760za7622938z00,
		BGl_z62lambda1760z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2490z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2939za7,
		BGl_z62zc3z04anonymousza31555ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2734z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2074za7622940z00,
		BGl_z62lambda2074z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2653z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1925za7622941z00,
		BGl_z62lambda1925z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2572z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2942za7,
		BGl_z62zc3z04anonymousza31751ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2491z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1553za7622943z00,
		BGl_z62lambda1553z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2654z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1924za7622944z00,
		BGl_z62lambda1924z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2573z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1749za7622945z00,
		BGl_z62lambda1749z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2492z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1551za7622946z00,
		BGl_z62lambda1551z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2580z00zz__evaluate_typesz00,
		BgL_bgl_string2580za700za7za7_2947za7, "handler", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2574z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1747za7622948z00,
		BGl_z62lambda1747z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2737z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2949za7,
		BGl_z62zc3z04anonymousza32083ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2744z00zz__evaluate_typesz00,
		BgL_bgl_string2744za700za7za7_2950za7, "ev_abs", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2738z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2082za7622951z00,
		BGl_z62lambda2082z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2657z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1931za7622952z00,
		BGl_z62lambda1931z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2495z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2953za7,
		BGl_z62zc3z04anonymousza31573ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2739z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2081za7622954z00,
		BGl_z62lambda2081z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2658z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1930za7622955z00,
		BGl_z62lambda1930z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2577z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1780za7622956z00,
		BGl_z62lambda1780z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2496z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1571za7622957z00,
		BGl_z62lambda1571z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2746z00zz__evaluate_typesz00,
		BgL_bgl_string2746za700za7za7_2958za7, "_", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2659z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2959za7,
		BGl_z62zc3z04anonymousza31938ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2578z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1779za7622960z00,
		BGl_z62lambda1779z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2497z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1569za7622961z00,
		BGl_z62lambda1569z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2666z00zz__evaluate_typesz00,
		BgL_bgl_string2666za700za7za7_2962za7, "ev_labels", 9);
	      DEFINE_STRING(BGl_string2587z00zz__evaluate_typesz00,
		BgL_bgl_string2587za700za7za7_2963za7, "ev_with-handler", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2740z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2964za7,
		BGl_z62zc3z04anonymousza32017ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2741z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2015za7622965z00,
		BGl_z62lambda2015z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2660z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1937za7622966z00,
		BGl_z62lambda1937z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2742z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2013za7622967z00,
		BGl_z62lambda2013z62zz__evaluate_typesz00, 0L, BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2661z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1936za7622968z00,
		BGl_z62lambda1936z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2662z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2969za7,
		BGl_z62zc3z04anonymousza31900ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2581z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1785za7622970z00,
		BGl_z62lambda1785z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2663z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1898za7622971z00,
		BGl_z62lambda1898z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2582z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1784za7622972z00,
		BGl_z62lambda1784z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2664z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1896za7622973z00,
		BGl_z62lambda1896z62zz__evaluate_typesz00, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2583z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2974za7,
		BGl_z62zc3z04anonymousza31775ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2584z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1773za7622975z00,
		BGl_z62lambda1773z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2672z00zz__evaluate_typesz00,
		BgL_bgl_string2672za700za7za7_2976za7, "label", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2585z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1771za7622977z00,
		BGl_z62lambda1771z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2667z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1956za7622978z00,
		BGl_z62lambda1956z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2668z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1955za7622979z00,
		BGl_z62lambda1955z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2593z00zz__evaluate_typesz00,
		BgL_bgl_string2593za700za7za7_2980za7, "mutex", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2669z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1963za7622981z00,
		BGl_z62lambda1963z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2588z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1803za7622982z00,
		BGl_z62lambda1803z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2676z00zz__evaluate_typesz00,
		BgL_bgl_string2676za700za7za7_2983za7, "labels", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2589z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1802za7622984z00,
		BGl_z62lambda1802z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2597z00zz__evaluate_typesz00,
		BgL_bgl_string2597za700za7za7_2985za7, "prelock", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2670z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1962za7622986z00,
		BGl_z62lambda1962z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2590z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1808za7622987z00,
		BGl_z62lambda1808z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2591z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1807za7622988z00,
		BGl_z62lambda1807z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2673z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1969za7622989z00,
		BGl_z62lambda1969z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2674z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1968za7622990z00,
		BGl_z62lambda1968z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2594z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1813za7622991z00,
		BGl_z62lambda1813z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2595z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1812za7622992z00,
		BGl_z62lambda1812z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2683z00zz__evaluate_typesz00,
		BgL_bgl_string2683za700za7za7_2993za7, "ev_goto", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2677z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1974za7622994z00,
		BGl_z62lambda1974z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2678z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1973za7622995z00,
		BGl_z62lambda1973z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2679z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2996za7,
		BGl_z62zc3z04anonymousza31949ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2598z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1818za7622997z00,
		BGl_z62lambda1818z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2599z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1817za7622998z00,
		BGl_z62lambda1817z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2689z00zz__evaluate_typesz00,
		BgL_bgl_string2689za700za7za7_2999za7, "fun", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2680z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1947za7623000z00,
		BGl_z62lambda1947z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2681z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1945za7623001z00,
		BGl_z62lambda1945z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2684z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1990za7623002z00,
		BGl_z62lambda1990z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2685z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1989za7623003z00,
		BGl_z62lambda1989z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2686z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1997za7623004z00,
		BGl_z62lambda1997z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2687z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1996za7623005z00,
		BGl_z62lambda1996z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2695z00zz__evaluate_typesz00,
		BgL_bgl_string2695za700za7za7_3006za7, "tail?", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2690z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2002za7623007z00,
		BGl_z62lambda2002z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2691z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2001za7623008z00,
		BGl_z62lambda2001z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2692z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2007za7623009z00,
		BGl_z62lambda2007z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2693z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2006za7623010z00,
		BGl_z62lambda2006z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2696z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo3011za7,
		BGl_z62zc3z04anonymousza31985ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2697z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1983za7623012z00,
		BGl_z62lambda1983z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2698z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1981za7623013z00,
		BGl_z62lambda1981z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_symbol2720z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2641z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2561z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2725z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2484z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2566z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2488z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_defglobalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2730z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2650z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2735z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2655z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2493z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2575z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2579z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2498z00zz__evaluate_typesz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2743z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2745z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2665z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2586z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2671z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2592z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2675z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2596z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_letrecz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2682z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2688z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_letz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2694z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2699z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_prog2z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_bindzd2exitzd2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_letza2za2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_labelsz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_absz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_trapz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_setglobalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_ifz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_hookz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_gotoz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_globalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_binderz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_listz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_littz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_orz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_varz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_withzd2handlerzd2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_andz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2419z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_exprz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_appz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2421z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2503z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2425z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2507z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2427z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2511z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2432z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2434z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2516z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2438z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_synchroniza7eza7zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2603z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2523z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2443z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2607z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2528z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2447z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2611z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2532z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2453z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2618z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2537z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2458z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2623z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2705z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2462z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2709z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2628z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2548z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2467z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_setlocalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2471z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2553z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2636z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2718z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2475z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2557z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2479z00zz__evaluate_typesz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long
		BgL_checksumz00_4416, char *BgL_fromz00_4417)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluate_typesz00();
					BGl_cnstzd2initzd2zz__evaluate_typesz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
					BGl_objectzd2initzd2zz__evaluate_typesz00();
					return BGl_toplevelzd2initzd2zz__evaluate_typesz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00(void)
	{
		{	/* Eval/evaluate_types.scm 15 */
			BGl_symbol2419z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2420z00zz__evaluate_typesz00);
			BGl_symbol2421z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2422z00zz__evaluate_typesz00);
			BGl_symbol2425z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2426z00zz__evaluate_typesz00);
			BGl_symbol2427z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2428z00zz__evaluate_typesz00);
			BGl_symbol2432z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2433z00zz__evaluate_typesz00);
			BGl_symbol2434z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2435z00zz__evaluate_typesz00);
			BGl_symbol2438z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2439z00zz__evaluate_typesz00);
			BGl_symbol2443z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2444z00zz__evaluate_typesz00);
			BGl_symbol2447z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2448z00zz__evaluate_typesz00);
			BGl_symbol2453z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2454z00zz__evaluate_typesz00);
			BGl_symbol2458z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2459z00zz__evaluate_typesz00);
			BGl_symbol2462z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2463z00zz__evaluate_typesz00);
			BGl_symbol2467z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2468z00zz__evaluate_typesz00);
			BGl_symbol2471z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2472z00zz__evaluate_typesz00);
			BGl_symbol2475z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2476z00zz__evaluate_typesz00);
			BGl_symbol2479z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2480z00zz__evaluate_typesz00);
			BGl_symbol2484z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2485z00zz__evaluate_typesz00);
			BGl_symbol2488z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2489z00zz__evaluate_typesz00);
			BGl_symbol2493z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2494z00zz__evaluate_typesz00);
			BGl_symbol2498z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2499z00zz__evaluate_typesz00);
			BGl_symbol2503z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2504z00zz__evaluate_typesz00);
			BGl_symbol2507z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2508z00zz__evaluate_typesz00);
			BGl_symbol2511z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2512z00zz__evaluate_typesz00);
			BGl_symbol2516z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2517z00zz__evaluate_typesz00);
			BGl_symbol2523z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2524z00zz__evaluate_typesz00);
			BGl_symbol2528z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2529z00zz__evaluate_typesz00);
			BGl_symbol2532z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2533z00zz__evaluate_typesz00);
			BGl_symbol2537z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2538z00zz__evaluate_typesz00);
			BGl_symbol2548z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2549z00zz__evaluate_typesz00);
			BGl_symbol2553z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2554z00zz__evaluate_typesz00);
			BGl_symbol2557z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2558z00zz__evaluate_typesz00);
			BGl_symbol2561z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2562z00zz__evaluate_typesz00);
			BGl_symbol2566z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2567z00zz__evaluate_typesz00);
			BGl_symbol2575z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2576z00zz__evaluate_typesz00);
			BGl_symbol2579z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2580z00zz__evaluate_typesz00);
			BGl_symbol2586z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2587z00zz__evaluate_typesz00);
			BGl_symbol2592z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2593z00zz__evaluate_typesz00);
			BGl_symbol2596z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2597z00zz__evaluate_typesz00);
			BGl_symbol2603z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2604z00zz__evaluate_typesz00);
			BGl_symbol2607z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2608z00zz__evaluate_typesz00);
			BGl_symbol2611z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2612z00zz__evaluate_typesz00);
			BGl_symbol2618z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2619z00zz__evaluate_typesz00);
			BGl_symbol2623z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2624z00zz__evaluate_typesz00);
			BGl_symbol2628z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2629z00zz__evaluate_typesz00);
			BGl_symbol2636z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2637z00zz__evaluate_typesz00);
			BGl_symbol2641z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2642z00zz__evaluate_typesz00);
			BGl_symbol2650z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2651z00zz__evaluate_typesz00);
			BGl_symbol2655z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2656z00zz__evaluate_typesz00);
			BGl_symbol2665z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2666z00zz__evaluate_typesz00);
			BGl_symbol2671z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2672z00zz__evaluate_typesz00);
			BGl_symbol2675z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2676z00zz__evaluate_typesz00);
			BGl_symbol2682z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2683z00zz__evaluate_typesz00);
			BGl_symbol2688z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2689z00zz__evaluate_typesz00);
			BGl_symbol2694z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2695z00zz__evaluate_typesz00);
			BGl_symbol2699z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2700z00zz__evaluate_typesz00);
			BGl_symbol2705z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2706z00zz__evaluate_typesz00);
			BGl_symbol2709z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2710z00zz__evaluate_typesz00);
			BGl_symbol2718z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2719z00zz__evaluate_typesz00);
			BGl_symbol2720z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2721z00zz__evaluate_typesz00);
			BGl_symbol2725z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2726z00zz__evaluate_typesz00);
			BGl_symbol2730z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2731z00zz__evaluate_typesz00);
			BGl_symbol2735z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2736z00zz__evaluate_typesz00);
			BGl_symbol2743z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2744z00zz__evaluate_typesz00);
			return (BGl_symbol2745z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2746z00zz__evaluate_typesz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00(void)
	{
		{	/* Eval/evaluate_types.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00(void)
	{
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_typesz00(void)
	{
		{	/* Eval/evaluate_types.scm 15 */
			{	/* Eval/evaluate_types.scm 49 */
				obj_t BgL_arg1429z00_1123;
				obj_t BgL_arg1432z00_1124;

				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1292z00_1134;

					BgL_v1292z00_1134 = create_vector(0L);
					BgL_arg1429z00_1123 = BgL_v1292z00_1134;
				}
				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1293z00_1135;

					BgL_v1293z00_1135 = create_vector(0L);
					BgL_arg1432z00_1124 = BgL_v1293z00_1135;
				}
				BGl_ev_exprz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2419z00zz__evaluate_typesz00,
					BGl_symbol2421z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00,
					36682L, BGl_proc2418z00zz__evaluate_typesz00,
					BGl_proc2417z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2416z00zz__evaluate_typesz00, BFALSE, BgL_arg1429z00_1123,
					BgL_arg1432z00_1124);
			}
			{	/* Eval/evaluate_types.scm 51 */
				obj_t BgL_arg1441z00_1142;
				obj_t BgL_arg1442z00_1143;

				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1294z00_1156;

					BgL_v1294z00_1156 = create_vector(3L);
					VECTOR_SET(BgL_v1294z00_1156, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2425z00zz__evaluate_typesz00,
							BGl_proc2424z00zz__evaluate_typesz00,
							BGl_proc2423z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2427z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1294z00_1156, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2432z00zz__evaluate_typesz00,
							BGl_proc2431z00zz__evaluate_typesz00,
							BGl_proc2430z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2429z00zz__evaluate_typesz00,
							BGl_symbol2434z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1294z00_1156, 2L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2438z00zz__evaluate_typesz00,
							BGl_proc2437z00zz__evaluate_typesz00,
							BGl_proc2436z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2434z00zz__evaluate_typesz00));
					BgL_arg1441z00_1142 = BgL_v1294z00_1156;
				}
				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1295z00_1190;

					BgL_v1295z00_1190 = create_vector(0L);
					BgL_arg1442z00_1143 = BgL_v1295z00_1190;
				}
				BGl_ev_varz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2443z00zz__evaluate_typesz00,
					BGl_symbol2421z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 7285L,
					BGl_proc2442z00zz__evaluate_typesz00,
					BGl_proc2441z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2440z00zz__evaluate_typesz00, BFALSE, BgL_arg1441z00_1142,
					BgL_arg1442z00_1143);
			}
			{	/* Eval/evaluate_types.scm 55 */
				obj_t BgL_arg1470z00_1197;
				obj_t BgL_arg1471z00_1198;

				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1296z00_1211;

					BgL_v1296z00_1211 = create_vector(3L);
					VECTOR_SET(BgL_v1296z00_1211, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2447z00zz__evaluate_typesz00,
							BGl_proc2446z00zz__evaluate_typesz00,
							BGl_proc2445z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2434z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1296z00_1211, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2425z00zz__evaluate_typesz00,
							BGl_proc2450z00zz__evaluate_typesz00,
							BGl_proc2449z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2427z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1296z00_1211, 2L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2453z00zz__evaluate_typesz00,
							BGl_proc2452z00zz__evaluate_typesz00,
							BGl_proc2451z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2434z00zz__evaluate_typesz00));
					BgL_arg1470z00_1197 = BgL_v1296z00_1211;
				}
				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1297z00_1242;

					BgL_v1297z00_1242 = create_vector(0L);
					BgL_arg1471z00_1198 = BgL_v1297z00_1242;
				}
				BGl_ev_globalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2458z00zz__evaluate_typesz00,
					BGl_symbol2421z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 59175L,
					BGl_proc2457z00zz__evaluate_typesz00,
					BGl_proc2456z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2455z00zz__evaluate_typesz00, BFALSE, BgL_arg1470z00_1197,
					BgL_arg1471z00_1198);
			}
			{	/* Eval/evaluate_types.scm 60 */
				obj_t BgL_arg1500z00_1249;
				obj_t BgL_arg1501z00_1250;

				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1298z00_1261;

					BgL_v1298z00_1261 = create_vector(1L);
					VECTOR_SET(BgL_v1298z00_1261, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2462z00zz__evaluate_typesz00,
							BGl_proc2461z00zz__evaluate_typesz00,
							BGl_proc2460z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2434z00zz__evaluate_typesz00));
					BgL_arg1500z00_1249 = BgL_v1298z00_1261;
				}
				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1299z00_1272;

					BgL_v1299z00_1272 = create_vector(0L);
					BgL_arg1501z00_1250 = BgL_v1299z00_1272;
				}
				BGl_ev_littz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2467z00zz__evaluate_typesz00,
					BGl_symbol2421z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 42418L,
					BGl_proc2466z00zz__evaluate_typesz00,
					BGl_proc2465z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2464z00zz__evaluate_typesz00, BFALSE, BgL_arg1500z00_1249,
					BgL_arg1501z00_1250);
			}
			{	/* Eval/evaluate_types.scm 62 */
				obj_t BgL_arg1515z00_1279;
				obj_t BgL_arg1516z00_1280;

				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1300z00_1293;

					BgL_v1300z00_1293 = create_vector(3L);
					VECTOR_SET(BgL_v1300z00_1293, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2471z00zz__evaluate_typesz00,
							BGl_proc2470z00zz__evaluate_typesz00,
							BGl_proc2469z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1300z00_1293, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2475z00zz__evaluate_typesz00,
							BGl_proc2474z00zz__evaluate_typesz00,
							BGl_proc2473z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1300z00_1293, 2L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2479z00zz__evaluate_typesz00,
							BGl_proc2478z00zz__evaluate_typesz00,
							BGl_proc2477z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1515z00_1279 = BgL_v1300z00_1293;
				}
				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1301z00_1324;

					BgL_v1301z00_1324 = create_vector(0L);
					BgL_arg1516z00_1280 = BgL_v1301z00_1324;
				}
				BGl_ev_ifz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2484z00zz__evaluate_typesz00,
					BGl_symbol2421z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 19099L,
					BGl_proc2483z00zz__evaluate_typesz00,
					BGl_proc2482z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2481z00zz__evaluate_typesz00, BFALSE, BgL_arg1515z00_1279,
					BgL_arg1516z00_1280);
			}
			{	/* Eval/evaluate_types.scm 66 */
				obj_t BgL_arg1549z00_1331;
				obj_t BgL_arg1550z00_1332;

				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1302z00_1343;

					BgL_v1302z00_1343 = create_vector(1L);
					VECTOR_SET(BgL_v1302z00_1343, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2488z00zz__evaluate_typesz00,
							BGl_proc2487z00zz__evaluate_typesz00,
							BGl_proc2486z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2434z00zz__evaluate_typesz00));
					BgL_arg1549z00_1331 = BgL_v1302z00_1343;
				}
				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1303z00_1354;

					BgL_v1303z00_1354 = create_vector(0L);
					BgL_arg1550z00_1332 = BgL_v1303z00_1354;
				}
				BGl_ev_listz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2493z00zz__evaluate_typesz00,
					BGl_symbol2421z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 39617L,
					BGl_proc2492z00zz__evaluate_typesz00,
					BGl_proc2491z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2490z00zz__evaluate_typesz00, BFALSE, BgL_arg1549z00_1331,
					BgL_arg1550z00_1332);
			}
			{	/* Eval/evaluate_types.scm 68 */
				obj_t BgL_arg1567z00_1361;
				obj_t BgL_arg1568z00_1362;

				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1304z00_1373;

					BgL_v1304z00_1373 = create_vector(0L);
					BgL_arg1567z00_1361 = BgL_v1304z00_1373;
				}
				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1305z00_1374;

					BgL_v1305z00_1374 = create_vector(0L);
					BgL_arg1568z00_1362 = BgL_v1305z00_1374;
				}
				BGl_ev_orz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2498z00zz__evaluate_typesz00,
					BGl_symbol2421z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, 50334L,
					BGl_proc2497z00zz__evaluate_typesz00,
					BGl_proc2496z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2495z00zz__evaluate_typesz00, BFALSE, BgL_arg1567z00_1361,
					BgL_arg1568z00_1362);
			}
			{	/* Eval/evaluate_types.scm 69 */
				obj_t BgL_arg1577z00_1381;
				obj_t BgL_arg1578z00_1382;

				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1306z00_1393;

					BgL_v1306z00_1393 = create_vector(0L);
					BgL_arg1577z00_1381 = BgL_v1306z00_1393;
				}
				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1307z00_1394;

					BgL_v1307z00_1394 = create_vector(0L);
					BgL_arg1578z00_1382 = BgL_v1307z00_1394;
				}
				BGl_ev_andz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2503z00zz__evaluate_typesz00,
					BGl_symbol2421z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, 26888L,
					BGl_proc2502z00zz__evaluate_typesz00,
					BGl_proc2501z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2500z00zz__evaluate_typesz00, BFALSE, BgL_arg1577z00_1381,
					BgL_arg1578z00_1382);
			}
			{	/* Eval/evaluate_types.scm 70 */
				obj_t BgL_arg1591z00_1401;
				obj_t BgL_arg1592z00_1402;

				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1308z00_1414;

					BgL_v1308z00_1414 = create_vector(2L);
					VECTOR_SET(BgL_v1308z00_1414, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2507z00zz__evaluate_typesz00,
							BGl_proc2506z00zz__evaluate_typesz00,
							BGl_proc2505z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1308z00_1414, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2511z00zz__evaluate_typesz00,
							BGl_proc2510z00zz__evaluate_typesz00,
							BGl_proc2509z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1591z00_1401 = BgL_v1308z00_1414;
				}
				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1309z00_1435;

					BgL_v1309z00_1435 = create_vector(0L);
					BgL_arg1592z00_1402 = BgL_v1309z00_1435;
				}
				BGl_ev_prog2z00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2516z00zz__evaluate_typesz00,
					BGl_symbol2421z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 14177L,
					BGl_proc2515z00zz__evaluate_typesz00,
					BGl_proc2514z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2513z00zz__evaluate_typesz00, BFALSE, BgL_arg1591z00_1401,
					BgL_arg1592z00_1402);
			}
			{	/* Eval/evaluate_types.scm 73 */
				obj_t BgL_arg1623z00_1442;
				obj_t BgL_arg1624z00_1443;

				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1310z00_1454;

					BgL_v1310z00_1454 = create_vector(1L);
					VECTOR_SET(BgL_v1310z00_1454, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2479z00zz__evaluate_typesz00,
							BGl_proc2519z00zz__evaluate_typesz00,
							BGl_proc2518z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1623z00_1442 = BgL_v1310z00_1454;
				}
				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1311z00_1465;

					BgL_v1311z00_1465 = create_vector(0L);
					BgL_arg1624z00_1443 = BgL_v1311z00_1465;
				}
				BGl_ev_hookz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2523z00zz__evaluate_typesz00,
					BGl_symbol2421z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 32125L,
					BGl_proc2522z00zz__evaluate_typesz00,
					BGl_proc2521z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2520z00zz__evaluate_typesz00, BFALSE, BgL_arg1623z00_1442,
					BgL_arg1624z00_1443);
			}
			{	/* Eval/evaluate_types.scm 75 */
				obj_t BgL_arg1640z00_1472;
				obj_t BgL_arg1641z00_1473;

				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1312z00_1484;

					BgL_v1312z00_1484 = create_vector(0L);
					BgL_arg1640z00_1472 = BgL_v1312z00_1484;
				}
				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1313z00_1485;

					BgL_v1313z00_1485 = create_vector(0L);
					BgL_arg1641z00_1473 = BgL_v1313z00_1485;
				}
				BGl_ev_trapz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2528z00zz__evaluate_typesz00,
					BGl_symbol2421z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, 24451L,
					BGl_proc2527z00zz__evaluate_typesz00,
					BGl_proc2526z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2525z00zz__evaluate_typesz00, BFALSE, BgL_arg1640z00_1472,
					BgL_arg1641z00_1473);
			}
			{	/* Eval/evaluate_types.scm 76 */
				obj_t BgL_arg1650z00_1492;
				obj_t BgL_arg1653z00_1493;

				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1314z00_1505;

					BgL_v1314z00_1505 = create_vector(1L);
					VECTOR_SET(BgL_v1314z00_1505, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2532z00zz__evaluate_typesz00,
							BGl_proc2531z00zz__evaluate_typesz00,
							BGl_proc2530z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					BgL_arg1650z00_1492 = BgL_v1314z00_1505;
				}
				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1315z00_1516;

					BgL_v1315z00_1516 = create_vector(0L);
					BgL_arg1653z00_1493 = BgL_v1315z00_1516;
				}
				BGl_ev_setlocalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2537z00zz__evaluate_typesz00,
					BGl_symbol2421z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, 37950L,
					BGl_proc2536z00zz__evaluate_typesz00,
					BGl_proc2535z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2534z00zz__evaluate_typesz00, BFALSE, BgL_arg1650z00_1492,
					BgL_arg1653z00_1493);
			}
			{	/* Eval/evaluate_types.scm 78 */
				obj_t BgL_arg1669z00_1523;
				obj_t BgL_arg1670z00_1524;

				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1316z00_1538;

					BgL_v1316z00_1538 = create_vector(3L);
					VECTOR_SET(BgL_v1316z00_1538, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2447z00zz__evaluate_typesz00,
							BGl_proc2540z00zz__evaluate_typesz00,
							BGl_proc2539z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2434z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1316z00_1538, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2425z00zz__evaluate_typesz00,
							BGl_proc2542z00zz__evaluate_typesz00,
							BGl_proc2541z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2427z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1316z00_1538, 2L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2453z00zz__evaluate_typesz00,
							BGl_proc2544z00zz__evaluate_typesz00,
							BGl_proc2543z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2434z00zz__evaluate_typesz00));
					BgL_arg1669z00_1523 = BgL_v1316z00_1538;
				}
				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1317z00_1569;

					BgL_v1317z00_1569 = create_vector(0L);
					BgL_arg1670z00_1524 = BgL_v1317z00_1569;
				}
				BGl_ev_setglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2548z00zz__evaluate_typesz00,
					BGl_symbol2421z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, 62117L,
					BGl_proc2547z00zz__evaluate_typesz00,
					BGl_proc2546z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2545z00zz__evaluate_typesz00, BFALSE, BgL_arg1669z00_1523,
					BgL_arg1670z00_1524);
			}
			{	/* Eval/evaluate_types.scm 82 */
				obj_t BgL_arg1704z00_1576;
				obj_t BgL_arg1705z00_1577;

				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1318z00_1591;

					BgL_v1318z00_1591 = create_vector(0L);
					BgL_arg1704z00_1576 = BgL_v1318z00_1591;
				}
				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1319z00_1592;

					BgL_v1319z00_1592 = create_vector(0L);
					BgL_arg1705z00_1577 = BgL_v1319z00_1592;
				}
				BGl_ev_defglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2553z00zz__evaluate_typesz00,
					BGl_symbol2421z00zz__evaluate_typesz00,
					BGl_ev_setglobalz00zz__evaluate_typesz00, 36158L,
					BGl_proc2552z00zz__evaluate_typesz00,
					BGl_proc2551z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2550z00zz__evaluate_typesz00, BFALSE, BgL_arg1704z00_1576,
					BgL_arg1705z00_1577);
			}
			{	/* Eval/evaluate_types.scm 83 */
				obj_t BgL_arg1717z00_1599;
				obj_t BgL_arg1718z00_1600;

				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1320z00_1612;

					BgL_v1320z00_1612 = create_vector(2L);
					VECTOR_SET(BgL_v1320z00_1612, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2557z00zz__evaluate_typesz00,
							BGl_proc2556z00zz__evaluate_typesz00,
							BGl_proc2555z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1320z00_1612, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2561z00zz__evaluate_typesz00,
							BGl_proc2560z00zz__evaluate_typesz00,
							BGl_proc2559z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1717z00_1599 = BgL_v1320z00_1612;
				}
				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1321z00_1633;

					BgL_v1321z00_1633 = create_vector(0L);
					BgL_arg1718z00_1600 = BgL_v1321z00_1633;
				}
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2566z00zz__evaluate_typesz00,
					BGl_symbol2421z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 10723L,
					BGl_proc2565z00zz__evaluate_typesz00,
					BGl_proc2564z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2563z00zz__evaluate_typesz00, BFALSE, BgL_arg1717z00_1599,
					BgL_arg1718z00_1600);
			}
			{	/* Eval/evaluate_types.scm 86 */
				obj_t BgL_arg1745z00_1640;
				obj_t BgL_arg1746z00_1641;

				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1322z00_1653;

					BgL_v1322z00_1653 = create_vector(2L);
					VECTOR_SET(BgL_v1322z00_1653, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2479z00zz__evaluate_typesz00,
							BGl_proc2569z00zz__evaluate_typesz00,
							BGl_proc2568z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1322z00_1653, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2561z00zz__evaluate_typesz00,
							BGl_proc2571z00zz__evaluate_typesz00,
							BGl_proc2570z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1745z00_1640 = BgL_v1322z00_1653;
				}
				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1323z00_1674;

					BgL_v1323z00_1674 = create_vector(0L);
					BgL_arg1746z00_1641 = BgL_v1323z00_1674;
				}
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2575z00zz__evaluate_typesz00,
					BGl_symbol2421z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 59644L,
					BGl_proc2574z00zz__evaluate_typesz00,
					BGl_proc2573z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2572z00zz__evaluate_typesz00, BFALSE, BgL_arg1745z00_1640,
					BgL_arg1746z00_1641);
			}
			{	/* Eval/evaluate_types.scm 89 */
				obj_t BgL_arg1768z00_1681;
				obj_t BgL_arg1770z00_1682;

				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1324z00_1694;

					BgL_v1324z00_1694 = create_vector(2L);
					VECTOR_SET(BgL_v1324z00_1694, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2579z00zz__evaluate_typesz00,
							BGl_proc2578z00zz__evaluate_typesz00,
							BGl_proc2577z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1324z00_1694, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2561z00zz__evaluate_typesz00,
							BGl_proc2582z00zz__evaluate_typesz00,
							BGl_proc2581z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1768z00_1681 = BgL_v1324z00_1694;
				}
				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1325z00_1715;

					BgL_v1325z00_1715 = create_vector(0L);
					BgL_arg1770z00_1682 = BgL_v1325z00_1715;
				}
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2586z00zz__evaluate_typesz00,
					BGl_symbol2421z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 54033L,
					BGl_proc2585z00zz__evaluate_typesz00,
					BGl_proc2584z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2583z00zz__evaluate_typesz00, BFALSE, BgL_arg1768z00_1681,
					BgL_arg1770z00_1682);
			}
			{	/* Eval/evaluate_types.scm 92 */
				obj_t BgL_arg1791z00_1722;
				obj_t BgL_arg1792z00_1723;

				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1326z00_1737;

					BgL_v1326z00_1737 = create_vector(4L);
					VECTOR_SET(BgL_v1326z00_1737, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2447z00zz__evaluate_typesz00,
							BGl_proc2589z00zz__evaluate_typesz00,
							BGl_proc2588z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2434z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1326z00_1737, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2592z00zz__evaluate_typesz00,
							BGl_proc2591z00zz__evaluate_typesz00,
							BGl_proc2590z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1326z00_1737, 2L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2596z00zz__evaluate_typesz00,
							BGl_proc2595z00zz__evaluate_typesz00,
							BGl_proc2594z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1326z00_1737, 3L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2561z00zz__evaluate_typesz00,
							BGl_proc2599z00zz__evaluate_typesz00,
							BGl_proc2598z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1791z00_1722 = BgL_v1326z00_1737;
				}
				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1327z00_1778;

					BgL_v1327z00_1778 = create_vector(0L);
					BgL_arg1792z00_1723 = BgL_v1327z00_1778;
				}
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2603z00zz__evaluate_typesz00,
					BGl_symbol2421z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 40653L,
					BGl_proc2602z00zz__evaluate_typesz00,
					BGl_proc2601z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2600z00zz__evaluate_typesz00, BFALSE, BgL_arg1791z00_1722,
					BgL_arg1792z00_1723);
			}
			{	/* Eval/evaluate_types.scm 97 */
				obj_t BgL_arg1822z00_1785;
				obj_t BgL_arg1824z00_1786;

				{	/* Eval/evaluate_types.scm 97 */
					obj_t BgL_v1328z00_1799;

					BgL_v1328z00_1799 = create_vector(3L);
					VECTOR_SET(BgL_v1328z00_1799, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2607z00zz__evaluate_typesz00,
							BGl_proc2606z00zz__evaluate_typesz00,
							BGl_proc2605z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2434z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1328z00_1799, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2611z00zz__evaluate_typesz00,
							BGl_proc2610z00zz__evaluate_typesz00,
							BGl_proc2609z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2434z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1328z00_1799, 2L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2561z00zz__evaluate_typesz00,
							BGl_proc2614z00zz__evaluate_typesz00,
							BGl_proc2613z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1822z00_1785 = BgL_v1328z00_1799;
				}
				{	/* Eval/evaluate_types.scm 97 */
					obj_t BgL_v1329z00_1830;

					BgL_v1329z00_1830 = create_vector(0L);
					BgL_arg1824z00_1786 = BgL_v1329z00_1830;
				}
				BGl_ev_binderz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2618z00zz__evaluate_typesz00,
					BGl_symbol2421z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 50341L,
					BGl_proc2617z00zz__evaluate_typesz00,
					BGl_proc2616z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2615z00zz__evaluate_typesz00, BFALSE, BgL_arg1822z00_1785,
					BgL_arg1824z00_1786);
			}
			{	/* Eval/evaluate_types.scm 101 */
				obj_t BgL_arg1849z00_1837;
				obj_t BgL_arg1850z00_1838;

				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1330z00_1852;

					BgL_v1330z00_1852 = create_vector(1L);
					VECTOR_SET(BgL_v1330z00_1852, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2623z00zz__evaluate_typesz00,
							BGl_proc2622z00zz__evaluate_typesz00,
							BGl_proc2621z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2620z00zz__evaluate_typesz00,
							BGl_symbol2434z00zz__evaluate_typesz00));
					BgL_arg1849z00_1837 = BgL_v1330z00_1852;
				}
				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1331z00_1866;

					BgL_v1331z00_1866 = create_vector(0L);
					BgL_arg1850z00_1838 = BgL_v1331z00_1866;
				}
				BGl_ev_letz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2628z00zz__evaluate_typesz00,
					BGl_symbol2421z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, 20484L,
					BGl_proc2627z00zz__evaluate_typesz00,
					BGl_proc2626z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2625z00zz__evaluate_typesz00, BFALSE, BgL_arg1849z00_1837,
					BgL_arg1850z00_1838);
			}
			{	/* Eval/evaluate_types.scm 103 */
				obj_t BgL_arg1866z00_1873;
				obj_t BgL_arg1867z00_1874;

				{	/* Eval/evaluate_types.scm 103 */
					obj_t BgL_v1332z00_1888;

					BgL_v1332z00_1888 = create_vector(1L);
					VECTOR_SET(BgL_v1332z00_1888, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2623z00zz__evaluate_typesz00,
							BGl_proc2632z00zz__evaluate_typesz00,
							BGl_proc2631z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2630z00zz__evaluate_typesz00,
							BGl_symbol2434z00zz__evaluate_typesz00));
					BgL_arg1866z00_1873 = BgL_v1332z00_1888;
				}
				{	/* Eval/evaluate_types.scm 103 */
					obj_t BgL_v1333z00_1902;

					BgL_v1333z00_1902 = create_vector(0L);
					BgL_arg1867z00_1874 = BgL_v1333z00_1902;
				}
				BGl_ev_letza2za2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2636z00zz__evaluate_typesz00,
					BGl_symbol2421z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, 9906L,
					BGl_proc2635z00zz__evaluate_typesz00,
					BGl_proc2634z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2633z00zz__evaluate_typesz00, BFALSE, BgL_arg1866z00_1873,
					BgL_arg1867z00_1874);
			}
			{	/* Eval/evaluate_types.scm 105 */
				obj_t BgL_arg1884z00_1909;
				obj_t BgL_arg1885z00_1910;

				{	/* Eval/evaluate_types.scm 105 */
					obj_t BgL_v1334z00_1923;

					BgL_v1334z00_1923 = create_vector(0L);
					BgL_arg1884z00_1909 = BgL_v1334z00_1923;
				}
				{	/* Eval/evaluate_types.scm 105 */
					obj_t BgL_v1335z00_1924;

					BgL_v1335z00_1924 = create_vector(0L);
					BgL_arg1885z00_1910 = BgL_v1335z00_1924;
				}
				BGl_ev_letrecz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2641z00zz__evaluate_typesz00,
					BGl_symbol2421z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, 43956L,
					BGl_proc2640z00zz__evaluate_typesz00,
					BGl_proc2639z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2638z00zz__evaluate_typesz00, BFALSE, BgL_arg1884z00_1909,
					BgL_arg1885z00_1910);
			}
			{	/* Eval/evaluate_types.scm 106 */
				obj_t BgL_arg1894z00_1931;
				obj_t BgL_arg1895z00_1932;

				{	/* Eval/evaluate_types.scm 106 */
					obj_t BgL_v1336z00_1948;

					BgL_v1336z00_1948 = create_vector(6L);
					VECTOR_SET(BgL_v1336z00_1948, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2607z00zz__evaluate_typesz00,
							BGl_proc2644z00zz__evaluate_typesz00,
							BGl_proc2643z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2434z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1336z00_1948, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2611z00zz__evaluate_typesz00,
							BGl_proc2646z00zz__evaluate_typesz00,
							BGl_proc2645z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2434z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1336z00_1948, 2L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2650z00zz__evaluate_typesz00,
							BGl_proc2649z00zz__evaluate_typesz00,
							BGl_proc2648z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2647z00zz__evaluate_typesz00,
							BGl_symbol2434z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1336z00_1948, 3L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2655z00zz__evaluate_typesz00,
							BGl_proc2654z00zz__evaluate_typesz00,
							BGl_proc2653z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2652z00zz__evaluate_typesz00,
							BGl_symbol2434z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1336z00_1948, 4L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2561z00zz__evaluate_typesz00,
							BGl_proc2658z00zz__evaluate_typesz00,
							BGl_proc2657z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1336z00_1948, 5L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2623z00zz__evaluate_typesz00,
							BGl_proc2661z00zz__evaluate_typesz00,
							BGl_proc2660z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2659z00zz__evaluate_typesz00,
							BGl_symbol2434z00zz__evaluate_typesz00));
					BgL_arg1894z00_1931 = BgL_v1336z00_1948;
				}
				{	/* Eval/evaluate_types.scm 106 */
					obj_t BgL_v1337z00_2018;

					BgL_v1337z00_2018 = create_vector(0L);
					BgL_arg1895z00_1932 = BgL_v1337z00_2018;
				}
				BGl_ev_labelsz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2665z00zz__evaluate_typesz00,
					BGl_symbol2421z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 51941L,
					BGl_proc2664z00zz__evaluate_typesz00,
					BGl_proc2663z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2662z00zz__evaluate_typesz00, BFALSE, BgL_arg1894z00_1931,
					BgL_arg1895z00_1932);
			}
			{	/* Eval/evaluate_types.scm 114 */
				obj_t BgL_arg1943z00_2025;
				obj_t BgL_arg1944z00_2026;

				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v1338z00_2040;

					BgL_v1338z00_2040 = create_vector(4L);
					VECTOR_SET(BgL_v1338z00_2040, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2447z00zz__evaluate_typesz00,
							BGl_proc2668z00zz__evaluate_typesz00,
							BGl_proc2667z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2434z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1338z00_2040, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2671z00zz__evaluate_typesz00,
							BGl_proc2670z00zz__evaluate_typesz00,
							BGl_proc2669z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1338z00_2040, 2L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2675z00zz__evaluate_typesz00,
							BGl_proc2674z00zz__evaluate_typesz00,
							BGl_proc2673z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1338z00_2040, 3L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2488z00zz__evaluate_typesz00,
							BGl_proc2678z00zz__evaluate_typesz00,
							BGl_proc2677z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2434z00zz__evaluate_typesz00));
					BgL_arg1943z00_2025 = BgL_v1338z00_2040;
				}
				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v1339z00_2081;

					BgL_v1339z00_2081 = create_vector(0L);
					BgL_arg1944z00_2026 = BgL_v1339z00_2081;
				}
				BGl_ev_gotoz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2682z00zz__evaluate_typesz00,
					BGl_symbol2421z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 25746L,
					BGl_proc2681z00zz__evaluate_typesz00,
					BGl_proc2680z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2679z00zz__evaluate_typesz00, BFALSE, BgL_arg1943z00_2025,
					BgL_arg1944z00_2026);
			}
			{	/* Eval/evaluate_types.scm 119 */
				obj_t BgL_arg1979z00_2088;
				obj_t BgL_arg1980z00_2089;

				{	/* Eval/evaluate_types.scm 119 */
					obj_t BgL_v1340z00_2103;

					BgL_v1340z00_2103 = create_vector(4L);
					VECTOR_SET(BgL_v1340z00_2103, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2447z00zz__evaluate_typesz00,
							BGl_proc2685z00zz__evaluate_typesz00,
							BGl_proc2684z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2434z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1340z00_2103, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2688z00zz__evaluate_typesz00,
							BGl_proc2687z00zz__evaluate_typesz00,
							BGl_proc2686z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1340z00_2103, 2L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2488z00zz__evaluate_typesz00,
							BGl_proc2691z00zz__evaluate_typesz00,
							BGl_proc2690z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2434z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1340z00_2103, 3L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2694z00zz__evaluate_typesz00,
							BGl_proc2693z00zz__evaluate_typesz00,
							BGl_proc2692z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2434z00zz__evaluate_typesz00));
					BgL_arg1979z00_2088 = BgL_v1340z00_2103;
				}
				{	/* Eval/evaluate_types.scm 119 */
					obj_t BgL_v1341z00_2144;

					BgL_v1341z00_2144 = create_vector(0L);
					BgL_arg1980z00_2089 = BgL_v1341z00_2144;
				}
				BGl_ev_appz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2699z00zz__evaluate_typesz00,
					BGl_symbol2421z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 55822L,
					BGl_proc2698z00zz__evaluate_typesz00,
					BGl_proc2697z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2696z00zz__evaluate_typesz00, BFALSE, BgL_arg1979z00_2088,
					BgL_arg1980z00_2089);
			}
			{	/* Eval/evaluate_types.scm 122 */
				obj_t BgL_arg2011z00_2151;
				obj_t BgL_arg2012z00_2152;

				{	/* Eval/evaluate_types.scm 122 */
					obj_t BgL_v1342z00_2172;

					BgL_v1342z00_2172 = create_vector(10L);
					VECTOR_SET(BgL_v1342z00_2172, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2447z00zz__evaluate_typesz00,
							BGl_proc2702z00zz__evaluate_typesz00,
							BGl_proc2701z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2434z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1342z00_2172, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2705z00zz__evaluate_typesz00,
							BGl_proc2704z00zz__evaluate_typesz00,
							BGl_proc2703z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2434z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1342z00_2172, 2L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2709z00zz__evaluate_typesz00,
							BGl_proc2708z00zz__evaluate_typesz00,
							BGl_proc2707z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2434z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1342z00_2172, 3L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2607z00zz__evaluate_typesz00,
							BGl_proc2712z00zz__evaluate_typesz00,
							BGl_proc2711z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2434z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1342z00_2172, 4L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2561z00zz__evaluate_typesz00,
							BGl_proc2714z00zz__evaluate_typesz00,
							BGl_proc2713z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1342z00_2172, 5L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2718z00zz__evaluate_typesz00,
							BGl_proc2717z00zz__evaluate_typesz00,
							BGl_proc2716z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2715z00zz__evaluate_typesz00,
							BGl_symbol2720z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1342z00_2172, 6L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2725z00zz__evaluate_typesz00,
							BGl_proc2724z00zz__evaluate_typesz00,
							BGl_proc2723z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2722z00zz__evaluate_typesz00,
							BGl_symbol2434z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1342z00_2172, 7L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2730z00zz__evaluate_typesz00,
							BGl_proc2729z00zz__evaluate_typesz00,
							BGl_proc2728z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2727z00zz__evaluate_typesz00,
							BGl_symbol2434z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1342z00_2172, 8L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2735z00zz__evaluate_typesz00,
							BGl_proc2734z00zz__evaluate_typesz00,
							BGl_proc2733z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2732z00zz__evaluate_typesz00,
							BGl_symbol2434z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1342z00_2172, 9L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2623z00zz__evaluate_typesz00,
							BGl_proc2739z00zz__evaluate_typesz00,
							BGl_proc2738z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2737z00zz__evaluate_typesz00,
							BGl_symbol2434z00zz__evaluate_typesz00));
					BgL_arg2011z00_2151 = BgL_v1342z00_2172;
				}
				{	/* Eval/evaluate_types.scm 122 */
					obj_t BgL_v1343z00_2288;

					BgL_v1343z00_2288 = create_vector(0L);
					BgL_arg2012z00_2152 = BgL_v1343z00_2288;
				}
				return (BGl_ev_absz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2743z00zz__evaluate_typesz00,
						BGl_symbol2421z00zz__evaluate_typesz00,
						BGl_ev_exprz00zz__evaluate_typesz00, 38362L,
						BGl_proc2742z00zz__evaluate_typesz00,
						BGl_proc2741z00zz__evaluate_typesz00, BFALSE,
						BGl_proc2740z00zz__evaluate_typesz00, BFALSE, BgL_arg2011z00_2151,
						BgL_arg2012z00_2152), BUNSPEC);
			}
		}

	}



/* &<@anonymous:2017> */
	obj_t BGl_z62zc3z04anonymousza32017ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3489, obj_t BgL_new1194z00_3490)
	{
		{	/* Eval/evaluate_types.scm 122 */
			{
				BgL_ev_absz00_bglt BgL_auxz00_4683;

				((((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_new1194z00_3490)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3490)))->BgL_wherez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3490)))->BgL_arityz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3490)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4692;

					{	/* Eval/evaluate_types.scm 122 */
						obj_t BgL_classz00_4029;

						BgL_classz00_4029 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 122 */
							obj_t BgL__ortest_1291z00_4030;

							BgL__ortest_1291z00_4030 = BGL_CLASS_NIL(BgL_classz00_4029);
							if (CBOOL(BgL__ortest_1291z00_4030))
								{	/* Eval/evaluate_types.scm 122 */
									BgL_auxz00_4692 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1291z00_4030);
								}
							else
								{	/* Eval/evaluate_types.scm 122 */
									BgL_auxz00_4692 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4029));
								}
						}
					}
					((((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_new1194z00_3490)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4692), BUNSPEC);
				}
				((((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_new1194z00_3490)))->BgL_siza7eza7) =
					((int) (int) (0L)), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3490)))->BgL_bindz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3490)))->BgL_freez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3490)))->BgL_innerz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3490)))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4683 = ((BgL_ev_absz00_bglt) BgL_new1194z00_3490);
				return ((obj_t) BgL_auxz00_4683);
			}
		}

	}



/* &lambda2015 */
	BgL_ev_absz00_bglt BGl_z62lambda2015z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3491)
	{
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				BgL_ev_absz00_bglt BgL_new1193z00_4031;

				BgL_new1193z00_4031 =
					((BgL_ev_absz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_absz00_bgl))));
				{	/* Eval/evaluate_types.scm 122 */
					long BgL_arg2016z00_4032;

					BgL_arg2016z00_4032 =
						BGL_CLASS_NUM(BGl_ev_absz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1193z00_4031), BgL_arg2016z00_4032);
				}
				return BgL_new1193z00_4031;
			}
		}

	}



/* &lambda2013 */
	BgL_ev_absz00_bglt BGl_z62lambda2013z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3492, obj_t BgL_loc1183z00_3493, obj_t BgL_where1184z00_3494,
		obj_t BgL_arity1185z00_3495, obj_t BgL_vars1186z00_3496,
		obj_t BgL_body1187z00_3497, obj_t BgL_siza7e1188za7_3498,
		obj_t BgL_bind1189z00_3499, obj_t BgL_free1190z00_3500,
		obj_t BgL_inner1191z00_3501, obj_t BgL_boxes1192z00_3502)
	{
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				int BgL_siza7e1188za7_4034;

				BgL_siza7e1188za7_4034 = CINT(BgL_siza7e1188za7_3498);
				{	/* Eval/evaluate_types.scm 122 */
					BgL_ev_absz00_bglt BgL_new1250z00_4035;

					{	/* Eval/evaluate_types.scm 122 */
						BgL_ev_absz00_bglt BgL_new1249z00_4036;

						BgL_new1249z00_4036 =
							((BgL_ev_absz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_ev_absz00_bgl))));
						{	/* Eval/evaluate_types.scm 122 */
							long BgL_arg2014z00_4037;

							BgL_arg2014z00_4037 =
								BGL_CLASS_NUM(BGl_ev_absz00zz__evaluate_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1249z00_4036),
								BgL_arg2014z00_4037);
						}
						BgL_new1250z00_4035 = BgL_new1249z00_4036;
					}
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1250z00_4035))->BgL_locz00) =
						((obj_t) BgL_loc1183z00_3493), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1250z00_4035))->BgL_wherez00) =
						((obj_t) BgL_where1184z00_3494), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1250z00_4035))->BgL_arityz00) =
						((obj_t) BgL_arity1185z00_3495), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1250z00_4035))->BgL_varsz00) =
						((obj_t) BgL_vars1186z00_3496), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1250z00_4035))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
								BgL_body1187z00_3497)), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1250z00_4035))->
							BgL_siza7eza7) = ((int) BgL_siza7e1188za7_4034), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1250z00_4035))->BgL_bindz00) =
						((obj_t) BgL_bind1189z00_3499), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1250z00_4035))->BgL_freez00) =
						((obj_t) BgL_free1190z00_3500), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1250z00_4035))->BgL_innerz00) =
						((obj_t) BgL_inner1191z00_3501), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1250z00_4035))->BgL_boxesz00) =
						((obj_t) BgL_boxes1192z00_3502), BUNSPEC);
					return BgL_new1250z00_4035;
				}
			}
		}

	}



/* &<@anonymous:2083> */
	obj_t BGl_z62zc3z04anonymousza32083ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3503)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}

	}



/* &lambda2082 */
	obj_t BGl_z62lambda2082z62zz__evaluate_typesz00(obj_t BgL_envz00_3504,
		obj_t BgL_oz00_3505, obj_t BgL_vz00_3506)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3505)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3506), BUNSPEC);
		}

	}



/* &lambda2081 */
	obj_t BGl_z62lambda2081z62zz__evaluate_typesz00(obj_t BgL_envz00_3507,
		obj_t BgL_oz00_3508)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3508)))->BgL_boxesz00);
		}

	}



/* &<@anonymous:2076> */
	obj_t BGl_z62zc3z04anonymousza32076ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3509)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}

	}



/* &lambda2075 */
	obj_t BGl_z62lambda2075z62zz__evaluate_typesz00(obj_t BgL_envz00_3510,
		obj_t BgL_oz00_3511, obj_t BgL_vz00_3512)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3511)))->BgL_innerz00) =
				((obj_t) BgL_vz00_3512), BUNSPEC);
		}

	}



/* &lambda2074 */
	obj_t BGl_z62lambda2074z62zz__evaluate_typesz00(obj_t BgL_envz00_3513,
		obj_t BgL_oz00_3514)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3514)))->BgL_innerz00);
		}

	}



/* &<@anonymous:2069> */
	obj_t BGl_z62zc3z04anonymousza32069ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3515)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}

	}



/* &lambda2068 */
	obj_t BGl_z62lambda2068z62zz__evaluate_typesz00(obj_t BgL_envz00_3516,
		obj_t BgL_oz00_3517, obj_t BgL_vz00_3518)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3517)))->BgL_freez00) =
				((obj_t) BgL_vz00_3518), BUNSPEC);
		}

	}



/* &lambda2067 */
	obj_t BGl_z62lambda2067z62zz__evaluate_typesz00(obj_t BgL_envz00_3519,
		obj_t BgL_oz00_3520)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3520)))->BgL_freez00);
		}

	}



/* &<@anonymous:2061> */
	obj_t BGl_z62zc3z04anonymousza32061ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3521)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}

	}



/* &lambda2060 */
	obj_t BGl_z62lambda2060z62zz__evaluate_typesz00(obj_t BgL_envz00_3522,
		obj_t BgL_oz00_3523, obj_t BgL_vz00_3524)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3523)))->BgL_bindz00) =
				((obj_t) BgL_vz00_3524), BUNSPEC);
		}

	}



/* &lambda2059 */
	obj_t BGl_z62lambda2059z62zz__evaluate_typesz00(obj_t BgL_envz00_3525,
		obj_t BgL_oz00_3526)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3526)))->BgL_bindz00);
		}

	}



/* &<@anonymous:2053> */
	obj_t BGl_z62zc3z04anonymousza32053ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3527)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return BINT(0L);
		}

	}



/* &lambda2052 */
	obj_t BGl_z62lambda2052z62zz__evaluate_typesz00(obj_t BgL_envz00_3528,
		obj_t BgL_oz00_3529, obj_t BgL_vz00_3530)
	{
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				int BgL_vz00_4047;

				BgL_vz00_4047 = CINT(BgL_vz00_3530);
				return
					((((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_oz00_3529)))->BgL_siza7eza7) =
					((int) BgL_vz00_4047), BUNSPEC);
		}}

	}



/* &lambda2051 */
	obj_t BGl_z62lambda2051z62zz__evaluate_typesz00(obj_t BgL_envz00_3531,
		obj_t BgL_oz00_3532)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				BINT(
				(((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3532)))->BgL_siza7eza7));
		}

	}



/* &lambda2045 */
	obj_t BGl_z62lambda2045z62zz__evaluate_typesz00(obj_t BgL_envz00_3533,
		obj_t BgL_oz00_3534, obj_t BgL_vz00_3535)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3534)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3535)), BUNSPEC);
		}

	}



/* &lambda2044 */
	BgL_ev_exprz00_bglt BGl_z62lambda2044z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3536, obj_t BgL_oz00_3537)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3537)))->BgL_bodyz00);
		}

	}



/* &lambda2040 */
	obj_t BGl_z62lambda2040z62zz__evaluate_typesz00(obj_t BgL_envz00_3538,
		obj_t BgL_oz00_3539, obj_t BgL_vz00_3540)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3539)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3540), BUNSPEC);
		}

	}



/* &lambda2039 */
	obj_t BGl_z62lambda2039z62zz__evaluate_typesz00(obj_t BgL_envz00_3541,
		obj_t BgL_oz00_3542)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3542)))->BgL_varsz00);
		}

	}



/* &lambda2034 */
	obj_t BGl_z62lambda2034z62zz__evaluate_typesz00(obj_t BgL_envz00_3543,
		obj_t BgL_oz00_3544, obj_t BgL_vz00_3545)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3544)))->BgL_arityz00) =
				((obj_t) BgL_vz00_3545), BUNSPEC);
		}

	}



/* &lambda2033 */
	obj_t BGl_z62lambda2033z62zz__evaluate_typesz00(obj_t BgL_envz00_3546,
		obj_t BgL_oz00_3547)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3547)))->BgL_arityz00);
		}

	}



/* &lambda2028 */
	obj_t BGl_z62lambda2028z62zz__evaluate_typesz00(obj_t BgL_envz00_3548,
		obj_t BgL_oz00_3549, obj_t BgL_vz00_3550)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3549)))->BgL_wherez00) =
				((obj_t) BgL_vz00_3550), BUNSPEC);
		}

	}



/* &lambda2027 */
	obj_t BGl_z62lambda2027z62zz__evaluate_typesz00(obj_t BgL_envz00_3551,
		obj_t BgL_oz00_3552)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3552)))->BgL_wherez00);
		}

	}



/* &lambda2023 */
	obj_t BGl_z62lambda2023z62zz__evaluate_typesz00(obj_t BgL_envz00_3553,
		obj_t BgL_oz00_3554, obj_t BgL_vz00_3555)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3554)))->BgL_locz00) =
				((obj_t) BgL_vz00_3555), BUNSPEC);
		}

	}



/* &lambda2022 */
	obj_t BGl_z62lambda2022z62zz__evaluate_typesz00(obj_t BgL_envz00_3556,
		obj_t BgL_oz00_3557)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3557)))->BgL_locz00);
		}

	}



/* &<@anonymous:1985> */
	obj_t BGl_z62zc3z04anonymousza31985ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3558, obj_t BgL_new1181z00_3559)
	{
		{	/* Eval/evaluate_types.scm 119 */
			{
				BgL_ev_appz00_bglt BgL_auxz00_4778;

				((((BgL_ev_appz00_bglt) COBJECT(
								((BgL_ev_appz00_bglt) BgL_new1181z00_3559)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4781;

					{	/* Eval/evaluate_types.scm 119 */
						obj_t BgL_classz00_4061;

						BgL_classz00_4061 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 119 */
							obj_t BgL__ortest_1291z00_4062;

							BgL__ortest_1291z00_4062 = BGL_CLASS_NIL(BgL_classz00_4061);
							if (CBOOL(BgL__ortest_1291z00_4062))
								{	/* Eval/evaluate_types.scm 119 */
									BgL_auxz00_4781 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1291z00_4062);
								}
							else
								{	/* Eval/evaluate_types.scm 119 */
									BgL_auxz00_4781 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4061));
								}
						}
					}
					((((BgL_ev_appz00_bglt) COBJECT(
									((BgL_ev_appz00_bglt) BgL_new1181z00_3559)))->BgL_funz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4781), BUNSPEC);
				}
				((((BgL_ev_appz00_bglt) COBJECT(
								((BgL_ev_appz00_bglt) BgL_new1181z00_3559)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_appz00_bglt) COBJECT(((BgL_ev_appz00_bglt)
									BgL_new1181z00_3559)))->BgL_tailzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4778 = ((BgL_ev_appz00_bglt) BgL_new1181z00_3559);
				return ((obj_t) BgL_auxz00_4778);
			}
		}

	}



/* &lambda1983 */
	BgL_ev_appz00_bglt BGl_z62lambda1983z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3560)
	{
		{	/* Eval/evaluate_types.scm 119 */
			{	/* Eval/evaluate_types.scm 119 */
				BgL_ev_appz00_bglt BgL_new1180z00_4063;

				BgL_new1180z00_4063 =
					((BgL_ev_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_appz00_bgl))));
				{	/* Eval/evaluate_types.scm 119 */
					long BgL_arg1984z00_4064;

					BgL_arg1984z00_4064 =
						BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1180z00_4063), BgL_arg1984z00_4064);
				}
				return BgL_new1180z00_4063;
			}
		}

	}



/* &lambda1981 */
	BgL_ev_appz00_bglt BGl_z62lambda1981z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3561, obj_t BgL_loc1176z00_3562, obj_t BgL_fun1177z00_3563,
		obj_t BgL_args1178z00_3564, obj_t BgL_tailzf31179zf3_3565)
	{
		{	/* Eval/evaluate_types.scm 119 */
			{	/* Eval/evaluate_types.scm 119 */
				BgL_ev_appz00_bglt BgL_new1248z00_4066;

				{	/* Eval/evaluate_types.scm 119 */
					BgL_ev_appz00_bglt BgL_new1247z00_4067;

					BgL_new1247z00_4067 =
						((BgL_ev_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_appz00_bgl))));
					{	/* Eval/evaluate_types.scm 119 */
						long BgL_arg1982z00_4068;

						BgL_arg1982z00_4068 =
							BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1247z00_4067), BgL_arg1982z00_4068);
					}
					BgL_new1248z00_4066 = BgL_new1247z00_4067;
				}
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1248z00_4066))->BgL_locz00) =
					((obj_t) BgL_loc1176z00_3562), BUNSPEC);
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1248z00_4066))->BgL_funz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_fun1177z00_3563)),
					BUNSPEC);
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1248z00_4066))->BgL_argsz00) =
					((obj_t) BgL_args1178z00_3564), BUNSPEC);
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1248z00_4066))->BgL_tailzf3zf3) =
					((obj_t) BgL_tailzf31179zf3_3565), BUNSPEC);
				return BgL_new1248z00_4066;
			}
		}

	}



/* &lambda2007 */
	obj_t BGl_z62lambda2007z62zz__evaluate_typesz00(obj_t BgL_envz00_3566,
		obj_t BgL_oz00_3567, obj_t BgL_vz00_3568)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3567)))->BgL_tailzf3zf3) =
				((obj_t) BgL_vz00_3568), BUNSPEC);
		}

	}



/* &lambda2006 */
	obj_t BGl_z62lambda2006z62zz__evaluate_typesz00(obj_t BgL_envz00_3569,
		obj_t BgL_oz00_3570)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3570)))->BgL_tailzf3zf3);
		}

	}



/* &lambda2002 */
	obj_t BGl_z62lambda2002z62zz__evaluate_typesz00(obj_t BgL_envz00_3571,
		obj_t BgL_oz00_3572, obj_t BgL_vz00_3573)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3572)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3573), BUNSPEC);
		}

	}



/* &lambda2001 */
	obj_t BGl_z62lambda2001z62zz__evaluate_typesz00(obj_t BgL_envz00_3574,
		obj_t BgL_oz00_3575)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3575)))->BgL_argsz00);
		}

	}



/* &lambda1997 */
	obj_t BGl_z62lambda1997z62zz__evaluate_typesz00(obj_t BgL_envz00_3576,
		obj_t BgL_oz00_3577, obj_t BgL_vz00_3578)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3577)))->BgL_funz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3578)), BUNSPEC);
		}

	}



/* &lambda1996 */
	BgL_ev_exprz00_bglt BGl_z62lambda1996z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3579, obj_t BgL_oz00_3580)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3580)))->BgL_funz00);
		}

	}



/* &lambda1990 */
	obj_t BGl_z62lambda1990z62zz__evaluate_typesz00(obj_t BgL_envz00_3581,
		obj_t BgL_oz00_3582, obj_t BgL_vz00_3583)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3582)))->BgL_locz00) =
				((obj_t) BgL_vz00_3583), BUNSPEC);
		}

	}



/* &lambda1989 */
	obj_t BGl_z62lambda1989z62zz__evaluate_typesz00(obj_t BgL_envz00_3584,
		obj_t BgL_oz00_3585)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3585)))->BgL_locz00);
		}

	}



/* &<@anonymous:1949> */
	obj_t BGl_z62zc3z04anonymousza31949ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3586, obj_t BgL_new1174z00_3587)
	{
		{	/* Eval/evaluate_types.scm 114 */
			{
				BgL_ev_gotoz00_bglt BgL_auxz00_4826;

				((((BgL_ev_gotoz00_bglt) COBJECT(
								((BgL_ev_gotoz00_bglt) BgL_new1174z00_3587)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_varz00_bglt BgL_auxz00_4829;

					{	/* Eval/evaluate_types.scm 114 */
						obj_t BgL_classz00_4079;

						BgL_classz00_4079 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 114 */
							obj_t BgL__ortest_1291z00_4080;

							BgL__ortest_1291z00_4080 = BGL_CLASS_NIL(BgL_classz00_4079);
							if (CBOOL(BgL__ortest_1291z00_4080))
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4829 =
										((BgL_ev_varz00_bglt) BgL__ortest_1291z00_4080);
								}
							else
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4829 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4079));
								}
						}
					}
					((((BgL_ev_gotoz00_bglt) COBJECT(
									((BgL_ev_gotoz00_bglt) BgL_new1174z00_3587)))->BgL_labelz00) =
						((BgL_ev_varz00_bglt) BgL_auxz00_4829), BUNSPEC);
				}
				{
					BgL_ev_labelsz00_bglt BgL_auxz00_4838;

					{	/* Eval/evaluate_types.scm 114 */
						obj_t BgL_classz00_4081;

						BgL_classz00_4081 = BGl_ev_labelsz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 114 */
							obj_t BgL__ortest_1291z00_4082;

							BgL__ortest_1291z00_4082 = BGL_CLASS_NIL(BgL_classz00_4081);
							if (CBOOL(BgL__ortest_1291z00_4082))
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4838 =
										((BgL_ev_labelsz00_bglt) BgL__ortest_1291z00_4082);
								}
							else
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4838 =
										((BgL_ev_labelsz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4081));
								}
						}
					}
					((((BgL_ev_gotoz00_bglt) COBJECT(
									((BgL_ev_gotoz00_bglt) BgL_new1174z00_3587)))->
							BgL_labelsz00) =
						((BgL_ev_labelsz00_bglt) BgL_auxz00_4838), BUNSPEC);
				}
				((((BgL_ev_gotoz00_bglt) COBJECT(
								((BgL_ev_gotoz00_bglt) BgL_new1174z00_3587)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4826 = ((BgL_ev_gotoz00_bglt) BgL_new1174z00_3587);
				return ((obj_t) BgL_auxz00_4826);
			}
		}

	}



/* &lambda1947 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1947z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3588)
	{
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_gotoz00_bglt BgL_new1173z00_4083;

				BgL_new1173z00_4083 =
					((BgL_ev_gotoz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_gotoz00_bgl))));
				{	/* Eval/evaluate_types.scm 114 */
					long BgL_arg1948z00_4084;

					BgL_arg1948z00_4084 =
						BGL_CLASS_NUM(BGl_ev_gotoz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1173z00_4083), BgL_arg1948z00_4084);
				}
				return BgL_new1173z00_4083;
			}
		}

	}



/* &lambda1945 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1945z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3589, obj_t BgL_loc1169z00_3590, obj_t BgL_label1170z00_3591,
		obj_t BgL_labels1171z00_3592, obj_t BgL_args1172z00_3593)
	{
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_gotoz00_bglt BgL_new1244z00_4087;

				{	/* Eval/evaluate_types.scm 114 */
					BgL_ev_gotoz00_bglt BgL_new1243z00_4088;

					BgL_new1243z00_4088 =
						((BgL_ev_gotoz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_gotoz00_bgl))));
					{	/* Eval/evaluate_types.scm 114 */
						long BgL_arg1946z00_4089;

						BgL_arg1946z00_4089 =
							BGL_CLASS_NUM(BGl_ev_gotoz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1243z00_4088), BgL_arg1946z00_4089);
					}
					BgL_new1244z00_4087 = BgL_new1243z00_4088;
				}
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1244z00_4087))->BgL_locz00) =
					((obj_t) BgL_loc1169z00_3590), BUNSPEC);
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1244z00_4087))->BgL_labelz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_label1170z00_3591)),
					BUNSPEC);
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1244z00_4087))->BgL_labelsz00) =
					((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt)
							BgL_labels1171z00_3592)), BUNSPEC);
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1244z00_4087))->BgL_argsz00) =
					((obj_t) BgL_args1172z00_3593), BUNSPEC);
				return BgL_new1244z00_4087;
			}
		}

	}



/* &lambda1974 */
	obj_t BGl_z62lambda1974z62zz__evaluate_typesz00(obj_t BgL_envz00_3594,
		obj_t BgL_oz00_3595, obj_t BgL_vz00_3596)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3595)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3596), BUNSPEC);
		}

	}



/* &lambda1973 */
	obj_t BGl_z62lambda1973z62zz__evaluate_typesz00(obj_t BgL_envz00_3597,
		obj_t BgL_oz00_3598)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3598)))->BgL_argsz00);
		}

	}



/* &lambda1969 */
	obj_t BGl_z62lambda1969z62zz__evaluate_typesz00(obj_t BgL_envz00_3599,
		obj_t BgL_oz00_3600, obj_t BgL_vz00_3601)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3600)))->BgL_labelsz00) =
				((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt) BgL_vz00_3601)),
				BUNSPEC);
		}

	}



/* &lambda1968 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1968z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3602, obj_t BgL_oz00_3603)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3603)))->BgL_labelsz00);
		}

	}



/* &lambda1963 */
	obj_t BGl_z62lambda1963z62zz__evaluate_typesz00(obj_t BgL_envz00_3604,
		obj_t BgL_oz00_3605, obj_t BgL_vz00_3606)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3605)))->BgL_labelz00) =
				((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_3606)), BUNSPEC);
		}

	}



/* &lambda1962 */
	BgL_ev_varz00_bglt BGl_z62lambda1962z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3607, obj_t BgL_oz00_3608)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3608)))->BgL_labelz00);
		}

	}



/* &lambda1956 */
	obj_t BGl_z62lambda1956z62zz__evaluate_typesz00(obj_t BgL_envz00_3609,
		obj_t BgL_oz00_3610, obj_t BgL_vz00_3611)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3610)))->BgL_locz00) =
				((obj_t) BgL_vz00_3611), BUNSPEC);
		}

	}



/* &lambda1955 */
	obj_t BGl_z62lambda1955z62zz__evaluate_typesz00(obj_t BgL_envz00_3612,
		obj_t BgL_oz00_3613)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3613)))->BgL_locz00);
		}

	}



/* &<@anonymous:1900> */
	obj_t BGl_z62zc3z04anonymousza31900ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3614, obj_t BgL_new1167z00_3615)
	{
		{	/* Eval/evaluate_types.scm 106 */
			{
				BgL_ev_labelsz00_bglt BgL_auxz00_4883;

				((((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_new1167z00_3615)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(((BgL_ev_labelsz00_bglt)
									BgL_new1167z00_3615)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(((BgL_ev_labelsz00_bglt)
									BgL_new1167z00_3615)))->BgL_envz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(((BgL_ev_labelsz00_bglt)
									BgL_new1167z00_3615)))->BgL_stkz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4892;

					{	/* Eval/evaluate_types.scm 106 */
						obj_t BgL_classz00_4101;

						BgL_classz00_4101 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 106 */
							obj_t BgL__ortest_1291z00_4102;

							BgL__ortest_1291z00_4102 = BGL_CLASS_NIL(BgL_classz00_4101);
							if (CBOOL(BgL__ortest_1291z00_4102))
								{	/* Eval/evaluate_types.scm 106 */
									BgL_auxz00_4892 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1291z00_4102);
								}
							else
								{	/* Eval/evaluate_types.scm 106 */
									BgL_auxz00_4892 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4101));
								}
						}
					}
					((((BgL_ev_labelsz00_bglt) COBJECT(
									((BgL_ev_labelsz00_bglt) BgL_new1167z00_3615)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4892), BUNSPEC);
				}
				((((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_new1167z00_3615)))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4883 = ((BgL_ev_labelsz00_bglt) BgL_new1167z00_3615);
				return ((obj_t) BgL_auxz00_4883);
			}
		}

	}



/* &lambda1898 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1898z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3616)
	{
		{	/* Eval/evaluate_types.scm 106 */
			{	/* Eval/evaluate_types.scm 106 */
				BgL_ev_labelsz00_bglt BgL_new1166z00_4103;

				BgL_new1166z00_4103 =
					((BgL_ev_labelsz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_labelsz00_bgl))));
				{	/* Eval/evaluate_types.scm 106 */
					long BgL_arg1899z00_4104;

					BgL_arg1899z00_4104 =
						BGL_CLASS_NUM(BGl_ev_labelsz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1166z00_4103), BgL_arg1899z00_4104);
				}
				return BgL_new1166z00_4103;
			}
		}

	}



/* &lambda1896 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1896z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3617, obj_t BgL_vars1160z00_3618, obj_t BgL_vals1161z00_3619,
		obj_t BgL_env1162z00_3620, obj_t BgL_stk1163z00_3621,
		obj_t BgL_body1164z00_3622, obj_t BgL_boxes1165z00_3623)
	{
		{	/* Eval/evaluate_types.scm 106 */
			{	/* Eval/evaluate_types.scm 106 */
				BgL_ev_labelsz00_bglt BgL_new1242z00_4106;

				{	/* Eval/evaluate_types.scm 106 */
					BgL_ev_labelsz00_bglt BgL_new1241z00_4107;

					BgL_new1241z00_4107 =
						((BgL_ev_labelsz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_labelsz00_bgl))));
					{	/* Eval/evaluate_types.scm 106 */
						long BgL_arg1897z00_4108;

						BgL_arg1897z00_4108 =
							BGL_CLASS_NUM(BGl_ev_labelsz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1241z00_4107), BgL_arg1897z00_4108);
					}
					BgL_new1242z00_4106 = BgL_new1241z00_4107;
				}
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1242z00_4106))->BgL_varsz00) =
					((obj_t) BgL_vars1160z00_3618), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1242z00_4106))->BgL_valsz00) =
					((obj_t) BgL_vals1161z00_3619), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1242z00_4106))->BgL_envz00) =
					((obj_t) BgL_env1162z00_3620), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1242z00_4106))->BgL_stkz00) =
					((obj_t) BgL_stk1163z00_3621), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1242z00_4106))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1164z00_3622)),
					BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1242z00_4106))->
						BgL_boxesz00) = ((obj_t) BgL_boxes1165z00_3623), BUNSPEC);
				return BgL_new1242z00_4106;
			}
		}

	}



/* &<@anonymous:1938> */
	obj_t BGl_z62zc3z04anonymousza31938ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3624)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}

	}



/* &lambda1937 */
	obj_t BGl_z62lambda1937z62zz__evaluate_typesz00(obj_t BgL_envz00_3625,
		obj_t BgL_oz00_3626, obj_t BgL_vz00_3627)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3626)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3627), BUNSPEC);
		}

	}



/* &lambda1936 */
	obj_t BGl_z62lambda1936z62zz__evaluate_typesz00(obj_t BgL_envz00_3628,
		obj_t BgL_oz00_3629)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3629)))->BgL_boxesz00);
		}

	}



/* &lambda1931 */
	obj_t BGl_z62lambda1931z62zz__evaluate_typesz00(obj_t BgL_envz00_3630,
		obj_t BgL_oz00_3631, obj_t BgL_vz00_3632)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3631)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3632)), BUNSPEC);
		}

	}



/* &lambda1930 */
	BgL_ev_exprz00_bglt BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3633, obj_t BgL_oz00_3634)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3634)))->BgL_bodyz00);
		}

	}



/* &<@anonymous:1926> */
	obj_t BGl_z62zc3z04anonymousza31926ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3635)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}

	}



/* &lambda1925 */
	obj_t BGl_z62lambda1925z62zz__evaluate_typesz00(obj_t BgL_envz00_3636,
		obj_t BgL_oz00_3637, obj_t BgL_vz00_3638)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3637)))->BgL_stkz00) =
				((obj_t) BgL_vz00_3638), BUNSPEC);
		}

	}



/* &lambda1924 */
	obj_t BGl_z62lambda1924z62zz__evaluate_typesz00(obj_t BgL_envz00_3639,
		obj_t BgL_oz00_3640)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3640)))->BgL_stkz00);
		}

	}



/* &<@anonymous:1918> */
	obj_t BGl_z62zc3z04anonymousza31918ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3641)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}

	}



/* &lambda1917 */
	obj_t BGl_z62lambda1917z62zz__evaluate_typesz00(obj_t BgL_envz00_3642,
		obj_t BgL_oz00_3643, obj_t BgL_vz00_3644)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3643)))->BgL_envz00) =
				((obj_t) BgL_vz00_3644), BUNSPEC);
		}

	}



/* &lambda1916 */
	obj_t BGl_z62lambda1916z62zz__evaluate_typesz00(obj_t BgL_envz00_3645,
		obj_t BgL_oz00_3646)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3646)))->BgL_envz00);
		}

	}



/* &lambda1910 */
	obj_t BGl_z62lambda1910z62zz__evaluate_typesz00(obj_t BgL_envz00_3647,
		obj_t BgL_oz00_3648, obj_t BgL_vz00_3649)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3648)))->BgL_valsz00) =
				((obj_t) BgL_vz00_3649), BUNSPEC);
		}

	}



/* &lambda1909 */
	obj_t BGl_z62lambda1909z62zz__evaluate_typesz00(obj_t BgL_envz00_3650,
		obj_t BgL_oz00_3651)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3651)))->BgL_valsz00);
		}

	}



/* &lambda1905 */
	obj_t BGl_z62lambda1905z62zz__evaluate_typesz00(obj_t BgL_envz00_3652,
		obj_t BgL_oz00_3653, obj_t BgL_vz00_3654)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3653)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3654), BUNSPEC);
		}

	}



/* &lambda1904 */
	obj_t BGl_z62lambda1904z62zz__evaluate_typesz00(obj_t BgL_envz00_3655,
		obj_t BgL_oz00_3656)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3656)))->BgL_varsz00);
		}

	}



/* &<@anonymous:1890> */
	obj_t BGl_z62zc3z04anonymousza31890ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3657, obj_t BgL_new1158z00_3658)
	{
		{	/* Eval/evaluate_types.scm 105 */
			{
				BgL_ev_letrecz00_bglt BgL_auxz00_4945;

				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letrecz00_bglt) BgL_new1158z00_3658))))->
						BgL_varsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt)
							COBJECT(((BgL_ev_binderz00_bglt) ((BgL_ev_letrecz00_bglt)
										BgL_new1158z00_3658))))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4952;

					{	/* Eval/evaluate_types.scm 105 */
						obj_t BgL_classz00_4123;

						BgL_classz00_4123 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 105 */
							obj_t BgL__ortest_1291z00_4124;

							BgL__ortest_1291z00_4124 = BGL_CLASS_NIL(BgL_classz00_4123);
							if (CBOOL(BgL__ortest_1291z00_4124))
								{	/* Eval/evaluate_types.scm 105 */
									BgL_auxz00_4952 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1291z00_4124);
								}
							else
								{	/* Eval/evaluate_types.scm 105 */
									BgL_auxz00_4952 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4123));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_new1158z00_3658))))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4952), BUNSPEC);
				}
				BgL_auxz00_4945 = ((BgL_ev_letrecz00_bglt) BgL_new1158z00_3658);
				return ((obj_t) BgL_auxz00_4945);
			}
		}

	}



/* &lambda1888 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1888z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3659)
	{
		{	/* Eval/evaluate_types.scm 105 */
			{	/* Eval/evaluate_types.scm 105 */
				BgL_ev_letrecz00_bglt BgL_new1157z00_4125;

				BgL_new1157z00_4125 =
					((BgL_ev_letrecz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_letrecz00_bgl))));
				{	/* Eval/evaluate_types.scm 105 */
					long BgL_arg1889z00_4126;

					BgL_arg1889z00_4126 =
						BGL_CLASS_NUM(BGl_ev_letrecz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1157z00_4125), BgL_arg1889z00_4126);
				}
				return BgL_new1157z00_4125;
			}
		}

	}



/* &lambda1886 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1886z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3660, obj_t BgL_vars1154z00_3661, obj_t BgL_vals1155z00_3662,
		obj_t BgL_body1156z00_3663)
	{
		{	/* Eval/evaluate_types.scm 105 */
			{	/* Eval/evaluate_types.scm 105 */
				BgL_ev_letrecz00_bglt BgL_new1240z00_4128;

				{	/* Eval/evaluate_types.scm 105 */
					BgL_ev_letrecz00_bglt BgL_new1239z00_4129;

					BgL_new1239z00_4129 =
						((BgL_ev_letrecz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_letrecz00_bgl))));
					{	/* Eval/evaluate_types.scm 105 */
						long BgL_arg1887z00_4130;

						BgL_arg1887z00_4130 =
							BGL_CLASS_NUM(BGl_ev_letrecz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1239z00_4129), BgL_arg1887z00_4130);
					}
					BgL_new1240z00_4128 = BgL_new1239z00_4129;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_new1240z00_4128)))->BgL_varsz00) =
					((obj_t) BgL_vars1154z00_3661), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1240z00_4128)))->BgL_valsz00) =
					((obj_t) BgL_vals1155z00_3662), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1240z00_4128)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1156z00_3663)),
					BUNSPEC);
				return BgL_new1240z00_4128;
			}
		}

	}



/* &<@anonymous:1872> */
	obj_t BGl_z62zc3z04anonymousza31872ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3664, obj_t BgL_new1152z00_3665)
	{
		{	/* Eval/evaluate_types.scm 103 */
			{
				BgL_ev_letza2za2_bglt BgL_auxz00_4979;

				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letza2za2_bglt) BgL_new1152z00_3665))))->
						BgL_varsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt)
							COBJECT(((BgL_ev_binderz00_bglt) ((BgL_ev_letza2za2_bglt)
										BgL_new1152z00_3665))))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4986;

					{	/* Eval/evaluate_types.scm 103 */
						obj_t BgL_classz00_4132;

						BgL_classz00_4132 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 103 */
							obj_t BgL__ortest_1291z00_4133;

							BgL__ortest_1291z00_4133 = BGL_CLASS_NIL(BgL_classz00_4132);
							if (CBOOL(BgL__ortest_1291z00_4133))
								{	/* Eval/evaluate_types.scm 103 */
									BgL_auxz00_4986 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1291z00_4133);
								}
							else
								{	/* Eval/evaluate_types.scm 103 */
									BgL_auxz00_4986 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4132));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_new1152z00_3665))))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4986), BUNSPEC);
				}
				((((BgL_ev_letza2za2_bglt) COBJECT(
								((BgL_ev_letza2za2_bglt) BgL_new1152z00_3665)))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4979 = ((BgL_ev_letza2za2_bglt) BgL_new1152z00_3665);
				return ((obj_t) BgL_auxz00_4979);
			}
		}

	}



/* &lambda1870 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1870z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3666)
	{
		{	/* Eval/evaluate_types.scm 103 */
			{	/* Eval/evaluate_types.scm 103 */
				BgL_ev_letza2za2_bglt BgL_new1151z00_4134;

				BgL_new1151z00_4134 =
					((BgL_ev_letza2za2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_letza2za2_bgl))));
				{	/* Eval/evaluate_types.scm 103 */
					long BgL_arg1871z00_4135;

					BgL_arg1871z00_4135 =
						BGL_CLASS_NUM(BGl_ev_letza2za2zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1151z00_4134), BgL_arg1871z00_4135);
				}
				return BgL_new1151z00_4134;
			}
		}

	}



/* &lambda1868 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1868z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3667, obj_t BgL_vars1147z00_3668, obj_t BgL_vals1148z00_3669,
		obj_t BgL_body1149z00_3670, obj_t BgL_boxes1150z00_3671)
	{
		{	/* Eval/evaluate_types.scm 103 */
			{	/* Eval/evaluate_types.scm 103 */
				BgL_ev_letza2za2_bglt BgL_new1238z00_4137;

				{	/* Eval/evaluate_types.scm 103 */
					BgL_ev_letza2za2_bglt BgL_new1237z00_4138;

					BgL_new1237z00_4138 =
						((BgL_ev_letza2za2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_letza2za2_bgl))));
					{	/* Eval/evaluate_types.scm 103 */
						long BgL_arg1869z00_4139;

						BgL_arg1869z00_4139 =
							BGL_CLASS_NUM(BGl_ev_letza2za2zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1237z00_4138), BgL_arg1869z00_4139);
					}
					BgL_new1238z00_4137 = BgL_new1237z00_4138;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_new1238z00_4137)))->BgL_varsz00) =
					((obj_t) BgL_vars1147z00_3668), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1238z00_4137)))->BgL_valsz00) =
					((obj_t) BgL_vals1148z00_3669), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1238z00_4137)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1149z00_3670)),
					BUNSPEC);
				((((BgL_ev_letza2za2_bglt) COBJECT(BgL_new1238z00_4137))->
						BgL_boxesz00) = ((obj_t) BgL_boxes1150z00_3671), BUNSPEC);
				return BgL_new1238z00_4137;
			}
		}

	}



/* &<@anonymous:1880> */
	obj_t BGl_z62zc3z04anonymousza31880ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3672)
	{
		{	/* Eval/evaluate_types.scm 103 */
			return BNIL;
		}

	}



/* &lambda1879 */
	obj_t BGl_z62lambda1879z62zz__evaluate_typesz00(obj_t BgL_envz00_3673,
		obj_t BgL_oz00_3674, obj_t BgL_vz00_3675)
	{
		{	/* Eval/evaluate_types.scm 103 */
			return
				((((BgL_ev_letza2za2_bglt) COBJECT(
							((BgL_ev_letza2za2_bglt) BgL_oz00_3674)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3675), BUNSPEC);
		}

	}



/* &lambda1878 */
	obj_t BGl_z62lambda1878z62zz__evaluate_typesz00(obj_t BgL_envz00_3676,
		obj_t BgL_oz00_3677)
	{
		{	/* Eval/evaluate_types.scm 103 */
			return
				(((BgL_ev_letza2za2_bglt) COBJECT(
						((BgL_ev_letza2za2_bglt) BgL_oz00_3677)))->BgL_boxesz00);
		}

	}



/* &<@anonymous:1855> */
	obj_t BGl_z62zc3z04anonymousza31855ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3678, obj_t BgL_new1145z00_3679)
	{
		{	/* Eval/evaluate_types.scm 101 */
			{
				BgL_ev_letz00_bglt BgL_auxz00_5020;

				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letz00_bglt) BgL_new1145z00_3679))))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt)
							COBJECT(((BgL_ev_binderz00_bglt) ((BgL_ev_letz00_bglt)
										BgL_new1145z00_3679))))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5027;

					{	/* Eval/evaluate_types.scm 101 */
						obj_t BgL_classz00_4143;

						BgL_classz00_4143 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 101 */
							obj_t BgL__ortest_1291z00_4144;

							BgL__ortest_1291z00_4144 = BGL_CLASS_NIL(BgL_classz00_4143);
							if (CBOOL(BgL__ortest_1291z00_4144))
								{	/* Eval/evaluate_types.scm 101 */
									BgL_auxz00_5027 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1291z00_4144);
								}
							else
								{	/* Eval/evaluate_types.scm 101 */
									BgL_auxz00_5027 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4143));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_new1145z00_3679))))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5027), BUNSPEC);
				}
				((((BgL_ev_letz00_bglt) COBJECT(
								((BgL_ev_letz00_bglt) BgL_new1145z00_3679)))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5020 = ((BgL_ev_letz00_bglt) BgL_new1145z00_3679);
				return ((obj_t) BgL_auxz00_5020);
			}
		}

	}



/* &lambda1853 */
	BgL_ev_letz00_bglt BGl_z62lambda1853z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3680)
	{
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_letz00_bglt BgL_new1144z00_4145;

				BgL_new1144z00_4145 =
					((BgL_ev_letz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_letz00_bgl))));
				{	/* Eval/evaluate_types.scm 101 */
					long BgL_arg1854z00_4146;

					BgL_arg1854z00_4146 =
						BGL_CLASS_NUM(BGl_ev_letz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1144z00_4145), BgL_arg1854z00_4146);
				}
				return BgL_new1144z00_4145;
			}
		}

	}



/* &lambda1851 */
	BgL_ev_letz00_bglt BGl_z62lambda1851z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3681, obj_t BgL_vars1140z00_3682, obj_t BgL_vals1141z00_3683,
		obj_t BgL_body1142z00_3684, obj_t BgL_boxes1143z00_3685)
	{
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_letz00_bglt BgL_new1236z00_4148;

				{	/* Eval/evaluate_types.scm 101 */
					BgL_ev_letz00_bglt BgL_new1235z00_4149;

					BgL_new1235z00_4149 =
						((BgL_ev_letz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_letz00_bgl))));
					{	/* Eval/evaluate_types.scm 101 */
						long BgL_arg1852z00_4150;

						BgL_arg1852z00_4150 =
							BGL_CLASS_NUM(BGl_ev_letz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1235z00_4149), BgL_arg1852z00_4150);
					}
					BgL_new1236z00_4148 = BgL_new1235z00_4149;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_new1236z00_4148)))->BgL_varsz00) =
					((obj_t) BgL_vars1140z00_3682), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1236z00_4148)))->BgL_valsz00) =
					((obj_t) BgL_vals1141z00_3683), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1236z00_4148)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1142z00_3684)),
					BUNSPEC);
				((((BgL_ev_letz00_bglt) COBJECT(BgL_new1236z00_4148))->BgL_boxesz00) =
					((obj_t) BgL_boxes1143z00_3685), BUNSPEC);
				return BgL_new1236z00_4148;
			}
		}

	}



/* &<@anonymous:1862> */
	obj_t BGl_z62zc3z04anonymousza31862ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3686)
	{
		{	/* Eval/evaluate_types.scm 101 */
			return BNIL;
		}

	}



/* &lambda1861 */
	obj_t BGl_z62lambda1861z62zz__evaluate_typesz00(obj_t BgL_envz00_3687,
		obj_t BgL_oz00_3688, obj_t BgL_vz00_3689)
	{
		{	/* Eval/evaluate_types.scm 101 */
			return
				((((BgL_ev_letz00_bglt) COBJECT(
							((BgL_ev_letz00_bglt) BgL_oz00_3688)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3689), BUNSPEC);
		}

	}



/* &lambda1860 */
	obj_t BGl_z62lambda1860z62zz__evaluate_typesz00(obj_t BgL_envz00_3690,
		obj_t BgL_oz00_3691)
	{
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_letz00_bglt) COBJECT(
						((BgL_ev_letz00_bglt) BgL_oz00_3691)))->BgL_boxesz00);
		}

	}



/* &<@anonymous:1829> */
	obj_t BGl_z62zc3z04anonymousza31829ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3692, obj_t BgL_new1138z00_3693)
	{
		{	/* Eval/evaluate_types.scm 97 */
			{
				BgL_ev_binderz00_bglt BgL_auxz00_5061;

				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_new1138z00_3693)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1138z00_3693)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5066;

					{	/* Eval/evaluate_types.scm 97 */
						obj_t BgL_classz00_4154;

						BgL_classz00_4154 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 97 */
							obj_t BgL__ortest_1291z00_4155;

							BgL__ortest_1291z00_4155 = BGL_CLASS_NIL(BgL_classz00_4154);
							if (CBOOL(BgL__ortest_1291z00_4155))
								{	/* Eval/evaluate_types.scm 97 */
									BgL_auxz00_5066 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1291z00_4155);
								}
							else
								{	/* Eval/evaluate_types.scm 97 */
									BgL_auxz00_5066 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4154));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt) BgL_new1138z00_3693)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5066), BUNSPEC);
				}
				BgL_auxz00_5061 = ((BgL_ev_binderz00_bglt) BgL_new1138z00_3693);
				return ((obj_t) BgL_auxz00_5061);
			}
		}

	}



/* &lambda1827 */
	BgL_ev_binderz00_bglt BGl_z62lambda1827z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3694)
	{
		{	/* Eval/evaluate_types.scm 97 */
			{	/* Eval/evaluate_types.scm 97 */
				BgL_ev_binderz00_bglt BgL_new1137z00_4156;

				BgL_new1137z00_4156 =
					((BgL_ev_binderz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_binderz00_bgl))));
				{	/* Eval/evaluate_types.scm 97 */
					long BgL_arg1828z00_4157;

					BgL_arg1828z00_4157 =
						BGL_CLASS_NUM(BGl_ev_binderz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1137z00_4156), BgL_arg1828z00_4157);
				}
				return BgL_new1137z00_4156;
			}
		}

	}



/* &lambda1825 */
	BgL_ev_binderz00_bglt BGl_z62lambda1825z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3695, obj_t BgL_vars1134z00_3696, obj_t BgL_vals1135z00_3697,
		obj_t BgL_body1136z00_3698)
	{
		{	/* Eval/evaluate_types.scm 97 */
			{	/* Eval/evaluate_types.scm 97 */
				BgL_ev_binderz00_bglt BgL_new1234z00_4159;

				{	/* Eval/evaluate_types.scm 97 */
					BgL_ev_binderz00_bglt BgL_new1233z00_4160;

					BgL_new1233z00_4160 =
						((BgL_ev_binderz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_binderz00_bgl))));
					{	/* Eval/evaluate_types.scm 97 */
						long BgL_arg1826z00_4161;

						BgL_arg1826z00_4161 =
							BGL_CLASS_NUM(BGl_ev_binderz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1233z00_4160), BgL_arg1826z00_4161);
					}
					BgL_new1234z00_4159 = BgL_new1233z00_4160;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1234z00_4159))->BgL_varsz00) =
					((obj_t) BgL_vars1134z00_3696), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1234z00_4159))->BgL_valsz00) =
					((obj_t) BgL_vals1135z00_3697), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1234z00_4159))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1136z00_3698)),
					BUNSPEC);
				return BgL_new1234z00_4159;
			}
		}

	}



/* &lambda1845 */
	obj_t BGl_z62lambda1845z62zz__evaluate_typesz00(obj_t BgL_envz00_3699,
		obj_t BgL_oz00_3700, obj_t BgL_vz00_3701)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) COBJECT(
							((BgL_ev_binderz00_bglt) BgL_oz00_3700)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3701)), BUNSPEC);
		}

	}



/* &lambda1844 */
	BgL_ev_exprz00_bglt BGl_z62lambda1844z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3702, obj_t BgL_oz00_3703)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) COBJECT(
						((BgL_ev_binderz00_bglt) BgL_oz00_3703)))->BgL_bodyz00);
		}

	}



/* &lambda1840 */
	obj_t BGl_z62lambda1840z62zz__evaluate_typesz00(obj_t BgL_envz00_3704,
		obj_t BgL_oz00_3705, obj_t BgL_vz00_3706)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) COBJECT(
							((BgL_ev_binderz00_bglt) BgL_oz00_3705)))->BgL_valsz00) =
				((obj_t) BgL_vz00_3706), BUNSPEC);
		}

	}



/* &lambda1839 */
	obj_t BGl_z62lambda1839z62zz__evaluate_typesz00(obj_t BgL_envz00_3707,
		obj_t BgL_oz00_3708)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) COBJECT(
						((BgL_ev_binderz00_bglt) BgL_oz00_3708)))->BgL_valsz00);
		}

	}



/* &lambda1834 */
	obj_t BGl_z62lambda1834z62zz__evaluate_typesz00(obj_t BgL_envz00_3709,
		obj_t BgL_oz00_3710, obj_t BgL_vz00_3711)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) COBJECT(
							((BgL_ev_binderz00_bglt) BgL_oz00_3710)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3711), BUNSPEC);
		}

	}



/* &lambda1833 */
	obj_t BGl_z62lambda1833z62zz__evaluate_typesz00(obj_t BgL_envz00_3712,
		obj_t BgL_oz00_3713)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) COBJECT(
						((BgL_ev_binderz00_bglt) BgL_oz00_3713)))->BgL_varsz00);
		}

	}



/* &<@anonymous:1797> */
	obj_t BGl_z62zc3z04anonymousza31797ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3714, obj_t BgL_new1132z00_3715)
	{
		{	/* Eval/evaluate_types.scm 92 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_auxz00_5102;

				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
								((BgL_ev_synchroniza7eza7_bglt) BgL_new1132z00_3715)))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5105;

					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_classz00_4170;

						BgL_classz00_4170 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL__ortest_1291z00_4171;

							BgL__ortest_1291z00_4171 = BGL_CLASS_NIL(BgL_classz00_4170);
							if (CBOOL(BgL__ortest_1291z00_4171))
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5105 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1291z00_4171);
								}
							else
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5105 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4170));
								}
						}
					}
					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_new1132z00_3715)))->
							BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5105), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5114;

					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_classz00_4172;

						BgL_classz00_4172 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL__ortest_1291z00_4173;

							BgL__ortest_1291z00_4173 = BGL_CLASS_NIL(BgL_classz00_4172);
							if (CBOOL(BgL__ortest_1291z00_4173))
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5114 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1291z00_4173);
								}
							else
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5114 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4172));
								}
						}
					}
					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_new1132z00_3715)))->
							BgL_prelockz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5114), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5123;

					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_classz00_4174;

						BgL_classz00_4174 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL__ortest_1291z00_4175;

							BgL__ortest_1291z00_4175 = BGL_CLASS_NIL(BgL_classz00_4174);
							if (CBOOL(BgL__ortest_1291z00_4175))
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5123 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1291z00_4175);
								}
							else
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5123 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4174));
								}
						}
					}
					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_new1132z00_3715)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5123), BUNSPEC);
				}
				BgL_auxz00_5102 = ((BgL_ev_synchroniza7eza7_bglt) BgL_new1132z00_3715);
				return ((obj_t) BgL_auxz00_5102);
			}
		}

	}



/* &lambda1795 */
	BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1795z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3716)
	{
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_synchroniza7eza7_bglt BgL_new1131z00_4176;

				BgL_new1131z00_4176 =
					((BgL_ev_synchroniza7eza7_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_synchroniza7eza7_bgl))));
				{	/* Eval/evaluate_types.scm 92 */
					long BgL_arg1796z00_4177;

					BgL_arg1796z00_4177 =
						BGL_CLASS_NUM(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1131z00_4176), BgL_arg1796z00_4177);
				}
				return BgL_new1131z00_4176;
			}
		}

	}



/* &lambda1793 */
	BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1793z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3717, obj_t BgL_loc1127z00_3718, obj_t BgL_mutex1128z00_3719,
		obj_t BgL_prelock1129z00_3720, obj_t BgL_body1130z00_3721)
	{
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_synchroniza7eza7_bglt BgL_new1232z00_4181;

				{	/* Eval/evaluate_types.scm 92 */
					BgL_ev_synchroniza7eza7_bglt BgL_new1231z00_4182;

					BgL_new1231z00_4182 =
						((BgL_ev_synchroniza7eza7_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_synchroniza7eza7_bgl))));
					{	/* Eval/evaluate_types.scm 92 */
						long BgL_arg1794z00_4183;

						BgL_arg1794z00_4183 =
							BGL_CLASS_NUM(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1231z00_4182), BgL_arg1794z00_4183);
					}
					BgL_new1232z00_4181 = BgL_new1231z00_4182;
				}
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1232z00_4181))->
						BgL_locz00) = ((obj_t) BgL_loc1127z00_3718), BUNSPEC);
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1232z00_4181))->
						BgL_mutexz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_mutex1128z00_3719)),
					BUNSPEC);
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1232z00_4181))->
						BgL_prelockz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BgL_prelock1129z00_3720)), BUNSPEC);
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1232z00_4181))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1130z00_3721)),
					BUNSPEC);
				return BgL_new1232z00_4181;
			}
		}

	}



/* &lambda1818 */
	obj_t BGl_z62lambda1818z62zz__evaluate_typesz00(obj_t BgL_envz00_3722,
		obj_t BgL_oz00_3723, obj_t BgL_vz00_3724)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3723)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3724)), BUNSPEC);
		}

	}



/* &lambda1817 */
	BgL_ev_exprz00_bglt BGl_z62lambda1817z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3725, obj_t BgL_oz00_3726)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3726)))->BgL_bodyz00);
		}

	}



/* &lambda1813 */
	obj_t BGl_z62lambda1813z62zz__evaluate_typesz00(obj_t BgL_envz00_3727,
		obj_t BgL_oz00_3728, obj_t BgL_vz00_3729)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3728)))->
					BgL_prelockz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3729)), BUNSPEC);
		}

	}



/* &lambda1812 */
	BgL_ev_exprz00_bglt BGl_z62lambda1812z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3730, obj_t BgL_oz00_3731)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3731)))->BgL_prelockz00);
		}

	}



/* &lambda1808 */
	obj_t BGl_z62lambda1808z62zz__evaluate_typesz00(obj_t BgL_envz00_3732,
		obj_t BgL_oz00_3733, obj_t BgL_vz00_3734)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3733)))->BgL_mutexz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3734)), BUNSPEC);
		}

	}



/* &lambda1807 */
	BgL_ev_exprz00_bglt BGl_z62lambda1807z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3735, obj_t BgL_oz00_3736)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3736)))->BgL_mutexz00);
		}

	}



/* &lambda1803 */
	obj_t BGl_z62lambda1803z62zz__evaluate_typesz00(obj_t BgL_envz00_3737,
		obj_t BgL_oz00_3738, obj_t BgL_vz00_3739)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3738)))->BgL_locz00) =
				((obj_t) BgL_vz00_3739), BUNSPEC);
		}

	}



/* &lambda1802 */
	obj_t BGl_z62lambda1802z62zz__evaluate_typesz00(obj_t BgL_envz00_3740,
		obj_t BgL_oz00_3741)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3741)))->BgL_locz00);
		}

	}



/* &<@anonymous:1775> */
	obj_t BGl_z62zc3z04anonymousza31775ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3742, obj_t BgL_new1125z00_3743)
	{
		{	/* Eval/evaluate_types.scm 89 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_5168;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5169;

					{	/* Eval/evaluate_types.scm 89 */
						obj_t BgL_classz00_4196;

						BgL_classz00_4196 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL__ortest_1291z00_4197;

							BgL__ortest_1291z00_4197 = BGL_CLASS_NIL(BgL_classz00_4196);
							if (CBOOL(BgL__ortest_1291z00_4197))
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_5169 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1291z00_4197);
								}
							else
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_5169 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4196));
								}
						}
					}
					((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
									((BgL_ev_withzd2handlerzd2_bglt) BgL_new1125z00_3743)))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5169), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5178;

					{	/* Eval/evaluate_types.scm 89 */
						obj_t BgL_classz00_4198;

						BgL_classz00_4198 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL__ortest_1291z00_4199;

							BgL__ortest_1291z00_4199 = BGL_CLASS_NIL(BgL_classz00_4198);
							if (CBOOL(BgL__ortest_1291z00_4199))
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_5178 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1291z00_4199);
								}
							else
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_5178 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4198));
								}
						}
					}
					((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
									((BgL_ev_withzd2handlerzd2_bglt) BgL_new1125z00_3743)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5178), BUNSPEC);
				}
				BgL_auxz00_5168 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_new1125z00_3743);
				return ((obj_t) BgL_auxz00_5168);
			}
		}

	}



/* &lambda1773 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1773z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3744)
	{
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_new1124z00_4200;

				BgL_new1124z00_4200 =
					((BgL_ev_withzd2handlerzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_withzd2handlerzd2_bgl))));
				{	/* Eval/evaluate_types.scm 89 */
					long BgL_arg1774z00_4201;

					BgL_arg1774z00_4201 =
						BGL_CLASS_NUM(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1124z00_4200), BgL_arg1774z00_4201);
				}
				return BgL_new1124z00_4200;
			}
		}

	}



/* &lambda1771 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1771z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3745, obj_t BgL_handler1122z00_3746, obj_t BgL_body1123z00_3747)
	{
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_new1230z00_4204;

				{	/* Eval/evaluate_types.scm 89 */
					BgL_ev_withzd2handlerzd2_bglt BgL_new1229z00_4205;

					BgL_new1229z00_4205 =
						((BgL_ev_withzd2handlerzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_withzd2handlerzd2_bgl))));
					{	/* Eval/evaluate_types.scm 89 */
						long BgL_arg1772z00_4206;

						BgL_arg1772z00_4206 =
							BGL_CLASS_NUM(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1229z00_4205), BgL_arg1772z00_4206);
					}
					BgL_new1230z00_4204 = BgL_new1229z00_4205;
				}
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1230z00_4204))->
						BgL_handlerz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BgL_handler1122z00_3746)), BUNSPEC);
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1230z00_4204))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1123z00_3747)),
					BUNSPEC);
				return BgL_new1230z00_4204;
			}
		}

	}



/* &lambda1785 */
	obj_t BGl_z62lambda1785z62zz__evaluate_typesz00(obj_t BgL_envz00_3748,
		obj_t BgL_oz00_3749, obj_t BgL_vz00_3750)
	{
		{	/* Eval/evaluate_types.scm 89 */
			return
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
							((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3749)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3750)), BUNSPEC);
		}

	}



/* &lambda1784 */
	BgL_ev_exprz00_bglt BGl_z62lambda1784z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3751, obj_t BgL_oz00_3752)
	{
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3752)))->BgL_bodyz00);
		}

	}



/* &lambda1780 */
	obj_t BGl_z62lambda1780z62zz__evaluate_typesz00(obj_t BgL_envz00_3753,
		obj_t BgL_oz00_3754, obj_t BgL_vz00_3755)
	{
		{	/* Eval/evaluate_types.scm 89 */
			return
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
							((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3754)))->
					BgL_handlerz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3755)), BUNSPEC);
		}

	}



/* &lambda1779 */
	BgL_ev_exprz00_bglt BGl_z62lambda1779z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3756, obj_t BgL_oz00_3757)
	{
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3757)))->BgL_handlerz00);
		}

	}



/* &<@anonymous:1751> */
	obj_t BGl_z62zc3z04anonymousza31751ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3758, obj_t BgL_new1120z00_3759)
	{
		{	/* Eval/evaluate_types.scm 86 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_5211;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5212;

					{	/* Eval/evaluate_types.scm 86 */
						obj_t BgL_classz00_4214;

						BgL_classz00_4214 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL__ortest_1291z00_4215;

							BgL__ortest_1291z00_4215 = BGL_CLASS_NIL(BgL_classz00_4214);
							if (CBOOL(BgL__ortest_1291z00_4215))
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_5212 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1291z00_4215);
								}
							else
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_5212 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4214));
								}
						}
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
									((BgL_ev_unwindzd2protectzd2_bglt) BgL_new1120z00_3759)))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5212), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5221;

					{	/* Eval/evaluate_types.scm 86 */
						obj_t BgL_classz00_4216;

						BgL_classz00_4216 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL__ortest_1291z00_4217;

							BgL__ortest_1291z00_4217 = BGL_CLASS_NIL(BgL_classz00_4216);
							if (CBOOL(BgL__ortest_1291z00_4217))
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_5221 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1291z00_4217);
								}
							else
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_5221 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4216));
								}
						}
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
									((BgL_ev_unwindzd2protectzd2_bglt) BgL_new1120z00_3759)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5221), BUNSPEC);
				}
				BgL_auxz00_5211 =
					((BgL_ev_unwindzd2protectzd2_bglt) BgL_new1120z00_3759);
				return ((obj_t) BgL_auxz00_5211);
			}
		}

	}



/* &lambda1749 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t BgL_envz00_3760)
	{
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_new1118z00_4218;

				BgL_new1118z00_4218 =
					((BgL_ev_unwindzd2protectzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_unwindzd2protectzd2_bgl))));
				{	/* Eval/evaluate_types.scm 86 */
					long BgL_arg1750z00_4219;

					BgL_arg1750z00_4219 =
						BGL_CLASS_NUM(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1118z00_4218), BgL_arg1750z00_4219);
				}
				return BgL_new1118z00_4218;
			}
		}

	}



/* &lambda1747 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1747z62zz__evaluate_typesz00(obj_t BgL_envz00_3761,
		obj_t BgL_e1115z00_3762, obj_t BgL_body1116z00_3763)
	{
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_new1227z00_4222;

				{	/* Eval/evaluate_types.scm 86 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_new1226z00_4223;

					BgL_new1226z00_4223 =
						((BgL_ev_unwindzd2protectzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_unwindzd2protectzd2_bgl))));
					{	/* Eval/evaluate_types.scm 86 */
						long BgL_arg1748z00_4224;

						BgL_arg1748z00_4224 =
							BGL_CLASS_NUM(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1226z00_4223), BgL_arg1748z00_4224);
					}
					BgL_new1227z00_4222 = BgL_new1226z00_4223;
				}
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1227z00_4222))->
						BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1115z00_3762)),
					BUNSPEC);
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1227z00_4222))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1116z00_3763)),
					BUNSPEC);
				return BgL_new1227z00_4222;
			}
		}

	}



/* &lambda1761 */
	obj_t BGl_z62lambda1761z62zz__evaluate_typesz00(obj_t BgL_envz00_3764,
		obj_t BgL_oz00_3765, obj_t BgL_vz00_3766)
	{
		{	/* Eval/evaluate_types.scm 86 */
			return
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
							((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3765)))->
					BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3766)), BUNSPEC);
		}

	}



/* &lambda1760 */
	BgL_ev_exprz00_bglt BGl_z62lambda1760z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3767, obj_t BgL_oz00_3768)
	{
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3768)))->BgL_bodyz00);
		}

	}



/* &lambda1756 */
	obj_t BGl_z62lambda1756z62zz__evaluate_typesz00(obj_t BgL_envz00_3769,
		obj_t BgL_oz00_3770, obj_t BgL_vz00_3771)
	{
		{	/* Eval/evaluate_types.scm 86 */
			return
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
							((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3770)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3771)), BUNSPEC);
		}

	}



/* &lambda1755 */
	BgL_ev_exprz00_bglt BGl_z62lambda1755z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3772, obj_t BgL_oz00_3773)
	{
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3773)))->BgL_ez00);
		}

	}



/* &<@anonymous:1724> */
	obj_t BGl_z62zc3z04anonymousza31724ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3774, obj_t BgL_new1113z00_3775)
	{
		{	/* Eval/evaluate_types.scm 83 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_5254;

				{
					BgL_ev_varz00_bglt BgL_auxz00_5255;

					{	/* Eval/evaluate_types.scm 83 */
						obj_t BgL_classz00_4232;

						BgL_classz00_4232 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL__ortest_1291z00_4233;

							BgL__ortest_1291z00_4233 = BGL_CLASS_NIL(BgL_classz00_4232);
							if (CBOOL(BgL__ortest_1291z00_4233))
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_5255 =
										((BgL_ev_varz00_bglt) BgL__ortest_1291z00_4233);
								}
							else
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_5255 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4232));
								}
						}
					}
					((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_new1113z00_3775)))->
							BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_auxz00_5255), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5264;

					{	/* Eval/evaluate_types.scm 83 */
						obj_t BgL_classz00_4234;

						BgL_classz00_4234 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL__ortest_1291z00_4235;

							BgL__ortest_1291z00_4235 = BGL_CLASS_NIL(BgL_classz00_4234);
							if (CBOOL(BgL__ortest_1291z00_4235))
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_5264 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1291z00_4235);
								}
							else
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_5264 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4234));
								}
						}
					}
					((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_new1113z00_3775)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5264), BUNSPEC);
				}
				BgL_auxz00_5254 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_new1113z00_3775);
				return ((obj_t) BgL_auxz00_5254);
			}
		}

	}



/* &lambda1721 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1721z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3776)
	{
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_new1112z00_4236;

				BgL_new1112z00_4236 =
					((BgL_ev_bindzd2exitzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_bindzd2exitzd2_bgl))));
				{	/* Eval/evaluate_types.scm 83 */
					long BgL_arg1723z00_4237;

					BgL_arg1723z00_4237 =
						BGL_CLASS_NUM(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1112z00_4236), BgL_arg1723z00_4237);
				}
				return BgL_new1112z00_4236;
			}
		}

	}



/* &lambda1719 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1719z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3777, obj_t BgL_var1109z00_3778, obj_t BgL_body1110z00_3779)
	{
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_new1225z00_4240;

				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_bindzd2exitzd2_bglt BgL_new1224z00_4241;

					BgL_new1224z00_4241 =
						((BgL_ev_bindzd2exitzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_bindzd2exitzd2_bgl))));
					{	/* Eval/evaluate_types.scm 83 */
						long BgL_arg1720z00_4242;

						BgL_arg1720z00_4242 =
							BGL_CLASS_NUM(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1224z00_4241), BgL_arg1720z00_4242);
					}
					BgL_new1225z00_4240 = BgL_new1224z00_4241;
				}
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1225z00_4240))->
						BgL_varz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_var1109z00_3778)),
					BUNSPEC);
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1225z00_4240))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1110z00_3779)),
					BUNSPEC);
				return BgL_new1225z00_4240;
			}
		}

	}



/* &lambda1739 */
	obj_t BGl_z62lambda1739z62zz__evaluate_typesz00(obj_t BgL_envz00_3780,
		obj_t BgL_oz00_3781, obj_t BgL_vz00_3782)
	{
		{	/* Eval/evaluate_types.scm 83 */
			return
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
							((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3781)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3782)), BUNSPEC);
		}

	}



/* &lambda1738 */
	BgL_ev_exprz00_bglt BGl_z62lambda1738z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3783, obj_t BgL_oz00_3784)
	{
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3784)))->BgL_bodyz00);
		}

	}



/* &lambda1731 */
	obj_t BGl_z62lambda1731z62zz__evaluate_typesz00(obj_t BgL_envz00_3785,
		obj_t BgL_oz00_3786, obj_t BgL_vz00_3787)
	{
		{	/* Eval/evaluate_types.scm 83 */
			return
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
							((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3786)))->BgL_varz00) =
				((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_3787)), BUNSPEC);
		}

	}



/* &lambda1730 */
	BgL_ev_varz00_bglt BGl_z62lambda1730z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3788, obj_t BgL_oz00_3789)
	{
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3789)))->BgL_varz00);
		}

	}



/* &<@anonymous:1710> */
	obj_t BGl_z62zc3z04anonymousza31710ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3790, obj_t BgL_new1107z00_3791)
	{
		{	/* Eval/evaluate_types.scm 82 */
			{
				BgL_ev_defglobalz00_bglt BgL_auxz00_5297;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5298;

					{	/* Eval/evaluate_types.scm 82 */
						obj_t BgL_classz00_4250;

						BgL_classz00_4250 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 82 */
							obj_t BgL__ortest_1291z00_4251;

							BgL__ortest_1291z00_4251 = BGL_CLASS_NIL(BgL_classz00_4250);
							if (CBOOL(BgL__ortest_1291z00_4251))
								{	/* Eval/evaluate_types.scm 82 */
									BgL_auxz00_5298 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1291z00_4251);
								}
							else
								{	/* Eval/evaluate_types.scm 82 */
									BgL_auxz00_5298 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4250));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_defglobalz00_bglt) BgL_new1107z00_3791))))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5298), BUNSPEC);
				}
				((((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt)
									((BgL_ev_defglobalz00_bglt) BgL_new1107z00_3791))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt)
							COBJECT(((BgL_ev_setglobalz00_bglt) ((BgL_ev_defglobalz00_bglt)
										BgL_new1107z00_3791))))->BgL_namez00) =
					((obj_t) BGl_symbol2745z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt)
							COBJECT(((BgL_ev_setglobalz00_bglt) ((BgL_ev_defglobalz00_bglt)
										BgL_new1107z00_3791))))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5297 = ((BgL_ev_defglobalz00_bglt) BgL_new1107z00_3791);
				return ((obj_t) BgL_auxz00_5297);
			}
		}

	}



/* &lambda1708 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1708z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3792)
	{
		{	/* Eval/evaluate_types.scm 82 */
			{	/* Eval/evaluate_types.scm 82 */
				BgL_ev_defglobalz00_bglt BgL_new1106z00_4252;

				BgL_new1106z00_4252 =
					((BgL_ev_defglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_defglobalz00_bgl))));
				{	/* Eval/evaluate_types.scm 82 */
					long BgL_arg1709z00_4253;

					BgL_arg1709z00_4253 =
						BGL_CLASS_NUM(BGl_ev_defglobalz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1106z00_4252), BgL_arg1709z00_4253);
				}
				return BgL_new1106z00_4252;
			}
		}

	}



/* &lambda1706 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1706z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3793, obj_t BgL_e1102z00_3794, obj_t BgL_loc1103z00_3795,
		obj_t BgL_name1104z00_3796, obj_t BgL_mod1105z00_3797)
	{
		{	/* Eval/evaluate_types.scm 82 */
			{	/* Eval/evaluate_types.scm 82 */
				BgL_ev_defglobalz00_bglt BgL_new1223z00_4256;

				{	/* Eval/evaluate_types.scm 82 */
					BgL_ev_defglobalz00_bglt BgL_new1222z00_4257;

					BgL_new1222z00_4257 =
						((BgL_ev_defglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_defglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 82 */
						long BgL_arg1707z00_4258;

						BgL_arg1707z00_4258 =
							BGL_CLASS_NUM(BGl_ev_defglobalz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1222z00_4257), BgL_arg1707z00_4258);
					}
					BgL_new1223z00_4256 = BgL_new1222z00_4257;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1223z00_4256)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1102z00_3794)),
					BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1223z00_4256)))->BgL_locz00) =
					((obj_t) BgL_loc1103z00_3795), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1223z00_4256)))->BgL_namez00) =
					((obj_t) ((obj_t) BgL_name1104z00_3796)), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1223z00_4256)))->BgL_modz00) =
					((obj_t) BgL_mod1105z00_3797), BUNSPEC);
				return BgL_new1223z00_4256;
			}
		}

	}



/* &<@anonymous:1676> */
	obj_t BGl_z62zc3z04anonymousza31676ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3798, obj_t BgL_new1100z00_3799)
	{
		{	/* Eval/evaluate_types.scm 78 */
			{
				BgL_ev_setglobalz00_bglt BgL_auxz00_5337;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5338;

					{	/* Eval/evaluate_types.scm 78 */
						obj_t BgL_classz00_4260;

						BgL_classz00_4260 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 78 */
							obj_t BgL__ortest_1291z00_4261;

							BgL__ortest_1291z00_4261 = BGL_CLASS_NIL(BgL_classz00_4260);
							if (CBOOL(BgL__ortest_1291z00_4261))
								{	/* Eval/evaluate_types.scm 78 */
									BgL_auxz00_5338 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1291z00_4261);
								}
							else
								{	/* Eval/evaluate_types.scm 78 */
									BgL_auxz00_5338 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4260));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_setglobalz00_bglt) BgL_new1100z00_3799))))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5338), BUNSPEC);
				}
				((((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt) BgL_new1100z00_3799)))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1100z00_3799)))->BgL_namez00) =
					((obj_t) BGl_symbol2745z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1100z00_3799)))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5337 = ((BgL_ev_setglobalz00_bglt) BgL_new1100z00_3799);
				return ((obj_t) BgL_auxz00_5337);
			}
		}

	}



/* &lambda1674 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1674z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3800)
	{
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_new1099z00_4262;

				BgL_new1099z00_4262 =
					((BgL_ev_setglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_setglobalz00_bgl))));
				{	/* Eval/evaluate_types.scm 78 */
					long BgL_arg1675z00_4263;

					BgL_arg1675z00_4263 =
						BGL_CLASS_NUM(BGl_ev_setglobalz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1099z00_4262), BgL_arg1675z00_4263);
				}
				return BgL_new1099z00_4262;
			}
		}

	}



/* &lambda1671 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1671z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3801, obj_t BgL_e1095z00_3802, obj_t BgL_loc1096z00_3803,
		obj_t BgL_name1097z00_3804, obj_t BgL_mod1098z00_3805)
	{
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_new1221z00_4266;

				{	/* Eval/evaluate_types.scm 78 */
					BgL_ev_setglobalz00_bglt BgL_new1220z00_4267;

					BgL_new1220z00_4267 =
						((BgL_ev_setglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_setglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 78 */
						long BgL_arg1673z00_4268;

						BgL_arg1673z00_4268 =
							BGL_CLASS_NUM(BGl_ev_setglobalz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1220z00_4267), BgL_arg1673z00_4268);
					}
					BgL_new1221z00_4266 = BgL_new1220z00_4267;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1221z00_4266)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1095z00_3802)),
					BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1221z00_4266))->
						BgL_locz00) = ((obj_t) BgL_loc1096z00_3803), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1221z00_4266))->
						BgL_namez00) = ((obj_t) ((obj_t) BgL_name1097z00_3804)), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1221z00_4266))->
						BgL_modz00) = ((obj_t) BgL_mod1098z00_3805), BUNSPEC);
				return BgL_new1221z00_4266;
			}
		}

	}



/* &lambda1695 */
	obj_t BGl_z62lambda1695z62zz__evaluate_typesz00(obj_t BgL_envz00_3806,
		obj_t BgL_oz00_3807, obj_t BgL_vz00_3808)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) COBJECT(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3807)))->BgL_modz00) =
				((obj_t) BgL_vz00_3808), BUNSPEC);
		}

	}



/* &lambda1694 */
	obj_t BGl_z62lambda1694z62zz__evaluate_typesz00(obj_t BgL_envz00_3809,
		obj_t BgL_oz00_3810)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) COBJECT(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3810)))->BgL_modz00);
		}

	}



/* &lambda1688 */
	obj_t BGl_z62lambda1688z62zz__evaluate_typesz00(obj_t BgL_envz00_3811,
		obj_t BgL_oz00_3812, obj_t BgL_vz00_3813)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) COBJECT(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3812)))->BgL_namez00) =
				((obj_t) ((obj_t) BgL_vz00_3813)), BUNSPEC);
		}

	}



/* &lambda1687 */
	obj_t BGl_z62lambda1687z62zz__evaluate_typesz00(obj_t BgL_envz00_3814,
		obj_t BgL_oz00_3815)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) COBJECT(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3815)))->BgL_namez00);
		}

	}



/* &lambda1681 */
	obj_t BGl_z62lambda1681z62zz__evaluate_typesz00(obj_t BgL_envz00_3816,
		obj_t BgL_oz00_3817, obj_t BgL_vz00_3818)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) COBJECT(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3817)))->BgL_locz00) =
				((obj_t) BgL_vz00_3818), BUNSPEC);
		}

	}



/* &lambda1680 */
	obj_t BGl_z62lambda1680z62zz__evaluate_typesz00(obj_t BgL_envz00_3819,
		obj_t BgL_oz00_3820)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) COBJECT(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3820)))->BgL_locz00);
		}

	}



/* &<@anonymous:1658> */
	obj_t BGl_z62zc3z04anonymousza31658ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3821, obj_t BgL_new1093z00_3822)
	{
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_setlocalz00_bglt BgL_auxz00_5384;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5385;

					{	/* Eval/evaluate_types.scm 76 */
						obj_t BgL_classz00_4277;

						BgL_classz00_4277 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL__ortest_1291z00_4278;

							BgL__ortest_1291z00_4278 = BGL_CLASS_NIL(BgL_classz00_4277);
							if (CBOOL(BgL__ortest_1291z00_4278))
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_5385 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1291z00_4278);
								}
							else
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_5385 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4277));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_setlocalz00_bglt) BgL_new1093z00_3822))))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5385), BUNSPEC);
				}
				{
					BgL_ev_varz00_bglt BgL_auxz00_5395;

					{	/* Eval/evaluate_types.scm 76 */
						obj_t BgL_classz00_4279;

						BgL_classz00_4279 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL__ortest_1291z00_4280;

							BgL__ortest_1291z00_4280 = BGL_CLASS_NIL(BgL_classz00_4279);
							if (CBOOL(BgL__ortest_1291z00_4280))
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_5395 =
										((BgL_ev_varz00_bglt) BgL__ortest_1291z00_4280);
								}
							else
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_5395 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4279));
								}
						}
					}
					((((BgL_ev_setlocalz00_bglt) COBJECT(
									((BgL_ev_setlocalz00_bglt) BgL_new1093z00_3822)))->BgL_vz00) =
						((BgL_ev_varz00_bglt) BgL_auxz00_5395), BUNSPEC);
				}
				BgL_auxz00_5384 = ((BgL_ev_setlocalz00_bglt) BgL_new1093z00_3822);
				return ((obj_t) BgL_auxz00_5384);
			}
		}

	}



/* &lambda1656 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1656z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3823)
	{
		{	/* Eval/evaluate_types.scm 76 */
			{	/* Eval/evaluate_types.scm 76 */
				BgL_ev_setlocalz00_bglt BgL_new1092z00_4281;

				BgL_new1092z00_4281 =
					((BgL_ev_setlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_setlocalz00_bgl))));
				{	/* Eval/evaluate_types.scm 76 */
					long BgL_arg1657z00_4282;

					BgL_arg1657z00_4282 =
						BGL_CLASS_NUM(BGl_ev_setlocalz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1092z00_4281), BgL_arg1657z00_4282);
				}
				return BgL_new1092z00_4281;
			}
		}

	}



/* &lambda1654 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1654z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3824, obj_t BgL_e1090z00_3825, obj_t BgL_v1091z00_3826)
	{
		{	/* Eval/evaluate_types.scm 76 */
			{	/* Eval/evaluate_types.scm 76 */
				BgL_ev_setlocalz00_bglt BgL_new1219z00_4285;

				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_setlocalz00_bglt BgL_new1217z00_4286;

					BgL_new1217z00_4286 =
						((BgL_ev_setlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_setlocalz00_bgl))));
					{	/* Eval/evaluate_types.scm 76 */
						long BgL_arg1655z00_4287;

						BgL_arg1655z00_4287 =
							BGL_CLASS_NUM(BGl_ev_setlocalz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1217z00_4286), BgL_arg1655z00_4287);
					}
					BgL_new1219z00_4285 = BgL_new1217z00_4286;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1219z00_4285)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1090z00_3825)),
					BUNSPEC);
				((((BgL_ev_setlocalz00_bglt) COBJECT(BgL_new1219z00_4285))->BgL_vz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_v1091z00_3826)),
					BUNSPEC);
				return BgL_new1219z00_4285;
			}
		}

	}



/* &lambda1665 */
	obj_t BGl_z62lambda1665z62zz__evaluate_typesz00(obj_t BgL_envz00_3827,
		obj_t BgL_oz00_3828, obj_t BgL_vz00_3829)
	{
		{	/* Eval/evaluate_types.scm 76 */
			return
				((((BgL_ev_setlocalz00_bglt) COBJECT(
							((BgL_ev_setlocalz00_bglt) BgL_oz00_3828)))->BgL_vz00) =
				((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_3829)), BUNSPEC);
		}

	}



/* &lambda1664 */
	BgL_ev_varz00_bglt BGl_z62lambda1664z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3830, obj_t BgL_oz00_3831)
	{
		{	/* Eval/evaluate_types.scm 76 */
			return
				(((BgL_ev_setlocalz00_bglt) COBJECT(
						((BgL_ev_setlocalz00_bglt) BgL_oz00_3831)))->BgL_vz00);
		}

	}



/* &<@anonymous:1646> */
	obj_t BGl_z62zc3z04anonymousza31646ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3832, obj_t BgL_new1088z00_3833)
	{
		{	/* Eval/evaluate_types.scm 75 */
			{
				BgL_ev_trapz00_bglt BgL_auxz00_5424;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5425;

					{	/* Eval/evaluate_types.scm 75 */
						obj_t BgL_classz00_4292;

						BgL_classz00_4292 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 75 */
							obj_t BgL__ortest_1291z00_4293;

							BgL__ortest_1291z00_4293 = BGL_CLASS_NIL(BgL_classz00_4292);
							if (CBOOL(BgL__ortest_1291z00_4293))
								{	/* Eval/evaluate_types.scm 75 */
									BgL_auxz00_5425 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1291z00_4293);
								}
							else
								{	/* Eval/evaluate_types.scm 75 */
									BgL_auxz00_5425 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4292));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_trapz00_bglt) BgL_new1088z00_3833))))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5425), BUNSPEC);
				}
				BgL_auxz00_5424 = ((BgL_ev_trapz00_bglt) BgL_new1088z00_3833);
				return ((obj_t) BgL_auxz00_5424);
			}
		}

	}



/* &lambda1644 */
	BgL_ev_trapz00_bglt BGl_z62lambda1644z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3834)
	{
		{	/* Eval/evaluate_types.scm 75 */
			{	/* Eval/evaluate_types.scm 75 */
				BgL_ev_trapz00_bglt BgL_new1087z00_4294;

				BgL_new1087z00_4294 =
					((BgL_ev_trapz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_trapz00_bgl))));
				{	/* Eval/evaluate_types.scm 75 */
					long BgL_arg1645z00_4295;

					BgL_arg1645z00_4295 =
						BGL_CLASS_NUM(BGl_ev_trapz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1087z00_4294), BgL_arg1645z00_4295);
				}
				return BgL_new1087z00_4294;
			}
		}

	}



/* &lambda1642 */
	BgL_ev_trapz00_bglt BGl_z62lambda1642z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3835, obj_t BgL_e1086z00_3836)
	{
		{	/* Eval/evaluate_types.scm 75 */
			{	/* Eval/evaluate_types.scm 75 */
				BgL_ev_trapz00_bglt BgL_new1216z00_4297;

				{	/* Eval/evaluate_types.scm 75 */
					BgL_ev_trapz00_bglt BgL_new1215z00_4298;

					BgL_new1215z00_4298 =
						((BgL_ev_trapz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_trapz00_bgl))));
					{	/* Eval/evaluate_types.scm 75 */
						long BgL_arg1643z00_4299;

						BgL_arg1643z00_4299 =
							BGL_CLASS_NUM(BGl_ev_trapz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1215z00_4298), BgL_arg1643z00_4299);
					}
					BgL_new1216z00_4297 = BgL_new1215z00_4298;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1216z00_4297)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1086z00_3836)),
					BUNSPEC);
				return BgL_new1216z00_4297;
			}
		}

	}



/* &<@anonymous:1629> */
	obj_t BGl_z62zc3z04anonymousza31629ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3837, obj_t BgL_new1084z00_3838)
	{
		{	/* Eval/evaluate_types.scm 73 */
			{
				BgL_ev_hookz00_bglt BgL_auxz00_5448;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5449;

					{	/* Eval/evaluate_types.scm 73 */
						obj_t BgL_classz00_4301;

						BgL_classz00_4301 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 73 */
							obj_t BgL__ortest_1291z00_4302;

							BgL__ortest_1291z00_4302 = BGL_CLASS_NIL(BgL_classz00_4301);
							if (CBOOL(BgL__ortest_1291z00_4302))
								{	/* Eval/evaluate_types.scm 73 */
									BgL_auxz00_5449 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1291z00_4302);
								}
							else
								{	/* Eval/evaluate_types.scm 73 */
									BgL_auxz00_5449 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4301));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt) BgL_new1084z00_3838)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5449), BUNSPEC);
				}
				BgL_auxz00_5448 = ((BgL_ev_hookz00_bglt) BgL_new1084z00_3838);
				return ((obj_t) BgL_auxz00_5448);
			}
		}

	}



/* &lambda1627 */
	BgL_ev_hookz00_bglt BGl_z62lambda1627z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3839)
	{
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_new1083z00_4303;

				BgL_new1083z00_4303 =
					((BgL_ev_hookz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_hookz00_bgl))));
				{	/* Eval/evaluate_types.scm 73 */
					long BgL_arg1628z00_4304;

					BgL_arg1628z00_4304 =
						BGL_CLASS_NUM(BGl_ev_hookz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1083z00_4303), BgL_arg1628z00_4304);
				}
				return BgL_new1083z00_4303;
			}
		}

	}



/* &lambda1625 */
	BgL_ev_hookz00_bglt BGl_z62lambda1625z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3840, obj_t BgL_e1082z00_3841)
	{
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_new1214z00_4306;

				{	/* Eval/evaluate_types.scm 73 */
					BgL_ev_hookz00_bglt BgL_new1213z00_4307;

					BgL_new1213z00_4307 =
						((BgL_ev_hookz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_hookz00_bgl))));
					{	/* Eval/evaluate_types.scm 73 */
						long BgL_arg1626z00_4308;

						BgL_arg1626z00_4308 =
							BGL_CLASS_NUM(BGl_ev_hookz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1213z00_4307), BgL_arg1626z00_4308);
					}
					BgL_new1214z00_4306 = BgL_new1213z00_4307;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(BgL_new1214z00_4306))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1082z00_3841)),
					BUNSPEC);
				return BgL_new1214z00_4306;
			}
		}

	}



/* &lambda1634 */
	obj_t BGl_z62lambda1634z62zz__evaluate_typesz00(obj_t BgL_envz00_3842,
		obj_t BgL_oz00_3843, obj_t BgL_vz00_3844)
	{
		{	/* Eval/evaluate_types.scm 73 */
			return
				((((BgL_ev_hookz00_bglt) COBJECT(
							((BgL_ev_hookz00_bglt) BgL_oz00_3843)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3844)), BUNSPEC);
		}

	}



/* &lambda1633 */
	BgL_ev_exprz00_bglt BGl_z62lambda1633z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3845, obj_t BgL_oz00_3846)
	{
		{	/* Eval/evaluate_types.scm 73 */
			return
				(((BgL_ev_hookz00_bglt) COBJECT(
						((BgL_ev_hookz00_bglt) BgL_oz00_3846)))->BgL_ez00);
		}

	}



/* &<@anonymous:1597> */
	obj_t BGl_z62zc3z04anonymousza31597ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3847, obj_t BgL_new1080z00_3848)
	{
		{	/* Eval/evaluate_types.scm 70 */
			{
				BgL_ev_prog2z00_bglt BgL_auxz00_5475;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5476;

					{	/* Eval/evaluate_types.scm 70 */
						obj_t BgL_classz00_4313;

						BgL_classz00_4313 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL__ortest_1291z00_4314;

							BgL__ortest_1291z00_4314 = BGL_CLASS_NIL(BgL_classz00_4313);
							if (CBOOL(BgL__ortest_1291z00_4314))
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_5476 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1291z00_4314);
								}
							else
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_5476 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4313));
								}
						}
					}
					((((BgL_ev_prog2z00_bglt) COBJECT(
									((BgL_ev_prog2z00_bglt) BgL_new1080z00_3848)))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5476), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5485;

					{	/* Eval/evaluate_types.scm 70 */
						obj_t BgL_classz00_4315;

						BgL_classz00_4315 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL__ortest_1291z00_4316;

							BgL__ortest_1291z00_4316 = BGL_CLASS_NIL(BgL_classz00_4315);
							if (CBOOL(BgL__ortest_1291z00_4316))
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_5485 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1291z00_4316);
								}
							else
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_5485 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4315));
								}
						}
					}
					((((BgL_ev_prog2z00_bglt) COBJECT(
									((BgL_ev_prog2z00_bglt) BgL_new1080z00_3848)))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5485), BUNSPEC);
				}
				BgL_auxz00_5475 = ((BgL_ev_prog2z00_bglt) BgL_new1080z00_3848);
				return ((obj_t) BgL_auxz00_5475);
			}
		}

	}



/* &lambda1595 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1595z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3849)
	{
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_new1079z00_4317;

				BgL_new1079z00_4317 =
					((BgL_ev_prog2z00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_prog2z00_bgl))));
				{	/* Eval/evaluate_types.scm 70 */
					long BgL_arg1596z00_4318;

					BgL_arg1596z00_4318 =
						BGL_CLASS_NUM(BGl_ev_prog2z00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1079z00_4317), BgL_arg1596z00_4318);
				}
				return BgL_new1079z00_4317;
			}
		}

	}



/* &lambda1593 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1593z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3850, obj_t BgL_e11077z00_3851, obj_t BgL_e21078z00_3852)
	{
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_new1212z00_4321;

				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_prog2z00_bglt BgL_new1211z00_4322;

					BgL_new1211z00_4322 =
						((BgL_ev_prog2z00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_prog2z00_bgl))));
					{	/* Eval/evaluate_types.scm 70 */
						long BgL_arg1594z00_4323;

						BgL_arg1594z00_4323 =
							BGL_CLASS_NUM(BGl_ev_prog2z00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1211z00_4322), BgL_arg1594z00_4323);
					}
					BgL_new1212z00_4321 = BgL_new1211z00_4322;
				}
				((((BgL_ev_prog2z00_bglt) COBJECT(BgL_new1212z00_4321))->BgL_e1z00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e11077z00_3851)),
					BUNSPEC);
				((((BgL_ev_prog2z00_bglt) COBJECT(BgL_new1212z00_4321))->BgL_e2z00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e21078z00_3852)),
					BUNSPEC);
				return BgL_new1212z00_4321;
			}
		}

	}



/* &lambda1614 */
	obj_t BGl_z62lambda1614z62zz__evaluate_typesz00(obj_t BgL_envz00_3853,
		obj_t BgL_oz00_3854, obj_t BgL_vz00_3855)
	{
		{	/* Eval/evaluate_types.scm 70 */
			return
				((((BgL_ev_prog2z00_bglt) COBJECT(
							((BgL_ev_prog2z00_bglt) BgL_oz00_3854)))->BgL_e2z00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3855)), BUNSPEC);
		}

	}



/* &lambda1613 */
	BgL_ev_exprz00_bglt BGl_z62lambda1613z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3856, obj_t BgL_oz00_3857)
	{
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) COBJECT(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3857)))->BgL_e2z00);
		}

	}



/* &lambda1607 */
	obj_t BGl_z62lambda1607z62zz__evaluate_typesz00(obj_t BgL_envz00_3858,
		obj_t BgL_oz00_3859, obj_t BgL_vz00_3860)
	{
		{	/* Eval/evaluate_types.scm 70 */
			return
				((((BgL_ev_prog2z00_bglt) COBJECT(
							((BgL_ev_prog2z00_bglt) BgL_oz00_3859)))->BgL_e1z00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3860)), BUNSPEC);
		}

	}



/* &lambda1606 */
	BgL_ev_exprz00_bglt BGl_z62lambda1606z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3861, obj_t BgL_oz00_3862)
	{
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) COBJECT(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3862)))->BgL_e1z00);
		}

	}



/* &<@anonymous:1586> */
	obj_t BGl_z62zc3z04anonymousza31586ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3863, obj_t BgL_new1075z00_3864)
	{
		{	/* Eval/evaluate_types.scm 69 */
			{
				BgL_ev_andz00_bglt BgL_auxz00_5518;

				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt)
									((BgL_ev_andz00_bglt) BgL_new1075z00_3864))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5518 = ((BgL_ev_andz00_bglt) BgL_new1075z00_3864);
				return ((obj_t) BgL_auxz00_5518);
			}
		}

	}



/* &lambda1582 */
	BgL_ev_andz00_bglt BGl_z62lambda1582z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3865)
	{
		{	/* Eval/evaluate_types.scm 69 */
			{	/* Eval/evaluate_types.scm 69 */
				BgL_ev_andz00_bglt BgL_new1074z00_4331;

				BgL_new1074z00_4331 =
					((BgL_ev_andz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_andz00_bgl))));
				{	/* Eval/evaluate_types.scm 69 */
					long BgL_arg1585z00_4332;

					BgL_arg1585z00_4332 =
						BGL_CLASS_NUM(BGl_ev_andz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1074z00_4331), BgL_arg1585z00_4332);
				}
				return BgL_new1074z00_4331;
			}
		}

	}



/* &lambda1579 */
	BgL_ev_andz00_bglt BGl_z62lambda1579z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3866, obj_t BgL_args1073z00_3867)
	{
		{	/* Eval/evaluate_types.scm 69 */
			{	/* Eval/evaluate_types.scm 69 */
				BgL_ev_andz00_bglt BgL_new1210z00_4333;

				{	/* Eval/evaluate_types.scm 69 */
					BgL_ev_andz00_bglt BgL_new1209z00_4334;

					BgL_new1209z00_4334 =
						((BgL_ev_andz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_andz00_bgl))));
					{	/* Eval/evaluate_types.scm 69 */
						long BgL_arg1581z00_4335;

						BgL_arg1581z00_4335 =
							BGL_CLASS_NUM(BGl_ev_andz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1209z00_4334), BgL_arg1581z00_4335);
					}
					BgL_new1210z00_4333 = BgL_new1209z00_4334;
				}
				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt) BgL_new1210z00_4333)))->BgL_argsz00) =
					((obj_t) BgL_args1073z00_3867), BUNSPEC);
				return BgL_new1210z00_4333;
			}
		}

	}



/* &<@anonymous:1573> */
	obj_t BGl_z62zc3z04anonymousza31573ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3868, obj_t BgL_new1071z00_3869)
	{
		{	/* Eval/evaluate_types.scm 68 */
			{
				BgL_ev_orz00_bglt BgL_auxz00_5534;

				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt)
									((BgL_ev_orz00_bglt) BgL_new1071z00_3869))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5534 = ((BgL_ev_orz00_bglt) BgL_new1071z00_3869);
				return ((obj_t) BgL_auxz00_5534);
			}
		}

	}



/* &lambda1571 */
	BgL_ev_orz00_bglt BGl_z62lambda1571z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3870)
	{
		{	/* Eval/evaluate_types.scm 68 */
			{	/* Eval/evaluate_types.scm 68 */
				BgL_ev_orz00_bglt BgL_new1070z00_4337;

				BgL_new1070z00_4337 =
					((BgL_ev_orz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_orz00_bgl))));
				{	/* Eval/evaluate_types.scm 68 */
					long BgL_arg1572z00_4338;

					BgL_arg1572z00_4338 =
						BGL_CLASS_NUM(BGl_ev_orz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1070z00_4337), BgL_arg1572z00_4338);
				}
				return BgL_new1070z00_4337;
			}
		}

	}



/* &lambda1569 */
	BgL_ev_orz00_bglt BGl_z62lambda1569z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3871, obj_t BgL_args1069z00_3872)
	{
		{	/* Eval/evaluate_types.scm 68 */
			{	/* Eval/evaluate_types.scm 68 */
				BgL_ev_orz00_bglt BgL_new1208z00_4339;

				{	/* Eval/evaluate_types.scm 68 */
					BgL_ev_orz00_bglt BgL_new1207z00_4340;

					BgL_new1207z00_4340 =
						((BgL_ev_orz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_orz00_bgl))));
					{	/* Eval/evaluate_types.scm 68 */
						long BgL_arg1570z00_4341;

						BgL_arg1570z00_4341 =
							BGL_CLASS_NUM(BGl_ev_orz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1207z00_4340), BgL_arg1570z00_4341);
					}
					BgL_new1208z00_4339 = BgL_new1207z00_4340;
				}
				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt) BgL_new1208z00_4339)))->BgL_argsz00) =
					((obj_t) BgL_args1069z00_3872), BUNSPEC);
				return BgL_new1208z00_4339;
			}
		}

	}



/* &<@anonymous:1555> */
	obj_t BGl_z62zc3z04anonymousza31555ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3873, obj_t BgL_new1067z00_3874)
	{
		{	/* Eval/evaluate_types.scm 66 */
			{
				BgL_ev_listz00_bglt BgL_auxz00_5550;

				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt) BgL_new1067z00_3874)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5550 = ((BgL_ev_listz00_bglt) BgL_new1067z00_3874);
				return ((obj_t) BgL_auxz00_5550);
			}
		}

	}



/* &lambda1553 */
	BgL_ev_listz00_bglt BGl_z62lambda1553z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3875)
	{
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_new1066z00_4343;

				BgL_new1066z00_4343 =
					((BgL_ev_listz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_listz00_bgl))));
				{	/* Eval/evaluate_types.scm 66 */
					long BgL_arg1554z00_4344;

					BgL_arg1554z00_4344 =
						BGL_CLASS_NUM(BGl_ev_listz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1066z00_4343), BgL_arg1554z00_4344);
				}
				return BgL_new1066z00_4343;
			}
		}

	}



/* &lambda1551 */
	BgL_ev_listz00_bglt BGl_z62lambda1551z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3876, obj_t BgL_args1065z00_3877)
	{
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_new1206z00_4345;

				{	/* Eval/evaluate_types.scm 66 */
					BgL_ev_listz00_bglt BgL_new1205z00_4346;

					BgL_new1205z00_4346 =
						((BgL_ev_listz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_listz00_bgl))));
					{	/* Eval/evaluate_types.scm 66 */
						long BgL_arg1552z00_4347;

						BgL_arg1552z00_4347 =
							BGL_CLASS_NUM(BGl_ev_listz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1205z00_4346), BgL_arg1552z00_4347);
					}
					BgL_new1206z00_4345 = BgL_new1205z00_4346;
				}
				((((BgL_ev_listz00_bglt) COBJECT(BgL_new1206z00_4345))->BgL_argsz00) =
					((obj_t) BgL_args1065z00_3877), BUNSPEC);
				return BgL_new1206z00_4345;
			}
		}

	}



/* &lambda1560 */
	obj_t BGl_z62lambda1560z62zz__evaluate_typesz00(obj_t BgL_envz00_3878,
		obj_t BgL_oz00_3879, obj_t BgL_vz00_3880)
	{
		{	/* Eval/evaluate_types.scm 66 */
			return
				((((BgL_ev_listz00_bglt) COBJECT(
							((BgL_ev_listz00_bglt) BgL_oz00_3879)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3880), BUNSPEC);
		}

	}



/* &lambda1559 */
	obj_t BGl_z62lambda1559z62zz__evaluate_typesz00(obj_t BgL_envz00_3881,
		obj_t BgL_oz00_3882)
	{
		{	/* Eval/evaluate_types.scm 66 */
			return
				(((BgL_ev_listz00_bglt) COBJECT(
						((BgL_ev_listz00_bglt) BgL_oz00_3882)))->BgL_argsz00);
		}

	}



/* &<@anonymous:1524> */
	obj_t BGl_z62zc3z04anonymousza31524ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3883, obj_t BgL_new1063z00_3884)
	{
		{	/* Eval/evaluate_types.scm 62 */
			{
				BgL_ev_ifz00_bglt BgL_auxz00_5568;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5569;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_4351;

						BgL_classz00_4351 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1291z00_4352;

							BgL__ortest_1291z00_4352 = BGL_CLASS_NIL(BgL_classz00_4351);
							if (CBOOL(BgL__ortest_1291z00_4352))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5569 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1291z00_4352);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5569 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4351));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_new1063z00_3884)))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5569), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5578;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_4353;

						BgL_classz00_4353 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1291z00_4354;

							BgL__ortest_1291z00_4354 = BGL_CLASS_NIL(BgL_classz00_4353);
							if (CBOOL(BgL__ortest_1291z00_4354))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5578 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1291z00_4354);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5578 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4353));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_new1063z00_3884)))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5578), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5587;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_4355;

						BgL_classz00_4355 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1291z00_4356;

							BgL__ortest_1291z00_4356 = BGL_CLASS_NIL(BgL_classz00_4355);
							if (CBOOL(BgL__ortest_1291z00_4356))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5587 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1291z00_4356);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5587 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4355));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_new1063z00_3884)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5587), BUNSPEC);
				}
				BgL_auxz00_5568 = ((BgL_ev_ifz00_bglt) BgL_new1063z00_3884);
				return ((obj_t) BgL_auxz00_5568);
			}
		}

	}



/* &lambda1520 */
	BgL_ev_ifz00_bglt BGl_z62lambda1520z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3885)
	{
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_new1062z00_4357;

				BgL_new1062z00_4357 =
					((BgL_ev_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_ifz00_bgl))));
				{	/* Eval/evaluate_types.scm 62 */
					long BgL_arg1523z00_4358;

					BgL_arg1523z00_4358 =
						BGL_CLASS_NUM(BGl_ev_ifz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1062z00_4357), BgL_arg1523z00_4358);
				}
				return BgL_new1062z00_4357;
			}
		}

	}



/* &lambda1517 */
	BgL_ev_ifz00_bglt BGl_z62lambda1517z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3886, obj_t BgL_p1059z00_3887, obj_t BgL_t1060z00_3888,
		obj_t BgL_e1061z00_3889)
	{
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_new1204z00_4362;

				{	/* Eval/evaluate_types.scm 62 */
					BgL_ev_ifz00_bglt BgL_new1203z00_4363;

					BgL_new1203z00_4363 =
						((BgL_ev_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_ifz00_bgl))));
					{	/* Eval/evaluate_types.scm 62 */
						long BgL_arg1519z00_4364;

						BgL_arg1519z00_4364 =
							BGL_CLASS_NUM(BGl_ev_ifz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1203z00_4363), BgL_arg1519z00_4364);
					}
					BgL_new1204z00_4362 = BgL_new1203z00_4363;
				}
				((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1204z00_4362))->BgL_pz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_p1059z00_3887)),
					BUNSPEC);
				((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1204z00_4362))->BgL_tz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_t1060z00_3888)),
					BUNSPEC);
				((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1204z00_4362))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1061z00_3889)),
					BUNSPEC);
				return BgL_new1204z00_4362;
			}
		}

	}



/* &lambda1542 */
	obj_t BGl_z62lambda1542z62zz__evaluate_typesz00(obj_t BgL_envz00_3890,
		obj_t BgL_oz00_3891, obj_t BgL_vz00_3892)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) COBJECT(
							((BgL_ev_ifz00_bglt) BgL_oz00_3891)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3892)), BUNSPEC);
		}

	}



/* &lambda1541 */
	BgL_ev_exprz00_bglt BGl_z62lambda1541z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3893, obj_t BgL_oz00_3894)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) COBJECT(
						((BgL_ev_ifz00_bglt) BgL_oz00_3894)))->BgL_ez00);
		}

	}



/* &lambda1537 */
	obj_t BGl_z62lambda1537z62zz__evaluate_typesz00(obj_t BgL_envz00_3895,
		obj_t BgL_oz00_3896, obj_t BgL_vz00_3897)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) COBJECT(
							((BgL_ev_ifz00_bglt) BgL_oz00_3896)))->BgL_tz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3897)), BUNSPEC);
		}

	}



/* &lambda1536 */
	BgL_ev_exprz00_bglt BGl_z62lambda1536z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3898, obj_t BgL_oz00_3899)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) COBJECT(
						((BgL_ev_ifz00_bglt) BgL_oz00_3899)))->BgL_tz00);
		}

	}



/* &lambda1532 */
	obj_t BGl_z62lambda1532z62zz__evaluate_typesz00(obj_t BgL_envz00_3900,
		obj_t BgL_oz00_3901, obj_t BgL_vz00_3902)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) COBJECT(
							((BgL_ev_ifz00_bglt) BgL_oz00_3901)))->BgL_pz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3902)), BUNSPEC);
		}

	}



/* &lambda1531 */
	BgL_ev_exprz00_bglt BGl_z62lambda1531z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3903, obj_t BgL_oz00_3904)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) COBJECT(
						((BgL_ev_ifz00_bglt) BgL_oz00_3904)))->BgL_pz00);
		}

	}



/* &<@anonymous:1506> */
	obj_t BGl_z62zc3z04anonymousza31506ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3905, obj_t BgL_new1057z00_3906)
	{
		{	/* Eval/evaluate_types.scm 60 */
			{
				BgL_ev_littz00_bglt BgL_auxz00_5627;

				((((BgL_ev_littz00_bglt) COBJECT(
								((BgL_ev_littz00_bglt) BgL_new1057z00_3906)))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5627 = ((BgL_ev_littz00_bglt) BgL_new1057z00_3906);
				return ((obj_t) BgL_auxz00_5627);
			}
		}

	}



/* &lambda1504 */
	BgL_ev_littz00_bglt BGl_z62lambda1504z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3907)
	{
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_new1056z00_4375;

				BgL_new1056z00_4375 =
					((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_littz00_bgl))));
				{	/* Eval/evaluate_types.scm 60 */
					long BgL_arg1505z00_4376;

					BgL_arg1505z00_4376 =
						BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1056z00_4375), BgL_arg1505z00_4376);
				}
				return BgL_new1056z00_4375;
			}
		}

	}



/* &lambda1502 */
	BgL_ev_littz00_bglt BGl_z62lambda1502z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3908, obj_t BgL_value1055z00_3909)
	{
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_new1202z00_4377;

				{	/* Eval/evaluate_types.scm 60 */
					BgL_ev_littz00_bglt BgL_new1201z00_4378;

					BgL_new1201z00_4378 =
						((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_littz00_bgl))));
					{	/* Eval/evaluate_types.scm 60 */
						long BgL_arg1503z00_4379;

						BgL_arg1503z00_4379 =
							BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1201z00_4378), BgL_arg1503z00_4379);
					}
					BgL_new1202z00_4377 = BgL_new1201z00_4378;
				}
				((((BgL_ev_littz00_bglt) COBJECT(BgL_new1202z00_4377))->BgL_valuez00) =
					((obj_t) BgL_value1055z00_3909), BUNSPEC);
				return BgL_new1202z00_4377;
			}
		}

	}



/* &lambda1511 */
	obj_t BGl_z62lambda1511z62zz__evaluate_typesz00(obj_t BgL_envz00_3910,
		obj_t BgL_oz00_3911, obj_t BgL_vz00_3912)
	{
		{	/* Eval/evaluate_types.scm 60 */
			return
				((((BgL_ev_littz00_bglt) COBJECT(
							((BgL_ev_littz00_bglt) BgL_oz00_3911)))->BgL_valuez00) =
				((obj_t) BgL_vz00_3912), BUNSPEC);
		}

	}



/* &lambda1510 */
	obj_t BGl_z62lambda1510z62zz__evaluate_typesz00(obj_t BgL_envz00_3913,
		obj_t BgL_oz00_3914)
	{
		{	/* Eval/evaluate_types.scm 60 */
			return
				(((BgL_ev_littz00_bglt) COBJECT(
						((BgL_ev_littz00_bglt) BgL_oz00_3914)))->BgL_valuez00);
		}

	}



/* &<@anonymous:1476> */
	obj_t BGl_z62zc3z04anonymousza31476ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3915, obj_t BgL_new1053z00_3916)
	{
		{	/* Eval/evaluate_types.scm 55 */
			{
				BgL_ev_globalz00_bglt BgL_auxz00_5645;

				((((BgL_ev_globalz00_bglt) COBJECT(
								((BgL_ev_globalz00_bglt) BgL_new1053z00_3916)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
									BgL_new1053z00_3916)))->BgL_namez00) =
					((obj_t) BGl_symbol2745z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
									BgL_new1053z00_3916)))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5645 = ((BgL_ev_globalz00_bglt) BgL_new1053z00_3916);
				return ((obj_t) BgL_auxz00_5645);
			}
		}

	}



/* &lambda1474 */
	BgL_ev_globalz00_bglt BGl_z62lambda1474z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3917)
	{
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_new1052z00_4383;

				BgL_new1052z00_4383 =
					((BgL_ev_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_globalz00_bgl))));
				{	/* Eval/evaluate_types.scm 55 */
					long BgL_arg1475z00_4384;

					BgL_arg1475z00_4384 =
						BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1052z00_4383), BgL_arg1475z00_4384);
				}
				return BgL_new1052z00_4383;
			}
		}

	}



/* &lambda1472 */
	BgL_ev_globalz00_bglt BGl_z62lambda1472z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3918, obj_t BgL_loc1049z00_3919, obj_t BgL_name1050z00_3920,
		obj_t BgL_mod1051z00_3921)
	{
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_new1200z00_4386;

				{	/* Eval/evaluate_types.scm 55 */
					BgL_ev_globalz00_bglt BgL_new1199z00_4387;

					BgL_new1199z00_4387 =
						((BgL_ev_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_globalz00_bgl))));
					{	/* Eval/evaluate_types.scm 55 */
						long BgL_arg1473z00_4388;

						BgL_arg1473z00_4388 =
							BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1199z00_4387), BgL_arg1473z00_4388);
					}
					BgL_new1200z00_4386 = BgL_new1199z00_4387;
				}
				((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1200z00_4386))->BgL_locz00) =
					((obj_t) BgL_loc1049z00_3919), BUNSPEC);
				((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1200z00_4386))->BgL_namez00) =
					((obj_t) ((obj_t) BgL_name1050z00_3920)), BUNSPEC);
				((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1200z00_4386))->BgL_modz00) =
					((obj_t) BgL_mod1051z00_3921), BUNSPEC);
				return BgL_new1200z00_4386;
			}
		}

	}



/* &lambda1494 */
	obj_t BGl_z62lambda1494z62zz__evaluate_typesz00(obj_t BgL_envz00_3922,
		obj_t BgL_oz00_3923, obj_t BgL_vz00_3924)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) COBJECT(
							((BgL_ev_globalz00_bglt) BgL_oz00_3923)))->BgL_modz00) =
				((obj_t) BgL_vz00_3924), BUNSPEC);
		}

	}



/* &lambda1493 */
	obj_t BGl_z62lambda1493z62zz__evaluate_typesz00(obj_t BgL_envz00_3925,
		obj_t BgL_oz00_3926)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) COBJECT(
						((BgL_ev_globalz00_bglt) BgL_oz00_3926)))->BgL_modz00);
		}

	}



/* &lambda1489 */
	obj_t BGl_z62lambda1489z62zz__evaluate_typesz00(obj_t BgL_envz00_3927,
		obj_t BgL_oz00_3928, obj_t BgL_vz00_3929)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) COBJECT(
							((BgL_ev_globalz00_bglt) BgL_oz00_3928)))->BgL_namez00) = ((obj_t)
					((obj_t) BgL_vz00_3929)), BUNSPEC);
		}

	}



/* &lambda1488 */
	obj_t BGl_z62lambda1488z62zz__evaluate_typesz00(obj_t BgL_envz00_3930,
		obj_t BgL_oz00_3931)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) COBJECT(
						((BgL_ev_globalz00_bglt) BgL_oz00_3931)))->BgL_namez00);
		}

	}



/* &lambda1483 */
	obj_t BGl_z62lambda1483z62zz__evaluate_typesz00(obj_t BgL_envz00_3932,
		obj_t BgL_oz00_3933, obj_t BgL_vz00_3934)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) COBJECT(
							((BgL_ev_globalz00_bglt) BgL_oz00_3933)))->BgL_locz00) =
				((obj_t) BgL_vz00_3934), BUNSPEC);
		}

	}



/* &lambda1482 */
	obj_t BGl_z62lambda1482z62zz__evaluate_typesz00(obj_t BgL_envz00_3935,
		obj_t BgL_oz00_3936)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) COBJECT(
						((BgL_ev_globalz00_bglt) BgL_oz00_3936)))->BgL_locz00);
		}

	}



/* &<@anonymous:1447> */
	obj_t BGl_z62zc3z04anonymousza31447ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3937, obj_t BgL_new1047z00_3938)
	{
		{	/* Eval/evaluate_types.scm 51 */
			{
				BgL_ev_varz00_bglt BgL_auxz00_5679;

				((((BgL_ev_varz00_bglt) COBJECT(
								((BgL_ev_varz00_bglt) BgL_new1047z00_3938)))->BgL_namez00) =
					((obj_t) BGl_symbol2745z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_varz00_bglt) COBJECT(((BgL_ev_varz00_bglt)
									BgL_new1047z00_3938)))->BgL_effz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_varz00_bglt) COBJECT(((BgL_ev_varz00_bglt)
									BgL_new1047z00_3938)))->BgL_typez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5679 = ((BgL_ev_varz00_bglt) BgL_new1047z00_3938);
				return ((obj_t) BgL_auxz00_5679);
			}
		}

	}



/* &lambda1445 */
	BgL_ev_varz00_bglt BGl_z62lambda1445z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3939)
	{
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_new1046z00_4397;

				BgL_new1046z00_4397 =
					((BgL_ev_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_varz00_bgl))));
				{	/* Eval/evaluate_types.scm 51 */
					long BgL_arg1446z00_4398;

					BgL_arg1446z00_4398 =
						BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1046z00_4397), BgL_arg1446z00_4398);
				}
				return BgL_new1046z00_4397;
			}
		}

	}



/* &lambda1443 */
	BgL_ev_varz00_bglt BGl_z62lambda1443z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3940, obj_t BgL_name1043z00_3941, obj_t BgL_eff1044z00_3942,
		obj_t BgL_type1045z00_3943)
	{
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_new1198z00_4400;

				{	/* Eval/evaluate_types.scm 51 */
					BgL_ev_varz00_bglt BgL_new1197z00_4401;

					BgL_new1197z00_4401 =
						((BgL_ev_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_varz00_bgl))));
					{	/* Eval/evaluate_types.scm 51 */
						long BgL_arg1444z00_4402;

						BgL_arg1444z00_4402 =
							BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1197z00_4401), BgL_arg1444z00_4402);
					}
					BgL_new1198z00_4400 = BgL_new1197z00_4401;
				}
				((((BgL_ev_varz00_bglt) COBJECT(BgL_new1198z00_4400))->BgL_namez00) =
					((obj_t) ((obj_t) BgL_name1043z00_3941)), BUNSPEC);
				((((BgL_ev_varz00_bglt) COBJECT(BgL_new1198z00_4400))->BgL_effz00) =
					((obj_t) BgL_eff1044z00_3942), BUNSPEC);
				((((BgL_ev_varz00_bglt) COBJECT(BgL_new1198z00_4400))->BgL_typez00) =
					((obj_t) BgL_type1045z00_3943), BUNSPEC);
				return BgL_new1198z00_4400;
			}
		}

	}



/* &lambda1466 */
	obj_t BGl_z62lambda1466z62zz__evaluate_typesz00(obj_t BgL_envz00_3944,
		obj_t BgL_oz00_3945, obj_t BgL_vz00_3946)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) COBJECT(
							((BgL_ev_varz00_bglt) BgL_oz00_3945)))->BgL_typez00) =
				((obj_t) BgL_vz00_3946), BUNSPEC);
		}

	}



/* &lambda1465 */
	obj_t BGl_z62lambda1465z62zz__evaluate_typesz00(obj_t BgL_envz00_3947,
		obj_t BgL_oz00_3948)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) COBJECT(
						((BgL_ev_varz00_bglt) BgL_oz00_3948)))->BgL_typez00);
		}

	}



/* &<@anonymous:1461> */
	obj_t BGl_z62zc3z04anonymousza31461ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3949)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1460 */
	obj_t BGl_z62lambda1460z62zz__evaluate_typesz00(obj_t BgL_envz00_3950,
		obj_t BgL_oz00_3951, obj_t BgL_vz00_3952)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) COBJECT(
							((BgL_ev_varz00_bglt) BgL_oz00_3951)))->BgL_effz00) =
				((obj_t) BgL_vz00_3952), BUNSPEC);
		}

	}



/* &lambda1459 */
	obj_t BGl_z62lambda1459z62zz__evaluate_typesz00(obj_t BgL_envz00_3953,
		obj_t BgL_oz00_3954)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) COBJECT(
						((BgL_ev_varz00_bglt) BgL_oz00_3954)))->BgL_effz00);
		}

	}



/* &lambda1452 */
	obj_t BGl_z62lambda1452z62zz__evaluate_typesz00(obj_t BgL_envz00_3955,
		obj_t BgL_oz00_3956, obj_t BgL_vz00_3957)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) COBJECT(
							((BgL_ev_varz00_bglt) BgL_oz00_3956)))->BgL_namez00) = ((obj_t)
					((obj_t) BgL_vz00_3957)), BUNSPEC);
		}

	}



/* &lambda1451 */
	obj_t BGl_z62lambda1451z62zz__evaluate_typesz00(obj_t BgL_envz00_3958,
		obj_t BgL_oz00_3959)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) COBJECT(
						((BgL_ev_varz00_bglt) BgL_oz00_3959)))->BgL_namez00);
		}

	}



/* &<@anonymous:1437> */
	obj_t BGl_z62zc3z04anonymousza31437ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3960, obj_t BgL_new1041z00_3961)
	{
		{	/* Eval/evaluate_types.scm 49 */
			return ((obj_t) ((BgL_ev_exprz00_bglt) BgL_new1041z00_3961));
		}

	}



/* &lambda1435 */
	BgL_ev_exprz00_bglt BGl_z62lambda1435z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3962)
	{
		{	/* Eval/evaluate_types.scm 49 */
			{	/* Eval/evaluate_types.scm 49 */
				BgL_ev_exprz00_bglt BgL_new1040z00_4411;

				BgL_new1040z00_4411 =
					((BgL_ev_exprz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_exprz00_bgl))));
				{	/* Eval/evaluate_types.scm 49 */
					long BgL_arg1436z00_4412;

					BgL_arg1436z00_4412 =
						BGL_CLASS_NUM(BGl_ev_exprz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1040z00_4411), BgL_arg1436z00_4412);
				}
				return BgL_new1040z00_4411;
			}
		}

	}



/* &lambda1433 */
	BgL_ev_exprz00_bglt BGl_z62lambda1433z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3963)
	{
		{	/* Eval/evaluate_types.scm 49 */
			{	/* Eval/evaluate_types.scm 49 */
				BgL_ev_exprz00_bglt BgL_new1196z00_4413;

				{	/* Eval/evaluate_types.scm 49 */
					BgL_ev_exprz00_bglt BgL_new1195z00_4414;

					BgL_new1195z00_4414 =
						((BgL_ev_exprz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_exprz00_bgl))));
					{	/* Eval/evaluate_types.scm 49 */
						long BgL_arg1434z00_4415;

						BgL_arg1434z00_4415 =
							BGL_CLASS_NUM(BGl_ev_exprz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1195z00_4414), BgL_arg1434z00_4415);
					}
					BgL_new1196z00_4413 = BgL_new1195z00_4414;
				}
				return BgL_new1196z00_4413;
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_typesz00(void)
	{
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_typesz00(void)
	{
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00(void)
	{
		{	/* Eval/evaluate_types.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(393254000L,
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(348684831L,
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(135276775L,
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(128205792L,
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(443005284L,
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(248789584L,
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__osz00(310000171L,
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(443936801L,
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(377164741L,
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(453939141L,
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(475449627L,
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(149516032L,
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(422740572L,
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(94612255L,
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(42051238L,
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00
				(268155843L, BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(198620800L,
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(111613887L,
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(459519430L,
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(115192690L,
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00((-44273703L),
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(9614678L,
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(376927882L,
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(228151370L,
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(43892022L,
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(185672289L,
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
			return BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(86988580L,
				BSTRING_TO_STRING(BGl_string2422z00zz__evaluate_typesz00));
		}

	}

#ifdef __cplusplus
}
#endif
